Index

Home > 1 Démarrage

01 Démarrage

  1. Concepts fondamentaux
  2. Accès à toutes les barres d'outils
  3. Activer ou désactiver la ligne de saisie dynamique
  4. Activer ou désactiver l'espace de travail dynamique
  5. L'interface d'ARC+
  6. L'écran d'ARC+
  7. Configuration de la souris
  8. Menus contextuels
  9. Contrôle des vues
  10. La barre d'outils Coordonnées
  11. Personnalisation des barres d'outils
  12. Réalisation de couper, copier, coller
  13. Définir les composants de l'interface
  14. Affichage de l'indicateur de l'axe et de l'origine
  15. Edition d'un objet ou cadre dans une session séparée.
  16. Les Barres d'outils à icônes
  17. Raccourcis clavier importants
  18. La barre d'outils Calques
  19. La barre d'outils principale
  20. Barre d'outils Modes
  21. Interface multi documents
  22. Nouveau menu contextuel
  23. Le nouveau menu
  24. Ouvrir une nouvelle session ARC+
  25. Organisation du nouveau menu déroulant
  26. Caractéristiques fondamentales supplémentaires
  27. Principe de l'espace de travail dynamique
  28. Protection d'ARC+
  29. Barre d'outils Echelle et unité
  30. Configuration de l'écran
  31. Résumé des principaux éléments déplacés
  32. Les barres d'outils système
  33. L'environnement d'ARC+
  34. Utilitaires
  35. Types d'entités présents dans ARC+
  36. Utiliser la ligne de saisie et le clavier
  37. Utilisation des menus
  38. Utilisation de la souris
  39. Fenêtres
  40. Quel type d'ordinateur utiliser ?


Accès à toutes les barres d'outils

La plupart des icônes qui ont été retirées de la barre principale correspondent à des commandes maintenant accessibles directement dans tous les contextes de travails proposés par défaut et régis par le principe de l’espace de travail dynamique.

  • CONSEIL : Pour plus d'information, reportez-vous à la section suivante : "Principe de l’espace de travail dynamique". Toutefois, vous êtes libre d'afficher toutes les barres d'outils dans n'importe quel contexte.

Pour cela, un simple clic droit au-dessus d'une autre barre d’outils affiche un menu dans lequel vous pouvez choisir celle qui est à afficher ou à masquer. Pour afficher des informations relatives à une icône quelconque, il suffit de pointer cette icône à l’aide de la souris. Une description de la commande et de la fonction opérée est affichée dans la ligne des messages.

Outre l’exécution même de la commande, les icônes du menu principal entraînent l’ouverture d’une barre d’outils supplémentaire avec d’autres commandes. Par exemple, un clic simple sur l’icône Création d’un mur (\mwall) exécute la commande en question, alors qu’un double-clique de cette même icône (selon les indications de la ligne des messages) entraîne l’ouverture de la boîte de dialogue Définition d’un mur (\setmw).

Vous pouvez déplacer une barre d’outils en tout point de l’écran en la faisant glisser dynamiquement par sa partie supérieure. Le bouton situé à droite et au sommet de la barre permet de modifier à l’horizontale l’orientation de la barre, alors que le bouton situé à gauche ferme la barre. Si vous fermez la barre d’outils principale, vous pouvez la réafficher à l’aide du menu déroulant (configurations, affichage des icônes).

Ouvrez et déplacez n’importe quelle barre d’outils afin de personnaliser votre écran, cependant cette personnalisation n’est pas sauvegardée lorsque vous quittez ARC+. Chaque icône du menu principal active une commande individuelle et affiche un sous-menu de commandes apparentées. Ouvrez le sous-menu de chaque en cliquant l’icône et maintenant le bouton de la souris appuyé. Cliquez ensuite l’une des icônes du sous-menu. Vous pouvez déplacer le sous-menu dynamiquement et l’ancrer à un autre endroit. Lorsque vous sélectionnez une icône du sous-menu, elle remplace l’icône par défaut sur la barre d’outils principale.


Activer ou désactiver la ligne de saisie dynamique

Cette commande permet d'activer ou de désactiver l'affichage et le masquage automatique de la ligne de saisie.

\dyninput

  • IMPORTANT : Cette option est désactivée par défaut lors de l'installation d'ARC+.

Lorsque cette option est activée

La ligne de saisie apparaît automatiquement dès que : Vous entrez du texte ou un nombre à l'aide du clavier. Certaines commandes vous proposent des valeurs par défaut

La ligne de saisie se masque automatiquement dès que : Vous validez votre saisie en appuyant sur Entrée. Vous annulez la commande en appuyant sur Esc

Lorsque cette option est désactivée

La ligne de saisie est affichée de manière permanente dans le contexte actuel. Dans tous les autres contextes, si la ligne de commande n'est pas visible, elle apparaîtra de manière définitive dès que vous appuierez sur une touche.


Activer ou désactiver l'espace de travail dynamique

Activer ou désactiver l'espace de travail dynamique Cette commande permet d'activer ou de désactiver le repositionnement automatique des barres d'outils dynamiques en fonction du contexte de travail sélectionné.

  • IMPORTANT : Cette option est désactivée par défaut lors de l'installation d'ARC+.

\qcktool

En désactivant l’espace de travail dynamique, la disposition des barres d’outils n’est plus modifiée lorsque vous cliquez sur les icônes de la barre principale ou lorsque vous changez de mode de travail. Vous gardez cependant, la possibilité de personnaliser votre environnement en masquant ou en affichant manuellement les barres d'outils.


L_interface_d_ARC_

Home > 1 Démarrage > L'interface d'ARC+

L'interface d'ARC+

Vous pouvez utiliser les menus, les barres d'outils et les raccourcis clavier pour indiquer à ARC+ ce que vous souhaitez faire. L'ensemble de ces éléments constitue ce qu'on appelle l’interface du logiciel.

Cette interface comprend les éléments suivants :

  • Barre de menu principale—utilisée pour sélectionner les commandes et exécuter le programme
  • Barre d’outils d’icônes—150 commandes sous forme d’icônes dans le menu de barre d’outil principal qui s’ouvrent sur des sous-niveaux de barres d’outils
  • Ligne d’état—affiche la position courante du curseur dans l’espace tridimensionnel, l’échelle courante de l’écran ainsi que d’autres informations
  • Ligne d’entrée (2 lignes)—où sont affichés les prompts et les messages ARC+, et utilisées pour entrer des commandes et des paramètres par leur nom et au clavier
  • Fenêtre de travail—espace de travail et d’affichage principal de votre dessin
  • Fenêtres de contrôle de vues et de zoom—elles contrôlent la direction et la perspective à partir desquelles vous visualisez votre dessin dans la fenêtre de travail (facultatif)

Vous pouvez ouvrir et manipuler plusieurs fenêtres en même temps à l'aide de la commande Disposition de l'écran (\winset). ARC+ vous permet d’afficher, si vous le désirez, plusieurs fenêtres de travail en même temps, chacune avec ses propres fenêtres de contrôle de vue et de zoom.

ARC+ vous propose une réorganisation partielle de cette interface. Plus compacte et plus homogène, elle va dans le sens d'une modernisation générale et progressive de l'application.

Ses caractéristiques sont :

  • L'incorporation de nouveaux raccourcis clavier standards
  • Un nouvel aménagement de l'espace de travail et de nouvelles barres d'outils
  • Un menu déroulant réorganisé en fonction des standards les plus courants
  • Un menu contextuel plus fonctionnel et étendu à de nouveau types d'entités
  • Une ligne de saisie apparaissant et se masquant automatiquement

Plus loin dans ce chapitre, vous trouverez également la description des commandes permettant la personnalisation de l’interface.

Thèmes liés

  • L'écran d'ARC+


L'écran d'ARC+

En accédant au système ARC+, le programme affiche la fenêtre de travail par défaut, qui représente votre espace de travail.

  • REMARQUE : Lorsque vous accédez au programme l’attribut de couleur des lignes est par défaut noir sur fond d’écran blanc. Vous pouvez inverser les couleurs en activant la commande \color.

Pour déterminer votre fenêtre active—autrement dit celle qui acceptera vos entrées par la souris ou le clavier—il vous suffit, soit de positionner, soit de cliquer (suivant votre configuration et votre système) le bouton de la souris à l'intérieur de la fenêtre.

La fenêtre de travail est votre plan de travail principal. Des fenêtres optionnelles également affichées à l'écran montrent les fenêtres de contrôle de vue et/ou de zoom. Les menus et la ligne d'entrées autour de la fenêtre de travail servent à entrer des données et à lancer le programme. La ligne d'état affiche la position courante du curseur, l'échelle et le mode orthogonal.

Les différents éléments, y compris l'écran d'ARC+ font l'objet des paragraphes suivants.

La fenêtre de travail

La fenêtre de travail représente l'espace de travail pour vos modèles dans le système ARC+. C'est en effet la fenêtre principale dans laquelle vous créez, éditez et affichez votre modèle et dans laquelle vous exécutez la plupart des commandes du système.

Lorsque vous ouvrez un fichier ARC+, il s’agit en fait d’une copie du fichier original considérée par le système comme un nouveau fichier nouveau modèle. Votre fichier original sera conservé jusqu’à la sauvegarde de votre travail en utilisant le même nom de fichier.

Lorsque vous appelez l'écran ARC+, la fenêtre de travail par défaut est affichée avec, soit votre dernier modèle, soit un écran nouveau modèle (nouveau). L'origine des coordonnées est indiquée par un marqueur (astérisque). Un indicateur graphique des axes principaux, qui peut être affiché ou occulté—au choix, est affiché en haut et à droite de l'écran. Les deux axes affichés avec la même couleur indiquent les axes du plan actuellement actif.


Concepts fondamentaux

ARC+ est un système de conception, de création et de présentation de toute création architecturale. Plutôt que de simuler les techniques de dessin en usage dans les bureaux d'études d'architectes, ARC+ met à votre disposition des outils révolutionnaires plus simples à manier et plus adaptés à la création tridimensionnelle. Il n'y a aucune méthode particulière pour travailler avec ARC+. Vous êtes tout à fait libre d'utiliser vos propres méthodes de création en mettant à profit les outils offerts par ARC+.

Vos dessins ne sont autre que des ensembles d'entités 2D et 3D créées dans leurs dimensions réelles dans l'espace et sauvegardées dans des fichiers. Ces modèles représentent en fait les renseignements tridimensionnels relatifs à la géométrie du projet de construction. Le modèle peut représenter le projet à n'importe laquelle de ses phases, depuis la conception initiale jusqu'au stade du détail final.

Vous pouvez créer des éléments de base allant de simples solides prismatiques jusqu'à des murs complexes. Des entités de murs multicouches vous permettent de résoudre des angles et des jonctions complexes et d'insérer différentes ouvertures. Vous pouvez extraire des éléments prédéfinis rangés dans des catalogues 2D ou 3D ou individualiser les catalogues en les enrichissant de vos propres créations.

Vous pouvez à n'importe quelle phase du travail, présenter votre modèle, à votre client, aux services de planification ou aux entrepreneurs, sous plusieurs angles différents et dans plusieurs modes d'affichage. Vous pouvez visualiser le modèle—affiché en premier lieu comme un cadre transparent—avec les lignes cachées supprimées, les surfaces colorées et ombrées et les ombres portées apparentes. Vous pouvez vous promener à l'intérieur du bâtiment et en faire le tour, tout en le visualisant en perspective ou en parallèle.

Une fois terminé, le modèle peut être coupé dans n'importe quel plan—horizontalement par les étages s'il s'agit de plans d'étages et verticalement pour en obtenir des coupes. Vous pouvez sauvegarder n'importe quelle vue du modèle coupé, qu'elle soit interne ou externe, ou sauvegarder l'ensemble en tant que projection 2D de l'écran. Ces vues constituent la base des dessins de présentation que vous pouvez produire. Parachevez votre modèle ou votre dessin 2D en y ajoutant du texte, des cotations et des symboles avant de l'envoyer au traceur.

Le modèle peut être aussi transféré à d'autres interfaces qui peuvent, à leur tour, être lus par d'autres systèmes permettant ainsi une interaction efficace entre les différentes disciplines de la construction.


Configuration de la souris

  • IMPORTANT : L’utilisation de la souris dans ARC+ est intimement lié aux fonctionnalités d’accrochage aux entités dites SNAP. Afin d’apprendre plus sur le snap veuillez vous référer au chapitre suivant : Outils de base.

La boîte de dialogue suivante permet de définir et de modifier la configuration des boutons de votre souris selon vos préférences snap.Cette boîte de dialogue est accessible à partir de la boîte de dialogue Préférences utilisateur. Lancée par l’icône dans la boite d’outils Snap (Affichée par défaut sur votre écran au lancement d’ARC+). La section configuration de la souris est divisée en deux sections selon les modes disponibles Snap dynamique activé et Snap dynamique désactivé, définis dans la boîte de dialogue Préférences utilisateur

Vous pouvez définir la configuration pour chaque bouton de la souris à l’aide des menus déroulants correspondants :

Bouton gauche :

  • Clic avec snap (bouton de snap)
  • Click sans snap

Bouton du milieu :

  • Clic avec snap (bouton de snap)
  • Clic sans snap
  • Désactivé

Bouton droit :

  • Menu contextuel
  • Dernière commande (répétition de la dernière commande)
  • Entrée (le bouton fonctionne comme le bouton Entrée)

Vous pouvez configurer les boutons de votre souris pour les deux modes Snap dynamique activé et Snap dynamique désactivé selon vos préférences ou garder les configurations par défaut.

Les configurations par défaut dépendent du mode Snap en cours: quand l’option Snap dynamique activé est cochée dans la boîte de dialogue Préférences utilisateur, la configuration par défaut est configuration de la souris en mode Snap dynamique activé (située en haut de la boîte de dialogue).

Quand l’option Snap dynamique n’est pas cochée, la configuration par défaut est : Configuration de la souris en mode Snap dynamique désactivé (située en bas de la boîte de dialogue).

Configuration de la souris en mode snap dynamique activé

Lorsque le snap dynamique est activé, les trois boutons de la souris sont configurés ainsi :

  • Bouton gauche : Clic avec snap.
  • Bouton du milieu : Clic sans snap.
  • Bouton droit : Menu contextuel.

Si vous êtes un ancien utilisateur d'ARC+, vous êtes probablement habitué à activer l’accrochage avec le bouton du milieu. Le nouveau snap dynamique s'active avec le bouton gauche de la souris afin de faciliter son usage aux nouveaux utilisateurs. Toutefois, vous pouvez configurer le bouton du milieu pour le snap dynamique. Il suffit de sélectionner "Clic sans SNAP" dans le menu déroulant du bouton gauche et "clic avec SNAP" dans le menu déroulant du bouton du milieu.

Configuration de la souris lorsque le snap dynamique est désactivé

Lorsque le snap dynamique est désactivé, les trois boutons de la souris sont configurés ainsi :

  • Bouton gauche : Clic sans SNAP.
  • Bouton du milieu : Clic avec SNAP.
  • Bouton droit : Menu contextuel.

Cette configuration est la configuration par défaut d'ARC+ depuis la version 10. Elle peut être modifiée à l'aide des menus déroulants afin de permettre un snap "ordinaire" avec le bouton gauche (notamment pratique pour les nouveaux utilisateurs).


Menus contextuels

Dans ARC+ vous utilisez des menus contextuels (pop) servent à choisir des options, des paramètres, des configurations ou des fichiers. Ces menus sont semblables aux menus déroulants mais ne résident pas dans la barre de menu.

Lorsque vous lancez les commandes d'ARC+, le système vous propose fréquemment plusieurs options. Si des options se présentent sur la ligne d'entrées, vous pouvez sélectionner celle de votre choix en tapant au clavier le nombre ou la lettre correspondant.

Il vous semblera certainement plus aisé d'afficher et de sélectionner une option disponible dans le menu pop sans devoir ôter votre main de la souris. Il suffit pour cela de cliquer le bouton de la souris n'importe où dans la fenêtre de travail. Sélectionnez une option dans un menu pop en mettant l'élément souhaité en surbrillance et en cliquant dessus.

  • REMARQUE : Pour les commandes qui proposent plus de deux options, vous pouvez faire afficher et sélectionner l’option désirée dans un menu pop activé en enfonçant le bouton B1 de la souris.

Par exemple, si vous exécutez la commande qui affiche une vue en élévation de votre modèle, les options suivantes seront affichées dans la ligne d’entrée.

Vous pouvez taper 1, 2, 3 ou 4 dans la ligne d’entrée. Alternativement, vous pouvez cliquer B1 (dans la fenêtre de travail) afin de faire apparaître le menu pop et d’y sélectionner l’option désirée :

Un menu pop spécial, le menu de contrôle de vue est disponible dans les fenêtres de contrôle, et contient les commandes de visualisation fréquemment utilisées (voir Menu de contrôle de vues).

Activer la fonctionalité Menus contextuels

Vous pouvez faire basculer cette fonctionnalité de menu pop entre activé et désactivé.

\popup

Si les menus pop sont activés (affichés), un menu pop apparaît après le lancement de la commande, offrant les mêmes options sur la ligne de saisie. Sélectionnez l’option requise à partir du menu pop. (Vous pouvez aussi appuyer sur Echap. et entrer une réponse dans la ligne de saisie. Ce qui donne lieu à la fermeture du menu pop courant.)

Si les menus pop sont mis sur désactivés (masqués), les options sont listées dans la ligne de saisie. Taper l’option requise et appuyez sur Entrer.

  • IMPORTANT : Vous devez désactiver les menus pop lorsque vous travaillez avec les fichiers batch d’ARC+.

Boîtes de dialogue

Certaines commandes ARC+ affichent une boîte de dialogue, automatiquement ou en option. Vous vous déplacez dans la boîte de dialogue à l’aide de la souris ou de la touche Tabulation pour y remplir les champs ou les autres entrées nécessaires. Utilisez les flèches du clavier pour vous déplacer dans la liste d’options proposées pour un champ spécifique.

Pour fermer une boîte de dialogue:

  • Cliquer sur le bouton X situé dans l’angle supérieur gauche de la boîte de dialogue
  • Confirmer en tapant ok ou annulez à l’aide du bouton annuler.

Certaines boîtes de dialogue possèdent des boutons qui ouvrent des boîtes de dialogue supplémentaires.


Contrôle des vues

ARC+ met à votre disposition des possibilités de visualisation avancées au moyen de deux fenêtres de contrôle:

  • Fenêtre de contrôle de vue
  • Fenêtre de contrôle de zoom

Ces fenêtres vous permettent de manipuler dynamiquement les directions de visualisation et le zoom sur l'écran. Les fenêtres ne sont utiles que pour le contrôle des vues dans la fenêtre de travail seulement. Vous ne pouvez pas éditer le modèle à l'intérieur de la fenêtre de contrôle.

Chaque fenêtre peut afficher une projection différente, par exemple, plan, élévation, axonométrie ou perspective. Par exemple, deux fenêtres de vue affichant, l'une une vue en plan, l'autre une vue en élévation, vous permettent de placer la position de l'oeil aussi bien sur un plan horizontal que sur un plan vertical.

Certains paramètres relatifs au nombre de fenêtres ainsi qu'à leurs tailles et positions dépendent de votre système d'exploitation.

Thèmes liés

  • Fenêtres
  • Disposition de l'écran
  • Configuration de l'écran


Barres d'outils Coordonnées

Home > 1 Démarrage > Barre d'outils Coordonnées

Barre d'outils Coordonnées

ARC+ comprend une barre d’outils qui vous permet de saisir les coordonnées d’un point de manière dynamique et de verrouiller ou de déverrouiller le niveau de chaque plan de travail.

Coordonnées absolues et polaires

Il est possible de permuter entre deux options :

  • Mode Absolu
  • Mode Relatif

En mode Absolu, les coordonnées que vous saisissez dans les champs X, Y et Z sont toujours calculées à partir du point d’origine du modèle (0 0 0). En mode Relatif, vous devez saisir les coordonnées définissant la position du point par rapport au dernier point saisi.

Lorsque vous saisissez des valeurs dans les champs L et A, les coordonnées polaires seront exprimées par rapport au dernier point (comme la saisie de pxy dans la ligne de commande).

Si des coordonnées linéaires ET polaires ont été saisies, les coordonnées linéaires sont ignorées. Si seule la valeur L est saisie, la valeur par défaut de A est 0.

Travailler sur un nouveau plan

Il s’agit d’une méthode consistant à saisir une valeur dans le troisième axe (champ gris) afin d’atteindre un nouveau niveau sur le plan actuel. Ce nouveau plan se trouve à la hauteur saisie (comme avec la commande \setax). Lors de la saisie d’une nouvelle coordonnée, le champ gris devient blanc.

Verrouiller/déverrouiller un axe

Si vous cliquez sur le bouton [image] en regard du champ d’un axe, cet axe est verrouillé ou déverrouillé en fonction de son état précédent (comme avec la commande \fixax).

Vous pouvez désormais verrouiller plusieurs axes. Il s’agit d’une méthode très pratique pour travailler sur des modèles 3D complexes ou pour basculer entre différents plans de travail (horizontal, vertical).

La commande \fixax à une nouvelle syntaxe : vous devez préciser l’axe à verrouiller ( x, y ou z ) ainsi que sa valeur ou appuyer sur Entrée pour le déverrouiller. Pour déverrouiller un axe, vous pouvez également utiliser la commande \unfixax et préciser l’axe à déverrouiller.


Personnalisation des barres d'outils

Il est possible de personnaliser les barres d’icônes en changeant leur contenu ou en créant des nouvelles. Pour lancer cette commande, faites un clic avec le bouton droit de la souris au-dessus de n’importe quelle barre d’outils, puis dans le menu apparaissant, choisissez l’option Personnaliser… La boîte de dialogue suivante apparaît alors :

La partie principale de cette boîte de dialogue est la liste des barres d’icônes qui peuvent être personnalisées. À l’aide de cette boîte de dialogue, vous pouvez :

  • Créer une nouvelle barre d’outils
  • Renommer une barre d’outils
  • Editer le contenu d’une barre d’outils
  • Effacer une barre d’outils
  • Enregistrer la configuration complète des barres d’outils
  • Importer/Exporter la configuration d’une barre d’outils dans un fichier

Créer ou renommer une barre d’outils

  • Cliquez sur le bouton Nouveau… ou Renommer…
  • Dans la boîte de dialogue apparaissante, entrez le nouveau nom
  • Cliquez sur OK
  • Effacer une barre d’outils
  • Sélectionnez la barre d’icône dans la liste
  • Cliquez sur le bouton Effacer…
  • Confirmez l’effacement

Editer le contenu d’une barre d’icônes

Cliquez sur le nom de la barre d’outils à éditer, puis cliquez sur le bouton Editer... La boîte de dialogue suivante apparaît alors :

Cette boîte de dialogue est divisée en deux parties :

Sur la partie gauche, vous pouvez voir la liste des icônes disponibles en fonction du groupe de commande que vous pouvez sélectionner grâce à liste déroulante située en haut à gauche. Sur la droite apparaissent les icônes actuellement utilisées dans la barre d’outils en cours d’édition.

Grâce à cette boîte de dialogue, vous pouvez :

Monter / Descendre une icône

Dans la liste de droite, les icônes apparaissent dans le même ordre que dans la barre d’outils. Vous pouvez changer cet ordre en sélectionnant une icône dans cette liste puis en cliquant sur les boutons: Monter ou Descendre

Ajouter une icône existante

Pour ajouter une icône existante, sélectionnez là dans la liste de gauche puis cliquez sur Ajouter >>. Celle-ci est insérée juste avant l’icône sélectionnée dans la liste de droite.

Ajouter un séparateur

Pour ajouter un séparateur, cliquez sur le bouton Séparateur. Celui-ci est inséré juste avant l’icône sélectionnée dans la liste de droite.

Créer un nouveau bouton

Pour créer un nouveau bouton, cliquez sur Nouveau bouton. Celui-ci est inséré juste avant l’icône sélectionnée dans la liste de droite.

Effacer une icône

Pour effacer une icône de la barre d’outils, sélectionnez là dans la liste de droite puis cliquez sur << Effacer.

Editer la définition d’un bouton

Pour éditer la définition d’un bouton, sélectionnez l’icône correspondante dans liste de droite, puis cliquez sur le bouton Editer…La boîte de dialogue suivante apparaît :

Grâce à cette boîte de dialogue, vous pouvez :

Définir l’icône du bouton

Cliquez sur le bouton Icône… pour accéder à la boîte de dialogue permettant de sélectionner le fichier image de l’icône.

Définir le titre du bouton

C’est dans le champ Titre que vous devez entrer le nom du bouton. Ce nom sera également affiché dans la petite vignette de texte jaune qui apparaîtra lorsque vous promènerez la souris au-dessus de l’icône.

L’action du simple clic

Dans le champ Simple Clic, vous devez entrer la séquence de commandes que le système doit exécuter lorsque vous effectuerez un simple clic sur le bouton.

Définir des paramètres optionnels

Les paramètres suivants ne sont pas nécessaires à la définition d’un nouveau bouton :

PARAMETRE | DESCRIPTION
Sous barre | En choisissant le nom d’une barre d’outil dans cette liste déroulante, vous permettez l’accès à celle-ci à partir d’un clic maintenusur ce bouton
Double clic | Optionnellement, vous pouvez entrer la séquence de commandes que le système doit exécuter lorsque vous effectuerez un double-clic sur le bouton.
Contexte | Si vous entrez un nom dans ce champ, le simple fait de cliquer ultérieurement sur ce bouton entraînera la définition d’un nouveau contexte de travail. Un contexte enregistre et remplace à lui tout seul la position actuelle et l’affichage de toutes les barres d’outils.
  • IMPORTANT : L’image devant être utilisée pour l’icône doit être enregistrée au format BMP, 256 couleurs, et de dimensions 16x16 pixels.
  • IMPORTANT : Les noms des macro commandes doivent toujours être précédés du symbole \ ou /.
  • REMARQUE : La séquence de commandes peut être composée d’un ou de plusieurs noms de macro commande ARC+ et/ou paramètres séparés par des espaces. Vous pouvez également employer le symbole ; Signifiant appuyer sur Entrée


Réalisation de couper, copier, coller

Les entités peuvent être coupées, copiées, collées entre deux sessions, à l’aide du menu Edition, des icônes standards ou des raccourcis claviers habituels.

\presp

Pour copier des entités, vous devez préalablement les sélectionner à l’aide des outils de sélection d’ARC+.

  • CONSEIL : Reportez-vous au chapitre 12 du volume 2 afin de vous familiariser préalablement avec les outils de sélection d’ARC+.

Lors du collage des entités dans le fichier de destination, celles-ci viennent se placer en respectant la position absolue (par rapport à l’origine) qu’elles ont dans le fichier source, à partir duquel elles sont copiées.


Définir les composants de l'interface

Cette commande permet de définir les éléments suivants de l'interface à utiliser:

  • Menu déroulant (en haut)
  • Menu contextuel (clic droit)
  • Barres d'icônes
  • Raccourcis clavier

\setgui

Lors de l'appel de cette commande, la boîte de dialogue suivante apparaît :

Redéfinir le menu déroulant

Cliquez sur "Autre", puis sur le bouton "…" en face du nom du fichier actuel.

Une boîte de dialogue de sélection de fichier vous invite à indiquer le fichier POP à utiliser.

  • CONSEIL : Choisissez un fichier du type "*.pop"
  • CONSEIL : Pour afficher l'ancien menu déroulant (version Progress 3 et antérieures), choisissez "OLDPOP.POP" dans ARCUSER.

Redéfinir le menu contextuel

Cliquez sur "Autre", puis sur le bouton "…" en face du nom du fichier actuel.

Une boîte de dialogue de sélection de fichier vous invite à indiquer le fichier POP à utiliser.

  • CONSEIL : Choisissez un fichier du type "*_third*.pop"

Redéfinir les barres d'icônes

Cliquez sur "Autre", puis sur le bouton "…" en face du nom du fichier actuel.

Une boîte de dialogue de sélection de fichier vous invite à indiquer le fichier INI à utiliser.

  • CONSEIL : Choisissez un fichier du type "*.ini"

Redéfinir les raccourcis clavier

Cliquez sur "Autre", puis sur le bouton "…" en face du nom du fichier actuel.

Une boîte de dialogue de sélection de fichier vous invite à indiquer le fichier KBD à utiliser.

  • CONSEIL : Choisissez un fichier du type "*.kbd"
  • IMPORTANT : Pour que les modifications soient prises en compte, vous devez redémarrer ARC+. Ces paramètres seront conservés jusqu'à ce que vous les modifiiez à nouveau.


Affichage de l'indicateur de l'axe et de l'origine

Affiche ou occulte l'indicateur d'un axe et de l'origine des coordonnées de la fenêtre de travail.

\xonof

L'indicateur des axes XYZ est affiché en haut et à droite de l'écran.

  • IMPORTANT : Vous devez rafraichir l'écran après la manipulation pour voir la modification.


Edition d'un objet ou cadre dans une session séparée.

Cette fonction permet d’éditer le fichier d’origine d’un objet placé (dans le modèle géométrique) ou d'un cadre disposé sur une mise en page (DSG). Elle accède directement à ce fichier sans vous demander d'entrée son nom ou rechercher son emplacement dans vos répertoires.

Pour appeler cette commande, placer le curseur au-dessus de l’objet dont vous souhaitez éditer la source, puis à l’aide d’un clic sur le bouton droit de la souris, affichez le menu contextuel.

  • Choisissez l’option Editer objet placé.
  • Choisissez l’option Editer fichier source. À cet instant, une boîte de dialogue vous demande si vous souhaitez ou non éditer le fichier de l’objet désigné dans une fenêtre de session séparée.
  • Choisissez OUI afin que le système ouvre une nouvelle fenêtre de session d’ARC+ et y affiche directement le fichier source de l’objet.
  • Choissez NON afin que le système ouvre le fichier source de l’objet dans la fenêtre en cours, en remplaçant le fichier actuellement affiché. Dans ce cas le système vous demandera si vous souhaitez conserver les modifications apportées à ce fichier.


Cacher et afficher les barres d'outils

Cacher ou afficher les composants sur l’écran.

\toolbars

Dans la boîte de dialogue, cochez ou non les composants de l’écran que vous désirez afficher ou cacher.


Les Barres d'outils à icônes

Une icône est la représentation graphique d’une commande. Pour mettre en œuvre la commande, il suffit de cliquer l’icône avec la souris. Plus de 700 commandes sont disponibles en forme d’icônes.

Plusieurs manières sont possibles pour utiliser la barre d’outils principale des icônes :

  • Un simple clique pour exécuter la commande
  • Un double clique pour entrer des paramètres de la commande, s’il y a lieu

Maintenir enfoncé le bouton de la souris pour ouvrir un second niveau de la barre d’outils contenant des commandes supplémentaires.


Raccourcis clavier importants

Les raccourcis claviers suivants sont incorporés:

  • Touche Suppr
  • Touche Esc
  • Raccourcis CTRL+C/X/V
  • Touche Suppr

En pressant cette touche, vous activez la commande d'effacement des entités (\delete). Si des entités sont préalablement sélectionnées celles-ci sont détruites puis le système poursuit l'exécution de la commande précédente.

Si aucune entité n'est sélectionnée, cette commande vous demande alors d'indiquer successivement les entités à effacer.

Touche Esc

Cette touche permet d'interrompre la commande en cours d'exécution et de masquer la ligne de saisie si l'option ligne de saisie dynamique est active.

  • CONSEIL : Pour plus d'information, reportez-vous à la section : "Activer ou désactiver la ligne de saisie dynamique de ce manuel".

Raccourcis CTRL+C/X/V

Ces raccourcis permettent désormais respectivement de copier, couper et coller les entités sélectionnées.


La barre d'outils Calques

La barre d’outils calques vous permet de facilement gérer les calques dans ARC+.

Descriptions

ELEMENT | ACTION
 | Lancer le gestionnaire des calques.
 | Appliquer le calque courant aux entitées séléctionnés
  • REMARQUE : Cette barre d’outils a été séparée de la barre d’outils statut.

Cette commande vous permet d’appliquer le calque en cours aux entités indiquées ou sélectionnées. Indiquez une entité ou pressez Entrée si vous souhaitez déplacer le groupe de sélection vers le calque en cours..


La barre d'outils principale

Située à gauche de l'écran, la plupart de ses icônes n'activent pas de commande même s'il reste possible d'appeler certaines commandes de définition de styles d'entités à l'aide du double-clic.

Cette barre d'outil doit être considérée principalement comme un moyen d'accéder aux sous-barres d'outils ou de basculer entre les différents contextes de travail lorsque le principe de l’espace de travail dynamique est activé.

  • CONSEIL : Pour plus d'information, reportez-vous à la section suivante : "Principe de l’espace de travail dynamique"/p>

Le tableau ci-dessous résume les actions associées à chaque bouton de la barre d'outil :

Icône | Clic long | Simple clic | Double clic
 | Lignes, arcs et motif linéaires |  | Définir attributs de lignes
 | Polygones et solides |  | Définir attributs de lignes
 | Murs et ouvertures |  | Définir type de mur
 | Eléments placés (objets, images, etc...) |  | Placer objet dynamiquement
 | Textes |  | Définir attributs de textes
 | Cotations |  | Définir attributs de cotation
 | Infos | Interroger distance |

Sensibilité aux modes de travail

En fonction du mode de travail en cours (Rendu, DSG, Visualisation, etc..) la barre d'outils principale change d'aspect et peut même disparaître. Elle est en fait remplacée par une d'autres barres d'outils principales n'affichant que les commandes ou les groupes de commandes autorisées respectivement dans chacun des modes.


Barre d'outils Modes

Cette barre d’outils permet de gérer les modes de travail d'ARC+.

Descriptions

  • Activer/Désactiver les mode des contraintes angulaires, pour créer des lignes horizontales, verticales et dans des angles prédéfinies.
  • Activer/Désactiver la contrainte par incrément
  • Champs numérique pour l’indication de la valeur des pas de l’incrément
  • Activer/Désactiver le mode Attente pour différer l’exécution d’un point pendant la définition d’une nouvelle position du curseur
  • Activer /Désactiver la grille
  • Basculer entre le mode parallèle et le mode perspective pour visualiser un modèle
  • Basculer entre le mode 2D et le mode 3D pour visualiser un modèle.
  • Activer/ Désactiver le mode d’information dynamique
  • Activer /Désactiver l’affichage du mode remplissage de couleur / Hachures.
  • Basculer entre les différents modes de travail.

Basculer entre les différents modes de travail

Le passage d’un mode de travail à un autre est simplifié.

  • Pressez l’icône Mode de travail pour ouvrir un menu dans lequel vous pouvez choisir le mode de travail à activer.
  • Après validation du choix, l’icône de travail est modifiée en conséquence et le mode choisi est activé.
  • IMPORTANT : Si le processus d'automatisation du modèle 2D et 3D est activé, ce menu peut avoir un aspect différent en 2D et en 3D.


Interface multi documents

L’interface multi documents d’ARC+ permet d’ouvrir et d’éditer plusieurs modèles simultanément. Cette interface se traduit dans ARC+ par l’ouverture en parallèle de plusieurs sessions du logiciel. Vous pouvez ainsi soit éditer un nouveau fichier dans une session séparée afin de réaliser des couper, copier, coller plus facilement entre deux fichiers, soit visualiser en temps réel dans le dessin l’effet de la modification d’un objet placé.

Thèmes liés

  • Ouvrir une nouvelle session ARC+
  • Edition d'un objet ou cadre dans une session séparée.
  • Réalisation de couper, copier, coller


Nouveau menu contextuel

Le menu contextuel apparaît lorsque vous effectuez un clic droit dans la fenêtre principale. Le contenu de ce menu varie en fonction du mode de travail ou de l'entité (ou du vide) au-dessus de laquelle (duquel) vous cliquez.

Ce menu contextuel affiche une nouvelle organisation et son utilisation a été étendue à de nouveaux types d'entités.

  • IMPORTANT : L'ancienne formule du menu contextuel ne peut être restaurée.

Menus contextuels d'entités

Il s'agit des menus contextuels apparaissant en cliquant au-dessus d'une entité. Ces menus varient en fonction de l'entité :

  • IMPORTANT : La commande "Snapper au point" a été extraite du menu contextuel

Menus contextuels des modes de travail

Il s'agit des menus contextuels apparaissant en cliquant au-dessus d'un espace vide. Ce menu est différent en fonction du mode de travail (DSG, Visualisation, etc...)

  • IMPORTANT : Si l'option d'automatisation du modèle 2D et 3D est activée (par défaut) le menu contextuel du mode de modélisation est différent en fonction du mode 2D ou 3D.

Nouveaux types d'entités traités

8 nouveaux menus ont été ajoutés:

  • Lignes d'aide droites
  • Lignes d'aide courbes
  • Solides complexes
  • Faces des solides simples
  • Volume 3D des murs droits
  • Volume 3D des murs courbes
  • Courbes (splines)
  • Objets paramétrables


Le nouveau menu

En haut de l'écran apparaît le nouveau menu déroulant. Ce nouveau menu affiche une répartition claire des commandes dans un nombre de groupes plus restreint qu'auparavant.

En tenant compte des standards actuels, il facilite et accélère la recherche des commandes pour les nouveaux utilisateurs et permet une adaptation rapide à tous ceux qui sont habitués à l'ancien menu.

Cependant, si vous préférez l'ancien menu déroulant, il est possible de le restituer et de conserver ce choix au redémarrage d'ARC+.


Ouvrir une nouvelle session ARC+

Ouvre parallèlement à la session en cours une nouvelle fenêtre de session ARC+.

\arcplus

Au lancement de cette commande une nouvelle session complètement indépendante s’ouvre dans une fenêtre séparée. Les barres d’outils et menus déroulant sont distincts d’une fenêtre à l’autre et n'ont d’effet que sur leur session respective. Lorsque vous appelez une commande, prenez garde à être placé dans la fenêtre appropriée.

  • IMPORTANT : L’ouverture d’un trop grand nombre de sessions peut entraîner un ralentissement du système. Il est donc conseillé de fermer successivement toutes les sessions d’ARC+ inutilisées.

À l’aide des possibilités de disposition des fenêtres de Windows, cette nouvelle interface multi documents permet d’échanger très rapidement des entités entre deux modèles en basculant simplement d’une fenêtre à l’autre. Il est également possible de comparer visuellement deux dessins en les affichant côte à côte.

Gestion des fenêtres de session d’ARC+

Après avoir ouvert plusieurs sessions d’ARC+, vous pouvez facilement basculer d’une fenêtre à l’autre en utilisant l’un des principes Windows suivants :

  • Cliquer sur l’icône de l’application dans la barre des tâches de Windows
  • Utiliser le raccourci clavier (ALT+TAB) pour basculer sur l’application suivante.
  • Disposer les fenêtres d’application côte à côte, en utilisant l'option Mosaïque verticale.

  • REMARQUE : Pour fermer une session d’ARC+ il suffit de sélectionner la commande quitter du menu fichier ou de cliquer sur la croix de fermeture de fenêtre Windows


Organisation du nouveau menu déroulant

Les commandes sont réparties dans treize principaux menus :

  • Fichier
  • Calques
  • Edition
  • Modification
  • Sélection
  • Affichage
  • Outils
  • . (Options de CREATION de l'outil sélectionné)
  • .. (Options de MODIFICATION de l'outil sélectionné)
  • Lignes d'aides
  • Infos
  • Fenêtre
  • Modes
  • … (Options du Mode de travail sélectionné)
  • ?
  • Menus

À droite du menu Outil apparaît un menu remplacé automatiquement par le dernier sous-menu parcouru dans le menu Outils, à côté duquel se trouve le sous-menu Edition du menu Outils.

  • Toutes les icônes disponibles sont situées à gauche de chaque commande.
  • Tous les raccourcis disponibles sont situés dans la partie droite de chaque commande

Les fonctions principales de ces treize groupes sont détaillées ci-après :

Fichier

Ce menu regroupe toutes les commandes relatives à la gestion de fichier, l'import, l'export, l'envoie par e-mail et l'impression. Un sous menu Outils fichier contient les commandes de réparation, d'archivage et d'optimisation des fichiers. Seules les fonctions concernant la capture de l'écran dans un fichier ont été déplacées vers le menu Affichage

Calques

Ce menu regroupe toutes les commandes des calques directement disponibles à partir du menu principal.

Edition

Ce menu contient les principales commandes Windows typiques :annuler/répéter/couper/copier/coller.

Modification

Ce menu contient les commandes de modification des entités créées. La partie supérieure contient les commandes standard et les plus rapides telles que Déplacer, Copier, Rotation, etc. Dans la partie inférieure, toutes les commandes de modification possibles sont organisées en sous-menus contenant toutes les options possibles.

Affichage

Ce menu concentre toutes les commandes contrôlant la visualisation et la préparation du modèle à partir du processus en faisant appel à la 3D pour la production 2D.

Outils

Ce menu regroupe toutes les commandes de création d'entités et de placement d'éléments. Chaque menu choisi est mémorisé et placé dans le menu principal. Le sous-menu Edition se trouve en bas de chaque menu d’outils.Il contient des options d’édition spécifiques pour le menu d’outils spécifique choisi.Ce sous-menu est également placé dans le menu principal à côté du menu des outils.Ceci vous permet d’y accéder rapidement.

Exemple :Outils « lignes et arcs »

Lignes d'aides

Ce menu inclut toutes les commandes de création des lignes d’aide.Il possède la même structure que dans les versions antérieures.

Infos

Ce menu inclut toutes les commandes permettant de demander des informations sur les entités comme leur type, leur longueur, leur chemin d’accès, etc. Il possède la même structure que dans les versions antérieures.Il contient également des données de commande non géométriques pour la création d’applications BIM (Building Information Modeling).

Fenêtre

Ce menu donne accès à tous les types de fenêtres pour la création de sessions supplémentaires, la division et l’organisation de l’écran en sessions, en fenêtres de travail, en commandes de caméra et de zooms. Ceci vous permet, par exemple, de contrôler les vues perspectives 3D.Veuillez noter que les fenêtres de caméra et de zoom peuvent désormais être ouvertes et affichées à l’écran sous forme de fenêtres d’amarrage.

? (Aide)

Ce menu vous permet d’accéder à tous les manuels pdf disponibles, aux points forts de chaque version et aux sites Web liés pour disposer d’un maximum d’aide et rechercher toutes les commandes possibles.

Modes

Tous les modes sont désormais faciles à trouver grâce à leur structure logique.Chaque mode choisi est placé dans le menu principal à côté du menu des menus.

Menu

Tous les menus de votre système sont désormais accessibles.Par exemple, lorsque l’excellente application Sketch ADD ON est installée pour obtenir un rendu 2D exceptionnel, c’est ici qu’est affiché le menu ARC+ Sketch.


Caractéristiques fondamentales supplémentaires

Attributs des lignes

On utilise, pour le dessin normal, les conventions se rapportant au type de ligne, à l'épaisseur du trait et aux couleurs. Les types de lignes sont aussi utilisés pour faire la distinction entre groupes d'entités. Par exemple, les entités de la catégorie murs peuvent être dotées d'un trait de couleur différente des portions de murs. Les solides adoptent la même couleur que le polygone à partir duquel ils ont été créés. Tenez ce fait présent à l'esprit au moment de choisir les couleurs de votre modèle.

Arcs

Tous les arcs, que ce soit dans des lignes, des polygones ou des murs courbes sont construits à partir d'une série de petits segments de droites. Il s'ensuit qu'un modèle qui comporte un grand nombre d'arcs, peut devenir volumineux et ralentir le travail à l'écran. Le nombre de segments dans un mur courbe 3D est une variable que vous pouvez fixer vous-même. Pour d'autres arcs vous pouvez utiliser une commande qui spécifie le nombre de segments par arc. Pendant que vous construisez votre modèle, utilisez une valeur minimum pour vous permettre de travailler plus vite. Une fois que votre modèle est prêt à être présenté ou tracé, changez tout simplement le nombre de segments pour obtenir l'effet désiré.

Marquage

Certaines commandes exigent de l'utilisateur de marquer une entité spécifique. Déplacez la souris jusqu'à ce que le curseur soit sur, ou proche d'un point appartenant à l'entité visée. Lorsque vous cliquez le curseur, le système recherche l'entité la plus proche. L'entité détectée est mise en surbrillance en changeant les attributs de ses lignes et le système attend votre confirmation. Si vous répondez n (non) et ne confirmez pas l'entité marquée, le système continue à chercher une autre entité qui soit proche et qui sera à son tour mise en surbrillance.

Le groupe de sélection

Un groupe de sélection est un groupe d'entités et d'objets placés rassemblés pour vous permettre d'effectuer une opération donnée sur le groupe dans son ensemble. Par exemple, si vous êtes en train de dresser les plans d'un bâtiment dans lequel il y aura plusieurs pièces identiques, vous pouvez choisir une série de murs, de fenêtres et de portes qui décrivent la pièce de base et ensuite, simplement les recopier aux endroits voulus du bâtiment.

Calques

Les calques sont des assemblages 3D d'entités et d'objets placés, qui peuvent être soit affichés soit occultés. On peut comparer un calque à un plan de recouvrement représentant un sous-système particulier de votre projet—par exemple, le schéma des circuits électriques ou de la tuyauterie ou encore les phases d'une construction. Chaque modèle peut être divisé en 255 calques.

Unités et échelle

Les entités et le modèle sont créés dans ARC+ avec leurs dimensions réelles. Ainsi, si vous voulez créer un mur de 20 cm d'épaisseur et de 3.30 mètres de haut, entrez .2 pour l'épaisseur du mur et 3.3 pour sa hauteur. Toutes les entrées sont en mètres, à moins qu'il ne soit spécifié autrement dans la commande.

L'échelle n'affecte que la vue du modèle à l'écran et le résultat final à l'imprimante. Elle n'affecte pas le modèle lui-même. L'échelle affichée sur la ligne d'état ne représente que l'échelle à l'écran. Si par exemple l'échelle affichée est 1:100, cela veut dire qu'un centimètre sur l'écran représente à peu près 1 mètre sur le modèle. L'échelle à l'écran ne peut pas être fixée d'avance, elle résulte de votre modèle et des commandes de visualisation auxquelles vous faites appel.

Lors du tracé d'un dessin, vous devez spécifier une échelle pour le tracé en question. Du fait que le modèle est créé en dimensions réelles, une échelle de tracé de 1:100 donne un dessin dans lequel 1 cm sur le papier représente 1 mètre dans la réalité, etc.

Pour maîtriser la grandeur du texte dans différentes échelles, vous pouvez déterminer une échelle de référence lorsque vous tracez des dessins dans différentes échelles. Cette méthode est décrite dans les chapitres sur les Textes et le Tracé et impression.

Groupes de Système

Les groupes sont un certain nombre d’entités ayant une connexion logique entre elles. Un type de groupe temporaire que vous connaissez déjà est le groupe de sélection qui est une collection d’entités pouvant être manipulées comme une seule entité.

Un nouveau type d’objet dans le système est un groupe de système. Dans certains cas, vous risquez de recevoir un message indiquant que les entités indiquées font partie d’un groupe de système.

Les membres d’un groupe de système sont fixes. Par exemple, un solide résultant d’une opération de sculpture (booléenne), ou un escalier créé par un générateur d’escalier sont à proprement parler des groupes de système. Chaque marche est une entité séparée, cependant si vous manipulez les marches, l’escalier tout entier sera considéré comme un élément. Contrairement à une entité placée, chaque entité dans le groupe garde son identité initiale. Le système de groupe est nécessaire pour garder ensemble certains types de données, par exemple, les présentations 2D et 3D des escaliers. Les groupes de système sont une caractéristique du système, qui est invisible pour l’utilisateur.


Principe_de_l_espace_de_travail_dynamique_

Home > 1 Démarrage > Principe de l'espace de travail dynamique

Principe de l'espace de travail dynamique

Le principe de l’espace de travail dynamique offre la possibilité d’organiser des contextes de travail affichant automatiquement autour de votre fenêtre, uniquement les barres dont vous avez besoin où que vous auriez vous-même activé dans chacun de ces contextes.

Il est possible de désactiver cette fonctionnalité afin de retrouver un environnement de travail statique.

Entrer, sortir et redéfinir un contexte de travail

L'entrée dans un contexte s'effectue par un simple clic sur l'une des icônes de la première partie de la barre d'outils principale (au-dessus de l'icône Interroger distance). On sort d'un contexte simplement en entrant dans un autre. Le simple fait de sortir d'un contexte enregistre du même coup son état actuel. Au total le système gère 14 contextes répartis entre les différents modes de travail en cours :

Mode Modélisation, Calcul de Surfaces et Quantités
1.Lignes arcs et motif linéaires
2.Polygones et solides
3.Murs et ouvertures
4.Eléments placés (objets, images, etc...)
5.Textes
6.Cotations
Mode Mise en page (DSG)
7.Lignes, arcs et motif linéaires
8.Polygones et solides
9.Eléments placés (objets, images, etc...)
10.Textes
Mode Rendu
11.Polygones et solides
12.Murs et ouvertures
13.Eléments placés (objets, images, etc...)
Mode Visualisation (SOLID)
14.Contexte unique

Vous pouvez réorganiser chaque contexte en affichant, en masquant ou en déplaçant les barres d’icônes comme bon vous semble.

  • REMARQUE : Vous ne pouvez activer qu’un seul contexte à la fois. Ainsi un seul bouton reste enfoncé, vous permettant de vérifier dans quel contexte vous travaillez.


Protection_d_ARC_

Home > 1 Démarrage > Protection d'ARC+

Protection d'ARC+

ARC+ est protégé par une clé physique du type HASP Aladdin. Cette clé (parallèle ou USB) doit être connectée à votre ordinateur à tout moment afin qu’ARC+ puisse fonctionner.

Clé Réseau

Il existe aussi des clés HASP Aladdin du type « Réseau ». Ces clés USB peuvent fonctionner sur des réseaux d’ordinateurs. Leur forme et couleur sont différentes des clés HASP ordinaires. Elles permettent l’activation de plusieurs licences ARC+ simultanément (de 2 à 100 pour chaque clé).

Vous pouvez trouver l'information sur l'installation et le déploiement de ces clés dans les documents inclus dans le dossier d'installation d'ARC+ \SERVICES\DRIVERS HASP\NET HASP.

  • IMPORTANT : Les anciennes clés de type SENTINEL ne sont désormais plus supportées par ARC+. Ces clés doivent être remplacées par une clé du type Aladdin afin que votre logiciel puisse fonctionner. Dans le cas où vous avez une clé du type SENTINEL veuillez contacter votre distributeur afin de prendre connaissance de la procédure à suivre pour la remplacer.

Comment savoir quelle clé je possède ?

Si vous avez mis à jour votre logiciel depuis une version antérieure à ARC+ 2005 Edition, il est possible que vous soyez en possession d’une clé SENTINEL non compatible avec ARC+ 2007 2ème Edition et les versions plus récentes.

Les clés avec numéros de série à 10 chiffres ou plus, commençant par "200", ex : 20040617022, sont des clés du type SENTINEL et doivent être remplacées. Dans ce cas, veuillez contacter votre distributeur.

Le numéro de série d’une clé Aladdin comporte 5 chiffres. Par exemple : 90333 - Cette clé peut fonctionner avec ARC+ 2007 2ème Edition et les versions plus récentes.


Barre d'outils Echelle et unit

Home > 1 Démarrage > Barre d'outils Echelle et unit

Barre d'outils Echelle et unité

Par défaut, cette nouvelle barre d’outils n'est affichée dans aucun contexte de travail. Vous pouvez l'afficher en effectuant un clic droit sur n'importe quelle autre barre d'outil, puis choisissez Echelle et unité dans le menu apparaissant.

Elle regroupe diverses fonctions de gestion des unités de mesure, échelle d’écran et mise à l’échelle.

Description

  1. Spécifie l’échelle d'affichage désirée
  2. Permet de choisir l’unité de mesure avec laquelle vous souhaitez travailler:
    • mètres (m)
    • centimètres (cm)
    • millimètres (mm)
    • pieds
    • pouces
  3. Permet de choisir le mode de mise à l'échelle: automatique, fixe ou inactives.


Configuration de l'écran

Vous pouvez, à votre guise, réagencer les fenêtres ainsi que d'autres éléments importants de l'écran.

Sauvegardez l'arrangement courant des éléments de l'écran, tels que:

  • taille et position des fenêtres de travail et de contrôle
  • configuration des couleurs d'affichage
  • paramètres de vue courants — oeil, cible et échelle

\savecfg

La configuration par défaut est sauvegardée par le système.

La configuration de votre écran sera charger automatiquement à chaque ouverture d’ARC+.


Disposition_de_l__cran

Home > 1 Démarrage > Disposition de l'écran

Disposition de l'écran

Définit la mise en page de votre écran.

  • Fenêtres de contrôle
  • x, y fenêtres de contrôle de vues
  • y, z fenêtres de contrôle de vues
  • x, z fenêtres de contrôle de vues
  • Des fenêtres de contrôle de zoom

\winset

Vous pouvez désormais ouvrir plusieurs fenêtres de travail contenant chacune une vue différente de votre modèle. Appuyez simplement sur le raccourci-clavier Ctrl + ←. pour ouvrir une fenêtre de travail supplémentaire. Pour ouvrir des fenêtres de contrôle de vue, appuyez sur Ctrl + →.


Barre d'état

La barre au bas de l’écran donne les informations suivantes:

  • masquage actif ou inactif — vous informe s’il y a ou non des entités masquées
  • calques actifs ou inactifs — vous informe s’il y a ou on des calques inactifs
  • options Snap — vous informe si le dernier snap était sur le point le plus proche sur une entité, à la fin d’une ligne, d’une intersection ou d’un arc


Ligne d'état

La ligne d'état affiche les coordonnées x,y,z de la position courante du curseur. Seules les coordonnées de deux axes peuvent être actives en même temps. Si vous changez le plan de la vue, par exemple si vous passez d'une vue en plan à une vue en élévation, les coordonnées figurant sur la ligne d'état changeront en conséquence (La valeur de la coordonnée de l’axe inactif est affichée entre crochets).

La ligne d’état affiche les informations suivantes sur l’état courant d’ARC+. La plupart des options sont interactives, ce qui vous permet de changer une fonctionnalité en sur les boutons et les symboles de la barre d’état. Les champs suivants sont affichés :

xyz

Les coordonnées xyz courantes du curseur dans l’espace tridimensionnel (affichage seulement).

echelle

L’échelle d’affichage courante de votre modèle sur l’écran. L’affichage 11 définit les potions d’échelles: 1:1, 1:5, 1:10, 1:20, 1:25, 1:50, 1:100, 1:200, 1:250, 1:500, 1:1000 (par défaut 1:100)

inactif/fixe/auto

Cliquez pour changer le mode d’échelle courant (voir Visualisation, Définition du mode d’échelle de l’écran, commande \sclmode) (par défaut—inactif).

l

La distance (en trois dimensions) entre la position courante du curseur et le dernier point (affichage seulement).

a

L’angle formé par la position courante du curseur et le dernier point (affichage seulement).

calque

Le calque de travail courant d’ARC+.Cliquez pour afficher la boîte de dialogue gestionnaire de calques [défaut—1].

paral/persp

Cliquez pour basculer entre la vue en mode parallèle ou en mode perspective (par défaut—paral).

model/filaire/etc.

Cliquez pour sélectionner le mode de travail: Modèle (géométrique), Calculs de Surfaces, Rapports de Quantités, DSG, Solide, et Visualisation avancée. En mode Solide, un clic supplémentaire affiche les 7 options de vue des solides:

  • model—mode modélisation
  • filaire—mode filaire (solide)
  • cache—suppression des lignes cachées
  • surfs—surfaces
  • ombres—ombres
  • mombres—ombres (monochrome)
  • porte—ombres portées
  • mport—ombres portées (monochrome)

(Voir Vues, Définition du mode d’affichage, commande \dspmod) [par défaut—model].

Indicateur d’attribut de la ligne courante—Indique la couleur, l’épaisseur et le type de la ligne courante (voir Outils de base, Définition des attributs de ligne, commande \aline).


La_barre_d_outils_Statut

Home > 1 Démarrage > La barre d'outils Statut

La barre d'outils Statut

Cette barre d’outils vous permet de modifier tous les attributs de couleurs et remplissages des entités d’ARC+. Elle vous permet aussi de régler l’épaisseur et le type de la ligne courante ainsi que les modes de remplissage des polygones 2D.

Descriptions

ELEMENT | ACTION
 | Définir la couleur, l’épaisseur, le type et le calque par échantillon
 | Sélecteur de couleurs – Permet de sélectionner rapidement une couleur; La couleur sélectionnée devient la couleur courante avec laquelle les entités sont réalisées et/ou remplies. Il est possible de choisir et d’ajouter des couleurs parmi les 255 couleurs disponibles en cliquant sur Sélectionner au bas du sélecteur.
 | Attributs de la ligne en cours : type
 | Attributs de la ligne en cours : Épaisseur
 | Appliquer les attributs de ligne courants.
 | Style de remplissage des polygones de surface.
 | Appliquer les paramètres de remplissage de couleur ou hachures (\fill) aux polygones indiqués ou sélectionnés.
  • REMARQUE : Les épaisseurs de ligne affichées coïncident avec les épaisseurs de ligne définies dans les "Paramètres d’impression – Table Epaisseur Couleur".

Réglage par échantillon

Cette commande permet de régler les attributs de ligne en se basant sur ceux d’une entité existante dans le modèle.

Indiquez une entité dans votre modèle. Une boîte de dialogue apparaît et vous permet de choisir un ou plusieurs attributs à capturer. Après validation de vos choix, les informations concernées dans la barre d’outils sont actualisées.

Appliquer les attributs de ligne courants

Cette commande vous permet d’appliquer les attributs de ligne en cours aux entités indiquées ou sélectionnées. Cliquez sur cette icône et indiquez l’entité à mettre à jour ou pressez Entrée si vous voulez appliquer les réglages au groupe de sélection.

Appliquer les attributs de remplissage courants

Cette commande vous permet d’appliquer les attributs de remplissage en cours aux polygones indiqués ou sélectionnés. Cliquez sur cette icône et indiquez le polygone à mettre à jour ou pressez Entrée si vous voulez appliquer les réglages à tous les polygones sélectionnés.


Résumé des principaux éléments déplacés

Pour vous familiariser à la structure de ce nouveau menu déroulant, les tableaux suivants proposent une synthèse des principaux menus et commandes qui ont été déplacés.

Ancien emplacement

Nouvel emplacement

Remarques

Render | Mode Mode Rendu | Editer le rendu revient à agir sur ce qui paraît à l'affichage.
Textes | Outils Textes | Les menus Textes et Cotation permettent la création de nouvelles entités. C'est pourquoi ils figurent maintenant dans le menu Outils.
Cotations | Outils Cotations
Calques | Calques | La gestion des calques est si importante qu’elle doit se trouver dans le menu principal.
Modification | Modification | La modification d’entités est le principal attrait et le principal avantage de la conception assistée par ordinateur; ce doit donc être un menu principal.
Sélection | Sélectionner | L’opération de sélection est utilisée si souvent qu’elle doit se trouver dans le menu principal.
DSG | Modes | La mise en page de vos dessins est un processus à part entière facilement contrôlable à partir de ce menu distinct.
Config | Outils Options... | Les commandes que contenait ce menu ont été réparties dans plusieurs sous-groupes. Ces commandes ne sont pas utilisées au quotidien et sont souvent utilisées une seule fois pour définir vos préférences.

Principales commandes déplacées

Ancien emplacement | Nouvel emplacement | Remarques
Accès aux modes Modélisation, DSG, Render, SOLID, Surfaces et Quantité | Bouton Mode de travail de la barre d'outils Modes | Toutes les commandes d'accès aux différents modes de travail d'ARC+ sont désormais du même style que celles du menu déroulant sous Modes.
Sauver projection 2D | Gestionnaire de caméra et de section | Les captures d'écrans dans un fichier ARC+ (\save2d) ont été optimisées, avec notamment la gestion des calques et de nombreuses options intelligentes disponibles dans cette fenêtre d’amarrage.
Afficher/Maquer les entités sélectionnées | Sélection | Il s'agit de la commande \blnk concernant les sélections actives.
Commandes de contrôle des calques | Calques... | Toutes les commandes concernant la gestion des calques sont désormais accessibles à partir de la fenêtre et du menu.
Nouvelle session Contrôle de vue | Fenêtre Fenêtre | Il est à noter que le menu Fenêtre contient toutes les commandes d'affichage des fenêtres de contrôle de vues ainsi que la commande Nouvelle session.


Les barres d'outils système

Les barres d’outils système suivantes d'ARC+ ont été créées pour en améliorer la flexibilité d’emploi:

  • Barre d'outils Modes
  • Barre d'outils Statuts
  • Barre d’outils Calques
  • Barre d'outils Échelles et unité

Par ailleurs, la barre d'outils Ligne de saisie peut désormais apparaître et être masquée automatiquement.


L'environnement d'ARC+

Vous contrôlez le curseur graphique sur l'écran au moyen de la souris et du clavier. La position courante, ou la coordonnée du curseur, est affichée sur la ligne d'état. Vous utilisez aussi la souris pour sélectionner des commandes dans les menus déroulants et les icônes, et vous pouvez entrer des commandes sur la ligne d'entrées à l’aide du clavier.

Pour passer en revue les opérations normales de la souris, du clavier et des menus, veuillez consulter les guides de l'utilisateur, les manuels de référence et le matériel didactique qui accompagnent votre ordinateur.


Utilitaires

Le dossier SERVICES est une sorte de boîte à outils. Au fil du temps cette trousse à outils est susceptible d’être agrémentée d’autres outils afin de vous faciliter certaines manipulations.

Les pilotes des clés de protection sont aussi présents dans le sous-dossier Drivers Keys

Présentation des outils

Ce sont tous des programmes exécutables.

  • Inst_Drv_Key.exe : Permet d’installer ou de désinstaller les pilotes des clés de protection.
  • ARC+.ini : Vous permet de visualiser les détails de votre version d’ARC+ (N° du build, la langue etc.)
  • SETVERSION_INST.exe : Permet de re-installer le Lanceur ARC+ et de récupérer son raccourci sur le bureau.
  • REMARQUES : Lorsque vous utilisez l’utilitaire de désinstallation des pilotes, si un autre logiciel utilise le même type de protection que celui-ci d'ARC+, il ne pourra plus être utilisé.

Les utilitaires de la clé de protection ne peuvent fonctionner qu’à partir du dossier «SERVICES» et à condition que le sous dossier "Drivers Keys" soit aussi présent.


Types d'entités présents dans ARC+

L'unité fondamentale reconnue par le système est une entité—ou un élément—géométrique. Dans le but de rehausser le processus de création, le système fournit plusieurs types d'entités, chacune possédant ses caractéristiques propres et ayant un but particulier. Les entités suivantes sont brièvement traitées dans ce paragraphe. Pour une description complète, veuillez consulter les chapitres correspondants du manuel:

  • Entité filaire (lignes et arcs)
  • Polygones (surface et symbole)
  • Corps solides (simples et complexes)
  • Murs
  • Escaliers
  • Hachures, motifs surfaciques, motifs linéaires
  • Points
  • Lignes d'aide
  • Objets placés
  • Images (données matricielles)
  • Textes
  • Cotations
  • Entités filaires

Une entité filaire (ligne ou arc) est un élément graphique entièrement composé de lignes 2D et dépourvu de propriétés de surface ou de volume. Cette entité ne peut pas être étendue pour être transformée en une entité solide. Une ligne peut être définie par deux points quelconques de l'espace, les cercles et les arcs peuvent être définis sur un plan quelconque. Une construction 3D faite d'entités filaires n'est pas considérée comme une entité solide et ses lignes cachées ne peuvent pas être supprimées (autrement dit elle demeure transparente). Chaque segment demeure une entité indépendante.

Les entités filaires peuvent être utilisées en tant que compléments graphiques aux surfaces d'entités volumiques, limites de sites, routes, etc. et pour mettre une dernière main à un dessin 2D. On peut aussi s'en servir pour représenter, par exemple, les reflets de meneaux dans un atrium quand un effet de transparence est demandé. Une boucle fermée d'entités filaires peut être transformée en polygone.

Polygones

Les polygones sont des suites de lignes et d'arcs 2D possédant des qualités 3D. Ils peuvent être étendus de plusieurs manières différentes pour devenir des entités tridimensionnelles. Toutes les parties du polygone doivent appartenir au même plan pour éviter des problèmes au moment de la création d'entités solides. Des solides négatifs—qui sont en fait des trous—peuvent être créés pour représenter des ouvertures dans des polygones et dans des murs.

Les commandes fondamentales de création de polygones créent des polygones qui sont une suite de lignes. Lorsqu'un polygone est fermé il devient un polygone de surface qui se comporte comme une surface opaque dans le mode de visualisation solide. Par ailleurs, vous avez aussi l'option de le transformer en un polygone symbolique transparent. Un polygone peut être éclaté en une série d'entités filaires et perdre ainsi toutes ses propriétés 3D.

Corps solides simples

Une entité solide est une entité tridimensionnelle constituée de deux polygones dont les sommets sont reliés par des arêtes. Il existe différentes méthodes pour créer des entités solides, par exemple, étendre un polygone pour créer un prisme ou relier deux polygones pour créer une entité à deux bases. Les entités solides peuvent être soit solides (par exemple, des colonnes), soit négatives (par exemple, des ouvertures dans les murs). Elles peuvent être affichées à l'aide de l'un des modes de visualisation suivants:

  • Fenêtre filaire (transparente)
  • Lignes cachées supprimées
  • Surfaces colorées
  • Surfaces hachurées en couleur
  • Surfaces hachurées monochromatiques
  • Surfaces colorées et ombres
  • surfaces monochromatiques et ombres
  • REMARQUE : Les surfaces colorées ne peuvent pas être imprimées ou tracées.

Corps solides complexes

Les solides complexes sont des solides d'un type spécial. Il peuvent être créés de plusieurs manières:

  • En faisant pivoter un polygone pour obtenir un solide de révolution
  • En définissant des opérations
  • En conservant la partie d'un mur ou d'un solide coupé

Ces solides ne présentent plus les caractéristiques du type de l'entité d'origine. Toutes les faces du solide sont des polygones de surface.

Murs

Les murs sont des entités bidimensionnelles et tridimensionnelles dotées de propriétés spéciales. Ils peuvent être par exemple multicouches et avoir des attributs de hauteur. Les murs et les ouvertures peuvent être sauvegardés dans les catalogues d'ARC+. Vous maîtrisez les positions des murs en faisant usage des symétries et des alignements. Les jonctions multicouches de murs sont résolues par des solutions générées par le système.

Un mur créé initialement en 2D, peut être, à votre gré, étendu en un mur 3D. Des ouvertures, telles que portes et fenêtres, peuvent être insérées dans le mur en 2D, en tant que symboles, avec tous les attributs 3D, ou en 3D en tant que trou. Le système fournit aussi des solutions appelées conditions de bord, là où les ouvertures doivent être intégrées aux murs multicouches.

Escaliers

Les escaliers sont des entités 2D ou 3D qui sont générées automatiquement par ARC+, après avoir défini une série de paramètres. Etant donné que certains paramètres sont interdépendants, vous décidez lesquels des paramètres seront fixés par vous et lesquels seront calculés par le système. De plus, vous pouvez aussi définir l'intervalle attribué à chacun des paramètres.

Objets placés

On appelle objets placés des modèles 2D ou 3D stockés dans un catalogue et qui sont ensuite placés dans d'autres fichiers. Ces entités se comportent comme des entités uniques, quelque soit la composition qu'elles avaient dans leur fichier original. Un objet placé est en fait une référence pour le modèle extérieur. Il s'ensuit que si le modèle est modifié, tous les objets placés dans d'autres modèles sont automatiquement mis à jour. Vous pouvez disposer des objets placés suivant une hiérarchie allant jusqu'à cinq niveaux.

Images

Les images provenant d’appareils photos numériques, de scans ou de programmes de rendu, et de ce qu’on appelle les fichiers matriciels sont entièrement supportées.Une fois positionnées à partir de formats de fichiers externes, elles sont totalement intégrées au format de fichier ARC+.Ceci vous permet de les contrôler, de les accrocher, de les éditer, de les filtrer et de les mettre à l’échelle grâce à une grande variété de filtres.Ceci réduit ou supprime le besoin de logiciels d’édition de trame externes.Les images peuvent être importées et exportés via 46 formats.Les images comportant un canal alpha peuvent être affichées avec des zones transparentes.Une commande permet d’afficher les images au premier plan ou en arrière-plan, mais également de couvrir ou non les données vectorielles.

En plus des fonctionnalités standard, il existe deux ADD ONS qui utilisent le support d’image tramée.

  1. ARC+ SKETCH est une licence de type ADDON qui offre à la fois un menu et une immense collection d’esquisses de matériaux et d’objets (des milliers). Elle vous permet de travailler à l’échelle et d’obtenir un rendu 2D similaire à un dessin réalisé à la main en un minimum de temps et d’efforts
  2. ARC+ Photo est une licence de type ADDON qui vous permet de rectifier les images photo de produits, de bâtiments ou de matériaux.

Hachures, motifs surfaciques et motifs linéaires

Les hachures considérées en tant qu'entités, sont des motifs utilisés pour le remplissage de polygones. Le hachurage est créé en définissant un certain nombre de paramètres pour une série de droites parallèles tracées dans une direction particulière. Un polygone fermé est nécessaire pour délimiter les hachures, quoiqu'il peut être supprimé par la suite. Le polygone peut être hachuré sur n'importe quel plan en trois dimensions.

Les motifs surfaciques sont basés sur un motif ou un dessin plan, répété autant de fois qu'il le faut pour remplir une surface délimitée par un polygone. Les motifs linéaires sont des unités créées d'avance et répétées suivant une ligne invisible. Ces motifs sont formés d'éléments alphanumériques et sont dotés des propriétés d'attributs de textes. Le logiciel ARC+ contient des catalogues de motifs prédéfinis, auxquels naturellement vous pouvez ajouter les vôtres.

Lignes d'aide

Les lignes d'aide sont des lignes qui servent de guide et servent à construire d'autres entités ou à localiser des points dans l'espace. Les lignes d'aide sont d'ordinaire utilisées temporairement et en tant que telles, elles sont facilement introduites et supprimées. Elles sont représentées en pointillés pour les différencier des autres lignes. Elles peuvent être créées dans n'importe quel plan en trois dimensions. Les lignes d'aide ne peuvent pas être imprimées ou sorties au traceur, ni même converties au format DXF.

Textes et cotations

Les entités texte sont les données alphanumériques qui peuvent être ajoutées à votre modèle. Un texte peut être créé et visualisé sur n'importe lequel des plans principaux. Vous pouvez influer sur différents aspects du texte, comme par exemple sur la police, les espacements, la justification et la taille relative lors d'une sortie à l'imprimante ou au traceur.

Les lignes de cotations comportent une ligne, les lignes de rappel et le "texte" associé—la valeur de la cote elle-même. Le logiciel ARC+ fournit automatiquement des cotes précises pour les dimensions réelles du modèle. Les attributs du texte et de la cotation sont semblables.

Points

Les points sont des éléments spéciaux dont vous pouvez vous servir pour marquer les positions dans l'espace. Les points sont définis par l'intersection de trois lignes, parallèles chacune à l'un des axes principaux. Lors d'une opération de raccrochement à un point, le curseur est toujours attiré par l'intersection des lignes plutôt que par leurs extrémités. Les points peuvent être effacés par une commande spéciale. Ils se trouvent dans la base de données et peuvent être transmis au traceur. Ils peuvent être sélectionnés séparément par une option spéciale de sélection. Les points ne doivent pas être confondus avec des points d'aide (qui sont des entités appartenant à des lignes d'aide) ni avec des marqueurs qui ne se trouvent pas dans la base de données. Ces marqueurs sont associés à des arcs, des objets placés ou des éléments de textes


Mettre à jour ARC+ par Internet

ARC+ vous permet de mettre à jour votre logiciel par internet. Avant d'effectuer la mise à jour, veuillez préalablement sauvegarder tous vos projets puis quitter ARC+.

Vous pouvez lancer la procédure par :

  • Le raccourci du Menu démarrer (à condition que vous ayez gardé l’option lors de l’installation d’ARC+).
  • En exécutant le programme UPDATE.EXE présent dans le dossier BIN d’ARC+ Edition 2009. (Ex : "C:\Program Files\ARC+ 2009 Edition\bin\update.exe").
  • Depuis le menu contextuel du lanceur ARC+ (voir ci-dessous) en cliquant sur l’option Lancer la mise à jour automatique.
  • Depuis le menu contextuel du lanceur ARC+ (voir ci-dessous) en cliquant sur l’option Ouvrir le gestionnaire de mise à jour d'ARC+.

L’assistant de mise à jour

Une fois la mise à jour lancée, l’assistant de mise à jour se met en marche :

La fenêtre de bienvenue vous présente la version d’ARC+ qui sera mise à jour.

  1. Cliquez sur Suivant. La seconde fenêtre vous prévient de la recherche des mises à jour disponibles sur nos serveurs: Si aucune mise à jour n’est disponible, la procédure vous informe que votre version d’ARC+ est à jour. Si une mise à jour est disponible, la procédure télécharge et installe automatiquement les nouveaux fichiers.
  2. Cliquez sur Terminer pour quitter la procédure. Vous pouvez également en cliquant sur le bouton Montrer le rapport visualiser la liste des nouveaux fichiers installés.
  3. Répétez cette procédure jusqu’à ce que s’affiche le message vous indiquant que votre version est à jour.
  • REMARQUE : Suivant la quantité de fichiers à télécharger la procédure peut être plus ou moins longue.
  • IMPORTANT : Si pour une raison quelconque, la communication est coupée au milieu de la procédure, veuillez répéter la mise à jour jusqu’à ce que celle-ci soit complètement effectuée.

Le gestionnaire de mise à jour

Vous pouvez lancer le gestionnaire de mise à jour depuis le menu contextuel du lanceur ARC+ lié à chacune des versions que vous avez précédemment installées. Ces versions figurent dans la liste du lanceur, le menu contextuel s’active avec un clic droit sur le nom de la version.

  1. Sélectionnez l'option Ouvrir le gestionnaire de mise à jour d'ARC+ :

  2. Choisisez une des options suivantes de la liste déroulante Autoupdate : Une fois par jour – Le gestionnaire ARC vérifiera automatiquement tous les jours si une nouvelle mises à jour est disponible pour votre version. Une fois par semaine (conseillé) – Le gestionnaire ARC vérifiera automatiquement toutes les semaines si une nouvelle mise à jour est disponible pour votre version. Cette option est fortement conseillée. Une fois par mois – Le gestionnaire ARC vous demandera tous les mois si vous souhaitez vérifier si une éventuelle mise à jour est disponible. Jamais (non conseillé) - Le gestionnaire ARC ne vérifiera jamais si une mise à jour est disponible pour votre version. Cette option n’est pas conseillée.

Le gestionnaire affiche dans les rubriques appropriées la date de la dernière mise à jour réussie ainsi que la date de la dernière tentative de mise à jour.

En cliquant sur le bouton Vérifier si une mise à jour est disponible en ligne maintenant vous lancez l’assistant de mise à jour pour votre version.


Utilisation du lanceur ARC+

Le lanceur ARC+ vous permet d’alterner entre plusieurs versions ou builds d’ARC+. Il est possible, par exemple, d’installer sur votre ordinateur ARC+ Edition 2009 et ARC+ 2011 en Français. Le lanceur ARC+ vous permettra de choisir sur laquelle des versions vous voulez travailler.

  • IMPORTANT : Votre clé de protection Aladdin doit être configurée pour pouvoir travailler sur plusieurs versions d’ARC+. Si vous avez travaillé par exemple sur ARC+ 2009 Edition et qu’à l’occasion de la mise à jour vers ARC+ vous avez effectué un échange de clé de protection vous devrez demander à votre distributeur des codes d’activation pour toutes les versions que vous souhaitez utiliser.

Lors de l’installation, l’option Raccourcis bureau est cochée. L’installeur d’ARC+ placera un raccourci vers le lanceur ARC+ sur votre bureau :

En cliquant deux fois sur cette icône, le Lanceur ARC+ apparaît :

Si vous venez d’installer une version d’ARC+ cette version est automatiquement repérée par le lanceur et est ajoutée dans la liste.

Si vous avez des versions déjà installées sur votre système, vous pouvez Cliquer sur pour ajouter cette version d’ARC+ au lanceur. La boîte de dialogue suivante apparaît :

  • Cliquez sur le bouton à droite du champ ARCPATH. Pointez sur l’emplacement du dossier d’installation d’ARC+ :

  • Vérifiez que le dossier est « ouvert » () puis cliquez sur OK
  • Le champ Nom de version - saisissez le nom de la version d’ARC+ que vous souhaitez faire apparaître dans le lanceur ou laisser le nom proposé, qui est identique au nom du dossier ARCPATH sélectionné.
  • Tous les autres champs de la rubrique Chemins système seront remplis automatiquement avec les sous-dossiers de l’installation de la version choisie :

  • Pour ARCALIB (bibliothèque d’objets placés), ARCTEMP (dossier des fichiers temporaires créés lors du travail sur ARC+) et ARCWORK (dossier du travail pour le démarrage de la session) – vous pouvez définir d’autre chemins pointant sur autres dossiers. Néanmoins, vous ne pouvez pas modifier les chemins d’accès et dossiers d’emplacement de : ARCRESOURCE (emplacement des ressources du programme ARC+) et ARCUSER (emplacement des définitions et préférences utilisateur).
  • Cliquez sur OK

Le nom de la version que vous venez d’ajouter apparaît dans la fenêtre de lancement des versions:

  • Vous pouvez répéter la procédure ci-dessus pour ajouter autant de versions d’ARC+ que vous voulez.
  • Vous pouvez cliquez sur pour éditer les chemins et dossiers d’une version définie ou sur pour l’enlever de la liste du lanceur.
  • REMARQUE : Le bouton «Effacer » ne désinstalle pas la version il ne fait qu’à l’enlever de la liste des versions disponibles au lancement directe d'ARC+.

Ajouter le lanceur à la barre d’outils Windows®

En cochant l’option « Ajouter le lanceur ARC+ à la barre d'outils » une icône réduite du lanceur sera ajoutée dans la barre d’outils générale de Windows®, après la fermeture du gestionnaire :

Un clic droit sur l’icône du lanceur ARC+ ouvrira un menu contextuel avec plusieurs options :

Toutes les versions d’ARC+ que vous avez configurées dans le gestionnaire du lanceur apparaissent ici dans le même ordre. Sélectionnez une d'entre elles pour démarrer ARC+ directement. Deux autres options vous sont proposées sur cette liste, pour ouvrir ou fermer la fenêtre du gestionnaire.

  • REMARQUE : Ce nouveau Lanceur ARC+ vous permet de démarrer plusieurs sessions de la même version provenant du même dossier d'installation) et vous empêche d'ouvrir des versions différentes simultanément.

Démarrer une version ARC+ depuis le lanceur

Vous avez deux façons pour démarrer une version d’ARC+ depuis le lanceur :

  • Cliquer sur Pour lancer la version choisie ou -
  • Double-cliquez sur son nom dans la fenêtre de lancement des versions.

Gestion des versions installés depuis le lanceur

Il est possible de gérer et traiter les versions d’ARC+ installées sur votre système depuis le Gestionnaire du lanceur 'ARCPLUS'. Pour cela, lancez le menu contextuel lié à chacune des versions en cliquant sur le nom de la version avec le bouton droit de la souris :

  • Démarrer la mise à jour automatique – Lance l’outil de mise à jour de votre version qui cherchera la dernière mise à jour disponible.
  • Ouvrir le gestionnaire de mise à jour d’ARC+ - Lance le gestionnaire de mise à jour d’ARC+ (Voir : Mettre à jour ARC+ par Internet dans ce chapitre)
  • Désinstaller cette version – Lance l’utilitaire unins000.exe qui désinstallera la version choisie.
  • REMARQUE : Une fois la version choisie est désinstallée veuillez fermer le lanceur ARC+ depuis la barre d’outils Windows (clique droit sur l’icône et « Fermer le gestionnaire du lanceur ARC+ ») afin que la désinstallation sera prise en compte par le lanceur.
  • Programmer la clé de protection pour cette version – Lance l’outil UPDHASP.EXE qui vous permet d’entrer des nouveaux codes d’activation pour une version déjà installée, de les mettre à jour ou de changer la date d'expiration.


Utiliser la ligne de saisie et le clavier

La ligne d'entrées au bas de l'écran est la région utilisée pour l’interaction entre le programmeur et l'utilisateur. La plupart des commandes exigent l'entrée de renseignements. Evidemment, un message approprié ou une instruction est affiché au-dessus de la ligne d'entrée. La ligne d'entrées comprend en fait deux rangées—l'une pour les messages venant du système et l'autre destinée à la saisie des données fournies par l'utilisateur.

  • La rangée supérieure affiche les messages et les prompts du système.
  • La deuxième rangée est utilisée pour entrer les noms des commandes et des options, les coordonnées ainsi que d'autres variables à entrer au moyen du clavier.
  • REMARQUE : Lorsque vous tapez des commandes à la ligne d'entrée, la commande doit toujours être précédée d'un backslash (\) ou d'un slash (/).

Prompts sur la ligne d'entrées

Les prompts sont des messages du système destinés à vous guider parmi les sélections et les options possibles d'une commande donnée. La première partie du prompt (entre parenthèses) définit la catégorie générale de l'entrée requise, alors que la seconde définit le type de renseignement spécifique nécessaire. Dans l'exemple suivant,

(POINT) premier angle de la fenêtre

le prompt vous demande de spécifier un point (soit avec la souris, soit par ses coordonnées) qui définira la position de l'angle de la fenêtre pour une commande donnée.

Les catégories générales des paramètres sont les suivantes:

Prompt | Explication
(point) | Choisir un point. La valeur du point doit être définie sur les axes x, y et z
(ind) | Indiquer une entité sur le modèle
(num) | Entrer un nombre
(char) | Entrer des caractères, par exemple, la lettre correspondant à une option
(y/n) | Répondre par oui (Y) ou par non (N)

Un autre aspect à considérer en ce qui concerne la ligne d'entrées: vous ne devez pas attendre le prompt. Dans la plupart des cas, si vous connaissez l'ordre d'apparition des prompts, vous pouvez taper vos réponses en séquence avant même leur apparition. Par exemple, \walk l 90 a deux paramètres—l = gauche et 90 = quatre vingt dix degrés. (Les seules exceptions sont les prompts exigeant ind—c'est-à-dire indiquer une entité et ceux vous demandant d'appuyer sur Enter pour continuer).

Avec l'expérience, vous pourrez entrer une chaîne de caractères (comprenant des espaces), par exemple en réponse à une série de prompts dans une commande donnée ou même une chaîne de commandes et de paramètres.

En tapant des données dans la ligne d'entrées, vous pouvez vous servir des touches d'édition ordinaires du clavier, telles que Ins, Del, Retour en arrière, End, Home et les flèches. La touche Shift, pressée simultanément à End ou Home efface la ligne depuis la position du curseur jusqu'à la fin, ou jusqu'au début de la ligne, respectivement.

Valeurs par défaut

Dans certaines commandes, le système affiche une valeur de paramètre suggérée, connue sous le nom de valeur par défaut. Les valeurs par défaut sont soit des paramètres prédéterminés fréquemment utilisés par le système, soit des paramètres précédemment spécifiés par l'utilisateur (durant la session de travail en cours). Vous pouvez accepter la valeur par défaut en appuyant sur la touche Enter, ou au contraire entrer une autre valeur du paramètre en surchargeant la valeur affichée. Pour effacer la valeur par défaut, pressez sur la barre d'espacement.

Messages d'erreur

Le système vérifie les entrées de l'utilisateur et rejette les saisies illégales. Si vous entrez un paramètre illégal, un message d'erreur est aussitôt affiché. Le paramètre et le prompt demeurent sur la ligne d'entrées afin que vous puissiez corriger vos données. Dans certains cas, le message décrit le type d'erreur.

Utilisation des codes raccourcis

En dehors du menu déroulant et de la ligne d'entrées, vous pouvez entrer des commandes ARC+ au moyen de codes raccourcis au clavier. Ces raccourcis sont des combinaisons de touches de contrôle et d'autres touches utilisées ensemble pour exécuter des commandes. Les touches pour commandes qui possèdent un raccourci sont entre crochets [] dans la description des commandes, par exemple [Ctrl+O] qui exécute la commande d'ouverture d'un fichier.

De nombreuses touches du clavier ont été programmées pour des fonctions spéciales d’ARC+.

Ces touches et leurs fonctions sont listées dans les descriptions de chaque commande et sont résumées sous forme de table dans l’Annexe C.

  • REMARQUE : Certaines commandes ne sont disponibles que par le clavier ou les menus.

Affichage de l’historique des commandes précédentes

ARC+ mémorise un historique des commandes que vous avez exécutées et peut réafficher ces commandes (ainsi que leurs options et paramètres) sur la ligne d’entrée. Le défilement des commandes mémorisées dans l’historique s’effectue à l’aide des flèches haut et bas de votre clavier (pas celles du pavé numérique).

Lorsque la commande recherchée s’affiche dans la ligne d’entrée, pressez sur Enter pour redemander son exécution.

Alternativement, vous pouvez éditer la ligne de commande affichée (comme si vous veniez de la taper) et ensuite presser sur Enter pour exécuter la ligne de commande éditée. (Les paramètres saisis en même temps que la commande dans la ligne d’entrée sous forme d’une chaîne de caractères sont également affichés.)

Pour personnaliser votre clavier, voir Personnalisation de votre environnement ARC+.


Utilisation des menus

Utilisation des menus déroulants

Sélectionnez une commande du menu déroulant en cliquant sur un élément de la barre de menu et en déplaçant dynamiquement la souris ou en l'amenant à la commande souhaitée.

Les éléments du menu suivis d'une flèche indiquent l'existence d'un sous-menu pour cet élément. Dès que vous sélectionnez un tel élément le sous-menu se déroule automatiquement.

Pour personnaliser vos menus déroulants, voir Personnalisation de votre environnement ARC+.


Utilisation_de_la_souris

Home > 1 Démarrage > Utilisation de la souris

Utilisation de la souris

Les opérations de pointage, de cliquage et d’entraînement dynamique à l'aide de la souris doivent vous être familières. La souris déplace le curseur sur le plan courant. Les coordonnées de la position du curseur ainsi que sa distance linéaire et sa distance angulaire par rapport au dernier point défini, sont affichées sur la ligne de statut, à la partie supérieure de l'écran.

Votre souris sert à une large gamme de fonctions dans ARC+, telles que la sélection de commandes et d’options, la définition de points et l’indication d’entités. Vous pouvez utiliser une souris à trois boutons ou une souris à deux boutons + roulette pouvant servir en tant que bouton.

  • IMPORTANT : Ne configurez pas votre souris différemment dans Windows, cela peut nuire au fonctionnement de votre souris dans ARC+.


Fenêtres

Menu pop de contrôle de vues

Le menu de contrôle de vues regroupe les commandes de visualisation le plus fréquemment utilisées dans un menu pop très pratique.

Le menu de contrôle de vues vous offre les fonctionnalités suivantes:

  • Zoom
  • Vues architecturales standard (pas dans les fenêtres de contrôle de zoom)
  • Le rafraîchissement de l’écran

Vous ferez apparaître le menu de contrôle de vues en enfonçant le bouton B3 de la souris, lorsque le curseur se situe dans une fenêtre de contrôle. Sélectionnez l’option désirée. La commande s’applique uniquement à la vue qui se trouve dans la fenêtre de contrôle.

Outre les commandes de visualisation standard, le zoom entier maximise la vue du modèle de manière à remplir la totalité de la fenêtre.

  • REMARQUE : Cette option obtient un résultat légèrement différent de celui obtenu par la commande Remplissage de l’écran (\fitsc) (voir Vues, Définition du mode d’échelle de l’écran, commande \sclmode).

Voir le chapitre Vues pour obtenir des explications sur les commandes figurant dans le menu de contrôle de vues.

Fenêtres de contrôle de vues

Utilisez les fenêtres de contrôle de vue pour la commande graphique de la position de l'oeil et du point de visée. La fenêtre inclut un cône de projection qui est un symbole spécial oeil/cible, indiquant:

  • La position de l'oeil
  • La position du point de visée(cible)
  • L'angle du cône de visualisation

Déplacez dynamiquement l'oeil ou le point de visée pour modifier la vue. Déplacez dynamiquement la ligne joignant l'oeil et la cible pour les déplacer tous les deux à la fois.

Les deux lignes dans le symbole oeil/cible indiquent l'angle du cône de vision dans le mode perspective, c'est-à-dire la portion de l'espace couverte par la fenêtre de travail. En vue parallèle les lignes sont parallèles, tandis qu'en perspective elles divergent à partir de la position de l'oeil.

Fenêtres de contrôle de zoom

Utilisez la fenêtre de contrôle de zoom pour effectuer un zoom ou un déplacement panoramique de la fenêtre de travail. La surface à l'intérieur de la fenêtre du zoom est affichée à l'intérieur de la fenêtre de travail. Redimensionnez et déplacez la fenêtre de zoom à l'aide de la souris.

Zoomez dans les deux sens pour modifier la taille de la fenêtre de zoom en déplaçant dynamiquement la souris sur le coin de la fenêtre. La réduction de la taille de la fenêtre de zoom entraîne un agrandissement de la vue dans la fenêtre de travail et inversement.

Vous pouvez obtenir un déplacement panoramique dans la fenêtre de travail par déplacement dynamique de la souris au centre de la fenêtre de zoom sur le modèle.

  • REMARQUE: Toutes les fenêtres peuvent être organisées en fenêtres d’amarrage que l’on peut faire glisser en déplaçant la souris sur la zone souhaitée.

Travailler avec les fenêtres de travail multiples

Si vous cliquez dessus, une fenêtre de travail devient la fenêtre courante.

Les fenêtres de contrôle de vue ouvertes pendant qu’une fenêtre de travail spécifique était active, ont rapport à cette fenêtre seulement et seront fermées avec elle.

Quand une fenêtre de travail devient courante, ses vues de contrôles dépendantes sont mises en avant.

Vous pouvez arranger toutes vos fenêtres de travail sur l’écran en mosaïque ou cascade en choisissant ces options dans le menu fenetres. Pour mettre en avant une fenêtre de travail lorsqu’elle est complètement couverte, par exemple par une fenêtre maximalisée, choisissez fenêtre suivante du menu fenetres.


Quel type d'ordinateur utiliser ?

Pour utiliser ARC+ vous devez posséder au minimum la configuration matérielle suivante

  1. Processeur:
    • Dual Core2™ 2 GHz – Multi-Core recommande.
  2. Systeme de exploitation :
    • XP . 32 bit (SP2/SP3)
    • Windows Vista Professional. 32/64 bit
    • Windows 7 . 32/64 bit
  3. Memoire :
    • 1 - 2 GB RAM pour Windows Vista Professional
    • 4GB recommandé pour Windows 7
  4. Graphics:
    • Windows Vista : Carte graphique haute resolution avec 256 MB de RAM (Nvidia. recommandé).
    • Windows 7 : Carte graphique haute resolution avec 256 MB de RAM (Nvidia. recommandé).
  5. Espace disque :
    • 1 GB pour l'installation d'ARC+ uniquement
    • 2 GB pour la bibliotheque Sketch Symbols.
    • Un espace disque supplémentaire est necéssaire pour les projets en tenant compte de leur complexité et d'autres bibliothèques éventuelles
  6. Souris avec roulette, type Logitech ou compatible
  7. Une connexion Internet pour les mises à jour


Index

Home > 2 Outils de base

02 Outils de base

  1. Affichage des centres d'arcs, des points d'origine
  2. Annuler et rétablir les commandes
  3. Arcs
  4. Automatisation du modèle 2D et 3D
  5. Autres caractéristiques ARC+
  6. Calculatrice
  7. Calques
  8. Caractéristiques du système
  9. Changement des paramètres de tolérance pour les surfaces fermées
  10. Changer l'ordre d'affichage
  11. Compresser la liste des couleurs
  12. Configuration de l'exactitude du point décimal
  13. Configuration de la souris
  14. Contraintes angulaires
  15. Convertir 15 couleurs en 255 couleurs - Fichier courant
  16. Convertir 15 couleurs en 255 couleurs - Fichiers externes
  17. Couleurs
  18. Création d'une grille
  19. Création d'une grille de mise en page
  20. Création de points
  21. Création de symboles de trames
  22. Créer à l'identique
  23. Défilement des commandes précédentes
  24. Définition d'un point dans l'espace
  25. Définition d'un point libre sur l'écran
  26. Définition de l'échelle de l'écran
  27. Définition de l'origine des coordonnées
  28. Définition de la taille des points
  29. Définition de la valeur du troisième axe
  30. Définition des attributs de ligne
  31. Définition des couleurs de l'environnement de travail
  32. Définition des unités de mesure
  33. Définition du choix de mise à l'échelle
  34. Définition du mode attente
  35. Définition du plan de travail
  36. Effacement de points
  37. Effacement des marqueurs
  38. Filtre du snap
  39. Gérer les orientations du modèle
  40. Grilles
  41. Groupe de sélection
  42. Indication d'entités
  43. L'environnement 3D-Définition de points et snap
  44. L'environnement 3D-maîtrise des plans et axes
  45. La barre d'outils Snap
  46. La barre d'outils Statut
  47. Les couleurs dans ARC+
  48. Notation arithmétique pour la saisie numérique par l'utilisateur
  49. Personnaliser couleurs 2 à 15
  50. Points et marqueurs
  51. Points, plans et axes
  52. Préférences utilisateur
  53. Principe
  54. Réorientation du modèle
  55. Répétition de la commande précédente
  56. Redéfinition de la liste d'indication
  57. Sélection intelligente
  58. Sélection par échantillon
  59. Snap dynamique - Contraintes angulaires - Incrément
  60. Snapper à un point spécifique
  61. Snapper des points prédéfinis
  62. Support réseau
  63. Utilisation
  64. Verrouillage du troisième axe
  65. Activer / Désactiver personnalisation des couleurs
  66. Activer ou désactiver le mode 2D/3D automatique


Affichage des centres d'arcs, des points d'origine

Affiche un marqueur d'arc ou de centre de cercle. Cette commande permet également de marquer des objets placés ainsi que les origines de textes pour les entités marquées, ainsi que les points de référence pour les lignes de cotation.

\markp

Indiquez l'arc (le cercle filaire, polygone filaire et arc de murs), l'objet placé, le texte ou les cotations. Une croix tridimensionnelle temporaire est affichée, marquant le centre de l'arc indiqué, l'origine de l'objet indiqué ou du texte, ou le point de référence d’une ligne de cotation.

Les marqueurs ne font pas partie de l'objet, autrement dit ils ne font pas partie de la base de données et sont effacés dès que l'écran est régénéré. Ils ne peuvent pas être extraits et implantés dans un autre fichier ou être tracés.

  • REMARQUE : Si vous utilisez le mode du Snap Dynamique avec les options «Centre» et «Insertion» les centres d’arc, cercles et les origines des objets apparaitront automatiquement lorsque vous placez votre curseur sur l’entité pendent une seconde.


Annuler et rétablir les commandes

Si vous faites une erreur, ou si vous voulez annuler certaines des étapes précédentes, appliquez l'undo à vos dernières commandes.

\undo

Annule votre dernière commande. Si vous tapez \undo sur la ligne de saisie, vous pouvez annuler un certain nombre de commandes consécutives. P. ex. \undo 2. Le modèle est ramené au point où il était immédiatement avant la dernière commande. Le nombre d’étapes par défaut est 3. Si vous désirez changer ce nombre, voir ci-dessous.

Undo n'inverse que les commandes qui produisent un changement effectif sur le modèle même après la commande Sauver (\save). Ce qui signifie que si vous avez apporté des changements à un fichier existant, et que vous l’avez enregistré, vous pouvez néanmoins annuler l’opération faite avant l’enregistrement. Les commandes de visualisation, d'info et de configuration ne sont pas affectées par la commande undo. Vous ne pouvez pas non plus appliquer undo à \clear ou \open.

Vous pouvez appliquer undo à vos commandes précédentes en faisant défiler vos vues antérieures. Voir les commandes Visualisation, Revenir à la vue précédente (\viewp, \prvs).

Rétablir après Annuler d'une commande

Redo rétablit une ou des commandes immédiatement après leur suppression par undo.

\redo

Si, tous comptes faits, vous décidez de conserver une certaine modification, appliquez la commande redo pour restaurer les actions que vous venez d'annuler au moyen de la commande undo.

Vous pouvez restaurer la commande précédente, mais si vous tapez \redo sur la ligne de saisie, vous pourrez restaurer plusieurs des commandes précédentes, p. ex. \redo 3.

Redéfinir le nombre de phases pour Undo/Redo

Vous pouvez augmenter ou diminuer le nombre de phases exécutées par les commandes \undo et \redo. L’augmentation du nombre de phases diminue la taille de la mémoire disponible. Utilisez cette commande pour réduire le nombre de phases de la commande undo avant d’exécuter des procédures gourmandes en mémoire.

\setundo

Si vous diminuez le nombre de phases de la commande undo, la totalité des phases précédentes seront effacées de votre système, libérant ainsi de la mémoire. Le nombre de phases par défaut est 50.


Arcs

Tous les arcs, qu'il s'agisse de lignes, de polygones ou d'arcs de murs, sont composés d'une série de petits segments de droites. Il s'ensuit qu'un modèle contenant un grand nombre d'arcs, risque d'occuper un grand volume de mémoire et de ralentir pour cela le travail sur l'écran. Le nombre de segments dans un arc de mur tridimensionnel est une variable que vous pouvez déterminer vous-même. Pour d'autres arcs, vous pouvez faire usage d'une autre commande qui permet de spécifier le nombre de segments par arc. Travaillez avec un nombre minimum d'arcs, pour pouvoir travailler vite. Une fois que votre modèle est prêt à être présenté ou tracé, choisissez le nombre de segments nécessaire à produire l'effet recherché.


Automatisation du modèle 2D et 3D

ARC+ inclus un système permettant l'activation automatique du m o dèle 2D et 3D en fonction de la vue de travail ainsi que verrouillage cohérent des fonctionnalités impropres à chaque mode.

Lorsque ce mode n’est pas en service, il est par exemple possible de voir un modèle 2D (donc plat) dans une vue en élévation. Le résultat à l'affichage n'étant général e ment qu'un simple trait, cela peut dans certains cas prêter à confusion ou ne représenter que peu d'intérêt.

Thèmes liés

  • Utilisation
  • Activer ou désactiver le mode 2D/3D automatique


Autres caractéristiques ARC+

Thèmes liés

  • Définition des attributs de ligne
  • Définition des couleurs de l'environnement de travail
  • Calques
  • Arcs
  • Groupe de sélection
  • Définition des unités de mesure
  • Configuration de l'exactitude du point décimal
  • Sélection par échantillon
  • Sélection intelligente
  • Support réseau
  • Créer à l'identique
  • Calculatrice
  • Changer l'ordre d'affichage


Calculatrice

Cette commande permet d’effectuer des opérations de calcul à quatre opérations en ligne.

\calculs

La fonction de calcul peut être appelée au cours de toute commande nécessitant l’entrée de valeurs numériques.

Utilisez le pavé numérique de votre clavier pour saisir normalement votre opération de calcul. Vous êtes autorisé à utiliser les signes + - * et /.

Taper la ligne complète de l’opération puis appuyez sur Entrée pour afficher le résultat.

Utilisation des variables

Une fois le résultat affiché, vous pouvez stocker cette valeur dans une des quatre variables disponibles a, b, c ou d. Tapez v suivi de la lettre la variable (exemple: va ou vb ou vc ou vd).

Vous pouvez réutiliser ces variables au milieu de toute ligne de calcul, en les combinant avec les opérations d’addition, de soustraction, de multiplication ou de division.

EXEMPLE : Tapez 20*20 puis appuyez sur Entrée. Stockez le résultat dans la variable ‘a’ en tapant ’va’ puis Entrée. La variable ‘a’ a désormais la valeur 400. Pour utiliser cette variable dans une opération, tapez, par exemple, a*a puis Entrée.. Cette valeur peut être, elle aussi stockée dans la variable ‘b’ en tapant‘‘vb’ puis Entrée.. La variable ‘b’ a désormais la valeur 160 000.

Insertion de surfaces dans la ligne de calculs

Vous pouvez au cours d’une opération de calculs questionner une ou plusieurs surfaces cumulées.

Tapez s dans l’opération, à l’endroit où vous souhaitez insérer une ou plusieurs surfaces cumulées. Après avoir appuyé sur Entrée le système vous demande d’indiquer le premier polygone. La surface s’affiche dans la ligne de commande. Vous pouvez continuer à indiquer d’autres polygones afin d’ajouter leur surface à celle indiquée ou appuyez sur Entrée pour terminer la saisie de surface.

EXEMPLE : Tapez s*2.7 puis appuyez sur Entrée. Indiquez un ou plusieurs polygones de surfaces puis appuyez sur Entrée.

Insertion de longueurs dans la ligne de calculs

Vous pouvez au cours d’une opération de calculs questionner une ou plusieurs longueurs cumulées.

Tapez l dans l’opération, à l’endroit où vous souhaitez insérer une ou plusieurs surfaces cumulées. Après avoir appuyé sur Entrée le système vous demande de vous accrocher à deux points. La longueur entre ces points s’affiche dans la ligne de commande. Vous pouvez continuer à indiquer d’autres longueurs à ajouter à la précédente ou appuyez sur Entrée pour terminer la saisie de longueur.

EXEMPLE : Tapez l/3 puis appuyez sur Entrée. Indiquez une ou plusieurs longueurs puis appuyez sur Entrée.


Calques

Les calques sont des groupements tridimensionnels d'entités et d'objets placés, qui peuvent être soit affichés, soit occultés. Un calque peut être comparé à un plan représentant un sous-système particulier de votre projet, tel que le plan des circuits électriques ou de la plomberie d'un bâtiment. Chaque modèle peut être divisé en 255 calques. Voir le chapitre sur les Calques.


Caractéristiques du système

Le sous-chapitre suivant décrit les commandes qui traitent de plusieurs caractéristiques du système.

Thèmes liés

  • Définition de l'échelle de l'écran
  • Définition du choix de mise à l'échelle
  • Changement des paramètres de tolérance pour les surfaces fermées
  • Définition de l'origine des coordonnées
  • Définition du mode attente
  • Répétition de la commande précédente
  • Défilement des commandes précédentes
  • Annuler et rétablir les commandes


Changement des paramètres de tolérance pour les surfaces fermées

Quelques options des paramètres de tolérances sont disponibles pour identifier les surfaces fermées.

Cette fonctionnalité s’applique aux commandes suivantes.

  • Motif (\patrn)
  • Assembler des lignes en polygone (\aspol)
  • Hachurage croisé (\net)
  • Modifier remplissage (\updfill)
  • Hachurage (\hatch)

Choisissez l’option <entree> pour configuration, dans les commandes listées ci-dessus, pour contrôler les tolérances pour ce qui suit:

Rappel du segment | Définit la longueur (en mm) selon laquelle les segments adjacents seront étirés avant d’être considérés comme joints.
Exactitude planaire | Définit la valeur (en mm) pour des segments adjacents qui résident dans des plans différents (z). Le système ferme le plan selon la valeur définie dans ce champ.
Points se chevauchant | Définit la distance minimale entre deux points (en mm), en dessous de laquelle le système les identifiera comme un point unique (utile pour définir si un intervalle entre deux murs est détecté).
Taille segments d’arc | Définit la taille (en mm.) de chaque segment de l’arc.
Nb. de segments | Définit le nombre minimum et maximum de segments dans un arc (la vitesse de traitement de la commande et le volume des fichiers créés sont directement proportionnel au nombre de segments créés. Un plus grand nombre de segments entraîne un lissage de la courbe mais créé des fichiers plus volumineux).
Facteur recherche | Augmente automatiquement le facteur selon lequel les segments sont fermés en utilisant les options de Facteur de recherche.
Facteur | Détermine le facteur selon lequel le segment sur l’axe des z et sur chaque ligne est fermé.
Nb. boucles | Détermine le nombre de fois que le facteur doit être augmenté.


Changer l'ordre d'affichage

Cette commande est utile pour contrôler l’ordre dans lequel les entités sont affichées sur l’écran en envoyant une d’entre elles sur l’arrière plan ou sur le premier plan. Le résultat obtenu sera aussi visible sur l’écran qu’à l’impression.

Avant | Après

\drawordr

Après avoir exécuté cette commande, le système vous demande si vous voulez mettre l’entité sur le premier plan ou l’arrière plan puis vous devez indiquer cette entité.

  • IMPORTANT : Cette opération peut prendre un temps considérable en fonction de la complexité du modèle.


Compresser la liste des couleurs

Il est possible de compresser la liste des couleurs s’affichant dans la barre d’outils Statut En laissant dans la liste - uniquement les couleurs couramment utilisé dans votre modèle en cours.

\colcomp

ARC+ tiendra compte uniquement des couleurs actuellement en usage dans votre modèle. Toute couleur sélectionnée depuis le sélecteur des couleurs mais pas employée dans votre modèle sera omise.

  • REMARQUE: Cette commande est irréversible. Si par la suite vous voulez revenir à la sélection que vous avez compressée, vous seriez obligé de re-sélectionner toutes les couleurs.


Configuration de l'exactitude du point décimal

Définit le point décimal affiché pour les valeurs des informations et valeurs paramétriques.

\setacc

Lorsque vous souhaitez obtenir des renseignements sur des entités ou utilisez des objets paramétrables, le système affiche des valeurs numériques. Cette commande vous permet de contrôler jusqu’à quelle décimale ces valeurs seront affichées. Le défaut est une exactitude jusqu’à la quatrième décimale.

Si vous travaillez avec de très grandes ou très petites unités, les chiffres situés après le point décimal peuvent être sans importance. Par exemple, si vous travaillez sur des modèles d’infrastructure d’une ville, ou si vous vous servez de millimètres (mm) pour des plans détaillés de construction, vous désirerez probablement configurer cette valeur pour 0.


Configuration de la souris

Cette boîte de dialogue permet de définir et de modifier la configuration des boutons de votre souris selon vos préférences snap.

Cette boîte de dialogue est accessible à partir de la boîte de dialogue Préférences utilisateur. Elle est divisée en deux sections selon les modes disponibles Snap dynamique activé et Snap dynamique désactivé, définis dans la boîte de dialogue Préférences utilisateur:

Vous pouvez définir la configuration pour chaque bouton de la souris à l’aide des menus déroulants correspondants:

Bouton gauche :

  1. Clic avec SNAP (bouton de snap)
  2. Click sans SNAP

Bouton du milieu :

  1. Clic avec SNAP (bouton de snap)
  2. Clic sans SNAP
  3. Désactivé

Bouton droit :

  1. Menu contextuel
  2. Dernière commande (répétition de la dernière commande)
  3. Entrée (le bouton fonctionne comme le bouton Entrée)

Vous pouvez configurer les boutons de votre souris pour les deux modes Snap dynamique activé et Snap dynamique désactivé selon vos préférences ou garder les configurations par défaut.

Les configurations par défaut dépendent du mode Snap en cours: quand l’option Snap dynamique activé est cochée dans la boîte de dialogue Préférences utilisateur, la configuration par défaut est configuration de la souris en mode Snap dynamique activé (située en haut de la boîte de dialogue). Quand l’option Snap dynamique n’est pas cochée, la configuration par défaut est Configuration de la souris en mode Snap dynamique désactivé (située en bas de la boîte de dialogue).

Configuration de la souris en mode snap dynamique activé

Lorsque le snap dynamique est activé, les trois boutons de la souris sont configurés comme ci-dessous :

Si vous êtes un ancien utilisateur d'ARC+, vous êtes probablement habitué à activer l’accrochage avec le bouton du milieu. Le nouveau snap dynamique s'active avec le bouton gauche de la souris afin de faciliter son usage aux nouveaux utilisateurs. Toutefois, vous pouvez configurer le bouton du milieu pour le snap dynamique. Il suffit de sélectionner "Clic sans SNAP " dans le menu déroulant du bouton gauche et "clic avec SNAP " dans le menu déroulant du bouton du milieu.

Configuration de la souris lorsque le snap dynamique est désactivé

Lorsque le snap dynamique est désactivé, les trois boutons de la souris sont configurés conne ci-dessous :

Cette configuration est la configuration par défaut d'ARC+ depuis la version 10 (1995). Elle peut être modifiée à l'aide des menus déroulants afin de permettre un snap "ordinaire" avec le bouton gauche (notamment pratique pour les nouveaux utilisateurs).


Contraintes angulaires

Il est parfois utile de contraindre le déplacement du curseur sur l'écran afin de faciliter la modélisation sur ARC+. Les contraintes du curseur vous permettent de tracer dans une direction spécifique (parallèle aux axes des X, Y ou Z), selon un angle prédéfini par le système (90°, 45°, 5°) ou selon un ou plusieurs angles définis par l'utilisateur (36,5°, 69,3°, 342° etc.)

Il existe plusieurs façons de contraindre le mouvement du curseur dans ARC+. La flèche - [image] à droite de l'icône [image] (affichée par défaut) dans la barre d'outils Modes vous permet l'accès à plusieurs options. Le mouvement du curseur dépend des paramètres Direction absolue et Relative au dernier segment, définis dans la section Contraintes de la boîte de dialogue Préférences utilisateur (consultez Contraintes personnalisées pour plus de détails).

Les options de la barre d’outils Modes pour Direction absolue activé:

ICONE | ACTION
 | Activer/Désactiver le mode orthogonale. Quand cette icône est enfoncée le curseur est contraint de modéliser parallèlement à l'un des axes principaux.
 | Activer/désactiver la contrainte de 45°. Quand cette icône est enfoncée, le curseur est contraint de tracer en 45° et relativement au système général des coordonnées.
 | Activer/désactiver la contrainte de 5°.Quand cette icône est enfoncée, le curseur est contraint de tracer en 5° et relativement au système général des coordonnées.
 | Activer/désactiver la contrainte horizontale. Quand cette icône est enfoncée, le curseur est contraint de suivre l’axe de X.
 | Activer/désactiver la contrainte verticale. Quand cette icône est enfoncée, le curseur est contraint de suivre l’axe de Y.
 | Lancer la boîte de dialogue Contraintes qui vous permet de définir les contraintes d’angle ou d’incrément (voir Contraintes ci-dessous pour plus de détails).

Les options de la barre d’outils Modes pour Relative au dernier segment activé:

ICONE | ACTION
 | Activer/Désactiver le Mode orthogonale. Quand cette icône est enfoncée le curseur est contraint de modéliser parallèlement au dernier segment tracé.
 | Activer/désactiver la contraintede 45 °.Quand cette icône est enfoncée, le curseur est contraint de tracer en 45° et relativement au dernier segment tracé.
 | Activer/désactiver la contrainte de 5°. Quand cette icône est enfoncée, le curseur est contraint de tracer en 5° et relativement au dernier segment tracé.
 | Activer/désactiver la contrainte horizontale. Quand cette icône est enfoncée, le curseur est contraint de suivre l’axe de X, relativement au dernier segment tracé (l’axe de X est défini par le dernier segment tracé).
 | Activer/désactiver la contrainte verticale. Quand cette icône est enfoncée, le curseur est contraint de suivre l’axe de Y, relativement au dernier segment tracé (l’axe de Y est défini par le dernier segment tracé).
 | Lancer la boîte de dialogue.Contraintes qui vous permet de définir les contraintes d’angle ou d’incrément (voir Contraintes ci-dessous pour plus de détails).

Contraintes personnalisées

La boîte de dialogue Contraintes, accessible à partir de la boîte de dialogue Préférences utilisateur, vous permet de contraindre le mouvement de la souris par angle ou par incrément.

Angles supplémentaires

La section Angles de contraintes supplémentaires vous permet d’indiquer une ou plusieurs angles que le curseur sera contraint de suivre. Cette option est très utile pour la création, la mesure ou l’édition des entités selon les angles couramment utilisés dans votre projet.

Dans le champ numérique près du bouton Ajouter un angle, entrez une valeur d’angle de contrainte.

Cliquez sur le bouton Ajouter un angle pour confirmer le choix de l’angle. La valeur de l’angle est affichée dans le champ près du bouton Effacer l’angle.

Répétez cette action selon le besoin pour ajouter des angles de contrainte supplémentaires à la liste.

  • REMARQUE: vous pouvez à tout moment effacer un angle en le sélectionnant dans la liste des angles et en cliquant sur le bouton Effacer un angle.

L’option Direction absolue contraint le curseur de suivre les directions spécifiées relativement au system générale de coordonnées. Par exemple, si les angles définis sont 45° et 90°, le curseur est contraint de suivre ces directions relativement au système général de coordonnées pendant la création des lignes.

5

L’option Relative au dernier segment contraint le curseur de suivre les directions spécifiées relativement au dernier segment tracé. Si le segment est le premier de la série, l’angle est relatif au système général des coordonnées. Par exemple, si l’angle défini est 45° la première ligne tracée sera en 45° par rapport au système général des coordonnées, la deuxième ligne en 45° par rapport à la première et ainsi de suite.

Cliquez sur OK.

Cliquezà nouveau sur l’icône [image] pour appliquer vos préférences au système (l’icône paraît enfoncée).

  • REMARQUE: vous pouvez à tout moment désactiver les contraintes en cliquant sur l’icône

Contrainte par incrément

La contrainte par incrément permet de contraindre le mouvement du curseur selon une longueur définie par l’utilisateur. Quand cette option est activée, le curseur est contraint de tracer des segments selon la valeur de longueur indiquée (le calcul se fait à partir du point de départ indiqué). Une ligne élastique est affichée quand le curseur atteint la valeur désirée. Cette contrainte peut être utilisée en 2D et 3D, et pour les lignes et les arcs également.

La contrainte par incrément peut être activée et configurée dans la section Contraintes de la boîte de dialogue Préférences utilisateur. Elle peut également être activée par le bouton de bascule [image] de la barre d’outils Modes. Vous pouvez entrer une valeur d’incrément dans le champ numérique de la barre d’outils Modes:

  • REMARQUE: le bouton de bascule doit impérativement être enfoncé pour activer le champ numérique.
  • Pour activer la contrainte par incrément cochez la case [image] de la boîtede dialogueContraintes ou cliquez sur le bouton de bascule [image] dans la barre d’outils Modes. La case [image] et le bouton de bascule sont synchronisés – les paramètres définis dans la boîte de dialogue sont affichés dans la barre d’outils Modes et vice versa.
  • Entrez une valeur d’incrément (en mètres) dans le champ numérique de la section Incrément du déplacement de la souris.

  • REMARQUE: la valeur et l’unité changent selon l’unité en cours.

Cette option vous permet de contrôler l’affichage de l’info bulle. L’info bulle affiche le nombre des incréments effectués par le curseur. Par exemple, quand la longueur définie de l’incrément est 5.6 mètres, l’info bulle affiche le nombre 1 (pour un incrément) quand la ligne élastique atteint une longueur de 5.6 mètres; 2 (pour deux incréments) quand la ligne élastique atteint une longueur de 11.2 et ainsi de suite.

La barre d’outils Coordonnées affiche la longueur du segment (selon l’unité en cours) et l’angle qu’il forme. Dans l’exemple ci-dessous la longueur définie est 5.6 mètres et le segment est d’une longueur de deux incréments – 11.2 mètres (2x5.6 mètres = 11.20 mètres). Selon les définitions du système, la valeur affichée dans la barre d’outils Coordonnées est 11.200 (mètre et trois décimal). L’angle est 8.62.

Cliquez sur Appliquer et puis sur OK.

Quand la contrainte par incrément est activée le snap est neutralisé; la direction élastique correspond aux points de snap disponibles et les repères du snap sont affichés, mais le curseur est contraint de suivre la longueur définie d’incrément. La ligne élastique passe donc «à travers» les points de snap - à moins que ces derniers soient situés au bout d’une longueur d’incrément (calculée à partir du dernier point entré).

L’option DS

Une nouvelle saisie clavier vous permet de définir directement le nombre d’incréments que vous voulez effectuer, selon la valeur d’incrément en cours. Par exemple, pour une valeur d’incrément de 5.6 mètres, la saisie DS 4 définit un segment élastique de 22.4 mètres (5.6 mètres x 4 incréments = 22.4 mètres). La commande DS peut être activée à tout moment, et elle est indépendante de la case Incrément activé/désactivé et du bouton de bascule [image].

  • REMARQUE: l’option DS fonctionne de manière similaire à celle de la fonction DL.

Désactivation momentanée du snap

Pendant votre travail, vous pouvez désactiver le snap momentanément tout en gardant le mode snap actif et vos préférences snap en vigueur. Pour cela, appuyez sur la touche Alt et continuez à utiliser la souris normalement. Quand la touche Alt est enfoncée, le curseur s’arrête sur le point que vous indiquez sans prendre en compte les options snap sélectionnées – comme si le mode snap était désactivé. Vous pouvez maintenir la touche Alt enfoncée aussi longtemps que nécessaire pour continuer à travailler sans snap.


Convertir 15 couleurs en 255 couleurs - Fichier courant

ARC+ 2ème Edition utilise une palette de 255 couleurs tandis que les versions antérieures n’utilisent que 15. Il est possible de définir et remplacer ces 15 couleurs par des nouvelles couleurs de la palette à 255 couleurs.

\clrconv

Au lancement de la commande la boîte de dialogue suivante apparaît:

Dans la rubrique Table de conversion:

Ancien – La référence numéro des 15 couleurs d’ARC+ (antérieurs à ARC+ 2007 II Edition.

Nouveau – La référence numéro des couleurs correspondant au 15 couleurs anciennes depuis la palette à 255 couleurs.

Si vous cliquez sur le bouton, le sélecteur des couleurs ARC+ apparaît afin que vous puissiez choisir une autre couleur:

Choisissez la couleur que vous souhaitez faire correspondre à l’ancien index de numéro puis cliquez sur OK pour valider votre choix.

Apparence – affiche un aperçu de la couleur choisi dans Nouveau.

Dans la rubrique Conversion des couleurs:

Convertir uniquement fichier courant – Lorsque cette option est choisie, que les couleurs du fichier en cours d’utilisation seront convertis selon les préférences que vous indiquez.

Courant + Objets placés (Hormis ARCALIB) - Lorsque cette option est choisie, les couleurs du fichier en cours d’utilisation seront convertis ainsi que les objets placés dans votre modèle (sans pour autant modifier leurs origines dans ARCALIB s’ils y sont) selon les préférences que vous indiquez.

Enregistrer dans la table – Afin de conserver vos préférences de conversion pour le fichier en cours d’utilisation – cochez cette case. Dans le cas contraire les couleurs affichées par défaut s’afficheront à nouveau lorsque vous lancerez cette commande.

Cliquez sur OK pour enregistrer les changements et fermer la boite de dialogue.

  • IMPORTANT: Les définissions que vous apportez aux 15 couleurs sont instantanés. Par exemple, si couleur 1 est définie en Noir et que vous la changer en bleu tous les éléments jadis affichés en noir deviennent bleu. Cette commande fonctionne aussi sur des fichiers créés sous ARC+ 2007 II Edition.


Convertir 15 couleurs en 255 couleurs - Fichiers externes\mclrconv

Home > 2 Outils de base > Convertir 15 couleurs en 255 couleurs - Fichiers externes\mclrconv

Convertir 15 couleurs en 255 couleurs - Fichiers externes

Cette commande vous permet de convertir les 15 couleurs des anciennes versions d’ARC+ en nouveaux couleurs depuis la palette à 255 couleurs. – Pour plusieurs fichiers à la fois.

\mclrconv

Au lancement de la commande la boîte de dialogue suivante apparaît:

Cliquez sur Ajouter Dossier pour lancer la boîte de dialogue Ouvrir afin de sélectionner un dossier contenant des modèles ARC+ dont les couleurs sont à convertir. Le contenu du dossier choisi sera affiché dans la rubrique Fichiers/Dossiers à convertir.

Cliquez sur Ajouter Fichier pour lancer la boîte de dialogue Ouvrir afin de sélectionner un modèle ARC+ dont les couleurs sont à convertir. Le modèle choisi sera affiché dans la rubrique Fichiers/Dossiers à convertir.

Cliquez sur Supprimer afin d’enlever un fichier sélectionné dans la rubrique Fichiers/Dossiers à convertir.

Enregistrer dans la table – Afin de conserver vos préférences de conversion pour les fichiers sélectionnés – cochez cette case. Dans le cas contraire les couleurs affichées par défaut s’afficheront à nouveau lorsque vous lancerez cette commande.

Dans la rubrique Table de conversion:

Ancien – La référence numéro des 15 couleurs d’ARC+ (antérieurs à ARC+ 2007 II Edition.

Nouveau – La référence numéro des couleurs correspondant au 15 couleurs anciennes depuis la palette à 255 couleurs.

Si vous cliquez sur le bouton, le sélecteur des couleurs ARC+ apparaît afin que vous puissiez choisir une autre couleur:

Choisissez la couleur que vous souhaitez faire correspondre à l’ancien index de numéro puis cliquez sur OK pour valider votre choix.

Apparence – affiche un aperçu de la couleur choisi dans Nouveau.

Cliquez sur OK pour enregistrer les changements et fermer la boite de dialogue.

  • IMPORTANT:Les définissions que vous apportez aux 15 couleurs sont instantanés. Par exemple, si couleur 1 est définie en Noir et que vous la changer en bleu tous les éléments jadis affichés en noir deviennent bleu. Cette commande fonctionne aussi sur des fichiers créés sous ARC+ 2007 II Edition.


Couleurs

ARC+ vous permet d'appliquer 255 couleurs aux parties vectorielles de vos modèles et de librement définir la couleur de remplissage des polygones. Ces couleurs sont compatibles avec les autres logiciels de CAO.

Les implications de la nouvelle palette à 255 couleurs d’ARC+ 2ème Edition sont:

  • Une compatibilité parfaite durant l’import et l’export des fichiers DXF/DWG – les couleurs sont converties avec le même index.
  • Il n’y a pas de compatibilité entre des versions antérieures à ARC+ 2ème Edition (ARC+ 2007 Edition incluse) à savoir:
  • Un fichier sauvegardé avec une palette à 255 couleurs ne peut pas être ouvert sous une version d’ARC+ à 15 couleurs (ARC+ 2007 Edition et inférieure).
  • Des nouvelles options ont été ajoutées pour Enregistrer sous en versions antérieures d'ARC+, intégrant la conversion de 255 en 15 couleurs.
  • Des fichiers venant des versions ARC+ à 15 couleurs ont un aspect différent des couleurs 1 à 15. (Afin de convertir un vieux index à 15 couleurs à une palette à 255 couleurs utilisez les nouvelles commandes \clrconv et \mclrconv )
  • Des objets modifiés ou ajoutés qui seront enregistrés avec une palette de 255 couleurs dans ARCALIB, ne seront pas affichés dans les anciennes versions d’ARC+ à 15 couleurs.

Thèmes liés

  • La barre d'outils Statut
  • Les couleurs dans ARC+
  • Compresser la liste des couleurs
  • Activer / Désactiver personnalisation des couleurs\colormod
  • Personnaliser couleurs 2 à 15
  • Convertir 15 couleurs en 255 couleurs - Fichier courant\
  • Convertir 15 couleurs en 255 couleurs - Fichiers externes


Création d'une grille

Crée une grille matricielle rectangulaire.

\grid

Crée une grille écran rectangulaire.

\hgrid

Description

La grille est une série bidimensionnelle de lignes destinée à vous aider à placer des points avec précision. La grille vous permet de vous raccrocher à des points donnés à des intervalles réguliers. A vous de définir l'emplacement et le nombre des mailles, autrement dit la densité de la matrice.

Grilles matricielles

Vous pouvez définir autant de matrices qu'il vous faut, en leur donnant des tailles différentes sur n'importe lequel des plans principaux et en les affectant de densités différentes. Par exemple, vous pouvez créer une matrice à deux niveaux pour différents étages, avec pour chacune, une taille de maille différente. La matrice est une entité qui peut être déplacée, copiée, effacée et sauvegardée en tant que grille ou encore on peut la faire pivoter pour l'amener sur n'importe quel autre plan et visionnée sous n'importe quelle projection. Elle est imprimée avec le modèle.

Grilles d’écran

Cette grille n’est qu’une aide visuelle. Lorsque le modèle est redessiné pour remplir l’écran, la grille est ignorée. Ce n’est pas une entité qui peut être sélectionnée, manipulée ou imprimée. Il ne peut exister qu’une grille à la fois.

Utilisation

Spécifiez le plan sur lequel vous souhaitez créer la matrice: xy, xz ou yz. Définissez l'origine de la matrice, autrement dit la point à partir duquel la grille prendra son origine. Ce sera le point inférieur gauche de la matrice quel que soit son plan si elle est vue orthogonalement.

Spécifiez la taille de la maille, donnée par la distance entre les lignes. Spécifiez le nombre de mailles dans chacune des directions de la matrice—le maximum étant 500.

La matrice est affichée à l'écran. Vous pouvez snapper les intersections de la matrice.

  • REMARQUE:Les modèles sont créés avec des dimensions réelles et ne font pas usage d'échelle. Les modèles peuvent être affichés dans n'importe quelle taille au moyen du zoom avant ou arrière.


Création d'une grille de mise en page

Crée une grille de mise en page et définit ses attributs.

\lgrid

La boîte de dialogue permet de sélectionner un type de grille, puis de définir ses attributs et paramètres. Cliquez sur l'icône Symbole pour ouvrir la bibliothèque de symboles de grille, puis sélectionnez une entrée dans la liste affichée.

Validez par OK pour créer la grille.

  • REMARQUE Les lignes de grille sont désormais groupées et peuvent donc être modifiées en bloc.

Création de grilles de mise en page

Choisissez le type de trame que vous souhaitez définir:

  • Régulière (à intervalle régulier)
  • Ecossaise (à intervalle variable)

Pressez la touche Entrée si vous voulez définir les attributs de la trame décrits dans le paragraphe suivant.

Définissez l'origine de la grille et un point de direction. La direction définie par ces deux points est prise comme direction de l'axe des x de la trame. Pressez la touche Entrée si l'axe des x de la trame est parallèle à l'axe des x du système.

Trame régulière

Spécifiez la distance entre les lignes de la trame perpendiculaires à l'axe des x ainsi que le nombre de lignes. Donnez les spécifications analogues pour les lignes perpendiculaires à l'axe des y. Pressez la touche Entrée s'il s’agit de la même distance que pour le direction des x.

Trame écossaise

Précisez si vous souhaitez définir les distances par valeur numérique (saisie numérique) ou par points (méthode graphique).

Par valeur numérique | Spécifiez les distances entre les lignes consécutives suivant la direction des x. Pressez la touche Entrée pour répéter une distance ou tapez 0 pour spécifier les distances suivant la direction des y et encore une fois 0 pour exécuter la trame.
Par points | Définissez des points pour les lignes de la trame suivant la direction des x. Pressez la touche Entrée pour définir les points suivant la direction y et encore une fois Entrée pour exécuter la trame.

Définition des attributs de trames

Spécifiez le type et la couleur à attribuer aux lignes de la trame ainsi que le calque dans lequel elle doit être créée.

Précisez si vous souhaitez ajouter des symboles à (ou aux) extrémités des lignes de la trame qui serviront à l'encadrer. Spécifiez de quel(s) côté(s) de la ligne vous souhaitez inclure le symbole.

Spécifiez le nombre, les caractères ou la combinaison pour démarrer la notation pour les lignes x et y (3 caractères au maximum). Le système continue de lui-même la numérotation, en séquence, à partir de la notation spécifiée.

Définissez la longueur des lignes d'extension. Cette valeur indique de combien la ligne devrait dépasser, au-delà de la dernière intersection de la trame.

Spécifiez de quelle manière il faut spécifier le symbole:

  • Le symbole courant
  • Spécifié par nom
  • Sélectionné à partir d'un catalogue…

Spécifiez le nom du symbole ou sélectionnez-le dans le catalogue. Spécifiez ensuite la taille du symbole. La taille du texte des notations est ajusté pour s'insérer dans le symbole et est défini comme texte scalaire.

  • REMARQUE : Etant donné que les trames peuvent être créées dans n'importe quelle direction, la ligne joignant l'origine au point de direction est considérée comme la direction des x de la trame et ne devrait pas être confondue avec l'axe des x du système.


Création de points

Crée un point-entité sur l'écran.

\point

Pour créer un point, définissez le point à l'écran ou snappez-le. Continuez à définir d'autres points. Un point est un type d'entité, doté de toutes les propriétés communes des entités ARC+. Servez-vous de points d'aide pour marquer effectivement un point dans l'espace. Les points sont tracés.

Pour marquer un point qui ne sera pas tracé, servez-vous de points d'aide. Voir Lignes d'aide, Création d'un point d'aide (\hpoint).


Création de symboles de trames

Les symboles de trames peuvent avoir toute forme et être créés comme des entités bidimensionnelles, avec leur origine 0,0,0 au centre du plus petit rectangle dans lequel ils sont inscrits. Ce rectangle devrait mesurer 1 x 1 mètre, autrement dit, le rayon maximum du symbole devrait valoir 0.5 mètre. Le système ajuste le symbole à la taille que vous spécifiez.

Sauvegardez le symbole dans le catalogue grid sous le répertoire arcalib, au moyen de la commande du Gestionnaire de catalogue (\libedit, voir Objets placés et catalogues).


Créer à l'identique

\clone

Cette nouvelle commande n’est visible que dans les menus contextuels apparaissant lorsque vous faites un clic droit au-dessus de n’importe quelle entité. Grâce à elle, vous pouvez directement dessiner le même type d’entité en leur appliquant exactement les mêmes attributs.

  • Le calque est toujours pris en compte pour toutes les entités à créer à l’identique.
  • La couleur, le type et l’épaisseur sont pris en compte pour les lignes, arcs, polygones.
  • Les types de murs, types d’objets et types d’ouvertures sont réutilisés.


Défilement des commandes précédentes

Vous pouvez faire défiler la liste des commandes précédemment utilisées. Les noms de ces commandes s'affichent les uns après les autres sur la ligne des commandes et elles peuvent être réactivées en pressant la touche Entrée. Les paramètres des commandes ne sont pas affichés à moins que n'ayez initialement tapé la commande avec ses paramètres comme une chaîne continue de caractères.

Pressez les touches à flèches du clavier pour faire défiler sur la ligne de commandes, les commandes précédemment utilisées.

  • Flèche ↓ défilement de haut en bas
  • Flèche ↑ défilement de bas en haut

Sur certains systèmes, il y a des touches de flèches près de la ligne de saisie.


Définition d'un point dans l'espace

Vous pouvez définir un point dans l'espace en entrant ses coordonnées au clavier. Il existe quatre méthodes pour spécifier des points, en dehors du pointage graphique avec le curseur. Le mode correspondant à la méthode Relative est toujours activé depuis l’édition 2009.

  • Géométrique
  • Absolue
  • Relative (déplacement)
  • Polaire
  • REMARQUE : Vous ne pouvez définir des points que lorsque la saisie réclame l'entrée de coordonnées (POINT).

Les coordonnées sont toujours entrées dans l'ordre x, y, z. Les différentes méthodes sont explicitées dans ce qui suit.

Points geometriques | Entrez les coordonnées x, y, z sur la ligne de saisie. Il faut impérativement entrer les trois coordonnées. | Exemple: 7.5 6.25 3
Point absolu | Au moyen du paramètre a, définissez la coordonnée absolue vers la quelle vous voulez vous déplacer. Il vous suffit de spécifier un seul axe—les autres demeurent statiques. | ayz 5.5 5 signifie que le prochain point est à y=5.5, z=5; la coordonnée x ne change pas.
point relatif | Vous pouvez définir le prochain point relatif dans le sens de la souris en saisissant uniquement la valeur. Au moyen du paramètre d (déplacement), vous définissez explicitement le sens de l’axe relatif au point courant (visible sur la ligne de statut). | dxy 4 1 signifie que le point suivant est à 4 unités de la position courante du curseur sur l'axe des x et à une unité de cette position sur l'axe des y;
Point polaire | La saisie de 2 valeurs sera considérée comme une distance + un angle par rapport au point courant.De la même manière que le paramètre d pour la distance, il est possible de déplacer le plan de + 2 axes. | pxyz 1 45 45 signifie que le point suivant est à 1 unité de la position courante du curseur, sur une ligne faisant un angle de 45° avec le plan xy et un angle de 45° avec l'axe des z.
  • REMARQUE: Vous pouvez utiliser les quatre différentes méthodes de définition de coordonnées à la fois dans une même chaîne de caractères.


Définition d'un point libre sur l'écran

Pour définir un point libre—la position exacte du curseur—déplacez le curseur jusqu'à la position voulue et cliquez. La boîte de dialogue coordonnées en haut de l'écran est mis à jour.


Définition de l'échelle de l'écran

Définit l’échelle de l’écran.

\scale

L'échelle, dans ARC+ est celle au moyen de laquelle le modèle est affiché à l'écran. Elle n'a aucun effet sur la taille du modèle, qui est créé dans ses dimensions vraies, ou sur l'échelle du dessin final qui est spécifiée avant la sortie au traceur.

Lorsque vous changez l'échelle de l'affichage, certaines parties du modèle peuvent disparaître de l'écran ou au contraire y apparaître alors qu'elles n'y étaient pas. Vous pouvez maîtriser le mouvement des différentes parties du modèle en fixant un point particulier autour duquel tout est agrandi ou réduit.

Choisissez l'une des quatre options suivantes:

  • Le centre courant de l'écran demeure fixe et tous les autres points participent à l'agrandissement ou à la réduction du modèle autour de lui.

  • Spécifiez un nouveau point libre comme centre de l'écran autour duquel tous les autres points se déplaceront.

  • L'origine des coordonnées (0,0,0) est positionnée au point inférieur gauche de l'écran et devient le point fixe.

  • L'origine des coordonnées (0,0,0) est positionnée au centre de l'écran et devient le point fixe.

Spécifiez la nouvelle échelle et la méthode de contrôle du mouvement de l'écran.

Si vous choisissez une échelle de 1:100, un centimètre à l'écran représentera approximativement 1 mètre sur le modèle.

L'échelle courante de l'écran est affichée sur la ligne de statut en haut de l'écran.

//


Définition de l'origine des coordonnées

Définit la position de l'origine des coordonnées à l'écran.

\origp

Choisissez un des points suivants de l'écran pour y fixer l'origine des coordonnées (000):

  • Angle inférieur gauche
  • Centre de l'écran

L'origine est marquée sur l'écran par un astérisque.


Définition de la taille des points

Définit la taille des marqueurs de points.

\pntsiz

Le marqueur de points consiste en trois lignes, parallèle chacune à l'un des axes principaux.

Spécifiez la longueur des lignes en dimensions réelles.


Définition de la valeur du troisième axe

Fixe la coordonnée de l'axe demeuré inactif.

\setax

Spécifiez la coordonnée du plan actif sur le troisième axe (non-actif). La coordonnée de cet axe sur la ligne de statut est modifiée en conséquence.

Si le troisième axe est verrouillé par la commande Verrouillage du troisième axe (\fixax), décrite plus bas, vous êtes invité à le déverrouiller avant d'appliquer cette commande.

Lorsque vous définissez une vue orthogonale, le système transforme automatiquement le plan de visualisation en plan actif. Par exemple, si vous fixez une vue suivant le plan xy, celui-ci devient le plan de travail et les axes x et y deviennent les axes actifs.

Dans ARC+, seul un plan à la fois peut être actif (2 axes). Si vous passez d'une vue orthogonale à une vue axonométrique, le dernier plan de travail demeure actif jusqu'à ce que vous spécifiez un nouveau plan de travail ou que vous passiez à une vue orthogonale différente. Ainsi, si vous passez d'une vue en plan à une vue axonométrique, le plan xy demeure actif et si vous passez d'une vue en élévation à une vue axonométrique, c'est le plan xz ou le plan yz qui demeure actif, suivant l'élévation que vous étiez en train de visionner.


Définition des attributs de ligne

Définit le type, la couleur et l’épaisseur de la ligne active.

\aline

  • CONSEIL: Il est souvent plus facile et rapide de définir les attributs de ligne à l’aide de la barre d’outils statut. (voir page 2-25)

Il y a plusieurs façons pour lancer la commande \aline. Les options de définition des attributs varient selon la méthode que vous choisissez: En cliquant sur l’icône [image] ou en saisissant dans la ligne de commande vous accédez à la liste complète des options:

Type de ligne

Choisissez le types de lignes requis à l’aide de la boite de dialogue type ligneou tapez le numéro du type de ligne requis.

Couleur de ligne

Sélectionnez la couleur de la ligne à l’aide du sélecteur des couleurs:

Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la sélectionner.

  • REMARQUE : Si vous utilisez le raccourci clavier [Ctrl+1] vous accédez directement au sélecteur des couleurs.
Epaisseur de ligne | Choisissez entre Fine ou Epaisse dans le sous menu ou tapez le numéro de l'épaisseur de ligne requise.
Tous les attributs | Définissez l'un après l'autre, les paramètres ci-dessus.
Retablir par defaut | Remettre la couleur, le type et l'épaisseur de la ligne à leur valeur par défaut.
Par échantillon | Indiquez une entité échantillon qui possède les attributs désirés. Les attributs de la ligne en cours, couleur type et épaisseur sont remplacés par ceux de l’échantillon.
boite de dialogue | Lance la boite de dialogue des attributs de ligne. (Décrite dans la page suivante)

En double cliquant sur l’icône [image] la boite de dialogue «attributs de ligne» apparaît:

type de ligne | Choisissez le type de ligne requis à l’aide de la liste déroulante. Tous les types de lignes disponibles pour votre modèle y sont présentés.
epaisseur de ligne | Basculez entre les deux épaisseurs (0.1 mm et 0.5 mm) disponibles. A l’aide de la liste déroulante.
  • REMARQUE : Les épaisseurs de ligne 0.1 et 0.5 sont des épaisseurs virtuelles pour affichage sur l’écran seulement. Les épaisseurs de plumes pour impression sont configurables dans la boite de dialogue «paramètres d’impression» (voir page 20-2)
couleur de ligne Cliquez sur le rectangle coloré afin de lancer le sélecteur des couleurs: Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la valider.


Définition des couleurs de l'environnement de travail

Cette commande définit les préférences des couleurs de l’environnement de travail.

\color

Vous pouvez modifier les couleurs de l’affichage ainsi que d’autres paramètres des différents modes dans ARC+.

La boite de dialogue vous permet de rapidement visualiser et choisir les couleurs de l’arrière plan et les éléments d’affichages (comme cadres, symboles points d’origine etc. des différents modes d’ARC+ (Modélisation, Solide, DSG et ainsi de suite).

Cliquer sur un des boutons dans la rubrique Arrière- plan ouvrira le gestionnaire approprié qui vous permettra de modifier la couleur de l’écran:

Choisissiez une couleur à l’aide du pointeur ou saisissez sa valeur exacte en RVB (Rouge, Vert, Bleu). Cliquez sur OK pour valider votre choix.

Cliquer sur un des boutons dans la rubrique Système ouvrira le gestionnaire approprié qui vous permettra de modifier les attributs de l’élément d’affichage en question:

Choisissiez un type de ligne, une épaisseur et/ou la couleur à l’aide des sélecteurs appropriés. Cliquez sur OK pour valider votre choix.

Cliquez sur «Ok» pour effectuer le changement ou sur «Annuler» pour annuler.

  • REMARQUE: ARC+ adapte automatiquement la palette 255 couleurs par rapport à l’intensité de la couleur du fond choisie pour le mode de modélisation (GEOM). La couleur #1 sera affichée en noir ou en blanc selon l’intensité de l’arrière plan.


Définition des unités de mesure

Définit l’unité de mesure dans laquelle vous désirez travailler.

\unit

Sélectionnez l’unité de mesure que vous désirez utiliser:

  • Mètres(m)
  • Centimètres(cm)
  • Millimètres(l)
  • Pieds(f)
  • Pouces(i)

Vous pouvez aussi changer d’unité de mesure à l’aide de la barre d’outils Echelle et unité:

Toutes les valeurs de cotations entrées dans ARC+ seront exprimées dans l’unité de mesure choisie à moins qu’il ne soit spécifié autrement dans le prompt.

Choisissez pieds et pouces comme unités de mesure par défaut pour la session en cours. Lorsque vous ouvrez à nouveaux ARC+, les mètres sont repris comme unités par défaut.

  • REMARQUE : Quelque soit l’unité que vous utilisez à un moment donné, vous pouvez spécifier les cotations dans une autre unité en entrant la valeur de la cotation suivie de l’abréviation de l’unité choisie, sans espace entre les deux, ex : dxy 4cm.

Pieds et pouces comme unités de mesure

Choisissez Pieds et pouces puis choisissez une option de format d’affichage:

  • Mesures en pieds. Les cotations inférieures aux pieds sont exprimées en valeurs décimales (ex: 1, 1')
  • Mesures en unités complètes de pieds et pouces. Les cotations inférieures aux pouces sont exprimées en valeurs décimales (ex: 1',1,1")
  • Mesure en unités complètes de pieds et pouces. Les cotations inférieures aux pouces sont exprimées en fractions (ex: 1' 1-½").
  • Mesure en pouces. Les cotations inférieures aux pouces sont exprimées en valeurs décimales (ex: 111.15 ").

Ces unités seront utilisées à la fois pour les informations en-ligne, la saisie du système et pour les cotations. Les mêmes formats sont applicables pour les lignes de cotation dans la commande Définir attributs cotations (\adim) et Modifier attributs (\uadim ).


Définition du choix de mise à l'échelle

Cette commande est utilisée pour définir un choix de mise à l’échelle.

ARC+ pouvant être utilisé aussi bien pour la création de mobiliers à une échelle 1:1, que pour l’urbanisme à une échelle 1:10000, différentes exigences de calcul automatique peuvent s’avérer nécessaires. Afin d’éviter des calculs superflus, il vous est vivement conseillé d’avoir un choix limité de mise à l’échelle pour le modèle à l’écran. Par exemple, si vous travaillez sur un projet de décoration d’intérieur, la mise à l’échelle à 1:100.000 ne sera probablement pas requise.

\setscl

Lorsque vous utilisez cette commande, spécifiez l’échelle minimale et maximale que vous utiliserez. Confirmez pour appliquer le nouveau choix.


Définition du mode attente

Active ou désactive le mode attente.

Le mode attente vous permet d'entrer des commandes et des paramètres qui ne sont pas exécutés jusqu'à ce que vous annuliez le mode. Ce mode est très utile lorsqu'il s'agit de spécifier des positions pendant les opérations de création et de manipulation. Le mode est activé/désactivé en pressant l'icône correspondant sur la ligne de statut qui indique également le statut actuel.

  • REMARQUE : N'entrez le mode attente que par l’icône.

Supposez par exemple que vous souhaitez tracer une ligne allant d'un point existant à un point se trouvant à une distance de 10 mètres dans la direction de l'axe des x. Commencez la ligne à un point donné. Activez le mode attente. Snappez la ligne au point existant. Aucune ligne n'est créée à ce stade du fait de l'activation du mode attente. Entrez le déplacement à partir du point connu: dx 10. Annulez le mode en pressant à nouveau l’icône. La ligne est alors créée en passant par le point souhaité.


Définition du plan de travail

Fixe le plan de travail.

\setwp

Spécifiez le plan sur lequel vous souhaitez travailler—xy, xz, yz. La vue demeure inchangée, mais les mouvements de la souris sont enregistrés sur les deux axes définis par le plan spécifié. Si l'indicateur d'axes est affiché, la couleur des axes change conformément au nouveau plan devenu actif.

  • REMARQUE: Le raccourci-clavier Alt+c ne fonctionne qu’en vue axonométrique et utilise une sous-commande supplémentaire du système (\cplane).


Effacement de points

Afin d'effacer des points de manière individuelle, servez-vous de la commande commune d'effacement, ou à défaut, sélectionnez les points au moyen de la commande Sélection par type d'entité (\apsel) et effacez de la sorte le groupe de sélection.


Effacement des marqueurs

Efface le marqueur du centre d'un arc, de l'origine d'objets placés et de textes.

\delm

Indiquez l'arc, l'objet placé ou le texte ou encore leurs marqueurs. Le marqueur de l'entité indiquée est effacé.

  • REMARQUE: Si vous effacez le marqueur avec la commande Effacement des entités (\dele, voir Edition et manipulation), l'entité est également effacée.


Filtre du snap

Cette boîte de dialogue permet de déterminer quelles entités et/ou composants d'entités vont être pris en compte par le snap.

Entités simples

Cette section vous permet de définir quelles entités dites "simples" d'ARC+ pourront être accrochées. Si une catégorie d’entités est sélectionnée (cochée), toutes les entités de ce type seront repérées par le snap et vice versa. Par défaut, toutes les entités simples d'ARC+ sont repérées par le snap.

Entités Complexes

Sous cette rubrique, vous pouvez définir quelles entités ou composants d'entités dites "complexes" d'ARC+ pourront être accrochés. Pour certaines entités complexes (Ligne de cotation, Texte de cotation, Cadre d’image) les options suivantes sont disponibles:

Oui : les entités de cette catégorie sont prises en compte par le snap

Non: les entités de cette catégorie ne sont pas prises en compte par le snap

Pour les autres entités complexes les options suivantes sont disponibles:

Entité intégrale: L'accroche se fait aux points spécifiques de l'entité (final, milieu et insertion pour la plupart des entités)

Entité + composants: L'accroche se fait en prenant en compte tous les composants de l'entité (par exemple: les battants d'une porte ; les dormants d'une fenêtre etc.)

Non: les entités de cette catégorie ne sont pas prises en compte par le snap.


Gérer les orientations du modèle

Cette commande permet de définir une nouvelle orientation provisoire de votre modèle, afin de faciliter votre travail en modélisant parallèlement à un des plans du repère orthogonal XYZ.

Les options disponibles dans cette commande sont les suivantes:

  • Réorientation simple
  • Réorientation avancée
  • Rétablir l’orientation originale
  • Rétablir une orientation existante
  • Renommer une orientation
  • Effacer une orientation

Les deux options de réorientation permettent de manipuler le modèle de façons différentes.

Réorientation simple

L’orientation simple permet de déplacer rapidement l’ensemble d’un modèle, vers le point d’origine (x=0, y=0, z=0), suivant des directions définies par l’utilisateur et parallèlement au plan orthogonal le plus adapté (xy, xz ou yz), aussi appelé plan de destination.

  • Saisissez le point de positionnement: l’origine du modèle sera placée en ce point.
  • Saisissez le point de direction: l’axe horizontal du plan de destination sera aligné entre le point de positionnement et ce point de direction.
  • Saisissez le point de réflexion. Ce troisième point ne doit pas se trouver sur la ligne définie par les deux premiers. Il définira la rotation du modèle dans l’espace tridimensionnel.
  • Attribuez un nom à cette nouvelle orientation.
  • IMPORTANT: Le plan du modèle défini par ces trois points est orienté dans le plan de destination. La direction positive de l’axe vertical du plan de destination est dirigée vers le côté défini par le point de réflexion. Les trois points peuvent se trouver n’importe où dans l’espace tridimensionnel. Ceci vous permet de donner au modèle toute orientation souhaitée.

Réorientation avancée

L’orientation avancée permet de déplacer la totalité d’un modèle ou seulement le groupe de sélection. Il permet également de choisir le plan de destination contre lequel le modèle doit se plaquer et de conserver sa position absolue par rapport à l'origine.

  • Saisissez le point de positionnement: l’origine du modèle sera placée en ce point.
  • Saisissez le point de direction: l’axe horizontal du plan de destination sera aligné entre le point de positionnement et ce point de direction.
  • Saisissez le point de réflexion. Ce troisième point, ne doit pas se trouver sur la ligne définie par les deux premiers. Il définira la rotation du modèle dans un espace tridimensionnel:
  • Le plan du modèle défini par ces trois points est orienté dans le plan de destination.
  • La direction positive de l’axe vertical du plan de destination sera dirigée vers le côté défini par le point de réflexion.
  • Choisissez le plan de destination (xy, xz, yz).
  • Choisissez si vous déplacez ou non le modèle du point de positionnement vers le point d’origine.
  • Si une sélection ou un groupe de sélection existe, choisissez si vous souhaitez réorienter tout le modèle ou uniquement le groupe.
  • Attribuez un nom à cette nouvelle orientation.
  • IMPORTANT : Si vous choisissez de réorienter uniquement le groupe sélectionné, ce dernier est provisoirement isolé du reste du modèle et affecté à un niveau de masque supérieur. Si toutefois vous tentez d’atteindre un niveau de masque inférieur à cette réorientation, la portion réorientée du modèle est alors remise en place automatiquement, à sa position d’origine.

Rétablir l’orientation originale

Cette option replace le modèle dans sa position d'origine. Si vous aviez précédemment réorienté seulement une partie sélectionnée du modèle à l’aide de l’option Réorientation avancée, les entités masquées sont alors réaffichées.

Rétablir une orientation existante

Cette option rétablie une orientation du modèle précédemment utilisée.

  • Indiquez l’entité dont vous souhaitez rétablir l’orientation ou appuyez sur Entrée pour afficher la liste complète des orientations disponibles dans le modèle.

  • Si vous avez indiqué une entité, la liste des orientations relatives à cette entité apparaît. Il s’agit de toutes les orientations sur lesquelles l’entités a été soit crée soit modifiée.

  • Sélectionnez dans la liste le nom de l’orientation que vous souhaitez rétablir.

  • REMARQUE: Le type d’orientation rétablie est respecté. S’il s’agit une orientation simple, tout le modèle est déplacé. S'il s’agit d’une orientation avancée appliquée un i quement à un groupe de sélection, les entités non concernées par cette réorientation sont masquées.

Renommer une orientation

La liste de toutes les orientations disponibles dans le modèle apparaît.

  • Sélectionnez l’orientation à renommer.
  • Entrez le nouveau nom de l’orientation.

Effacer une orientation

La liste de toutes les orientations disponibles dans le modèle apparaît.

Sélectionnez l’orientation à effacer.

  • REMARQUE: L'orientation est simplement effacée de la liste des orientations disponibles. Vous ne pouvez donc plus la rétablir directement à moins de la recréer spéc i fiquement. En aucun cas cette opération n'efface les entités qui ont été créées ou modifiées lors de l'usage de cette orientation.


Grilles

Les grilles sont des matrices bidimensionnelles dont le but est de vous permettre de snapper avec précision des points du modèle. Le système offre deux types de grilles:

  • Matrice
  • Trame

La matrice est une série de lignes parallèles suivant deux directions. Vous en spécifiez l'origine, la taille de la maille élémentaire et le nombre de mailles. La matrice est une entité et peut être manipulée dans un espace à trois dimensions. Il vous est possible de créer autant de matrices qu'il est nécessaire, sur des plans différents et avec différents paramètres. La matrice est sauvegardée avec le modèle et elle peut être imprimée.

La trame est une série de lignes parallèles suivant deux directions munie de symboles et de notations au bout de chacune des lignes de la trame. Cette grille est destinée aussi bien au travail de création qu'à la sortie de dessins au traceur, desquels elle fait partie intégrante.

Thèmes liés

  • Création d'une grille
  • Création d'une grille de mise en page
  • Création de symboles de trames


Groupe de sélection

Un groupe de sélection est constitué d'entités et d'objets placés groupés ensembles, vous permettant d'effectuer un certain nombre d'opérations sur le groupe tout entier. Si par exemple vous êtes en train de dresser les plans d'un bâtiment contenant plusieurs pièces identiques, vous pouvez sélectionner une série de murs, de fenêtres et de portes, qui composent la pièce de base, puis les copier au fur et à mesure dans d'autres endroits du bâtiment suivant le besoin. Voir le chapitre Sélection.


Indication d'entités

Certaines commandes vous demandent d'indiquer une entité spécifique. Déplacez la souris jusqu'à ce que le curseur soit sur—ou proche—d'un point de l'entité souhaitée. Lorsque vous cliquez la souris, le système cherche l'entité la plus proche. Celle-ci est alors mise en surbrillance par changement de ses attributs de ligne et le système attend votre confirmation. Si vous répondez par n (non) et ne confirmez pas l'entité indiquée, le système continue à chercher l'entité la plus proche suivante, qui est à son tour mise en surbrillance.

Thèmes liés

  • Redéfinition de la liste d'indication


L'environnement 3D-Définition de points et snap

Le paragraphe suivant décrit la manière de maîtriser un point sur l'écran.

Thèmes liés

  • Définition d'un point libre sur l'écran
  • Snap dynamique - Contraintes angulaires - Incrément
  • La barre d'outils Snap
  • Préférences utilisateur
  • Configuration de la souris
  • Filtre du snap
  • Contraintes angulaires
  • Snapper à un point spécifique
  • Snapper des points prédéfinis
  • Définition d'un point dans l'espace
  • Notation arithmétique pour la saisie numérique par l'utilisateur


L'environnement 3D-maîtrise des plans et axes

Les paragraphes suivants traitent des concepts fondamentaux de l'environnement de travail tridimensionnel d'ARC, et les commandes utilisées pour travailler dans ARC+

Thèmes liés

  • Points, plans et axes
  • Définition du plan de travail
  • Définition de la valeur du troisième axe
  • Verrouillage du troisième axe


La barre d'outils Snap

Cette barre d’outils permet de gérer l’accroche des entités ARC+.

Descriptions des commandes

ICONE | ACTION
 | Activer/Désactiver le mode Snap dynamique. Bascule entre une accroche d’objet avec aperçu ou sans aperçu.
 | Annuler préférences – ce bouton désactive les options du Snap dynamique.
 | Activer/Désactiver le snap au point final d’un segment ou au coin d’une entité.
 | Activer/Désactiver le snap au point du milieu d’un segment.
 | Activer/Désactiver le snap au point d’intersection entre deux segments.
 | Activer/Désactiver le snap au point le plus proche d’un segment ou entité.
 | Activer/Désactiver le snap au centre d’un cercle.
 | Activer/Désactiver le snap au point perpendiculaire à un segment ou entité.
 | Activer/Désactiver le snap au point d’insertion d’un objet placé ou au point de justification d’un texte.
 | Activer/Désactiver le snap au point tangent d’un arc,cercle ou ellipse.
 | Lancer la boite de dialogue Préférences utilisateur.

Activer/ Désactiver le Snap Dynamique

Cette bascule permet d’activer ou de désactiver le mode Snap Dynamique. Quand le mode snap dynamique est activé ARC+ affiche des repères colorés afin de localiser les points pour lesquels le snap est possible, selon les options sélectionnées par l’utilisateur (snap au point du milieu, point final etc.). Quand ce mode est désactivé et une option snap ou plus sont sélectionnées, le snap fonctionne toujours mais aucun aperçu n’est disponible. Vous devrez néanmoins vous assurer que vous utilisez le bouton de la souris configuré pour le snap (vous pouvez contrôler la configuration de la souris en utilisant la boîte de dialogue Préférences utilisateur).

Annuler préférences

Cette fonction active le mode snap dynamique et désactive toutes les options sélectionnées du snap.

  • REMARQUE:Pour une meilleure visualisation des images qui suivent, l’option Afficher coordonnées du snap dans la boite de dialogue Préférences utilisateur a été activée.

Point Final

Symbole du snap:

Lorsque le snap au point final est activé, le système reconnaît automatiquement les points finaux ou coins des entités dans le champ du snap. ARC+ affiche un carré coloré autour du point afin de faciliter son identification.

Point du milieu

Symbole du snap:

Lorsque le snap au point du milieu est activé, le système reconnaît automatiquement le point du milieu d’un segment dans le champ du snap. ARC+ affiche un triangle coloré autour du point afin de faciliter son identification.

Point d’intersection

Symbole du snap:

Lorsque le snap au point d’intersection est activé, le système reconnaît automatiquement le point d’intersection entre deux segments dans le champ du snap. ARC+ affiche une croix colorée sur le point afin de faciliter son identification.

Point le plus proche

Symbole du snap:

Lorsque le snap dynamique au point le plus proche est activé, le système reconnaît automatiquement les points les plus proches situés sur des segments ou entités dans le champ du snap. ARC+ affiche un sablier coloré sur le point afin de faciliter son identification.

Centre

Symbole du snap:

Lorsque le snap dynamique au centre est activé, le système reconnaît automatiquement les centres des cercles, ellipses et arcs dans le champ du snap. ARC+ affiche un cercle coloré autour du point afin de faciliter son identification.

Perpendiculaire

Symbole du snap:

Lorsque le snap au point perpendiculaire est activé, le système reconnaît automatiquement le point sur un segment qui est perpendiculaire au dernier point entré. ARC+ affiche le symbole d’un angle droit coloré sur le point afin de faciliter son identification.

Point d’insertion

Symbole du snap:

Lorsque le snap au point d’insertion est activé, le système reconnaît automatiquement le point d’insertion des objets placés et le point de justification des textes dans le champ du snap. ARC+ affiche un double carré coloré autour du point afin de faciliter son identification.

Tangent
Symbole du snap:

Lorsque le snap Tangent au point est activé, le système reconnaît automatiquement le point sur un arc ou un cercle qui est tangent au dernier point entré. ARC+ affiche le symbole coloré d’une ligne tangente sur le point afin de faciliter son identification.

Lancer la boite de dialogue des préférences utilisateur

Ce bouton lance la boite de dialogue Préférences utilisateur.


La barre d'outils Statut

Cette barre d’outils vous permet de modifier tous les attributs de couleurs et remplissages des entités d’ARC+. Elle vous permet aussi de régler l’épaisseur et le type de la ligne courante ainsi que les modes de remplissage des polygones 2D.

Descriptions
ELEMENT | ACTION
 | Définir la couleur, l’épaisseur, le type de ligne et le calque par échantillon
 | Palette de sélection – Permet de sélectionner rapidement une couleur; La couleur sélectionnée devient la couleur courante avec laquelle les entités sont réalisées. Les couleurs affichées par défaut dépendent de la configuration du gabarit «default» (voir explication dans la page suivante). Il est possible de choisir et d’ajouter d'autres couleurs en cliquant sur "Autre…" au bas du sélecteur. Les couleurs affichées dans le sélecteur des couleurs constituent la palette personnalisée du modèle.
 | Type de la ligne en cours
 | Épaisseur de la ligne en cours
 | Appliquer les attributs de ligne courants.
 | Style de remplissage des polygones de surface.
 | Couleurs du remplissage.
 | Appliquer les paramètres de remplissage de couleur aux polygones indiqués ou sélectionnés.


Les couleurs dans ARC+

Le sélecteur de couleurs

Le sélecteur des couleurs contient les 255 couleurs les plus fréquemment utilisées dans les logiciels de CAO dédiés à l’architecture. Les couleurs du sélecteur sont compatibles avec des sélecteurs similaires dans les autres logiciels de CAO pour un repérage rapide et une conversion précise des modèles. Naturellement ces couleurs sont fixes et leurs numéros et valeurs RVB ne sont pas modifiables.

  • Les couleurs disponibles pour l’ajout sont représentées par un rectangle entièrement coloré - [image] ; Les couleurs déjà ajoutées à votre palette sont représentées par un rectangle avec une encoche blanche -
  • Le sous-sélecteur Couleurs de base - [image] contient les trois couleurs RVB (Rouge, Vert, Bleu); Les quatre couleurs CMJN (Cyan, Magenta, Jaune, Noir) et deux nuances de gris. Il vous permet d’accéder rapidement aux couleurs de base et les ajouter à votre palette. Pour les personnaliser, voir Personnaliser les couleurs de base (\cuscolor) ci-dessous.
  • Le sous-sélecteur Niveau de gris - [image] Vous permet de rapidement sélectionner parmi six teintes de gris.
  • Le champ de saisie Couleur - [image] Affiche l’index de la couleur en cours de sélection dans les sélecteurs. Ce champ vous permet aussi de saisir directement le numéro connu d’une couleur afin de l’ajouter à votre palette.
  • Cliquez sur une couleur pour voir son numéro et ses valeurs RVB
  • Cliquez sur une couleur et cliquez sur [image] pour l’ajouter à votre palette et liste déroulante (Palette de sélection). Vous pouvez répéter cette procédure afin d’ajouter plusieurs couleurs une par une.
  • Cliquez OK pour valider l’ajout des couleurs à votre palette et sortir.

Sélection des couleurs

A l’ouverture d’ARC+ le Sélecteur des couleurs contient les couleurs choisi et enregistré dans le fichier gabarit par défaut, dénommé «DEFAULT». Ce fichier se trouve dans ARCALIB\TEMPLATE\MODEL\ Il s’agit d’un fichier gabarit qui régit non seulement les couleurs mais aussi les styles de texte, la configuration des calques etc. Pour plus d’information sur les gabarits voir page 10-2 du présent manuel.

Les couleurs affichées dans le sélecteur des couleurs constituent les couleurs définies pour le modèle affiché en cours. Cette palette est automatiquement enregistrée avec le modèle en cours. Vous pouvez créer des fichiers gabarit avec différents palettes de couleur selon votre convenance. Enregistrez-les en tant que gabarit ARC+ (Enregistrer sous Gabarit ARC+…). Cela vous permettra de les choisir à chaque fois que vous démarrez un nouveau modèle.

Enregistrer une sélection de couleurs dans un gabarit

Vous pouvez enregistrer une palette personnalisée dans un gabarit (il est possible d’ajouter d’autres configurations par la suite). Dans ce dessin:

  1. Sélectionnez les couleurs que vous souhaitez intégrer dans votre modèle à l’aide du sélecteur des couleurs (voir page précédente)
  2. Enregistrez le fichier courant en tant que gabarit en lançant la commande Enregistrer sous du menu Fichier Nommez le nouveau gabarit et cliquez sur Enregistrer

Pour plus de détails sur les gabarits – voir chapitre 10 «Fichiers».

  • REMARQUE: en choisissant le type «Gabarit ARC+». Le chemin d’accès par défaut est ARCALIB\TEMPLATE\MODEL\ - l’emplacement du Gabarit «DEFAULT», le gabarit par défaut d’ARC+.


Notation arithmétique pour la saisie numérique par l'utilisateur

Les options suivantes sont disponibles pour la définition d'un point dans l’espace et l’insertion d’entrée numérique.

  • Saisie d’une formule mathématique et calcule automatique de sa valeur.
  • Indication d’une entité échantillon à partir de laquelle des dimensions seront récupérées.
  • Utilisation d’une combinaison des options ci-dessus.

Les moyens courants pour définir un point (dx, ax, pxy etc.) peuvent être inclus dans la formule.

Utilisation d’une formule complexe

Vous pouvez fournir une formule complexe et le système calculera sa valeur numérique. Les opérations arithmétiques suivantes peuvent être utilisées:

Opérateur | Symbole | Opérateur | Symbole
Parenthèses | ( ) | Sinus | sin(n)
Plus | + | Cosinus | cos(n)
Moins | - | Tangente | tan(n)
Multiplier | * | Cotangente | cotan(n)
Diviser | / | Racine carrée | sqr(n)
Puissance | pwr(n) |  |

Par exemple, pour spécifier une valeur numérique, tapez dx 7*sin (34.5), et sa valeur sera calculée automatiquement.

Utilisation des cotations d’une entité indiquée

Fournit une valeur numérique en spécifiant le type de valeur, puis indique l’entité à partir de laquelle elle est lue.

Toutes les options de type de valeur sont spécifiées en utilisant le préfixe "&" sur la ligne de saisie, ce qui implique l’indication d’une entité échantillon à partir de laquelle la cotation sera prise. Vous pouvez aussi inclure des préfixes absolus, relatifs et polaires dans la formule (ax, dx, pxy, ect.).

Types de Valeurs:

  • Longueur des entités linéaires - &l
  • Rayons des arcs et des cercles - &r
  • Diamètre des arcs et des cercles - &d
  • Angle des arcs et des cercles - &a

Par exemple, lorsque vous dessinez une ligne, vous êtes invité à spécifier le point suivant. Tapez dx &l, le système vous demandera d’indiquer une entité linéaire. Une fois l’indication donnée, la ligne suivante sera élargie suivant l’axe des x par la longueur de l’entité indiquée.

  • REMARQUE : Lorsque vous indiquez une entité complexe, la valeur de la longueur (rayons/angle) est prise de la ligne spécifique que vous avez indiquée dans cette entité.


Personnaliser couleurs 2 à 15

Le gestionnaire de personnalisation des couleurs 2 à 15 vous permet de définir des couleurs de votre choix pour les «14 première couleurs» du sélecteur des couleurs.

\cuscolor

Au lancement de la commande la boîte de dialogue suivante apparaît:

Sur la partie gauche vous trouverez:

  • Les numéros des couleurs 2-15
  • Leur aperçu actuel
  • Leurs valeurs en RVB (Rouge, Vert, Bleu)

Sur la partie droite vous trouverez:

  • Une série de boutons cliquable pour assigner une nouvelle couleur à la place de des couleurs par défaut dans la partie gauche (un bouton par couleur)
  • Les valeurs en RVB (Rouge, Vert, Bleu) des nouvelles couleurs assignées.

Pour personnaliser les couleurs 2-14:

Cliquez sur le bouton à droite de la couleur à laquelle vous voulez assigner une nouvelle teinte.

Un sélecteur de teintes RVB apparaîtra:

Choisissiez une couleur à l’aide du pointeur ou saisissez sa valeur exacte en RVB (Rouge, Vert, Bleu). Cliquez sur OK pour valider votre choix.

Cliquez sur OK dans le sélecteur.

Vous pouvez répéter cette opération pour toutes les couleurs disponibles.

Cliquez sur OK pour valider vos changements et quitter le gestionnaire.

Cliquez sur [image] si vous voulez revenir à l’état initial avec les couleurs par défaut.

  • REMARQUE:La couleur #1 n’est pas modifiable. Cette couleur change selon la définition de l’arrière plan de votre écran (pour modifier, lancez \color) Cette couleur est programmée à ne jamais ressembler à la couleur de l’arrière plan. Par exemple, si votre arrière plan est noir la couleur #1 est blanche.


Points et marqueurs

Les points sont des entités ARC+ indépendantes qui identifient graphiquement un point dans l'espace. Vous pouvez vous servir de ces points pour marquer une position à partir de laquelle vous souhaitez exécuter certaines opérations. Vous pouvez facilement snapper les marqueurs avec votre souris.

Thèmes liés

  • Création de points
  • Définition de la taille des points
  • Effacement de points
  • Affichage des centres d'arcs, des points d'origine
  • Effacement des marqueurs


Points, plans et axes.

Home > 2 Outils de base > Points, plans et axes.

Points, plans et axes

ARC+ définit un point dans l'espace au moyen de coordonnées cartésiennes. Ces coordonnées correspondent aux valeurs du point mesurées le long de trois axes orthogonaux. Les axes sont désignés par x, y et z. Les axes xy sont généralement assimilés au plan horizontal et l'axe z est le plan vertical.

Un plan est défini par trois points dans l'espace, autrement dit par trois ensembles de trois coordonnées. Tout plan parallèle à deux des axes est dénommé plan principal ou plan orthogonal (xy, xz et yz). Un plan parallèle à l'un des axes xyz seulement, est dit plan diagonal, alors qu'un plan dit libre n'est parallèle à aucun des axes.

Origine

L'origine est le point de référence de l'espace à partir duquel sont comptées toutes les mesures faites le long des axes. La valeur sur chaque axe à l'origine est 0. Elle augmente à mesure qu'on s'éloigne de l'origine. La valeur peut être positive ou négative suivant le sens dans lequel la distance est comptée. L'origine est représentée sur l'écran par un astérisque.

  • IMPORTANT : Vous pouvez localiser l'origine (0 0 0) en vous servant de la commande de raccrochement à un point Snapper à un point (\snap), décrite ci-après.

Le plan de travail et le plan de visualisation ne sont pas nécessairement les mêmes. Les différences entre les deux sont décrites au paragraphe suivant.

Plan de visualisation

Pour voir (orthogonalement) un des plans principaux vous devez projeter parallèlement au troisième axe. Le mode de visualisation par défaut dans la fenêtre de travail est la vue en plan.

  • Dans la vue en plan vous devez projeter le plan xy parallèlement à l'axe z.
  • Lorsque vous passez à la vue en élévation de face, vous projetez orthogonalement au plan xz, le long de l'axe y.
  • Si vous faites pivoter la vue de 90 degrés, vous projetez le plan yz le long de l'axe x.

Vous pouvez observer n'importe quel plan le long du troisième axe, dans n'importe quelle direction, positive ou négative. Ceci vous permet de voir les élévations avant et arrière (xz) et les élévations gauche et droite (yz).

Les vues parallèles à l'un des axes principaux (ou perpendiculaires à l'un des axes principaux) sont appelées vues orthogonales. Une vue non-orthogonale, telle qu'une vue axonométrique par exemple, vous permet de voir plus qu'un seul plan ou deux axes.

En plus des vues standards, en plan, en élévation et en axonométrie, ARC+ vous permet de manipuler les vues de plusieurs manières différentes. N'importe quelle position de visualisation peut être représentée, à n'importe quelle distance et sous n'importe quel angle.

Plan actif ou plan de travail

Dans ARC+, le curseur ne se déplace que sur un plan à la fois. Ceci est naturel en vues orthogonales du moment que l'on ne peut pas voir le troisième axe. (Le troisième axe est parallèle à la direction de visualisation). En vue axonométrique cependant, le curseur peut donner l'impression de se déplacer dans un espace 3D alors qu'en réalité il ne quitte pas le plan actif. Ceci se produit car on ne peut pas contrôler la profondeur du curseur le long de la direction de visualisation (perpendiculaire à l'écran).

  • CONSEIL: Le plan actif est indiqué sur l'écran par l'indicateur des axes situé en haut et à droite de l'écran. Les axes actifs sont de même couleur, alors que le troisième (inactif) est affiché avec une couleur différente. Vous pouvez aussi déterminer le plan actif, lorsque l'indicateur des axes n'est pas affiché, par le couple de coordonnées qui change en déplaçant la souris. Le troisième axe demeure fixe.

Lorsque vous passez à l'une des vues orthogonales (plan ou élévation), le système change automatiquement le plan actif pour le rendre parallèle au plan de visualisation. Néanmoins, lorsqu'on passe à une vue axonométrique, le plan actif courant demeure actif.

  • REMARQUE: Dans les projections orthogonales, le plan actif est généralement le même que le plan de visualisation. Vous pouvez cependant spécifier un plan actif différent. Dans ce cas, le curseur ne semble actif que le long d'une ligne étant donné que le plan actif est perpendiculaire au plan de visualisation

Mise en service du troisième axe

Vous pouvez passer à un plan parallèle au plan courant, avec une valeur différente sur le troisième axe en snappant à une entité présente sur le plan recherché ou en spécifiant une coordonnée sur l'axe inactif. La valeur du troisième axe sur la ligne d'état est aussi mise à jour (voir Outils de base, Snapper un point spécifique, commande \snap).

  • CONSEIL : Dans la fenêtre de contrôle, vous pouvez déplacer la vue oeil/cible sur l'axe inactif en tenant appuyée la touche Shift pendant que vous déplacez la souris.


Préférences_utilisateur

Home > 2 Outils de base > Préférences_utilisateur

Préférences utilisateur de snap

Cette boîte de dialogue permet de définir et de modifier tous les paramètres du snap.

Cette boîte de dialogue vous permet d’activer/désactiver le snap dynamique, définir quelles options de snap seront activées et contrôler les paramètres d’affichage du snap (taille, couleur etc.). Cette boîte de dialogue vous permet également de naviguer vers les autres boîtes de dialogue interdépendantes (Configuration de la souris; Filtre du snap; Contraintes).

Les fonctions de la boite de dialogue préférences utilisateur

Snap dynamique ON/OFF | Activer/désactiver le snap dynamique.
Tout sélectionner | Vous permet de sélectionner toutes les options snap en un seul clic
Tout effacer | Vous permet de désélectionner toutes les options snap en un seul clic.
Afficher symbole du snap | Cette fonction, activée par défaut, affiche les symboles attribués à chacune des options snap.
Magnétiser Cette fonction, activée par défaut, colle la ligne élastique de l’entité que vous dessinez à un élément déjà existant dans le champ défini du snap, à condition qu’une ou plusieurs options de snap soient activées.
  • CONSEIL: vous pouvez combiner cette option pour tracer un vecteur suivant une direction spécifique et d’une longueur définie, en 2D ou en 3D.
Afficher coordonnées du snap Cette fonction, désactivée par défaut, affiche une info bulle sur l’écran contenant les coordonnées X, Y et Z du point repéré et l’option snap correspondante. Ceci selon les options snap activées et dans le champ défini du snap.
  • REMARQUE: quand la vue définie est Vue en plan les coordonnées affichées sont celles des axes X et Y uniquement. Quand la vue définie est une vue axonométrique les coordonnées affichées sont celles des axes X, Y et Z.
Afficher le champ du snap | Cette fonction, désactivée par défaut, Affiche le contour du champ du snap. Le champ du snap est une zone autour du curseur (dont la taille est définie par le potentiomètre «Champ du snap» décrit ci dessous) à l’intérieur de laquelle les options snap sélectionnées sont activées.
Afficher le repère horizontal/vertical | Cette fonction, désactivée par défaut, Affiche des repères en forme de «Lignes élastiques» traversant l’écran – l’une est parallèle à l’axe de X, l’autre à l’axe de Y.
Souligner l’entité accrochée | Cette fonction, activée par défaut, souligne les entités qui se trouvent à l’intérieur du champ du snap afin de faciliter le repérage de l’élément à accrocher.
Ce sélectionneur de couleurs permet de choisir la couleur avec laquelle les symboles des différentes options snap seront affichés. La couleur définie par défaut est rouge.
Ce Potentiomètre permet de régler la taille du symbole des différentes options snap.
Ce Potentiomètre permet de régler la taille du champ du snap.
Ce bouton vous permet d'établir le nouveau mode snap d'ARC+. Quand le nouveau mode snap est activé, toutes les options snap sont cochées, les préférences afficher le symbole du snap, souligner l'entité accrochée et magnétiser sont sélectionnées. La configuration de la souris est définie selon le nouveau style de Snap (bouton de gauche pour le Snap, bouton du milieu pour point libre et bouton de droite pour menu contextuel). | Vous pouvez également établir ce mode en utilisant la commande suivante:\snapset
Ce bouton vous permet d'établir le nouveau mode snap d'ARC+. Quand le nouveau mode snap est activé, toutes les options snap sont cochées, les préférences afficher le symbole du snap, souligner l'entité accrochée et magnétiser sont sélectionnées. La configuration de la souris est définie selon le nouveau style de Snap (bouton de gauche pour le Snap, bouton du milieu pour point libre et bouton de droite pour le menu contextuel).


Principe

Par défaut, l’utilisateur travaille dans le repère orthogonal XYZ du modèle. Tout élément qu’il dessine ou modélise est d’abord instinctivement représenté sur l’un des trois plans naturels de l’espace:

  • Le plan XY pour la vue de dessus
  • Le plan XZ pour la vue de face
  • Le plan YZ pour la vue de côté

La complexité de certains modèles peut parfois nécessiter de travailler ou de se repérer suivant des orientations diagonales ou sur des plans 3D quelconques de l’espace. Pour répondre à ce genre de situation, un nouveau principe fournit à l’utilisateur la possibilité de repositionner tout ou une partie du modèle à partir un plan ou une direction définis vers une position orientée parallèlement à l’un des plans 3 trois plans naturels du repère XYZ, plus faciles à se représenter mentalement.

Ainsi, l’utilisateur peut modéliser ou modifier des éléments dans ce repère, qui au final retrouveront leur position complexe une fois l’orientation d’origine du modèle restituée.

Application

Ce principe est particulièrement utile pour :

  • Ajouter des textes suivant la direction inclinée d’une partie d’un plan.
  • Appliquer les commandes de cotation horizontales ou verticales automatiques à un plan sur des zones en diagonale.
  • Etirer à l’intérieur d'une fenêtre rectangulaire une portion en biais d’un élément ou d’un dessin.
  • Projeter le long d’un axe libre un polygone.
  • Modéliser des formes complexes en suivant l’orientation d’un plan libre dans l’espace.

Exemple d’utilisation en 2D

EXEMPLE 1 : L’exemple suivant illustre certaines possibilités offertes par la réorientation appliquée à un plan en 2 dimensions

Figure 1: Le modèle dans sa position d'origine. | Figure 2: Réorientation du modèle en alignant la partie gauche avec la direction X du plan XY.
Figure 3: Ajout de textes et de cotations horizontales et verticales | Figure 4: Etirement d’une partie du modèle (la cuisine est plus grande).
Figure 5: Restitution de l’orientation originale du modèle

Exemple d’utilisation en 3D

EXEMPLE 2 : L’exemple suivant illustre une possibilité offerte par la réorientation appliquée à un modèle en 3 dimensions:

Figure 1: Le modèle dans sa position d'origine. | Figure 2: Réorientation du modèle en alignant le mur de droite avec le plan XZ
Figure 3: Mise en situation de travail en visualisant le modèle en élévation de face. | Figure 4: Modélisation d’un nouvel élément.
Figure 5: Visualisation du modèle en vue axonométrique. | Figure 6: Restitution de l’orientation originale du modèle.


Réorientation du modèle

La réorientation du modèle permet de travailler de manière plus intuitive sur une portion d’un dessin ou d'une maquette en 3 dimensions en déplaçant provisoirement les entités concernées suivant une direction ou un plan plus facile d’accès.

Thèmes liés

  • Principe
  • Gérer les orientations du modèle


Répétition de la commande précédente

Répète ou réactive la commande courante.

Une des commandes les plus utiles est la commande Répétez. Utilisez-la pour répéter la dernière commande ou pour arrêter une commande en cours d'exécution—si par exemple vous avez entré des paramètres incorrects—et la reprendre depuis le début.

  • IMPORTANT : Sur tous les systèmes, cette commande est accessible par le raccourci-clavier; sur les PC, vous pouvez presser le bouton de droite de la souris (B3) et sur le Macintosh elle est accessible par l'icône.


Redéfinition de la liste d'indication

Redéfinit la liste d'indication lors de la sélection ou de l'indication des entités.

\reset

Lorsque le système vous demande de confirmer une entité indiquée et que vous la rejetez, le système met en surbrillance l'entité suivante la plus proche. Une fois rejetée, une entité ne peut pas être mise en surbrillance dans la commande courante, même s'il s'agit de la seule entité à proximité du curseur.

Vous pouvez reprendre la commande depuis le début, mais s'il y a plusieurs entités près du curseur, la mise en surbrillance de l'entité souhaitée risque de durer un certain temps. Pour cela, vous devriez utiliser cette commande pour redéfinir la liste des entités du système interne et pour indiquer une entité que vous avez déjà rejetée au cours de la présente commande.


Sélection intelligente

La fonction intuitive ‘de sélection intelligente’ filtre automatiquement le modèle pour vous. Elle autorise uniquement les entités, éléments ou groupes d'éléments appropriés dans le cadre de la commande en cours. Le système distingue entre deux catégories de ‘sélection intelligente’:

  • Filtrage des entités susceptibles de sélection — Commandes permettant de sélectionner uniquement les entités applicables. En cas, par exemple, d'activation de la commande Mise à jour des attributs de texte (\uatxt), le système limitera la sélection aux éléments de texte (bien que la même zone regroupe d'autres types d'entité).
  • Commandes orientées objet — Une amélioration du système permet désormais à une même commande d'opérer sur plusieurs types d'entité. C'est ainsi qu'un congé peut être appliqué simultanément à une ligne filaire, un polygone ou un mur.


Sélection par échantillon

Nombreuses sont les commandes qui gèrent la nouvelle option par échantillon permettant de sélectionner un type ou un attribut sur la base d'un échantillon et de l'appliquer ensuite à d'autres entités. C'est ainsi que l'option par échantillon permet notamment:

  • De modifier le rayon d'un cercle en désignant simplement le cercle que vous désirez prendre comme référence.
  • De désigner le type du mur que vous désirez créer en échantillonnant un mur existant dans le modèle.
  • D'appliquer un motif ou un hachurage d'un polygone à un autre.


Snap dynamique - Contraintes angulaires - Incrément.

Le Snap dynamique est une fonction qui vous permet d’accrocher les entités d’ARC+ à l’aide d’un aperçu dynamique et en utilisant le bouton gauche de la souris, à l’exemple des logiciels de CAO utilisés couramment. La nouvelle interface du Snap vous permet de définir le mode Snap Dynamique ou le mode Snap classique d’ARC+, selon vos préférences.

Le mode Ortho a été amélioré pour inclure plusieurs contraintes angulaires définies par l’utilisateur.

Une nouvelle fonction vous permet de créer des vecteurs ou des arcs selon une longueur définie par l’utilisateur (Incrément).

Contenu de ce chapitre:

  • La barre d’outils Snap
  • Configuration de la souris
  • Filtre du snap
  • Contraintes angulaires
  • Incrément

Toutes les fonctions et paramètres du Snap sont accessibles par le bouton [image] de la barre d’outils Snap dynamique.


Snapper à un point spécifique

Spécifie un point précis pour y positionner le curseur.

\snap

Tapez les coordonnées x,y,z souhaitées pour le point visé (avec un espace entre chacune des valeurs) ou snapper un point existant à l'aide du curseur. Le point 0 0 0 est le point de raccrochement par défaut. Le curseur se raccroche au point spécifié et les coordonnées sur la ligne de statut sont mises à jour.

Vous pouvez vous servir de cette commande pour passer à un plan de travail parallèle au plan courant, avec une coordonnée différente sur le troisième axe. Par exemple: Vous travaillez actuellement sur le plan xy ayant une coordonnée 3 sur l'axe des z . Servez-vous de cette commande pour vous accrocher à une coordonnée de 6 sur l'axe des z. Le plan xy demeure toujours actif, mais avec une coordonnée différente sur l'axe des z.

Lorsque vous snappez un point, la priorité de recherche du système dans les environs immédiats du curseur a été redéfinie.

  • Première priorité intersection la plus proche ou point de bord.
  • Seconde priorité arc (point sur un vrai arc géométrique, non pas un segment d’arc)
  • Dernière priorité point le plus proche

L’accrochage cherche des entités dans la surface du curseur (qui est définie par le champ de snap autour du curseur). Le nombre d’entités dans la recherche pour le raccrochage est par défaut 250 (pour chaque type ci-dessus). La recherche des entités est effectuée selon les données de la base de données, non pas selon ce qui se trouve sur l’écran.


Snapper des points prédéfinis

Se raccroche à un point ou à une entité prédéfinis.

Servez-vous de cette commande en créant ou en manipulant des entités afin de se raccrocher à des points prédéfinis exacts se rapportant à des entités existantes.

Vous avez le choix entre l'une des options suivantes.

Choisissez l'une des options. Indiquez et définissez les points et/ou les entités requises pour l'option choisie.

1. | Centre de ligne ou d'arc (centr) | Indiquez la ligne ou l'arc
2. | Milieu de deux points (mid) | Définissez deux points
3. | Intersection (int) | Indiquez deux lignes, deux arcs ou une ligne et un arc
4. | Perpendiculaire (perp) | Définissez un point et indiquez une ligne ou un arc
5. | Tangente à un arc (tang) Définissez un point et indiquez un arc | Définissez un point et indiquez un arc
6. | Distance sur une ligne (dist) | Spécifiez une distance et un point DE et A
7. | Projection parallèle à x (x) | Spécifiez un point de référence et la valeur nécessaire de x
8. | Projection parallèle à y (y) | Spécifiez un point de référence et la valeur nécessaire de y
9. | Projection parallèle à z (z) | Spécifiez un point de référence et la valeur nécessaire de z
  • CONSEIL : Cette commande est particulièrement efficace en entrant un point pour la création ou le placement d'objets. Le point résultant est automatiquement saisi comme une entrée pour la commande en cours. Si vous êtes dans le mode attente, un marqueur est affiché au point résultant.
  • REMARQUE : Toutes les options sont valables pour des entités tridimensionnelles, quelle que soit la vue. Toutes les options offrent la possibilité de revenir à la commande précédente sans avoir besoin d'une entrée.


Support réseau

ARC+ est entièrement compatible avec les configurations réseau. Vous pouvez partager vos modèles, imprimantes, bibliothèques et installations de programme avec des utilisateurs distants. Des utilisateurs multiples peuvent accéder au même fichier d'un modèle sur un réseau (l'un sera une copie) et aux mêmes catalogues en même temps.


Utilisation

L'utilisation de l'automatisation du modèle 2D et 3D se caractérise par:

Un impact sur l'interface et les commandes disponibles.

Le changement de vue automatique en fonction modes 2D et 3D.

Et réciproquement, le passage automatique du modèle en 2D ou en 3D en fonction de la vue choisie.

Lors du passage du modèle en 2D

L'icône Perspective est verrouillée

La barre d'outil Affichage masque les icônes d'accès aux vues en élévation ou en axonométrie:

De même, ces commandes ne sont plus accessibles à partir du menu contextuel.

  • REMARQUE: Vous pouvez cependant utiliser le menu déroulant ou les raccourcis clavier pour accéder à ces vues. Dès lors, le modèle sera automatiquement passé en 3D.

Le menu des modes de travail n'affiche pas l'accès aux modes de visualisation :

  • REMARQUE:Vous pouvez cependant utiliser les raccourcis clavier pour accéder à ces modes. Dès lors, le modèle sera automatiquement passé en 3D.

Lors du passage du modèle en 3D

L'icône perspective est déverrouillée

La barre d'outil Affichage affiche les icônes d'accès aux vues en élévation ou en axonométrie:

De même, ces commandes deviennent accessibles à partir du menu contextuel.

Le menu des modes de travail affiche l'accès aux modes de visualisation:

Gestion des vues en modes 2D et 3D

Lorsque l'automatisation du modèle 2D et 3D est activée, la gestion des vues est la suivante:

Action | Résultat
Premier passage du modèle en 3D | Le modèle est visualisé en axonométrie
Premier passage du modèle en 2D | Le modèle est visualisé en plan Zoom tout
Prochain passage du modèle en 3D | La dernière vue en 3D non orthogonale est restituée
Prochain passage du modèle en 2D | Le dernier zoom sur une portion de la vue en plan est restitué
Passage en en plan | Passage en mode 2D, Si la perspective était activée en 3D celle-ci est automatiquement désactivée
Passage axonométrie, ou élévation | Passage en mode 3D


Verrouillage du troisième axe

Verrouille ou déverrouille la coordonnée du troisième axe jusqu'à ce que vous changiez de vue.

\fixax

Spécifiez la valeur de la coordonnée du troisième axe à verrouiller (pour la vue courante seulement) ou pressez la touche Entrée pour déverrouiller le troisième axe actuellement verrouillé.

Tant que le troisième axe est verrouillé, le curseur ne peut s'accrocher qu'à des points appartenant au plan de travail déterminé par la coordonnée spécifiée du troisième axe. Vous ne pouvez contourner la limitation de l'axe verrouillé qu'en tapant au clavier une valeur absolue.

Une vue orthogonale et une seule peut être verrouillée à la fois. Lorsque vous passez à une autre vue, le troisième axe est libéré, mais il reprend son statut de verrouillé dès que vous repassez au plan orthogonal précédent.


Activer / Désactiver personnalisation des couleurs\colormod

Home > 2 Outils de base > Activer / Désactiver personnalisation des couleurs\colormod

Activer / Désactiver personnalisation des couleurs

Avant de pouvoir lancer la commande \cuscolor (Personnaliser couleurs 2 à 15) il faut lancer au préalable la commande \colormod. La commande \colormod active/désactive la personnalisation des couleurs. Il est important de passer par cette étape afin de s’assurer que vous savez qu’une personnalisation éventuelle des couleurs 2 à 15 nécessitera une configuration spécifique le cas où vous allez convertir votre modèle en format DXF/DWG (voir chapitre 10 - Conversion en DXF/DWG pour plus de détails)

\colormod

Choisissez entre:

  • Oui(y) – Activer l’option pour personnaliser les couleurs 2-15 de la palette
  • Non(n) – Désactiver l’option pour personnaliser les couleurs 2-15 de la palette (ce mode est actif par défaut)
  • REMARQUE : Si vous voulez par la suite convertir votre modèle en DXF/DWG veillez à quitter ARC+ avant le lancement de la commande \saveas (DXF/DWG). Le convertisseur des couleurs dans la boîte de dialogue DXF/DWG s’affiche qu’après la relance d’ARC+


Activer ou désactiver le mode 2D/3D automatique\auto2d3d

Home > 2 Outils de base > Activer ou désactiver le mode 2D/3D automatique\auto2d3d

Activer ou désactiver le mode 2D/3D automatique

Cette commande permet d’activer ou de désactiver l'automatisation du modèle 2D / 3D en fonction de la vue en cours.

\auto2d3d

  • IMPORTANT : Cette option est désactivée par défaut lors de l'installation d'ARC+.

Répondez si vous voulez ou non l'automatisation du modèle 2D et 3D.

Lorsque cette option est désactivée

  • L'icône perspective reste accessible en 2D et en 3D. Lors du passage en vue en plan ou élévation la perspective peut rester active si vous ne la désactivez pas vous-même.
  • En 2D ou en 3D, la barre d’outils Affichage affiche les icônes d'accès aux vues en élévation ou en axonométrie.
  • De même, ces commandes deviennent accessibles à partir du menu contextuel.
  • En 2D ou en 3D, le menu des modes de travail affiche l'accès aux modes de visualisation.


Index

Home > 3 Lignes

03 Lignes

  1. Commandes supplémentaires - lignes
  2. Réation d'arcs
  3. Création d'une ellipse
  4. Création d'une ligne
  5. Création d'une ligne à décalage
  6. Création de cercles
  7. Création de cercles et arcs
  8. Création de lignes
  9. Edition de lignes
  10. Lignes
  11. Création rapide - rectangle


Commandes supplémentaires - lignes

Thèmes liés

  • Création rapide - rectangle
  • Edition de lignes


Création d'arcs

Vous pouvez créer un arc soit en indiquant 3 points sur son périmètre soit en spécifiant l’angle, le centre et son point de départ.

\arc

Au lancement de la commande, trois options vous sont proposées :

  • Par 3 points, départ – intermédiaire – fin
  • Par 3 points, départ – fin – intermédiaire
  • Par centre, départ et angle

Création d’un arc par trois points

Vous pouvez créer l’arc désiré soit par son point de départ, un point intermédiaire et son point final soit par son point de départ, point finale et un point intermédiaire :

Pour « départ – intermédiaire – fin », choisissez trois points successifs:

  • Le premier est le point de départ
  • Le deuxième est un point quelconque de l'arc
  • Le troisième constitue l'extrémité de l'arc

Un arc passant par ces trois points est créé. Ces trois points définissent le plan sur lequel l'arc est créé.

Pour «départ – fin – intermédiaire », choisissez trois points successifs:

  • Le premier est le point de départ
  • Le deuxième constitue l'extrémité de l'arc
  • Le troisième est un point quelconque de l'arc

Un arc passant par ces trois points est créé. Ces trois points définissent le plan sur lequel l'arc est créé.

Création d’un arc par son centre, son point de départ et un angle

Fixez le centre et le point de départ. Spécifiez l'angle de l'arc (0-360 degrés).

L'angle est mesuré dans le sens inverse des aiguilles d'une montre à partir du rayon imaginaire reliant le centre et le point de départ.

Vous pouvez dessiner l'arc sur l'un des trois plans axiaux et dans n'importe quelle vue orthogonale.


Création d'une ellipse

Cette commande vous permet de dessiner une ellipse sur le plan XY.

\elips

Choisissez l'une des méthodes suivantes pour définir la taille et la forme de l'ellipse:

Le point central et le point sur le premier et le deuxième axe

Les points d'extrémités du premier axe et le point sur la circonférence

Le point central, à l'extrémité du premier axe et le point sur la circonférence

Définissez le centre, les points d'extrémité d'axe et/ou les points de circonférence comme demandé pour l'option que vous avez choisie.

L'ellipse est créée.

  • REMARQUE : Dans la première option, si le deuxième point que vous définissez n'est pas perpendiculaire au centre du premier axe, une projection de ce point parallèle au premier axe est présupposée.

Pour assurer l'exactitude, utilisez cette commande uniquement dans le plan de visualisation. L'ellipse est créée dans le plan xy.


Création d'une ligne

Crée une ligne entre deux points

\line

Marquez le premier point et le point suivant de la ligne que vous voulez tracer. Une ligne guide apparaît entre le premier point et la position courante du curseur.

En marquant le point suivant, vous déterminez un segment. Vous pouvez continuer à tracer des lignes à partir du point précédemment marqué. Pour changer le type, la couleur ou l'épaisseur d'une ligne, voir Edition et manipulation, Modification des attributs de lignes.

Pour effacer une ligne, voir Edition et manipulation, Effacement d’une entité.


Création d'une ligne à décalage

Crée une ligne entre deux points

\oflin

Spécifiez la distance entre la ligne guide et la ligne que vous voulez créer. Fixez le point à partir duquel vous voulez tracer la ligne guide. A mesure que vous étirez la ligne guide élastique vers le deuxième point, la ligne se trace parallèlement à la ligne guide, à la distance spécifiée.

Symétrisez la ligne par rapport à la ligne guide en appuyant sur Alt+1. Vous pouvez continuer à tracer d'autres lignes jusqu'au lancement d'une commande différente. Le point de rencontre de chaque nouvelle ligne avec la précédente est résolu par le système. Pour annuler le décalage, appuyez sur Alt+2 qui vous permet de continuer à tracer des lignes ordinaires.

Cette commande opère sur le plan xy seulement.


Création de cercles

Cette commande vous permet de créer des cercles.

\circl

Choisissez l'une des options suivantes:

  • Centre et rayon
  • Le cercle est créé dans le plan de travail actuel
  • Centre et point
  • Le cercle est créé dans le plan de travail.
  • REMARQUE :Le mode relative étant par défaut toujours actif, vous pouvez taper une valeur qui servira de rayon.. deux points

Permet d'entrer deux points pour définir le diamètre du cercle (ce dernier est alors tracé sur le plan de travail en cours).

Trois points

Le cercle est créé dans le plan tridimensionnel en passant par les trois points.

Deux points et objet

Le cercle est créé dans le plan tridimensionnel en passant par les deux points de circonférence et une ligne ou un arc existant. Notez que l'arc et les deux points doivent être dans le même plan.

Deux points et rayon

Le cercle est créé dans le plan de travail.

Deux objets et rayon

Le cercle est créé dans le plan tridimensionnel des deux entités indiquées, qui doivent être dans le même plan. Le système affiche une solution et vous demande de confirmer. Si vous la rejetez, il affiche alors d'autres solutions.

  • REMARQUE : Le code de raccourci est présélectionné sur l’option centre et point.

Définissez les points et les paramètres demandés en fonction de l'option choisie. Le cercle est créé.

Trois objets

Création d'un cercle tangential à trois objets. Il peut y avoir plusieurs solutions pour n’importe lequel des trois objets indiqués (cercles créés).

Indiquez trois objets. Des objets valides incluent des lignes, des arcs et des cercles ainsi que des lignes d’aide, des arcs et des cercles.

Le système vous fournit une solution (un cercle filaire) et demande une confirmation. Si vous ne confirmez pas, la solution possible suivante est créée. Confirmez, ou continuez de faire défiler les solutions.

  • IMPORTANT : C ette option a aussi été incorporée à la commande Lignes d’aide, Cercles (\hcircl).


Création de cercles et arcs

Vous pouvez créer un cercle en utilisant une variété de méthodes. Les entités d’arcs peuvent être créées en choisissant trois points, ou peuvent être créées à un angle à partir d’un point central et d’un point de départ. Plusieurs options sont aussi disponibles pour la création d'ellipses.

Thèmes liés

  • Création de cercles
  • Création d'arcs
  • Création d'une ellipse
  • Changement de la taille d'une ellipse


Création de lignes

Thèmes liés

  • Création d'une ligne
  • Création d'une ligne à décalage


Création rapide - rectangle

Créez un rectangle à l'aide de deux angles opposés ou en définissant la longueur et la largeur.

Création d'un rectangle à partir de deux points opposés Crée un rectangle en marquant deux angles opposés..

\2lrec

Marquez un premier point. Déplacez ensuite dynamiquement le rectangle élastique (en vue orthogonale) ou la ligne guide (dans d'autres vues) à l'aide de la souris et marquez un point à l'angle diagonalement opposé. Un rectangle formé de quatre lignes parallèles au plan courant est créé.

Chaque ligne du rectangle est une entité filaire séparée. Création d'un rectangle par la longueur et la largeur Crée un rectangle en définissant sa longueur et sa largeur.

\lrec

Le rectangle est formé de quatre entités linéaires.

  • REMARQUE : Cette commande opère sur le plan xy seulement.


Edition de lignes

Pour exécuter n'importe laquelle des opérations ci-dessous, voir Edition et manipulation:

  • Modification de la position d'une ligne
  • Modification de la position d'un point sur une ligne
  • Fractionnement de la ligne en deux entités
  • Suppression de la ligne
  • Suppression d'un segment de la ligne
  • Modification des attributs de ligne


Lignes

Les lignes dans ARC+ sont des entités filaires graphiques comprenant des droites, des cercles et des arcs.

Une ligne peut être définie entre deux points quelconques dans l’espace tridimensionnel; les arcs et les cercles peuvent être définis dans n'importe quel plan. Les lignes ne peuvent pas avoir des propriétés de solides ni définir une surface. Une construction tridimensionnelle composée d'entités filaires n'est pas une entité solide et ses lignes cachées ne peuvent pas être effacées, c'est-à-dire que l'entité reste transparente.

On peut utiliser des entités filaires comme additions graphiques à la surface d'entités solides telles que les limites d'un terrain, d'une route etc., et pour la mise au point de dessins bidimensionnels. Elles sont également utilisables dans le mode d'affichage de solides et peuvent représenter, par ex., un atrium qui nécessite un effet de transparence.

Les lignes sont créées avec les paramètres courants de type, de couleur et d'épaisseur de ligne. Vous pouvez tracer une ligne continue à partir d'une série de points. Chaque segment de ligne reste une entité indépendante. Une fois créées, les lignes peuvent être modifiées au moyen des attributs de lignes et des particularités d'édition. Les entités de ligne peuvent être converties en polygones et vice versa.

Thèmes liés

  • Création de lignes
  • Création de cercles et arcs
  • Commandes supplémentaires - lignes


Index

Home > 4 Polygones et solides

04 Polygones et Solides

  1. Assembler des lignes en polygone
  2. Autres interrogations de polygone
  3. Continuation d'un polygone
  4. Convertir le type du polygone pour surface et hachurage
  5. Convertir un polygone 2D en chemin 3D
  6. Création 2D
  7. Création 3D
  8. Création continue d'arcs
  9. Création d'ensembles de surfaces polygonales
  10. Création d'un polygone avec décalage
  11. Création d'un solide à partir de deux polygones
  12. Création d'un solide par la rotation d'un polygone
  13. Création de courbes
  14. Création de formes polygonales prédéfinies
  15. Création de marches 3D de formes libres
  16. Création de polygones en arc
  17. Création de polygones libres
  18. Création de prismes polygonaux prédéfinis
  19. Création de trous dans un polygone
  20. Créer une dalle
  21. Déterminer si un solide est simple ou complexe
  22. Eclatement d'un polygone en éléments linéaires
  23. Edition de polygone
  24. Edition de polygones et de solides
  25. Effacement de segments de polygones
  26. Extrusion d'un polygone en un solide
  27. Extrusion d'un polygone le long d'un chemin
  28. Fermeture d'une boucle polygonale
  29. Interrogation du type du polygone
  30. Interrogation et changement du signe (+/-) d'un solide
  31. Polygones et Solides
  32. Modification d'attributs
  33. Projection d'un polygone sur un nouveau plan
  34. Sphère
  35. Triangulation des surfaces déformées
  36. Types de polygones
  37. Utilitaires de polygone


Assembler des lignes en polygone

Transforme un groupe de lignes et des arcs en un polygone ou crée un polygone par définition d’un espace clos.

\aspol

Vous pouvez créer un polygone à partir de:

  • un groupe de sélection
  • un fichier complet
  • un espace clos

Polygone à partir d’un groupe de lignes

Recherchez une boucle de lignes fermée qui est reliée à l'entité que vous indiquez. Vous pouvez limiter la recherche à un groupe de sélection ou rechercher toutes les lignes reliées à la ligne indiquée. Précisez si vous voulez limiter la recherche à un groupe de sélection uniquement ou à toutes les entités reliées. Le groupe doit être obligatoirement constitué de lignes contiguës dans une boucle fermée. Indiquez la ligne (ou l'arc) dans le groupe de lignes et d'arcs qui constituent la boucle fermée. La boucle est affichée en surbrillance et le système vous demande de confirmer votre sélection.

Si vous souhaitez sélectionner une autre boucle ne confirmez pas la sélection. Des groupes de rechange sont recherchés et des possibilités supplémentaires sont affichées en surbrillance. Ceci vous permet de sélectionner la bonne boucle lorsque la ligne indiquée est comprise dans plus d'une boucle. Si vous confirmez la boucle, un polygone fermé positif est créé.

Le système retourne ensuite au début de la commande et vous demande d'assembler un autre groupe. Si vous continuez à assembler des groupes supplémentaires de cette façon, ils deviennent une partie de la première entité polygone. Si vous entrez n, la commande est terminée.

Polygone d’un espace clos

Une nouvelle option vous permet d’assembler une entité polygonale à partir d’un espace clos, c’est-à-dire une surface fermée ou bordée sur tous ses côtés par d’autres entités comme des lignes, des polygones et des murs (à l’exclusion des lignes d’aide).

Vous pouvez également indiquer de multiples espaces clos. Ils seront considérés comme un seul polygone à plusieurs boucles.

Cette nouvelle option crée un nouveau polygone superposé à la surface sans changer les entités originelles, contrairement aux autres options qui convertissent les entités constituantes.

Les polygones peuvent être décomposés en lignes. Voir la commande Eclatement d'un polygone en éléments linéaires (\expol).

  • CONSEIL : Si la commande n’identifie pas la surface que vous savez être close, essayez de changer les paramètres avancés. Les tolérances peuvent être trop petites ou trop grandes pour l’échelle de votre modèle. Voir Hachurage, Hachurage d’un polygone (\hatch).


Autres interrogations de polygone

Certains éléments de ARC+ vous permettent d'obtenir diverses informations et d'effectuer des calculs pour des polygones tels que:

  • Interrogation des attributs d'une entité
  • Interrogation de la surface d'un polygone
  • Calcul du volume d'un solide

Pour une description complète de ces commandes, voir Informations et quantités.


Continuation d'un polygone

Continue à créer le polygone courant.

\pcont

Une ligne guide est attachée au dernier point du polygone. Vous pouvez continuer à indiquer des points pour le polygone.

Presser la barre d’espace pour changer d’extrémité.

Ensuite, vous pouvez le continuer en appliquant toutes les options disponibles dans /newp.

Utilisez cette commande pour continuer à créer un polygone dont vous avez interrompu la création pour lancer une autre commande.


Conversion des polygones

Les polygones peuvent être assemblés à partir de boucles de lignes ou décomposés en lignes.

Thèmes liés

  • Eclatement d'un polygone en éléments linéaires
  • Assembler des lignes en polygone


Convertir le type du polygone pour surface et hachurage\solconv

Home > 4 Polygones et solides > Convertir le type du polygone pour surface et hachurage\solconv

Convertir le type du polygone pour surface et hachurage

Convertissez un solide ordinaire en un solide complexe, par exemple pour modifier la surface des côtés, afin que vous puissiez mesurer sa surface ou y tracer des hachurages ou des motifs.

\solconv

Les solides réguliers se composent de deux bases polygonales reliées par leurs sommets qui ne forment pas des polygones, tandis que dans un solide complexe, chaque surface est encadrée d'un polygone fermé. Convertissez un solide ordinaire en un solide complexe, par exemple pour modifier les côtés n'appartenant pas au polygone d'un solide ordinaire en polygones, afin que vous puissiez mesurer sa surface ou y tracer des hachurages ou des motifs.

Utilisation

Indiquez le polygone régulier à convertir.

Toutes les faces latérales du polygone sont converties en polygones. Le solide est considéré comme une entité, mais vous pouvez mesurer la surface de la face, ou tracer des hachurages et des motifs sur chaque côté individuellement. Voir Informations et quantités et Hachurages et motifs.


Convertir un polygone 2D en chemin 3D

Cette commande permet de créer à partir de la vue en plan d'un parcours (dessiné à l'aide d'un polygone 2D), un chemin correspondant dans l'espace 3D.

\pol3d

L'obtention de ce chemin s'effectue en contrôlant soit son inclinaison globale soit l'inclinaison de chacune de ces portions. Le résultat ainsi obtenu peut être utilisé ultérieurement pour extruder un profil le long de ce chemin afin de générer des éléments de type "rampe d'accès", comme dans l'illustration ci-dessous:

Polygone 2D | Résultat de la conversion en chemin 3D
Profile | Résultat de l'extrusion

Après avoir lancé cette commande, indiquez le polygone à éditer ou pressez Entrée pour reconvertir un chemin 3D en polygone 2D. L'entité que vous pouvez indiquer est donc soit un polygone (ou une courbe) soit un chemin 3D précédemment créé par cette même commande.

  • IMPORTANT: Si l'entité indiquée n'est pas déjà un chemin 3D, prenez garde à ce que tous les points du polygone ou de la courbe soient sur le même plan d'altitude z. Ce polygone (ou cette courbe) peut être fermé ou ouvert, mais il sera possible de prolonger répétitivement le chemin 3D seulement s'il est fermé.

La boîte de dialogue suivante apparaît:

Les paragraphes suivants décrivent l'ensemble des paramètres affichés dans cette boîte de dialogue ainsi que les différents modes opératoires pour définir ou modifier l'inclinaison globale du chemin ou l'inclinaison de chacune de ses portions.

Cliquez sur OK pour appliquer les modifications.

  • REMARQUE: Les valeurs affichées sont exprimées dans l'unité de travail courante.

Valeurs globales

Les paramètres affichés dans l'encadré Valeurs globales de cette boîte de dialogue permettent de visualiser ou de modifier les valeurs pouvant être appliquées à l'ensemble du chemin 3D ou aux portions non verrouillées dans la grille de l'encadré

Valeurs par portions.

VALEUR | DESCRIPTION | OPERATION
Longueur | Affiche la longueur totale du chemin 3D résultant. | Vous ne pouvez pas modifier cette valeur.
Pourcentage Défini la pente globale du chemin 3D ou modifie la pente de toutes les portions non verrouillées.

Vous pouvez entrer une valeur, puis appuyer sur la touche TAB.

La modification de ces valeurs altère l'inclinaison de toutes les portions du chemin 3D qui ne sont pas verrouillées dans la grille Valeurs par portions.

Vous pouvez entrer une valeur positive pour faire un chemin montant ou négative pour faire un chemin descendant.
Angle
Delta Z | Défini la hauteur totale décrite par le chemin 3D résultant.
Z départ | Affiche la hauteur de départ du chemin 3D. Elle correspond à l'altitude initiale du polygone. | Vous ne pouvez pas modifier ces valeurs.
Z finale | Affiche la hauteur d'arrivée du chemin 3D résultant.
Points | Affiche le nombre de points total du polygone du chemin 3D résultant.
Nb répétitions | Défini le nombre de répétitions du chemin. Cette valeur n'est accessible uniquement dans le cas ou l'entité indiquée est un polygone ou une courbe fermé. | Vous pouvez entrer une valeur, puis appuyer sur la touche TAB. La modification de cette valeur permet de prolonger le chemin 3D par plusieurs répétitions identiques.

La grille de l'encadré Valeurs par portions affiche une ligne pour chaque portion du polygone à éditer.

Déplacez la boîte de dialogue sur le côté de l'écran et cliquez sur différentes lignes de cette grille. Vous pouvez constater que la portion correspondante est alors provisoirement affichée en surbrillance orange.

Type de portion

Une des trois icônes suivantes apparaît pour vous aider à identifier plus facilement le type de portion concernée:

  • Portion linéaire
  • Portion en arc de cercle
  • Portion en courbe

Verrouillage

La colonne Verrouiller affiche une icône indiquant si la pente de la portion correspondante est susceptible d'être altérée ou non lorsque vous modifiez les valeurs globales dans les champs de l'encadré Valeurs globales. Vous pouvez protéger certaines potions contre ces modifications globales afin les modifier indépendamment. Pour cela, double-cliquez sur l'icône du verrou afin que celui-ci apparaisse "verrouillé":

ICONE | DESCRIPTION
 | La portion correspondante n'est contrôlée que par les modifications globales.
 | La portion correspondante ne subit plus les modifications globales. Vous pouvez modifier ses paramètres de Longueur, Pourcentage, Angle ou Delta Z.

Paramètres

La table suivante décrit les autres paramètres affichés dans les colonnes de la grille Valeurs par portions: Pour modifier les paramètres d'une portion, double-cliquez sur sa valeur en prenant garde que cette portion ait été préalablement "verrouillée".

VALEUR | DESCRIPTION | OPERATION
Longueur | Affiche la longueur totale de la portion. | Vous ne pouvez pas modifier cette valeur.
Pourcentage | Défini la pente de la portion. | Vous pouvez modifier ces valeurs uniquement si vous avez protégé la portion correspondante des modifications globales, en la "verrouillant". Vous pouvez entrer une valeur positive pour faire une portion montante ou négative pour faire une portion descendante.
Angle
Delta Z | Défini la hauteur totale décrite par la portion.
Z départ | Affiche la hauteur de départ de la portion. | Vous ne pouvez pas modifier ces valeurs.
Z finale | Affiche la hauteur d'arrivée de la portion


Création 2D

Thèmes liés

  • Création de formes polygonales prédéfinies
  • Création de polygones libres
  • Création de polygones en arc
  • Création continue d'arcs
  • Fermeture d'une boucle polygonale
  • Continuation d'un polygone
  • Effacement de segments de polygones
  • Création de trous dans un polygone
  • Création d'ensembles de surfaces polygonales
  • Création d'un polygone avec décalage
  • Edition de polygone
  • Création de courbes


Création 3D

Les méthodes suivantes sont utilisées pour créer des solides polygonaux 3D:

  • En utilisant des prismes de forme libre ou primitive
  • En reliant deux polygones
  • En faisant pivoter un polygone unique

Une création 3D secondaire est opératoire sur des solides 3D existants. Les solides peuvent être coupés individuellement ou en groupe. On peut également les soustraire l'un de l'autre ou bien les fusionner en un solide unique.

Thèmes liés

  • Création de prismes polygonaux prédéfinis
  • Extrusion d'un polygone en un solide
  • Création d'un solide à partir de deux polygones
  • Création d'un solide par la rotation d'un polygone
  • Extrusion d'un polygone le long d'un chemin
  • Sphère
  • Création de marches 3D de formes libres
  • Convertir un polygone 2D en chemin 3D


Création continue d'arcs

Crée une série continue d'arcs.

\prcir

Choisissez l’ordre de saisi des points:

  • Par 3 points, départ – intermédiaire – fin
  • Par 3 points, départ – fin – intermédiaire

Puis définissez les trois points.

Départ - intermédiaire - fin:

Un arc polygonal est créé à partir du premier point en passant par le second et en se terminant au troisième.

Définissez deux points suivants. Le deuxième arc sera créé à partir du dernier point de l'arc précédent en passant par les deux nouveaux points.

Départ - fin- intermédiaire :

Un arc polygonal est créé à partir du premier point en passant par le point final et en se définissant par un troisième point entre les deux premières.

Définissez deux points suivants. Le deuxième arc sera créé à partir du dernier point de l'arc précédent en passant par les deux nouveaux points.


Création d'ensembles de surfaces polygonales

Crée une série de surfaces pour des modèles simples et rapides.

\surf

  • REMARQUE : Les surfaces peuvent être créées parallèlement à l'un quelconque des plans principaux ou dans un plan libre.

Parallèlement à un plan principal

Spécifiez l'axe parallèlement auquel la surface sera tendue à partir de la ligne de base. Cet axe peut être l'un des trois principaux - x, y, ou z.

Spécifiez la hauteur ou la largeur de la surface, autrement dit, la distance à la ligne de base prise perpendiculairement à l'intérieur du plan en question.

Spécifiez le premier point sur la ligne de base, puis les points suivants. Si vous souhaitez créer une surface courbe, appuyez sur Entrée. Ensuite, spécifiez le second point, suivi du dernier point de l'arc. L'arc commence au point précédent, passe par le second point pour se terminer au dernier.

Sur un plan libre

Sélectionnez l'option libre et spécifiez deux points pour définir la ligne de base et un troisième point pour définir le plan et en même temps la troisième dimension de la surface. La commande est semblable à la commande de Création d'une ligne (\line) ou de Création d'un polygone libre (\newp). La différence est qu'au lieu d'une ligne, c'est une surface polygonale qui est créée sur le segment reliant deux points déterminés. Vous pouvez également créer des surfaces courbes.

  • CONSEIL : Vous pouvez utiliser cette commande pour créer des modèles de cartes rapides qui peuvent être représentées alors que leurs lignes cachées ont été enlevées ou comme surfaces colorées dans le mode de visualisation de solides.


Création d'un polygone avec décalage

Crée un polygone en décalage autour d’un polygone existant.

\pcontur

Indiquez le polygone pour lequel vous désirez créer un contour. Définissez un point à l’intérieur ou à l’extérieur indiquant si le contour doit être créé à l’intérieur ou à l’extérieur du polygone existant. Spécifiez la distance du décalage. Un contour polygonal sera créé autour du polygone existant.

  • REMARQUE : Cette commande est utilisable uniquement pour les polygones coplanaires 2D (quel que soit le plan) contenant une seule boucle et ne comportant aucun trou.


Création d'un solide à partir de deux polygones

Relie deux polygones pour former un solide.

\sol2s

Indiquez les deux polygones.

Par défaut le solide est créé en tant que solide positif. Un solide positif est représenté comme matériel dans le mode de visualisation des solides alors qu'un solide négatif est utilisé pour créer des vides à l'intérieur d'autres solides.

  • REMARQUE : Si vous souhaitez que la forme résultante de votre opération soit négative, utilisez la commande \posne après sa création.

Les points des polygones sont reliés entre eux et un solide tridimensionnel est ainsi créé.

Les deux polygones ne doivent pas obligatoirement se trouver dans des plans parallèles ni être de forme identique. Ils peuvent être situés dans n'importe quel plan de l'espace. Cependant, les deux polygones doivent posséder certaines caractéristiques en commun afin d'être reliés.

  • Ils doivent avoir été créés dans une même direction (dans le sens des aiguilles d'une montre/dans le sens inverse).
  • Même nombre de sommets.
  • Les premiers sommets des deux polygones doivent être en face l'un de l'autre.
  • Même nombre d'arcs à leur position respective.
  • Si les polygones n'ont pas la même orientation (p. ex. l'un est pivoté par rapport à l'autre), les surfaces reliées seront déformées. De telles surfaces sont partagées par le système en polygones triangulaires et il en résulte un solide complexe.
  • Les deux polygones à réunir ne doivent pas se trouver dans le même plan.

  • REMARQUE : Cette commande n'agit que sur une boucle polygonale fermée. Assurez-vous que le polygone est fermé lors de sa création en appuyant sur Entrée pour le fermer par un segment ou bien utilisez la commande Fermeture d'une boucle polygonale (\endp). Si le polygone est ouvert, vous pouvez le fermer à l'aide de la commande Interrogation et changement des propriétés de polygones et de solides (\qpoly).


Création d'un solide par la rotation d'un polygone

Crée un solide en faisant pivoter un polygone autour d'un axe.

\rosol

Indiquez l'angle de révolution. Il n'est pas obligatoire que l'angle de révolution soit de 360 degrés.

Spécifiez le nombre de secteurs, entre 3 et 50. Plus vous spécifiez de secteurs, plus le solide sera lissé mais l'entité résultante sera aussi plus lourde. Par exemple, si vous sélectionnez 3 secteurs pour un angle de révolution de 360 degrés, le solide résultant sera triangulaire (chaque secteur = 60 degrés); si vous en sélectionnez quatre, le solide sera carré (90 degrés), etc.

Indiquez le polygone que vous voulez faire pivoter.

Rotation d'un polygone ouvert

Une ligne polygonale ouverte (non pas une boucle) est pivotée autour d'une ligne imaginaire qui relie ses deux extrémités.

  • REMARQUE : Assurez-vous que le polygone ne croise pas la ligne imaginaire qui relie les extrémités du polygone, sans quoi une entité incorrecte sera créée qui ne pourra pas être visualisée dans le mode de visualisation des solides!

Rotation d'un polygone fermé

Indiquez deux points dans l'espace. Le système fait pivoter le polygone autour de la ligne qui relie ces deux points.

  • IMPORTANT : Assurez-vous que l'axe de rotation est extérieur au polygone, sans quoi une entité incorrecte sera créée qui ne pourra pas être visualisée dans le mode de visualisation des solides!

Le solide résultant est un solide complexe. Le polygone initial ne fait pas partie du solide et sera sélectionné par le système de manière à ce que vous puissiez l'effacer, si vous le désirez, au moyen de la commande Effacement d'entités sélectionnées (\sdel). L'axe de rotation est affiché comme ligne d'aide qui peut être retirée au moyen de la commande Effacement de toutes les lignes d'aide (\hdel).


Création de courbes

Crée un polygone courbe par Courbe.

\spline

Grâce à cette commande, vous pouvez:

  • Créer une courbe par points
  • Convertir un polygone en courbe
  • Editer une courbe

Dessiner une courbe par point

Pour créer une courbe point par point, commencez par indiquer chacun des sommets aux points de tangence de la courbe. Au fur et à mesure que vous ajoutez ces sommets, un polygone se dessine. Il sert de support visuel afin de se représenter la forme globale de la courbe avant qu’elle n’apparaisse.

Appuyez sur "Entrée" pour dessiner la courbe et effacer le polygone.

Convertir un polygone en courbe

Indiquez simplement le polygone à convertir.

Toute courbe ainsi dessinée ou convertie peut être utilisée par la suite comme un simple polygone. C’est-à-dire que vous pouvez vous en servir comme zone de surface à calculer ou à colorier ou comme base pour la génération d’un volume simple.

  • CONSEIL: Pour remplir la courbe de couleur à l'aide de la commande \fill , reportez-vous au chapitre 8-14 du volume 1.

Pour utiliser cette courbe en zone de calcul de surface à l'aide de la commande \psurf, reportez-vous au chapitre 34-70 du volume 3 Pour utiliser cette courbe afin de générer un solide à l'aide de la commande \p3d, reportez-vous au chapitre 4-20 du volume 1

Editer une courbe

Choissez l’option "Editer" dans la commande "Créer/Editer courbe" (\spline), puis l'une des options suivantes:

  • Ajouter une poignée à une extrémité
  • Ajouter une poignée
  • Retirer des poignées
  • Déplacer des poignées
  • Fermer une courbe
  • Lisser une courbe
  • Convertir en polygone
  • IMPORTANT: Pour certaines options les sommets de la courbe apparaissent provisoirement à l’écran sous forme de points d’aide. Vous pouvez régler leur taille à l’aide la commande suivante\pntsiz.
  • IMPORTANT: Si vous pour une raison ou une autre, vous ne parvenez pas à terminer correctement l’opération d’édition de la courbe, ces points peuvent rester à l’écran. Vous pouvez les effacer très simplement en utilisant la commande d’effacement des lignes d’aides (\hdel).

Ajouter une poignée à une extrémité

  • Indiquez la courbe
  • Indiquez l’extrémité a laquelle la poignée doit être reliée
  • Cliquez à l’endroit où doit apparaître la nouvelle poignée d'extrémité.

Ajouter une poignée

  • Indiquez la courbe
  • Indiquez les deux poignées représentées sous forme de croix en pointillés, au milieu desquelles insérer un nouveau sommet.
  • Cliquez à l’endroit où doit apparaître le nouveau sommet.

Retirer des poignées

  • Indiquez la courbe
  • Indiquez successivement tous les sommets que vous souhaitez supprimer en prenant soin de bien indiquer les poignées de la courbe représentées sous forme de croix en pointillés. Une fois indiquées, appuyez sur "Entrée" pour continuer.
  • REMARQUE: L’ouverture/fermeture de la courbe n’est pas affectée par cette commande.

Déplacer des poignées

  • Indiquez la courbe
  • Indiquez successivement tous les sommets que vous souhaitez supprimer en prenant soin de bien indiquer les poignées de la courbe représentées sous forme de croix en pointillés. Une fois indiquées, appuyez sur "Entrée" pour continuer.
  • Définissez le vecteur de translation entre deux points.

Fermer une courbe

  • Indiquez la courbe.

Lissage d'une courbe

  • Indiquez la courbe.

Cette option fait appel à la boîte de dialogue représentée ci-dessous, permettant de lisser une courbe:

Faire glisser le curseur pour augmenter ou réduire le nombre de segments de la courbe.

Convertir en polygone

Grâce à cette option, vous pouvez convertir une courbe en un polygone.

  • REMARQUE: Il vous est conseillé de réduire le lissage d’une courbe avant de la convertir en polygone, car des polygones ayant trop de points sont difficiles à manipuler et ils génèrent des solides avec des facettes trop nombreuses.
  • IMPORTANT : Si vous essayez de modifier une courbe dont la géométrie a été modifiée avec des outils différents de ceux mentionnés ci-dessus, la courbe sera automatiquement convertie en polygone. Ceci est valable également dans le cas d’une courbe inclue dans un groupe ou extrudée le long d’un solide simple. La méthode la plus facile afin d’utiliser une courbe en tant que polygone est de la convertir en polygone avant toute modification.


Création de formes polygonales prédéfinies

Le système comprend plusieurs formes prédéfinies pouvant servir à créer des Surfaces polygonales 2D et des prismes 3D. Les formes 2D suivantes sont disponibles:

Rectangle par 2 points

\2pbox

Rectangle par 2 Tailles

\pbox

Carré par 2 points

\2pcub

Carré par Taille

\pcube

Rectangle creux par 2 points

\2prhs

Rectangle creux par Taille

\prhs

Cercle par Point ou Rayon

\pcyl

Demi-cercle par Diamètre ou Échantillon

\hfcyl

Quart de cercle par Rayon ou Échantillon

\qtcyl

Cercle creux par Point et Épaisseur

\rpipe

Demi-cercle creux par Rayon et Épaisseur ou par Échantillon

\hpipe

Polygone régulier en intégrant un Cercle ou par Échantillon

\npoly

Triangle équilatéral par Taille ou par Échantillon, dans le sens Horizontal

\equtr

Triangle isocèle à angle droit par Taille ou par Échantillon, dans le sens Horizontal

\isotr

Les formes polygonales prédéfinies sont créées sur le Plan de Travail en cours (XY, XZ ou YZ), soit dans la vue Orthogonale, soit dans les vues 3D (axo, pers, etc.).

Les mêmes commandes sont utilisées pour créer des Surfaces polygonales 2D ou des Prismes 3D. Pour obtenir le résultat souhaité, choisissez l’une des options de la liste affichée à l’écran.


Création de marches 3D de formes libres

À l’origine, cette commande est dédiée à la modélisation d'escaliers en 3D à partir d'une esquisse 2D de forme quelconque, mais elle peut également être utilisée pour générer un morceau de terrain, comme dans l'illustration ci-dessous:

Marches de type "escalier"

Marches de type "terrain"

\steps

Lorsque vous lancez cette commande, trois options sont proposées:

  • Créer les marches: Créer des marches à partir de la détection des surfaces closes comprises entre des lignes, arcs et courbes réunis sur le même plan.
  • Continuer les marches: Continuer les marches d'une série antérieurement créée à l'aide de cette même commande.
  • Modifier les marches: Modifier la hauteur de chaque marche.

Créer des marches

Utilisez cette option pour démarrer une nouvelle série de marches. La boîte de dialogue suivant apparaît:

Cette boîte de dialogue vous permet de définir:

  • La hauteur de chaque nouvelle marche.
  • Le type de marche que vous souhaitez.
  • L'épaisseur des marches.
  • Le calque sur lequel vous souhaitez que la série de marches apparaisse.

Pour créer une nouvelle série de marches, procédez comme suit:

  • Entrez la hauteur désirée des marches
  • Cochez la case Epaisseur et saisissez une valeur si vous souhaitez définir des marches de type "Escalier". Par défaut, lorsque cette case n'est pas cochée, les marches crées sont de type "Terrain":
Type "Escalier" | Type "Terrain"
  • Cliquez sur le bouton "…" pour afficher le gestionnaire de calque, à partir duquel vous pouvez sélectionner le calque sur lequel vous souhaitez créer la nouvelle série de marches.
  • CONSEIL: Dans le gestionnaire de calque, cliquez sur le bouton "Courant" en bas à gauche de la boîte de dialogue pour indiquer le calque actif en cours...
  • Cliquez sur OK pour fermer la boîte de dialogue Configuration.
  • Dans le modèle, en vue en plan ou en vue axonométrique, cliquez successivement à l'intérieur de toutes les surfaces closes destinées à identifier le contour de chaque marche. Vous pouvez appuyer sur Entrée pour accéder aux paramétrages habituels de la détection automatique des surfaces closes.
  • Lorsque toutes les marches ont été identifiées, pressez Entrée ou Esc pour quitter la commande.
  • IMPORTANT: Afin d'optimiser la détection des surfaces closes, prenez garde à ce que toutes les entités les délimitant soient sur le même plan d'altitude z.
  • REMARQUE : La série de marches ainsi créée est un seul et même objet. Si vous tentez de l'effacer, ARC+ affiche une boîte de dialogue vous demandant si vous souhaitez seulement effacer l'entité indiquée: Répondez "Oui" si vous souhaitez n’effacer que la marche indiquée, "Non" si vous souhaitez effacer toute la série.

Continuer les marches

Utilisez cette option pour continuer une série de marches existante. Procédez comme suit:

  • Préférentiellement, passez en vue axonométrique afin d'aider au repérage des entités composant la série à continuer.
  • Indiquez le polygone composant la face supérieure de la dernière marche de la série à continuer.
  • Procédez comme pour la création d'une nouvelle série, en indiquant successivement les surfaces closes destinées à identifier le contour de chaque marche.
  • REMARQUE: Le système n'utilisera la série de marche indiquée qu'en tant que repère pour l'altitude de démarrage des nouvelles marches. Le résultat sera constitué de deux séries de marches indépendantes.

Modifier les marches

Cette option permet de changer indépendamment la hauteur de foulée et l'altitude de chaque marche d'une même série. Présentez préférentiellement le modèle en vue axonométrique pour travailler. Après avoir indiqué la série de marche à modifier, la boîte de dialogue suivante apparaît:

Cette boîte de dialogue vous permet de:

  • Vérifier chaque marche une fois la série terminée.
  • Vérifier le nombre de marches.
  • Changer la hauteur de chaque marche.
  • Changer l'altitude de la face supérieure de plusieurs marches et calculer les élévations intermédiaires.
  • Avoir un aperçu des modifications.
  • Appliquer les modifications.

Description des colonnes

  • Ht. de marche: Indique la hauteur de foulée de la marche.
  • Elévation: Indique l'altitude de la face supérieure de la marche à partir de z=0.
  • Ajuster: Indique la nouvelle hauteur d'élévation.

Pour modifier les paramètres d'une marche, procédez comme suit:

  • Double-cliquez sur le numéro de la marche à modifier dans la colonne N. La boîte de dialogue ci-contre apparaît.

  • REMARQUE: La face supérieure de la marche sélectionnée apparaît en surbrillance orange
  • Entrez la nouvelle hauteur de foulée de la marche dans le champ Ht. de marche.
  • Si vous désirez changer la hauteur d'élévation de la marche, cochez la case Ajuster et entrez une valeur dans le champ correspondant.
  • Cliquez sur OK
  • De retour dans la boîte de dialogue précédente, cliquez sur le bouton Appliquer pour observer les modifications dans le modèle.
  • Si les modifications vous conviennent, cliquez sur OK, autrement cliquez sur Annuler pour abandonner l'opération.
  • REMARQUE: Les valeurs affichées sont exprimées dans l'unité de travail courante.


Création de polygones en arc

Crée un arc dans un polygone libre.

\parc

Le dernier polygone non fermé est sélectionné : l’option « tracer un arc tangent » est sélectionnée par défaut. Presser la barre d’espace pour changer d’extrémité.

Ensuite, vous pouvez continuer le tracé du polygone en appliquant toutes les options disponibles avec \newp.


Création de polygones libres

Crée une forme polygonale libre en définissant un point de départ, suivi d'autres points.

\newp

Définissez le premier point et les points suivants. Une ligne guide se tend entre le point précédent et la position courante du curseur.

Un seul polygone peut être le polygone en cours à un moment donné. Le statut du « polygone en cours » est initialisé dès que cette commande est utilisée.

Les polygones peuvent consister en boucles ouvertes ou fermées. Fermez le polygone (c'est-à-dire reliez le point courant au premier point) en appuyant sur Entrée au moment de sa création ou en utilisant la commande Fermeture de Polygone (\endp) sur un « polygone en cours ».

À la fermeture du polygone, vous pouvez choisir le type de polygone.

Lors de la création du polygone, vous avez le choix entre plusieurs options que vous pouvez enchainer. .

  • ALT+ 1 : tracer une ligne droite

  • ALT+ 2 : Crée une série continue d'arcs par 3 points : départ – intermédiaire – fin : Un arc polygonal est créé à partir du premier point en passant par le second et en se terminant au troisième. Définissez deux points suivants. Le deuxième arc sera créé à partir du dernier point de l'arc précédent en passant par les deux nouveaux points.

  • ALT+ 3 : crée une série d’arc de cercle tangent au dernier segment du polygone

  • ALT+ 4 : Effacer le dernier tracé
  • ALT+ 6 : Crée une série continue d'arcs par 3 points : départ – fin – intermédiaire : Un arc polygonal est créé à partir du premier point en passant par le point final et en se définissant par un troisième point entre les deux premières. Définissez deux points suivants. Le deuxième arc sera créé à partir du dernier point de l'arc précédent en passant par les deux nouveaux points.

  • CONSEIL : Pour s’assurer que votre Surface Polygonale est bien coplanaire, utilisez la commande \proj pour projeter tous ses points sur le même plan.
  • CONSEIL : Il est possible de changer l’extrémité de départ du prochain tracé dans le polygone à l’aide la barre d’espace.
  • REMARQUE : Il est recommandé de ne pas changer les attributs de ligne (couleur, type, épaisseur) pendant la création d'un polygone étant donné que ceci peut provoquer des résultats inattendus dans les modes de visualisation des solides.

Options de fermeture du polygone

  • IMPORTANT : Si le menu précédent ne s’affiche pas à la fermeture du polygone, cela signifie que tous les sommets du polygones ne sont pas contenus dans le même plan.
  • Polyligne symbole : création d'une ligne représentant un polygone.
  • Polygone 2D : création d'une surface visible en mode modeling.
  • Poygone 3D : création d'une surface visible en mode modeling et en mode render.
  • Polygone pour le rapport de surface : polygone pour le rapport de surface.
  • Solide par valeur suivant normale : création d'un solide par extrusion par la normale du polygone de base à partir d'une valeur donnée.

  • Solide par valeur suivant 3° axe : création d'un solide par extrusion vecticale du polygone de base à partir d'une valeur donnée.

  • Hauteur du solide par 2 points : création d'un solide par extrusion vecticale du polygone de base à partir de 2 points indiqués.

  • Vecteur du solide par 2 points : création d'un solide par extrusion vecticale du polygone de base à partir d'un vecteur indiqué.

  • Solide dynamique : création d'un solide par extrusion dynamique


Création de prismes polygonaux prédéfinis

Créez des solides polygonaux 3D de forme prédéfinie. On dispose des formes suivantes:

Cube par 2 points | \2pcub
Cube par Taille | \pcub
Boîte rectangulaire par 2 points & Hauteur/Épaisseur | \2pbox
Boîte creuse par 2 Tailles & Hauteur/Épaisseur | \prhs
Boîte en forme de triangle isocèle à angle droit par Taille ou par Échantillon, dans le sens Horizontal | \isotr
Boîte en forme de triangle équilatéral par Taille ou par Échantillon, dans le sens Horizontal | \equtr
Cylindre par Point ou Rayon & Hauteur/Épaisseur | \pcyl
Demi cylindre par Diamètre ou Échantillon | \hfcyl
Quart de cylindre par Rayon ou Échantillon | \qtcyl
Cylindre creux par Point et Épaisseur | \rpipe
Demi cylindre creux par Rayon et Épaisseur ou par Échantillon | \hpipe
Prisme polygonal régulier en intégrant un Cercle ou par Échantillon | \npoly

Chaque prisme peut être créé sur l'un quelconque des plans principaux (xy, xz, yz).

Spécifiez le plan de la base du prisme et entrez la position et les dimensions du prisme.

Spécifiez la hauteur (ou la longueur si la figure n'est pas dans le plan xy). Précisez si le prisme est positif ou négatif. Un solide positif est considéré comme un corps solide. Un solide négatif est considéré comme un trou ou un creux à l'intérieur d'un autre solide positif.


Création de trous dans un polygone

Pour créer des trous dans un polygone, utilisez les opérations Booléennes pour soustraire les polygones internes du polygone dans lequel ils se trouvent.

\dif


Créer une dalle

La version 13 d'ARC+ comporte une nouvelle fonction permettant de créer rapidement et facilement des dalles recouvrant un plancher, une cave ou un toit.

\slab

Choisissez l'une des options de création :

  • surface close
  • définition de points
  • conversion d'un polygone
Surface close | Cliquez dans une surface close: pièce délimitée par des murs, polygone, etc. Lorsque vous désignez un mur, le système vous demande de préciser si vous désirez travailler sur sa surface interne ou externe; pour créer un dallage sur toute la surface d'un toit ou d'un plancher (en ignorant ses divisions internes), choisissez externe.
Définition de points | Définissez les points successifs, puis appuyez sur Entrée pour fermer la boucle (comme pour la création d'un polygone).
Convertir un polygone | Désignez un polygone existant.

Indiquez éventuellement un décalage soit à l'intérieur, soit à l'extérieur du périmètre. Cette option permet donc de créer des toits en surplomb ou des plafonds flottants.

Précisez l'épaisseur des dalles et leur hauteur (mesurée depuis la base du mur ou le polygone).

Les dalles créées à l'aide de cette commande sont des polygones solides ordinaires.

  • CONSEIL : En présence d'une surface close et pour définir un dallage au sol atteignant mais n'incluant pas les murs extérieurs (tous les murs internes sont compris): commencez par indiquer la surface extérieure au moment de l'identification de la zone, puis entrez un décalage dans une direction intérieure ayant la même valeur que l'épaisseur des murs externes.


Déterminer si un solide est simple ou complexe

Un solide simple est un solide consistant en deux polygones joints par leur base. Ses surfaces, excepté ses deux bases, ne sont pas des polygones. Toutes les surfaces d'un solide complexe sont des polygones. Vous pouvez vérifier le type du solide en le sélectionnant à l'aide de la commande Création d'un nouveau groupe de sélection (\snew). Lorsque vous indiquez les arêtes d'un polygone simple, celles-ci sont en surbrillance. Vous pouvez voir qu'elles ne sont pas reliées les unes aux autres, mais relient les deux polygones de base. Lorsque vous indiquez le bord quelconque d'un solide complexe, le polygone que vous indiquez est en surbrillance, c'est-à-dire une boucle fermée.


Eclatement d'un polygone en éléments linéaires

Crée une vue éclatée d'un polygone, avec pour résultat un ensemble de lignes et d'arcs indépendants.

\expol

Indiquez le polygone à éclater.

L'entité perd ses caractéristiques et prend celles d'une ligne. Chaque segment devient une entité ligne indépendante.

Les lignes peuvent être rassemblées pour former le polygone à l'aide de la commande Constituer un polygone à partir d'un groupe de lignes (\aspol).

  • REMARQUE : Cette commande est valable que pour des polygones 2D. Afin de pouvoir éclater des solides, veuillez utiliser la commande \exploder (voir chapitre 9 – Edition et Manipulation)


Edition de polygone

Cette fonction permet d’intervenir sur la forme d’un polygone.

\ pedit

Pour éditer un polygone vous avez le choix entre les opérations suivantes:

  • Ajouter un sommet
  • Effacer un segment
  • Joindre des segments
  • Déplacer des sommets
  • Effacer des sommets
  • Inverser le sens
  • Convertir un segment en arc ou modifier un arc
  • Fermer le polygone
  • Edition dynamique

Après avoir choisi une des options proposées par le menu, vous devez systématiquement indiquer le polygone sur lequel vous souhaitez appliquer les modifications.

  • IMPORTANT:
  • Pour certaines options les sommets du polygone apparaissent provisoirement à l’écran sous forme de points d’aide. Vous pouvez régler leur taille à l’aide la commande suivante\pntsiz.
  • Si vous pour une raison ou une autre, vous ne parvenez pas à terminer correctement l’opération d’édition du polygone, ces points peuvent rester à l’écran. Vous pouvez les effacer très simplement en utilisant la commande d’effacement des lignes d’aides (\hdel)

Ajouter un sommet

  • Indiquez le polygone.
  • Indiquez le segment sur lequel insérer un nouveau sommet.
  • Cliquez à l’endroit où doit apparaître le nouveau sommet.

Effacer un segment

  • Indiquez le polygone.
  • Indiquez le segment à effacer.

Joindre des segments

  • Indiquez le polygone.
  • Indiquez la ligne ou le polygone à joindre.
  • REMARQUE : Vous pouvez joindre soit des lignes soient des polygones. L’élément à joindre doit avoir au moins un sommet commun avec le polygone indiqué.

Déplacer des sommets

  • Indiquez le polygone.
  • Indiquez successivement tous les sommets à déplacer. Veillez à ce que les poignées du polygone, représentées sous forme de croix en pointillés, soient bien indiquées. Une fois indiquées, appuyez sur "Entrée"pour continuer.
  • Définissez le vecteur de translation entre deux points.

Effacer des sommets

  • Indiquez le polygone.
  • Indiquez successivement tous les sommets que vous souhaitez effacer en prenant soin de bien indiquer les poignées du polygone, représentées sous forme de croix en pointillés. Une fois indiquées, appuyez sur "Entrée"pour continuer.

Inverser le sens

Indiquez le polygone.

  • REMAQUE : Cette fonction est particulièrement utile lorsque vous souhaitez joindre deux polygones à l’aide de la commande (\sol2s). Reportez-vous au chapitre 4-22 du volume 1.

Convertir un segment en arc ou modifier un arc

  • Indiquez le polygone.
  • Indiquez le segment ou l’arc à transformer.
  • Indiquez le point de passage de l’arc.

Fermer le polygone

Indiquez le polygone.

Edition dynamique

Cette option procure une manière intuitive et visuelle de pivoter, déplacer, et déformer en temps réel un polygone, en tirant des poignées de contrôle.

IMPORTANT: Cette commande ne fonctionne que sur les polygones parfaitement parallèles au plan XY.

Lorsque vous choisissez cette option, différents types de poignées apparaissent sur les angles et bords du polygone permettant chacune une opération différente. Déplacez la souris au-dessus de ces poignées et faites un «cliquer glisser» pour observer les modifications. Les différentes poignées et leurs actions sont expliquées ci-dessous:

POIGNEE | ACTION | DESCRIPTION
 |  | Les poignées rouges à droite et à gauche de la boîte englobante du polygone sont utilisées pour étirer tout le polygone le long de l’axe des X
 |  | Les poignées rouges en haut et en bas de la boîte englobante du polygone sont utilisées pour étirer tout le polygone le long de l’axe des Y
 |  | Les poignées rouges aux 4 coins de la boîte englobante du polygone sont utilisées pour étirer tout le polygone le long de l’axe des X et des Y simultanément
 |  | La plus petite des poignées circulaires au centre de la boîte englobante du polygone est utilisée pour déplacer entièrement le polygone
 |  | La plus grande des poignées circulaires au centre de la boîte englobante du polygone est utilisée pour pivoter entièrement le polygone
 |  | Lorsque vous promenez le curseur au dessus d’un segment du polygone, le système affiche une nouvelle poignée au milieu de celui-ci. Elle permet de tirer ce segment orthogonalement à lui-même sur le plan du polygone
 |  | Les poignées vertes à chaque point du polygone sont utilisées pour déplacer ces mêmes points

Lorsque vous êtes satisfait du résultat, pressez ESC pour quitter la commande.

  • REMARQUE : Lorsque vous déplacez une poignée, vous pouvez utiliser le bouton d’accrochage de la souris pour saisir un point existant du modèle.


Edition de polygones et de solides

Cette section décrit les commandes permettant de déplacer et projeter des polygones.

Les coupes et les opérations Booléennes effectuées sur des solides sont développées dans un chapitre séparé, voir Opérations sur les solides.

Thèmes liés

  • Projection d'un polygone sur un nouveau plan


Effacement de segments de polygones

Efface les derniers segments de polygones et tous les segments suivants.

\pldel

Le dernier segment (droit ou arc) du polygone courant est effacé.

Répétez cette commande pour effacer des segments de polygone dans l'ordre inverse à leur création. Le système vous demande d'indiquer quand vous avez terminé l'effacement.

Vous ne pouvez utiliser cette commande que sur le polygone courant. Si vous l'utilisez lors de la création du polygone, vous pourrez continuer à créer d'autres segments du polygone.


Extrusion d'un polygone en un solide

Crée un solide 3D à partir d'un polygone.

\p3d

Spécifiez la manière pour extruder un polygone en un solide:

  • Par extrusion du polygone en un prisme parallèlement à l'axe z (hauteur)
  • Par un prolongement par deux points en un prisme oblique
  • Dynamiquement

Parallèlement à l'axe Z (suivant la hauteur)

Spécifiez la hauteur du polygone sur l'axe z.

Indiquez le polygone à extruder ou appuyez sur Entrée pour extruder le polygone courant. Le polygone est créé positif.

  • REMARQUE : Si vous souhaitez que la forme résultante de votre opération soit négative, utilisez la commande \posne après sa création.

Le solide 3D est créé en copiant le polygone 2D original au nouvel emplacement. Les points (sommets) des deux polygones formant les bases sont joints par les arêtes de liaison.

Continuez à désigner d'autres polygones à extruder selon la même hauteur ou appuyez sur Entrée pour définir une hauteur différente (ou deux points).

Oblique par rapport à l'axe Z (par deux points relatifs)

Marquez deux points. Ils peuvent se trouver sur l'entité ou hors d'elle. Indiquez le polygone à extruder ou appuyez sur Entrée pour extruder le polygone courant. Précisez si vous souhaitez un polygone positif ou négatif.

Le prisme de solide 3D est constitué par le polygone 2D original qui est copié au nouvel emplacement. Les points des deux polygones formant les bases sont joints par les arêtes de liaison.

Continuez à indiquer d'autres polygones à extruder par le même déplacement ou appuyez sur Entrée pour fixer deux autres points (ou une hauteur différente).

Dynamiquement

Si vous n’êtes pas dans une vue légale pour une extrusion dynamique (Axonométrie ou élévation) ARC+ vous invite de changer la vue en cours.

Bougez le curseur à travers le polygone à extruder extrusion. Des «lignes caoutchouc» suivent votre mouvement vers la hauteur ou largeur désirée. Vous pouvez soit snapper à un point quelconque soit indiquer une valeur précise en tapant «dl» suivit de la longueur/ hauteur. (Vous devrez situer votre curseur dans la direction désirée)

  • CONSEIL : Si, lorsque vous extrudez un polygone dynamiquement le snap dynamique vous gêne, vous pouvez le désactiver temporairement en maintenant la touche CTRL enfoncée le temps de l’extrusion.

Le solide 3D est créé en copiant le polygone 2D original au nouvel emplacement. Les points (sommets) des deux polygones formant les bases sont joints par les arêtes de liaison.

Continuez à désigner d'autres polygones à extruder selon la même hauteur ou appuyez sur Entrée pour définir une hauteur différente

  • CONSEIL : Vous pouvez vous servir du nouveau polygone au sommet du prisme comme polygone de base pour créer d'autres extrusions.

Vous pouvez mettre à jour la hauteur ou la forme d'un prisme en utilisant les commandes Manipulation dynamique d'entités (\mdrag) ou Manipulation d'entités d'un point à un autre (\move) (voir Edition et manipulation).

  • REMARQUE : Cette commande n'agit que sur une boucle polygonale fermée. Assurez-vous que le polygone est fermé en appuyant sur Entrée pour le segment qui doit fermer le polygone, ou utilisez la commande Fermeture d'une boucle polygonale (\endp). Si le polygone est ouvert, vous pouvez le fermer à l'aide de la commande Interrogation et changement des propriétés de polygones et de solides (\qpoly).


Extrusion d'un polygone le long d'un chemin

Extrude un polygone 2D le long d’un chemin 3D et permet de rectifier l’orientation du profil, de façon dynamique

\extrude

Vous pouvez balayer un polygone 2D (dessiné sur le plan xy) le long d’un chemin 3D (un polygone ouvert ou fermé)

  • Indiquez le polygone 3D qui servira de parcours ou profil.
  • Indiquez le profil polygonal à extruder et saisissez le point de référence sur le polygone.
  • Fixez l’échelle d’agrandissement ou de réduction du profil au cours de son extrusion le long du chemin ou appuyez sur "Entrée" pour que le profil garde la même taille.

Choisissez parmi les 3 options:

  • Variable (ancienne option)
  • Verticale (type «route»)
  • Perpendiculaire (type «main courante»)

Le tableau ci-dessous illustre les 3 options proposées:

Chemin de l'extrusion | Option "Variable (vielle option)"
Option "Verticale (type route)" | Option "Perpendiculaire (type main courante)"
  • Une fois le profil extrudé, vous pouvez optionnellement utiliser les raccourcis clavier habituellement utilisés pour une manipulation dynamique (ALT+1 ou ALT+2 etc.)
  • Appuyez sur "Entrée" pour valider les changements.
  • REMARQUE : Ne déplacez pas la souris au cours de l’utilisation de ces raccourcis clavier, pour ne pas déplacer le point de référence du profil. Si vous avez bougé la souris par accident, il se peut que lorsque vous appuyez "Entrée" le profile paraisse écarté du chemin original. Dans ce cas, appuyez à nouveau sur "Entrée" pour repositionner le profile dans l’axe du chemin.


Fermeture d'une boucle polygonale

Crée un polygone fermé en reliant le dernier point au premier.

\endp

Une ligne est ajoutée du dernier point du «polygone courant» au premier.

  • CONSEIL: Vous pouvez appuyer sur Entrée pour fermer une boucle polygonale lors de sa création.


Interrogation du type du polygone

La commande interrogation et modification de polygone (\qpoly) a trois applications:

  • Vérifier le type: interrogation et modification du type de polygone, de son symbole ou de sa surface
  • Vérifier les boucles: vérifier si le polygone est ouvert ou fermé
  • Nombre de points: interrogation du nombre de points dans un polygone

\qpoly

Vérifier le type - le symbole ou la surface

Interrogez puis éventuellement modifiez le type de polygone.

Un polygone peut être soit une surface, soit un symbole polygonal. Dans le mode de visualisation des solides, une surface polygonale apparaît opaque tandis qu'un polygone symbolique est transparent.

Sélectionnez l'option verifier type.

Indiquez le polygone requis. Le système vous répond si le polygone est une surface ou un symbole.

Précisez si vous souhaitez le changer ou non.

Le polygone indiqué devient le polygone courant. Vous ne pouvez pas changer le statut d'un polygone appartenant à un solide 3D.

Vérification des boucles: Polygone ouvert ou fermé

Interrogez et éventuellement fermez la boucle du polygone.

Les polygones peuvent être soit des polylignes ouvertes, soit des boucles fermées. Des entités solides ne peuvent être créées qu'à partir d'entités fermées.

Sélectionnez l'option verifier boucles.

Indiquez le polygone sollicité. Le système vous répond s'il est ouvert ou fermé. S'il est ouvert, le système vous demande si vous voulez le fermer ou non. Si vous le fermez, vous pouvez utiliser ce polygone pour créer une entité solide. Le polygone indiqué devient le polygone courant.

Interroge le nombre de points d'un polygone

Vérifie le nombre de points d'un polygone pour rechercher les erreurs dans un polygone problématique.

  • REMARQUE : Le nombre maximum de points utilisés lors de la création d'un polygone ne doit pas dépasser 200 (sommets). Des polygones possédant jusqu'à 2000 points peuvent être créés par le système lors des divisions ou lors des opérations booléennes; ces polygones sont justes.

Sélectionnez l'option nombre de points.

Indiquez le polygone sollicité. Le système vous répond combien de points comporte le polygone indiqué. Le polygone indiqué devient le polygone courant.


Interrogation et changement du signe (+/-) d'un solide

Vérifie et éventuellement change le signe d'un solide.

\posne

Un solide peut être doté soit du signe positif soit du signe négatif. Dans le mode de visualisation des solides, les solides positifs sont vus comme de la matière, alors que les solides négatifs représentent des vides à l'intérieur de solides positifs.

Indiquez le solide. Le système vous renseigne s'il s'agit d'un solide positif ou négatif.

Précisez si vous souhaitez le changer ou non. Dans l'affirmative, le solide est modifié.


introduction

Home > 4 Polygones et solides > introduction

Polygones et Solides

Un polygone est une série de lignes ou d'arcs reconnue par le système comme une seule entité.

Les courbes sont considérées également comme des polygones constitués de petits segments droits, de taille variable en fonction du lissage désiré.

Polygones et courbes sont des entités bidimensionnelles à partir desquelles vous pouvez créer des entités solides tridimensionnelles de n'importe quelle forme.

Ce chapitre décrit des fonctionnalités de création, d’édition et de conversion de polygones et courbes. Il décrit également leur utilisation par le biais de commandes permettant de modéliser des éléments tridimensionnels.

Thèmes liés

  • Types de polygones
  • Création 2D
  • Création 3D
  • Edition de polygones et de solides
  • Conversion des polygones
  • Utilitaires de polygone
  • Création de dalles


Modification d'attributs

Il y a un certain nombre de commandes qui vous permettent de modifier les attributs de ligne, tels que le type de ligne, la couleur et l'épaisseur. Vous pouvez donner les attributs de votre ligne courante à des polygones sélectionnés ou vous pouvez changer les attributs des lignes de polygones uniques ou d'un groupe de polygones sélectionnés. Les commandes de modifications d'attributs sont également applicables aux lignes.

Pour une description complète de ces commandes, voir Edition et manipulation.


Projection d'un polygone sur un nouveau plan

Projette ou copie et projette un polygone existant sur un nouveau plan.

\proj

Lorsque vous déplacez un polygone, ses dimensions demeurent inchangées. Cependant, lorsque vous projetez un polygone, l'entité initiale est déformée si le nouveau plan n'est pas parallèle au plan initial. Si par exemple il vous faut un polygone sur un toit incliné, vous pouvez commencer par le créer sur le sol (plan xy) puis le projeter sur le plan du toit. La dimension du polygone dans la direction de la pente du toit se trouvera allongée.

Utilisation

Précisez si vous souhaitez projeter le polygone même sur le nouveau plan ou en projeter une copie en laissant l'original dans sa position actuelle.

Spécifiez suivant quel axe principal, x y ou z, vous désirez effectuer la projection et définissez ensuite le plan sur lequel le polygone doit être projeté en définissant trois points.

Indiquez le polygone à projeter.

Précisez si vous voulez conserver le résultat. Si vous le rejetez, l'état initial sera restauré.

  • REMARQUE : Si vous avez projeté (sans le copier) un polygone faisant partie d'un solide simple, le solide résultant sera modifié en conséquence (raccourci ou allongé).

Les polygones faisant partie d'un solide complexe sont projetés et copiés. Ils ne peuvent pas être uniquement projetés.

Les polygones 2D contenant des arcs seront projetés tandis que chacun des arcs sera converti en sept segments. Cette commande ne peut pas être exécutée sur un polygone appartenant à un prisme simple (un solide) comprenant un arc.

Les murs 2D ne peuvent être projetés. Les polygones faisant partie d'ouvertures ne peuvent être projetés que sur l'axe z.


Sphère

Cette fonctionnalité permet de créer des sphères.

\sphere

Cette commande propose les options suivantes:

  • Créer par centre et rayon: La sphère est créée en saisissant un point central et un rayon.
  • Créer par centre et point: La sphère est créée en saisissant un point central et un point sur sa surface externe.
  • Modifier: Permet de modifier une sphère existante.
  • Définir méthode d’approximation: Permet de définir les paramètres d’approximation pour l’affichage de la sphère à l’écran.
  • Définir tolérance: Permet de définir les paramètres de tolérance pour l’affichage de la sphère à l’écran.

Créer par centre et rayon

Lorsque vous sélectionnez cette option, le système vous invite à indiquer le point central et à Entrer la valeur du rayon dans la ligne de commande.

Créer par centre et point

Lorsque vous sélectionnez cette option, le système vous invite à indiquer le point central, puis à indiquer un point sur la circonférence de la sphère en cliquant dessus à l’aide de la souris ou en saisissant ses coordonnées dans l’invite de commande.

Modifier une sphère existante

Lorsque vous choisissez cette option, le système vous invite à sélectionner une sphère. Une fois votre sélection confirmée, une boîte de dialogue de modification des paramètres s’affiche.

Définir méthode de construction

Lorsque vous sélectionnez cette option, le système vous invite à choisir entre la méthode par défaut (facettes) et la méthode globale (par secteurs).

Méthode par défaut

Méthode globale

Définir méthode de tolérance

Lorsque vous sélectionnez cette option, un menu contextuel destiné à définir la tolérance des différents paramètres s’affiche avec les options suivantes:

  • Définir nombre de sections: Permet de définir le nombre de sections d’une sphère par un nombre entier supérieur à1.
  • Définir nombre max. de côtés: Permet de définir le nombre maximal de côtés qui serviront à dessiner la sphère.
  • Définir longueur max. arc: Permet de définir la longueur maximale de l’arc de la sphère à dessiner.
  • Définir tolérance: Permet de définir les paramètres de tolérance à utiliser pour ajuster la sphère lorsqu’elle est tracée à l’écran.


Triangulation des surfaces déformées

Divise une surface polygonale déformée en triangles plans.

\usol3

Lorsque l’un des polygones de base d’un solide polygonal régulier subit une rotation, les surfaces de liaison entre les deux bases polygonales ne constituent plus une surface plane.

Pour garantir la visualisation d’un solide de ce type, il est nécessaire de trianguler les surfaces déformées. Voir l’illustration dans Création d’un solide à partir de deux polygones (\sol2s).


Types de polygones

Polygons

Ce sont des entités à plusieurs côtés constituées de points appartenant au même plan. Ils peuvent être ouverts ou fermés et avoir deux ou trois dimensions. Au cas où ils sont fermés leurs surfaces peuvent être soit transparentes soit opaques.
polygones ouverts chaines)

Ce sont des polygones dont le dernier point ne coïncide pas avec le premier. Les polygones ouverts ne peuvent pas être représentés comme des surfaces ni être extrudés en 3D.

Si l'on fait pivoter un polygone ouvert autour de l'axe qui joint ses deux extrémités, on obtient un solide de révolution.
polygones fermes (boucles)

Ce sont des polygones dont le dernier point coïncide avec le premier. Un polygone fermé peut être considéré comme une Surface (opaque) ou une Polyligne (symbole - transparent). On peut leur donner une troisième dimension ou les relier à d'autres polygones ayant le même nombre de points et la même direction pour créer un solide. On peut, à l'aide d'un polygone fermé, créer un solide de révolution, en le faisant pivoter autour d'un axe externe quelconque défini par l'utilisateur.
surfaces polygonales

On appelle ainsi les polygones affichés sous forme de surfaces opaques dans le mode d'affichage des solides.

Ils doivent être fermés, coplanaires et NON entrecroisés.

Ils peuvent comprendre un texte indiquant leur aire, ainsi qu’un remplissage de surface.

Ce type de polygone peut être modifié en polyligne (symbole).
POLYLIGNES

(symboles polygonaux)

 On appelle ainsi les polygones affichés sous forme de polylignes transparentes (symboles) dans le mode d'affichage des solides. Ils ne peuvent pas être extrudés en 3D ni être coloriés. Leur aire ne peut pas être calculée ni affichée.

Ils peuvent contenir des hachurages et des motifs.

Ils peuvent être ouverts ou fermés, de n’importe quelle forme et être librement définis dans l’espace tridimensionnel.

Ils peuvent être convertis en «Surfaces polygonales» à condition qu’ils soient fermés, coplanaires et NON entrecroisés.
solides polygonaux

Ce sont des solides créés à partir de polygones en extrudant des Surfaces polygonales bidimensionnelles en surfaces tridimensionnelles, en reliant deux Surfaces polygonales de plans différents, ou encore en faisant pivoter un polygone dans l'espace.
solides positifs

Ce sont des solides considérés comme des corps matériels pleins dans les modes d’affichage Solide ou Rendu.

Ils peuvent être impliqués dans des opérations Booléennes à condition qu’ils aient un côté qui se chevauche en commun.

solides negatifs

Ce sont des solides considérés comme des volumes vides dans les modes d'affichage des Solides. Ils doivent être placés à l'intérieur d'un solide positif et avoir au moins un côté qui chevauche complètement un côté du solide positif.
solides reguliers ou simples

Ce sont des solides composés de deux bases polygonales reliées entre elles; ils peuvent être considérés comme des «Prismes».

Ils sont créés par l'une des méthodes suivantes:

  • Extrusion d’une surface polygonale bidimensionnelle dans un sens (\p3d)
  • Relier deux polygones (\sol2s)
  • Murs linéaires tridimensionnels

Attention !

Chaque base du prisme peut être manipulée séparément et posséder des attributs graphiques différents. Pour manipuler ou sélectionner le prisme tout entier, vous devez «attraper» les lignes reliant les 2 bases («lignes d’extension»).

solides complexes

Ce sont des solides définis par une série de surfaces polygonales reliées qui définissent un corps fermé.

Dans ARC+, les solides complexes résultent des opérations suivantes :

  • Rotation d'un polygone autour d’un axe (\rosol)
  • Coupe d’un prisme ou d’un autre solide complexe (\secte, \sects)
  • Opérations booléennes sur un prisme ou un autre solide complexe (\uni, \dif, \int)
  • Réunion de deux surfaces polygonales qui ne se chevauchent pas exactement (\sol2s)
  • Solide tridimensionnel de murs courbes ou de murs qui ne se prolongent pas jusqu’au toit

Conditions particulières

Si l’on efface les arêtes d'un prisme (solide polygonal 3D régulier), les polygones 2D qui en résultent apparaissent dans le mode de vue des solides sous forme de deux surfaces polygonales distinctes.

En plus de manipuler le prisme tout entier, il est également possible de manipuler séparément chacune de ses deux bases polygonales tout en conservant le lien entre elles. Ceci n'est pas possible pour les «Solides Complexes».

Si l'une des bases polygonales d'un prisme est effacée, le prisme l’est également et les arêtes sont supprimées de l'écran. L'autre base demeurera une Surface polygonale indépendante.

La base polygonale d'un prisme peut servir de base commune à un autre prisme, à la suite de son développement dans le sens opposé. Voir la commande Extrusion d'un polygone en un solide, \p3d.

Lorsque vous créez un solide simple (\sol2s) en reliant deux bases polygonales, si les surfaces qui relient les deux polygones ne sont pas coplanaires, le système les triangulera Automatiquement pour les transformer en surfaces planes. Voir la commande Création d'un solide à partir de deux polygones, \sol2s.

Sélection des polygones

Un solide ordinaire est sélectionné en marquant les côtés coïncidents, le solide complet est sélectionné. Si un solide ordinaire est sélectionné en marquant l'une des bases des polygones, seul le polygone de base est sélectionné.

Un solide complexe est sélectionné en marquant n'importe quel de ses polygones.

Voir Sélection pour plus de renseignements sur les sélections des solides.

Opérations sur les solides

Les commandes d'opérations sur les solides (Opérations booléennes) sont décrites dans un chapitre séparé—voir Opérations sur les solides.


Utilitaires de polygone

Les commandes suivantes comprennent une variété d'informations et d'options de recherche d’erreurs qui vous permettent de contrôler le type et les propriétés d'un polygone ou d'un solide.

Thèmes liés

  • Interrogation du type du polygone
  • Interrogation et changement du signe (+/-) d'un solide
  • Autres interrogations de polygone
  • Modification d'attributs
  • Déterminer si un solide est simple ou complexe
  • Convertir le type du polygone pour surface et hachurage
  • Triangulation des surfaces déformées


Index

Home > 5 Murs

05 Murs

  1. Affichage de la première couche, de l'axe ou des extrémités ouvertes d'un mur
  2. Affichage et masquage des murs
  3. Affichage ou masquage des couches internes de mur et des axes
  4. Ajustage d'un mur ou d'un segment
  5. Angles et congés
  6. Conversion de murs et d'arcs en lignes
  7. Convertir polygones en murs
  8. Création d'un angle entre deux murs
  9. Création d'un modèle 3D à partir d'un mur unique
  10. Création d'un mur introduction
  11. Création d'un mur
  12. Création d'un mur avec décalage
  13. Création d'un mur courbe
  14. Création d'une jonction entre murs
  15. Création de deux murs orthogonaux
  16. Création de murs et d'ouvertures tridimensionnels
  17. Création rapide
  18. Définir ou éditer un type de mur
  19. Définition d'une nouvelle jonction en T entre murs
  20. Définition de la hauteur du mur courant
  21. Edition d'un mur
  22. Effacement d'un mur et d'une ouverture
  23. Effacement des caractéristiques 3D des murs
  24. Fermeture de l'extrémité d'un mur
  25. Gérer les catalogues de murs
  26. Gestion d'angles entre murs et raccordements entre segments de murs droits
  27. Hachurage des murs
  28. Importer des murs depuis un fichier de définition de murs
  29. Information
  30. Information sur un mur
  31. Murs
  32. Introduction
  33. Jonctions
  34. Mise à jour de la hauteur d'un mur et d'un arc
  35. Mise à jour du décalage d'un mur
  36. Mise à jour du nombre de segments compris dans un mur courbe 3D
  37. Modification de l'alignement d'un mur existant
  38. Modification de la dominance des murs de hauteur différente dans un angle
  39. Modification de la symétrie d'un mur avec ses ouvertures et ses jonctions en T
  40. Modification de la symétrie d'un mur et d'un arc
  41. Murs à 2D et 3D
  42. Murs courbes
  43. Nivellement de l'arase d'un mur coupé
  44. Remplacement d'un mur
  45. Remplir une couche de mur avec un motif linéaire
  46. Restauration des murs
  47. Rupture d'un mur droit ou courbe
  48. Sélection d'un ou de plusieurs murs
  49. Sélection de murs par nom ou nombre de couches
  50. Sélection de tous les murs, ouvertures ou remplissage
  51. Sélection du type de mur courant
  52. Symétrie et alignement
  53. Traitement des angles


Affichage de la première couche, de l'axe ou des extrémités ouvertes d'un mur

Modifie temporairement le type linéaire du premier nu d'un mur ou affiche son axe ou ses extrémités ouvertes.

Il vous faut préciser si vous souhaitez travailler sur un mur unique, un groupe sélectionné ou tous les murs. L'affichage qui convient doit ensuite être spécifié:

  • Axe d'alignement
  • Première couche
  • Alignement et axe de décalage
  • Extrémités ouvertes d'un mur

Si vous avez l'intention de travailler sur un mur unique, celui-ci doit être indiqué.

S'il s'agit de l'extrémité ouverte d'un mur, un point doit être marqué sur le mur à proximité de l'extrémité du mur à afficher.

L'élément spécifié s'affiche en pointillés. Celui-ci disparaîtra lors du prochain rafraîchissement de l'écran.

  • CONSEIL : Il est important de pouvoir afficher les extrémités ouvertes d'un mur lorsqu'on ignore la position de l'une de ces extrémités, comme par ex. dans un arc de 360 degrés (c.-à-d. un cercle) ou lorsqu'un mur a été coupé en deux (\mwbrk) sans que ses extrémités aient été fermées.


Affichage et masquage des murs

Affiche ou masque tous les murs 2D ou 3D ou des deux types.

\wdisp

Précisez si vous souhaitez afficher les murs 2D, 3D ou des deux types en même temps.

Cette commande est similaire aux commandes \mw2d et \mw3d sauf qu'elle ne contrôle uniquement que l'affichage des murs. Elle ne les supprime pas du modèle.

Le mode d’affichage par défaut est 2D. Cependant lorsque vous ouvrez un modèle, le mode est automatiquement redéfini en fonction du type de murs et d’ouvertures contenus dans le modèle. Si des murs 3D existent, le mode sera défini comme 2D et 3D. Notez que lorsque vous effacez le fichier en cours (\new) le mode d’affichage en cours est conservé.

Lorsque vous créez de nouveaux murs et que vous placez des ouvertures, ils seront désormais affichés en fonction du mode d’affichage courant : 2D, 3D ou les deux à la fois.

  • REMARQUE : Si vous masquez les murs 2D et que vous n'avez pas créé au préalable des murs 3D (\mw3d), aucun mur ne sera affiché à l'écran. Vous pouvez voir les murs en modifiant l'affichage dans cette commande, ou en utilisant la commande Créer des murs 3D et des ouvertures (\mw3d).


Affichage ou masquage des couches internes de mur et des axes

Affiche ou masque les couches internes de mur et les axes.

\wonof

Choisissez l'une des options suivantes:

  • Couches intérieures et axes affichés
  • Couches intérieures et axes masqués
  • Masquage des axes uniquement
  • Masquage des couches intérieures uniquement

Dans un modèle de taille importante, il est recommandé de masquer les couches intérieures quand elles ne sont pas indispensables. Cela augmente la vitesse de rafraîchissement de l'écran.

  • REMARQUE : Cette commande ne masque pas les lignes externes du mur 2D. Utilisez la commande Masquer les murs 2D, les axes et les symboles d'ouverture (\xblnk).


Ajustage d'un mur ou d'un segment

Ajuste une section du mur à un angle quelconque.

\wtrim

Précisez de quelle manière le mur doit être ajusté:

  • Par une ligne (ajustage du mur)
  • Par deux lignes (ajustage d'un segment)

Précisez si l'ajustage se trouve:

  • Perpendiculaire au mur
  • A un angle quelconque de celui-ci

S'il s'agit d'un arc, perpendiculaire signifie ajustage radial, c.-à-d. perpendiculaire à la tangente en ce point ou radial par le centre de l'arc.

Indiquez le mur à ajuster.

Ajustage de l'extrémité d'un mur par une ligne

Marquez un point d'ajustage pour ajuster perpendiculairement le mur (ou deux points d'ajustage, si l'ajustage n'est pas perpendiculaire). S'il s'agit d'un ajustage à angles droits, la ligne d'ajustage est perpendiculaire au mur par ce point. Par contre, dans le cas d'un ajustage oblique, elle se trouve sur un prolongement de la ligne reliant les deux points.

Indiquez le côté du mur à ne pas modifier.

Précisez si l'extrémité du mur doit ou non être fermée. Confirmez le résultat.

Le mur est ajusté ou étiré vers la ligne d'ajustage.

Ajustage d'un segment du mur par deux lignes

Marquez deux points d'ajustage pour ajuster le mur à angles droits ou quatre points d'ajustage (c.-à-d. deux lignes d'ajustage) si l'ajustage n'est pas perpendiculaire.

Précisez si les extrémités du mur doivent ou non être fermées. Confirmez le résultat.

  • REMARQUE : Les points d'ajustage ne doivent pas obligatoirement se trouver sur le mur lui-même, bien qu'il soit recommandé de les placer le plus près possible de celui-ci.

Si vous remplacez des murs devant être ajustés obliquement, l'ajustage oblique sera remplacé en ce point par un ajustage perpendiculaire.


Angles et congés

Thèmes liés

  • Création d'un angle entre deux murs


Conversion de murs et d'arcs en lignes

Explose un mur en entités linéaires.

\wxpld

Cette commande permet d'éditer une partie spécifique d'un mur 2D.

Indiquez le mur à convertir.

Précisez si le mur en entier ou seul un segment doit être converti.

Si seul un segment doit être converti, vous devez préciser la manière dont vous désirez l'ajuster:

  • Perpendiculairement au mur

  • A un angle quelconque

S'il s'agit d'un arc, un ajustage perpendiculaire signifie un ajustage radial, c.-à-d. normal à la tangente en ce point ou radial par le centre de l'arc.

Marquez deux points définissant les extrémités du segment (s'il est perpendiculaire au mur) ou quatre points définissant deux lignes (si le segment n'est pas perpendiculaire). Précisez si les extrémités du mur doivent ou non être fermées.

Le segment explosé perd les propriétés d'un mur. Vous ne pouvez ni lui donner une hauteur ni y insérer des ouvertures.

  • REMARQUE : Bien que les couches d'un mur explosé se comportent comme des lignes, lorsque vous sélectionnez un mur à l'aide de la commande Sélection de tous les murs, des ouvertures ou remplissage (\mwsel), les lignes du mur seront également sélectionnées.


Convertir polygones en murs

Convertit un polygone (ou un ensemble de polygones) 2D en mur.

\pol2wall

Procédure

Indiquez le polygone (ou le groupe de polygones) 2D que vous désirez convertir en un mur, puis précisez l'alignement de ce dernier:

  • ligne intérieure

  • ligne extérieure

  • centre

  • axe


Création d'un angle entre deux murs

Crée un angle entre deux murs ou un mur et un arc.

\corner

Indiquez les deux murs qui doivent former l'angle. Les murs peuvent être à proximité l'un de l'autre ou intersectés.

Le système raccorde les deux murs au moyen d'un angle en les raccourcissant ou les allongeant selon le besoin. Si les deux murs se coupent, il faut indiquer les murs du côté de l'intersection à conserver, en confirmant le résultat.

  • REMARQUE : Cette commande ne peut être utilisée pour créer des angles entre deux murs courbes.
  • Les deux murs doivent posséder le même nombre de couches et la même symétrie.
  • Si les deux murs sont de hauteur différente, voir Traitement d'un angle.

  • CONSEIL : Il est recommandé de travailler en vue plane lorsque vous créez des angles entre deux murs courbes.

Création automatique des angles de murs

Sélectionne le mode de création automatique des angles entre murs.

\autoc

Lorsque le point extrémité d’un segment de mur est défini comme étant le même point que l’extrémité d’un segment de mur existant, les deux murs en question se rejoignent pour former un angle.

Lorsque ce mode est inhibé, vous devez utiliser la commande Création d’un angle entre murs (\corner).


Création d'un modèle 3D à partir d'un mur unique

Extrude un mur unique 2D en un modèle 3D.

\wal3d

Cette commande ne s'applique qu'à un mur unique et à ses ouvertures.

Indiquez le mur à extruder en 3D.


Création d'un mur

Avant de créer des murs, il est nécessaire de choisir un type de mur dans les catalogues ou de définir un nouveau mur.

Pour définir un nouveau mur vous devez spécifier ses attributs, comme par exemple, sa largeur et sa couleur, et l'insérer dans les catalogues des murs.

Thèmes liés

  • Sélection du type de mur courant
  • Gérer les catalogues de murs
  • Importer des murs depuis un fichier de définition de murs.
  • Définir ou éditer un type de mur
  • Création d'un mur
  • Création d'un mur avec décalage
  • Définition de la hauteur du mur courant


Création d'un mur

Crée un mur par deux points.

\mwall

Définir le premier point et les points suivants. Le mur courant défini est créé entre ces points. En cas de création de murs 2D ou 3D, vous pouvez joindre le dernier mur au premier en appuyant simplement sur Entrée.

  • CONSEIL : Utilisez une ligne d'aide passant sur le premier point si vous désirez fermer le mur à 90 degrés par rapport à ce point.

Si vous n'avez pas défini de mur courant, le système vous amènera à la commande Définition d'un type de mur courant (\setmw). Celle-ci vous permet de choisir un mur et le système vous ramènera ensuite à la commande Création. Vous pouvez aussi définir un type de mur en échantillonnant un mur existant.

Après avoir défini le premier point, le mur s'étire sur la ligne guide. La ligne guide est une ligne élastique reliant le premier point et la position courante du curseur. A ce stade, vous pouvez effectuer les opérations suivantes:

  • Modifier la symétrie du mur
  • Modifier l'alignement du mur

Modification de la symétrie d'un mur lors de sa création

Modifie la symétrie du mur autour de son alignement courant (la ligne guide) avant de définir le point suivant en appuyant sur Alt+1.

Ceci retourne le mur. Il vous faut à nouveau presser Alt+1 pour inverser la symétrie. L'alignement par défaut est l'axe du mur (dans la mesure où un axe a été défini) et la première couche du mur (si un axe n'a pas été défini).

  • REMARQUE : Vous pouvez également mettre à jour la symétrie des murs existants. Voir Modification de la symétrie d'un mur ou d'un arc (\mwsym) ou Modification de la symétrie d'un mur avec ses ouvertures et ses jonctions en T (\uwsym).

Modification de l'alignement d'un mur lors de sa création

Modifie l'alignement du mur (relatif à la ligne guide) avant de définir le point suivant en appuyant sur Alt+2.

Il existe quatre alignements possibles:

  • Sur l'axe (si un axe a été défini)
  • Sur la première ligne du mur
  • Sur la dernière ligne du mur
  • Au centre du mur

Chaque fois que vous appuyez sur Alt+2 l'alignement passe au type suivant.

Pour modifier l'alignement d'un mur existant, voir Modification de l'alignement d'un mur existant (\ualgn).

  • REMARQUE : Si vous avez utilisé la commande Créer une ligne avec un décalage (\oflin) avant d'utiliser cette commande, vous devez redéfinir le mur avec la commande Définir le type de mur courant (\setmw), puis avec la commande Création d'un mur selon un décalage (\ofset).


Création d'un mur avec décalage

Définit un décalage permettant de créer un mur à une distance spécifiée de la ligne guide.

\ofset

Spécifier la distance du décalage, A savoir - la distance perpendiculaire entre le mur et la ligne guide reliant le point précédent à la position courante du curseur.

Modification de la symétrie d'un mur avec décalage

Appuyez sur Alt+1 pour modifier la symétrie du mur. Celui-ci fait pivoter sa symétrie autour de la ligne guide du décalage.

Modification de l'alignement d'un mur avec décalage

Appuyez sur Alt+2 pour modifier l'alignement du mur. La position de celui-ci est modifiée par rapport à la ligne guide.

  • REMARQUE : Si vous utilisez les commandes Mise à jour de la symétrie (\mwsym ou \uwsym) sur un mur avec décalage après sa création, la symétrie du mur sera modifiée autour du mur lui-même et non pas autour de la ligne de base du décalage (c.-à-d. que le mur ne changera pas de position).

La valeur du décalage est conservée pendant la durée de la séance de travail en cours ou jusqu'à ce qu'elle soit modifiée en réutilisant cette commande. Pour que le décalage soit annulé, il doit être remis à 0 en répétant la commande.

Pour mettre à jour le décalage d'un mur existant, voir Mise à jour du décalage d'un mur (\uwofs).

  • REMARQUE : Si vous avez utilisé la commande Création d'une ligne selon un décalage (\oflin) avant d'utiliser cette commande, vous devez redéfinir le type de mur (\setmw) puis définir le décalage (\ofset).


Création d'un mur courbe

Crée des arcs à l’aide d’un certain nombre de méthodes.

\warc

Pour créer un mur courbe, vous pouvez choisir l’une des options suivantes:

  • création d'un mur en trois points (\wa3p)
  • création d'un mur courbe par un angle et deux points (\wa2pr)
  • création d'un mur courbe par un rayon et deux points (\wa2pa)
  • création d'un mur courbe par un point, un centre et un angle (\wapca)
  • création d'un congé entre deux murs (\fillet)
  • modification du rayon du congé d'un mur (\uwflt)

Création d'un mur courbe par trois points

Crée un mur courbe passant par trois points.

\warp

L'une des options suivantes vous permettra de spécifier le type d'arc que vous désirez dessiner:

arc libreNon raccordé à un mur droit.

dans un murTransforme une section de mur droit en arc.

entre deux mursCrée un arc entre deux murs identiques et alignés.

Si vous n'avez pas défini un mur courant, le système vous transfère à la commande Choix d'un mur comme mur courant (\setmw). Après que vous ayez choisi un mur, le système vous ramènera à la commande précédente.

Arc libre

Définit trois points par lesquels doit passer l'arc (premier, médian et dernier). Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Dans un mur existant ou entre deux murs

Indiquez le mur ou les murs.

Définissez trois points (premier, médian et dernier). Le premier et le dernier point doivent se trouver dans la couche désirée (concave ou convexe) du mur.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Création d'un mur courbe par un angle et deux points

Crée un mur courbe à partir d'un angle spécifique par deux points.

\wa2pa

L'une des options suivantes vous permettra de spécifier le type d'arc que vous souhaitez dessiner:

arc libre | Non relié à un mur droit.
dans un mur | Transforme une section de mur droit en arc.
entre deux murs | Crée un arc entre deux murs identiques et alignés.

Si vous n'avez pas défini un mur courant, le système vous transfère à la commande Choix d'un mur comme mur courant (\setmw). Après que vous ayez choisi un mur, le système vous ramènera à la commande précédente.

Arc libre

Définit la première et la deuxième extrémité de l'arc. Marquer un troisième point du côté du mur où doit être créé l'arc. Spécifier l'angle.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Dans un mur existant ou entre deux murs

Indiquez le mur ou les murs.

Définit la première et la deuxième extrémité de l'arc. Marquez un troisième point du côté du mur où doit être créé l'arc. Spécifiez l'angle.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Création d'un mur courbe par son rayon et deux points

Crée un arc avec un rayon spécifique passant par deux points.

\wa2pr

L'une des options suivantes vous permettra de spécifier l'arc que vous souhaitez dessiner:

arc libre | Non relié à un mur droit
dans un mur | Transforme une section de mur droit en arc.
entre deux murs | Crée un arc entre deux murs identiques et alignés.

Si vous n'avez pas défini un mur courant, le système vous transfère à la commande Choix d'un mur comme mur courant (\setmw). Après que vous ayez choisi un mur, le système vous ramènera à cette commande.

Arc libre

Définit la première et la deuxième extrémité de l'arc. Marquez un troisième point du côté du mur où doit être créé l'arc et spécifiez le rayon.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Dans un mur existant ou entre deux murs

Pour créer un arc dans un mur droit ou entre deux murs, indiquez le mur ou les murs.

Définit la première et la deuxième extrémité de l'arc. Marquez un troisième point du côté du mur où doit être créé l'arc et spécifier le rayon.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Création d'un mur courbe par point de départ, centre et rayon

Crée un arc à partir d'un angle spécifique et passant par deux points.

\wapca

Définit le point de départ et le centre de l'arc. Spécifiez l'angle de celui-ci.

Précisez si les points doivent se trouver sur la face concave (intérieure) ou convexe (extérieure) de l'arc.

Création d'un congé en arc entre deux murs

Crée un arc au rayon spécifié tangent à deux murs non parallèles.

\fillet

Spécifier le rayon du congé.

Indiquer les deux murs entre lesquels doit être créé l'arc.

Les murs sont raccourcis ou allongés selon le besoin jusqu'au point où commence l'arc. Si les deux murs se coupent, il faut indiquer les murs du côté de l'intersection à conserver.

  • REMARQUE : Les deux murs doivent posséder le même nombre de couches et la même symétrie.

Mise à jour du rayon d'un congé

Modifie le rayon d'un congé existant.

\uwflt

Entrez la nouvelle valeur du rayon de l'arc. Indiquez les deux murs entre lesquels l'arc doit être mis à jour. Indiquer ensuite ce dernier.

L'arc est mis à jour en même temps que les murs avoisinants.


Création d'une jonction entre murs

Crée des intersections et des jonctions entre murs.

\wjun

Vous pouvez choisir l’une des options suivantes pour créer le type de jonction dont vous avez besoin:

  • la jonction en T de deux murs (\tjun)
  • la création d'une jonction en X entre deux murs (\xjun)
  • la création d'une jonction complexe entre trois ou quatre murs (\cjun)

Chacune de ces options est décrite en détail ci-dessous.

Création d'une jonction en T entre deux murs

Crée une jonction en T entre deux murs.

\tjun

Indiquez le mur qui constitue la jambe du T. Le point que vous marquez devra se trouver à l'extrémité du mur la plus proche de la jonction.

Indiquez le mur qui constitue la tête du T. Si la jambe et la tête du T sont intersectées, la jambe sera tronquée à la tête. Vous devez indiquer la jambe à un point du côté à retenir.

Le système raccorde les deux murs et leurs couches à l'aide de la jonction courante par défaut, à partir du catalogue des jonctions en T. Le résultat sera la manière dont les murs se raccordent, C’est à dire. laquelle des couches de la jambe pénètre dans l'une des couches de la tête et si elles fusionnent ou non.

Le système vous demande si le résultat est acceptable. Si vous le rejetez, le système continuera de vous proposer d'autres jonctions à partir du catalogue jusqu'à ce que vous répondiez par l'affirmative. La jonction acceptée deviendra alors la jonction par défaut.

Si les jonctions existantes ne sont pas acceptables, vous pouvez en définir une de votre choix. Voir la commande Définition d'une nouvelle jonction en T entre murs (\tdef).

Création d'une jonction en X entre murs intersectés

Crée une jonction en X entre deux murs intersectés.

\xjun

Dans une jonction en X, le système coupe un mur et le raccorde au mur continu. En fait, il scinde le mur et crée deux jonctions en T de chaque côté de la tête. La jonction en T courante par défaut est celle utilisée par le système.

Indiquez le mur à couper (la jambe).

Indiquez le mur qui doit rester intact (la tête).

Création d'une jonction complexe entre 3 ou 4 murs

Crée une jonction entre 3 ou 4 murs dont les prolongements se rencontrent en un point.

\cjun

Dans une jonction complexe le système rend continu un mur et lui raccorde un ou deux autres murs au moyen de la jonction en T courante par défaut, des deux côtés de la tête.

Les deux premiers murs (qui doivent être de même type et posséder la même symétrie et le même alignement) forment un angle et constituent les deux têtes du T tandis que le troisième mur (ainsi que le quatrième s'il existe) en constitue la jambe.

Précisez si la jonction s'applique à trois ou à quatre murs.

Indiquez la première et la deuxième tête de la jonction.

Trois murs

Indiquer et confirmer la jambe du mur. Les trois murs sont raccordés. Confirmer le résultat s'il est acceptable.

Lorsque la jambe se prolonge à travers les deux côtés des murs constituant la tête, indiquez le côté de la jambe que vous voulez retenir. L'autre est effacé.

Quatre murs

Indiquez la première jambe du mur. Indiquer la deuxième jambe de la jonction. Celle-ci doit se trouver du côté opposé au premier mur.

Le système étire ou raccourcit les murs selon le besoin. Confirmer le résultat ou modifier la première ou la deuxième jambe du mur.

Si tous les murs sont de même type, le premier mur indiqué pénétrera dans les autres.

Après avoir exécuté la jonction vous pourrez modifier le raccordement entre les couches de la première ou de la deuxième jambe.


Création de deux murs orthogonaux

Crée deux murs perpendiculaires entre deux points positionnés diagonalement.

\xymwl

\yxmwl

Marquez deux points.

Le mur courant sera dessiné de manière à être parallèle aux axes xy ou yx respectivement. Les dimensions des murs correspondent à la translation entre les deux points mesurée parallèlement aux axes xy ou yx respectivement

  • CONSEIL : S'il n'y a pas de déplacement le long de l'un des axes des deux points indiqués, il en résultera un mur unique qui sera parallèle à cet axe. Vous pouvez donc avoir recours à cette commande pour créer des murs orthogonaux simples ainsi que des ensembles de deux murs perpendiculaires. Si vous cherchez un mur qui ne soit pas parallèle à l'axe x ou y, vous devez utiliser la commande Création d'un mur (\mwall).


Création de murs et d'ouvertures tridimensionnels

Extrude tous les murs et ouvertures bidimensionnels en un modèle tridimensionnel.

\mw3d

Tous les murs affichés en 2D sont étendus en un modèle 3D. La hauteur de chaque mur est celle spécifiée dans la commande Choix d'un mur comme mur courant (\setmw). Les murs 3D sont des solides positifs, les ouvertures étant des solides négatifs.

Pour extruder un mur unique en 3D, voir la commande Création d'un modèle 3D à partir d'un mur unique (\wal3d).

Quant aux arcs, ils consistent en une série de segments de droites. Si votre modèle comprend des murs courbes, vous devez spécifier le nombre de segments (droites génératrices) qui doit être compris dans l'arc.

Vous pouvez donner un nombre quelconque de génératrices allant de 3 à 25. La valeur par défaut est 10. Pour obtenir une courbe plus lisse, spécifiez plus de segments.

  • REMARQUE : S'il existe des ouvertures dans l'arc, le nombre de génératrices spécifié peut être ajusté par le système de manière à s'accorder avec l'ouverture. L'affichage des génératrices verticales est fonction du lancement de la commande Affichage ou Masquage des génératrices de murs courbes (\marcv).

La commande Mise à jour du nombre de génératrices dans un mur courbe 3D (\uwasg) permet de modifier le nombre des génératrices dans un arc tridimensionnel existant.

  • REMARQUE : Si vous supprimez les murs 3D (\mw2d), il faut préciser le nombre de segments d'arc lorsque vous utilisez à nouveau la commande Création de murs et d'ouvertures tridimensionnels (\mw3d).


Création rapide

Les commandes de création rapide vous permettent de créer des murs à angles droits et à formes rectangulaires de façon rapide et facile.

Thèmes liés

  • Création de deux murs orthogonaux


Définir ou éditer un type de mur

Cette fonction permet de créer ou modifier un type de mur dans le catalogue sélectionné. Lors de la définition d'un type de mur, vous pouvez définir un remplissage par défaut pour chaque couche du mur ainsi qu'un calque de placement.

Pour définir ou éditer un type de murs, cliquez sur le bouton [image] Editer dans la boîte de dialogue de sélection du type de mur courant. La boîte de dialogue suivante apparaît:

Cette boîte de dialogue vous permet de:

  • Ajouter une couche de mur.
  • Effacer une couche de mur.
  • Inverser l’ordre des couches.
  • REMARQUE : Le nouveau mur créé a par défaut une seule couche de 30 cm. Le mur ne peut être composé de plus de 7 couches.

Pour définir un nouveau type de mur, procédez comme suit:

  • Spécifiez l’épaisseur de chaque couche, ainsi que les attributs des lignes (cou leur, type, épaisseur) qui les entoure. Les attributs de la première ligne sont utilisés par pour représenter le volume 3D du mur.
  • Dans la colonne remplissage, en regard de chaque numéro de couche, vous pouvez définir le type de remplissage de la couche, par un motif ou une hachure.
  • Si vous le souhaitez, définissez les paramètres d’axe du mur: son alignement, et son affichage.
  • Par défaut, tous sont positionnés sur 1 pour une présentation 3D. Lorsque vous importez d’anciens murs, les attributs du premier calque sont définis comme attributs 3D par défaut. Si vous préférez un paramétrage différent pour le mur en 3D, vous pouvez choisir les 3 attributs: couleur, type de ligne et épaisseur. Les paramètres choisis sont également ceux des ouvertures du mur.
  • Choisissez le calque de placement par défaut de ce type de mur à l'aide de la boîte de dialogue de sélection de calque.
  • Dans la zone Nom complet, entrez le nom du type de mur (jusqu’à 80 caractères)
  • Entrez également un nom système limité à 5 caractères.
  • REMARQUE : Le nom système permet d'assurer la compatibilité avec les versions précédentes. Le nom long offre une meilleure lisibilité lors de la sélection du type de mur courant.
  • IMPORTANT : Si le nom système est déjà utilisé dans n'importe quel catalogue, le logiciel vous proposera d’écraser l'ancienne définition du type de mur. Il ne peut exister aucun doublon dans les noms systèmes de murs, tous catalogues confondus.

Définition des hachures de la couche

Lorsque vous choisissez de remplir la couche à l’aide d’hachures, le système affiche la boîte de dialogue suivante:

Cette boîte de dialogue vous permet de:

  • Ajouter un style de hachure
  • Effacer un style de hachure

Vous pouvez superposer autant de style de hachures que vous le souhaitez dans une couche de mur. Cliquez sur Ajouter : une nouvelle ligne s’insère dans le tableau depuis lequel vous pouvez spécifier les attributs de lignes (le type, la couleur et l'épaisseur) en cliquant sur l’échantillon de ligne puis sur [image] .

Précisez si la direction des hachures doit être relative ou absolue:

Relative | Les hachures sont créées dans chaque mur dans l'angle spécifié du mur lui-même.
Absoloue | Les hachures sont créées dans l'angle spécifié par rapport à l'axe x, quel que soit l'angle du mur. Tous les murs seront ainsi hachurés dans le même angle.

Si vous utilisez des hachures relatives sur un mur courbe, celles-ci seront dessinées comme suit:

  • Dans un angle de 0 degré produisant des lignes radiales
  • Dans un angle de 90 degrés produisant des lignes concentriques
  • Tous les autres angles seront exécutés de manière absolue par rapport à l'axex

Spécifiez l'angle des hachures (de 0 à 360 degrés). Entrez l'intervalle entre les hachures qui constitue l'espace entre les lignes et le décalage des hachures, c’est-à-dire le décalage de la première ligne. Pour plus d'information sur ces paramètres, voir Hachures et motifs.

Définition du motif de la couche

Lorsque vous choisissez de remplir la couche à l’aide d’un motif, le système affiche la boîte de dialogue suivante:

Cliquez sur l’échantillon du motif pour accéder aux catalogues et rechercher le motif à utiliser, puis lancez le sélecteur de couleurs en cliquant sur le rectangle coloré – afin de choisir une nouvelle couleur pour votre motif. Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la valider


Définition d'une nouvelle jonction en T entre murs

Définit une solution de jonction en T entre deux murs.

\tdef

Indiquez la jambe du T.

Indiquez la tête du T.

ARC+ vous demande de définir laquelle des couches du mur constituant la jambe pénètre dans l'une des couches de la tête. Il est donc important de savoir quelle est la couche No 1 de la jambe (c.-à-d. la première couche décrite lors de la définition du mur). Le système vous le rappelle en marquant en pointillé la première couche de la jambe (s'il s'agit de la tête, la couche la plus proche de la jambe est toujours considérée comme la première).

Spécifier le numéro de couche de la tête dans laquelle doit pénétrer chacune des couches de la jambe, en précisant si elle doit ou non se joindre à cette couche. Confirmer la sauvegarde du résultat dans le catalogue des jonctions en T. Préciser si ce résultat est applicable quant au rapport courant entre la jambe et la tête, c.-à-d. d'un côté (une seule jonction) ou des deux (deux jonctions).

Si vous confirmez ce résultat, il deviendra la jonction par défaut.

Les définitions de jonction sont stockées dans aracalib\walls\trules.def.


Définition de la hauteur du mur courant

Définit la hauteur d'un mur créé ultérieurement. Cette commande ne modifie pas la hauteur des murs qui ont déjà été créés.

\mwalz

Spécifier la hauteur des deux extrémités du mur. Si les deux valeurs (z1 et z2) sont identiques, la face supérieure du mur est horizontale. Vous pouvez donner deux valeurs différentes à un mur de hauteur variable (en pente).

La hauteur spécifiée s'applique à tous les murs créés ultérieurement jusqu'à ce que vous ayez spécifié un nouveau mur ou une nouvelle hauteur. La hauteur ne s'affiche que lorsque vous utilisez la commande Création de murs et d'ouvertures 3D (\mw3d).

Pour modifier la hauteur de murs existants, voir Mise à jour de la hauteur d'un mur droit ou courbe (\uwalz).


Edition d'un mur

Il existe plusieurs manières d'éditer des murs et des arcs:

  • En modifiant la hauteur d'un mur
  • En coupant un mur en deux
  • En ajustant un mur ou un segment
  • En fermant l'extrémité d'un mur
  • En mettant à jour le rayon d'un congé
  • En remplaçant un mur par un autre
  • En faisant exploser le mur en lignes
  • CONSEIL : Il est recommandé de travailler en vue plane lorsque vous éditez des murs courbes.

Thèmes liés

  • Mise à jour de la hauteur d'un mur et d'un arc
  • Rupture d'un mur droit ou courbe
  • Ajustage d'un mur ou d'un segment
  • Fermeture de l'extrémité d'un mur
  • Remplacement d'un mur
  • Conversion de murs et d'arcs en lignes
  • Restauration des murs


Effacement d'un mur et d'une ouverture

Efface un mur, une ouverture, un solide ou toute autre entité.

\dele

Murs

Indiquez le mur à effacer. Les ouvertures dans le mur s'effaceront également.

Ouvertures

Indiquez l'ouverture à effacer. Le mur sera restauré en entier.

Conditions de bord

Lorsque vous supprimez une condition de bord, celle-ci est remplacée par la condition de bord du système: une ligne droite. Si vous effacez la condition de bord du système, le mur demeurera ouvert.

Autres entités

Indiquez l'entité à effacer. L'entité sera supprimée du modèle.


Effacement des caractéristiques 3D des murs

Convertit en 2D un modèle de murs 3D.

\mw2d

Tous les murs et ouvertures affichés en 3D sont réduits à un modèle 2D. Vous pouvez toujours restaurer le modèle 3D des murs (sauf dans le cas de murs irréguliers ou coupés).

Murs irréguliers

A l'origine, chaque élément droit d'un mur 3D possède six faces. Si vous exécutez sur le mur une opération quelconque, comme par ex. une coupe ou une opération booléenne qui résultent en plus de six faces, le mur deviendra un solide irrégulier.

Si le modèle 3D d'un mur irrégulier est réduit pour être ensuite régénéré, le solide irrégulier sera perdu. A sa place, le mur d'origine, tel qu'il était avant la coupe, sera restauré. L'option: garder l'affichage 3D irrégulier permet d'éviter la perte du modèle 3D d'un mur irrégulier.

Il en est de même pour n'importe quel arc dans la mesure où l'un quelconque de ses attributs initiaux a été modifié (excepté si sa hauteur a été mise à jour à l'aide de la commande \uwalz). Si votre modèle comprend des arcs, le système vous demande de garder le modèle de murs courbes 3D.

Si votre réponse à ces deux prompts est positive, tous les murs 3D excepté les murs irréguliers ou courbes seront annulés.

Si votre modèle comprend des murs irréguliers et courbes et que vous ayez besoin de supprimer temporairement de l'affichage les murs 3D, voir la commande Afficher et masquer des murs (\wdisp).


Fermeture de l'extrémité d'un mur

Ferme les extrémités ouvertes d'un mur.

\cmwal

Les extrémités d'un mur sont fermées automatiquement par le système. Cependant, dans certains cas les extrémités d'un mur peuvent demeurer ouvertes:

  • Lorsqu'un mur adjacent est effacé
  • Lorsque des murs adjacents sont de hauteur différente
  • Lorsqu'un mur a été ajusté
  • Lorsqu'un segment du mur a explosé en plusieurs lignes

Il existe deux méthodes pour fermer les extrémités d'un mur. Vous pouvez fermer le mur à l'aide d'une simple ligne qui relie les extrémités de la première et de la dernière couche du mur ou vous pouvez ajouter une extrémité prédéfinie à partir du catalogue d'extrémités de murs. Une telle spécification d'extrémité (condition de bord) peut comporter des détails particuliers décrivant la manière dont se termine chacune des couches du mur.

Fermeture du mur au moyen d'une condition de bord

Choisir l'option Addition d'une condition de bord. Indiquez l'extrémité du mur à fermer. Si le mur comprend deux extrémités ouvertes, un point doit être marqué plus près de l'extrémité à fermer. Choisissez une condition de bord à l'aide:

  • D'un echantillon—indiquez sur l'écran un exemple de condition de bord
  • Du nom—précisez le nom de la condition de bord
  • Du catalogue graphique—choisissez la condition de bord dans le catalogue graphique
  • REMARQUE : Si la condition de bord est ajoutée à l'extrémité d'un mur sans lui être perpendiculaire (par ex. si elle est ajustée), le mur sera raccourci ou allongé en fonction des règles suivantes:

    • La condition de bord sera ajoutée à l'extrémité de la première couche du mur lors de l'alignement de l'axe sur cette première couche ou sur le centre.
    • La condition de bord sera ajoutée à l'extrémité de la dernière couche du mur lors de l'alignement de l'axe sur cette dernière couche.

Fermeture simple d'un mur

Si vous entrez la commande par la ligne d'entrées, ne sélectionnez pas l'option Addition d'une condition de bord.

Indiquez l'extrémité du mur à fermer. Si le mur comprend deux extrémités ouvertes, un point doit être marqué au plus près de l'extrémité à fermer.


Gérer les catalogues de murs

Pour gérer les catalogues de murs, cliquez sur le bouton Catalogues... dans la boîte de dialogue de sélection du type de mur courant. La boîte de dialogue suivante apparaît:

Cette boîte de dialogue vous permet de:

  • Créer un nouveau catalogue de murs.
  • IMPORTANT: Un catalogue de mur doit obligatoirement être rempli. Cela signifie qu’un catalogue créé ne contenant aucun élément ne sera pas enregistré.
  • Effacer le catalogue de murs sélectionné.
  • Renommer un catalogue: Double-cliquez sur le nom du mur puis entrez le nouveau nom.
  • IMPORTANT: L’effacement d’un catalogue de murs et des murs qu’il contient est définitif.


Gestion d'angles entre murs et raccordements entre segments de murs droits

Lors de l'intersection en un angle de deux murs de hauteur différente, choisissez-en un comme mur dominant pour le prolonger jusqu'à l'angle.

\mwrfn

Lors de l'intersection en un angle de deux murs de hauteur différente, le système offre une solution temporaire en taillant les murs le long de la bissectrice entre les deux murs. Vous pouvez choisir un mur comme mur dominant qui se prolonge jusqu'à l'angle, le deuxième mur lui étant adjacent.

Cette commande gère les angles selon les critères suivants:

  • Pour les murs de hauteur différente—selon le mur le plus élevé
  • Pour les murs nivelés de même hauteur—selon le mur aligné le plus près de l'axe x
  • Pour les murs en pente intersectés à la même hauteur—selon le mur dont l'extrémité opposée est la plus haute

La commande de mise à jour d'un angle permet au deuxième mur de devenir le mur dominant. Voir Modification de la dominance des murs de hauteur différente dans un angle, \ucorn.

En outre, lors de l'intersection de deux murs droits continus, cette commande supprime la ligne verticale de la surface du mur qui délimite la jonction entre les deux murs.

  • REMARQUE : Cette opération est fonction de l'angle entre les deux murs. Si l'angle dépasse 135 degrés, la commande est ignorée et l'angle demeure taillé. Dans un tel angle, les lignes verticales ne sont pas non plus affichées. Pour des raisons de symétrie, cette opération ne s'applique pas à des murs allant dans des directions opposées.


Hachurage des murs

Vous pouvez hachurer les couches des murs en les remplissant avec:

  • Un motif linéaire prédessiné

  • Une définition de hachurage en-ligne

Le système fournit un catalogue de motifs (y compris linéaires). Vous pouvez hachurer ou concevoir chaque couche d'un mur avec une spécification de hachurage différente. Voir Hachurage et motifs pour une description complète du sujet.

Thèmes liés

  • Remplir une couche de mur avec un motif linéaire
  • Sauvegarde et exécution de définitions de hachurages et de motifs pour opérations batch


Importer des murs depuis un fichier de définition de murs

Il est possible d’Importer des murs depuis un fichier de définition murs existant dans une ancienne version d’ARC+ ou venant d’un autre ordinateur.

Afin d’effectuer une importation, cliquez sur l’icône [image] dans la boîte de dialogue de catalogue des murs. Lorsque vous activez cette option, la boîte de dialogue suivante apparaît:

Elle vous permet de sélectionner et intégrer un fichier de définition de murs depuis une définition de murs existante (Par défaut les fichiers de définition des murs se trouvent dans \ARCALIB\WALLS). ARC+ vous permet de choisir les murs que vous voulez importer:

  • Cochez le ou les murs que vous souhaitez importer.
  • Choisissez si vous voulez les importer vers votre catalogue courant ou vers le catalogue original.
  • Cliquez sur Tous les murs pour choisir tous les murs affichés.
  • Cliquez sur Conditions de bord afin d’importer les conditions de bords associés aux murs sélectionnés (si tels conditions existent)
  • Cliquez sur OK pour valider votre choix et quitter le gestionnaire d’importation des murs.
  • REMARQUE: Lors de l’effacement d’un mur, si celui-ci est présent dans plusieurs catalogues, le système demande si vous souhaitez l’effacer seulement dans ce catalogue ou dans tous les catalogues.


Information

Thèmes liés

  • Information sur un mur


Information sur un mur

Fournit des informations sur un mur.

\qent

Vous pouvez obtenir:

  • Le nom du mur
  • Sa hauteur sur ses deux extrémités
  • Son décalage, son alignement et autres attributs.

Voir Informations et quantités pour une description complète de cette commande.


introduction

Home > 5 Murs > introduction

Murs

Les murs sont des entités à deux ou trois dimensions aux propriétés particulières. On crée un mur 2D qui peut ensuite être extrudé en modèle 3D. Le mur 3D est en fait un solide superposé à l'entité du mur 2D.

Vous pouvez sélectionner un mur à partir des catalogues fournis par le système ou définir un mur de votre choix et l'ajouter aux catalogues. Vous pouvez regrouper les différents types de murs dans plusieurs catalogues.

ARC+ vous permet d'insérer dans les murs des ouvertures telles que portes ou fenêtres. Les ouvertures consistent en entités 2D ou 3D sélectionnées à partir d'une bibliothèque. Les ouvertures sont décrites dans le chapitre suivant.

La base bidimensionnelle d'un mur se compose d'un nombre de couches allant jusqu'à sept et ayant une épaisseur quelconque. Vous pouvez également prédéfinir la méthode de remplissage de chaque couche d’un mur à l’aide de hachures ou de motifs.

Thèmes liés

  • Création d'un mur
  • Création rapide
  • Angles et congés
  • Jonctions
  • Murs courbes
  • Edition d'un mur
  • Traitement des angles
  • Symétrie et alignement
  • Murs à 2D et 3D
  • Hachurage des murs
  • Sélection d'un ou de plusieurs murs
  • Information


Jonctions

Vous pouvez créer divers types de jonctions correspondant à la diversité des situations dans lesquelles les murs sont intersectés. Il existe trois principaux types de jonctions:

  • Jonctions en T entre deux murs
  • Intersections ou jonctions en X entre deux murs
  • Jonctions complexes entre trois ou quatre murs

Pour être réalisée, une jonction entre murs peut nécessiter un grand nombre de permutations. Vous pouvez créer une jonction en T. Vous avez l'option de joindre (C'est-à-dire - de fusionner) plusieurs murs même s'ils ne possèdent pas le même nombre de couches ou bien de maintenir séparées les couches des murs. Chaque couche peut pénétrer dans l'une quelconque des couches du deuxième mur et chaque couche peut ou non se joindre (c.-à-d. s'unir) à la couche dans laquelle elle aura pénétré.

Le système ARC+ comprend un catalogue de jonctions prédéfinies auxquelles vous pouvez en ajouter d'autres de votre choix. Pour chaque jonction entre murs vous êtes libre de joindre (d'unir) un mur à un autre ou de l'afficher comme mur non continu.

Quant aux murs à joindre, le système les désigne comme la tête et la jambe du T. La tête du T représente le mur continu, tandis que la jambe du T représente le mur qui vient à sa rencontre.

Les solutions dépendent du nombre de couches comprises dans chaque mur plutôt que du type spécifique de mur. Ainsi, une solution entre murs de trois et cinq couches est valable pour toutes les jonctions entre murs dont les noms sont précédés des codes 13- et 15-, quelle que soit l'épaisseur des couches.

Thèmes liés

  • Création d'une jonction entre murs
  • Définition d'une nouvelle jonction en T entre murs


Mise à jour de la hauteur d'un mur et d'un arc

Met à jour la hauteur d'un mur ou d'un arc existant.

\uwalz

Donnez la nouvelle hauteur des deux extrémités du mur. Si les deux valeurs (z1 et z2) sont identiques, l'arase du mur sera horizontale. Pour créer un mur de hauteur variable (en pente), il faut lui donner deux valeurs différentes (ou la valeur de 0 si vous avez l'intention de ne travailler qu'avec des murs 2D). Si vous désirez étendre les murs jusqu’au dessous d’un toit généré automatiquement, choisissez pour la hauteur l’option étendre au toit. Précisez si la hauteur de tous les murs ou de certains d'entre eux doit être mise à jour. Indiquez les murs à mettre à jour.


Mise à jour du décalage d'un mur

Déplace un mur existant selon un décalage spécifié.

\uwofs

Cette commande s'applique à:

  • Un mur unique
  • Un groupe de murs sélectionné
  • Tous les murs
  • REMARQUE : Avant d'utiliser cette commande, les murs à déplacer doivent être d'abord sélectionnés.

Choisir l'une des méthodes de décalage suivantes:

  • Par alignement
  • Par ordre de couches

Ceci est critique lorsque vous exécutez la commande sur plusieurs murs non parallèles, chacun d'entre eux pouvant être aligné différemment.

Décalage par alignement

Les murs se déplacent selon le décalage spécifié dans la direction établie à partir de l'alignement du mur jusqu'au point de direction indiqué, quel que soit l'ordre des couches.

Décalage par ordre de couches

Le mur se déplace selon le décalage spécifié dans la direction établie à partir de la première couche du mur jusqu'au point de direction indiqué, quel que soit l'alignement.

Le nouveau décalage du mur doit être spécifié. Si vous déplacez un mur unique, il faudra l'indiquer. Si vous déplacez un groupe sélectionné ou tous les murs, un mur de référence sera indiqué afin de permettre de spécifier un point de direction relatif à ce mur.

Marquer un point de direction pour le déplacement.

Les ouvertures et les jonctions en T se déplacent en même temps que le mur. Tous les angles et jonctions en T sont traités à l'aide de la solution courante par défaut. Si cette commande est exécutée sur plusieurs murs raccordés par des angles, les murs seront raccourcis ou allongés aux angles selon le besoin.

Si l'alignement se trouve actuellement au centre du mur, le mur ne bougera pas. Pour modifier l'alignement, voir Modification de l'alignement d'un mur existant (\ualgn).

  • REMARQUE : Cette opération n'affecte pas les murs courbes.

Les ouvertures contenues dans les murs mis à jour peuvent ne pas conserver leurs positions relatives l'une à l'autre.

La partie du mur raccourcie par cette commande ne doit contenir ni ouvertures ni jonctions en T. Effacer les ouvertures ou jonctions en T de ces zones avant l'exécution de la commande.


Mise à jour du nombre de segments compris dans un mur courbe 3D

Met à jour le nombre de segments de droites dans un mur courbe 3D.

\uwasg

Tout mur courbe 3D comporte un certain nombre de segments de droites. Plus les segments sont nombreux, plus la courbe sera lisse. Le nombre de segments par défaut pour chaque arc est 10, mais il peut être modifié (s'il existe des ouvertures dans l'arc, le nombre de segments peut être ajusté par le système de manière à correspondre à l'ouverture).

Indiquez le mur qui doit être mis à jour. Précisez le nombre de segments compris dans l'arc, c.-à-d. entre 3 et 25.

  • REMARQUE : Un plus grand nombre de segments rend plus lisse le mur courbe. Cependant, il augmente la taille du fichier.

Cette commande n'affecte pas le mur courbe 2D.

Affichage/Masquage des segments courbes d’un mur vertical

Affiche ou masque les segments verticaux des murs courbes.

\marcv

Les courbes sont constituées d’une série de segments de droite. Des lignes verticales relient la base et le sommet d’un mur aux extrémités de chaque segment. Ces lignes verticales peuvent être affichées ou masquées.

Spécifiez si vous désirez l’affichage (option par défaut) ou le masquage des lignes verticales. Si vous décidez de faire afficher les lignes verticales, les verticales appartenant aux murs courbes résultant de la projection en 3D sont également affichées.

Pour définir le domaine d’affichage des courbes existantes, supprimez les murs 3D en utilisant la commande Réductions des murs 3D en 2D (\mw2d), sélectionnez le paramètre adéquat pour cette commande puis régénérez les murs en 3D à l’aide de la commande (\mw3d).

  • REMARQUE : Vous utiliserez cette commande immédiatement avant d’affecter une hauteur globale aux murs. Si vous utilisez la commande Création d’un modèle 3D à partir d’un mur unique (\wal3d) sur un mur spécifique, il vous sera demandé si vous désirez l’affichage des lignes verticales pour ce mur.


Modification de l'alignement d'un mur existant

Modifie l'alignement d'un mur existant.

\ualgn

Lors de leur création, les murs sont alignés sur des lignes guides reliant le point précédent à la position courante du curseur. Un tel alignement demeure un attribut du mur et constitue une référence importante lors du déplacement ou du remplacement d'un mur. Vous pouvez, tout en créant le mur, modifier son alignement sur cette ligne en appuyant sur Alt+2. Il existe quatre options pour l'alignement:

  • L'axe (si vous en avez défini un)
  • La première ligne du mur
  • La dernière ligne du mur
  • Le centre du mur

Cette commande permet de modifier l'alignement d'un mur existant.

  • REMARQUE : Cette opération modifie l'alignement dans le mur lui-même sans le déplacer.

Il est recommandé d'utiliser d'abord la commande Affichage de la première couche, des axes et des fins de mur (\hilit) afin d'identifier l'alignement courant et d'éviter de commettre des erreurs. Cette commande s'applique à:

  • Un mur unique
  • Un groupe de murs (sélectionné avant d'entrer cette commande)
  • Tous les murs.

L'une des options suivantes permet de spécifier l'alignement qui convient:

  • Première couche linéaire
  • Centre
  • Dernière couche linéaire
  • Mur opposé
  • Axe

Si vous optez pour le déplacement d'un mur unique, celui-ci doit être indiqué.

L'option mur opposé effectue une translation entre la première et la dernière couche linéaire du mur, c.-à-d. que si l'axe est actuellement aligné sur la première couche linéaire du mur, il se réalignera sur sa dernière couche linéaire. S'il est actuellement aligné sur le centre ou sur l'axe, il ne se produira aucun changement.

Si vous modifiez l'alignement d'un mur unique, celui-ci doit être indiqué.


Modification de la dominance des murs de hauteur différente dans un angle

Met à jour la dominance des murs de hauteur différente dans leurs angles.

\ucorn

Cette commande modifie la dominance des murs intersectés en un angle. Le mur dominant pénétrera l'angle jusqu'à la face extérieure du deuxième mur.

Si vous avez utilisé la commande Gestion des angles (\mwrfn), l'un des murs intersectés en un angle aura déjà été désigné comme mur dominant selon les critères suivants:

  • Pour les murs de hauteur différente—selon le mur le plus élevé
  • Pour les murs nivelés de même hauteur—selon le mur aligné le plus près de l'axe x
  • Pour les murs en pente intersectés à la même hauteur—selon le mur dont l'extrémité opposée est la plus haute

Utilisation

Indiquez le mur qui doit être le mur dominant. Indiquez le deuxième mur. Si l'arase de l'un des deux murs est en pente (c.-à-d. si z1 n'égale pas z2), précisez si:

  • La pente doit être à angle fixe—la hauteur du mur est ajustée selon le besoin
  • La hauteur du mur doit être déterminée—l'angle de la pente est ajusté

Vous pouvez réutiliser cette commande pour inverser la dominance.


Modification de la symétrie d'un mur avec ses ouvertures et ses jonctions en T

Modifie la symétrie d'un mur individuel, de tous les murs ou d'un groupe sélectionné de murs contenant des ouvertures et des jonctions en T.

\uwsym

Cette commande s'applique à:

  • Un mur unique désigné
  • Tous les murs inclus dans un groupe sélectionné
  • Tous les murs

Choisir l'option qui convient.

Si vous avez choisi l'option Mur unique, celui-ci doit être indiqué.

L'ordre des couches comprises dans le mur est inversé. Néanmoins, le mur ou l'arc conservera sa position initiale. Les ouvertures et les jonctions en T associées au mur seront également ajustées de manière à correspondre à la nouvelle symétrie.

Précisez si le résultat est à conserver. Si vous le rejetez, la symétrie initiale sera restaurée.

  • REMARQUE : Cette commande ne s'applique pas aux murs courbes. Pour cela, utiliser la commande Modification de la symétrie d'un mur (\mwsym), à la condition qu'aucune ouverture n'ait été insérée dans l'arc.


Modification de la symétrie d'un mur et d'un arc

Modifie la symétrie d'un mur ou d'un arc.

\mwsym

Indiquer le mur ou l'arc à modifier.

L'ordre des couches composant le mur sera inversé mais le mur ou l'arc conserve sa position initiale.

  • REMARQUE : Si vous appliquez cette commande à un arc créé dans un mur droit existant, les couches de l'arc ne seront pas raccordées à celles du mur droit. C'est la commande Création d'angles entre murs (\corner) qui permet de les raccorder. Si l'ordre des couches dans l'arc diffère de celui des couches dans le mur, les résultats de cette commande risquent d'être incorrects.

Cette commande ne s'applique pas aux murs contenant des ouvertures ou des jonctions en T. C'est la commande Modification de la symétrie d'un mur (\uwsym) qui permet de modifier la symétrie d'un mur contenant des ouvertures ou des jonctions en T, à la condition que cela n'implique pas un arc.


Murs à 2D et 3D

Lorsque vous indiquez un mur, on vous demande de lui donner une valeur de hauteur. Cette valeur peut être modifiée lors de la création de murs de même type ou bien mise à jour après leur création. A n'importe quel stade, vous pouvez créer et afficher les modèles tridimensionnels des murs.

Vous pouvez créer le modèle 3D sur tous les murs et ouvertures qui ne sont pas déjà à trois dimensions, ou sur des murs individuels et leurs ouvertures.

Le modèle 3D du mur est un mur solide dont l'épaisseur est identique à celle du mur 2D. Il ignore toutes les couches intérieures. C'est un véritable modèle solide pouvant être affiché avec ses surfaces colorées et ses ombrages, et après suppression de ses lignes masquées.

Vous pouvez supprimer le modèle 3D du mur et revenir au 2D. Le modèle tridimensionnel peut être régénéré à tout moment.

Vous pouvez également afficher les murs 2D, ou 3D ou tous les deux à la fois sans les modifier dans le modèle.

Thèmes liés

  • Convertir polygones en murs
  • Création de murs et d'ouvertures tridimensionnels
  • Effacement des caractéristiques 3D des murs
  • Création d'un modèle 3D à partir d'un mur unique
  • Affichage et masquage des murs
  • Affichage ou masquage des couches internes de mur et des axes


Murs courbes

Il existe plusieurs méthodes optionnelles pour créer des arcs:

  • Par trois points
  • Par point de départ, extrémité (point de direction) et angle
  • Par point de départ, extrémité (point de direction) et rayon
  • Par point de départ, centre et angle (libre uniquement)

Les trois premières méthodes permettent de créer un arc libre, un arc dans un mur existant ou un arc entre deux murs alignés. Lorsque l'option Centre et angle est utilisée, seuls des arcs libres peuvent être créés. Si des arcs sont créés dans des murs ou entre ceux-ci, le raccordement entre toutes les couches de l'arc et du mur est réalisé par le système.

Un mot sur les faces concaves et convexes d'un arc

Bien que les murs courbes soient des entités composites, il est important de définir les points de l'arc dans une seule des couches extérieures d'un mur. Prenez soin de marquer exactement le premier et le dernier point dans la couche intérieure ou extérieure d'un mur droit. Vous devez définir les points en vous y accrochant à l'aide de la souris pour plus de précision. Des lignes d'aide permettent de marquer les points de manière exacte.

Lors de la création d'un arc, vous devez spécifier laquelle de ses faces, concave ou convexe, est définie par votre point. La face convexe d'un mur courbe doit être considérée comme la face ou la couche extérieure, la face concave étant la face intérieure de l'arc.

  • REMARQUE : Le système ARC+ utilise les termes concave et convexe vu le fait que la distinction entre l'intérieur et l'extérieur d'un mur dans un dessin typique n'est pas toujours claire.
  • CONSEIL : Utilisez l'option arc entre deux murs pour recréer un mur courbe supprimé, créé à l'origine dans un mur rectiligne Pour restaurer un mur droit après avoir effacé un arc, vous devez effacer l'un des deux nouveaux murs. Exécutez ensuite la commande Création d'un angle pour le mur adjacent ou bien la commande Ajustage d'un mur (\wtrim) pour prolonger un mur vers un autre.
  • IMPORTANT : Il est recommandé de s'accrocher à des points près de l'extérieur du mur pour éviter de le faire dans l'une des couches intérieures du mur.
  • REMARQUE : La commande Création d'un congé (\fillet) permet de raccorder au moyen d'un arc deux murs non alignés.

Thèmes liés

  • Création d'un mur courbe
  • Mise à jour du nombre de segments compris dans un mur courbe 3D


Nivellement de l'arase d'un mur coupé

Nivelle l'arase d'un mur coupé.

\ucorn

  • REMARQUE : Cette commande ne s'applique qu'à des murs coupés.

Lorsqu'un mur est coupé, son arase peut s'incliner en pente sur toute sa largeur, c.-à-d. que la hauteur de la face intérieure peut ne pas être identique à celle de la face extérieure en coupe transversale. Cette commande permet de niveler horizontalement l'arase du mur quelle que soit la pente en longueur.

Utilisation

Il vous faut préciser si vous souhaitez travailler sur un mur unique, sur un groupe sélectionné ou sur tous les murs. Préciser également si le mur doit être nivelé du côté supérieur ou inférieur de la pente.

S'il s'agit d'un mur unique, vous devez l'indiquer.

  • REMARQUE : Cette commande n'affecte pas la pente du mur sur sa longueur. Seule la pente en largeur sera corrigée.


Remplacement d'un mur

Remplace un mur existant par un autre.

\wrepl

Lors de la conception du projet, il n'est pas nécessaire d'indiquer un grand nombre de détails. A ce stade, il n'est pas essentiel de choisir le type définitif du mur. Vous préférerez peut-être désigner un mur simple à couche unique pour la conception même du projet, tout comme on utilise un crayon 6B. Plus tard, lorsque les détails de la construction et les matériaux du dessin sont définitifs, vous pourrez remplacer le mur simple par un mur réunissant toutes vos spécifications.

Les murs à remplacer peuvent être indiqués selon l'une des options suivantes:

  • Un seul mur
  • Un groupe de murs sélectionnés
  • Tous les murs

Le mur devant remplacer un mur existant peut être également indiqué suivant plusieurs méthodes:

  • Par le mur courant, c.-à-d. Le dernier mur défini par la commande choix d'un mur comme mur courant (\setmw).
  • Par un échantillon du mur (s'il existe déjà sur l'écran).
  • Par le nom.
  • En le sélectionnant à partir du catalogue graphique.

Utilisation

Choisir la méthode selon laquelle vous définirez le mur existant à remplacer. Si vous remplacez un mur unique, vous devez l'indiquer.

Choisir la méthode selon laquelle vous définirez le mur devant remplacer le mur existant. Si vous remplacez un mur par un autre qui existe déjà sur l'écran, indiquez le mur échantillon. Si vous remplacez un mur en utilisant le nom d'un autre mur, entrez le nom de celui-ci.

Confirmez ou rejetez le résultat.

Le mur est remplacé et l'on vous demande de confirmer le résultat. Si vous rejetez les modifications, les murs initiaux seront réaffichés.

Tous les angles et toutes les jonctions en T entre murs de même type sont réalisés. L'option Jonction en T par défaut est appliquée. Les ouvertures demeurent intactes mais peuvent être modifiées au moyen de la commande Remplacement d'une ouverture dans un mur (\orepl). Cette opération n'affecte pas les murs courbes.

Un mur qui a été ajusté obliquement à l'aide de la commande Ajuster un mur ou un segment (\wtrim) pourra être remplacé, mais le mur de remplacement sera clos aux angles droits au point où la couche numéro un du mur se termine.

  • REMARQUE : Un mur contenant un axe ne peut pas être remplacé par un mur sans axe et vice-versa.


Remplir une couche de mur avec un motif linéaire

Les motifs utilisés pour remplir les murs à plusieurs couches sont définis comme des motifs normaux de remplissage de surface.

\mwfil

Indiquer le mur à remplir de motifs.

Préciser s'il faut remplir uniquement le mur indiqué ou tous les murs de même type.

La commande vous invite à préciser le numéro de la couche de votre mur qui devrai être remplie.

Les motifs linéaires utilisés pour les couches de mur ont été définis comme motifs normaux de surface et sont sélectionnés du même catalogue graphique. Ils ne possèdent pas les propriétés d’entité de texte et ne sont plus créés dans l’éditeur de texte.

  • REMARQUE : Lors d'une opération batch, du moment que vous ne pouvez pas indiquer d'entité, au lieu de ce prompt il vous faudra donner le nom du mur. La commande Information sur les attributs d'une entité (\qent) permet d'obtenir ce nom.

Sélectionnez la couleur du motif à l’aide du sélecteur des couleurs:

Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la valider.

Hachurage d'un mur

Hachure les couches d'un mur.

Indiquez le mur à hachurer.

Préciser s'il faut hachurer uniquement le mur indiqué ou tous les murs de même type.

  • REMARQUE : Lors d'une opération batch, du moment que vous ne pouvez pas indiquer d'entité, au lieu de ce prompt il vous faudra donner le nom du mur.

Dans la mesure où on vous demande d'indiquer le numéro de la couche à hachurer, il est important de savoir identifier la couche No 1 du mur. Celle-ci est donc affichée en pointillé par le système.

Choisissez l'option de hachurage.

Spécifiez les attributs de lignesfont-family: Symbol; " face="Symbol"¾ le type, la couleur et l'épaisseur (les valeurs consécutives seront séparées par un espace). Préciser si la direction des hachures doit être relative ou absolue:

Relative | Les hachures sont créées dans chaque mur dans l'angle spécifié du mur lui-même.
Absoloue | Les hachures sont créées dans l'angle spécifié par rapport à l'axe x, quel que soit l'angle du mur. Tous les murs seront ainsi hachurés dans le même angle.

Si vous utilisez un hachurage relatif sur un mur courbe, le hachurage sera exécuté comme suit:

  • Dans un angle de 0 degré produisant des lignes radiales
  • Dans un angle de 90 degrés produisant des lignes concentriques
  • Tous les autres angles seront exécutés de manière absolue par rapport à l'axe x

Donner l'échelle de référence des hachures, c.-à-d. l'échelle à laquelle l'intervalle entre les hachures doit être affiché avec sa taille initiale.

Spécifiez l'angle des hachures (de 0 à 360 degrés). Entrez l'intervalle entre les hachures qui constitue l'espace entre les lignes du hachurage et le décalage des hachures, c.-à-d. le décalage de la première ligne. Pour plus d'information sur ces paramètres, voir Hachurages et motifs.

La couche du mur est hachurée. Vous pouvez continuer à créer des hachures à l'aide de l'une des options suivantes:

nouveau decalage Le même hachurage est répété selon un nouveau décalage, de manière à produire un hachurage multiple.

nouveau hachurage | Un nouveau hachurage est défini sur la dernière couche hachurée.
autre couche | Un nouveau hachurage est défini sur une autre couche.

Les paramètres du hachurage précédent sont utilisés pour chaque nouveau prompt.

  • CONSEIL : Vous pouvez créer des hachures complexes en définissant plus d'un hachurage pour l'une des couches d'un mur.

Hachurage et motifs utilisés dans une condition de bord

La précision du dessin des hachurage et des motifs de remplissage a été améliorée et ces derniers peuvent résoudre des situations complexes de dessin, telles que l’intégration d’une condition de bord dans un mur à couches multiples.

Lorsque vous remplissez une couche de mur comprenant une condition de bord avec un motif linéair, certaines règles s’appliquent:

  • Si la couche de mur dans la condition de bord est terminée par une ligne, le hachurage s’arrête sur cette ligne.
  • Si la couche du mur dans la condition de bord n’est pas terminée par une ligne, le hachurage continue jusqu’à l’extrémité de la condition de bord.


Restauration des murs

Lorsque vous déplacez les ouvertures dans un mur ou si vous effacez des murs dans une jonction complexe, le système n’est pas toujours à même de résoudre les extrémités du mur ou de le "cicatriser". Dans de tels cas, utilisez la commande suivante pour restaurer le mur incriminé.

\mwnx


Rupture d'un mur droit ou courbe

Coupe en deux entités un mur ou un arc.

\mwbrk

Indiquez le mur à diviser en deux segments. Définir le point de rupture. Ensuite, précisez si les extrémités du mur doivent être fermées.

Si les extrémités du mur ne sont pas fermées, le point de rupture sera indiqué par une ligne d'aide courte.

  • REMARQUE : La rupture est toujours perpendiculaire au mur ou radiale à l'arc.


Sélection d'un ou de plusieurs murs

Le système offre des commandes spéciales pour sélectionner les murs et les éléments qui les composent. Vous pouvez sélectionner uniquement les murs, les ouvertures ou bien les deux. Vous pouvez également sélectionner, en les désignant comme échantillon, tous les murs de même nom ou au même nombre de couches. Outre ces commandes, il en existe d'autres de sélection. Voir le chapitre Sélection.

Thèmes liés

  • Sélection de tous les murs, ouvertures ou remplissage
  • Sélection de murs par nom ou nombre de couches
  • Effacement d'un mur et d'une ouverture


Sélection de murs par nom ou nombre de couches

Sélectionne, en les désignant comme échantillon, tous les murs de même nom ou nombre de couches.

\mnsel

Pour une description de cette commande, voir Sélection, Sélection de murs par nom ou nombre de couches.


Sélection de tous les murs, ouvertures ou remplissage

Sélectionne tous les murs, toutes les ouvertures ou les deux.

\mwsel

Pour une description de cette commande, voir Sélection, Sélection de tous les murs, ouvertures ou remplissage.


Sélection du type de mur courant

Cette commande permet de sélectionner ou de définir le type de mur que vous souhaitez util i ser.

\setmw

Vous pouvez définir le type de mur de trois manières:

  • En entrant le nom système dans la ligne de commande.
  • En indiquant un échantillon de mur.
  • En accédant à la boîte de dialogue de catalogues de murs

A la fin de la sélection / définition du mur, le système vous amène à la commande Création d'un mur (\mwall) qui vous permettra de marquer le premier point et les points consécutifs du mur.

Le type de mur spécifié sera celui utilisé pour tous les murs jusqu'à ce que vous en ayez défini un nouveau.

Boîte de dialogue de catalogues de murs

Toutes les fonctions permettant la gestion des catalogues de murs sont réunies dans cette boîte de dialogue:

  • Choisissez le type de mur à utiliser.
  • Entrez ses hauteurs ou cochez l’option Etendre au toit.
  • Vous pouvez aussi changer le calque de placement en cliquant sur le bouton Calque.
  • REMARQUE : Cette fonction n’a pas d’incidence sur la définition même du type de mur: lorsque vous choisissez à nouveau ce mur, il est automatiquement placé sur le calque défini lors de sa création.

Outre la définition du type de mur courant, cette boîte de dialogue permet d'e f fectuer les opérations suivantes:

  • Bouton Catalogues...: Accéder au gestionnaire de catalogues de murs. La liste située en face de ce bouton permet la sélection du catalogue à explorer.
  • Créer un nouveau type mur.
  • Editer la définition du type de mur sélectionné.
  • Copier le type de mur sélectionné. Lors de cette opération, le système affiche une boîte de dialogue dans laquelle vous devez indiquer le catalogue où copier le mur.
  • Déplacer le type de mur sélectionné. Lors de cette opération, le système affiche une boîte de dialogue dans laquelle vous devez indiquer le catalogue où déplacer le mur.
  • Effacer la définition du type de mur sélectionné.
  • IMPORTANT: L’effacement d’un mur est définitif.
  • Importer des murs depuis un fichier de définition murs.


Symétrie et alignement

Thèmes liés

  • Modification de la symétrie d'un mur et d'un arc
  • Modification de la symétrie d'un mur avec ses ouvertures et ses jonctions en T
  • Affichage de la première couche, de l'axe ou des extrémités ouvertes d'un mur
  • Modification de l'alignement d'un mur existant
  • Mise à jour du décalage d'un mur


Traitement des angles

Les commandes ci-dessous permettent de résoudre les problèmes posés par les angles entre murs de hauteur différente et l'arase en pente de murs coupés.

Thèmes liés

  • Gestion d'angles entre murs et raccordements entre segments de murs droits
  • Modification de la dominance des murs de hauteur différente dans un angle
  • Nivellement de l'arase d'un mur coupé


Index

Home > 6 Ouvertures

06 Ouvertures

  1. Concepts et terminologie
  2. Copie d'ouvertures
  3. Copie des conditions de bord
  4. Création d'une condition de bord
  5. Création d'une ouverture
  6. Création d'une ouverture paramétrable
  7. Définition de l'ouverture courante
  8. Définition de la condition de bord en cours
  9. Définition et placement des ouvertures
  10. Définition et positionnement des conditions de bord
  11. Edition des ouvertures
  12. Effacement des conditions de bord
  13. Ouvertures Introduction
  14. Modification de l'allège
  15. Modification de la hauteur des ouvertures dans les murs courbes
  16. Modification de la symétrie des conditions de bord
  17. Modification de la taille d'une ouverture
  18. Modifier symétrie d'une ouverture
  19. Placement de l'ouverture courante
  20. Placement rapide
  21. Positionnement d'une ouverture dans un mur courbe
  22. Positionnement des conditions de bord
  23. Positionnement des points de contrôle dans une ouverture/condition de bord
  24. Remplacement des ouvertures
  25. Repositionnement d'une ouverture dans un mur
  26. Sélection des ouvertures
  27. Sélection des ouvertures dans la boîte de dialogue catalogue


Concepts et terminologie

Avant de poursuivre la description des commandes d’ouvertures, familiarisez-vous avec les concepts de base et la terminologie utilisés dans ce chapitre:

objets parametrables

Il s’agit d’objets appartenant à un catalogue de base ou définis par l’utilisateur et dotés de dimensions variables que vous définissez lors du placement.

ouvertures

Objets paramétrables, consistant en représentation 2D—coupe xy en 2D et en un modèle 3D, représentant des portes ou des fenêtres, qui coupent ou remplacent une partie d’un mur 2D et créent des vides 3D dans un mur 3D respectivement.

condition de bord

Il s’agit d’une entité 2D de catalogue qui résout l’intégration d’une ouverture dans les couches du mur. Cette entité, conçue pour des types spécifiques de murs réalise la fermeture des couches du mur 2D à la suite de l’insertion d’une ouverture ou ferme un mur à l’extrémité libre. Vous pouvez également créer des conditions de bord universelles adaptées à toutes les épaisseurs de mur.

combinaison

Ensemble constitué par une ouverture et les conditions de bord qui s’y attachent.

condition de bord du systeme

Il s’agit de la condition de bord placée par défaut et automatiquement par le système. Elle est constituée d’une ligne droite perpendiculaire à la direction du mur. Elle peut être remplacée par une condition de bord du catalogue ou supprimée.

présentation

Ce sont les différentes présentations d’une ouverture paramétrable sélectionnée par l’utilisateur. Les présentations d’une ouverture spécifique sont sauvegardées sous forme de fichier unique dans le catalogue. Les ouvertures paramétrables doivent posséder au moins deux présentations—2D et 3D. Si vous créez uniquement une présentation 2D, le système ajoutera automatiquement la présentation 3D correspondante. Les présentations de différents niveaux de détail peuvent également être spécifiées pour l’utilisation dans des dessins à échelles différentes.

points de controle

Points ajoutés à l’ouverture et à la condition de bord qui déterminent la relation exacte qui existe entre l’ouverture, la condition de bord et le mur.

combinaison courante

La dernière ouverture ou combinaison utilisée constitue l’option par défaut au cours de la session de travail courante.

Les ouvertures et les conditions de bord peuvent être sélectionnées dans le catalogue. Vous pouvez également créer de nouvelles ouvertures et conditions de bord et les ajouter à un nouveau catalogue ou à un catalogue existant dans le répertoire arcalib.

Les ouvertures n’affectent pas l’intégrité du mur—ce dernier reste une entité unique. Si une ouverture est effacée, le mur est automatiquement reconstitué par le système. Si un mur contenant des ouvertures est effacé, les ouvertures le sont également.

Pour des informations complémentaires sur les niveaux de détails, les présentations et les intervalles, consultez Objets placés, Création d’un objet paramétrable.


Copie d'ouvertures

Sélectionne une ouverture échantillon et la copie une ou plusieurs fois dans n'importe quel mur.

\opcopy

Indiquez l’ouverture à copier.

Indiquez le mur dans lequel l’ouverture doit être insérée.

Une copie

Déplacez l'ouverture dynamiquement vers la position voulue et cliquez. Vous pouvez modifier la symétrie et l’origine en utilisant les clés alt, de manière similaire à la commande Placement de l’ouverture courante (\oplace).

Vous pouvez continuer à placer la même ouverture à différentes positions dans le même mur ou dans d'autres murs, ou bien définir un décalage.

Multiples copies

Insérez une ouverture puis placez automatiquement un certain nombre de copies à une distance relative les unes aux autres. Indiquez un point de départ et un point à (d'arrivée). Le point de définit le point d'origine de la première ouverture placée. La distance au point à définit le décalage entre le point d'origine de la première copie et des suivantes. Vous n'avez pas besoin d'indiquer un décalage le long du mur dans lequel vous placez les ouvertures. Indiquez n'importe quels deux points. Ces points sont automatiquement projetés dans le mur indiqué.

Si vous avez choisi de placer un nombre d'ouvertures qui s'étend en dehors de la longueur du mur, ARC+ les éliminera automatiquement.

Vous pouvez modifier la symétrie et l’origine en utilisant les clés alt, de manière similaire à la commande Placement de l’ouverture courante (\oplace).

  • REMARQUE : La combinaison associée à l’ouverture est copiée dans son intégralité, y compris les conditions de bord si approprié et l’allège. Ces éléments pourront être modifiés à la demande. Voir Positionnement et repositionnement des conditions de bord.
  • IMPORTANT : La largeur de l'ouverture est modifiée automatiquement pour s'accorder avec la largeur du mur dans lequel elle a été placée.


Copie des conditions de bord

Sélectionne une condition de bord échantillon et la copie dans d’autres ouvertures.

\ecopy

Indiquez la condition de bord que vous désirez copier.

Indiquez l’ouverture à laquelle vous voulez adjoindre la condition de bord. Puis indiquez le côté de l’ouverture sur lequel se fera la copie :

  • A l’extérieur, à proximité de l’extrémité de l’ouverture
  • Dans l’ouverture elle-même pour effectuer une copie sur les deux côtés


Création d'une condition de bord

Lorsqu’un mur est coupé par une ouverture ou laissé avec une extrémité de mur libre (après ajustement), les différentes couches de matériaux et d’isolants du mur nécessitent généralement un traitement spécial pour être fermées, tel que le retour d’une couche externe à la rencontre d’une couche interne. Ce traitement spécial appliqué à l’extrémité d’un mur ou à sa jonction avec l’ouverture s’appelle une condition de bord.

Dessinez le symbole 2D représentant la condition de bord

Décidez exactement de la quantité de détails et des parties de l’ouverture que vous souhaitez incorporer à la condition de bord et qui seront incorporées au symbole de l’ouverture.

  • Effacez l’écran.
  • Vous devez créer uniquement la condition de bord du côté gauche. C’est-à-dire que le mur approchera la condition de bord par la gauche et l’ouverture par la droite. Le système créera la condition de bord symétrique qui sera utilisée sur le côté opposé de l’ouverture.
  • La condition de bord est créée comme un dessin ARC+ conventionnel.
  • Dessinez la condition de bord dans le plan xy.

  • Orientez la condition de bord sur l’écran de manière à ce que le mur soit parallèle à l’axe x (orthogonal) si la condition de bord y est insérée, et dessinée en partant de la gauche de l’écran et vers sa droite.
  • Les entités ARC+ de tout type à l’exception des lignes d’aide sont valides.
  • La condition de bord doit s’adapter à l’épaisseur du mur dans lequel elle sera insérée. Seule la partie du mur qui sera modifiée en raison de la condition de bord de l’ouverture sera inclue dans le symbole de la condition de bord.
  • CONSEIL : Créez un mur échantillon et placez-y l’ouverture 2D pour vous aider à dessiner la condition de bord.

Ajoutez les points de contrôle à la condition de bord en utilisant la commandefont-weight: normal; >Points de contrôle (\opoint)

Ajoutez les points de contrôle au symbole de la condition de bord comme décrit plus haut. Voir Positionnement des points de contrôle dans une ouverture ou une condition de bord (\opoint).

  • IMPORTANT : Les points de contrôle doivent être placés en Y=0.

Les points de contrôle de la condition de bord, chacun de couleur différente selon votre palette de couleur, sont:

Point de contrôle | Fonction
Origine | Contrôle la position (y) dans le mur, alignée sur la première couche du mur
Ajustement | Coupe le mur
Ancrage | Positionne les points de contrôle droit et gauche de l’ouverture
  • Le point origine peut être superposé au point de contrôle droit ou gauche.

Lorsque la condition de bord est insérée dans le mur, le mur est coupé perpendiculairement au point de contrôle d’ajustement de la condition de bord, et les points de contrôle droit et gauche de l’ouverture sont superposés au point de contrôle d’ancrage de la condition de bord.

Vous pouvez souhaiter dans certains cas que la condition de bord recouvre ou pénètre le mur ou l’ouverture. Dans de tels cas, le point de contrôle peut être situé dans le symbole de la condition de bord plutôt qu’à ses extrémités.

  • REMARQUE : Vous pouvez définir une condition de bord universelle sans couches de murs qui sera adaptée à toutes les épaisseurs et types de murs. Elle devra posséder le paramètre Yw pour s’adapter au mur dans laquelle elle sera placée.

Effacez les éléments suivants avant de sauvegarder:

  • Toutes les lignes d’aide.
  • Toutes les entités n’appartenant pas au symbole de la condition de bord.
  • N’oubliez pas d’effacer le mur échantillon et l’ouverture si vous les avez utilisés pour vous aider à dessiner la condition de bord.

Sauvegardez la condition de bord dans le catalogue à l’aide du gestionnaire de catalogue

  • Spécifiez un nom et sauvegardez la condition de bord dans un sous-répertoire du répertoire arcalib\end_cond.
  • Il est conseillé de sauvegarder les conditions de bord de chaque type de mur dans un sous-répertoire de catalogue distinct dont le nom sera associé au type de mur adéquat.
  • Pour une description plus détaillée, voir Objets placés et catalogues, Gestionnaire de catalogue (\libedit).

Thèmes liés

  • Positionnement des points de contrôle dans une ouverture/condition de bord


Création d'une ouverture

Exécutez les étapes suivantes.

Dessinez un symbole représentant l’ouverture 2D en vue plane

Décidez à l’avance le niveau de détails et quels composants de l’ouverture doivent figurer dans le symbole de l’ouverture et lesquels dans la condition de bord. Par exemple, dans certaines situations vous pouvez souhaiter voir figurer l’encadrement de porte dans la condition de bord alors que dans d’autres cas il sera plus approprié dans le symbole de l’ouverture.

  • Effacez l’écran.
  • Dessinez le symbole (en tant que dessin ARC+ ordinaire) uniquement dans le plan xy (y compris si vous comptez l’utiliser dans les présentations xz ou yz).
  • Vous pouvez utiliser toute entité de ARC+ pour dessiner l’ouverture. Les lignes d’aide seront utilisées pour garantir la précision mais seront effacées avant la sauvegarde.
  • Orientez le symbole de manière à ce que le mur apparaisse parallèle à l’axe x (orthogonal) si il y était inséré.
  • CONSEIL : Créez un mur échantillon qui vous aidera à orienter le symbole.
  • REMARQUE : Vérifiez qu’il n’y a pas de lignes d’aide ou d’objets placés paramétrables dans le fichier.

Ajoutez les lignes de cotation aux parties du symbole que vous souhaitez paramétrer

  • Les lignes de cotation doivent être parallèles aux axes x, y ou z (orthogonales).
  • CONSEIL : Utilisez les lignes d’aide et/ou le mode orthogonal pour vous assurer que les lignes de cotation sont parallèles aux principaux axes.

  • Vous pouvez utiliser des lignes de cotation multiples, (par exemple deux lignes de cotation, une pour les dimensions hors tout et la seconde pour la cotation des détails) mais la somme des détails doit être égale à la cotation hors tout.
  • Si une partie de l’ouverture s’adapte à la totalité de l’épaisseur du mur, la création d’une ligne de cotation pour l’épaisseur du mur est obligatoire Yw.
  • A ce stade, les dimensions réelles elles-mêmes n’ont pas d’importance; elles seront remplacées par des noms au cours de l’étape suivante.

Remplacez le texte de la cotation (valeur) de chaque ligne de cotation par un nom de paramètre

  • Utilisez la commande Cotations, Modification du texte de cotation (\dimut) pour remplacer le texte de cotation.
  • Le nom peut comprendre toute combinaison de lettres, nombres et symboles mais ne peut pas commencer par un chiffre. Evitez d’utiliser les espaces, utilisez plutôt le sous-tiret (_).
  • IMPORTANT : Certains noms de paramètres sont reconnus par le système et sont réservés pour des cotations spécifiques dans les ouvertures. Par exemple le nom du paramètre représentant la cotation de l’épaisseur du mur dans la présentation 3D doit être Yw. Cette option garantit l’adaptation de l’ouverture à toute épaisseur de mur dans lequel elle sera insérée.
Nom du paramètre | Variable | Utilisation
Yw | Variable représentant l’épaisseur du mur dans lequel l’ouverture sera insérée | Ouverture 3D et en option 2D
Xo | Variable de l’axe x—largeur de l’ouverture dans le mur | Ouverture 2D et 3D
Zo | Variable de l’axe z—hauteur de l’ouverture dans le mur | Ouverture 3D, coupes xz et yz

Ajout des points de contrôle au symbole de l’ouverture à l’aide de la commande >Points de contrôle (\opoint)

  • IMPORTANT : Les points de contrôle doivent se trouver dans la présentation 2D et non dans la présentation 3D!
  • Les points de contrôle de l’ouverture—chacun d’une couleur distincte en fonction de votre palette de couleurs—sont:
Point de contrôle | Fonction
Origine | Contrôle la position (y) à travers le mur—alignés sur la première couche du mur
Gauche | Coupe le mur sur le côté gauche de l’ouverture et attache la condition de bord gauche
Droit | Coupe le mur sur le côté droit de l’ouverture et attache la condition de bord droite

  • Les mêmes points de contrôle doivent être utilisés pour chaque présentation 2D
  • REMARQUE : Tous les points de contrôle des ouvertures doivent être positionnés en Y=0.

Pour des explications complètes sur les points de contrôle, voir la commande Positionnement des points de contrôle dans une ouverture/condition de bord (\opoint).

Effacez les éléments suivants avant la sauvegarde:

  • Toutes les entités qui ne font pas parties du symbole de l’ouverture (attention à ne pas effacer les lignes et le texte de cotation).
  • Toutes les lignes d’aide.

Accédez au Gestionnaire de catalogue (\libedit)

  • Sélectionnez l’option ouvertures.
  • Sélectionnez l’option sauvegarder catalogue.

La boîte de dialogue du gestionnaire de catalogue est affichée. Spécifiez les éléments suivants:

  • Le catalogue dans lequel vous désirez sauvegarder le symbole de l’ouverture (option chemin d’acces et catalogues). Il est conseillé de sauvegarder les ouvertures dans le sous-répertoire openings (catalogue des ouvertures) du répertoire arcalib, ou alors créez en un nouveau sous répertoire sous openings pour votre catalogue.
  • Un nom de fichier pour l’ouverture et en option une description de l’ouverture.

Pressez l’option -Présentation- la boîte de dialogue -Choix- de la présentation d’un objet s’affiche

  • REMARQUE : Cette étape est obligatoire. Si vous tentez de sauvegarder l’ouverture en premier, cette boîte de dialogue sera affichée automatiquement.
  • Sélectionnez le type de presentation. Sélectionnez et opérez un double-clique sur l’option coupe xy.
  • REMARQUE : Vous pouvez créer des présentations 2D supplémentaires de la même ouverture et les sauvegarder sous l’une des formes suivantes: coupe xy, coupe xz vue de face, coupe xz arrière, coupe yz droite, coupe yz gauche, vue de dessus, vue de face en élévation, élévation arrière, élévation droite, élévation gauche, 3D. Pour chaque présentation 2D, les mêmes points de contrôle doivent être utilisés.
  • Définissez le niveau de detail.

Lorsque vous créez une ouverture dans un dessin que vous avez l’intention de faire tracer à l’échelle 1:100, un simple petit rectangle peut être suffisant pour représenter un encadrement de porte. Si vous désirez utiliser la même ouverture dans un dessin qui sera tracé à l’échelle 1:20, un plus grand niveau de détail sera nécessaire. Vous pouvez créer plusieurs présentations pour la même ouverture, chacune appropriée à une échelle de tracé différente. Ce paramètre est donc l’échelle pour laquelle la présentation a été conçue.

  • CONSEIL : La fonction prevue n’est pas disponible à ce stade, car l’ouverture n’a pas encore été sauvegardée. Lorsque vous avez achevé le processus, vous pouvez revenir dans la boîte de dialogue et effectuer une Prévue de la présentation pour vous assurer que l’ouverture a été sauvegardée avec les définitions exactes.

  • Optionnel—définissez l’intervalle pour les présentations en coupe 2D

Vous sélectionnerez cette option uniquement lorsqu’une ouverture, telle une fenêtre, possède plusieurs coupes différentes sur sa hauteur—vous pouvez créer une présentation pour chacune de ses coupes. L’intervalle est compris entre les coordonnées DE et A pour lesquelles la coupe est applicable.

  • REMARQUE : Automatiquement, le système n’ajoute pas et ne retranche pas de détails, ne modifie pas l’intervalle ou la présentation. Vous devez placer ou créer les présentations appropriées aux échelles et aux projections que vous avez l’intention de faire tracer ou imprimer. Vous pouvez remplacer les présentations en utilisant la commande Remplacement des ouvertures (\oprepl).
  • CONSEIL : Pressez le bouton remplacer uniquement si vous désirez remplacer une présentation ou un niveau de détail existants.

Pressez -ok- vous sauvegardez ainsi l’ouverture dans le catalogue

Les deux boîtes de dialogue sont ainsi fermées.

  • REMARQUE : Le processus décrit ci-dessus correspond à la création d’une présentation 2D unique sur le plan xy. Vous pouvez créer plusieurs présentations de la même ouverture, pour l’utilisation par exemple dans une coupe xz ou yz. Répétez la procédure pour chaque présentation, en vous assurant d’y inclure les dimensions paramétriques nécessaires, et en sauvegardant chaque présentation sous le même nom de fichier et avec le nom de présentation approprié.

Créer un solide pour l’ouverture 3D

  • L’ouverture 3D doit inclure un solide négatif avec le paramètre Yw pour créer un vide dans un mur.
  • Nous vous conseillons d’utiliser les commandes de prismes solides telles que Créer polygones—Rectangles/boîte par 2 points (\2pbox).
  • CONSEIL : Pour garantir une superposition correcte des ouvertures 2D et 3D, utilisez le symbole 2D créé précédemment comme base de la création en 3D.

  • Assurez-vous que la base du solide se trouve à la valeur z=0, dans la mesure où l’allège est mesurée à partir de la base du mur jusqu’à la valeur z=0 de l’ouverture. La présentation 3D doit être située sur le symbole 2D de manière identique à celle de l’apparition de ces deux symboles dans le mur.
  • Vous pouvez ajouter aussi bien des entités positives 2D ou 3D aux ouvertures afin de représenter des éléments de constructions tels que les cadres de fenêtres, les seuils, etc.
  • Orientez le symbole sur l’écran de manière à ce que le mur soit parallèle à l’axe x (orthogonal) si l’ouverture était insérée dans le mur.
  • Les entités ARC+ de tout type à l’exception des lignes d’aide et des objets placés paramétrables sont légales.

Ajout des lignes de cotation à une ouverture 3D

  • Il s’agit généralement de la largeur (x), de l’épaisseur (y) et de la hauteur (z), bien que toute cotation supplémentaire telle que le rayon d’une ouverture en arc, soit valide.
  • Vous pouvez utiliser des lignes de cotation multiples (par exemple deux lignes de cotation, une pour les dimensions hors tout, et la seconde mesurant les détails) cependant la somme des détails devra être égale à la cotation hors tout.
  • Les lignes de cotation doivent être parallèles aux axes x, y ou z (orthogonales).
  • CONSEIL : Utilisez les lignes d’aide et/ou le mode orthogonal pour vous assurer que les lignes de cotation sont bien parallèles aux principaux axes.
  • Vous devez ajouter une ligne de cotation sur l’axe y (Yw) pour représenter l’épaisseur du mur.

Remplacer le texte de cotation (valeur)de chaque ligne de cotation par un nom de paramètre

  • Utilisez la commande Cotations, Modification du texte de cotation (\dimut) pour remplacer le texte de la cotation.
  • Le nom peut comprendre toute combinaison de lettres, chiffres ou symboles, mais ne doit pas commencer par un chiffre.
  • IMPORTANT : Certains noms de paramètres sont reconnus par le système et sont réservés à des cotations spécifiques des ouvertures. Par exemple, le nom de paramètre correspondant à la cotation de l’épaisseur du mur doit être Yw. Cette obligation garantit l’adaptation de l’ouverture à l’épaisseur de tout mur dans lequel elle sera insérée.

Nom du paramètre | Variable | Utilisation
Yw | Variable représentant l’épaisseur du mur dans lequel l’ouverture sera insérée | Ouverture 3D et en option 2D
Xo | Variable de l’axe x —largeur de l’ouverture dans le mur | Ouverture 2D et 3D
Zo | Variable de l’axe z—hauteur de l’ouverture dans le mur | Ouverture 3D, coupes xz et yz

Avant de sauvegarder, effacez les éléments suivants:

  • Toutes les lignes d’aide.
  • Toutes les entités qui n’appartiennent pas au symbole de l’ouverture.
  • N’oubliez pas d’effacer le symbole 2D et ses points de contrôle si vous les avez utilisés pour vous aider à concevoir l’ouverture 3D.

Appelez le -Gestionnaire de catalogue- (\libedit, voir >Objets placés et catalogues)

Utilisez la même procédure que celle décrite précédemment pour l’ouverture 2D.

  • Spécifiez le même nom et le même catalogue.

Sélectionnez l’option -présentation- (obligatoire)

  • Spécifiez le type de presentation 3D.
  • Le niveau de détail sera identique à celui utilisé dans l’ouverture 2D.

Sélectionnez l’option -ok- pour sauvegarder l’ouverture

Si la présentation existe déjà, pressez le bouton remplacer avant d’effectuer la sauvegarde. Ce bouton est affiché si une présentation avec le même niveau de détail a été sauvegardée précédemment pour cette ouverture.


Création d'une ouverture paramétrable

Voici la description d’une procédure caractéristique pour la création d’une ouverture paramétrable. Tout d’abord la présentation 2D est créée, suivie de la présentation 3D, bien que cet ordre puisse être inversé. Si vous créez uniquement la présentation 2D, vous pouvez laisser le système créer une ouverture rectangulaire simple en 3D.

Les étapes de base sont résumées ci-dessous, et décrites en détail dans les paragraphes qui suivent.

Symbole d’une ouverture 2D

  • Création du symbole 2D de l’ouverture
  • Ajout des lignes de cotation
  • Modification du texte de cotation en texte paramétrable
  • Ajout des points de contrôle pour définir la relation entre l’ouverture, le mur et la condition de bord
  • Sauvegarde de la présentation de l’ouverture (coupe xy ou yz) dans le catalogue

Ouverture 3D

  • Création dans le même fichier de l’ouverture 3D, par surcharge de l’ouverture 2D
  • Ajout des lignes de cotation
  • Modification du texte de cotation en texte paramétrable
  • Effacement de l’ouverture 2D
  • Sauvegarde de la présentation 3D de l’ouverture dans le catalogue

Thèmes liés

  • Création d'une ouverture


Définition de l'ouverture courante

Définit une nouvelle ouverture ou modifie les dimensions de l’ouverture courante.

\opset

Lors de l’utilisation de cette commande, vous pouvez:

  • Sélectionner une ouverture
  • Modifier l’ouverture courante
  • Redéfinir les dimensions de l’ouverture courante si cette dernière existe
  • IMPORTANT : La première fois que vous lancez ARC+, vous choisirez une ouverture par défaut du Fichier de Sélection de Catalogue. Voir Sélectionner Ouvertures de la boîte de dialogue Catalogues pour plus d'informations sur cette boîte de dialogue.

Définition d’une ouverture courante

Vous ne pouvez donner que les 3 paramètres principaux ou utiliser les paramètres détaillés habituels.

Acceptez les cotations par défaut en cliquant ok ou spécifiez la largeur, hauteur et hauteur du sol des fenêtres. Elles deviendront les cotations par défaut jusqu'à ce que vous les rechangiez.

Indiquez un mur et placez l'ouverture.

Cliquer sur le bouton Cliquez pour catalogue afin de choisir une ouverture depuis la boîte de dialogue de sélection des ouvertures. Cette ouverture apparaîtra dans la boîte de dialogue Paramètres Principaux de l'ouverture jusqu'à ce que vous choisissiez une autre ouverture.

Cliquer sur Détails pour donner les paramètres détaillés de l'ouverture. Pour de plus amples informations, voir Sélection des ouvertures dans la boîte de dialogue catalogue, Définition d'objets paramétrables.

Pour de plus amples détails sur le placement, voir Placement de l’ouverture courante (\oplace).


Définition de la condition de bord en cours

Sélectionnez la condition de bord courante à placer.

\eset

  • REMARQUE : Dans la mesure où chaque condition de bord est définie pour un type de mur spécifique, elles sont organisées en catalogues en fonction du nom du mur. Un catalogue supplémentaire de conditions de bord universelles est utilisable pour tout type de mur.

Indiquez un mur exemple pour la condition de bord, ou pressez Entrée pour accéder au catalogue des conditions de bord universelles. Dans les deux cas, la boite de dialogue du fichier catalogue sélectionné est affichée. Sélectionnez-y la condition de bord désirée.

Vous êtes transférés dans la commande Placement d’une condition de bord. Indiquez les ouvertures auxquelles la condition de bord doit être rattachée. Pour plus de détails, consultez Ouvertures, Placement des conditions de bord (\eplace).


Définition et placement des ouvertures

Ce chapitre décrit les commandes suivantes:

  • Définition de l’ouverture courante (\opset)
  • Placement de l’ouverture courante (\oplace)
  • Sélection des ouvertures dans la boîte de dialogue du catalogue
  • Copier une ouverture (\opcopy)

Il existe une relation biunivoque entre les commandes de définition et de placement des ouvertures. Ainsi, si vous ne disposez pas d’une ouverture courante, vous êtes positionnés dans la commande de définition d’une ouverture. Si l’ouverture courante est définie, le système assume que vous désirez la placer et vous transfère vers la commande de placement d’une ouverture.

Thèmes liés

  • Définition de l'ouverture courante
  • Placement de l'ouverture courante
  • Placement rapide
  • Sélection des ouvertures dans la boîte de dialogue catalogue
  • Copie d'ouvertures


Définition et positionnement des conditions de bord

  • Définition de la condition de bord en cours
  • Positionnement des conditions de bord
  • Copie des conditions de bord

Thèmes liés

  • Définition de la condition de bord en cours
  • Positionnement des conditions de bord
  • Copie des conditions de bord
  • Positionnement d'une ouverture dans un mur courbe


Edition des ouvertures

Les modifications suivantes peuvent être apportées aux ouvertures:

  • Modification de la taille
  • Modification de l’allège (hauteur sur plancher)
  • Repositionnement par déplacement ou déplacement dynamique
  • Modification de l’orientation de la combinaison
  • Remplacement des ouvertures
  • Effacement des conditions de bord

Thèmes liés

  • Modification de la taille d'une ouverture
  • Modification de l'allège
  • Repositionnement d'une ouverture dans un mur
  • Modifier symétrie d'une ouverture
  • Remplacement des ouvertures
  • Modification de la symétrie des conditions de bord
  • Effacement des conditions de bord
  • Sélection des ouvertures
  • Modification de la hauteur des ouvertures dans les murs courbes


Effacement des conditions de bord

Efface les conditions de bord.

\edel

Spécifiez si vous désirez fermer le mur ou le laisser ouvert. Si vous décidez de fermer le mur, la condition de bord du système (une ligne droite) remplacera la condition de bord supprimée.

Indiquez l’ouverture dont la (les) condition(s) de bord est (sont) à effacer ou pressez Entrée pour effacer le groupe de sélection. Puis indiquez le côté de la condition de bord:

  • A l’extérieur, à proximité de l’extrémité de l’ouverture (ou toute ouverture échantillon du groupe de sélection) et pour un seul côté
  • Sur l’ouverture elle-même (ou toute ouverture échantillon du groupe de sélection), pour effacer les deux côtés


introduction

Home > 6 Ouvertures > introduction

Ouvertures

Les portes et les fenêtres insérées dans les murs constituent les ouvertures dans ARC+. Les ouvertures sont dotées de nombreuses caractéristiques sophistiquées qui en font un outil puissant pour votre conception de base.

Vous pouvez sélectionner des ouvertures prédéfinies dans le catalogue, ou créer vos propres ouvertures. Vous pouvez en définir les dimensions exactes et en créer de multiples présentations en fonction de l’échelle et de la projection désirées. Les ouvertures possèdent à la fois des propriétés 2D et 3D.

Une fois insérées dans un mur, vous pouvez contrôler la manière dont l’ouverture sera intégrée dans les couches du mur à l’aide d’entités spéciales appelées conditions de bord.

Thèmes liés

  • Concepts et terminologie
  • Définition et placement des ouvertures
  • Définition et positionnement des conditions de bord
  • Edition des ouvertures
  • Création d'une ouverture paramétrable
  • Création d'une condition de bord


Modification de l'allège

Modifie la hauteur de l’allège.

\oplevel

Indiquez l’ouverture à modifier. Le système affiche l’allège courante. Spécifiez une nouvelle valeur. Elle représente la hauteur de l’origine (z=0) de l’ouverture 3D par rapport à la base du mur dans laquelle l’ouverture est insérée.


Modification de la hauteur des ouvertures dans les murs courbes

Modifie la hauteur et l’allège des ouvertures dans les murs courbes.

\uoarc

Sélectionnez l’option de mise à jour:

  • Par indication
  • Toutes les ouvertures dans un groupe de sélection

Par indication

Indiquez l’ouverture.

La hauteur et l’allège courantes sont affichées dans la ligne d’entrée.

Modifiez la hauteur et/ou l’allège. Pressez Entrée pour conserver la hauteur existante.

Par groupe de sélection

Indiquez les ouvertures à modifier avant d’appeler cette commande.

Spécifiez la hauteur et l’allège pour les ouvertures sélectionnées.

Les hauteurs des ouvertures sont modifiées.


Modification de la symétrie des conditions de bord

Change la symétrie d’une condition de bord le long ou à travers un mur.

\esym

Le long du mur:

  • Sélectionnez l’option translation de la symétrie des conditions de bord le long du mur
  • Indiquez l’ouverture

Les deux conditions de bord sont translatées.

A travers le mur:

  • Sélectionnez l’option translation de la symétrie des conditions de bord à travers le mur
  • Indiquez l’ouverture
  • Pour un seul côté, sur le côté à modifier et immédiatement à l’extérieur de l’ouverture
  • Pour les deux côtés, à proximité du centre de l’ouverture


Modification de la taille d'une ouverture

Redimensionne les dimensions paramétriques d’une ouverture.

\opsize

Indiquez l’ouverture dont la taille est à modifier.

La présentation 3D et une des présentations 2D de l’ouverture sont affichées dans la boîte de dialogue d’objet paramétrable, avec ses dimensions courantes. Modifiez les valeurs désirées. Vous pouvez cliquer sur test pour tester le résultat, ou reset pour restaurer les dimensions courantes.

Pressez sur ok pour confirmer les modifications. L’ouverture est modifiée en conséquence.

  • REMARQUE : Pour modifier simultanément la taille de plusieurs ouvertures, utilisez la procédure suivante:
  • Modifiez une ouverture unique et amenez-la aux dimensions voulues
  • Sélectionnez les ouvertures à modifier par échantillon
  • Remplacez l’ouverture sélectionnée en indiquant comme échantillon l’ouverture remplacée par utilisation de la commande Remplacement des ouvertures (\oprepl).


Modifier symétrie d'une ouverture

Modifie la symétrie d’une ouverture.

\opsym

Indiquez l’ouverture à mettre à jour.

Spécifiez la direction de la symétrie:

  • Le long du mur
  • A travers le mur

Continuez à indiquez les autres ouvertures à mettre à jour.

  • REMARQUE : La symétrie de tous les éléments de la combinaison est modifiée le long du mur. Par conséquent si les conditions de bord liées à une ouverture ne sont pas de longueurs égales, la position de l’ouverture est modifiée. Cet effet peut être corrigé à l’aide des commandes Repositionnement d’une ouverture dans un mur (\opdisp, \opmove).


Placement de l'ouverture courante

Place l’ouverture courante.

\oplace

Si vous avez déjà défini une ouverture courante, indiquez le mur et placez l’ouverture.

Alternativement, appuyez sur Entrée pour modifier l’ouverture courante. Si vous n’avez pas encore défini l’ouverture courante, le système commence par vous transférer vers la commande Définition de l’ouverture courante (\opset).

Avant de cliquer la souris pour fixer la position, vous pouvez presser Alt+1 ou Alt+2 pour modifier respectivement la symétrie le long ou en travers du mur, ou Alt+8 pour faire passer l’origine par quatre positions.

  • Point de contrôle origine—par défaut
  • Point de contrôle à gauche
  • Point de contrôle à droite
  • Centre entre les points de contrôle droite et gauche

Après le placement de l’ouverture, vous pouvez:

  • Placer l’ouverture une seconde fois dans le même mur—indiquez la nouvelle position
  • Placer l’ouverture dans un nouveau mur—indique un nouveau mur
  • Redéfinir la position de l’ouverture le long du mur. Spécifiez un point fixe dans le modèle et un point sur l’ouverture. La distance entre les points est affichée. Entrez la nouvelle distance—l’ouverture se déplace vers la nouvelle position.


Placement rapide

Utilisez l'option de placement rapide pour insérer les ouvertures sans définir des valeurs paramétriques—c’est- à- dire, la taille exacte et les affichages multiples pour l’ouverture. Les ouvertures sont placées dans le mur en utilisant les cotations avec lesquelles elles ont été créées au départ.

\placeop

Spécifiez la hauteur de l’ouverture au dessus du sol.

Sélectionnez l’ouverture dans la boîte de dialogue Sélectionner fichier catalogue et appuyez sur OK.

Indiquez le mur et placez l’ouverture ou appuyez sur Entrée pour sélectionner une nouvelle ouverture dans la boîte de dialogue.

Vous pouvez choisir des ouvertures préconçues dans le catalogue, ou créer votre propre groupe d’ouvertures. Si vous créez votre propre group, il vous est vivement conseillé de taper les cotations des ouvertures dans le champ de la description de la boîte de dialogue Sauvegarde de Catalogue. De cette manière, vous connaîtrez les cotations précises de l’ouverture lorsque vous travaillerez avec la commande de placement rapide. Pour de plus amples informations sur la création des ouvertures, cf. Création d’une ouverture paramétrable & création d’une condition de bord.

Une fois que les ouvertures sont insérées, vous pouvez utiliser n’importe laquelle des commandes d’édition standard pour les mettre à jour. Cf. Ouvertures, Edition des ouvertures.


Positionnement d'une ouverture dans un mur courbe

Insère des ouvertures 2D et 3D dans les murs courbes.

\owarc

Ces ouvertures sont des ouvertures simples non paramétriques, c’est-à-dire qu’elles rompent et ferment les couches internes du mur par une ligne unique. Les ouvertures et les conditions de bord du catalogue ne peuvent pas être placées dans les murs courbes. Si vous désirez une condition de bord spécifique, vous devez la créer localement tel un dessin 2D ordinaire.

Les ouvertures peuvent posséder des jambages parallèles ou radiaux, c’est-à-dire que la ligne de clôture sera perpendiculaire à la tangente en ce point, et ses extensions passeront par le centre de l’arc.

Les ouvertures devront être créées lorsque les murs sont bidimensionnels. Si vous les insérez à la suite de la création du modèle 3D du mur, la projection 3D sera effacée. Afin de voir l’ouverture 3D, effacez le modèle 3D du mur (\mw2d) et recréez le mur 3D à l’aide de la commande (\mw3d, voir Murs).

Utilisation

Indiquez le mur dans lequel l’ouverture doit être insérée.

Spécifiez la hauteur de l’ouverture et la hauteur comprise entre la base du mur et celle de l’ouverture. Indiquez si les jambages de l’ouverture doivent être parallèles ou radiaux à partir du centre de l’arc.

Jambages parallèles

Dans le cas où les jambages de l’ouverture sont parallèles, vous disposez de trois options:

  • Définissez le point de départ, la direction et la longueur de la corde—la largeur de l’ouverture est mesurée le long d’une ligne droite (corde).
  • Définissez le centre et la longueur de la demie corde—la largeur de l’ouverture est mesurée symétriquement le long d’une ligne droite à proximité du centre spécifié.
  • Définissez un point de départ et un angle (dans le sens inverse des aiguilles d’une montre = valeur positive, dans le sens des aiguilles = valeur négative).

Jambages radiaux

Si l’ouverture est radiale, définissez le point de départ et le point d’extrémité de l’ouverture.

Après avoir lancé la commande, sélectionnez l'option Boîte de dialogue. La boîte de dialogue suivante apparaît, grâce à laquelle vous pouvez:

  • Sélectionner le Type d'ouverture entre Radiale et Parallèle. L'illustration de l'ouverture est automatiquement mise à jour en fonction de votre choix.
  • Sélectionner la méthode de création entre: 2 points, Point + longueur, Point + angle. L'illustration de l'ouverture est automatiquement mise à jour en fonction de votre choix.
  • Définir l'Angle de l'ouverture dans le cas où vous choisissez la méthode de création Point + angle, ou entrer la Largeur de l'ouverture pour les autres m é thodes de création.
  • Définir la Hauteur de l'ouverture.
  • Définir la Hauteur d'allège de l'ouverture.

Une fois que tous les paramètres ont été correctement saisis cliquez sur OK pour fermer la boîte de dialogue. La commande vous invite alors à indiquer le mur dans lequel vous souhaitez placer l'ouverture.

Indiquez un mur courbe.

Une fois le mur indiqué, vous pouvez voir la silhouette de l'ouverture coulisser le long du mur à proximité du curseur. Une croix rouge indique le futur point d'ancrage de l'ouverture. Afin de positionner précisément ce point, vous pouvez bénéficier des deux options suivantes:

  • Pressez Alt+1: pour symétriser la position du point d'ancrage le long du mur.
  • Pressez Alt+2: pour symétriser la position du point d'ancrage au travers du mur

Cliquez à l'endroit désiré pour positionner l'ouverture.


Positionnement des conditions de bord\eplace

Home > 6 Ouvertures > Positionnement des conditions de bord\eplace

Positionnement des conditions de bord

Sélectionne une condition de bord et la joint à une ouverture et à un mur.

\eplace

Si vous avez déjà une condition de bord, indiquez l’ouverture à laquelle vous désirez ajouter ou pour laquelle vous voulez remplacer une condition de bord, ou pressez Entrée pour modifier un groupe sélectionné. Si vous n’avez pas encore défini de condition de bord courante, le système commence par vous transférer dans la commande Définition de la condition de bord courante (\eset).

Indiquez ensuite le côté de l’ouverture :

  • A l’extérieur, proche de l’extrémité de l’ouverture pour un seul côté
  • Sur l’ouverture elle-même pour mettre à jour les deux côtés

La dernière condition de bord sélectionnée au cours de la présente session de travail remplace les conditions de bord de l’ouverture indiquée. Alternativement, vous pouvez enfoncer Entrée pour redéfinir la condition de bord. Dans ce dernier cas, le catalogue de conditions de bord approprié au type de mur de l’ouverture indiquée s’affiche, et vous pouvez sélectionner une nouvelle condition de bord.

La condition de bord par défaut du système reste la condition de bord courante tant que vous n’avez pas spécifié une condition de bord du catalogue. Pour définir une nouvelle condition de bord, sélectionnez l’option redéfinition.

  • CONSEIL : Si vous avez oublié quelle est la condition de bord liée à l’ouverture courante ou bien dans quel type de mur était-elle placée, nous vous conseillons d’enfoncer la touche Entrée pour redéfinir la condition de bord. Cette option vous propose la condition de bord du catalogue appropriée au type de mur courant.
  • REMARQUE : Vous pouvez utiliser des conditions de bords asymétriques. Si les points de contrôle des conditions de bord n’ont pas la même valeur sur l’axe des y, l’ouverture est ancrée à la dernière condition de bord.


Positionnement des points de contrôle dans une ouverture/condition de bord

Positionne les points de contrôle dans une entité ouverture ou condition de bord.

\opoint

Les points de contrôle définissent la relation exacte entre l’ouverture et le mur, et entre la condition de bord, le mur et l’ouverture. Ils sont représentés sur l’écran et dans les fichiers catalogues des conditions de bord et des ouvertures par des petits carrés. Il existe trois types de points de contrôle pour les ouvertures et trois autres pour les conditions de bord. Vous devez les positionner tous afin d’assurer l’intégration correcte de l’ouverture et de la condition de bord. Lorsque l’ouverture est placée, les points de contrôle ne sont pas visibles.

Ouvertures

Les points de contrôle d’ouvertures, chacun d’une couleur différente en fonction de votre palette de couleur, sont:

Point de contrôle | Fonction
Origine | Contrôle la position (y) dans le mur
Gauche | Coupe le mur sur le côté gauche de l’ouverture
Droit | Coupe le mur sur le côté droit de l’ouverture

Le point origine peut être superposé aux points de contrôle droit ou gauche.

  • REMARQUE : Le point de contrôle origine repositionne le dessin de l’ouverture de manière à ce que ce point de contrôle devienne l’origine des coordonnées (0 0 0). Cette propriété peut entraîner la disparition du symbole de l’écran. Réaffichez l’ouverture en utilisant la commande Vues, Vue en plan (\planv).

Lorsqu’une ouverture est placée dans un mur, ce dernier est coupé sur la droite et la gauche des points de contrôle de l’entité ouverture. Le point origine est placé sur la ligne externe de la première couche du mur.

  • CONSEIL : Si votre ouverture ou votre condition de bord n’est pas positionnée correctement, vérifiez que tous les points de contrôle sont placés en Y=0.

La condition de bord du système est également située sur la droite et sur la gauche des points de contrôle.

Lorsque vous ajoutez des conditions de bord à l’ouverture, les points de contrôle droit et gauche sont superposés au point de contrôle d’ancrage des conditions de bord (voir ci-dessous, Conditions de bord).

Si vous désirez un recouvrement du mur par l’ouverture, telle une fenêtre qui coulisse dans un retrait du mur, vous pouvez positionner les points de contrôle de manière à faire couper le mur quelle que soit leur position, et quelles que soient les valeurs minimum en x de l’ouverture.

  • REMARQUE : Les points de contrôle des ouvertures doivent impérativement être positionnés en Y=0.

Conditions de bord

Les points de contrôle des conditions de bord—chacun d’une couleur différente en fonction de votre palette de couleurs—sont:

Point de contrôle | Fonction
Origine | Contrôle la position (y) dans le mur, alignée sur la première couche du mur
Ajustement | Coupe le mur
Ancrage | Positionne les points de contrôle droit et gauche de l’ouverture

L’origine peut être superposée aux points de contrôle droit ou gauche.

  • REMARQUE : Le point de contrôle origine repositionne le dessin de l’ouverture de manière à ce que le point de contrôle devienne la coordonnée origine (0 0 0).

Lorsque la condition de bord est insérée dans le mur, le mur est coupé perpendiculairement au point de contrôle d’ajustement de la condition de bord, et les points de contrôle droit et gauche de l’ouverture sont superposés aux points de contrôle d’ancrage de la condition de bord.

  • IMPORTANT : Si les points de contrôle de l’ouverture ne sont pas situés sur la même valeur Y=0 que celle du point de contrôle d’ancrage, l’ouverture pourra être repositionnée dans la direction y (à travers le mur).
  • REMARQUE : Vous pouvez utiliser des conditions de bords asymétriques. Si les points de contrôle des conditions de bord n’ont pas la même valeur sur l’axe des y, l’ouverture est ancrée à la dernière condition de bord.

Utilisation

Spécifiez si vous désirez ajouter des points de contrôle à une ouverture ou une condition de bord.

Pour une ouverture, définissez la position des points de contrôle origine (alignement), droit et gauche. Pour une condition de bord, définissez les positions des points de contrôle origine, ajustement et ancrage. Pour mettre à jour des points de contrôle existants, pressez Entrée et sélectionnez les points de contrôle que vous voulez mettre à jour.

  • REMARQUE : Prenez des précautions lors du snapping des points de contrôle. La position exacte du point de contrôle correspond au centre du carré. Travaillez à une grande échelle, pour être sûrs que vous ne snappez pas l’angle du carré.


Remplacement des ouvertures

Remplace une ouverture placée.

\oprepl

  • REMARQUE : Cette commande effectue uniquement le remplacement de l’ouverture. Elle n’a aucun effet sur les conditions de bord.

Indiquez une ouverture échantillon destinée à remplacer les autres ouvertures ou pressez Entrée pour utiliser l’ouverture courante.

Puis, indiquez l’ouverture à remplacer ou pressez Entrée pour effectuer le remplacement d’un groupe de sélection. Spécifiez si vous désirez conserver les dimensions originelles ainsi que l’allège de l’ouverture à remplacer. Si vous ne conservez pas les dimensions, l’ouverture est remplacée par l’ouverture échantillon et les dimensions de cette dernière sont utilisées.

  • REMARQUE : Lors du remplacement d’un groupe de sélection, un seul type d’ouverture pour un mur spécifique sera remplacé à la fois.

Utilisez les options conserver dimensions principales de cette commande pour remplacer également les niveaux de détail des ouvertures.


Repositionnement d'une ouverture dans un mur

Vous pouvez modifier la position d’une ouverture dans un mur par déplacement ou par déplacement dynamique.

Repositionnement par déplacement

Repositionne par déplacement la position d’une ouverture dans un mur.

\opdisp

Spécifiez la direction du déplacement.

  • Le long du mur—pour l’ensemble de la combinaison
  • A travers le mur—uniquement pour la présentation 2D de l’ouverture

Indiquez l’ouverture à déplacer. Définissez deux points à l’aide desquels un déplacement peut être défini, c’est-à-dire un point connu faisant partie du modèle et le deuxième dans l’ouverture. La distance courante entre les deux points est affichée.

Spécifiez une nouvelle distance, ou pressez Entrée si vous désirez une distance nulle. L’ouverture est translatée vers la nouvelle position.

Repositionnement par déplacement dynamique

Repositionne une ouverture par déplacement dynamique.

\opmove

Indiquez l’ouverture à mettre à jour.

L’ouverture apparaît dans le mur et est attachée au curseur. Déplacez-la dynamiquement en déplaçant le curseur vers la nouvelle position désirée.

Avant de cliquer la souris pour fixer la position définitive de l’ouverture, vous pouvez utiliser les clés Alt+1 ou Alt+2 pour modifier la symétrie de l’ouverture le long du mur ou en travers du mur respectivement, ou encore les clés Alt+8 pour faire passer l’origine par ses quatre positions.

Une fois l’ouverture placée dans sa nouvelle position, vous pouvez signaler d’autres ouvertures à repositionner.


Sélection des ouvertures

Sélectionne les ouvertures par échantillon.

\opsel

Sélectionner l’opération: sélection ou désélection.

Indiquez l’ouverture échantillon. Toutes les combinaisons similaires à l’échantillon indiqué seront sélectionnées ou désélectionnées si elles possèdent les caractéristiques suivantes:

  • Type d’ouverture identique
  • Conditions de bord droite et gauche similaires
  • Catalogue source identique y compris chemin d’accès, nom et présentation
  • Placée dans le même type de mur
  • Valeurs des paramètres et de l’allège identiques

Vous pouvez continuer l’opération en indiquant des échantillons supplémentaires


Sélection des ouvertures dans la boîte de dialogue catalogue

Le paragraphe suivant décrit en détail les boîtes de dialogue qui sont utilisées pour les ouvertures.

Lorsque vous désirez sélectionner une ouverture, la boîte de dialogue Sélection d’un fichier du catalogue est affichée:

Sélectionnez une ouverture fournie par le système ou bien une que vous avez crée. Appuyez sur OK pour passer aux dimensions paramétriques.

Cliquez sur [image] pour définir les dimensions paramétriques:

Si vous souhaitez modifiez la représentation par défaut ou la dernière représentation définie pour l’ouverture, pressez sur l’option presentation de définition du niveau de détail, de la représentation et de l’intervalle.

presentation

Type de présentation, 3D, coupe xy (plan 2D), coupe xz, etc. Chaque ouverture doit posséder au moins deux présentations—un symbole 2D sur le plan xy et une présentation 3D.

intervalle (en option)

Si la présentation est une coupe orthogonale, vous pouvez spécifier les coordonnées de et a des plans de coupe, c’est à dire l’intervalle couvert par la présentation de la coupe. Cette option est utile pour les cadres de fenêtre par exemple, qui possèdent différentes coupes en fonction de leur hauteur.

niveau de detail

Sélectionnez un des niveaux de détail définis dans le catalogue pour la présentation choisie.

sélectionner vue

Vous pouvez spécifier dans quel vue vous voulez voir la présentation de l’ouverture. Par défaut la vue est la Vue en cours, C'est-à-dire que l’ouverture est présentée selon l’affichage général de votre modèle dans la fenêtre du travail. D’autres vues disponibles: Vue en plan; Elévation Face;Elévation Arrière; Elévation Gauche; Elévation Droite; Axonométrie

Après avoir sélectionné l’ouverture et défini ses paramètres, pressez ok.

  • IMPORTANT : Lors de la définition de l’ouverture courante, travaillez en mode vue axonométrique afin de garantir l’affichage de tous les paramètres de hauteur dans la boîte de dialogue.

Définition d'objets paramétrables

La boîte de dialogue objet paramétrable affiche les présentations 2D et 3D spécifiées pour l’ouverture, ainsi que les paramètres de dimensions par défaut.

Entrez les valeurs désirées pour les paramètres de chaque dimension. (Si certaines dimensions sont redondantes, assurez-vous de la consistance des valeurs saisies. Alternativement, vous pouvez ignorer les valeurs redondantes et laisser au système le soin de calculer les valeurs consistantes.)

Cliquez test pour obtenir un aperçu sommaire du résultat des valeurs des dimensions entrées, ou reset pour restaurer les valeurs par défaut. Pressez ok pour confirmer votre choix.

  • REMARQUE : Le paramètre Yw de la présentation 3D est automatiquement ajusté à l’épaisseur du mur dans lequel l’ouverture doit être placée.


Index

07 Escaliers

  1. Définitions et terminologie
  2. Escaliers par espace défini
  3. Escaliers par paramètres
  4. Informations
  5. Informations sur l'escalier
  6. Informations sur les paramètres d'un escalier
  7. Escaliers Introduction
  8. Passer d'un modèle d'escalier 2D à un modèle 3D
  9. Types et modèles d'escaliers
  10. Création d'escaliers dans un espace défini
  11. Création d'escaliers droits
  12. Création d'un escalier en spirale
  13. Définition des limites permises des paramètres d'un escalier


Définitions et terminologie

point de depart | Le point de départ est situé au point inférieur gauche de la première marche du tournant droit de l'escalier vers le palier ou bien au côté inférieur droit de la première marche du tournant gauche (c'est-à-dire au côté extérieur).
direction de l' escalier | Se dit de la direction vers laquelle on monte à partir de la première marche. Lorsqu'il s'agit de marches tournantes, la direction est déterminée par la première marche, même si la direction de l'escalier est ultérieurement modifiée.
point de direction de la premiere marche | Ce point se rapporte au centre d'un escalier en spirale. La ligne entre ces deux points définit la position de la première marche de l'escalier.
direction du tournant au palier | C'est la direction vers laquelle on tourne au premier palier par rapport à la première volée ou la direction que prend le premier tournant d'un escalier vers le haut. Le modèle d'escalier 9 tourne dans deux directions; la direction que vous définissez constitue donc le premier tournant.

largeur | La largeur de l'escalier est mesurée perpendiculairement à la direction de celui-ci.
parametres | Définissez deux paramètres de votre choix parmi ceux qui figurent ci-dessous. Quant aux autres, c'est le système qui les calcule

No. | Paramètre | Description
1. | hauteur de marche | Hauteur d'une marche.
2. | giron | Largeur d'une marche selon une hauteur de 90° (dans un escalier tournant on la mesure à partir du côté étroit de la marche).
3. | hauteur d'etage | Hauteur totale de l'escalier (d'étage en étage).
4. | longueur d'escalier | Longueur totale de l'escalier (modèle 1 volée unique).
5. | extremite de volee |
6. | nb de marches ds une volee |

Sur une vue en plan, une volée est toujours mesurée à partir de la première contremarche (la plus basse) au dernier giron (le plus élevé) compris. La marche supérieure, en élévation, est au même niveau que le bloc de l'étage supérieur. Le plan inférieur de l'escalier solide est au même niveau que le bloc de l'étage inférieur.

Dans les escaliers droits, l'épaisseur de la ceinture (c'est-à-dire la distance entre le dessous et la ligne de la volée) est un paramètre interne déterminé par le système qui ne peut pas être défini par l'utilisateur. Si vous souhaitez modifier la ceinture, vous pourrez l'agrandir ou la réduire après avoir créé le modèle de l'escalier, à l'aide des commandes usuelles d'édition de polygones.

droit | Se dit d'un escalier dont les contremarches sont parallèles dans une même volée (en plan).
tournant | Un escalier dont les contremarches ne sont pas parallèles dans la même volée (en plan) et modifient ainsi la direction de l'escalier.
marches legeres | Ce sont des marches d'une épaisseur définie, où la face inférieure d'une marche est parallèle à sa face supérieure. Chaque marche est une entité indépendante.
marches massives | Des marches dont la masse constitue la hauteur totale d'une marche et dont la face inférieure est parallèle à la pente générale de l'escalier. Chaque volée est une entité monolithique unique.
angle pour mesurer l'echappee | C'est l'angle à partir de la première marche d'un escalier en spirale, mesuré horizontalement (sur le plan xy) au point où la hauteur minimale d'échappée doit être mesurée.


Escaliers par espace défini

Les commandes suivantes permettent la conception des escaliers en définissant l’espace du modèle à l'intérieur duquel ils doivent être créés.

Thèmes liés

  • Création d'escaliers dans un espace défini
  • Passer d'un modèle d'escalier 2D à un modèle 3D


Escaliers par paramètres

Les commandes suivantes vous permettent de concevoir des escaliers en choisissant et précisant deux des paramètres de l'escalier. Le système calcule les autres paramètres et crée un escalier à 2D ou 3D. Vous avez le choix parmi 14 types d'escaliers.

Thèmes liés

  • Types et modèles d'escaliers
  • Définitions et terminologie
  • Définition des limites permises des paramètres d'un escalier
  • Création d'escaliers droits
  • Création d'un escalier en spirale


Informations

Les commandes suivantes procurent des informations sur les escaliers existants.

Thèmes liés

  • Informations sur les paramètres d'un escalier
  • Informations sur l'escalier


Informations sur l'escalier

Obtiens des informations sur un escalier existant créé par la commande Création d'escaliers dans un espace défini (\stair).

\qstr

Indiquez l'escalier. Le système répond avec les paramètres suivants:

  • Elévation
  • Giron
  • Formule 2h+b
  • Nombre total de marches


Informations sur les paramètres d'un escalier

Restaure les paramètres d'un escalier existant créé à l'aide de la commande Création d'escaliers linéaires (\strcs).

\qent

Utilisez la commande Informations sur les attributs (\qent) pour restaurer les paramètres de l'escalier. Indiquez les faces du solide. Le système affiche les cotes de l'élévation et du giron, et le résultat de la formule (2h+b).

Cette commande opère sur les marches massives des modèles 1 à 13 uniquement.

Pour une description de cette commande, voir Informations, s'informer sur les attributs d'une entité


introduction

Home > 7 Escaliers > introduction

Escaliers

Vous disposez de deux approches distinctes pour la conception des escaliers. Vous pouvez créer l'escalier puis l'intégrer dans votre modèle, ou bien réserver un espace dans le bâtiment pour la cage d'escalier et concevoir les marches de l'escalier en détail par la suite. Cette méthode est aussi applicable lorsque l'on effectue des transformations sur des bâtiments existants où l'escalier ne peut être transformé. ARC+ fournit un outil de création d'escalier utilisable par les deux méthodes.

Escaliers par paramètres

La conception d'un escalier est fondée sur un grand nombre de paramètres dont certains peuvent être fixés d'avance tandis que d'autres résultent de calculs basés sur les paramètres déjà définis.

Par exemple, la hauteur d'un étage peut dépendre de contraintes liées à la planification du projet, d'autre part la hauteur maximale de chaque contremarche peut être limitée par les lois sur la construction. Par ailleurs, vous pouvez vous trouver libre de décider du nombre de contremarches comprises dans un escalier, ou bien vous pouvez vous trouver tenu de vous astreindre à certaines limites. Dans la majorité des cas, il existe plus d'une solution possible. Par exemple, un étage de 3.00m de haut peut être desservi aussi bien par un escalier de 17 contremarches de 17.64 cm que par un escalier de 18 contremarches de 16.66 cm.

Les commandes d'escalier d’ARC+ vous permettent de concevoir et de créer des escaliers et des mains courantes de types et de modèles variés. Vous êtes libre de préciser ceux des paramètres considérés comme déterminés au départ et ceux qui doivent être calculés par le système. En outre, vous pouvez définir l'intervalle permis pour chacun des paramètres. Avant d'afficher l'escalier, le système présentera les résultats de ses calculs que vous pourrez accepter ou rejeter. Dans ce dernier cas, le système suggérera une solution alternative.

Ces commandes résultent soit en un escalier solide 3D, soit en un rendu 2D. L'escalier 3D est une entité solide ordinaire ARC+ (de type 3) qui peut être copiée, manipulée, coupée ou modifiée comme toute autre entité.

Le palier créé dans les modèles 1-5 est un bloc solide et indépendant, de même longueur et de même largeur que l'escalier et de même hauteur que la hauteur de marche définie ou calculée au départ.

En outre, chacune des marches du tournant d'un escalier (modèles 6-13), toutes les marches légères et la colonne d'un escalier en spirale sont aussi considérées comme des entités solides et indépendantes.

Escaliers par espace défini

Les escaliers créés par cette méthode ont un type particulier d'enroulement. Ils sont basés sur la ligne de foulée, ligne située à une distance donnée du bord le plus externe de l'escalier et le long de laquelle la taille du giron est mesurée.

Thèmes liés

  • Escaliers par paramètres
  • Escaliers par espace défini
  • Informations


Passer d'un modèle d'escalier 2D à un modèle 3D\str3d

Home > 7 Escaliers > Passer d'un modèle d'escalier 2D à un modèle 3D\str3d

Passer d'un modèle d'escalier 2D à un modèle 3D

Passez d'un modèle d'escalier 2D à un modèle 3D.

\str3d

\str2d

Cette commande vous permet de passer d’un affichage 2D à un affichage 3D et inversement.

Cette commande n’est applicable qu’aux escaliers créés avec la commande Création d’escaliers dans un espace défini (\stair).


Types et modèles d'escaliers

Les commandes relatives aux escaliers permettent de créer les modèles décrits ci-dessous:

type | modele | plan
droit | 1. | Volée droite unique
 | 2. | Escalier parallèle avec palier (2 volées)
 | 3. | Escalier en U avec paliers (3 volées)
 | 4. | Escalier rectangulaire avec paliers (4 volées)
 | 5. | Escalier en angle droit avec palier (2 volées)
tournant | 6. | Volée unique avec 3, 5 ou 7 marches tournantes en haut.
 | 7. | Volée unique avec 3, 5 ou 7 marches tournantes en bas.
 | 8. | Volée unique avec 3, 5 ou 7 marches tournantes en haut et en bas dans la même direction.
 | 9. | Volée unique avec 3, 5 ou 7 marches tournantes en haut et en bas dans des directions opposées.


Création d'escaliers dans un espace défini

Crée des escaliers à l'intérieur d'un espace prédéfini du modèle.

\stair

Cette commande vous permet de créer des escaliers en L ou en U, à l'intérieur d'un espace que vous déterminez. Elle est conçue pour être utilisée avec des projets dans lesquels vous réservez des espaces destinés aux escaliers que vous souhaitez créer plus tard. Ces espaces sont en général limités par des murs, des lignes, ou des lignes d'aide. Le système calcule et vous propose des solutions de remplacement (si disponibles), en utilisant les paramètres définis dans la boîte de dialogue, le numéro de calque, 2h+b, ainsi que les paramètres de couleur définis dans la commande Définir les limites permises pour les paramètres de création d'un escalier (\astrs).

Définissez 3 points pour un escalier en L ou 4 points pour un escalier en forme de U. Les points définis doivent se trouver à angle droit les uns des autres; nous vous conseillons donc de snapper aux murs ou lignes d'aide ou de définir des points libres, en mode orthogonal. Une boîte de dialogue destinée à la saisie des paramètres s'affiche.

hauteur de l'étage | Hauteur entre les étages terminés.
largeur de la volée | Volée mesurée perpendiculairement à la ligne de marche.
offset de la volée | Distance du bord externe des escaliers à partir des lignes reliant les quatre points définis de l'aire de l'escalier.
surplomb (2D) | Surplomb du nez d'une marche au-delà de la face de la contremarche (uniquement dans les solutions 2D).

Pour les marches parallèles:

distance minimum avant le palier | Distance entre la marche précédente le palier (vers le haut) et le changement de direction interne.
distance minimum après le palier | Distance entre la marche succédant au palier (vers le haut) et le changement de direction interne.

Pour les escaliers tournants:

nombre minimal de contremarches parallèles | A utiliser pour éviter les volées indésirables d'une à deux marches.
nombre minimal de contremarches tournantes | Nombre de marches non-parallèles à chaque changement de direction des escaliers.
distance de ligne de marche | Distance de ligne le long de laquelle la taille du giron est mesurée, pour les escaliers tournants, mesurée à partir du bord intérieur de l'escalier.
distance du centre de l’arc à partir de la face interne de l'escalier | Distance mesurée à partir du bord interne de l'escalier jusqu'à un point constituant le centre de l'arc de la ligne de marche.
épaisseur de l'escalier | Epaisseur du giron de l'escalier.
espace minimal entre les volées | Espace minimal entre le bord interne des volées parallèles.

Le système calcule les solutions possibles en utilisant également les paramètrages déterminés au préalable dans la commande Définir les limites permises pour les paramètres de création d'un escalier (\astrs), et les affiche sur l'écran selon les rubriques suivantes:

Elévation | Giron | 2h+b | Nb de marches dans un giron | Description
Total | 1er | 2e | 3e

Par exemple:

0.190 | 0.260 | 0.641 | 21 | 9 | 2 | 8 |
0.190 | 0.260 | 0.641 | 21 | 9 | 1 | 9 |
0.182 | 0.248 | 0.612 | 22 | 9 | 2 | 9 | tournant

Marquez la solution que vous préférez et cliquez sur le bouton 2D pour un tracé 2D des escaliers dans le plan de travail actuel, ou cliquez sur le bouton 3D, pour un modèle complet en 3D.

L'escalier est créé en tant que modèle à 2D ou 3D. Au cas où plus d'une solution s'affiche dans la boîte de dialogue, le système vous demande si vous préférez une autre solution. Si vous optez pour une autre solution, la boîte de dialogue de solutions est affichée à nouveau, et vous pouvez sélectionner une solution différente.

Si l'escalier ne peut être ajusté entre les points désignés, le système ajuste les deux points intermédiaires (pour un escalier en U), ou ajuste le point extrême (pour un escalier en L).

En sélectionnant n'importe quelle partie du modèle à 2D ou 3D (y compris l'entité de texte), on sélectionne le modèle entier.


Création d'escaliers droits

Crée des escaliers droits 2D ou 3D.

\strcs

Vous pouvez utiliser cette commande à l'aide d'une boîte de dialogue ou à l'aide du clavier, par des réponses à une série de prompts.

Si vous utilisez la boîte de dialogue:

1. Choisissez le type d’escalier que vous souhaitez créer parmi les 14 types disponibles:

2. Puis définissez les paramètres lies à votre choix de modèle:

Si vous travaillez au clavier, choisissez le type d'escalier désiré et donnez ensuite le numéro du modèle.

  • Droit (volées droites): modèles 1-5
  • Tournant: modèles 6-13
  • Spirale: voir Création d'escaliers spirales.

Définissez le point de départ de l'escalier et un deuxième point pour déterminer sa direction. La projection de la ligne entre les deux points dans le plan xy est la direction de l'escalier vers le haut. Précisez ensuite la largeur d'une volée.

Si vous utilisez la boîte de dialogue, le système vous demandera de marquer ces deux points après avoir défini les paramètres dans la boîte de dialogue. La largeur de l'escalier est spécifiée dans la boîte de dialogue.

Choisissez le premier paramètre fixe de l'escalier et donnez-en la valeur. Vous pouvez choisir parmi les paramètres suivants:

  • Hauteur d'une marche
  • Giron d'une marche
  • Hauteur de l'escalier
  • Longueur de l'escalier
  • Extrémité de l'escalier (uniquement au clavier)
  • Nombre de marches dans une volée

Les options du deuxième paramètre fixe seront présentées par le système en fonction du premier paramètre fixe sélectionné. Ceux-ci sont exposés dans le tableau ci-dessous. Choisissez-en une et donnez-lui une valeur.

Le programme calcule l'ensemble des paramètres de l'escalier et affiche les résultats dans la boîte de dialogue ou la ligne d'entrées. Si le deuxième paramètre à fixer est modifié, le système vous prévient en ajoutant le symbole d'approximation (~) sur la ligne d'entrées (si vous travaillez au clavier) ou en ajoutant le message résultats arrondis (si vous travaillez dans la boîte de dialogue).

Vérifiez tous les paramètres. S'ils correspondent à votre conception, confirmez la solution. Sinon, rejetez-la et modifiez l'un des paramètres ou les deux.

Par exemple, si vous entrez hauteur d'étage = 3m comme premier paramètre et hauteur de marche = 0.17m comme second, vous pourrez utiliser:

  • 17 marches d'une hauteur de 0.176470m chacune ou
  • 18 marches d'une hauteur de 0.16667m chacune
Si vous choisissez: | Options pour un 2e paramètre fixe:
Hauteur d'une marche | Hauteur totale de l'escalier
 | Longueur de l'escalier (modèle 1 uniquement)
 | Extrémité
 | Nb de marches
Giron d'une marche | Hauteur totale de l'escalier
 | Longueur de l'escalier (modèle 1 uniquement)
 | Extrémité
 | Nb de marches
Hauteur de l'escalier | Hauteur de marche
 | Giron
 | Longueur de l'escalier (modèle 1 uniquement)
 | Extrémité
 | Nb de marches
Longueur de l'escalier | Hauteur de marche
 | Giron
 | Hauteur totale de l'escalier
 | Extrémité
 | Nb de marches
Extrémité de l'escalier (uniquement au clavier) | Hauteur de marche
 | Giron
 | Nb de marches
Nb de marches dans une volée | Hauteur de marche
 | Giron
 | Hauteur totale de l'escalier
 | Longueur de l'escalier (modèle 1 uniquement)
 | Extrémité

Ces deux solutions correspondent à une hauteur d'étage de 3m et se rapprochent de la hauteur de marche spécifiée. Si la première solution comporte 17 marches alors que vous en voulez 18, ne confirmez pas les paramètres. Entrez à nouveau l'option hauteur d'étage = 3 comme premier paramètre et nombre de marches = 18 comme second. Ceci vous donne une maîtrise totale sur la conception de l'escalier.

Précisez le nombre d'étages. Le modèle de l'escalier est créé verticalement pour chaque étage.

Pour des escaliers composés de plus d'une volée, le nombre de marches entre volées peut être réparti de façon inégale. Définissez le nombre de marches de chaque volée suivant le nombre de volées du modèle d'escalier que vous aurez choisi.

modeles 2, 5, 10, 11 et 12 | Spécifiez le nombre de marches de la première volée.
modeles 3 et 13 | Spécifiez le nombre de marches de la première et la deuxième volée.
modele 4 | Spécifiez le nombre de marches dans la première, la deuxième et la troisième volée.

Le système vous rappellera combien de marches sont comprises dans l'ensemble de l'escalier. Dans chaque cas, la dernière volée est supposée comporter le restant des marches.

Si vous choisissez un escalier modèle 2, spécifiez la distance entre deux volées.

Choisissez le type de marche que vous désirez. Deux sont disponibles:

  • Léger
  • Massif

Si vous choisissez le type léger, spécifiez l'épaisseur de la marche et du palier.

Spécifiez le type de main courante:

  • Intérieure (modèle 1 à gauche)
  • Extérieure (modèle 1 à droite)
  • Les deux
  • Aucune

Précisez au besoin la position des balustres:

  • Milieu de la marche
  • Nez de la marche
  • Aucune

Précisez la direction du premier tournant, sauf dans le cas du modèle 1.

Précisez si le résultat doit être un modèle 3D ou un rendu 2D.

//


Création d'un escalier en spirale

Crée un escalier en spirale 2D ou 3D.

\strcs

Vous pouvez utiliser cette commande à l'aide de la boîte de dialogue des escaliers ou en répondant à une série de prompts au clavier. Si vous utilisez cette commande à partir du menu déroulant, la boîte de dialogue s'affichera. Si vous la choisissez en utilisant le clavier, vous pourrez taper vos entrées les unes après les autres ou éventuellement accéder à la boîte de dialogue.

Les paramètres sont décrits ci-dessous.

Si vous utilisez le clavier, choisissez un escalier en spirale de type 14.

Définissez-en le centre, ainsi qu'un deuxième point pour déterminer la direction de la première marche. La ligne entre les deux points dans le plan xy représente la position de la première marche. Désignez ensuite le rayon de l'arête intérieure et la largeur de la volée.

Si vous travaillez à l'aide de la boîte de dialogue, le système vous demandera d'indiquer ces deux points après avoir défini les paramètres dans la boîte de dialogue. Le rayon et la largeur de l'escalier sont spécifiés dans la boîte de dialogue.

Choisissez le premier paramètre fixe de l'escalier et donnez-en la valeur. Vous pouvez choisir parmi les paramètres suivants:

  • Hauteur de marche
  • Giron
  • Hauteur de l'escalier
  • Angle total de l'escalier
  • Extrémité de l'escalier
  • Nombre de marches dans une volée
  • Angle d'une marche

Suivant le premier paramètre fixé de votre choix, le système vous présentera les options pour le deuxième. Choisissez-en une et donnez-lui une valeur.

Le programme calcule l'ensemble des paramètres de l'escalier et affiche les résultats dans la boîte de dialogue ou la ligne d'entrées. Si le deuxième paramètre à fixer est modifié, le système vous prévient en ajoutant le symbole d'approximation (~) sur la ligne d'entrées (si vous travaillez au clavier) ou en ajoutant le message résultats arrondis (si vous travaillez dans la boîte de dialogue). Vérifiez tous les paramètres. S'ils correspondent à votre conception, confirmez la solution. Sinon, rejetez-la et modifiez l'un des paramètres ou les deux.

Par exemple, si vous entrez hauteur d'étage = 3m comme premier paramètre et hauteur de marche = 0,17m comme deuxième, vous pourrez utiliser:

  • 17 marches d'une hauteur de 0.176470m chacune ou
  • 18 marches d'une hauteur de 0.16667 chacune.
Si vous choisissez: | Options pour un 2e paramètre fixe:
Hauteur de marche | Hauteur totale de l'escalier
 | Angle total
 | Extrémité
 | Nb de marches
Giron | Hauteur totale de l'escalier
 | Angle total
 | Extrémité
 | Nb de marches
Hauteur de l'escalier | Hauteur de marche
 | Giron
 | Nb de marches
Angle total de l'escalier | Hauteur de marche
 | Giron
 | Nb de marches
Angle de marche
Extrémité de l'escalier | Hauteur de marche
 | Giron
 | Nb de marches
 | Angle de marche
Nb de marches dans une volée | Hauteur de marche
 | Giron
 | Hauteur totale de l'escalier
 | Angle total
 | Extrémité
 | Angle de marche
Angle d'une marche | Hauteur totale de l'escalier
 | Angle total
 | Extrémité
 | Nb de marches

Ces deux solutions correspondent à une hauteur de 3m et se rapprochent de la hauteur de marche spécifiée. Si la première solution comporte 17 marches alors que vous en voulez 18, ne confirmez pas les paramètres. Entrez à nouveau hauteur d'étage = 3 comme premier paramètre et nb de marches = 18 comme deuxième. Ceci vous donne une maîtrise totale sur la conception de l'escalier.

Spécifiez l'épaisseur des marches.

Désignez le type de main courante:

  • Intérieure
  • Extérieure
  • Les deux
  • Aucune

Précisez au besoin la position des balustres:

  • Milieu de la marche
  • Nez de la marche
  • Aucune

Précisez si vous voulez une colonne centrale. Celle-ci est créée suivant le rayon intérieur spécifié auparavant et la hauteur d'une volée et de la main courante.

Précisez la direction vers le haut: dans le sens des aiguilles d'une montre ou dans le sens inverse.

Choisissez enfin le résultat: modèle 3D ou rendu 2D.


Définition des limites permises des paramètres d'un escalier

Définit les limites des paramètres de création d'un escalier.

\astrs

Définissez les limites permises des paramètres d'un escalier de manière à ce que le système calcule, génère et crée un nouvel escalier dans les limites spécifiées.

Description

Des limites par défaut existent pour chaque paramètre. Les valeurs de ces limites sont sauvegardées par le système dans un fichier nommé stairs.def et elles seront utilisées dans la création de tous les autres escaliers du projet jusqu'à leur modification. Vous pouvez retenir divers ensembles de valeurs pour différents projets à condition qu'ils soient sauvegardés dans des répertoires séparés.

Les limites suivantes sont définies par cette commande:

Paramètre | Valeur par Défaut | Intervalle
Formule 2H+B | 0.61 à 0.65 |
Hauteur de marche | 0.14 à 0.22 |
Giron | 0.22 à 0.32 |
Nb min/max de marches dans une volée | 3 à 17 |
Numéro de calque d'escalier | 1 | 1-255
Couleur de l'escalier | 1 | 1-16
Epaisseur de la main courante | 0.07 | -
Hauteur de la main courante au-dessus de l'escalier | 1 | -
Distance de la main courante à partir du bord de la marche | 0.035 |
Couleur de la main courante | 1 | 1-255
Nombre de marches au tournant | 3 | 3, 5 or 7
escalier en spirale |  |
Echappée | 2.1 |
Angle pour mesurer l'échappée | 320 |
Largeur minimale du côté le plus étroit de la marche | 0.1 |

Utilisation

Utilisez le menu déroulant pour afficher la boîte de dialogue de l'escalier. Si vous entrez la commande par l'intermédiaire du clavier, vous déterminez les paramètres à l'aide de réponses à une série de prompts dans la ligne d'entrée.

Les paramètres et valeurs courantes sont affichés. Entrez une nouvelle valeur ou appuyez sur Entrée pour accepter la valeur courante. Après avoir défini tous les paramètres, ceux-ci seront sauvegardés par le système.

Si vous désirez n'en modifier que certains, tapez 0 et appuyez sur Entrée pour quitter sans modifier les valeurs qui restent (sauf dans le prompt de distance d'une main courante, où 0 est une entrée légitime).

  • IMPORTANT : Si vous utilisez la commande par l’intermédiaire de la ligne d'entrée, une réponse sera impérativement donnée à chaque prompt.

  • REMARQUE : Dans les escaliers tournants, les limites maximale et minimale du nombre de marches d'une seule volée (3 par défaut) sont ignorées.


Index

08 Hachurage et motifs

  1. Création d'un motif linéaire entre deux lignes parallèles
  2. Création d'un motif linéaire entre deux points
  3. Définition d'un motif linéaire
  4. Hachurage d'un polygone
  5. Hachurage de polygones sélectionnés
  6. Hachurage perpendiculaire d'une surface
  7. Hachurage et motifs introduction
  8. Modification d'un motif linéaire
  9. Motifs de hachurage
  10. Motifs linéaires
  11. Motifs surfaciques
  12. Rafraîchissement
  13. Rafraîchissement des hachurages et des motifs
  14. Remplissage d'un polygone par un motif
  15. Remplissage des polygones
  16. Sélection de l'hachurage, du remplissage, ou des motifs linéaires
  17. Sélection de tous les motifs linéaires
  18. Sélection des motifs


Création d'un motif linéaire entre deux lignes parallèles

Crée un motif linéaire entre deux lignes parallèles.

\2lpat

Les motifs linéaires doivent être créés dans l'une des vues orthogonales (plans xy, yz, xz) et ne seront pas affichés dans d'autres vues.

Choisissez un motif linéaire par l'intermédiaire de la librairie graphique déroulante ou en spécifiant son code (un caractère ASCII unique). Spécifiez la couleur du motif. Indiquez la ligne parallèle inférieure et la ligne parallèle supérieure.

Là où les lignes ne sont pas de longueur égale, le motif est créé uniquement entre les parties des lignes qui se font face. Le motif linéaire est mis à l'échelle et par conséquent, conservera toujours sa taille relative entre ces deux lignes.

  • REMARQUE : Les définitions de motifs a à s sont fournies avec le système. Elles résident dans le fichier de polices nommé arcpatrn dans le répertoire arclib\fonts. Vous pouvez mettre à jour les motifs existants ou ajouter vos propres motifs en utilisant la commande Edition de police (\fonte). Spécifiez le fichier de police arcpatrn.
  • CONSEIL : Pour cette fonction il est recommandé de ne sélectionner de la librairie que les motifs linéaires figurant sur toute la hauteur.

Les lignes parallèles peuvent consister en un segment droit de n'importe quel type d'entité, tels qu'une ligne, un polygone, un mur, une ligne d'aide ou un objet placé.


Création d'un motif linéaire entre deux points

Dessine un motif linéaire spécifié le long d'une ligne passant par deux points.

\lpatn

Avant d'utiliser cette commande, affichez le modèle en mode de vue orthogonale (plan ou élévation)

Entrez le caractère correspondant au motif linéaire désiré ou frappez Enter pour afficher le catalogue graphique.

Sélectionnez la couleur du motif qui doit être dessiné à l’aide du sélecteur des couleurs:

Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la valider.

Choisissez le mode fixe ou variable (voir. Texte, Taille du texte - fixe ou variable).

Spécifiez la taille du motif (hauteur de l'unité de répétition) en mètres pour le mode variable, ou en millimètres pour le mode fixe.

Sélectionnez la position du motif: au-dessous, sur ou au-dessus de la ligne de direction.

Indiquez deux points définissant la ligne de direction.

Le motif est dessiné entre les points. Continuez à indiquer des points pour étendre le motif sur des lignes supplémentaires. Entre deux points quelconques, frappez Enter pour commencer une nouvelle ligne ou pour redéfinir les attributs du motif.


Définition d'un motif linéaire

Edite la police d'un motif linéaire.

\fonte

Cette commande vous place dans l'environnement de l'éditeur de polices. En éditant la police d'un motif linéaire arcpatrn.fon, vous pouvez dessiner de nouveaux motifs linéaires ou modifier des motifs existants.

Vous pouvez dessiner ou modifier un motif linéaire et le faire correspondre à tout caractère minuscule du clavier (a-z, 0-9, ainsi que tous les autres caractères ne nécessitant pas la touche Shift.)

Si vous comptez utiliser un motif linéaire pour remplir une couche dans un mur, il vous faut dessiner le motif de manière à ce qu'il remplisse toute la hauteur de la grille de l'éditeur des polices.

Pour une description complète de l'éditeur des polices, reportez vous à la commande, Texte, Editeur des polices (\fonte).

  • IMPORTANT : Lorsque vous utilisez les commandes de motif linéaire, choisissez un motif que vous avez défini en appuyant sur la touche de caractère correspondante. Les nouveaux motifs sont conservés de façon permanente dans leur police, mais ne sont pas affichés dans la librairie de motifs linéaires graphiques.


Dessiner des motifs en zigzag entre les lignes

Dessinez un hachurage en zigzag entre deux lignes.

\npat

Spécifiez le premier angle et le deuxième angle du hachurage en diagonale. Ce sont les angles situés entre les lignes hachurées et la ligne de direction ou ligne inférieure. Indiquez la ligne inférieure et la ligne supérieure.

Indiquez une ligne de direction (pour les angles hachurés) ou appuyez sur Enter pour que la ligne inférieure devienne la ligne de direction. Entrez un segment de taille minimum pour le hachurage en zigzag.

Les lignes peuvent être un segment de n'importe quel type d'entité droite tels qu'une ligne, un polygone, un mur, une ligne d'aide ou un objet placé.


Hachurage d'un polygone

Hachure d'une surface close ou d'un polygone.

\hatch

Des options supplémentaires permettent de définir le périmètre de la zone à hachurer :

  • Surface close
  • Polygone par côtés
  • Polygone
  • Groupe de selection
Surface close | Une surface délimitée par des entités telles que des lignes, des polygones, des lignes d'aide courtes ou des objets contigus. Vous pouvez éventuellement indiquer plusieurs espaces fermés: ils seront alors considérés comme formant un seul polygone continu.
Polygone par côtés | Entités ou parties d'entité désignées en séquence et constituant les limites de la surface à hachurer. Si cette surface n'est pas entièrement délimitée, le système ferme le périmètre en étendant les premier et dernier éléments ou en reliant directement les premier et dernier points (selon vos préférences).
Polygone | Surface à l'intérieur d'un polygone fermé.
Groupe de sélection | Série de polygones sélectionnés comme dans la commande Hachurage de polygones sélectionnés (\hasel).

Choisissez une option.

Appuyez sur Entrée pour définir les paramètres de tracé des hachures.

Définissez les lignes de référence pour indiquer l'angle du hachurage et le point de référence pour indiquer sa direction. Une nouvelle option, activée à l'aide d'Entrée, permet de définir un hachurage sur la base d'un échantillon.

Indiquez l'angle, l'intervalle et le décalage du hachurage, ainsi que le polygone à hachurer. Le système vous demande alors si vous désirez définir d'autres surfaces ou hachurages.

  • REMARQUE : Cette option fonctionne uniquement sur le plan xy.
  • CONSEIL : Si la commande ne parvient pas à identifier la surface (alors que vous êtes certain que celle-ci est fermée), essayez de modifier les paramètres avancés. Il se peut, en effet, que la tolérance soit trop faible (ou trop importante) pour l'échelle de votre modèle.

Changer la Configuration de Défaut des Hachures

Si vous choisissez l’option <enter> pour configuration, vous pouvez contrôler les tolérances de hachurage suivants :

points superposes | Définit la distance minimum entre deux points (en mm). En deçà de cette distance, le système les identifie comme un point unique (utile pour définir l’intervalle pour lequel l’intersection de deux murs est détectée).
exactitude planaire | Définit la valeur (en mm) pour des segments adjacents qui résident dans des plans différents (z). Le système ferme le plan selon la valeur définie dans ce champ.
extension segment | Définit de quelle longueur en mm les segments adjacents seront étirés avant d’être considérés comme joints.
taille segment arc | Définit la taille (en mm) de chaque segment de l’arc.
no. de segments | Définit le nombre minimum et maximum de segments dans un arc (la vitesse de traitement de la commande et le volume des fichiers créés sont directement proportionnels au nombre de segments créés, un plus grand nombre de segments entraîne un lissage de la courbe mais créé des fichiers plus volumineux).
facteur recherche | Augmente automatiquement le facteur selon lequel les segments sont fermés en utilisant les options de Facteur de recherche.
Facteur | Détermine le facteur selon lequel le segment sur l’axe des z et sur chaque ligne est fermé.
Nb. boucles | Détermine le nombre de fois que le facteur doit être augmenté.

Résolution des incidents pouvant affecter les motifs associatifs

Répare le motif de hachurage ou de remplissage d'une surface délimitée par des côtés, à la suite de la modification de ses limites.

\updfill

La modification des limites d'une surface circonscrite par des entités ne provoque pas toujours la mise à jour correcte de son motif ou de son hachurage de remplissage. Cette commande permet de corriger la situation.

Elle permet aussi de transférer (et non de copier) l'intégralité du remplissage d'une surface à une autre.

Suppression du caractère associatif des hachurages et motifs

Met fin à l'association entre un hachurage ou un motif et son polygone.

\exhatch

Indiquez le hachurage ou le motif concerné.

En présence de plusieurs hachurages, le système vous demande si vous désirez tous les dissocier ou si vous désirez uniquement dissocier celui que vous avez placé en surbrillance.


Hachurage de polygones sélectionnés

Hachure les polygones sélectionnés.

\hasel

Cette commande fonctionne de manière similaire à la commande Hachurage d'un polygone (\hatch), mais elle effectue le hachurage d'un groupe de polygones sélectionnés.

Avant d'utiliser cette commande, sélectionnez les polygones désirés.

Indiquez deux points définissant la ligne de référence. Indiquez un point de référence définissant de quel côté de la ligne de référence seront mesurés les angles des hachures. Les trois points indiqués doivent ensemble définir le plan du hachurage.

Spécifiez l'angle de hachurage, l'espacement et le décalage. Tous les polygones sélectionnés sont hachurés.

  • REMARQUE : Chaque boucle de cette commande effectue le hachurage de tous les polygones sélectionnés contenus dans le plan des trois points de référence et de ceux de tous les plans parallèles. En renouvelant la boucle, vous pouvez créer des hachurages multiples, ou bien hachurer des polygones sélectionnés qui se trouvent dans des plans non parallèles.


Hachurage perpendiculaire d'une surface

Hachure une surface en créant un polygone et en le remplissant à l'aide de deux motifs de hachurage entrecroisés perpendiculaires. En option, efface le polygone, et laisse le hachurage dans une zone ouverte du plan.

\net

Indiquez une série de points délimitant un cadre polygonal dans lequel seront créées les hachures. Les deux premiers points définissent la ligne de référence pour les hachures perpendiculaires. Pressez Enter pour fermer le polygone.

  • REMARQUE : Vous pouvez surcharger le cadre polygonal en snappant les sommets d'un polygone qui existe déjà dans le modèle.

Spécifiez l'espacement entre les lignes de hachurage parallèles à la ligne de référence.

Spécifiez l'espacement entre les lignes de hachurage perpendiculaires à la ligne de référence.

Le polygone est rempli par un hachurage perpendiculaire selon les intervalles indiqués.

Indiquez si le polygone doit être effacé tout en laissant les hachures perpendiculaires dans le modèle.


introduction

Home > 8 Hachurer le modèle > introduction

Hachurage et motifs

ARC+ met à votre disposition plusieurs méthodes pour remplir un modèle d'une façon graphique et créer des textures ou des motifs sur une surface.

Un motif de hachurage est constitué par une série de lignes parallèles tracées selon les directions, les espacements et les types de lignes que vous spécifiez. Les motifs de hachurage sont utilisés de manière caractéristique pour représenter:

  • La texture
  • Les surfaces en coupe
  • Les matériaux utilisés dans les couches d'un mur

Un motif surfacique est un motif prédéfini qui sera répété pour remplir une surface. Les utilisations caractéristiques des motifs surfaciques sont la représentation:

  • Des matériaux
  • Des briques
  • Des tuiles de toiture
  • Du pavement

Un motif linéaire est un élément prédessiné qui est répété le long d'une ligne. Les utilisations caractéristiques du motif linéaire sont:

  • L'isolation
  • La terre
  • Les matériaux utilisés dans les couches d'un mur

Vous pouvez créer des hachures multiples ou des hachures entrecroisées. Vous pouvez utiliser des catalogues de motifs surfaciques prédessinés et de motifs linéaires, ou bien dessiner vos propres motifs.

Vous pouvez remplir une couche murale avec des hachurages ou un motif linéaire (voir Murs, Hachurages de murs et d'arcs, commande \mwfil).

Thèmes liés

  • Motifs de hachurage
  • Motifs surfaciques
  • Rafraîchissement
  • Motifs linéaires
  • Sélection des motifs


Modification d'un motif linéaire

Modifie les entités de motifs linéaires spécifiés par un autre motif linéaire placé dans la même position.

\ulpat

Vous pouvez modifier un motif linéaire de façon individuelle ou en sélectionnant un groupe de motifs.

Spécifiez le nouveau code du motif linéaire ou frappez Enter pour afficher le catalogue graphique.

Sélectionnez la modification d'un groupe sélectionné ou celle d'un élément motif linéaire individuel. Dans le dernier cas, indiquez l'élément à modifier.


Motifs de hachurage

Les motifs et le hachurage des polygones, couches de murs, surfaces de solides sont associatifs. Dans la plupart des cas, lorsque vous déplacez ou modifiez des entités hachurées ou comportant un motif, le remplissage est modifié en accordance exacte avec l’entité.

Surfaces pouvant être hachurées

Vous pouvez hachurer toute surface délimitée par un polygone. Le polygone peut appartenir à un plan quelconque.

N'oubliez pas que seules les bases inférieures et supérieures de solides simples (prismes) sont considérées par ARC+ comme des polygones. Pour hachurer le côté d'un polygone, utilisez la commande Conversion d'un solide pour mesures et hachurages (\solconv) afin de transformer toutes les faces du solide en polygones (Voir Polygones et solides). Vous pouvez alternativement tracer un polygone le délimitant avant d’utiliser les commandes de remplissage.

Paramètres de hachurage

Pour définir un motif de hachurage, vous devez spécifier:

  • Une ligne de référence et un point de référence pour les angles de hachurage
  • Un angle, un espacement et un décalage pour le hachurage.

Ces termes seront interprétés de la manière suivante:

ligne de reference | Définie par deux points. L'angle du hachurage est mesuré à partir de cette ligne.
point de reference | Un troisième point (non situé sur la ligne de référence) qui déterminera de quel côté de la ligne de référence les angles sont mesurés.
  • IMPORTANT : Les trois points doivent appartenir au plan du polygone à hachurer. Généralement, il est plus facile d'utiliser les sommets du polygone lui-même. Pour garantir la précision, snappez les points.
angle de hachurage | Angle formé par les lignes de hachurage et la ligne de référence. L'angle est mesuré à partir de la ligne de référence et dans la direction du point de référence
espacement | Espacement perpendiculaire entre les lignes de hachurage (ex: 0.3m)
decalage | Décalage indiqué en mètres à partir du premier point de la ligne de référence. Si vous fixez le décalage à 0, l'une des lignes de hachurage (ou son prolongement) passera par ce point. Avec toute autre valeur de décalage, les lignes de hachurage seront translatées par la distance du décalage.

Hachurage multiple et entrecroisé

Les commandes de hachurage permettent d'effectuer le hachurage répétitif d'un polygone, en faisant varier l'angle de hachurage, l'espacement et le décalage. Ainsi, en faisant varier le décalage, vous obtenez un hachurage à lignes doubles, et en faisant varier l'angle vous obtenez un entrecroisement.

Comportement des motifs de remplissage et des hachurages associatifs

Les motifs de remplissage et les hachurages sont désormais associatifs, à savoir qu'ils sont automatiquement mis à jour en cas de modification des limites de la zone qu'ils couvrent.

Si, par exemple, vous hachurez un polygone puis que vous étirez celui-ci - à l'aide de la commande Etirement des points d'une entité au moyen d'une fenêtre (\movef) - le hachurage est modifié de manière à s'adapter à la nouvelle forme.

Le hachurage est également modifié lorsque vous «ouvrez» le polygone d'origine à l'aide de la commande Effacement de segments de polygones (\pldel), avant de modifier sa forme (à l'aide d'une commande quelconque de création de polygone), puis de le refermer.

  • REMARQUES : Le degré d'associativité dépend de la méthode de définition de la surface hachurée: il est élevé en présence d'un polygone fermé et faible en présence d'une surface délimitée par diverses entités. Les motifs de remplissage associatifs peuvent être définis dans tous les plans ou uniquement dans le plan xy, selon qu'ils s'appliquent à des polygones ordinaires ou bien à des surfaces délimitées par des polygones ou des côtés.

Thèmes liés

  • Hachurage d'un polygone
  • Hachurage de polygones sélectionnés
  • Hachurage perpendiculaire d'une surface
  • Dessiner des motifs en zigzag entre les lignes


Motifs linéaires

Les motifs linéaires sont formés par la répétition d'une unité constituée par un motif le long d'une ligne de direction invisible. Les motifs linéaires possèdent des propriétés semblables à celles du texte (Voir Texte, concepts de Texte). Tout comme le texte,

  • Les unités de motifs sont mémorisées comme police de caractères et peuvent être dessinées ou modifiées à l'aide de l'éditeur des polices.
  • Vous pouvez créer un motif de taille fixe ou variable.
  • Vous pouvez positionner le motif au-dessus, sur, ou au-dessous de sa ligne de direction.
  • Les motifs linéaires doivent obligatoirement se trouver dans les plans xy, xz ou yz.

En plus des motifs que vous pouvez créer, ARC+ fournit un grand nombre de motifs linéaires prédéfinis qui figurent ci-dessous.

Les motifs linéaires utilisés pour remplir les murs à plusieurs couches ont été redéfinis. Voir Murs, Remplir une couche de mur avec un motif linéaire (\mwfil).

Thèmes liés

  • Création d'un motif linéaire entre deux points
  • Création d'un motif linéaire entre deux lignes parallèles
  • Définition d'un motif linéaire
  • Modification d'un motif linéaire


Motifs surfaciques

Un motif surfacique est formé à partir d'un motif plan ou d'un dessin. Le motif sera répété autant que nécessaire pour remplir une surface délimitée par un polygone. Le système clippe le motif aux frontières du polygone.

Surfaces pouvant être remplies

Vous pouvez remplir toute surface délimitée par un polygone. Si la surface en question n'est pas délimitée par un polygone, vous pouvez en créer un temporairement et l'effacer après avoir procédé au remplissage à l'aide du motif.

Motifs prédéfinis:

ARC+ fournit un grand nombre de motifs surfaciques prédéfinis. Vous pouvez spécifier un motif par son nom, ou bien le sélectionner dans l'affichage du catalogue graphique.

Dessin d'un nouveau motif de remplissage

Vous pouvez dessiner un motif en utilisant les commandes ordinaires d’ARC+.

A cet effet, dessiner le motif dans une surface rectangulaire contenue dans le plan xy. Le motif ne peut inclure que les éléments suivants: ligne, arc, polygone et arc polygonal.

Si vous désirez qu'un espace soit maintenu entre les répétitions du motif, insérez des lignes de contrôle de type 4 dans les angles diagonalement opposés du motif. Les lignes de contrôle définissent les arêtes de l'unité rectangulaire de répétition, mais elles ne sont pas affichées lors de l'utilisation du motif.

Sauvegardez le modèle dans la librairie de motifs (répertoire patterns) en utilisant la commande Gestionnaire de catalogue (\libedit, voir Objets placés et catalogues).

Thèmes liés

  • Remplissage d'un polygone par un motif
  • Remplissage des polygones


Rafraîchissement

Thèmes liés

  • Rafraîchissement des hachurages et des motifs


Rafraîchissement des hachurages et des motifs

Activer ou annuler le mode pour redessiner des lignes d'hachurage et des motifs de murs lors de chaque rafraîchissement de l'écran.

\refh

Pour économiser du temps lors du rafraîchissement de l'écran, le système ne redessine pas généralement les lignes d'hachurage et les motifs de murs à couches multiples. Vous pouvez activer le mode d'hachurage et de motif ou bien l'annuler pour redessiner à chaque fois des hachurages et des motifs. Annulez le mode pour éviter que les hachurages et les motifs ne soient redessinés à chaque rafraîchissement de l'écran.


Remplissage d'un polygone par un motif

Remplit un polygone par un motif surfacique.

\patrn

Spécifiez le nom du motif ou frappez Enter pour afficher le catalogue graphique.

Sélectionnez la couleur du motif à l’aide du sélecteur des couleurs:

Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la valider.

Spécifiez un facteur d'échelle pour l'unité constituée par le motif ( > 1 pour agrandir, < 1 pour réduire). Indiquez deux points définissant une origine et une direction pour le motif. Indiquez le polygone à remplir.

Le motif est créé dans le modèle. Le point d'origine et l'axe x d'une répétition du motif coïncide avec l'origine et la direction que vous avez indiquées.

  • CONSEIL : Si redessiner le motif consomme trop de temps à l'écran, indiquez un plus grand facteur d'échelle pour le motif. Alternativement, masquez le motif après qu'il ait été créé (Consulter la commande Sélection, Masquage/Réaffichage de toutes les entités non-sélectionnées, \blnk).


Remplissage des polygones

Remplit les polygones avec une couleur ou des hachures prédéfinies.

\fill

Utilisez cette fonctionnalité, par exemple, lors de la création d’une carte représentant différentes surfaces d’utilisation d’un terrain et pour souligner les parties de votre modèle sur l’écran lors de la modélisation.

Le type de hachures créé grâce à cette commande n’est pas changé lors de l’impression à des échelles différentes, contrairement au type de hachures créé grâce à la commande Hachurage (\hatch).

  • REMARQUE : font-weight: normal;"Pour tracer un plan contenant des remplissages, vous devez définir votre traceur comme l’une des imprimantes de Windows (Ajouter imprimante dans la définition de Windows). Choisissez ensuite le traceur comme appareil courant dans les caractéristiques d’impression d’ARC+.

Pour envoyer des polygones remplis à votre service d’impression, vous devez créer un fichier .prn. Contactez votre service d’impression pour obtenir une copie du driver qu’ils utilisent. Installez le driver sur votre ordinateur et configurez-le comme appareil courant d’impression de Windows. Dans le gestionnaire d’impression, choisissez Imprimer vers fichier pour créer un fichier .prn.

Le remplissage des polygones est effectué à partir de la barre d’outils Statutréférez vous au sous chapitre Barre d’outils Statut au premier chapitre du présent guide.

Affichage et masquage du remplissage

Le remplissage du polygone peut être caché ou affiché en cliquant sur l’icône Mode de remplissage du polygone dans la barre d’outils Modes. Par défaut ce mode est activé (le remplissage est affiché)


Sélection de l'hachurage, du remplissage, ou des motifs linéaires

Pour sélectionner ou désélectionner tous les motifs de hachurage ou de remplissage du modèle, et/ou tous les motifs linéaires du modèle, utilisez la commande suivante:

\apsel


Sélection de tous les motifs linéaires

Pour sélectionner tous les motifs linéaires du modèle, utilisez la commande suivante:

\lhsel

Pour une description plus complète de ces commandes, reportez-vous aux commandes Sélection, sélection par type d'élément (\apsel) et Sélection de tous les motifs linéaires (\lhsel)


Sélection des motifs

Pour indiquer (sélectionner/désélectionner) un motif de hachurage ou un motif surfacique, pointez à l'aide de la souris une partie quelconque du motif. Le motif que vous avez pointé est sélectionné en entier et change de couleur.

Si le motif couvre une surface importante, le système le décomposera fréquemment en plusieurs éléments. Dans ce dernier cas, indiquez quelques points de plus dans le motif, jusqu'à sélection totale de ce dernier.

Pour indiquer ou sélectionner un motif linéaire, pointez à proximité de sa base. Si vous le souhaitez, vous pouvez afficher les lignes de base des motifs linéaires en utilisant la commande Affichage des lignes de base (\txtul) (voir Texte).

Thèmes liés

  • Sélection de l'hachurage, du remplissage, ou des motifs linéaires
  • Sélection de tous les motifs linéaires


Index

Home > 9 Modification de la manipulation

09 Modification de la manipulation

  1. Ajustement des lignes et des arcs
  2. Briser une ligne ou un arc en segments
  3. Chanfreiner les angles des lignes et des polygones
  4. Clip de lignes
  5. Clip de lignes automatique
  6. Copie
  7. Copie d'entités dans une fenêtre
  8. Copie et rotation d'entités suivant un angle spécifié
  9. Création d'un coin
  10. Création d'un congé
  11. Créer un réseau 3D
  12. Définition de l'incrément
  13. Déplacer/Copier avec décalage
  14. Edition de dessins en 2D
  15. Edition des lignes
  16. Effacer les lignes se chevauchant
  17. Etirement
  18. Extension d'une entité
  19. Edition et manipulation introduction
  20. Manipulation
  21. Manipulation d'entités
  22. Manipulation d'entités d'un point à un autre
  23. Manipulation d'entités par attachement
  24. Manipulation d'entités par rotation
  25. Manipulation d'entités par symétrie
  26. Manipulation dynamique d'entités
  27. Manipulation et mise à l'échelle des entités
  28. Mise à jour des attributs de ligne
  29. Mise à jour selon les attributs courants de ligne
  30. Mise à l'échelle par 2 points
  31. Mode suppression de sélection
  32. Modification d'un arc en segments linéaires équivalents
  33. Modification de la longueur des lignes
  34. Modification des attributs d'un segment
  35. Modification des attributs des lignes
  36. Nettoyage des lignes interrompues
  37. Suppression d'un groupe de sélection
  38. Suppression d'une entité
  39. Suppression des entités du modèle
  40. Suppression des segments de lignes


Ajustement des lignes et des arcs

Ajustez ou prolongez des lignes et des arcs à leur point d'intersection avec une ligne ou un angle de rupture à 3 dimensions (si les lignes à rompre et la ligne de rupture sont dans le même plan), ou bien ajustez une ligne à l'aide de deux lignes de rupture à deux dimensions dans le plan xy lorsque vous êtes dans un plan orthogonal de visualisation.

\trim

Indiquez la ligne ou l'arc à ajuster ou appuyez sur Entrée pour ajuster à l'aide de deux lignes.

Par une ligne ou un arc d'ajustement (défaut):

Toutes les lignes ou arcs qui coupent (ou dont le prolongement coupe) la ligne ou l'arc indiqué peuvent être ajustés ou prolongés à leur point d'intersection. Indiquez la ligne ou l'arc à ajuster, sur le côté de la ligne de rupture à mettre à jour.

Dans les cas ou la ligne d'ajustement est un arc, et où la ligne devant être ajustée est située partiellement à l'intérieur de l'arc, il y a deux options pour l'ajustement. La ligne peut être raccourcie ou prolongée. Dans ce cas, le système vous demande d'indiquer le côté à conserver.

Par deux lignes:

Précisez si vous désirez conserver la partie située entre les deux lignes (partie interne) ou la partie extérieure de celles-ci (externe). Un ajustement intérieur supprime la division de la ligne située entre les deux lignes d'ajustement, tandis qu'un ajustement externe supprime la ligne tout entière à l'exception de la division située entre ces deux lignes. Indiquez les deux lignes d'ajustement, puis indiquez les lignes devant être ajustées.

Pour un ajustement extérieur, si vous indiquez une ligne située entre les lignes d'ajustement mais qui ne les atteint pas ou qui n'a pas d'intersection avec elles, la ligne sera prolongée jusqu'aux lignes d'ajustement.

  • REMARQUE : Cette option ne fonctionne que sur des lignes dans le plan xy.


Briser une ligne ou un arc en segments

Brisez une ligne ou un arc en segments, tout en conservant leur position et les attributs d'origine.

\break

Choisissez l'une des options suivantes:

par point | Indiquez la ligne ou l'arc et déterminez le point de brisure (qui doit se trouver dans les limites de l'entité indiquée).
par nombre des segments | Entrez le nombre de segments demandés, et indiquez la ligne ou l'arc. Tous les segments sont égaux.
par taille des segments | Indiquez la ligne ou l'arc (du côté où l'opération doit commencer). Entrez la longueur ou l'angle du segment. Notez que le dernier segment situé à l'extrême opposé du point indiqué, peut être plus petit que la longueur ou l'angle.

Une fois que la commande a été exécutée, chaque segment devient une entité séparée.


Chamfering Corners of Lines and Polygons

Chamfer the corners of lines and polygons.

\chamf

A chamfer is an oblique line formed between two existing lines at an angle to each other. You can create a chamfer between two lines, two polygon lines or chamfer all the corners of a polygon. The chamfer line assumes the attributes of the polygon or the first indicated line. The lines or polygon may be on any plane.

There are two options:

  • Chamfer two lines or two edges of a polygon

  • left: 16.40pt; Chamfer all the edges of a polygons

" face="Book Antiqua">Chamfer Two Lines or Two Edges of a Polygon

Select one of the following options:

by length and angle

Specify the length of the chamfer and its angle from the first line.

by two lengths

Specify the two distances of the start of the chamfer from the intersection of the two lines.

by two points

Specify a point on each line between which the chamfer is to be created.

by chamfer length

Specify the length of the chamfer. The angle between the lines and the chamfer will be equal.

join (chamfer 0)

Lines are joined at a corner with no chamfer. (This option is not applicable to polygons.)

Indicate the two lines or two polygon edges, (in case of two points, snap the points to the lines in 3D view); confirm the result.

" face="Book Antiqua">Chamfer all Edges of a Polygon

Enter the chamfer lengths and indicate the polygon. (The only option is font-variant: small-caps;"BY 2 LENGTHS ).

NOTE If any of the polygon edges are too short to chamfer, a warning will appear in the command line. Parts of a polygon that include an arc are not chamfered.


Chanfreiner les angles des lignes et des polygones

Chanfreinez les angles des lignes et des polygones.

\chamf

Un chanfrein est une ligne oblique formée entre deux lignes existantes à un angle commun aux deux lignes. Vous pouvez créer un chanfrein entre deux lignes, entre deux lignes de polygone ou chanfreiner tous les angles d'un polygone. La ligne de chanfreinage prend en considération les attributs du polygone ou la première ligne indiquée. Les lignes ou le polygone peuvent être situés dans n'importe quel plan.

Deux options existent:

  • Chanfreiner les deux lignes ou les deux bords d'un polygone
  • Chanfreiner tous les bords d'un polygone

Chanfreiner les deux lignes ou les deux bords d'un polygone

Choisissez l'une des options suivantes:

par la longueur et l'angle | Spécifiez la longueur du chanfrein et son angle à partir de la première ligne.
par deux longueurs | Spécifiez les deux distances du début du chanfrein à partir de l'intersection des deux lignes.
par deux points | Spécifiez le point sur chacune des lignes entre lesquelles le chanfrein doit être créé.
par la longueur du chanfrein | Spécifiez la longueur du chanfrein. L'angle entre les lignes et le chanfrein sera équivalent.
jonction (chanfrein 0) | Les lignes se rejoignent en un angle sans chanfrein. (Cette fonction n'est pas applicable aux polygones).

Indiquez les deux lignes ou les deux bords du polygone (en présence de deux points, snappez ces points sur les lignes dans la visualisation en 3D); confirmez le résultat.

Chanfreiner tous les bords d'un polygone

Entrez la longueur du chanfrein et indiquez le polygone. (Cette option fonctionne de manière similaire à l’option par 2 longueurs décrite ci-dessus).

  • REMARQUE : Si l'un des bords du polygone est trop court pour être chanfreiné, un avertissement apparaîtra dans la ligne de commande. Les parties d'un polygone contenant un arc ne sont pas chanfreinées.


Clip de lignes

Clip les lignes à l'intérieur ou à l'extérieur d'un polygone.

\clip

Utilisez cette commande pour effacer les lignes, les arcs et les hachures à l'intérieur ou à l'extérieur d'un polygone du plan xy. Le polygone joue le rôle d'une bordure définissant l'endroit où les éléments sont clippés.

Choisissez si vous voulez travailler dans la zone intérieure ou extérieure d'un polygone.

Spécifiez si la zone doit être supprimée ou sélectionnée. Si vous sélectionnez les lignes, chaque ligne est clippée à son intersection avec le polygone et chaque partie est considérée comme une entité séparée.

Sélectionnez le polygone de bordure ou appuyez sur Entrée pour utiliser une fenêtre rectangulaire au lieu d'un polygone. Définissez la fenêtre en déterminant le premier point et le point opposé.

Pour chaque option, indiquez si vous voulez conserver le résultat et si les lignes de bordure du polygone doivent être effacées.

  • REMARQUE : Le polygone doit être fermé. Si vous voulez clipper des hachures, utilisez tout d'abord la commande Eclatement de Polygone (\expol) pour transformer les hachures en lignes. Utilisez cette commande uniquement dans les modes orthogonaux parallèles.

  • REMARQUE : Les arcs brisés sont convertis en une série de segments de droites et ne constituent plus des arcs.


Clip de lignes automatique

En plus de la commande \clip manuelle, il est également possible d’ajouter un comportement de clip aux polygones. Lorsque des fichiers 3D sont générés pour obtenir une ligne 2D cachée du gestionnaire de caméras et coupes (voir la commande de visualisation \csmanag au chapitre 11), les polygones de ce type clippent automatiquement des lignes non souhaitées. Ces polygones peuvent faire partie d’un objet et être placés à partir d’une bibliothèque (2D). Ils fonctionneront comme des formes de clip automatique. Par exemple, des sanitaires placés sur du carrelage donneront le résultat suivant:

  • REMARQUE : L’option «clip automatique» doit être activée pour obtenir l’effet de clip automatique du gestionnaire de caméras et coupes.

\clipadd

Utilisez cette commande pour contrôler le comportement de clip d’un polygone. Elle effacera les lignes et les arcs situés à l’intérieur ou à l’extérieur d’un polygone sur le plan XY. Le polygone agit en tant que bord qui définit l’emplacement des éléments.

\clipall

Utilisez cette commande pour trouver tous les polygones ayant des attributs de clip dans votre fichier courant. Le clip sera appliqué aux lignes 2D à supprimer.


Copie

En plus des commandes décrites plus haut, vous pouvez vous servir des commandes suivantes pour copier des entités sans les avoir sélectionnées au préalable. Vous pouvez également faire pivoter ces entités au cours de la copie.

Thèmes liés

  • Copie d'entités dans une fenêtre
  • Copie et rotation d'entités suivant un angle spécifié
  • Définition de l'incrément
  • Déplacer/Copier avec décalage
  • Créer un réseau 3D


Copie d'entités dans une fenêtre

Copie des entités à l'aide d'une fenêtre.

\copyf

  • REMARQUE : Il n'est pas obligatoire de sélectionner les entités avant d'utiliser cette commande.

Spécifiez le premier coin et le coin opposé de la fenêtre.

Spécifiez un point de départ et un point d'arrivée, définissant ainsi une direction de déplacement tridimensionnelle. Le déplacement s'effectuera du premier point au second.

Notez que toutes les entités à l'intérieur de la fenêtre sont copiées. Les entités partiellement enfermées dans la fenêtre seront également copiées si un point spécifique de l'entité se trouve dans la fenêtre.

Le système vous propose ensuite une autre copie. Il copiera le même groupe de sélection à partir de nouveaux points.


Copie et rotation d'entités suivant un angle spécifié

Copie et effectue la rotation d'une entité.

\rcopy

Cette commande vous permet de sélectionner une entité unique à copier en la désignant à l'aide du curseur ou en enfermant une ou plusieurs entités dans une fenêtre.

La commande effectue la copie, la rotation et la translation de l'entité (ou des entités) désignée. L'entité désignée est effectivement copiée à la nouvelle position, mais elle ne s'affiche qu'après rafraîchissement de l'écran.

Utilisation

Désignez l'entité ou sélectionnez les entités que vous voulez copier en utilisant une fenêtre. Définissez le point à partir duquel vous souhaitez copier et effectuez la rotation de l'entité. Entrez l'angle de rotation dans le plan xy. Définissez le point d'arrivée pour l'entité copiée.


Création d'un coin

Crée un coin entre deux lignes ou deux murs identiques.

\corner

Utilisez cette commande pour réunir deux lignes ou pour former un coin entre deux murs droits ou deux murs courbes de même type.

Pour une description détaillée du fonctionnement de cette commande avec les murs, voir Murs, Créer un coin entre des murs.


Création d'un congé

Crée un congé entre deux lignes, polygones ou murs.

\fillet

Vous pouvez choisir l’une des options de congé (décrites ci-dessous) suivantes :

  • la création d'un congé courbe entre deux lignes (\fillet)
  • la création d'un congé dans un polygone 2D (\pfilet)
  • la création d'un congé courbe entre deux murs (\fillet)

Création d'un congé ou d'un angle entre deux lignes

Crée un congé en arc ou en angle entre deux lignes (entités filaires).

\fillet

Vous pouvez raccorder deux lignes par un congé en arc ou en angle. Spécifiez le rayon du congé en arc. Désignez ensuite les deux lignes que vous voulez raccorder au moyen d'un congé. Notez que la longueur des lignes change de manière à les adapter au congé en arc.

Créez un angle au lieu d'un congé en arc en appuyant sur Entrée au lieu de spécifier le rayon. Désignez les deux lignes que vous voulez raccorder par un angle.

Prenez soin d'indiquer les côtés de l'intersection des lignes sur lesquels vous désirez dessiner le congé ou l'angle.

Création d’un Congé dans un Polygone

Crée un congé en arc dans un polygone.

\pfilet

Vous pouvez créer un congé en arc dans un polygone.

Spécifiez le rayon de l’arc pour le congé. Ensuite indiquez le polygone et si vous désirez créer un congé pour un sommet ou pour tous les sommets. Si vous indiquez un seul sommet, snappez le sommet.

  • REMARQUE : Cette commande ne fonctionne que pour les polygones en 2D.

Création d'un congé en arc entre deux murs

Crée un arc au rayon spécifié tangent à deux murs non parallèles.

\fillet

Spécifier le rayon du congé.

Indiquer les deux murs entre lesquels doit être créé l'arc.

Les murs sont raccourcis ou allongés selon le besoin jusqu'au point où commence l'arc. Si les deux murs se coupent, il faut indiquer les murs du côté de l'intersection à conserver.

  • REMARQUE : Les deux murs doivent posséder le même nombre de couches et la même symétrie.


Créer un réseau 3D

Utilisez cette commande pour copier en une seule opération les entités sélectionnées, le long de 1, 2 ou des 3 axes principaux, afin de générer un réseau. Cette commande permet également de créer un réseau polaire sur le plan XY.

\array3d

Les exemples ci-dessous illustrent les différents types de réseaux que vous pouvez réaliser à l’aide de cette commande:

Réseau en Y | Réseau en XYZ
Réseau en XY | Réseau polaire

Après avoir exécuté cette commande, si aucune entitén’est sélectionnée, le système vous demande de définir une fenêtre de capture entre deux points dans laquelle seront sélectionnées les entités à dupliquer.

La boîte de dialogue suivante apparaît alors:

Cette boîte de dialogue est divisée en deux onglets: un pour définir un réseau rectangulaire l’autre pour définir un réseau polaire.

  • IMPORTANT: Les deux onglets de cette boîte de dialogue contiennent des champs numériques pour saisir des distances ou des angles. En face de chacun d’eux, apparaît une petite flèche qui est en fait un bouton permettant d’indiquer des points dans le modèle afin de calculer automatiquement ces valeurs:

Réseau rectangulaire

L’onglet pour définir un réseau rectangulaire est divisé en deux parties principales. La partie supérieure vous permet d’entrer les informations concernant le nombre de copies alors que la partie inférieure permet de configurer les options de positionnement.

OPTION | DESCRIPTION
Lignes | Nombre de copies le long de l’axe des Y
Colonnes | Nombre de copies le long de l’axe des X
Etages | Nombre de copies le long de l’axe des Z
Espace entre les lignes | Espace entre les copies le long de l’axe des Y
Espace entre les colonnes | Espace entre les copies le long de l’axe des X
Espace entre les étages | Espace entre les copies le long de l’axe des Z
Angle du réseau | Cette valeur donne la possibilité de pivoter l’ensemble du réseau polaire suivant un angle spécifique.

Réseau polaire

L’onglet pour définir un réseau rectangulaire est divisé en trois parties principales: une pour la définition du point central, une pour la sélection de la méthode de construction et une pour les options de rotation.

Point central

Les coordonnées X et Y représentent le point autour duquel les éléments doivent pivoter

  • REMARQUE: La coordonnée Z n’est pas à préciser car la rotation des éléments n’est possible que sur le plan XZ.

Méthode et valeur

Les différentes méthodes de constructions dépendent des paramètres que vous pouvez entrer:

  • Nombre total d’éléments: Il représente le nombre total des éléments qui se trouveront dans le réseau polaire.
  • Angle à d’écrire: Il s’agit de l’angle total à parcourir par l’ensemble des éléments.
  • Angle entre les éléments: Il s’agit de l’angle entre deux éléments. Cette valeur est exprimée en degrés.

Options de rotation

Lorsque vous activez l’option Pivoter les éléments au cours de la copie, les entités sont pivotées indépendamment tout le long du réseau polaire. Dans ce cas, les options pour définir le point de base de ces rotations relatives deviennent accessibles et modifiables. Par défaut, les entités sont pivotées autour du point de base de l’objet. Il est cependant possible de définir un autre point en indiquant ces coordonnées.


Définition de l'incrément

\setinc

Cette commande définit la valeur par défaut de toutes les commandes qui utilisent des étapes par incréments pour les déplacements, les copies et les rotations: \moveinc, \moveinc2d, \copyinc, \copyinc2d, \rotinc and \rotinc2d

Entrez la valeur de palier suivie de l’incrément d’angle souhaité.


Déplacer/Copier avec décalage

Cette commande est utile pour déplacer ou copier des entités par décalage dans une direction donnée.

\offset

Cette commande peut s’appliquer aux:

  • Polygones
  • Solides
  • Murs
  • Textes
  • Cotations

Principe

  • Après avoir lancé cette commande, choisissez dans le menu apparaissant l’une des options suivantes:
  • Déplacer avec décalage: Cette option déplace les entités indiquées suivant le décalage spécifié.
  • Copier avec les attributs originaux: Cette option copie les entités indiquées suivant le décalage spécifié. Les nouvelles entités ainsi créées obtiendront les mêmes attributs (calque, couleur, etc…) que celles indiquées.
  • Copier avec les attributs courants: Cette option copie les entités indiquées suivant le décalage spécifié. Les nouvelles entités ainsi créées obtiendront les attributs (calque, couleur, etc…) courants.
  • Indiquez l’entité à décaler
  • Indiquez un point de direction
  • REMARQUE:Lorsque vous indiquer un segment appartenant à un polygone, c’est le polygone tout entier qui est déplacé ou copié suivant le décalage indiqué.


Edition de dessins en 2D

Vous pouvez sauvegarder des vues 2D de votre modèle 3D pour la réalisation de dessins de travail et de présentation. Les commandes suivantes ont été créées pour éditer de tels dessins.

Thèmes liés

  • Effacer les lignes se chevauchant
  • Nettoyage des lignes interrompues


Edition des lignes

Cette division décrit les commandes pour l'édition de lignes et d'arcs.

Thèmes liés

  • Briser une ligne ou un arc en segments
  • Modification des attributs d'un segment
  • Modification de la longueur des lignes
  • Ajustement des lignes et des arcs
  • Modification d'un arc en segments linéaires équivalents
  • Création d'un coin
  • Création d'un congé
  • Chanfreiner les angles des lignes et des polygones
  • Clip de lignes
  • Clip de lignes automatique


Effacer les lignes se chevauchant

Utilisez cette commande pour effacer les lignes qui se chevauchent dans les dessins 2D. En utilisant cette commande, vous produisez un plus petit fichier et évitez aussi de redessiner une ligne superposée plusieurs fois lors du traçage.

\cline

  • IMPORTANT : Cette commande est destinée à être utilisée sur des dessins 2D que vous créez ou que vous éditez.

Les lignes sont ajustées selon l’ordre des priorités suivantes:

les lignes fines sont effacées laissant les lignes épaisses

Les lignes en pointillés ou tirets sont effacées en fonction de leur numéro

les lignes colorées sont effacées en fonction de leur numéro

Par exemple, lorsque les lignes de type 3 et 5 sont superposées, la ligne de type 3 est sauvegardée et celle de type 5 est effacée.

  • REMARQUE : Pour utiliser les paramètres par défaut tapez le nom de votre fichier de sortie sans appuyer sur Entrée pour les paramètres avancés.

Options avancées pour effacer les lignes superposées

Des options avancées ont été ajoutées pour vous permettre d’affiner les tolérances du système. Ces tolérances vous permettent de déterminer si une ligne sera ajustée (raccourcie ou effacée).

  • CONSEIL : Utilisez les options avancées sur des modèles qui se servent soit de très grandes échelles, soit de très petites échelles.

Pour affiner les paramètres

1. Choisissez Entrée pour les paramètres avancés afin de définir les conditions pour lesquelles les lignes se chevauchant seront effacées:

  • Définissez l’angle maximal créé par deux lignes. Si l’angle est inférieur à cette valeur et que les autres conditions sont présentes, la ligne est ajustée.

  • Définissez la distance maximale permise entre deux lignes. Si la distance entre les deux lignes est inférieure à cette valeur et que les autres conditions sont présentes, la ligne est ajustée.
  • Définissez la longueur minimale de la ligneà calculer pour le nettoyage. Les lignes se chevauchant qui sont supérieures à cette valeur et qui remplissent les autres conditions seront ajustées.

2.Entrez un nom de fichier et sauvegardez le fichier.

Les lignes se chevauchant qui remplissent toutes les conditions sont effacées. La ligne ou le segment superposé effacés ou raccourcis sans générer de nouvelle ligne. Ceci assure que toutes les lignes restent à leur position initiale.

Auparavant, les lignes superposées étaient ajustées après l’utilisation de la commande Sauvegarder une projection 2D du modèle (\save2D). Dorénavant, vous pouvez exécuter la commande en mode modélisation à n’importe quelle étape du dessin.


Etirement

Les commandes suivantes étirent les entités en déplaçant des points isolés ou des groupes de points des entités.

Thèmes liés

  • Extension d'une entité


Extension d'une entité

Etire une entité en déplaçant son bord par rapport à un point ou à un cadre.

\stretch

Vous pouvez choisir l’une des options d’extensions suivantes:

  • l'extension de points sur une entité à l'aide d'un cadre
  • l'extension d'un point sur une entité
  • l'extension des entités indiquées, à l'aide d'un cadre

Vous trouverez ci-dessous une description de chaque composant des commandes combinées.

Etirer un point sur l’entité

Etire une entité en déplaçant l'un de ses points de manière relative.

  • REMARQUE : Il n'est pas obligatoire de sélectionner les entités avant d'utiliser cette commande.

Spécifiez deux points définissant la distance dont il faut déplacer le point, soit le point de départ et le point d'arrivée. Vous pouvez définir ces points sur l'entité à étirer ou en dehors d'elle.

Spécifiez le point à déplacer ou appuyez sur Entrée si le premier point que vous avez spécifié précédemment est lui-même le point à déplacer.

Le point subit une translation relative égale à la distance entre les deux premiers points. Toutes les lignes reliées à ce point sont étirées vers la nouvelle position.

Vous pouvez confirmer ou rejeter le résultat et continuer à déplacer d'autres points de la même distance.

  • REMARQUE : Les éléments exceptionnels qui ne peuvent pas être étirés sont les arcs, les arcs polygonaux, les objets placés, les entités de hachurage et les solides complexes.

Cette commande étire ou réduit une partie de l'entité, contrairement à d'autres commandes de déplacement, qui manipulent l'entité intégralement, sans la modifier.

Etirement des points d’une entité au moyen d’une fenêtre

Déplace le contenu d'une fenêtre spécifiée d'une distance relative.

  • REMARQUE : Il n'est pas obligatoire de sélectionner les entités avant d'utiliser cette commande.

Spécifiez deux points définissant la distance dont il faut déplacer le point, soit le point de départ et le point d'arrivée. Vous pouvez définir ces points sur l'entité à étirer ou en dehors d'elle.

Définissez une fenêtre comprenant tous les points à être déplacés, en spécifiant deux de ses angles opposés.

Les points se trouvant dans la fenêtre se déplacent de la distance séparant les deux points. Toutes les lignes reliées aux points déplacés sont étirées vers leurs nouvelles positions. Les arcs, les objets placés et les hachures sont des entités exceptionnelles qui ne peuvent absolument pas être étirées.

La manière dont sont affectées les entités qui ne se trouvent que partiellement dans la fenêtre dépend du type d'entité, comme expliqué ci-dessous:

Type d'entité | En partie dans fenêtre | Entièrement dans fenêtre
Lignes | étirement | déplacement
Lignes en arc | aucun changement | déplacement
Polygones | étirement | déplacement
Polygones en arc | déplacement | déplacement
Solides polygonaux | étirement | déplacement
Solides complexes | étirement | déplacement
Hachures | aucun changement | aucun changement
Motifs linéaires | étirement | déplacement
Eléments placés | aucun changement | déplacement
Texte | aucun changement | déplacement
Lignes et textes de cotation | étirement | déplacement

Vous pouvez confirmer ou rejeter le résultat et continuer à déplacer d'autres points de la même distance.

  • REMARQUE : Si un point du polygone quitte le plan du polygone, il en résulte un polygone ayant une surface déformée. Après quoi le système partage cette surface en un certain nombre de triangles plus aisés à manipuler.

Cette commande étire ou réduit une partie de l'entité contrairement à d'autres commandes de déplacement qui manipulent l'entité entière sans la changer.

Les éléments exceptionnels qui ne peuvent pas être étirés sont les arcs, les arcs polygonaux, les objets placés, les entités de hachurage et les solides complexes.

Si vous éditez manuellement un texte de cotation, puis désirez déplacer la ligne de cotation à l’aide de cette commande, une boîte de dialogue apparaît. Indiquez si vous voulez conserver les précédentes modifications du texte de cotation ou si vous voulez le modifier.

Extension des entités indiquées, à l'aide d'un cadre

Vous pouvez de tracer un cadre autour d'une portion quelconque de votre modèle, puis de sélectionner une par une (dans le cadre) les entités que vous désirez étirer.

L'extension d'une ligne ou d'un arc de polygone à l'aide d'un cadre provoque désormais le calcul de la nouvelle valeur correspondante et le traçage de l'arc modifié.


introduction

Home > 9 Modification de la manipulation > introduction

Edition et manipulation

Ce chapitre décrit les commandes utilisées pour transformer, modifier ou manipuler des entités existantes. Ces commandes opèrent sur un certain nombre de types d’entités, tels que les lignes, les polygones et les murs. Les commandes d’édition qui sont spécifiques à un certain type d’entité comme les lignes seules sont décrites en tant que telles dans le chapitre approprié.

Thèmes liés

  • Edition des lignes
  • Edition de dessins en 2D
  • Suppression
  • Mise à jour des attributs de ligne
  • Manipulation
  • Copie
  • Etirement


Manipulation

Cette division décrit comment déplacer, copier et effectuer la rotation d'entités sélectionnées dans vos dessins. La plupart des commandes de manipulation agissent sur les groupes de sélection. Ceux-ci doivent être sélectionnés avant d'utiliser la commande.

Les manipulations de groupes de sélection permettent aux entités de se déplacer ou d'être recopiées sans modifier l'entité elle-même. Les commandes d'étirement font l'exception car elles modifient l'entité.

Les commandes de déplacement et de copie d'entités sont similaires. La différence réside dans le fait que dans le premier cas c'est l'entité elle-même qui est déplacée, alors que dans le second c'est une copie de celle-ci qui est repositionnée, laissant intacte l'entité initiale. Vous pouvez copier simultanément des entités multiples.

Thèmes liés

  • Manipulation dynamique d'entités
  • Manipulation d'entités
  • Manipulation d'entités d'un point à un autre
  • Manipulation d'entités par symétrie
  • Manipulation d'entités par rotation
  • Manipulation d'entités par attachement
  • Manipulation et mise à l'échelle des entités
  • Mise à l'échelle par 2 points


Manipulation d'entités

Déplace, copie ou effectue d'autres manipulations (telles qu'une rotation ou une symétrie) à l'aide d'une seule commande.

\manip

Vous pouvez choisir l’une des commandes de manipulation combinées suivantes:

  • la manipulation d'entités d'un point à un autre (\move, \copy)—sous-commande: \movecopy

  • la manipulation d'entités par symétrie (\msym, \csym)—sous-commande: \mcsym

  • la manipulation d'entités par rotation (\mrot, \crot)—sous-commande: \mcrot

  • la manipulation d'entités par attachement (\matt, \catt)—sous-commande: \mcatt

  • la manipulation et la mise à l'échelle d'entités (\mscale, \cscale)—sous-commande: \mcscale

  • manipulation dynamique d’entités (\mcdrag) — y compris (\mdrag, \cdrag)

Ci-dessous, vous trouverez une description de chaque composant des commandes combinées.


Manipulation d'entités d'un point à un autre

Déplace ou copie une entité ou un groupe sélectionné vers un nouvel endroit au moyen d'un déplacement relatif.

\movecopy

  • REMARQUE : Si vous souhaitez utiliser les raccourcis clavier vous devrez Sélectionnez les entités à déplacer ou à copier avant d'utiliser cette commande. Ainsi: F11 (\movem) – Est le raccourci pour déplacer l’entité sélectionné F12 (\copym) - Est le raccourci pour copier l’entité sélectionné

Spécifiez deux points définissant la distance de laquelle vous souhaitez déplacer ou copier l'entité sélectionnée, c'est-à-dire du point A au point B (par défaut, le premier point est 000). Vous pouvez définir ces points sur une entité ou en dehors de celle-ci. Les points définissent la distance du déplacement entre le groupe de sélection initial et la nouvelle position.

Déplacement d'entités

Le groupe de sélection subit une translation égale au déplacement. Vous pouvez confirmer ou rejeter le résultat et continuer, si vous le désirez, à déplacer les objets sélectionnés.

Copie d'entités

Une copie du groupe de sélection subit une translation égale au déplacement. Vous pouvez spécifier un nombre quelconque de copies. Chacune des copies multiples subit la même translation.

\moveinc

\copyinc

Cette commande vous permet d’effectuer des déplacements et des copies par paliers de distance. Il vous est demandé de choisir chaque axe et deux directions. L’incrément de distance peut également être défini.

\moveinc2d

Cette commande vous permet d’effectuer des déplacements par paliers de distance sur le plan XY uniquement.

\moveto

Cette commande vous permet de déplacer n’importe quelle sélection vers une valeur de l’axe z. Ceci vous permet de replacer les entités ayant différentes valeurs sur l’axe z sur une valeur unique.

Dans de nombreux cas, tous les paramètres 2D devront être positionnés sur 0 par défaut pour pouvoir valider votre choix grâce à la touche ENTREE.


Manipulation d'entités par attachement

Déplace ou copie le groupe de sélection en l'attachant à une autre entité.

\align

Cette commande est destinée à être utilisée sur un plan XY en 2D pour pouvoir travailler aussi vite que possible. En l’absence de groupe de sélection, vous serez automatiquement invité à sélectionner des entités. Entrez deux points d’origine sources suivis de deux points cibles à aligner dans une nouvelle direction.

\mcatt

Cette commande est destinée à être utilisée sur tous les plans en 3D.

Elle déplace ou copie toutes les entités du groupe de sélection vers une nouvelle position et une nouvelle orientation dans l'espace. Le déplacement et la rotation relatifs sont déterminés à l'aide de deux plans. En utilisant des ensembles de trois points, vous spécifiez d'une part un plan de départ (ayant une inclinaison ou une position relative au groupe de sélection) et d'autre part un plan défini comme plan d'arrivée. En mettant en oeuvre la commande, le système déplace ou copie le plan de départ—en même temps que le groupe de sélection—pour l'amener à coïncider avec le plan d'arrivée.

Utilisation

Spécifiez un plan dans le groupe de sélection que vous voulez attacher à la nouvelle position. Spécifiez trois points qui définissent un plan dans le groupe de sélection.

Définissez ensuite, à l'aide de trois points, un autre plan avec éventuellement une autre orientation, par rapport au groupe de sélection. L'ordre dans lequel vous définissez les trois points est important car il détermine le rapport entre les deux plans. Il doit être le même pour les plans de départ et d'arrivée.

  • 1er point—position

  • 2e point—alignment

  • 3e point—direction

Le système déplace (ou copie selon l'option que vous choisissez) le premier plan défini (ensemble-départ), en même temps que toutes les entités du groupe de sélection, pour l'amener à coïncider avec le deuxième plan (ensemble-arrivée), suivant les règles ci-dessous:

  • Le plan défini par les points 1-2-3 de l'ensemble A est amené sur le plan défini par les points 1-2-3 de l'ensemble B.

  • Le 1er point de l'ensemble B coïncide avec le 1er point de l'ensemble A.

  • La ligne joignant les points 1-2 de l'ensemble B se confond avec la ligne des points 1-2 de l'ensemble B.

  • Le point 3 de l'ensemble B est situé dans la direction du point 3 de l'ensemble B.

Si vous choisissez l'option de déplacement pour le groupe de sélection, l'ensemble sera déplacé. Vous pouvez confirmer ou rejeter le résultat. Si vous choisissez de copier le groupe, le rapport sera maintenu pour chaque copie multiple.


Manipulation d'entités par rotation

Effectue la rotation d'entités sélectionnées ou d'une copie des entités autour d'un axe.

\rotate

Cette commande est destinée à être utilisée sur un plan XY en 2D pour pouvoir travailler aussi vite que possible. En l’absence de groupe de sélection, vous serez automatiquement invité à sélectionner des entités. Entrez le centre de la rotation suivi de l’angle souhaité.

\mcrot

Cette commande est destinée à être utilisée sur tous les plans en 3D.

Spécifiez si vous voulez faire la rotation autour de l'un des axes principaux (x, y, z) ou autour d'un axe quelconque.

Si vous faites la rotation autour d'un axe principal, choisissez le centre de rotation. Si vous faites la rotation autour d'un axe libre, spécifiez deux points qui définissent l'axe.

Entrez l'angle de rotation (± 0 à 360 degrés).

\rotinc

Cette commande vous permet d’effectuer une rotation par paliers de degrés. Il vous est demandé de choisir chaque axe et deux directions. Le palier de degrés peut également être défini.

\rotinc2d

Cette commande vous permet d’effectuer une rotation par paliers de degrés sur le plan XY uniquement.

Rotation du groupe de sélection

Les entités pivotent autour de l'axe suivant l'angle spécifié.

Rotation d'une copie du groupe de sélection

Spécifiez le nombre de copies. Le groupe tout entier est copié autour de l'axe de rotation suivant l'angle spécifié. Chaque nouvelle copie est obtenue par rotation par rapport à la précédente.


Manipulation d'entités par symétrie

Déplace ou copie le groupe de sélection par réflexion dans un miroir.

\mirror

Cette commande est destinée à être utilisée sur un plan XY en 2D pour pouvoir travailler aussi vite que possible. En l’absence de groupe de sélection, vous serez automatiquement invité à sélectionner des entités. Entrez ensuite deux points qui donneront l’axe miroir. Enfin, choisissez de copier ou de déplacer la sélection.

\mcsym

Cette commande est destinée à être utilisée sur tous les plans en 3D.

Spécifiez si l'image doit être symétrisée par rapport à un axe perpendiculaire à l'un des axes principaux (x, y, z), par rapport à un axe libre ou par rapport à un plan libre:

axe principal (x,y,z) | Sélectionnez l'axe principal et spécifiez le point par lequel devra passer l'axe de symétrie.
axe quelconque | Spécifiez deux points pour définir l'axe.
plan libre | Spécifiez trois points pour définir le plan de symétrie.

Déplacement d'entités

L'image symétrique du groupe de sélection est obtenue. Vous pouvez confirmer ou rejeter le résultat et continuer.

Copie d'entités

Le groupe de sélection est d'abord copié puis son image symétrique est obtenue.


Manipulation dynamique d'entités

Déplace ou copie des entités vers un nouvel emplacement.

Étant donné qu’ARC+ est commercialisé depuis assez longtemps, plusieurs commandes ont été améliorées, tandis que d’autres plus anciennes sont devenues obsolètes:

commande | SELECTION |  |  | options/remarques
 | dynamique | vérification | visible |
\move | oui | oui | oui | Sur sélection uniquement – nouveau premier point
\move1 | oui | oui | oui | Simple ou sélection – image miroir/rotation/échelle sur une seule entité
\mdrag | oui | non | non | Une seule ou plusieurs entités indiquées – image miroir/rotation/échelle possible sur les entités non valides Il est conseillé de ne plus utiliser cette commande et de plutôt utiliser \move1
\movem | Non | oui | oui | Se déplace de point en point – se déplace vers le point d’origine
\moveto | non | oui | oui | Déplace la sélection vers la nouvelle valeur de l’axe Z – ou sur Z = 0.
\moveinc | non | oui | oui | Déplace la sélection par étapes, par incréments.Options to choose seperate axes. Options de choix d’axes différents.
\copy | oui | oui | oui | Sur sélection uniquement – nouveau premier point
\copy1 | oui | oui | oui | Simple ou sélection – image miroir/rotation/échelle sur une seule entité
\cdrag | oui | non | non | Une seule ou plusieurs entités indiquées – image miroir/rotation/échelle possible sur les entités non valides Il est conseillé de ne plus utiliser cette commande et de plutôt utiliser \move1
\copym | non | oui | oui | Copie d’un point à un autre – nombre de copies.
\copyinc | non | oui | oui | Copie la sélection par étapes, par incréments. Options de choix d’axes différents.
\mcdrag | oui | non | non | Simple ou Sélection/plusieurs entités indiquées en l’absence de sélection – image miroir/rotation/échelle possible sur les entités non valides Il est conseillé de ne plus utiliser cette commande et de plutôt utiliser \move1 ou \copy1
\movecopy | non | non | non | Il est conseillé de ne plus utiliser cette commande. Utilisez plutôt \move ou \copy

Toujours désigner les entités ou les sélectionner lorsque aucune sélection n’a été réalisée.

Spécifiez le point de départ (l'origine). La sélection sera affichée en fonction du mode réel de la boîte d’enceinte (\dragmod).

Spécifiez le point d'arrivée. Vous pouvez définir ces points sur une entité ou en dehors de celle-ci. Ces points définissent la distance du déplacement entre le groupe de sélection initial et la nouvelle position. Certaines commandes vous permettront de modifier le premier point même lorsque la sélection et le traitement des déplacements ou copies sont actifs.

Déplacement d'entités

L'entité subit une translation égale à la distance du déplacement.

Copie d'entités

Une copie de l'entité subit une translation égale à la distance du déplacement. Vous pouvez continuer à spécifier des positions nouvelles pour effectuer d'autres copies.

  • REMARQUE : Dans la Manipulation dynamique d’entités (\mdrag ou \cdrag) l’option Alt+5/6-Taille est inactive pour les murs, ouvertures et cotations.


Manipulation et mise à l'échelle des entités

Effectue la mise à l’échelle des entités sélectionnées lors de leur déplacement ou de leur duplication vers une nouvelle position par déplacement relatif.

\scalexyz

Cette commande est destinée à pouvoir travailler aussi vite que possible et avec un minimum d’options pour les situations les plus fréquentes.En l’absence de groupe de sélection, vous serez automatiquement invité à sélectionner des entités. Entrez simplement le point d’origine de la mise à l’échelle suivi du facteur d’échelle souhaité.

\mcscale

  • REMARQUE : Sélectionnez les entités à copier avant d’utiliser cette commande.

Spécifiez deux points définissant la distance de laquelle vous désirez déplacer ou copier l’entité sélectionnée, c-à-d du point A au point B (par défaut, les coordonnées du premier point sont 0 0 0). Vous pouvez également modifier l’échelle des entités sans les déplacer.

Spécifiez un point origine. Il s’agit du point utilisé comme référence pour la mise à l’échelle. Entrez 3 facteurs d’échelle qui seront appliqués aux dimensions en x, y et z respectivement.

  • REMARQUE : Dans la Manipulation et mise à l’échelle des entités (\mscale ou \cscale) la commande est inactive pour les murs, ouvertures et cotations.


Mise à jour des attributs de ligne

Le type, la couleur et l'épaisseur des lignes et des polygones peuvent être mis à jour suivant les paramétrages courants ou suivant n'importe quel autre paramétrage spécifié, individuellement ou en tant que groupe de sélection.

Thèmes liés

  • Mise à jour selon les attributs courants de ligne
  • Modification des attributs des lignes


Mise à jour selon les attributs courants de ligne

Met à jour les attributs de ligne d'entités sélectionnées selon vos valeurs courantes de type, de couleur et d'épaisseur de ligne.

\ualin

Sélectionnez l'option de mise à jour souhaitée:

  • Pour une ou plusieurs entités—entrez n

  • Pour un groupe de sélection—entrez y

Si vous entrez n, le système vous demande d'indiquer l'entité ou les entités que vous désirez mettre à jour.

Si vous voulez mettre à jour un groupe de sélection, vous devez sélectionner le groupe avant de lancer cette commande. Cependant, le résultat n'est pas apparent tant que vous n'avez pas désélectionné le groupe (voir Sélection, Création d'un nouveau groupe de sélection, \snew).

  • CONSEIL : Vous pouvez rapidement mettre à jour les attributs de ligne en définissant de nouveaux attributs de ligne (voir Outils de base, définition des attributs de ligne, commande \aline) puis en utilisant cette commande.


Mise à l'échelle par 2 points

Le but de cette commande est de mettre à l’échelle les entités sélectionnées en calculant automatiquement la distance entre deux points. Cela peut effectuer une copie des entités à mettre à l’échelle ou tout simplement déplacer les entités originales.

\mcs2p

Principe

  • Assurez-vous d’avoir des entités sélectionnées dans le modèle.
  • Indiquez deux points entre les lesquels sera calculée la longueur d’origine.
  • Précisez si vous voulez entrer la longueur de destination entre deux points ou manuellement
  • Précisez si vous voulez copier ou déplacer les entités.


Mode suppression de sélection

Lorsque vous utilisez la commande \delete ou \sdel, vous êtes invité à confirmer la suppression du groupe de sélection. Ceci évite de supprimer des sélections qui se trouvent en dehors de la zone de zoom affichée. Toutefois, si vous êtes un utilisateur expérimenté et que vous êtes certain de ce que vous faites, vous pouvez sauter cette question pour travailler plus vite.

\sdelmod

  • Le mode rapide permet de sauter la confirmation de suppression du groupe de sélection.
  • Le mode sécurité vous demande de confirmer.
  • Le bouton Stop quitte la commande sans effectuer de modification.


Modification d'un arc en segments linéaires équivalents

Divise un arc en segments linéaires équivalents ou en un nombre d'angles spécifié.

\adiv

Précisez si vous désirez diviser l'arc en segments linéaires ou en un nombre égal d'angles, par l'intermédiaire des lignes d'aide.

Déterminez le nombre de segments ou d'angles.

Indiquez l'arc.

Si vous divisez l'arc en segments linéaires, les segments sont dessinés à l'intérieur de l'arc. Le système vous demande ensuite si vous souhaitez supprimer l'arc original.

Si vous divisez l'arc en angles, une série de lignes d'aide radiales divise l'arc à partir du point central.

Mise à jour du rayon des arcs

Modifie le rayon d’un arc existant.

\uarc

Indiquez l’arc à mettre à jour. Spécifiez le nouveau rayon, l’arc est mis à jour.


Modification de la longueur des lignes

Raccourcissez ou étirez les lignes tout en conservant leur position et les attributs d'origine.

\short

Choisissez l'une des options suivantes:

par point | Indiquez la ligne ou l'arc (sur le côté à mettre à jour), et déterminez le point de rupture. La ligne ou l'arc est raccourci ou allongé jusqu'à ce point. Si le point n'est pas situé sur l'entité à rompre, la ligne est rompue dans une projection perpendiculaire du point sur la ligne, ou à un point radial sur l'arc.
par cotation | Indiquez la ligne ou l'arc (sur le côté à mettre à jour). Entrez la longueur ou l'angle par lequel l'entité doit être rompue. Spécifiez une valeur positive pour prolonger la ligne ou une valeur négative pour la raccourcir. L'entité est rompue à l'emplacement spécifié à la longueur ou à l'angle.
a la cotation | Indiquez la ligne ou l'arc (sur le côté à conserver). Entrez la nouvelle longueur ou l'angle destiné à l'entité indiquée. L'entité est rompue à la longueur ou à l'angle spécifié, en commençant par le côté indiqué.

//


Modification des attributs d'un segment

Modifie les attributs d'un tronçon de ligne.

\modi

Entrez les nouveaux attributs (de couleur, d'épaisseur et de type) du tronçon de ligne. Déterminez les extrémités du tronçon à modifier.

  • IMPORTANT : Vous devez snapper les points indiqués à l'aide de la souris pour confirmer votre choix.

Les attributs de lignes initiaux sont conservés pour le reste du segment. Modifiez d'autres segments ou appuyez sur Entrée pour sortir. Cette commande ne s'applique pas aux polygones.

  • IMPORTANT : Si vous exécutez une autre commande sans appuyer sur Entrée pour faire votre choix et sortir, les nouveaux attributs de ligne que vous avez définis seront maintenus.


Modification des attributs des lignes

Modifiez les attributs de type, de couleur et d'épaisseur des entités sélectionnées. Vous pouvez modifier des entités individuelles ou qui font partie d'un groupe de sélection.

\uline

Si vous souhaitez changer les attributs d'un groupe de sélection, sélectionnez les entités avant d'utiliser cette commande.

Choisissez les attributs que vous voulez mettre à jour et définissez les nouvelles valeurs correspondantes:

type

Modifiez le type de ligne d'un groupe de sélection conformément à la boite de dialogue suivante:

couleur

Changer la couleur d'un groupe d'entités. Cliquez sur le sélecteur des couleurs pour faire apparaître la liste des couleurs d'ARC+.

Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour l’affecter à l’entité à modifier.

epaisseur

Changer l'épaisseur de la ligne d'un groupe d'entités: 1= ligne mince, 2=ligne épaisse. Indiquez et confirmez l'entité à mettre à jour.

par echantillon

Copier les attributs d’une entité échantillon sur une autre.

tout

Cette option permet de mettre à jour, en une seule opération, le type, la couleur et l'épaisseur de ligne d'un groupe d'entités. Entrez le type de ligne, les valeurs de la couleur et de l'épaisseur, comme indiqué aux options 1 à 3.

boite de dialogue

Définissez certains ou tous les attributs de lignes, en mode graphique et en utilisant la boîte de dialogue.

Précisez si vous désirez mettre à jour des entités individuelles ou un groupe de sélection. Si vous choisissez des entités individuelles, indiquez-les.

Les entités se transforment en attributs spécifiés. Les transformations dans un groupe de sélection sont observées uniquement après avoir désélectionné.


Nettoyage des lignes interrompues

Utilisez cette commande pour simplifier un modèle constitué de lignes, en fusionnant les segments:

  • Se prolongeant de manière ininterrompue.
  • Se superposant exactement
  • Étant très proches les uns des autres.

\lmerge

Application de la fusion

Vous pouvez appliquer cette fonction au choix sur :

Un modèle complet

Cette fonction effectue la fusion de toutes les lignes d’un modèle suivant les paramètres définis dans la boîte de dialogue de Fusion de lignes (voir ci-dessous)

Le groupe de sélection

Cette option permet de fusionner toutes les lignes d’un groupe de sélection suivant les paramètres définis dans la boîte de dialogue de Fusion de lignes (voir ci-dessous)

Une ligne

Cette fonction effectue la fusion de toutes lignes se superposant ou coïncidant avec la ligne indiquée ou la prolongeant suivant les paramètres définis dans la boîte de dialogue de fusion de lignes (voir ci-dessous)

Boîte de dialogue nettoyage des lignes

La boîte de dialogue de Fusion de lignes comprend 2 catégories:

Tolérance

Cette liste déroulante vous permet de fixer la marge d’erreur entre 1mm et 0,001 mm. L’erreur absolue ne dépassera pas la marge ainsi fixée. Toute ligne se situant dans le voisinage d’une autre à une distance supérieure à celle indiquée ne subit pas de fusion avec cette dernière.

Attributs

Toute combinaison de valeurs est possible en fonction du principe de nettoyage que vous souhaitez appliquer:

Principes de nettoyage

Le système traite le modèle 2D donné par détection des groupes de lignes qui peuvent être fondues en un seul segment en fonction des critères suivants:

Position

La fusion des lignes s’effectue prioritairement dans les groupes de segments qui représentent des lignes continues.

Les segments 1, 2, 3 forment un groupe qui peut être représenté par une ligne continue.

Priorité des attributs

  • IMPORTANT: Par défaut les trois priorités couleur, type et épaisseur sont définis à aucune. Dans ce cas, tous segments contigus ou superposés doivent avoir les mêmes attributs afin qu’ils fusionnent en une seule ligne

Dans le cas où vous définiriez des priorités, les lignes sont alors construites en deux étapes:

  • Le système vérifie d’abord, pour chaque segment s’il peut être inclu dans un groupe de segments superposés ou continus sans ternir compte de leurs attributs.
  • Le groupe de segments est ensuite analysé pour vérifier s'il existe au moins un segment ayant les attributs de lignes que vous avez définis. Si un tel segment est trouvé, la ligne formée par l’unification des segments adopte alors ses attributs. Dans le cas contraire, les segments ne fusionneront pas du tout.


Suppression d'un groupe de sélection

Supprimez un groupe de sélection du modèle.

\sdel

Cette commande supprime toutes les entités et objets placés inclus dans le groupe de sélection de l'écran et de la base de données.


Suppression d'une entité

Supprimez une entité.

\dele

Entrez la commande de suppression. Indiquez et confirmez l'entité à supprimer. L'entité est supprimée du modèle. Appuyez sur Entrée pour sortir de la commande une fois que la suppression est terminée.

Ci-dessous, la description de situations de suppression spécifiques:

Polygones

polygones 2d Indiquez le polygone à supprimer, et il est effacé.
solide ordinaire 3d Pour supprimer le solide et ne laisser la place qu'aux deux polygones de base:

Indiquez les bords joints du solide ordinaire. Les bords (c'est-à-dire le solide), sont effacés ne laissant que le polygone de base inférieur et le polygone de base supérieur. Ceux-ci ne peuvent être convertis de polygones de surface en polygones symboliques, mais ils apparaîtront dans le mode de visualisation de solide sous forme de polygones de surface.

Pour supprimer le solide, et ne laisser uniquement que le polygone de base:

Indiquez un polygone de base d'un solide ordinaire. Le polygone et les bords joints sont effacés. Le polygone qui subsiste est un polygone de surface qui ne peut être converti en un polygone symbolique.
solides complexes a 3d Indiquez n'importe quel bord d'un solide complexe. Tout le solide est effacé.

Murs et ouvertures

murs | Indiquez le mur devant être supprimé. Les ouvertures du mur sont supprimées également.
ouvertures | Indiquez l'ouverture à supprimer. Le mur est reconstitué.
conditions de bord | Lorsque vous supprimez une condition de bord, elle est remplacée par la condition de bord du système—une ligne droite. Si vous effacez la condition de bord du système, le mur reste béant.
escaliers | Indiquez les lignes perpendiculaires à la direction de la cage d'escalier, c'est-à-dire la pointe d'une des marches. (Ceci est équivalent aux lignes connectant les deux bases dans un polygone simple).
groupe de selection | Voir Sélection, Suppression des entités sélectionnées (\sdel).
autres entites | Indiquez l'entité à supprimer, celle-ci est supprimée du modèle.

\delete

Cette commande est très semblable mais néanmoins plus «intelligente» que la commande \dele dont elle est dérivée. Elle supprime le groupe de sélection actif et fonctionne donc comme la commande \sdel. Lorsque aucune sélection n’est active, elle fonctionne comme la commande \dele appliquée à une entité.


Suppression des entités du modèle

Supprime toutes les entités qui ne sont pas comprises dans une fenêtre spécifiée du modèle.

\drop

Cette commande efface toutes les entités se trouvant à l'extérieur d'une fenêtre définie sur le modèle.

Déterminez le premier point et le point opposé de la fenêtre. Les entités dont un ou plusieurs points est situé à l'extérieur de la clôture, et les objets placés dont le point d'origine est situé à l'extérieur de la clôture sont sélectionnés pour la suppression. L'écran est rafraîchi.

  • REMARQUE : N'utilisez cette commande que dans une projection orthogonale.


Suppression des segments de lignes

Supprimez un segment de ligne.

\del2p

Marquez les extrémités du segment à supprimer sur une entité ligne. Le segment de ligne désigné s'efface.

  • REMARQUE : N'utilisez cette commande que sur une vue orthogonale dans le plan xy.


Index

Home > 10 Fichiers

10 Fichiers

  1. Ajouter et éditer l'hyperlien
  2. Archivage d'un modèle et des fichiers associés
  3. Commencer un nouveau fichier à l'aide d'un gabarit
  4. Compatibilité avec les anciennes versions
  5. Conversion par lots
  6. Convertir 15 couleurs en 255 couleurs - Fichier courant
  7. Convertir 15 couleurs en 255 couleurs - Fichiers externs
  8. Copie de sécurité
  9. DXF/DWG
  10. Effacer l'hyperlien
  11. Effacer le fichier courant
  12. Enregistrement d'un fichier Log (Batch)
  13. Enregistrement de fichiers de modèle
  14. Enregistrer aux formats antérieurs
  15. Enregistrer un gabarit
  16. Envoyer un modèle par email
  17. Exécution d'un fichier batch
  18. Exécution d'une sauvegarde rapide
  19. Export et envoie de fichiers pour Internet
  20. Export vers des logiciels de rendu
  21. Exportation DXF/DWG
  22. Exporter au format DWF
  23. Exporter au format VRML
  24. Exporter en format .atl
  25. Exporter en format .gs1 (description de polygones)
  26. Exporter un modèle dans un autre
  27. Fichiers batchs
  28. Fichiers créés à l'aide des commandes ARC+
  29. Fichiers dump d'une base de données d'un modèle
  30. Fichiers gabarit
  31. Fichiers modèles
  32. Fusionner des fichiers adb
  33. Hyperliens
  34. Importation DXF / DWG
  35. Importation et exportation d'un fichier
  36. Importer un fichier dans un autre
  37. Fichiers Introduction
  38. Les usages des fichiers batch
  39. Ouverture d'un fichier existant
  40. Ouvrir l'hyperlien
  41. Ouvrir sous
  42. Paramètres d'exportation
  43. Paramètres d'importation
  44. Recherche des erreurs dans un fichier
  45. Restauration d'un fichier
  46. Restauration d'un modèle à partir d'un fichier dump
  47. Sécurité
  48. Sauvegarde automatique
  49. Sauvegarde d'un fichier
  50. Sauvegarde de votre travail
  51. Stéréolithographie (STL)
  52. Utilisation du gestionnaire de batchs


Ajouter et éditer l'hyperlien

Pour ajouter ou éditer l'hyperlien associé à une entité procédez comme suit:

  • Cliquez avec le bouton droit de la souris au-dessus de l'entité.
  • Dans le menu apparaissant parcourez le sous-menu Info.
  • Parcourez le sous-menu Lien hypertexte.
  • Sélectionnez la commande Ajouter/Editer.

Une boîte de dialogue apparaît. Dans cette boîte de dialogue, vous pouvez saisir directement une adresse Internet ou bien sélectionner un fichier en cliquant sur le bouton Parcourir...


Archivage d'un modèle et des fichiers associés

Copie un modèle avec les fichiers d'objets placés, de catalogue et de système lui correspondant.

\fcopy

Exécutez cette commande pour effectuer une sauvegarde d'archivage d'un projet ou pour transférer un projet vers un autre utilisateur d'ARC+. Vous pouvez choisir de copier des fichiers uniquement à partir du répertoire courant ou à partir des répertoires courants de catalogues.

Tous les fichiers sont copiés dans des répertoires appropriés:

  • Le fichier modèle et tous objets placés sont copiés à partir du répertoire modèle, dans un répertoire cible que vous désignerez, par ex. a:\projeta.
  • Les fichiers catalogues, y compris ceux du répertoire du système arcalib et de tout autre répertoire nommé arcalib sur votre disque, sont copiés dans un répertoire arcalib dans la position cible.
  • Les fichiers systèmes (par exemple les fichiers des polices et des configurations) sont copiés dans des répertoires aux noms donnés par le système ARC+ dans la position cible.

Par exemple, si le modèle original est c:\projeta\modele1 alors que vous sauvegardez dans a:\, le fichier modèle est copié sous le nom de a:\modele1 et les fichiers catalogues sont copiés dans les sous-répertoires a:\arcalib. Si les répertoires n'existent pas dans la position cible, ils sont créés par le système.

Utilisation

Spécifiez le nom du fichier modèle source (par exemple modele1), ou appuyez sur Entrée pour copier le modèle actuellement affiché. Si le modèle ne se trouve pas dans le répertoire courant, utilisez le chemin entier du répertoire (jusqu'à 125 caractères).

Désignez un nom de fichier et un chemin cible pour la copie du modèle (par exemple a:\modele1).

Choisissez de copier:

  • Le fichier modèle uniquement
  • Les fichiers sources de modélisation et d'objets placés à partir du répertoire courant uniquement
  • Les fichiers sources de modélisation et d'objets placés à partir du répertoire courant et des répertoires des catalogues (arcalib)
  • Tous les fichiers ci-dessus mentionnés avec, en outre, certains fichiers système que vous aurez modifiés en cours de travail (par exemple définitions de murs ou de jonctions en T, polices ou configurations du système).

Si le système vous le demande, spécifiez le chemin d’accès au répertoire source pour les fichiers catalogues (par ex. c:\cataloga), ou appuyez sur Entrée si les fichiers sources se trouvent dans le répertoire du système arcalib.

Si le système vous le demande, spécifiez le chemin du répertoire cible pour les fichiers catalogues (par ex. a:\cataloga), ou appuyez sur Entrée pour copier les fichiers catalogues dans le répertoire arcalib du système ARC+.

Choisissez si vous souhaitez confirmer le remplacement d'un fichier existant par le nouveau fichier, ou empêcher le remplacement de tous les fichiers ou de fichiers sélectionnés.

Choisissez si vous désirez ouvrir le modèle copié sur votre écran afin de l'éditer. Si vous ouvrez le fichier, vous pouvez spécifier la vue initiale (par ex. plane, en élévation ou axonométrique).

Les fichiers sont copiés selon vos spécifications. Si les sous-répertoires aux noms de système corrects (par ex. arcalib) n'existent pas dans la position cible, ils seront créés.

Restauration du fichier d'un projet après la sauvegarde

Si vous avez sauvegardé un projet à l'aide de cette commande, vous pouvez restaurer les fichiers en la réutilisant.

Par ex., exécutez la commande en spécifiant a:\modele1 et a:\cataloga comme position source du modèle et du catalogue. Lorsque le système vous demande la position cible du catalogue et du modèle, appuyez sur Entrée pour obtenir les répertoires courants et ceux du système ARC+. Le modèle est restauré dans votre répertoire courant et les fichiers catalogues sont restaurés dans le répertoire du système arcalib.


Commencer un nouveau fichier à l'aide d'un gabarit

Lorsque vous démarrez un nouveau modèle, vous pouvez retrouver les paramètres définis précédemment dans un gabarit utilisateur ou un gabarit par défaut.

\new

La boîte de dialogue suivante apparaît

Choisissez le gabarit désiré de la liste et cliquez sur OK pour le charger.


Compatibilité avec les anciennes versions

Les fichiers des modèles créés sous ARC+ 2007 II ou 2009 Edition ne sont pas compatibles avec les versions précédentes d’ARC+ (ARC+ 2007 I Edition inclus).

Si vous ouvrez un fichier d’une version ARC+ antérieure à ARC+ 2007 II ou 2009 Edition et que vous le sauvegardez, vous ne pouvez plus l’ouvrir sous la version d’origine.

Cependant, il est possible d’enregistrer votre modèle sous un autre format qu’ARC+ 2007 II ou 2009 Edition. Vous pouvez ainsi sauver votre modèle en format:

  • ARC+ 2007 I Edition
  • ARC+ 2005 Edition
  • ARC+ Progress 4
  • ARC+ Progress 3

Si vous essayez d’ouvrir un modèle ARC+ 2007 II ou 2009 Edition dans une version antérieure sans le convertir, le message suivant apparaîtra: File format not supported (Le format du fichier n’est pas compatible).

Thèmes liés

  • Enregistrer aux formats antérieurs
  • Convertir 15 couleurs en 255 couleurs - Fichier courant
  • Convertir 15 couleurs en 255 couleurs - Fichiers externes


Conversion par lots

\dwgbatch

Cette commande permet d’exporter et d’importer plusieurs fichiers en une seule opération. Lorsque vous sélectionnez cette commande, la boîte de dialogue ci-dessous s’affiche:

La liste des fichiers à convertir apparaît dans la boîte de dialogue. Le format de conversion de chaque fichier apparaît dans la colonne de droite.

À partir de cette boîte de dialogue, vous devez exécuter les opérations suivantes pour effectuer simultanément l’exportation et l’importation par lots:

  • Cliquez sur Ajouterpour ajouter des fichiers à convertir ou sur Supprimerpour supprimer le fichier sélectionné de la liste.
  • Cliquez sur Options pour changer les options de conversion.
  • Définissez le format de conversion de fichiers ARC+ (DXF/DWG) en cliquant sur le format (colonne de droite). La conversion par défaut est DWG. La conversion d’un DXF ou d’un DWG donne toujours un fichier ARC+.
  • Cliquez sur OKpour lancer la conversion.

Les dessins de modèle sont exportés dans le même dossier de travail que le fichier source. Le nom du fichier converti est identique. Seule l’extension est modifiée en fonction du format choisi. Ainsi, work/acadFile.dwg est converti en work/acadFile.iii.

  • REMARQUE : Vous ne pouvez pas ajouter deux fichiers avec le même nom mais des extensions différentes (DXF et DWG) car ils seront convertis sous le même nom. De même, si un fichier du même nom existe déjà, un message vous proposera d’écraser ou non ce fichier

Paramètres du convertisseur par lot

Vous pouvez définir les paramètres dans la boîte de dialogue ci-dessous:

Cette boîte de dialogue affiche les paramètres de conversion dans 3 onglets qui sont détaillés plus bas. Tous ces paramètres prennent automatiquement les valeurs utilisées lors de la dernière conversion. Vous pouvez cependant sauver ces valeurs dans des fichiers DCS séparés (bouton Sauver) ou les charger (bouton Charger)

  • REMARQUE : Vous pouvez sauver dans un fichier DCS des réglages indépendants pour les batchs de conversion, l’importation et l’exportation. Lorsque vous sauvez ces paramètres pour les batchs, les paramètres de l’importation et de l’exportation ne sont pas changés. D’autre part, vous ne pouvez pas restaurer les réglages de conversion en batchs depuis un fichier DCS dans lequel sont stockés les paramètres de l’import et/ou ceux de l’export

Le bouton Restaurer réinitialise toutes les options par défaut dans chaque onglet.

Import (paramètres d’import)

Les paramètres d’échelle et leurs effets sont les mêmes que ceux de l’onglet Général décris dans le chapitre concernant l’import DXF/DWG.

Le tableau est le même que celui de l’onglet Correspondances décrits dans le chapitre concernant l’import DXF/DWG.

Export (paramètres d’export)

Les paramètres d’échelle et leurs effets sont les mêmes que ceux de l’onglet Général décris dans le chapitre concernant l’export DXF/DWG.

Le tableau est le même que celui de l’onglet Correspondances décrits dans le chapitre concernant l’export DXF/DWG.

Epaisseur

Le tableau est le même que celui de l’onglet Epaisseur décrits dans le chapitre concernant l’export DXF/DWG.


Convertir 15 couleurs en 255 couleurs - Fichier courant

Home > 10 Fichiers > Convertir 15 couleurs en 255 couleurs - Fichier courant

Convertir 15 couleurs en 255 couleurs - Fichier courant

ARC+ utilise une palette de 255 couleurs tandis que les versions antérieures n’utilisent que 15. Il est possible de définir et remplacer ces 15 couleurs par des nouvelles couleurs de la palette à 255 couleurs.

  • IMPORTANT: Il est fortement conseillé de faire une copie de sauvegarde des fichiers que vous allez convertir avec cette commande. Ceci vous permettra le cas échéant de les utiliser toujours dans une version antérieure.

\clrconv

Au lancement de la commande la boîte de dialogue suivante apparaît:

Dans la rubrique Table de conversion:

  • Ancien – La référence numéro des 15 couleurs d’ARC+ (antérieurs à ARC+ 2007 II Edition.
  • Nouveau – La référence numéro des couleurs correspondant au 15 couleurs anciennes depuis la palette à 255 couleurs. Si vous cliquez sur le bouton, le sélecteur des couleurs ARC+ apparaît afin que vous puissiez choisir une autre couleur:

Choisissez la couleur que vous souhaitez faire correspondre à l’ancien index de numéro puis cliquez sur OK pour valider votre choix.

  • Apparence – affiche un aperçu de la couleur choisi dans Nouveau.

Dans la rubrique Conversion des couleurs:

  • Convertir uniquement fichier courant – Lorsque cette option est choisie, que les couleurs du fichier en cours d’utilisation seront converties selon les préférences que vous indiquez.
  • Courant + Objets placés (Hormis ARCALIB) - Lorsque cette option est choisie, les couleurs du fichier en cours d’utilisation seront convertis ainsi que les objets placés dans votre modèle (sans pour autant modifier leurs origines dans ARCALIB s’ils y sont) selon les préférences que vous indiquez.
  • Enregistrer dans la table – Afin de conserver vos préférences de conversion pour le fichier en cours d’utilisation – cochez cette case. Dans le cas contraire les couleurs affichées par défaut s’afficheront à nouveau lorsque vous lancerez cette commande.

Cliquez sur OK pour enregistrer les changements et fermer la boite de dialogue.

  • IMPORTANT: Les définissions que vous apportez aux 15 couleurs sont instantanés. Par exemple, si couleur 1 est définie en Noir et que vous la changer en bleu tous les éléments jadis affichés en noir deviennent bleus. Cette commande fonctionne aussi sur des fichiers créés sous ARC+ 2007 II Edition.


Convertir 15 couleurs en 255 couleurs - Fichiers externes \\mclrconv

Home > 10 Fichiers > Convertir 15 couleurs en 255 couleurs - Fichiers externes \\mclrconv

Convertir 15 couleurs en 255 couleurs - Fichiers externes

Cette commande vous permet de convertir les 15 couleurs des anciennes versions d’ARC+ en nouvelles couleurs depuis la palette à 255 couleurs. – Pour plusieurs fichiers à la fois.

\mclrconv

  • IMPORTANT : Il est fortement conseillé de faire une copie de sauvegarde des fichiers que vous allez convertir avec cette commande. Ceci vous permettra le cas échéant de les utiliser toujours dans une version antérieure.

Au lancement de la commande la boîte de dialogue suivante apparaît:

  • Cliquez sur Ajouter Dossier pour lancer la boîte de dialogue Ouvrir afin de sélectionner un dossier contenant des modèles ARC+ dont les couleurs sont à convertir. Le contenu du dossier choisi sera affiché dans la rubrique Fichiers/Dossiers à convertir.
  • Cliquez sur Ajouter Fichier pour lancer la boîte de dialogue Ouvrir afin de sélectionner un modèle ARC+ dont les couleurs sont à convertir. Le modèle choisi sera affiché dans la rubrique Fichiers/Dossiers à convertir.
  • Cliquez sur Supprimer afin d’enlever un fichier sélectionné dans la rubrique Fichiers/Dossiers à convertir.
  • Enregistrer dans la table – Afin de conserver vos préférences de conversion pour les fichiers sélectionnés – cochez cette case. Dans le cas contraire les couleurs affichées par défaut s’afficheront à nouveau lorsque vous lancerez cette commande.
  • Dans la rubrique Table de conversion: Ancien – La référence numéro des 15 couleurs d’ARC+ (antérieurs à ARC+ 2007 II Edition.) /// Nouveau – La référence numéro des couleurs correspondant au 15 couleurs anciennes depuis la palette à 255 couleurs. Si vous cliquez sur le bouton, le sélecteur des couleurs ARC+ apparaît afin que vous puissiez choisir une autre couleur:

    Choisissez la couleur que vous souhaitez faire correspondre à l’ancien index de numéro puis cliquez sur OK pour valider votre choix.
  • Apparence – affiche un aperçu de la couleur choisi dans Nouveau.

Cliquez sur OK pour enregistrer les changements et fermer la boite de dialogue.

  • IMPORTANT: Les modifications que vous apportez à la définition des 15 couleurs sont instantanées. Par exemple, si la couleur 1 est définie en Noir et que vous la changez en bleu, tous les éléments jadis affichés en noir deviennent bleus. Cette commande fonctionne aussi sur des fichiers créés sous ARC+ 2007 II et 2009 Editio
  • REMARQUE : La conversion des fichiers risque d’être longue. Cela dépend de la taille des fichiers à convertir et de leur nombre.


Copie de sécurité

Home > 10 Fichiers > Copie de sécurité

Copie de sécurité

Cette nouvelle fonctionnalité permet d’automatiser la création d’une copie de sécurité juste avant la sauvegarde du modèle courant.

\svbackup

Indiquez simplement si vous voulez que le système fasse ou non une copie de sécurité du modèle avant chaque sauvegarde.

Si vous activez de mode, à chaque fois que vous enregistrez le dessin courant, le système fait préalablement une copie du modèle tel qu’il fût à l’ouverture de ce dernier.

Ces fichiers sont stockés dans le même répertoire que le modèle courant et portent le même nom précédé de la mention "Copie_de_".


DXF/DWG

ARC+ vous permet d’importer ou d’exporter les fichiers de format DXF/DWG, tout en gardant l’aspect original des fichiers convertis. Avant l’opération, vous devez définir les différents paramètres de conversion de votre fichier.

Thèmes liés

  • Importation DXF / DWG
  • Paramètres d'importation
  • Exportation DXF/DWG
  • Paramètres d'exportation
  • Conversion par lots


Effacer l'hyperlien

Pour ajouter ou éditer l'hyper lien associé à une entité procédez comme suit:

  • Cliquez avec le bouton droit de la souris au-dessus de l'entité.
  • Dans le menu apparaissant parcourez le sous-menu Info.
  • Parcourez le sous-menu Lien hypertexte.
  • Sélectionnez la commande Effacer.


Effacer le fichier courant

Efface la totalité du fichier courant.

\clear

Le fichier reste ouvert mais son contenu est effacé.

  • REMARQUE:Il n’est pas possible d’effectuer une commande undo sur cette commande. Réfléchissez bien avant de sauvegarder le fichier résultant de cette opération. Si vous souhaitez malgré tout conserver le contenu effacé, quittez le fichier sans effectuer de sauvegarde et procédez à une réouverture du fichier.


Enregistrement d'un fichier Log (Batch)

Crée un fichier batch en enregistrant les commandes que vous utilisez lors d'une session de travail ARC+.

\logon

Spécifiez un nom pour le fichier batch. Le système ajoute l'extension log.

Poursuivez votre travail normalement sous ARC+. Entrez les commandes désirées à l'aide des menus, de la souris, du clavier et des raccourcis clavier. Les commandes que vous exécutez seront enregistrées dans le fichier batch jusqu'à ce que vous cessiez d'enregistrer.

  • IMPORTANT: Lors de l'enregistrement, n'utilisez que des fonctions permises dans les fichiers batch.
  • CONSEIL: Si vous entrez une commande erronée lors de la session d'enregistrement ou si vous désirez changer les paramètres des commandes, vous pouvez éditer le fichier batch à l'aide de tout éditeur ASCII.

Arrêt d'enregistrement d'un fichier log

\logoff

L'enregistrement est terminé et le fichier batch est sauvegardé dans le répertoire courant de votre disque.

  • REMARQUE: Si vous n'exécutez pas cette commande, l'enregistrement continuera jusqu'à la fin de la session.

Continuation de l'enregistrement d'un fichier log

En cas d'interruption due à la commande d'Arrêt d'enregistrement (\logoff), reprenez l'enregistrement d'un fichier batch à l'aide de la commande suivante:

\logcont

Spécifiez un nom de fichier batch existant. Le système ajoute l'extension log.

Continuez en entrant les commandes que vous souhaitez enregistrer. Celles-ci sont ajoutées en fin de fichier batch. Lorsque vous avez terminé, arrêtez l'enregistrement à l'aide de la commande d'Arrêt d'enregistrement (\logoff).

Utilisation des boites de dialogue lors de l’enregistrement d’un fichier log

L’activité qui se déroule dans une boite de dialogue peut être enregistrée à l’aide de la commande Enregistrement d’une session de travail et des commandes batch. (\logon, \logoff, \logcont, \batch).

L’enregistrement dans la boite de dialogue se fait en fonction de la position, c’est à dire qu’elle est basée sur la position en cours du curseur. Si vous sélectionnez un fichier (ou un répertoire) dans la boite de dialogue, au cours de l’enregistrement le fichier devra se trouver dans la même position lors de la relecture (playback) de la séquence enregistrée. Si des fichiers sont ajoutés ou retranchés de la liste, la position relative du fichier sélectionné est modifiée, et le fichier batch peut sélectionner le fichier incorrectement. Par conséquent les étapes suivantes sont recommandées:

  • Entrez les noms des fichiers dans la boite de dialogue. Evitez de sélectionner les fichiers et/ou les répertoires à l’aide de la souris.
  • Exécutez la commande \batch comme première commande de la session de travail.
  • Effectuez l’enregistrement et la relecture de la séquence dans un répertoire de travail prévu exclusivement à cet effet.

Utilisez le fichier log enregistré pour des tâches telles que les démonstrations préenregistrées de projets. Le fichier log enregistré ne contient pas de lignes spéciales pour l’enregistrement de l’activité de la boite de dialogue. et convient mieux à des tâches telles l’exécution répétée d’une série de commandes.

  • REMARQUE:Si vous éditez le fichier *.log manuellement, veillez à ne pas modifier une commande quelconque affectant l’affichage ou le travail d’une boite de dialogue Pour arrêter l’activité de la boite de dialogue enregistrée, vous pouvez éditer manuellement la ligne qui fait appel à la commande \loadlg. Le fichier log sera alors ignoré.

Les limitations suivantes s’appliquent à l’enregistrement et à la relecture des fichiers log contenant des boites de dialogue:

  • La résolution de l’écran lors de l’enregistrement et de la relecture doit être identique.
  • L’enregistrement avec un digitaliseur n’est pas géré en totalité.
  • La commande Configuration de l’écran (\loadcfg) est inhibée.
  • Les valeurs en mode orthogonal ne peuvent pas être entrées.

Fichiers log supplémentaires

Le système crée quatre fichiers au lieu d’un (assurez vous de copier les quatre fichiers lorsque vous copiez les fichiers *.log)

  • logname.log — le fichier batch
  • logname.evt — événements de la boite de dialogue (si l’ option est utilisée)
  • logname.cfg — configuration de l’écran
  • logname.sym — information sur les symboles internes

Le rapport créé par la commande batch (logname.rpt) indique la durée de l’exécution de chaque commande à la fin de la ligne correspondante. Le fichier rapport est réécrit à chaque nouvelle exécution du fichier batch.


Enregistrement de fichiers de modèle

Enregistre le modèle courant sous un nom différent et/ou dans un autre répertoire et/ou dans un autre format.

\saveas

Enregistre le fichier de votre modèle courant sous un nom différent et/ou dans un autre répertoire ou sur un autre disque.

Vous pouvez aussi utiliser cette commande pour convertir votre fichier en d’autres formats ou pour enregistrer vos modèles pour pouvoir les ouvrir sous une version antérieure d’ARC+.

Cette méthode convient particulièrement à l'enregistrement des étapes successives de votre modèle sous un nom différent, tel que proj1, proj2, proj3, etc. Notez que la commande d'enregistrement standard (\save) place les modèles ayant déjà été enregistrés une première fois dans le répertoire en cours, sans vous demander d'indiquer leur nom et leur répertoire de stockage.

Les types de fichiers

Lorsque vous utilisez la commande Sauver sous vous pouvez enregistrer votre modèle sous plusieurs types de fichiers:

  • ARC+ 2007 II Edition (*iii)– Enregistre votre modèle sous le format de la version en cours (ARC+ 2007 II Edition) Ces fichiers, comportant une palette à 255 couleurs ne peuvent pas être ouvrir sous des versions antérieur d’ARC+.
  • REMARQUE: Les détails pour chacun des formats suivants sont expliqués plus bas dans ce chapitre.
  • Gabarit ARC+ (*iii) – Enregistre votre modèle en cours en tant que Gabarit dans les dossiers prévus à cet effet dans ARCALIB. Si vous souhaitez garder que les préférences sans la géométrie, cochez la case «Only settings» dans la boîte de dialogue:

  • ARC+ 2007 Edition (*iii) - Enregistre votre modèle sous le format de la première édition d’ARC+ 2007 – Utilisez cette option pour pouvoir ouvrir votre projet dans cette version d’ARC+. Le convertisseur de 255 à 15 couleurs se lancera lors de l’enregistrement.
  • ARC+ 2005 Edition (*iii) - Enregistre votre modèle sous le format d’ARC+ 2005 Edition – Utilisez cette option pour pouvoir ouvrir votre projet dans cette version d’ARC+. Le convertisseur de 255 à 15 couleurs se lancera lors de l’enregistrement.
  • ARC+ Progress 4 (*iii) - Enregistre votre modèle sous le format d’ARC+ Progress 4 Edition – Utilisez cette option pour pouvoir ouvrir votre projet dans cette version d’ARC+. Le convertisseur de 255 à 15 couleurs se lancera lors de l’enregistrement.
  • ARC+ Progress 3 (*iii) - Enregistre votre modèle sous le format d’ARC+ Progress 3 Edition – Utilisez cette option pour pouvoir ouvrir votre projet dans cette version d’ARC+. Le convertisseur de 255 à 15 couleurs se lancera lors de l’enregistrement.
  • Fichier ASCII (*dmp) – Utilisez cette option pour générer une liste complète en ASCII du contenu du modèle en cours.
  • Fichier GS1 (*gs1) - Utilisez cette option pour générer un fichier de description de polygones afin que vous puissiez l’ouvrir ultérieurement dans certains logiciels de Rendering.
  • Fichier DXF (*dxf) – Utilisez cette option pour convertir le modèle en cours en format DXF. Le convertisseur DXF/DWG se lancera automatiquement lors de l’enregistrement.
  • Fichier DWG (*dwg) – Utilisez cette option pour convertir le modèle en cours en format DWG. Le convertisseur DXF/DWG se lancera automatiquement lors de l’enregistrement.
  • Fichier DWF (*dwf) – Utilisez cette option pour convertir le modèle en cours en format DWF.
  • Fichier ATL v1.2 (*atl) – Utilisez cette option pour convertir votre modèle en cours en format ATL. Ce qui vous permettra de l’ouvrir dans le logiciel Artlantis versions 1.2 et ultérieures.
  • Fichier ATL v2 (*atl) – Utilisez cette option pour convertir votre modèle courant au format ALT versions 2 et ultérieures.


Enregistrer aux formats antérieurs

ARC+ vous permet de sauvegarder vos modèles dans les anciens formats des versions antérieures.

\saveas

Dans la boîte de dialogue apparaissant, choisissiez dans la liste déroulante des types de fichier un des modèles ARC+ antérieurs. Par exemple: ARC+ Progress 3 (*.iii)

Les formats disponibles sont:

  • ARC+ 2007 Edition
  • ARC+ 2005 Edition
  • ARC+ Progress 4
  • ARC+ Progress 3

Ces versions d’ARC+ comportent l’ancienne palette à 15 couleurs. Sous ces versions, un modèle normalement enregistré dans ARC+ 2007 II et 2009 Edition ne pourra pas s’ouvrir correctement vu que la palette n’est pas la même.

Lorsque vous sauvegardez votre modèle sous format d’une version antérieur, le convertisseur de 255 à 15 couleurs apparaîtra pendent l’enregistrement:

  • Toute la gamme de 255 couleurs d’ARC+ avec leurs numéros respectifs se trouve dans la partie gauche du convertisseur. Vous pouvez assigner à chacune des 255 couleurs une des 15 couleurs (selon leurs numéros) des versions antérieures à ARC+ 2007 II Edition.
  • Enregistrer dans la table – Afin de conserver vos préférences de conversion pour les fichiers sélectionnés – cochez cette case. Dans le cas contraire les couleurs affichées par défaut s’afficheront à nouveau lorsque vous lancerez cette commande.


Enregistrer un gabarit

Supposons que vous travaillez actuellement sur un modèle ARC+ et qu'au cours de votre travail, vous avez par exemple créé des nouveaux styles de texte, ou bien vous avez modifié la configuration des calques. Vous aimeriez pouvoir retrouver ces paramètres dans TOUS les prochains nouveaux fichiers que vous allez créer en utilisant l’option Ouvrir sous.

\saveas

En effectuant cette opération, le système enregistre le gabarit du modèle courant avec toutes les préférences que vous ayez indiqué.

Le nouveau gabarit est enregistré sous le nom que vous lui attribuez dans:

  • Le dossier …ARCALIB\TEMPLATE\MODELS lorsque vous travaillez en mode de modélisation (GEOM).
  • Le dossier …ARCALIB\TEMPLATE\DSG lorsque vous travaillez sur une mise en page (DSG).
  • Si vous souhaitez garder que les préférences sans la géométrie, cochez la case «Only settings» dans la boîte de dialogue. S’il n’y a pas de dessin sur votre écran l’icône sauvegardé sera celle se trouvant à \RESOURCE\TEMPLATE\MODEL soit DSG\DEFAULT.ICN selon cas.


Envoyer un modèle par email

Cette fonction vous permet de préparer un modèle ARC+ et de l’expédier à l’aide de n’importe quel utilitaire ou programme d’envoi, comme le courrier électronique ou la publication Web.

\sendto

Lors du lancement de la commande, la boîte de dialogue ci-dessous s’affiche dans laquelle vous pouvez choisir le modèle ARC+ à envoyer ou un autre type de fichier répertorié dans la liste déroulante Type:

Si vous indiquez un fichier d’un autre type qu’ARC+, seule la case à cocher Zipest disponible. Si vous choisissez un fichier de type ARC+ et que vous cochez la case Zip, les boutons Objets placéset Sauver l'icôneseront également disponibles.

  • Objets placés: Si vous cochez cette case, les fichiers source de tous les objets placés dans le modèle ARC+ seront également intégrés à l’ensemble des éléments à envoyer.
  • Objets placés: Si vous cochez les fichiers ICN, définissant les icônes des modèles ARC+ seront également intégrés à l’ensemble des éléments à envoyer.

Dans la liste déroulante Envoyer vers sélectionnez l’une des options suivantes:

  • Destinataire de courrier : le fichier sera préparé en tant que pièce jointe à un nouvel email, prêt à être envoyé.
  • Dossier de destination: Une boîte de dialogue s’affiche, vous demandant d’indiquer le dossier dans lequel enregistrer le fichier.
  • IMPORTANT: Les options disponibles dans la liste déroulante varient en fonction des dispositifs de sortie configurés pour le système. Certains dispositifs de sortie, se contentent de créer le fichier zippé dans le répertoire de travail actuel sans effectuer aucune autre opération de traitement.


Exécution d'un fichier batch

Exécute un fichier batch.

\batch

Spécifiez le nom du fichier batch. Le système ajoute l'extension log.

Spécifiez en dixièmes de secondes la durée des pauses entre l'exécution de deux commandes successives. Par ex., spécifiez 50 pour un intervalle de 5 secondes dans un fichier batch que vous utilisez lors d'une présentation. Spécifiez 0 pour une exécution rapide.

Les commandes du fichier sont exécutées comme si vous les tapiez au clavier. Un compte-rendu de l'opération batch est stocké dans le fichier <batchname>.rpt dans le répertoire courant de votre disque.


Exécution d'une sauvegarde rapide

Home > 10 Fichiers > Exécution d'une sauvegarde rapide

Exécution d'une sauvegarde rapide

Sauvegarde rapidement, dans le répertoire courant de votre disque dur, le modèle actuellement affiché dans un fichier nommé autosave.

\backup

Cette commande agit plus rapidement que celle de Sauvegarde d'un fichier (\save). Cependant, elle stocke le fichier dans un format qui exige plus d'espace sur le disque. Utilisez-la en cours de session ARC+ pour sauvegarder votre travail sur disque. En cas de panne d'électricité ou de tout autre problème, vous pourrez restaurer le modèle en ouvrant le fichier autosave.

  • IMPORTANT : En fin de session de travail, utilisez la commande de Sauvegarde d'un fichier (\save) pour stocker le fichier modèle sous son propre nom. Pour prévenir les effacements accidentels, ne pas stocker votre travail dans le fichier autosave d'une session à l'autre.


Export et envoie de fichiers pour Internet

Cette partie traite des nouvelles commandes ouvrant ARC+ sur le monde d’Internet, en intégrant les outils d’aujourd’hui facilitant les échanges avec d’autres utilisateurs ne disposant pas forcement d’ARC+.

Grâce à ces outils, vous pouvez dès à présent communiquer vos projets par e-mail ou même publier très facilement vos plans 2D ou maquettes 3D en les mettant à disposition sur votre site Web, offrant ainsi à l’internaute la possibilité d’imprimer vos plans ou de se promener en temps réel dans vos projets en 3 dimensions.

Thèmes liés

  • Exporter au format DWF
  • Exporter au format VRML
  • Envoyer un modèle par email
  • Fichiers dump d'une base de données d'un modèle
  • Restauration d'un modèle à partir d'un fichier dump


Export vers des logiciels de rendu

ARC+ vous permet d’exporter vos modèles en trois dimensions vers certains logiciels de rendu (Rendering) sous forme des formats «générales» (.gs1 .dxf) ou pour un logiciel spécifique (.atl pour Art*Lantis™)

Thèmes liés

  • Exporter en format .gs1 (description de polygones)
  • Exporter en format .atl


Exportation DXF/DWG

La commande Enregistrer sous vous permet d’exporter les fichiers ARC+ vers un format DXF ou DWG:

\saveas

  • IMPORTANT:l’ancien convertisseur DXF/DWG est toujours disponible et peut être accéder à l’aide des commandes \dxfout, \dwgout.

  • Sélectionnez l’un des formats DXF ou DWG dans la liste déroulante Type.
  • Cliquez sur Enregistrer pour commencer la conversion.
  • Les paramètres d’importation doivent être impérativement définis avant le début de la conversion.


Exporter au format DWF

Home > 10 Fichiers > Exporter au format DWF

Exporter au format DWF

ARC+ peut exporter votre dessin dans le format Drawing Web Format (DWF). Un fichier DWF est un fichier vectoriel 2D hautement compressé que vous pouvez utiliser pour publier votre dessin sur des pages Web permettant à vos collaborateurs de les consulter à distance ou de les tracer à partir de n'importe quel navigateur Internet équipé d’un visualiseur DWF.

\saveas

  • Choisissez le format DWF dans le menu déroulant Type de fichier
  • Saisissez un nom le fichier, puis cliquez sur Enregistrer

L’export au format DWF affiche une boîte de dialogue dans laquelle vous pouvez choisir parmi trois options pour l'exportation des calques:

Pas de gestion de calques

En activant cette option, les entités visualisées dans le fichier DWF sont toutes affichées sur le même calque.

Entités sur le calque du cadre

En activant cette option, les entités appartenant à un objet ou à un cadre de dessin placé dans un DSG, sont toutes affichées dans le fichier DWF sur le calque de cet élément.

Entités sur leur calque d’origine

En activant cette option, les entités visualisées dans le fichier DWF sont affichées sur leur calque respectif.


Exporter au format VRML

Home > 10 Fichiers > Exporter au format VRML

Exporter au format VRML

VRML (Virtual Reality Modeling Language) est un langage qui permet de décrire des scènes plus ou moins élaborées, se composant d'objets 3D aussi réalistes que possible, et de les afficher sur l'écran de votre navigateur Internet grâce à un logiciel (browser) spécialisé pour ensuite les parcourir en temps réel à volonté et les examiner sous tous les angles comme si vous en faisiez partie vous-même.

L'extension des fichiers VRML est WRL, Pour les charger et les visualiser, il vous faut un browser. Demandez conseil à votre centre expert pour connaître les produits à télécharger compatibles avec votre environnement de travail.

\gsr2wrl

  • IMPORTANT: Cette commande ne fonctionne qu’en mode RENDER. Une boîte de dialogue peut apparaître vous demandant de confirmer le lancement de ce mode. Pour créer le ficher VRML, le système doit temporairement créer un fichier de type GSR à partir du modèle courant.

Cette boîte de dialogue comprend plusieurs parties:

Nom du fichier GSR

Le nom est défini par défaut si vous exportez le modèle courant directement. Dans ce cas, vous n'avez pas à vous soucier de la création du fichier GSR. Si vous souhaitez effectuer la conversion depuis un autre modèle, appuyez sur Parcourir… et sélectionnez le nom du fichier GSR.

Nom du fichier VRML

Cette partie sert à spécifier le nom du fichier à créer. Appuyez sur Parcourir… et précisez le nom et l'emplacement du fichier VRML.

Mode de visualisation

Cette partie permet de spécifier le type d’information à sauvegarder:

  • Cadre filaire: le modèle VRML sera uniquement constitué de polygones filaires simples sans couleur ni texture.
  • Remplissage: le modèle VRML sera constitué de polygones remplis par de la couleur.
  • Textures: le modèle VRML sera constitué de polygones texturés.
  • Arrière-plan

Cette option permet de choisir la couleur de l’arrière plan.


Exporter en format .atl

La commande Enregistrer sous vous permet d’enregistrer votre modèle en format .atl (v1.2 et 2) le format natif du logiciel Art*Lantis™:

\saveas

La boite de dialogue vous permet de choisir le format.atl dans la liste déroulante du sélecteur des formats:

Indiquer le nom et l’emplacement sous lequel votre modèle sera enregistré et cliquez sur OK. Vous pouvez par la suite ouvrir ce modèle directement dans Art*Lantis™. Ne choisissez 1.2 que si votre version d’Artlantis est antérieure à la version 2.


Exporter en format .gs1 (description de polygones)

La commande Enregistrer sous vous permet d’enregistrer votre modèle en format .gs1.

Utilisez cette commande pour exporter un fichier description de polygone (appelé aussi fichier description de surface) pouvant être lu par certains logiciels d'images de synthèse.

>\saveas

La boite de dialogue vous permet de choisir le format.gs1 dans la liste déroulante du sélecteur des formats:

Indiquer le nom et l’emplacement sous lequel votre modèle sera enregistré et cliquez sur OK. Vous pouvez par la suite importer ce modèle dans certains logiciels de rendu.

Dans le format de description de polygone, les entités sont décrites uniquement à l'aide de polygones fermés. Les solides (y compris les solides contenus dans les objets placés) sont convertis en polygones ayant ce format. Les lignes et polygones ouverts sont enregistrés dans le fichier de description d’un polygone. Les entités de cotation, texte et arcs ne sont pas enregistrés. Pour plus de détails concernant le format description d'un polygone, voir l'Annexe.

Les couleurs des lignes sont sauvegardées dans le format description d'un polygone. Les numéros des calques, types de lignes, épaisseurs des lignes et entités masquées ne sont pas sauvegardés. Toutefois, les entités des calques ARC+ non-affichés le sont.

Vous pouvez exécuter cette commande dans le mode modélisation aussi bien que dans le mode visualisation.


Exporter un modèle dans un autre

Exporte un modèle (fichier source) dans un autre fichier modèle (le fichier cible). Le fichier source peut être le modèle affiché sur votre écran, ou un autre fichier dans l’un de vos dossiers.

\fmerge

Sur l'écran:

Vous pouvez fusionner des éléments (sélectionnés dans le modèle affiché) dans un autre fichier cible. Pour effectuer un transfert de ce type, choisissez l'une des options suivantes:

  • groupe de sélection
  • par cadre
  • par entités sélectionnées
  • tout le fichier

Indiquez l'origine en définissant un point sur l'écran ou en entrant les coordonnées du point d'orientation source dans le modèle cible. Pour utiliser le même point d'origine (0 0 0), appuyez simplement sur Entrée.

Une autre méthode consiste à fusionner l'intégralité des fichiers en tâche de fond (sans affichage à l'écran). Entrez le nom du fichier à fusionner et du fichier cible, ou appuyez sur Entrée pour désigner les fichiers dans la boîte de dialogue Sélection.

>A l'arrière-plan:

Vous pouvez fusionner deux fichiers modèles hors écran. Après la fusion, le fichier cible contient, outre ses entités originales, les entités copiées qui sont ajoutées au groupe d'entités sélectionnées du fichier cible. Le fichier source demeure inchangé.

Utilisez cette commande:

  • Pour combiner deux fichiers en un seul
  • Pour copier toutes les entités d'un dessin dans un modèle
  • Pour renverser l'effet de la commande d'Extraction partielle d'un fichier (\extf)

Utilisation

  • IMPORTANT: Cette commande modifie sur le disque dur et de façon permanente le fichier cible. Pour préserver le fichier cible original, sauvegardez-le sous un autre nom de fichier avant la fusion.

Spécifiez les noms des fichiers source et cible. Si vous désirez effectuer la fusion vers ou à partir du fichier new dans la fenêtre de travail, spécifiez si new est le fichier cible ou source.

Choisissez un point de référence comme origine du fichier source:

  • L'origine du fichier cible (0 0 0)
  • Tout autre point du fichier cible

Toutes les entités sources (à l'exception des entités masquées et de celles des calques non-affichés d'ARC+) sont copiées dans la cible et positionnées par rapport au point de référence spécifié. Les entités copiées deviennent des entités sélectionnées et s'affichent en pointillé rouge.

  • REMARQUE:fusion diffère de l'insertion d'un dessin en tant qu'objet placé. Vous pouvez éditer, individuellement dans le modèle, des entités fusionnées, tandis qu'un objet placé est une unité seule qui ne peut être éditée que dans son fichier original (voir Objets placés et catalogues).


Fichiers batchs

Un batch est une liste de commandes et de paramètres ARC+ pouvant être exécutée à n'importe quel moment pour permettre l'utilisation automatique de ces commandes, exactement comme si vous les tapiez sur la ligne d'entrée.

Un batch peut être enregistrés et lancé à partir du gestionnaire de batchs. Ce gestionnaire permet à la fois de les éditer. Il permet également de décider s’ils doivent être enregistrés dans le modèle courant (dans le gabarit) ou dans un fichier séparé (.log)

Thèmes liés

  • Les usages des fichiers batch
  • Enregistrement d'un fichier Log (Batch)
  • Exécution d'un fichier batch
  • Utilisation du gestionnaire de batchs


Fichiers créés à l'aide des commandes ARC+

Ci-dessous une liste de fichiers créés ou modifiés par ARC+ en réponse à vos commandes. A moins qu'il ne soit noté autrement, chaque fichier possède un nom que vous devez spécifier y compris l'extension du fichier figurant sur la liste, comme par ex. votrenom.ddd ou votrenom.dmp.

  • IMPORTANT:Soyez prudent avant de supprimer un fichier. Celui-ci constitue l'enregistrement permanent de votre travail. De nombreux fichiers sont indispensables à une exploitation correcte du système ARC+.

Fichiers dans vos répertoires de travail

Nom de fichier | Description
*.ddd, *.iii, | Fichiers modèles
*.adb | Fichiers gabarit
*.icn | Icônes pour affichages de la boîte de dialogue graphique
*.log | Fichiers batch
*.rpt | Comptes-rendus d'exécution de certaines commandes
*.tex | Fichiers texte ASCII (voir Texte)
*.img, *.pcx, *nf1, *.np1 | Captures d'écran en images ARC+ ou format pcx respectivement
*.dmp | Fichiers dump
*.gs1 | Fichiers description d'un polygone
*.dxf | Fichiers DXF
*.xlr, *.xft, *.xcl, *.xlt, *.xpr | Tableaux de translation générés par la commande d'Importation d'un fichier DXF (\dxfin) pour les calques, polices, couleurs, types de lignes et autres paramètres respectivement
*.dwf | Fichiers DWF
*.vrml | Fichiers VRML
*.met, *.plt | Fichiers tracé (voir Tracé et impression)
nouveau modele | Fichier travail temporaire
autosave | Fichier sauvegarde temporaire
D@*.* | Préfixe pour nouveaux fichiers DSG, vous pouvez ajouter jusqu’à 6 caractères
*.stl | Fichiers de stéréolithographie
*.hdl | Fichier de solide sauvegardé

Fichiers du répertoire des catalogues (ARCALIB et ses sous-répertoires)

Nom de fichier | Description
*.ddd, *.iii | Fichiers objets sources (prédéfinis et créés, voir Objets placés et catalogues)
*.adb | Fichiers gabarit
*.icn | Icônes pour affichage de catalogue graphique (voir Objets placés et catalogues)
*.fon, *.fnx | Fichiers polices (voir Texte)

Sous-répertoire TEMP & fichiers temporaires

Pendant que vous travaillez, un certain nombre de fichiers temporaires ou permanents sont créés. Ces fichiers sont automatiquement détruits lorsque vous quittez ARC+. Si vous désirez supprimer ou déplacer des fichiers dans votre répertoire de travail (supprimer, déplacer) assurez-vous de n’effacer aucun de ces fichiers lorsque le modèle est ouvert. L’absence d’un de ces fichiers peut provoquer des dégâts dans votre modèle. Si vous désirez effectuer le "nettoyage" de votre répertoire de travail en effaçant les fichiers superflus, commencez tout d’abord par quitter ARC+.

ARC+ crée un sous-répertoire TEMP dans votre répertoire ARC+ au cours de l’installation. La plus grande partie des fichiers temporaires sont maintenant créés dans le sous-répertoire TEMP puis détruits lorsque vous quittez ARC+.

Cependant, certains fichiers temporaires dont le nom commence par @ sont créés dans d’autres points du système. Ces fichiers sont effacés lorsque vous changez vos répertoires de travail (à l’aide des commandes \open et \save) et également lorsque vous quittez ARC+. Si vous êtes confrontés à un problème système sérieux et que vous devez relancer le système, il se peut que certains fichiers temporaires ne soient pas effacés.

Nom fichier & Extension | Description | Effacement
@*.* | fichiers systèmes temporaires | Effacés automatiquement lorsque vous quittez ARC+
*.dat | fichiers systèmes temporaires | Effacés automatiquement lorsque vous quittez ARC+
hdltmp.* | fichiers systèmes temporaires | Effacés automatiquement lorsque vous quittez ARC+
dl3data.tmp | fichiers temporaires créés par la commande \saves sauvegarde d’un solide | Effacés automatiquement lorsque vous quittez ARC+
dlindex.tmp | fichiers temporaires créés par la commande \saves sauvegarde d’un solide | Effacés automatiquement lorsque vous quittez ARC +
dltext.tmp | fichiers temporaires créés par la commande \saves sauvegarde d’un solide | Effacés automatiquement lorsque vous quittez ARC +
scrning.tmp | fichiers temporaires créés par certains gestionnaires graphiques lors de l’utilisation de la commande passage à l’environnement DOS (\shell) | Effacés lorsque vous quittez l’environnement DOS et que vous revenez dans ARC+
*.tmp | nom du modèle suivi de l’extension .TMP. fichier modèle temporaire | N’est pas effacé.Doit être effacé manuellement lorsque vous quittez ARC+
autosave.iii autosave.ddd | Créés en utilisant la commande \backup | Effacés automatiquement lorsque vous quittez ARC+

\arcuser\ @*f@auto | Créés automatiquement par autosave | Effacés automatiquement lorsque vous quittez ARC+
commands | Fichier système temporaire |
std.cfg | Fichier permanent créé dans chaque répertoire de travail |


Fichiers dump d'une base de données d'un modèle

Crée un fichier dump ascii dmp à partir du modèle dans la fenêtre de travail.

\dump

Cette commande génère une liste complète ASCII du contenu d'un modèle ARC+. Pour une description du format dump, voir l'Annexe. Les codes d'attributs utilisés dans le format dump sont les mêmes que ceux affichés par la commande Informations sur les attributs d'une entité (\qent, voir Information).

Les entités masquées ne sont pas dumpées. Les entités des calques non-affichés d'ARC+ sont dumpées, ainsi que les références du fichier aux objets placés du modèle. Toutefois, les fichiers externes définissant les objets placés doivent être dumpés séparément.

Vous pouvez afficher ou éditer le contenu d'un fichier dump à l'aide de tout éditeur ASCII.

Utilisation

Spécifiez un nom de fichier pour le fichier dump. Le système lui ajoutera l'extension dmp.

Le fichier dump est créé dans le répertoire courant de votre disque.


Fichiers gabarit

Un certain nombre de paramètres de travail sont maintenant relatifs au modèle en cours. C'est-à-dire que ces informations sont proprement distinctes pour chaque modèle. Elles sont enregistrées dans le modèle lorsque vous le sauvegardez et elles sont réutilisées comme valeurs de travail lorsque vous ouvrez à nouveau ce modèle.

Les paramètres suivantspeuvent être enregistrés dans un fichier gabarit:

  • Les listes de textes prédéfinis
  • Les styles de textes
  • Les palettes de couleurs personnalisées
  • La configuration des calques
  • La configuration du gestionnaire des coupes, plans et élévations
  • Les catalogues d'objets prédéfinis
  • Les batchs
  • Les configurations d’impression
  • La vue à l’ouverture du fichier (Plan, Axo, etc.)
  • La géométrie (éléments de dessin)
  • Les paramètres du Gestionnaire de caméra et de coupes

L'ensemble de ces informations constitue ce qu'on appelle un Gabarit dont le but est de regrouper des paramètres et des préférences qui peuvent varier en fonction d'un type de projet. Lorsque vous démarrez un nouveau modèle, vous pouvez indiquer au système d'initialiser ce nouveau fichier en lui adjoignant les informations prises à l'intérieur d'un gabarit de votre choix.

Par exemple, vous pouvez créer un gabarit pour paramétrer automatiquement les styles de textes que vous souhaitez utiliser lorsque vous travaillez sur un dessin d'avant projet, et un autre gabarit pour les dessins de plan d'exécution.

Il existe deux types de gabarits:

  • Les gabarits par défaut
  • Les gabarits utilisateurs

Gabarits par défaut

Il existe trois types de gabarits par défaut:

  • Le gabarit Default utilisé pour tous les nouveaux modèles géométriques (GEOM). Ce gabarit est enregistré dans le fichier nommé DEFAULT.III situé dans le répertoire système ARCALIB/TEMPLATE/MODEL d'ARC+.
  • Le gabarit 15 couleurs qui peut être utilisé pour tous les nouveaux modèles géométriques (GEOM). Ce gabarit est enregistré dans le fichier nommé ARC+15col.III situé dans le répertoire système ARCALIB/TEMPLATE/MODEL d'ARC+.
  • Le gabarit système utilisé pour tous les nouveaux modèles de mise en page (DSG). Ce gabarit est enregistré dans le fichier nommé d@ DEFAULT.III situé dans le répertoire système ARCALIB/TEMPLATE/DSG d'ARC+.

Les gabarits par défaut sont utilisés lorsque vous Vous démarrez ARC+, le modèle vierge affiché utilise alors le gabarit Default

Gabarits utilisateurs

Vous pouvez créer autant de gabarits que vous voulez dans ARC+. Ces nouveaux gabarits s’appellent gabarits utilisateurs, ils peuvent contenir les éléments cités ci-dessus (palettes personnalisées de couleurs, styles de texte, configuration des calques etc.) que vous définissez à votre guise. Vous pouvez ainsi démarrer un nouveau modèle avec vos propres préférences et définissions.

Lorsque vous choisissez de démarrer un nouveau fichier à l’aide d’un gabarit utilisateur ARC+ affiche le contenu de deux répertoires d’ARCALIB spécialement dédiés au stockage des gabarits utilisateurs selon le cas:

  • Le dossier …ARCALIB\TEMPLATE\MODELS lorsque vous travaillez en mode de modélisation (GEOM).
  • Le dossier …ARCALIB\TEMPLATE\DSG lorsque vous travaillez sur une mise en page (DSG).

Thèmes liés

  • Enregistrer un gabarit
  • Commencer un nouveau fichier à l'aide d'un gabarit
  • Ouvrir sous
  • Fusionner des fichiers adb


Fichiers modèles

Lorsque vous créez ou éditez un modèle, celui-ci est affiché dans la fenêtre de travail. Le nom du fichier modèle est affiché sur la ligne d'état. Si vous n'avez pas encore attribué de nom au fichier modèle, le nom nouveau modèle s'affiche par défaut.

Vous pouvez:

  • Créer un nouveau modèle dans la fenêtre de travail à partir d’un gabarit (\new)
  • Ouvrir et éditer un modèle existant (\open)
  • Ouvrir et éditer depuis un modèle existant (\openas)
  • Sauvegarder le modèle sous un quelconque nom de fichier sur votre disque. (\saveas)

Lorsque vous ouvrez un modèle existant, vous travaillez en fait sur une copie du fichier et non sur le fichier disque original. Si vous exécutez la sauvegarde sous un autre nom de fichier, le fichier original demeurera inchangé. Si vous exécutez la sauvegarde sous le nom du fichier original, celui-ci sera remplacé. Si vous changez d'avis et décidez de ne pas effectuer de modification, vous pouvez quitter le fichier sans le sauvegarder.

En exécutant la sauvegarde sous différents noms de fichiers, vous pouvez créer plusieurs versions différentes d'un même modèle, dont chacune est basée sur un même original bien que stockée dans son propre fichier.

L'exemple suivant illustre une session de travail caractéristique:

 | Action | Résultat
Session de travail 1 | Créer modèle |
 | Sauvegarder modèle sous nom projet1 | Modèle stocké sur disque
Session de travail 2 | Ouvrir projet1 à partir du disque | Modèle copié du disque
 | Editer modèle |
 | Sauvegarder sous nom original projet1 ou | Modèle original mis à jour sur disque
 | Sauvegarder sous nouveau nom projet2 ou | Modèle original projet1 reste inchangéNouveau modèle projet2 sauvegardé sur disque
 | Quitter sans sauvegarder | Modèle original projet1 reste inchangé Edition courante abandonnée

Noms de fichiers

ARC+ stocke chaque dessin dans trois fichiers modèles. Ceux-ci ont un nom de fichier que vous désignez avec les extensions .ddd, .iii et .adb. Si vous souhaitez copier ou supprimer un modèle en dehors d'ARC+, prenez soin d'inclure les fichiers .ddd, .iii et .adb

Thèmes liés

  • Ouverture d'un fichier existant
  • Sauvegarde d'un fichier
  • Enregistrement de fichiers de modèle
  • Effacer le fichier courant
  • Exécution d'une sauvegarde rapide
  • Archivage d'un modèle et des fichiers associés
  • Importer un fichier dans un autre
  • Exporter un modèle dans un autre
  • Recherche des erreurs dans un fichier


Fusionner des fichiers adb

Cette commande copie la partie ADB depuis un fichier ARC+ vers un ou plusieurs autres. Les éléments de configuration importés écraseront les existants. Cette commande est déconseillée à des utilisateurs non expérimenté.

\copyadb

Les éléments suivants sont disponibles à la fusion depuis les fichiers ADB:

  • La configuration des calques
  • Les batchs
  • La vue à l’ouverture du fichier (Plan, Axo, etc.) – sous condition que l’option affichage 2D/3D automatique est activée.
  • Les paramètres du Gestionnaire de caméra et de coupes.

Afin d’activer cette commande vous devrez avoir qu’une seul session d’ARC+ ouverte, sans aucun fichier modèle ouvert (vous devrez être en «Nouveau Modèle») la boite de dialogue suivante apparaîtra alors:

  • Cliquez sur le bouton
  • pour lancer la boite de dialogue Ouvrir fichier ADB:

  • Sélectionnez le fichier ADB que vous souhaitez copier dans votre gabarit et cliquez sur Ouvrir
  • Le chemin d’accès du fichier est chargé dans le champ Fichier d’Origine. De la boîte de dialogue Copier ADB.
  • Cliquez sur [image] pour ajouter des fichiers cibles auquel le fichier ADB chargé s’ajoutera.
  • Sélectionnez un fichier cible puis cliquez sur Supprimer si vous voulez enlever un des fichiers cibles.
  • Cliquez sur OK pour intégrer le fichier ADB source dans le ou les fichiers cibles sélectionnés.
  • IMPORTANT: Il est déconseillé d’utiliser la commande \template cette commande copie puis colle un fichier ADB sans faire le tri des préférences à importer. Vous risquez d’écraser des configurations importantes que vous avez récemment créées.


Hyperliens

Cette fonctionnalité permet d’associer un hyperlien à n’importe quelle entité dans le modèle. Un hyperlien permet l'ouverture automatique d'un fichier ou l'accès direct à une page Internet.

Le fichier pointé par l'hyperlien peut être de n'importe quelle nature. Il peut s'agir d'un fichier texte, d'un tableur, d'une image ou même d'un autre modèle ARC+.

Thèmes liés

  • Ajouter et éditer l'hyperlien
  • Effacer l'hyperlien
  • Ouvrir l'hyperlien


Importation DXF / DWG

La commande Ouvrir vous permet d’importer les fichiers DXF et DWG dans ARC+ 2007 :

\open

  • IMPORTANT: il est toujours possible d’utiliser la conversion DXF/DWG de la version 2005 d’ARC+ à l’aide de la commande \eximport.

A l’activation de cette commande, la boîte de dialogue standard Ouvrir apparaît. Sélectionnez le fichier DXF ou DWG à convertir dans la liste déroulante. Cliquez sur Ouvrir pour déclencher la conversion. Les paramètres d’importation doivent être impérativement définis avant le début de la conversion.

Description de l’interface graphique

Au lancement de la commande, la fenêtre principale s’affiche:

Ci-dessous, la description des 4 zones indiquées dans l’impression d’écran au-dessus:

  1. Affichage des calques du fichier source
  2. Affichage du fichier source
  3. Onglet de sélection du modèle et des espaces papiers
  4. Information sur les manipulations et coordonnées

Voici une impression d’écran de la barre d’outils:

Ci-dessous une courte description des boutons:

  1. Ouverture du fichier à modifier.
  2. Zoom de mise au point sur le dessin.
  3. Zoom interne.
  4. Zoom externe.
  5. Revenir au zoom précédent.
  6. Zoom par fenêtre.
  7. Déplacer.
  8. Rotation 3D.
  9. Tourner le dessin.
  10. Commuter la couleur du fond d’écran blanc/noir.
  11. Mesurer une distance.
  12. Placer l’origine.
  13. Définir l’échelle de destination.
  14. Tourner le dessin horizontalement.
  15. Sauver le fichier de destination et procéder à l’étape suivante.

Utilisation

Police manquante

Au lancement de l’assistant d’importation, vous pouvez avoir ce message qui vous informe de polices utilisées dans le DWG qui n’existent pas dans ARC+.

Cliquer sur le bouton (10) pour passer d’un arrière plan de travail blanc à un arrière plan de travail noir et vice et vers ça.

Il est possible d’aller chercher ces polices manquantes via OUTILS >> Chemin Police. Et ensuite, vous devez indiquer le répertoire SSH FONT d’Autocad.

Si vous n’avez pas ces polices, vous pourrez les remplacer plus tard dans ARC+ avec la police de votre choix.

Commuter la couleur de l’arrière plan de travail

Cliquer sur le bouton (10) pour passer d’un arrière plan de travail blanc à un arrière plan de travail noir et vice et vers ça.

Mesurer une distance sur le DWG

Cliquer sur le bouton (11) et indiquer le premier point et le second point de l’entité à mesurer.

Les informations suivantes s’affichent dans l’espace (4) de la fenêtre principale :

L : mesure de la distance en unités

DX/DY : vecteur distance sur X/ sur Y

X /Y/Z : coordonnées du curseur

Placer un nouveau point d’origine dans le fichier

Cliquer sur le bouton (12) puis spécifier un nouveau point pour l’origine. Il est important de placer l’origine à un endroit stratégique pour vous dans un premier temps mais également proche du dessin pour éviter d’avoir un dessin dans Arc+ très éloigné de l’origine.

Vous pouvez activer ou désactiver l’axe. Pour cela, faîtes AFFICHAGE >> Afficher les axes.

Définir l’échelle du dossier de destination

Trouver une entité avec cotation, ce qui vous permettra de configurer l’échelle de destination.

Prenez la mesure de l’entité après avoir cliqué sur le bouton (13)

Dans l’exemple ci-dessous, on voit que la longueur de l’entité est de 250 unités et il faut entrer la longueur en mètre soit 0.25 mètres dans ce cas.

Pour réinitialiser l’échelle, aller dans OUTILS >> Réinitialiser échelle.

Filtrer les calques

Il est possible de choisir les calques que vous souhaitez importer en cochant les boutons radios devant le nom de calque en question.

Importer les espaces papiers

Il est maintenant possible d’importer les espaces papiers de votre DWG dont vous trouverez la liste dans l’espace (3) de la fenêtre principale. Les entités importées seront seulement composées de lignes et de points.

Enregistrer ma vue courante

Il est possible de ne pas importer tous le DWG et alors d’importer la vue courante. Pour cela, zoomer sur la partie voulue puis cliquer sur FICHIER >> enregistrer la vue courante.

Tourner le dessin jusqu’à l’horizontal

Cliquer sur l’icône 14 et indiqué la direction de la pente pour avoir un alignement horizontal.

Importation du DWG

A la fin de vos manipulations, cliquez sur l’icône 14.

Echelle et Unités :

Si vous avez déjà défini l’échelle à l’étape précédente, vous n’avez pas à faire de modification dans cette boite de dialogue. Au contraire, si vous n’avez pas défini l’échelle à l’étape précédente, vous devez indiquer combien représente une unité DWG dans ARC+.

Point de référence :

Si vous avez déjà défini le point de référence (origine dans l’étape suivante) alors l’option « Origine de DWF/DWG coïncide avec ARC+ » doit être choisie. Dans le cas contraire, il est préférable de saisie l’option : « Déplacer le coin bas-gauche du DXF/DWG vers l’origine ARC+ »

Entités à importer :

Choisissez les entités que vous souhaitez importer : seulement 2D ou tout

Réparer avec qfile :

Il est préférable de désactiver cette option et de la lancer manuellement après importation si nécessaire.

Vous pouvez également accéder à d’autres informations :

  • Epaisseur des lignes dans le DWG et ARC
  • Types de ligne dans le DWG et ARC+ avec possibilité de modification
  • Nom des calques et numéro avec position de décaler le rang des calques
  • Police de texte dans le DWG et dans ARC+


Importation et exportation d'un fichier

Vous pouvez convertir un modèle ARC+ en d'autres formats de fichiers et convertir d’autres formats CAO en un format ARC+:

  • Fichiers DXF—pour importer un modèle dans ARC+ à partir d'un autre logiciel de CAO. DXF (Drawing eXchange Format) est un format industriel standard. Lorsque vous importez un fichier DXF, le modèle est converti au format ARC+ et vous pouvez l'utiliser dans l'édition ou le travail, exactement comme tout autre modèle ARC+.
  • Fichiers DWG—pour importer une base de dessin (*.dwg) de fichier AutoCAD® standard directement d’ARC+. Cette méthode est plus rapide et produit de plus petits fichiers que la conversion DXF et est donc recommandée pour les fichiers AutoCAD®.
  • Fichiers de description de polygones—Afin d’exporter un modèle à partir d'ARC+ pour un traitement supplémentaire à l'aide d'un autre logiciel, tel qu'un programme d'images de synthèse, de graphisme ou de PAO.
  • Fichiers DWF et fichiers pour une présentation sur le web. – Pour exporter des fichiers depuis ARC+ vers des sites web ou pour les envoyer par e-mail.
  • Fichiers dump —pour examiner le contenu d'un modèle ARC+ dans un format imprimé ASCII.

Vous pouvez reconnaître sur votre disque les fichiers convertis à l'aide des extensions suivantes:

Fichiers DWG | .dwg
Fichiers DXF | .dxf
Fichiers description d'un polygone | .gs1
Fichiers ATL | .atl
Fichiers DWF | .dwf
Fichiers VRML | .vrml
Fichiers dump | .dmp


Importer un fichier dans un autre

Importe un modèle (le fichier source) dans un autre fichier modèle (le fichier cible).

\retf

Cette commande permet la fusion de deux fichiers modèles. Après la fusion, le fichier cible contient, outre ses entités originales, les entités copiées. Celles-ci sont ajoutées au groupe d'entités sélectionnées du fichier cible. Le fichier source demeure inchangé.

Utilisez cette commande:

  • Pour combiner deux fichiers en un seul
  • Pour copier toutes les entités d'un dessin dans un modèle
  • Pour renverser l'effet de la commande d'Extraction partielle d'un fichier (\extf)

  • IMPORTANT : Cette commande modifie sur le disque dur et de façon permanente le fichier cible. Pour préserver le fichier cible original, sauvegardez-le sous un autre nom de fichier avant la fusion.

Spécifiez les noms des fichiers source et cible. Si vous désirez effectuer la fusion vers ou à partir du fichier nouveau modele dans la fenêtre de travail, spécifiez si nouveau modele est le fichier cible ou source.

Choisissez un point de référence comme origine du fichier source:

  • L'origine du fichier cible (0 0 0)
  • Tout autre point du fichier cible

Toutes les entités sources (à l'exception des entités masquées et de celles des calques non-affichés d'ARC+) sont copiées dans la cible et positionnées par rapport au point de référence spécifié. Les entités copiées deviennent des entités sélectionnées et s'affichent en pointillé rouge.

  • REMARQUE : La fusion diffère de l'insertion d'un dessin en tant qu'objet placé. Vous pouvez éditer, individuellement dans le modèle, des entités fusionnées, tandis qu'un objet placé est une unité seule qui ne peut être éditée que dans son fichier original (voir Objets placés et catalogues).


Introduction

Home > 10 Fichiers > introduction

Fichiers

Ce chapitre décrit les procédures fondamentales de sauvegarde et de travail sur les divers types de fichiers ARC+:

  • Fichiers modèles dans lesquels sont stockés vos dessins
  • Fichiers batch où sont enregistrées les séquences des commandes que vous utilisez fréquemment
  • Fichiers dump et DXF/DWG pour le transfert des modèles ARC+ vers ou à partir d'un autre programme ou système.

D'autres types de fichiers sont décrits ailleurs dans ce livre, comme par exemple les fichiers textes, les fichiers polices (voir Textes) et les fichiers catalogues (voir Objets placés et catalogues). Vous trouverez un résumé des types de fichiers ARC+ en fin de chapitre.

Il est important de vous familiariser avec les commandes de nomination, de stockage, de copie ou de suppression d'un fichier proposées par le système d'exploitation de votre ordinateur.

L’évolution de la base de données d’ARC+

Les formats de fichiers et la structure de la base de donnée d’ARC+ ont changé au fil des ans, voici un glossaire qui vous permettra de comprendre leur évolution jusqu’à aujourd’hui:

Version ARC+ | *.iii | *.ddd | *.icn | .adb | Couleurs | Images
14 à Progress 3 | ⊗ | ⊗ | ⊗ |  | 15 | Externes
Progress 4 à 2005 | ⊗ | ⊗ | ⊗ | ⊗ | 15 | Externes
2007 I Edition | ⊗ | ⊗ | ⊗ | ⊗ | 15 | Externes
2007 II Edition | ⊗ | ⊗ | ⊗ | ⊗ | 255 | Externes
2009 Edition | ⊗ | ⊗ | ⊗ | ⊗ | 255 | Externes
2011 Edition | ⊗ | ⊗ | ⊗ | ⊗ | 255 | Externes

Thèmes liés

  • Sauvegarde de votre travail
  • Fichiers modèles
  • Fichiers gabarit
  • Compatibilité avec les anciennes versions
  • Fichiers batchs
  • Hyperliens
  • Sécurité
  • Importation et exportation d'un fichier
  • DXF/DWG
  • Export vers des logiciels de rendu
  • Export et envoie de fichiers pour Internet
  • Stéréolithographie (STL)
  • Fichiers créés à l'aide des commandes ARC+


Les usages des fichiers batch

Vous pouvez utiliser un fichier batch:

  • Pour effectuer des opérations répétitives dont vous avez fréquemment besoin, par ex. définition d'un texte personnalisé, attributs de cotations et de lignes au début de toute session ARC+
  • Pour programmer une séquence de commandes à exécution de longue haleine, de manière à pouvoir les utiliser de nuit ou sans surveillance, par exemple l'ouverture d'une séquence de fichiers, la conversion de chacun d'entre eux en une série de vues solides et la sauvegarde de chaque vue en tant que projection bidimensionnelle.
  • Pour programmer une séquence de commandes ARC+ pour les utiliser lors d'une présentation.

Vous pouvez préparer un fichier batch:

  • En enregistrant automatiquement une session de travail ARC+.
  • En créant ou éditant un fichier de commandes ARC+ à l'aide d'un éditeur ASCII.

Vous pouvez combiner les deux méthodes en éditant un fichier enregistré lors d'une session de travail.

Afin d'utiliser un fichier batch, le fichier doit être stocké dans le répertoire courant de votre disque et avoir un nom de fichier accompagné de l'extension log.

Ci-dessous, un exemple d'un fichier batch permettant d'ouvrir un modèle nommé modele3d, de définir la vue et de sauvegarder celle-ci en un fichier bidimensionnel nommé modele2d.

\open modele3d

\eye 15 4 25

\targ 0 0 0

\solid w 1

\save2d modele2d n

Chaque commande débute sur une nouvelle ligne, mais elle peut continuer sur celles qui succèdent. Les commandes sont tapées en lettres minuscules et comprennent tous les paramètres appropriés (réponses aux prompts de l'écran).

Commandes autorisées dans un fichier batch

Les commandes et opérations suivantes peuvent être comprises dans un fichier batch:

  • Options et commandes de menus
  • Opérations à l'aide de la souris—choix de commandes et d'options, confirmation ou rejet de l'exécution d'une commande, définition de points et indication d'entités
  • Commandes exécutées au clavier
  • Frappe de réponses à des prompts de commandes sur la ligne d'entrée
  • Raccourcis clavier
  • Exécution d’autres fichiers batch selon une hiérarchie pouvant atteindre jusqu’à 10 niveaux (fichier batch dans un autre fichier batch)

Lors de l'enregistrement d'un fichier batch, si vous définissez un point à l'aide de la souris, le système enregistre les coordonnées absolues xyz de ce point. Lorsque vous exécutez par la suite le fichier batch, l'opération s'effectue à l'aide de la souris sur les mêmes coordonnées xyz, comme cela est illustré dans les commandes de position de l'oeil (\eye) et de la cible (\targ) de l'exemple ci-dessus.

Si vous indiquez une entité à l'aide de la souris, le système enregistrera l'entité sur laquelle l'opération s'est effectuée. Lorsque vous exécutez le fichier batch, l'opération s'effectue sur la même entité. Ceci est utile uniquement si vous avez l'intention d'exécuter à nouveau le fichier batch sur le même modèle (par ex. lors d'une démonstration ou d'une présentation). Si vous exécutez le fichier batch sur un autre modèle, une entité incorrecte ou imaginaire risque d'être indiquée.

Lorsque vous enregistrez un fichier batch, vous pouvez établir un délai pour l'exécution de commandes successives. Ceci permet de ralentir l'exécution en vue d'une présentation.

  • CONSEIL : Si vous avez l'intention d'exécuter le fichier batch sur un autre modèle, choisissez des commandes qui agissent sur un groupe d'entités sélectionnées, plutôt que d'indiquer des entités à l'aide de la souris.

Les fonctions suivantes ne sont pas autorisées dans les fichiers batch:

  • Boîtes de dialogue (à leur place, tapez sur la ligne d'entrée)
  • Ouverture, fermeture, déplacement ou redimensionnement d'une fenêtre
  • Modification de la fenêtre active
  • Sauvegarde ou chargement d'une configuration sur l'écran
  • Déplacement dynamique de l'œil ou de la cible dans une fenêtre de contrôle de la vue
  • Déplacement dynamique de la fenêtre dans une fenêtre de contrôle du zoom
  • Les commandes étrangères à ARC+, telles que couper ou coller, qui apparaissent néanmoins dans les menus ARC+ de certains systèmes.


Ouverture d'un fichier existant

Ouvre un fichier dans la fenêtre de travail.

\open

  • REMARQUE : Le système vous demande de sauvegarder le contenu courant de la fenêtre de travail avant d'ouvrir un nouveau fichier.

Spécifiez le nom d'un fichier modèle existant dans la boîte de dialogue Ouvrir:

Vous pourrez ouvrir un fichier à partir d'un répertoire quelconque sur votre disque.

Si vous ouvrez un fichier d’un dossier autre que le dossier en cours, vous êtes transférés dans ce nouveau dossier


Ouvrir l'hyperlien

Pour ouvrir l'hyper lien associé à une entité procédez comme suit:

  • Cliquez avec le bouton droit de la souris au-dessus de l'entité.
  • Dans le menu apparaissant parcourez le sous-menu Info.
  • Parcourez le sous-menu Lien hypertexte.
  • Sélectionnez la commande Ouvrir.


Ouvrir sous

Démarre un nouveau projet à partir d’un projet existant.

\openas

Contrairement à la commande Nouveau (\new) Qui démarre un nouveau modèle à partir d’un gabarit se trouvant dans

…ARCALIB\TEMPLATE\MODELS pour les modèles GEOM et …ARCALIB\TEMPLATE\DSG pour les fichiers DSG–

La commande ouvrir sous vous permet de créé un nouveau modèle à partir de tout modèle ARC+ existant peu importe son emplacement sur votre système ou réseau.

  • Choisissez le fichier souhaité dans la boîte de dialogue.
  • Cliquez sur Ouvrir.

Le fichier est chargé dans ARC+ mais lorsque vous le sauvegardez pour la première fois, ARC+ vous demandera de lui attribuer un nom.

  • REMARQUE : Lorsque vous utilisez la commande ‘Ouvrir sous’ ARC+ affiche ‘Nouveau Modèle’ Dans l’en tête tant que le fichier n’est pas sauvegardé.


Paramètres d'exportation

Afin de maintenir la comptabilité avec ARC+ du fichier converti, certains paramètres doivent être définis avant l’exportation vers les formats DXF/DWG:

  • Echelle et unités
  • Version AutoCAD®
  • Point de référence
  • Epaisseur de ligne
  • Type de ligne
  • Police de texte

Echelle et unités

Cette section vous permet de définir l’échelle de votre modèle converti. Vous pouvez définir la même échelle pour le fichier cible que celle utilisée dans le fichier de source ARC+. Pour cela, cochez la première option dans la section Echelle et unités:

  • Sélectionnez l’unité cible pour le fichier DXF/DWG à partir de la liste déroulante.

Vous pouvez définir une échelle «Sans unité» pour le fichier DXF/DWG cible en sélectionnant la deuxième option de conversion:

Cette section vous permet de définir la valeur de l’échelle "Sans unités" du fichier DXF/DWG cible. Par exemple, vous pouvez définir qu’un mètre dans ARC+ est égale à 10 unités en échelle "Sans unités" du fichier DXF/DWG, ou que 2 centimètres sont égales à 5 «Sans unités» etc.

Version AutoCAD®

ARC+ offre une sélection de plusieurs versions d’AutoCAD® pour les conversions de fichiers. Il est recommandé que vous adaptiez votre fichier à la version AutoCAD® ou d’autre logiciel de CAO avec laquelle il sera ouvert. Par exemple, un fichier destiné à être ouvert avec la version 2000 d’AutoCAD® ne pourra pas être ouvert s’il a été enregistré en tant que fichier AutoCAD® 2008. si vous ne savez pas sous quelle version d’AutoCAD® ou d’autre logiciel de CAO le fichier sera ouvert, sélectionner "Compatible AutoCAD® 14 ".

Point de référence

Cette section vous permet de déplacer le modèle de son emplacement d’origine vers un nouvel emplacement dans le fichier converti. Plusieurs possibilités de déplacement sont disponibles:

  • Origine d’ARC+ coïncide avec DXF/DWG : cette option est définie par défaut. Si cette option est sélectionnée, le système placera le point (0, 0, 0) du fichier ARC+ sur le point (0, 0, 0) du fichier DXF/DWG (origine sur origine).
  • Déplacer le coin bas-gauche du fichier ARC+ vers l’origine du fichier DXF/DWG : cette option est utile quand l’emplacement du point d’origine du fichier source n’a pas d’importance et son contenu est loin du point (0, 0, 0). ARC+ placera le coin bas-gauche du fichier source sur le point d’origine (0, 0, 0) du fichier DXF/DWG.
  • Déplacer le coin haut-droit du fichier ARC+ vers l’origine du fichier DXF/DWG : cette option est utile quand l’emplacement du point d’origine du fichier source n’a pas d’importance et son contenu est loin du point (0, 0, 0). ARC+ placera le coin haut-droit du fichier source sur le point d’origine (0, 0, 0) du fichier DXF/DWG.
  • Déplacer manuellement le coin bas-gauche du fichier ARC+ au point: cette option vous permet de spécifier les coordonnées précises sur la grille du fichier DXF/DWG vers lesquels le point bas-gauche du fichier source devrait être déplacé. Utilisez les champs X, Y, Z pour définir les coordonnées du point

(Exemple: -22.3, 5, 21.6).

  • Déplacer manuellement le coin haut-droit du fichier ARC+ au point : cette option vous permet de spécifier les coordonnées précises sur la grille du fichier DXF/DWG vers lesquels le point haut-droit du fichier cible devrait être déplacé. Utilisez les champs X, Y, Z pour définir les coordonnées du point

(Exemple: -22.3, 5, 21.6).

  • Déplacer manuellement l’origine du fichier ARC+ au point : cette option vous permet de déplacer l’origine de votre fichier source vers un point spécifié dans l’espace de travail du fichier DXF/DWG. Utilisez les champs X, Y, Z pour définir les coordonnées du point.
  • Déplacer manuellement le point spécifié du fichier ARC+ vers un point spécifié du fichier DXF/DWG: cette option vous permet de spécifier un point dans le fichier ARC+ qui sera déplacé vers un point spécifié dans l’espace de travail du fichier DXF/DWG. Utilisez les champs X, Y, Z pour définir les coordonnées du point.

Boîte englobante

Cette section vous permet de contrôler la taille de la boîte englobante du dessin dans le fichier ARC+ ainsi que dans le fichier cible DXF/DWG. Notez que les valeurs dimensionnelles de la boîte englobante peuvent être altérées par les valeurs entrées dans les sections Point de référence et Echelle et unités. ARC+ calcule automatiquement les coordonnées X, Y, Z des limites de votre modèle.

  • IMPORTANT: les coordonnées sont calculées selon l’unité DXF/DWG spécifiée.

Epaisseur de ligne

Cette section vous permet de spécifier une épaisseur DXF/DWG pour chacune des deux épaisseurs ARC+.

  • Le sélecteur déroulant Epaisseur de ligne DWG vous permet de désigner les épaisseurs de ligne DXF/DWG utilisées pour la conversion.

  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

Type de ligne

Vous pouvez convertir les 7 types de ligne d’ARC+ vers les types de ligne DXF/DWG à l’aide de la section Type de ligne de la boîte de dialogue Préférences d’exportation :

  • Les types de ligne du fichier ARC+ sont affichés sous Type de ligne ARC+. Le sélecteur déroulant de la section Description vous permet de sélectionner les types de ligne DXF/DWG qui remplaceront les types de ligne ARC+:

  • Les noms conventionnels des types de ligne DXF/DWG sont affichés sous Type de ligne DWG.
  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

NOTE: vous pouvez ajouter de nouveaux types de ligne qui seront identifiés et affichés dans la section Description. Pour cela, ouvrez le fichier arcplus.lin (en utilisant Wordpad) et collez-y les nouveaux types de lignes à partir de l’autre logiciel CAO. Pour accéder au fichier arcplus.lin : ARC COMPONENTS/Library/Line type.

Police de texte

La section Police de texte de la boîte de dialogue Préférences d’exportation vous permet de convertir les polices de texte de votre modèle vers d’autres polices de texte, TrueType ou .shx, dans le fichier DXF/DWG.

  • la section ARC+ de la boîte de dialogue vous permet de visualiser les polices de texte provenant du fichier source ARC+.
  • Le sélecteur déroulant DWG vous permet de sélectionner une police de texte qui remplacera la police de source après la conversion :

  • Cliquez sur "Autre…" pour afficher la boîte de dialogue Ouvrir, qui vous permet de parcourir les emplacements sur votre ordinateur pour trouver de nouveaux styles de texte à intégrer dans votre liste (par exemple, des polices de format .shx que vous avez peut-être sur votre ordinateur si vous avez installé AutoCAD®):

  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

Couleurs

Si vous avez lancé la commande \cuscolor afin de modifier les couleurs 2 à 15 d’ARC+, la catégorie couleurs sera ajoutée automatiquement à votre gestionnaire de conversion DXF/DWG.

Si vous n’avez pas changé les couleurs 2 à 15 la palette à 255 couleurs ARC+ retrouve automatiquement les 255 couleurs DXF/DWG correspondants.

  • Les numéros 1 à ; 2 à etc. représentent les 255 couleurs ARC+. Les cases coloriées sont des représentations graphiques desdits couleurs.
  • Après les cases coloriées avec les couleurs de votre modèle ARC+ vous trouverez des champs représentent les 255 couleurs DXF/DWG. Ces numéros sont modifiables.
  • Utilisez les butons [image] ou saisissez une nouvelle valeur pour indiquer au convertisseur quelle est le numéro de la nouvelle couleur que vous souhaitez intégrer à la place de la couleur ARC+ correspondante.
  • Cliquez sur OK pour valider vos choix.
  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

Cotations

Vous pouvez décider d’exporter les cotations comme cotations réelles ou comme blocs en fonction des besoins de la partie tierce.

  • Choisissez «Dimensionner comme cotation» UNIQUEMENT lorsque la partie tierce a réellement besoin d’ajuster les cotations dans son outil de CAO.Pour être correct, votre dessin ne doit contenir qu’une seule échelle. Ainsi, il ne contiendra pas d’images mises à l’échelle avec des échelles différentes comme c’est souvent le cas pour les fichiers .dsg.La mise à l’échelle des cotations réelles évitera certainement des surprises et des erreurs à la partie tierce.
  • Choisissez «Dimensionner comme block» lorsque vous souhaitez uniquement que le dessin présenté à la partie tierce ait le même aspect sur son outil de CAO que dans ARC+..


Paramètres d'importation

Afin de maintenir la comptabilité avec ARC+ du fichier converti, certains paramètres doivent être définis avant la conversion du fichier DXF/DWG:

  • Echelle et unités
  • Point de référence
  • Epaisseur de ligne
  • Type de ligne
  • Couche
  • Police de texte
  • Couleurs (éventuellement)

Ces paramètres peuvent être définis à l’aide de la boîte de dialogue suivante :

  • IMPORTANT: d’autres paramètres et objets à l’exemple des cotations, motifs et hachures sont automatiquement convertis par le système vers ARC+. Ces paramètres sont transformés en blocs afin d’assurer la comptabilité graphique avec le fichier d’origine.

Echelle et unités

La section Echelle et unités de la boîte de dialogue vous permet de définir une nouvelle échelle pour votre fichier et de définir ses unités.

Deux options sont disponibles pour la conversion de l’échelle et des unités :

Conversion automatique des unités DWG – les unités utilisées dans le fichier DWG sont affichées dans le champ à droite. Cette option est sélectionnée par défaut si l’unité définie pour le fichier DXF/DWG est l’une des suivantes: mètres, centimètres; millimètres, pouces, pieds. Les unités utilisées dans le fichier DXF/DWG seront automatiquement converties en mètres.

Conversion des unités DWG en nouvelles unités – cette option vous permet de définir la relation entre les unités du dessin d’origine et le fichier cible. Par exemple, vous pouvez définir qu’une unité DWG soit équivalente à 4 centimètres dans ARC+. Cette option est surtout utile quand il s’agit de convertir un fichier DWG Sans unités.

  • ARC+ ne peut pas interpréter correctement un model de taille excédante les limites 0.00001 à 99999.999m. Si le fichier DXF/DWG à convertir contient un modèle excédent cette limite de taille, vous devez choisir un facteur d’échelle afin de ajuster la taille du modèle.

Point de référence

Cette section vous permet de déplacer le modèle de son emplacement d’origine vers un nouvel emplacement dans le fichier converti. Plusieurs possibilités de déplacement sont disponibles:

  • Origine de DXF/DWG coïncide avec ARC+: cette option est définie par défaut. Si cette option est sélectionnée, ARC+ placera le point (0, 0, 0) du fichier DWG sur son propre point (0, 0, 0) (origine sur origine).
  • Déplacer le coin bas-gauche du DXF/DWG vers l’origine d’ARC+: Cette option est utile quand le dessin DXF/DWG contient des coordonnées excédantes une valeur de 99999.999m. ARC+ placera le coin bas-gauche du fichier DXF/DWG sur son point d’origine (0, 0, 0). Cette option est définie par défaut lorsque la boite englobant du dessin DXF/DWG à convertir contient une coordonnée supérieure à 99999.999m.
  • Déplacer le coin haut-droit du DXF/DWG vers l’origine d’ARC+: cette option est utile quand l’emplacement du point d’origine du fichier source n’a pas d’importance et son contenu est loin du point (0, 0, 0). ARC+ placera le coin haut-droit du fichier DWG sur son point d’origine (0, 0, 0).
  • Déplacer manuellement le coin bas-gauche du DXF/DWG au point: cette option vous permet de spécifier les coordonnées précises sur la grille d’ARC+ vers lesquels le point bas-gauche du fichier DXF/DWG devrait être déplacé. Utilisez les champs X, Y, Z pour définir les coordonnées du point

(Exemple: -22.3, 5, 21.6).

  • Déplacer manuellement le coin haut-droit du fichier DXF/DWG au point : cette option vous permet de spécifier les coordonnées précises sur la grille d’ARC+ vers lesquels le point haut-droit du fichier DXF/DWG devrait être déplacé. Utilisez les champs X, Y, Z pour définir les coordonnées du point

(Exemple: -22.3, 5, 21.6).

  • Déplacer manuellement l’origine du fichier DXF/DWG au point : cette option vous permet de déplacer l’origine de votre fichier DXF/DWG vers un point spécifié dans l’espace de travail d’ARC+. Utilisez les champs X, Y, Z pour définir les coordonnées du point.
  • Déplacer manuellement le point spécifié du fichier DXF/DWG vers un point spécifié d’ARC+: cette option vous permet de spécifier un point dans le fichier DXF/DWG qui sera déplacé vers un point spécifié dans l’espace de travail d’ARC+. Utilisez les champs X, Y, Z pour définir les coordonnées du point.

Boîte englobante

Cette section vous permet de contrôler la taille de la boîte englobante du dessin dans le fichier DXF/DWG ainsi que dans le fichier cible ARC+. Notez que les valeurs dimensionnelles de la boîte englobante peuvent être altérées par les valeurs entrées dans les sections Point de référence et Echelle et unités. ARC+ calcule automatiquement les coordonnées X, Y, Z des limites de votre modèle.

  • IMPORTANT: les coordonnées sont calculées selon l’unité ARC+ spécifiée.

Epaisseur de ligne

Dans certains logiciels de CAO, il existe plusieurs épaisseurs disponibles en affichage dans le mode de travail. L’espace de travail d’ARC+ propose deux épaisseurs de lignes – Fin (1) ou Epais (2) – afin de faciliter son usage. L’épaisseur d’impression de la ligne est définie dans le gestionnaire d’impression selon la couleur de la ligne. Le convertisseur DXF/DWG vous permet de définir facilement l’épaisseur de ligne d’ARC+ (1 ou 2) qui sera attribuée aux lignes provenant du fichier DXF/DWG. Cliquez sur Epaisseur de ligne pour afficher la boîte de dialogue suivante:

  • Les épaisseurs de lignes utilisées dans le fichier DXF/DWG sont affichées à gauche sous Epaisseur de ligne DWG.
  • Les épaisseurs de lignes disponibles dans ARC+ (1 et 2) sont affichées à droite sous Epaisseur de ligne ARC+. Les épaisseurs de lignes sont disposées en deux colonnes avec les boutons de radio correspondants.
  • Pour chacune des épaisseurs d’origine du fichier DXF/DWG vous pouvez associer une épaisseur ARC+ en utilisant les boutons radio correspondants. Par exemple, si vous associez l’épaisseur de ligne 0.00 du DXFD/DWG à l’épaisseur de ligne "1" d’ARC+, l’affichage sera le suivant:

Si vous associez l’épaisseur "2" d’ARC+ à l’épaisseur de ligne 0.25 du DWG, l’affichage sera le suivant:

  • Vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

Type de ligne

ARC+ vous offre une sélection de 7 types de ligne différents. Tous les types de lignes provenant du fichier DXF/DWG peuvent être convertis en un des types de ligne ARC+. Pour cela, utilisez la section Type de ligne de la boîte de dialogues Préférences d’importation:

  • les types de lignes issus du fichier DXF/DWG sont affichés sous le titre Type de ligne DWG.
  • La partie Description de la boîte de dialogue vous donne un aperçu des types de ligne DWG/DXF, conformément à leur affichage d’origine.
  • La partie Type de ligne de la boîte de dialogue vous permet de sélectionner, à l’aide du sélecteur déroulant, un type de ligne ARC+ vers lequel le type de ligne DWG/DXF sera converti.
  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

NOTE : vous pouvez ajouter de nouveaux types de ligne qui seront identifiés et affichés dans la section Description. Pour cela, ouvrez le fichier arcplus.lin (en utilisant Wordpad) et collez-y les nouveaux types de lignes à partir de l’autre logiciel CAO. Pour accéder au fichier arcplus.lin : ARC COMPONENTS/Library/Line type.

Calque

ARC+ vous permet de réorganiser les calques provenant du fichier DXF/DWG en leur désignant des nombres de votre choix. Vous pouvez utiliser des nombres allant de 1 à 255, 99 excepté (ce nombre étant réservé pour les lignes d’aide). Les noms désignés aux calques d’origine du fichier DXF/DWG sont affichés dans le gestionnaire des calques d’ARC+ après la conversion.

  • les noms des calques provenant du fichier DXF/DWG sont affichés dans la section Nom de la boîte de dialogue.
  • La section Numéro vous permet de changer les numéros des calques (allant de 1 à 255, 99 excepté).
  • Si vous désignez le même numéro à deux calques originaux issus du fichier DXF/DWG file, les calques seront automatiquement fusionnés.
  • Cochez l’option Importer tous les calques si vous voulez importer tous les calques définis dans le fichier DXF/DWG d’origine même s’ils sont vides.
  • Cochez l’option Importer que les calques utilisés si vous voulez qu’ARC+ ignore les calques vides pendent l’importation.
  • ARC+ n’a pas de calque «0» disponible. Vous pouvez indiquez, lors de la conversion à partir de quel calque commencera le décalage au cas ou le premier calque est «0» dans le fichier DXF/DWG. Dans ce dessein, saisissez le numéro de calque dans le champ Décalage 1er calque.

Police de texte

ARC+ convertit les polices de texte DXF/DWG en polices de texte natives d’ARC+ ou en polices de texte TrueType. Vous pouvez visualiser et contrôler les polices de texte à l’aide de la boîte de dialogue Police de texte, accessible à partir de la boîte de dialogue Préférences d’importation DXF/DWG:

  • Les polices de texte provenant du fichier DXF/DWG sont affichées à gauche sous DWG. Les polices de texte issus des fichiers DXF/DWG portent l’extension .shx (native) ou .ttf (Windows TrueType)
  • La section ARC+ à droite vous permet de changer les polices définies. Vous pouvez sélectionner des polices .ttf (Windows TrueType) ou .fon (native ARC+) pour remplacer les polices issues du fichier DXF/DWG. Cliquez sur le nom de police originale et utilisez le sélecteur déroulant pour appliquer la police de votre choix.
  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.

Couleurs

Si vous avez lancé la commande \cuscolor afin de modifier les couleurs 2 à 15 d’ARC+, la catégorie couleurs sera ajoutée automatiquement à votre gestionnaire de conversion DXF/DWG.

Si vous n’avez pas changé les couleurs 2 à 15 la palette à 255 couleurs ARC+ retrouve automatiquement les 255 couleurs DXF/DWG correspondants.

  • Les numéros 1 à ; 2 à etc. représentent les 255 couleurs DXF/DWG les cases coloriés sont des représentations graphiques desdits couleurs.
  • Entre les numéros (1 >à ; 2 >à…) et les cases coloriés vous trouverez des champs représentent les 255 couleurs ARC+ ces numéros sont modifiables.
  • Utilisez les butons
  • ou saisissez une nouvelle valeur pour indiquer au convertisseur quelle est le numéro de la nouvelle couleur que vous souhaitez intégrer à la place de la couleur DXF/DWG correspondante.
  • Cliquez sur OK pour valider vos choix.
  • vous pouvez définir les paramètres que vous définissiez en tant que paramètres par défaut pour les conversions futures. Pour cela, cochez l’option Enregistrer comme défaut pour autres conversions.


Recherche des erreurs dans un fichier

Contrôle l’intégralité d’un fichier et corrige les éléments problématiques

\qfile

Vérification d’un fichier

Indiquez le nom du fichier ou pressez Entrée pour le fichier en cours.

Contrôlez la totalité du fichier—option standard, ou définissez une zone de couverture. Utilisez la seconde option pour exclure une zone du modèle uniquement si votre modèle présente des dimensions problématiques.

L’intégralité de la base de données du modèle est vérifiée. En fonction de la vérification, un rapport est affiché sur l’écran décrivant les éventuels problèmes.

Correction d’un fichier

Pour corriger les problèmes dans un modèle, sélectionnez l’option correction. Le système corrigera tout problème particulier figurant dans la base de données. Le dessin est réaffiché sur l’écran.

Si vous effectuez un nouveau contrôle du fichier, ne soyez pas surpris si de nouveaux problèmes sont listés. La vérification de la base de données au cours de la phase de correction est plus rigoureuse. Il est recommandé par conséquent d’effectuer systématiquement une double correction et une double vérification.

  • CONSEIL : Utilisez cette commande pour vérifier l’intégralité d’un fichier DXF qui a été importé dans ARC+, tout fichier d’une version précédente d’ARC+ et tout fichier pour lequel un problème de base de données est suspecté.


Restauration d'un fichier

Restaure un fichier perdu.

\restore

Un fichier perdu ou endommagé en raison d’une panne de courant par exemple, peut être restauré à partir du fichier de sauvegarde automatique.


Restauration d'un modèle à partir d'un fichier dump

Restaurez un modèle dans la fenêtre de travail à partir d'un fichier dump (.dmp).

\rdump

Cette commande restaure un modèle à partir d'un fichier dump créé à l'aide de la commande Dumper une base de données d'un modèle (\dump). Le contenu du modèle restauré est ajouté au modèle actuellement affiché dans la fenêtre de travail.

Les fichiers dump de tous les objets placés dans le modèle doivent être restaurés séparément.

  • REMARQUE : Cette commande permet de fusionner un modèle dumpé avec le modèle actuellement affiché. Si vous désirez restaurer un modèle dumpé sans effectuer de fusion, sauvegardez, puis effacez la fenêtre de travail avant d'exécuter cette commande.

Utilisation

Spécifiez le nom du fichier dump. Le système ajoutera l'extension dmp.

Le modèle est restauré dans la fenêtre de travail. Vous pouvez l'utiliser comme tout autre modèle ARC+ et le sauvegarder sous un quelconque nom de fichier.


Sécurité

Thèmes liés

  • Copie de sécurité
  • Sauvegarde automatique
  • Restauration d'un fichier


Sauvegarde automatique

Lorsque vous travaillez sur un modèle qui possède un nom, les 4 fichiers qui le composent (III, DDD, ICN et ADB) sont dupliqués et complétés par l'extension BAK à intervalle régulier. Vous pouvez régler cet intervalle à l'aide de la commande suivante:

\autosave

Entrez (en minutes) l'intervalle entre chaque sauvegarde automatique.

  • IMPORTANT: Lorsque vous travaillez sur un nouveau fichier sans nom ("Nouveau fichier"), le système ne peut par créer la sauvegarde automatique et vous propose à intervalle régulier d'enregistrer votre travail.

Lorsque le modèle courant est enregistré ou fermé correctement, ces 4 fichiers sont automatiquement supprimés.

Dans le cas contraire (fermeture inopinée du logiciel), les fichiers ne sont pas effacés et lorsque vous tentez ultérieurement de rouvrir ce modèle, le système vous informe de la présence d'une sauvegarde automatique et vous demande si vous souhaitez l'ouvrir plutôt que le modèle d'origine.

Si vous choisissez d'ouvrir la sauvegarde automatique, celle-ci est chargée, puis une boîte de dialogue vous demande d'enregistrer le fichier sous un autre nom: vous pouvez alors décider de remplacer immédiatement le modèle original.

Si vous souhaitez préalablement vérifier le fichier récupéré, appuyez sur ESC pour quitter la boîte de dialogue. Vous travaillez alors dans un fichier sans nom (Nouveau fichier).


Sauvegarde d'un fichier

Sauvegarde le contenu de la fenêtre de travail.

\save

Spécifiez un nom de fichier pour sauvegarder votre modèle.

Vous pourrez sauvegarder un fichier dans un quelconque répertoire de votre disque.

Cliquez le nom du fichier modèle ou choisissez le bouton ok pour sauvegarder le fichier. Une icône (représentation graphique) du fichier est créée automatiquement si vous cochez l’option Sauver icône.

  • CONSEIL : Vous pouvez annuler l’option de création automatique d’icône en utilisant la commande Sauvegarde du mode icône (\svicnmod)
  • REMARQUE : Les entités masquées sont également sauvegardées. Elles demeurent masquées lors de l'ouverture ultérieure du fichier.
  • IMPORTANT : Ne pas sauvegarder un fichier sous le nom nouveau modele, car il est utilisé par ARC+ pour le modèle courant dans la fenêtre de travail.

Lorsque vous sauvegardez un fichier existant, le système assume que vous le sauvegardez sous le même nom, et vous n’avez pas besoin de spécifier le nom ou de confirmer l’opération.

Si vous ouvrez un fichier d’un dossier autre que le dossier en cours, vous êtes transférés dans ce nouveau dossier.


Sauvegarde de votre travail

  • IMPORTANT : Les fichiers modèles ARC+ constituent l'enregistrement permanent de vos dessins de conception. Protégez vos fichiers en consacrant tous les jours quelques minutes à leur sauvegarde, leur organisation et leur archivage.

Pour protéger votre travail des pannes d'électricité, des effacements accidentels etc., exécutez régulièrement des sauvegardes durant chaque session de travail.

Prenez soin de garder toujours plus d'une copie mise à jour de fichiers importants. Préservez vos copies de sauvegarde dans un local séparé de votre ordinateur et à l'abri des inondations, des incendies ou autres désastres.

Lorsque vous exécutez une sauvegarde, vous pouvez utiliser la commande de Copie d'un modèle et des fichiers associés (\fcopy) pour inclure des fichiers que vous aurez créés ou édités depuis votre sauvegarde précédente, tels que fichiers d'objets placés et de catalogues. Par ailleurs, vous devez sauvegarder les fichiers batch et tout autre type de fichier que vous souhaiteriez utiliser dans le futur.

Pour organiser vos fichiers et les repérer aisément, utilisez un répertoire séparé pour les disques et effectuez une sauvegarde sur CD ou DVD pour chaque projet ou pour chaque phase d'un projet de grande envergure.

Il est particulièrement important de sauvegarder vos fichiers avant d'installer une nouvelle version d'ARC+. Pour obtenir des renseignements sur les procédures d’installation, voir Installation dans le chapitre Guide de Démarrage.


Stéréolithographie (STL)

La Stéréolithographie est une technique dite de «prototypage rapide» qui permet de fabriquer des objets solides à partir d’un modèle numérique. Il y a plusieurs méthodes de stéréolithographie dont le point commun est la création de couches fines de matière en superposition. Pour ce faire, la machine de stéréolithographie peut ajouter de la matière, l’enlever ou durcir le liquide par un rayon de laser.

La stéréolithographie est couramment utilisée dans plusieurs procédés industriels, notamment dans la création des prototypes et des maquettes plastiques avant l’usinage en masse de certains produits.

Bien que la fabrication en masse des projets d’architecture soit rare, la stéréolithographie peut s’avérer très avantageuse pour la création de maquettes physiques en trois dimensions. ARC+ vous permet de sauvegarder vos modèles sous le format universel STL ce qui vous permettra de créer des véritables maquettes de vos projets modélisés en 3D.

  • REMARQUE : Pour plus de détails sur la stéréolithographie et la création des fichiers STL voir chapitre 26 de ce guide.


Utilisation du gestionnaire de batchs

Il est possible d’exécuter toutes les commandes liées aux fichiers batch ainsi que gérer lesdits fichiers en lançant le gestionnaire des batchs.

\manbatch

Lorsque vous exécutez cette commande, la boîte de dialogue suivante apparaît:

La liste de tous les batchs disponibles est affichée dans cette boîte de dialogue à partir de laquelle, vous pouvezeffectuer les opérations suivantes:

  • Créer un nouveau batch. Vous pouvez créer autant de batchs que désiré.
  • Effacer le batch sélectionné
  • Exécuter le batch Sélectionné.
  • Renommer un batch: Double-cliquez sur le nom du batch puis entrez le nouveau nom.
  • Enregistrer/Editer un batch: Cliquez une fois sur le nom du batch à éditer puis cliquez sur cette l’icône [image] en face de son nom. Cette action fait apparaître la boîte de dialogue Enregistreur de batch suivante:

Cette boîte de dialogue permet d’enregistrer, visualiser et éditer le contenu du batch.

Enregistrement d’un nouveau batch

  • Cette icône permet de démarrer l’enregistrement. Continuez à travailler normalement. Chacune des commandes lancées par les menus déroulants, les icônes, le clavier ou les raccourcis est automatiquement enregistrée dans le batch.
  • Cliquez sur l’icône Stop lorsque vous voulez arrêter l’enregistrement du batch.
  • IMPORTANT: N’utiliser dans les batchs que des fonctions autorisées (voir paragraphe "commandes autorisées" du chapitre "Fichier batch" du volume 2).

Nommez le batch dans le champ Description

Sauver un batch

ARC+ sauvegarde par défaut les batchs dans le fichier du modèle (ADB). Vous pouvez aussi sauver le batch dans un fichier externe (LOG). Vous pourrez ainsi l’exécuter ou ajouter son contenu à un autre batch.

  • Cette icône permet de définir le nom et le dossier dans lequel le batch sera enregistré. L’extension des fichiers batchs est LOG
  • Cette icône permet d’attacher le batch sélectionné au fichier en cours. Si l’icône est activée (enfoncée), le batch fait référence au fichier externe (LOG). Si l’icône n’est pas activée, le batch fait référence aux informations enregistrées dans le modèle (ADB).

Ouvrir un batch existant.

  • Cette icône permet d’ouvrir un fichier batch (LOG). Son contenu est affiché dans la fenêtre de batch.

Editer un batch

Lorsque l’enregistrement d’un batch est terminé, l’ensemble des commandes utilisées apparaît dans la boîte de dialogue. Vous pouvez éditer son contenu ou y ajouter un batch existant. Un batch peut aussi être modifié avec un éditeur de texte. Vous pouvez combiner plusieurs batchs avec le bouton Ouvrir un batch. Le contenu du batch importé sera inséré à partir de la position du curseur.

  • Cette icône permet d’effacer toutes les commandes du batch en cours.

Exécuter un batch

  • Cette icône permet d’exécuter le batch en cours d'enregistrement.

Continuer l’enregistrement d’un batch

Vous pouvez compléter un batch en utilisant l’icône Enregistrer. Les nouvelles commandes sont ajoutées à la fin du batch en cours. Arrêter l’enregistrement en cliquant sur le bouton Stop.


Index

Home > 11 Visualisation

11 Visualisation

  1. Accéder au gestionnaire de caméras et coupes
  2. Activation/désactivation des effets d'ombrage
  3. Activation de la projection parallèle
  4. Activation de la projection perspective
  5. Activation des projections parallèle ou perspective
  6. Activation du mode de visualisation
  7. Activation et désactivation du mode Rendering
  8. Activer / Désactiver mode lignes invisibles
  9. Affichage des textes, cotations et motifs linéaires
  10. Ajout d'éclairages à votre modèle
  11. Ajout d'une image de fond
  12. Ajout d'une texture ou d'une image de fond à la bibliothèque
  13. Ajustage du mode de visualisation
  14. Caméras
  15. Ce qu'il faut savoir sur les types d'entité solide
  16. Charger un point de vue
  17. Définition d'une vue standard prédéfinie
  18. Définition de l'échelle d'une image de fond
  19. Définition de l'échelle de l'écran
  20. Définition de l'échelle de référence
  21. Définition de la position de l'œil et de la cible, ainsi que de l'angle de la perspective
  22. Définition de la vitesse de réaffichage du contrôle de visualisation
  23. Définition des options de visualisation
  24. Définition des tolérances pour l'affichage en mode solide
  25. Définition du mode d'échelle de l'écran
  26. Définition précise de la projection
  27. Définitions supplémentaires de visualisation
  28. Déplacement de l'œil et du point de visée dans une fenêtre de contrôle de vue
  29. Déplacement en 3D
  30. Déplacement relatif de la position de l'œil
  31. Déplacement relatif des positions de l'œil et du point de visée
  32. Empêcher le rafraîchissement d'un écran
  33. Génération des fichiers 2D
  34. Génération des ombres dans un modèle
  35. Gestion des vues
  36. Gestionnaire des caméras et coupes
  37. Vues Introduction
  38. Lissage de la courbure des arcs
  39. Manipulation de textures
  40. Masquage des limites des surfaces de solides
  41. Modes d'échelle de l'écran
  42. Modes d'affichage
  43. Modes d'affichage Render
  44. Modification de l'affichage dans une fenêtre de contrôle
  45. Panoramique
  46. Passage d'une vue à une autre
  47. Plans
  48. Position du sol
  49. Position du soleil
  50. Régénération d'une entité sélectionnée
  51. Régénération de la totalité du modèle
  52. Régénération du modèle à partir de la base de données
  53. Réglages de la visualisation dynamique
  54. Rafraîchissement de l'écran
  55. Rafraîchissement des hachures et des motifs
  56. Retour à une vue précédente du modèle
  57. Retour au mode modélisation
  58. Rotation autour d'un axe
  59. Rotation du point de visée autour de la position de l'œil
  60. Rotation orbitale
  61. Sauvegarde d'une projection 2D du modèle
  62. Sauvegarde d'une vue dans un fichier
  63. Sauvegarde et ouverture d'un fichier solide
  64. Sauvegarder un point de vue
  65. Suppression des couleurs, textures et transparences d'un solide
  66. Sauvegarder un point de vue
  67. Utilisation des fenêtres de contrôle
  68. Visibilité des lignes 2D
  69. Visualisation avancée
  70. Visualisation d'un plan de coupe
  71. Visualisation dynamique
  72. Vue axonométrique
  73. Vue en élévation
  74. Vue en 2D/3D
  75. Vue en plan
  76. Zoom arrière
  77. Zoom de la vue
  78. Zoom et panoramique à l'aide de la fenêtre de contrôle de zoom
  79. Zoom et panoramique en temps réel
  80. Zooming et panoramique de la vue


Activation de la projection perspective

Affiche le modèle en projection perspective.

\pers

La vue dans la fenêtre de travail est transformée en perspective. Le cône de visualisation est affiché dans les fenêtres de contrôle de la visualisation.


Activation des projections parallèle ou perspective

Vous pouvez sélectionner une projection en parallèle ou en perspective, ou passer alternativement d'une projection à une autre.

Les mode parallèle ou perspective restent actifs jusqu'à ce que vous les changiez. Les vues fixes telles que les vues en plan, en élévation ou axonométrique sont affichées selon le mode en cours.

Thèmes liés

  • Activation de la projection perspective
  • Activation de la projection parallèle


Activation du mode de visualisation

Initialise le mode de visualisation pour un affichage réaliste de votre modèle. En option, cette commande permet de visualiser une coupe simple ou double de votre modèle selon un plan de coupe quel qu'il soit.

Vous ne pouvez pas éditer votre modèle lors de l’affichage en mode solide.

\solid

  • REMARQUE Les options du mode solide sont facilement accessibles par l’icône [image] dans a barre d’outils Modes.

Sélectionnez l'une des options suivantes:

tout | Affiche tout le modèle.
coupe | Affiche une coupe simple ou double du modèle quelque soit l'orientation
plan | Affiche une coupe horizontale du modèle dans une vue plane. Spécifiez la coordonnée z du plan de coupe.

charger fichier solideOuvre un modèle solide déjà sauvegardé.

Vous pouvez sauvegarder le modèle solide (recommandé pour les très grands modèles) ou presser Entrée pour continuer sans avoir à le sauvegarder. Si vous pressez Entrée puis que vous décidez que vous voulez quand même sauvegarder le modèle solide, vous pouvez utilisez la commande Sauvegarde du fichier solide (\saves).

Vous pouvez ouvrir un modèle en mode de visualisation solide sans retourner en mode de modélisation (\geom).

Si vous choisissez l’option section, voir Création d’une coupe solide.

Votre modèle est affiché conformément aux options et aux coupes spécifiées.

Pour définir des options telles que suppression des lignes cachées, affichage des surfaces, ombres portées et ombres propres, consultez la commande Définition des options de visualisation (\dspmod).

Création d’une coupe solide

  • REMARQUE : Les options coupe et plan permettent l'affichage d'une coupe sans nécessiter une modification permanente du modèle. Pour effectuer des opérations booléennes permanentes sur les entités du modèle, consultez Opérations sur les solides.

Si vous sélectionnez l'option coupe simple, spécifiez:

orthogonale | Le plan de coupe sera perpendiculaire à l'axe x, y ou z. Choisissez l'axe désiré. Puis spécifiez une valeur pour la hauteur du point d'intersection sur l'axe, ou définissez un point sur le plan de coupe.
diagonale | Le plan de coupe sera parallèle à l'un des axes. Définissez deux points dans le plan.
libre | Le plan de coupe pourra avoir toute orientation dans l'espace. Définissez trois points dans le plan.

Pour chaque cas, indiquez un point supplémentaire sur le côté du plan de coupe à conserver.

Il vous est demandé si vous désirez effacer les lignes de coupe. Si vous répondez affirmativement, toutes les lignes représentant les surfaces de contact entre des entités adjacentes de la même couleur qui ont été sectionnées seront effacées.

Utilisez cette option lorsque vous avez effectué une coupe d’un modèle à travers une série d’entités ARC+ qui en réalité seront construites à partir d’un matériau monolithique unique, par exemple.

Si vous sélectionnez l'option coupe double, définissez le premier plan de coupe comme indiqué ci-dessus. Spécifiez si le second plan de coupe est:

parallele | Parallèle au premier plan. Spécifiez l'épaisseur de la coupe entre les plans. Le second plan se trouvera toujours entre l'origine (0,0,0) et le premier plan.
non parallele | Définissez le second plan de manière identique au premier.

On vous demande si vous voulez supprimer les lignes de coupe. Si vous répondez par l’affirmative, toutes les lignes représentant les faces de contact entre des entités adjacentes de la même couleur ayant été coupées sont supprimées.

Vous pouvez utiliser cette fonction si, par exemple, lorsque vous avez sectionné un modèle à travers une série d’entités ARC+ qui en réalité seraient construites d’un seul matériau monolithique.

  • REMARQUE : Si vous affichez une coupe, vous pouvez faire pivoter la vue dans une direction perpendiculaire au plan de coupe (voir la commande Visualisation d'un plan de coupe, \vsect).


Activation et désactivation du mode Rendering

Active le mode Rendering.

\render

Une fois le mode activé, vous pouvez continuer à créer des objets et à modifier votre modèle à l'aide des commandes ARC+ appropriées. Vous pouvez également alterner entre un affichage filaire et un affichage Render intégral sans quitter le mode.

Basculement entre les affichages filaire et rendu

Alterne entre l'affichage de l'image en filaire ou avec tous les effets de rendu.

\rendonof

Utilisez cette commande pour alterner entre les deux types d'affichage pendant votre travail. L'avantage de l'affichage filaire tient à ce qu'il permet d'accélérer les transferts sans vous contraindre à quitter le mode Render.

  • REMARQUE : Dans ce mode, le contrôle du plan de travail et de la position du curseur est légèrement différent: lorsque vous déplacez le curseur sur des surfaces du modèle, le système reconnaît la direction du plan de travail et ses coordonnées. Vous n'êtes donc plus tenu d'alterner entre les plans ou d'entrer les coordonnées du plan courant au clavier.

Pour quitter le mode, choisissez un mode de modélisation dans le champ approprié de la barre d'état (pour détails, voir Quitter le mode DSG (\geom)).


Activer / Désactiver mode lignes invisibles

Ce mode vous permet d’activer le mode des lignes invisibles lorsque vous capturez vos modèles en 2D.

\hid2dmod

Choisissez parmi les des deux options:

  • Oui (y) – Inclure les lignes transparentes prédéfinies avec \hidlin2d en mode solide
  • Non (n) – Ne pas inclure les lignes transparentes prédéfinies avec \hidlin2d en mode solide (option activée par défaut)
  • REMARQUE : Lorsque le mode lignes invisibles est désactivé, la génération des fichiers 2D à partir d’un modèle 3D est plus rapide.


Affichage des textes, cotations et motifs linéaires

Cette commande définit un mode dans lequel l’affichage des textes, des cotations et des motifs linéaires n’est pas effectué en mode visualisation.

\txtonof

Ce mode est activé (ou désactivé) uniquement en mode visualisation. Utilisez cette commande pour empêcher l’affichage de texte et de cotations dans votre modèle solide.


Ajout d'éclairages à votre modèle

Ajoute des sources lumineuses directionnelles de type spot dans votre modèle.

\light

Choisissez l’une des options suivantes:

  • Ajouter
  • Modifier
  • Cacher ou afficher

Ajouter une source lumineuse à votre modèle

Un symbole représentant un spot apparaît à côté du curseur. Placez celui-ci sur le point approprié et cliquez sur le bouton de la souris, puis tracez une flèche indiquant la direction de l'éclairage à l'aide d'un glisser-déplacer.

Vous pouvez ajouter autant de sources de lumière que vous le désirez dans votre modèle.

Modifier les sources lumineuses

Pour modifier l'emplacement ou la direction d'un spot, il suffit de déplacer sa source ou sa direction à l'aide d'un glisser-déplacer.

Effacer les sources lumineuses

Pour supprimer une source de lumière, effacez simplement le symbole correspondant à l'aide de la commande de suppression habituelle.

Cacher ou afficher les sources lumineuses

Cette option cache ou affiche le symbole de lumière. Elle ne cache pas l’effet de la lumière. Vous pouvez cacher l’effet de lumière en utilisant la commande Modes d'affichage Render (\rendmode).


Ajout d'une image de fond

Insère une image à l'arrière-plan de l'écran pour accroître le réalisme de votre modèle.

\backgrnd

Utilisez les images de fond pour replacer votre bâtiment dans son décor naturel (vues extérieures) ou faire apparaître un paysage derrière les fenêtres (vues intérieures).

Vous pouvez également afficher le fond en mode Modélisation. Cette méthode est très commode, notamment, lorsque vous désirez faire apparaître une vue aérienne du site à l'arrière-plan du bâtiment.

Les options disponibles sont les suivantes:

  • Désigner l'image de fond
  • Afficher l'image de fond en modes Render et Modélisation
  • Afficher uniquement l'image de fond
  • Afficher l'image de fond uniquement en mode Modélisation
  • Masquer l'image de fond

La première option vous permet de choisir l'image de fond dans une bibliothèque, tandis que les autres contrôlent les modalités de son affichage.


Ajout d'une texture ou d'une image de fond à la bibliothèque

Les images de texture et de fond sont des fichiers bitmap (*.bmp). Pour ajouter des textures et des images de fond que vous avez composées à la bibliothèque, il suffit de copier les fichiers correspondants dans le répertoire:

arcplus\arcalib\textures\

Pour voir les icônes de vos nouvelles textures dans la boîte de dialogue Sélection d'une texture, relancez ARC+.


Ajustage du mode de visualisation

Lorsque vous affichez votre modèle dans le mode de visualisation, vous avez la possibilité d'ajuster certaines caractéristiques de l'affichage du solide.

  • Les tolérances pour le calcul des lignes cachées
  • La couleur des solides négatifs (vides)
  • L'intensité des lignes
  • L'affichage des lignes intérieures sur les surfaces

Ces options concernent uniquement le mode de visualisation. Elles n'ont aucun effet sur le mode de modélisation.

Thèmes liés

  • Définition des tolérances pour l'affichage en mode solide
  • Contrôle de la couleur des solides négatifs
  • Contrôle de l'affichage des lignes
  • Masquage des limites des surfaces de solides
  • Vue en 2D/3D


Caméras

Ajouter une nouvelle caméra

Pour ajouter une nouvelle caméra, vous devez tout d’abord afficher le modèle suivant le point de vue désiré, en utilisant les fenêtres de contrôle de vues habituelles d’ARC+ ou les commandes. Ensuite, cliquez sur le bouton Ajouter nouveau dans l’onglet Caméras.

Paramètres de la caméra

Lorsque vous ajoutez une nouvelle caméra, le Gestionnaire n’enregistre pas seulement les coordonnées de la vue (œil, cible, cône de visualisation) mais aussi les informations suivantes:

  • Le mode actuel 2D/3D
  • Le mode d’affichage (permis GEOM, SOLID+lignes cachées,surfaces colorées, etc…)
  • Le mode de vue orthogonale/perspective
  • La visibilité des hachures/motifs
  • La configuration des calques
  • Option d’échelle
  • Activation/Désactivation du clip auto
  • Activation/Désactivation du nettoyage des lignes
  • Activation/Désactivation de la préservation des murs
  • Activation/Désactivation de la sauvegarde de l’écrasement 2D
  • Activation/Désactivation du retrait des lignes se chevauchant
  • Activation/Désactivation de la conservation des cotations XY

Vous pouvez accéder à l’ensemble de ces paramètres en faisant un double clic sur le nom d’une caméra dans n’importe quel onglet du Gestionnaire, faisant apparaître la boîte de dialogue Paramètre de la caméra:

Cette boîte de dialogue est divisée en 3 parties:

  • Coordonnées de la caméra
  • Paramètres de visualisation
  • Paramètres du dessin 2D

Coordonnées de la caméra

Dans la partie supérieure de la boîte de dialogue, vous pouvez voir les coordonnées de la caméra enregistrée. Ces informations ne peuvent pas être modifiées ici. Pour les modifier, vous devez, dans l’interface du Gestionnaire cliquer sur le nom de cette caméra puis cliquer sur le bouton Modifier caméra:

Paramètres de la visualisation

Cette partie de la boîte de dialogue permet de contrôler comment le modèle doit être visualisé:

ICON | COMMANDE | DESCRIPTION
 | Bascule 2D/3D | Permet de décider si le modèle doit être affiché en 2D ou en 3D
 | Bascule parallèle/perspective | Bascule entre les modes parallèle et perspective
 | Bascule motifs ON/OFF | Active ou désactive l’affichage des hachure et motifs
 | Mode d’affichage | Sélectionne le mode d’affichage
 | Configuration des calques | Change la configuration des calques
Configuration des calques

En cliquant sur ce bouton, vous accédez à la boîte de dialogue de configuration des calques.

Elle permet de définir quel calque doit être allumé ou éteint quand la caméra devient active. Pour allumer ou éteindre un calque, cliquez sur l’icône à la droite du nom du calque. Quand l’icône est [image] le calque est allumé et lorsqu’il est [image] il est éteint.

Il est possible de forcer l’allumage de tous les calques en cliquant sur :

Par défaut, la boîte de dialogue affiche seulement les calques utilisés dans le modèle. Cela peut cependant être modifié en cliquant sur le bouton:

Paramètres du dessin 2D

Cette partie de la boîte de dialogue vous permet de définir quelques informations au sujet de la génération automatique du fichier 2D correspondant à la camera :

OPTION | DESCRIPTION
Nom de fichier | Quand les fichier 2D sont générés, il sont créés par défaut dans le répertoire du courant avec un nom composé de 2d_suivit du nom de la caméra. En utilisant ce champ, il est possible de définir un répertoire et un nom de fichier différent
Commentaire | Permet d’ajouter un commentaire à la caméra
Afficher le symbole de coupe | Définit si le symbole représentant la coupe doit apparaître ou nom dans le fichier final
Option d’échelle | Options d’échelle déterminant si l’échelle de visualisation est fixe ou automatique
Clip auto | Si cette option est activée, les polygones supposés clipper les lignes 2D sont automatiquement activés
Nettoyage des lignes | Les lignes dotées des mêmes attributs et dont les points finaux se rencontrent sont fusionnées en une seule ligne. Ceci permet d’obtenir un dessin plus facile à éditer et un nombre minimal de lignes
Préservation des murs | Cette option permet de copier les murs du modèle 3D sur le plan 2D>Utilisez ce paramètre si vous souhaitez conserver les attributs, par exemple pour hachurer ou dimensionner les murs uniquement sur le dessin 2D
Sauvegarde écrasement 2D | Tous les dessins 2D sont écrasés.>Lorsque cette option est désactivée, les entités ajoutées en 2D sont préservées et seules les lignes projetées à partir du modèle 3D sont remplacées
Retrait des lignes se chevauchant | Toutes les lignes qui se chevauchent sont fusionnées en une seule ligne.
Conservation des cotations XY | Cette option permet de conserver les lignes de cote réalisées sur le plan XY à partir du modèle 3D.>Cette option est utile lorsque l’on conserve le modèle 3D comme point de départ principal pour obtenir un fichier 2D mis à jour. Elle copie et colle les cotations XY dans le fichier 2D résultant


Ce qu'il faut savoir sur les types d'entité solide

ARC+ distingue entre deux types essentiels d'entité solide:

  • les solides ordinaires ou simples
  • les solides complexes
solides ordinaires | Solides constitués de la réunion de deux bases de
(simples) | polygones, les surfaces entre ces bases n'étant pas des polygones.
solides complexes | Solides dont les surfaces sont entièrement composées de polygones

Le rendu n'est pas appliqué à ces deux types de solide de la même façon: l’enveloppement des textures ne concerne en effet que les solides simples.

Texture scalée automatiquement et appliquée à chaque surface de polygone

Texture enveloppée autour d’un volume simple

En cas de besoin, n'hésitez pas à vérifier le type d'un solide à l'aide de la commande Information sur les attributs d'une entité (\qent).

Les solides ordinaires ou simples peuvent être convertis en solides complexes soit individuellement (voir la commande Polygones, Conversion d'un solide pour mesurer la surface et pour le hachurage (\sol3to9)), soit en bloc (voir la commande Rendering, Conversion d'un solide simple en solide complexe (\solconv)). Cependant, les solides complexes ne peuvent pas être convertis en solides simples. Les murs 3D sont considérés comme des solides simples, à moins d'avoir été divisés en sections ou d'avoir fait l'objet d'opérations booléennes.


Charger un point de vue

Charge les paramètres d’un point de vue afin de le représenter à l’écran.

\loadvw

Une boîte de dialogue apparaît, vous invitant à sélectionner un fichier contenant les informations concernantla vue à afficher. Vous pouvez librement choisir un fichier se trouvant dans un autre répertoire que le dossier de travail courant.


Comment contrôler la visualisation

La vue de votre modèle est constituée par une projection sur le plan de l'écran. Pour contrôler la projection, vous pouvez définir les paramètres suivants:

œil | Position de l'œil de l'observateur.
point de visée | Point sur le modèle vers lequel l'œil est dirigé (cible).
cone de visualisation | Angle de la vue autour du point de visée.
mode de projection parallèle/ perspective | Mode selon lequel votre modèle sera projeté pour donner la vue.

Si vous le souhaitez, vous pouvez afficher la totalité de la projection, dans la limite des bords du cône de visualisation. Alternativement, vous pouvez zoomer—agrandir—une zone particulière de la projection, et vous pouvez effectuer un panoramique—ajuster la position—de la région zoomée dans n'importe quelle position située dans le plan de projection.

rectangle de zoom/panoramique Zone rectangulaire située dans la projection de votre modèle, qui sera agrandie ou réduite autant que nécessaire pour remplir la fenêtre de travail.

Vous pouvez effectuer un zoom ou un panoramique sur des zones situées dans ou au-delà des limites du cône de visualisation. Le zoom ou le panoramique seront affichés tant que la projection n'est pas modifiée par une autre commande de visualisation ou de contrôle de la fenêtre de visualisation.

Commandes et fenêtres de contrôle

La projection peut être définie à l'aide de toute combinaison des méthodes suivantes.

  • Sélectionnez une vue standard prédéfinie—en plan, en élévation, ou en vue axonométrique.
  • A l'aide de la souris, définissez les positions de l'œil et du point de visée dans une fenêtre de contrôle de vue, ou bien effectuez un zoom ou un panoramique dans une fenêtre de contrôle de zoom. A l'aide des fenêtres de contrôle, vous pouvez définir toute projection et examiner de près toute partie du modèle. En déplaçant les positions de l'œil et du point de visée à l'intérieur du modèle, vous pouvez afficher des vues intérieures ou bien vous promener dans le modèle.
  • Définissez avec précision l'œil, le point de visée, le cône de visualisation, le mode de projection, et le rectangle de zoom/panoramique à l'aide des commandes spécifiques de chaque paramètre.
  • Laissez à ARC+ le soin de définir automatiquement certains des paramètres de visualisation en sélectionnant le mode d'échelle fixe ou automatique.


Contrôle de l'affichage des lignes

Ajuste l’intensité des entités filaires superposées, tels que hachurage et motifs, qui ne peuvent pas être clairement en mode solide.

\setint

Lorsque vous supprimez les lignes cachées de l'affichage, il arrive que les lignes superposées affichées (non cachées) apparaissent en faible intensité ou en pointillés sur l'écran. Par exemple, un motif de hachurage (non caché) subdivisé en polygones (cachés) peut ne pas être clairement affiché. Utilisez cette commande pour redéfinir l'intensité des lignes de manière à obtenir l'affichage correct de toutes les lignes.

L'attribution de valeurs élevées à l'intensité entraîne un affichage plus accentué des lignes apparentes. Si la valeur de l'intensité est trop élevée, certaines des lignes cachées situées à proximité de la surface du modèle peuvent devenir visibles. Si l'intensité est définie correctement, les lignes apparentes sont affichées distinctement et les lignes cachées demeurent totalement invisibles.

Vous pouvez spécifier deux intensités de lignes indépendantes, chacune de 0-100.

  • Intensité à utiliser dans les vues en perspective
  • Intensité à utiliser dans les vues en parallèle


Contrôle de la couleur des solides négatifs

Les surfaces des solides négatifs (vides) sont affichées en mode visualisation dans une couleur identique à celle du solide positif qui les entoure. Si vous souhaitez voir les surfaces dans la couleur du solide négatif original, utilisez la commande suivante:

\sdrmod


Conversion d'un solide simple en solide complexe

Convertit les solides simples en solides complexes.

\solconv

Les entités simples se composent de deux polygones réunis par des surfaces n'étant pas elles-mêmes des polygones. Pour les créer, vous pouvez utiliser des commandes du type Extrusion d'un polygone en un solide (\p3d) ou Création d'un solide à partir de deux polygones (\sol2s), ainsi que l'une quelconque des commandes de création de prisme. Les murs 3D sont eux aussi des polygones simples. Toutes les surfaces d'un polygone complexe sont des polygones. Les polygones complexes sont créés à l'aide de commandes telles que Création d'un solide par la rotation d'un polygone (\rosol) ou bien en divisant des solides simples en sections (ou en leur appliquant des opérations booléennes).

Indiquez si vous désirez convertir des entités individuelles ou toutes les entités simples de votre modèle.


Coupes

L’onglet Coupes affiche les coupes enregistrées dans le modèle courant. Pour chaque coupe, le Gestionnaire montre les différentes caméras qui lui sont liées. Ces caméras peuvent être gérées de la même manière que décris dans le précédent paragraphe.

Ajouter une nouvelle coupe

Pour ajouter une nouvelle coupe, cliquez sur le bouton Ajouter nouveau dans l’onglet Coupe du Gestionnaire. La boîte de dialogue est provisoirement cachée et le système vous demande deux points qui définiront le plan de coupe. Les coupes sont représentées par deux symboles de section, un nom de coupe et une ligne de coupe:

Comme expliqué précédemment, les coupes peuvent être affichées en mode lignes cachées grâces aux paramètres de la caméra.

Lorsqu’une nouvelle coupe vient d’être créée, une caméra par défaut lui est associée. Elle correspond à la vue orthogonale de la coupe. D’autres caméras peuvent lui être associées en utilisant ce bouton:

Paramètres de la coupe

Vous pouvez accéder à ces paramètres en faisant un double clic sur le nom d’une coupe dans l’onglet Coupe du Gestionnaire. Cela fait apparaître la boîte de dialogue Paramètres de la coupe suivante:

Les premiers paramètres concernent le symbole de la coupe. En cliquant sur le bouton [image] il est possible de parcourir les répertoires de la bibliothèque d’objets à la recherche d’un nouveau symbole. De plus, il est possible de modifier l’apparence de la ligne de coupe en changeant les paramètres Type de ligne, Epaisseur de ligne, Couleur de ligne.

En dessous, apparaissent les coordonnées des deux points par lesquels passe le plan de section. Ces valeurs peuvent être éditées ici.

Le paramètre Type définit la méthode à utiliser pour le premier nettoyage des linges superposés.

Tout comme pour les caméras, il est également possible d’ajouter un commentaire à la coupe.


Défilement des vues

Affiche la projection précédente de votre modèle.

\viewp

Utilisez cette commande pour faire défiler jusqu’à 9 vues précédentes de votre modèle. Vous pouvez demander le défilement arrière de plusieurs vues en entrant un nombre de 1-9; vous pouvez, de la même façon, demander le défilement avant.

Défilement avant des vues mémorisées

Après un défilement arrière, permet de faire défiler vers l'avant les vues mémorisées.

\viewn

Utilisez cette commande pour demander le défilement avant.


Définition d'une vue standard prédéfinie

Vous pouvez sélectionner une des projections de visualisation standards tant dans les fenêtres de travail que dans celles de contrôle. Dans la fenêtre de travail, les projections orthogonales remplacent le plan de travail actif par le plan perpendiculaire à la vue. Le modèle est remis à l'échelle pour tenir dans la fenêtre de travail.

Ces commandes déplacent l'œil et le point de visée vers des positions prédéfinies. Elles n'ont pas d'effet sur le mode de projection—vue en perspective ou en parallèle. Ainsi vous pouvez afficher une vue plane en parallèle ou en perspective, etc.

Thèmes liés

  • Vue en plan
  • Vue en élévation
  • Vue axonométrique


Définition de l'échelle d'une image de fond

Ajuste l'échelle de l'écran en fonction de l'image de fond.

\setscale

Les images de fond peuvent être affichées en mode Modélisation et sont très pratiques pour créer un dessin sous forme de collage sur une photographie aérienne du site.

Cette commande vous permet d'ajuster l'échelle de l'image de fond en fonction de la distance séparant deux de ses points connus.

Indiquez deux points connus sur l'image puis entrez leur distance: l'échelle est automatiquement modifiée en conséquence.

  • REMARQUE : Pour conserver l'échelle, réglez le mode de l'écran sur Echelle fixe (voir Définition du mode d'échelle de l'écran (\sclmod)). Si vous ne le faites pas, l'activation de commandes de visualisation telles que Zoom avant ou Zoom arrière provoquera une modification de l'échelle.


Définition de l'échelle de l'écran

Définit l'échelle utilisée pour l'affichage du modèle sur l'écran.

\scale

Spécifiez l'échelle désirée. Si vous spécifiez une échelle égale à 100, un centimètre sur l'écran représentera un mètre sur le modèle. Sélectionnez le point vers lequel vous désirez que l'échelle soit étendue ou contractée:

  • Le centre courant de l'écran
  • Un nouveau centre
  • Le point origine (0 0 0)

Si vous sélectionnez l'origine, spécifiez si elle doit être positionnée à l'extrémité inférieure gauche ou bien au centre de l'écran. Le zoom ou le panoramique de l'affichage seront effectués à l'échelle et en fonction du point spécifié. La nouvelle échelle est indiquée sur la ligne d'état.

  • REMARQUE : L'échelle affecte uniquement la vue affichée sur l'écran. Le modèle n'est en aucune manière affecté, il est créé en dimensions réelles. L'échelle des tracés est elle-même définie dans la commande Tracé d'un modèle (\plot).


Définition de l'échelle de référence

Ajuste la taille des textes fixes (y compris les textes de cotations fixes et les motifs linéaires) pour le tracé et dans l'affichage à l'écran.

\tscrn

Pour une description complète de cette commande, consultez le chapitre Tracé et impression, Contrôle de la taille des textes fixes.


Définition de la position de l'œil et de la cible, ainsi que de l'angle de la perspective

Définit les paramètres de visualisation.

\setview

Vous pouvez choisir l’une des options de vue suivantes:

  • la définition de la position de l'œil (\eye)
  • la définition de la position de la cible (\targ)
  • la définition de l'angle du cône de perspective (\pcone)

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.

Définition de la position absolue de l'œil

Définit la position exacte de l'œil.

\eye

La position courante de l'œil est affichée sur la ligne d'entrée. Il s'agit de la position à partir de laquelle vous visualisez le modèle.

Définissez une nouvelle position de l'œil.

L'affichage du modèle dans la fenêtre de travail est modifié en conséquence. Si une fenêtre de contrôle de vue est ouverte sur l'écran, le symbole représentant l'œil dans la fenêtre de contrôle se déplace également.

Définition de la position absolue du point de visée

Définit la position exacte du point de visée.

\targ

La position courante du point de visée est affichée sur la ligne d'entrée. Il s'agit du point que vous êtes en train de viser.

Définissez une nouvelle position du point de visée. Le centre spatial du modèle constitue la position par défaut du point de visée.

L'affichage du modèle dans la fenêtre de travail est modifié en conséquence. Si une fenêtre de contrôle de vue est ouverte à l'écran, le symbole représentant le point de visée dans la fenêtre de contrôle se déplace également.

Angle du cône de visualisation

Définit l'angle du cône de visualisation.

\pcone

Spécifiez la valeur de l'angle désiré dans l'intervalle des valeurs 1 à 170 degrés.

L'affichage dans la fenêtre de travail est recalculé en fonction de ce nouvel angle. Si une fenêtre de contrôle de vue est ouverte sur l'écran, les lignes représentant les limites du cône sont déplacées en conséquence.


Définition de la vitesse de réaffichage du contrôle de visualisation

Un mode spécifique du système vous permet de définir la vitesse de réaffichage qui sera utilisée lors de la modification de la vue à l'aide des fenêtres de contrôle de zoom et de visualisation.

La vitesse rapide permet un réaffichage de l'écran pendant le déplacement dynamique de la vue. Cette propriété fournit ainsi le panoramique dynamique et la rotation du modèle. Si vous sélectionnez la vitesse lente, le modèle sera affiché uniquement après relâchement du bouton de la souris. Ce mode est particulièrement utile pour les grands modèles, lorsque le réaffichage risque d'être long.

La commande est disponible au clavier uniquement.

\togfsm

Utilisez cette commande de manière répétitive pour passer d'une vitesse de réaffichage à une autre.


Définition des options de visualisation

Définit les options d'affichage de votre modèle dans le mode visualisation:

  • Filaire
  • Suppression des lignes cachées
  • Surfaces colorées et/ou ombrées
  • Ombres

\dspmod

[Ctrl+F7] active l’option surfaces des ombres portées.

Filaire

Utilisez cette option pour afficher un modèle dans le mode affichage filaire (défaut), identique au mode modélisation. Toutes les entités du modèle sont vues comme des entités transparentes et toutes les lignes sont visibles.

Lignes cachées

Le modèle est affiché comme un solide opaque. Toutes les lignes cachées dans la vue sont supprimées. La couleur des surfaces du modèle est identique à la couleur de l’arrière plan de l'écran.

  • REMARQUE : Vous pouvez également utiliser la commande Sauvegarde d'une projection 2D du modèle (\save2d) pour obtenir un affichage avec suppression des lignes cachées et pour sauvegarder l'affichage tridimensionnel dans un fichier.

Surfaces colorées

Le modèle est affiché avec toutes ses surfaces polygonales colorées. La couleur de chaque surface est dérivée de la couleur du polygone juxtaposé.

Ombres propres

Le modèle est affiché avec toutes ses surfaces polygonales ombragées en couleur. L'ombre sur chacune des surfaces dérive de sa position et de l'angle qu'elle forme par rapport à la position du soleil, ou en option de l'angle formé par rapport à une source lumineuse qui serait située à la position de l'œil (voir la commande Position du soleil, \sun).

  • REMARQUE : Pour obtenir les ombres propres en totalité, il vous faut créer une base polygonale qui représentera le sol, autrement les ombres propres seront créées uniquement pour des entités adjacentes

Ombres propres monochromes

Le modèle est affiché avec toutes ses surfaces polygonales ombragées en monochrome. L'ombre sur chacune des surfaces dérive de sa position et de l'angle formé par rapport au soleil, ou en option de l'angle formé par rapport à une source lumineuse qui serait située à la position de l'œil (voir la commande Position du soleil \sun).

Ombres portées

Le modèle est affiché avec toutes les surfaces polygonales ombragées en couleur et aussi avec leurs ombres portées. L'ombre sur chacune des surfaces dérive de sa position et de l'angle formé par rapport au soleil (voir la commande Position du soleil \sun). La position de l'ombre portée est déterminée par la hauteur du sol (voir Hauteur du sol, commande \ground).

  • CONSEIL : Vous pouvez utiliser la commande Sauvegarde d'une projection 2D avec ombres (\shadow) pour sauvegarder dans un fichier l'affichage d'un modèle avec ses ombres portées.

Si vous sélectionnez l’option ombres propres au sol uniquement, le système vous demande si les positions de l’œil et du soleil doivent être identiques, ou bien si le soleil doit être positionné conformément aux indications de la commande Position du soleil \sun. L’échantillon de couleur de l’ombre propre qui figure dans la boîte de dialogue \color est valable uniquement pour l’option ombres propres au sol uniquement. Pour les ombres propres en totalité, la couleur est dérivée d’une série d’ombres portées de l’entité couleur initiale.

Ombres portées monochrome

Le modèle est affiché avec toutes ses surfaces polygonales ombragées en monochrome ainsi que leurs ombres portées. L'ombre sur chacune des surfaces dérive de sa position et de l'angle formé par rapport au soleil ou en option de l'angle formé par rapport à une source lumineuse qui serait située à la position de l'œil (voir la commande Position du soleil \sun). La position de l'ombre portée est déterminée par la hauteur du sol (voir Hauteur du sol, commande \ground).


Définition des tolérances pour l'affichage en mode solide\tol

Home > 11 Visualisation > Définition des tolérances pour l'affichage en mode solide\tol

Définition des tolérances pour l'affichage en mode solide

Définit les tolérances (limites des erreurs) utilisées par ARC+ pour le calcul de la vue.

\tol

Les tolérances sont les distances les plus courtes qu'ARC+ considère comme significatives dans le calcul des vues tels que coupes, suppression des lignes cachées, etc. Plus les valeurs des tolérances sont petites et plus grande sera la précision des calculs.

Souvent, vous souhaiterez que certaines imprécisions mineures de votre modèle soient ignorées par ARC+. Par exemple, vous avez tracé deux polygones dans votre modèle que vous supposez être coplanaires, mais en réalité ils sont légèrement décalés. Dans un cas pareil, un des polygones apparaîtra comme caché par le second, et disparaîtra totalement si vous utilisez l'affichage avec suppression des lignes cachées. Pour éviter cette disparition, il vous suffit de préciser des valeurs plus grandes pour les tolérances. ARC+ ne tiendra pas compte du léger décalage et les deux polygones seront correctement affichés.

Vous pouvez spécifier deux valeurs indépendantes pour les tolérances:

  • Pour les distances entre plans (0.00001-0.1 mètres, par défaut 0.0003)
  • Pour les distances entre points (0.00001-0.1 mètres), par défaut 0.00003)

Les tolérances spécifiées seront utilisées pour tous les calculs ultérieurs, jusqu'à ce que de nouvelles tolérances soient définies.


Définition du mode d'échelle de l'écran

Définit la méthode de calcul de l'échelle de votre modèle utilisée par ARC+.

\sclmod

Sélectionnez le mode d'échelle désiré: automatique, fixe, ou inactif.

Le nouveau mode de mise à l'échelle est appliqué immédiatement. Le mode de mise à l'échelle courant est indiqué en permanence sur la ligne d'état.

Une explication détaillée des modes d’échelle est fournie ci-dessous.

Mode d’échelle inactif

Dans le mode inactif, vous disposez du contrôle absolu sur la vue à l'aide des commandes de visualisation et de définition de la fenêtre de contrôle de zoom et de visualisation. Dans ce mode, vous pouvez visualiser de près toute partie de votre modèle. En déplaçant la position de l'œil et celle du point de visée à l'intérieur du modèle, vous pouvez afficher des vues intérieures en gros-plan. Certaines parties du modèle pourront résider hors de l'écran.

Mode d’échelle automatique

Lorsque vous passez en mode échelle automatique, la vue de votre modèle est automatiquement recalculée de manière à occuper en totalité la fenêtre de travail. Si vous effectuez des modifications par la suite, le système recalcule la projection pour maintenir le remplissage total de l'écran.

Vous pouvez utiliser les commandes de zoom, panoramique et de mise à l'échelle pour inhiber temporairement le mode échelle automatique. Lorsque vous utilisez toute autre commande de visualisation, le mode de mise à l'échelle automatique est réactivé.

  • REMARQUE : Il existe une exception à ce mode: l'affichage ne sera pas automatiquement remis à l'échelle si la position de l'œil se trouve très proche ou à l'intérieur du modèle en mode perspective. Cette mesure est destinée à éviter la distorsion de la perspective de l'affichage lorsque vous visualisez l'intérieur du modèle en mode automatique.

Mode d’échelle fixe

Avant d'utiliser le mode fixe, initialisez ou effectuez un zoom de la vue de manière à afficher la partie du modèle désirée. Lorsque vous initialisez le mode échelle fixe, la direction et l'échelle de la vue ne changent pas immédiatement. Cependant, les paramètres de visualisation suivants sont modifiés:

  • La position du point de visée est définie au centre du rectangle de zoom ou de panoramique en cours d'affichage.
  • La position de l'œil est définie en fonction de la distance et de la direction par rapport au point de visée courant.
  • Le cône de visualisation est défini temporairement (jusqu'à la sortie du mode fixe) en fonction de l'échelle écran courante.

Vous pouvez alors de manière confortable faire pivoter la position de l'œil ou modifier le mode de projection, l'affichage restera centré autour du point de visée fixe situé au centre de la fenêtre de travail.

Les commandes suivantes opèrent de manière légèrement différente en mode fixe, comparativement aux modes automatique ou inactif.

  • Les commandes de Définition d'une vue standard prédéfinie (\planv, \elev, \axo)—ne modifient pas la position du point de visée ainsi que la distance œil-point de visée en mode fixe. L'affichage reste alors centré sur le point de visée fixe et l'échelle est conservée lorsque vous utilisez ces commandes.
  • La commande de Définition de l'échelle de l'écran (\scale) conserve la direction de visualisation courante, mais modifie les positions de l'œil et du point de visée pour tenir compte de l'échelle spécifiée.
  • Fenêtre de contrôle de vue—la distance tridimensionnelle entre l'œil et le point de visée peut être modifiée par déplacement dynamique de la souris. Pour supprimer cet effet et bloquer la distance œil-point de visée, maintenir appuyée la touche Alt tout en effectuant le déplacement dynamique.


Définition précise de la projection

Pour un contrôle le plus précis possible de la visualisation, vous pouvez définir avec exactitude les positions de l'œil et du point de visée dans l'espace tridimensionnel, ou bien déplacer l'œil relativement au point de visée ou inversement, selon un angle ou une distance définis. Vous pouvez aussi spécifier l’angle du cône de visualisation qui contrôle l’étendue du modèle affiché sur l’écran.

Thèmes liés

  • Définition de la position de l'œil et de la cible, ainsi que de l'angle de la perspective
  • Déplacement relatif de la position de l'œil
  • Déplacement relatif des positions de l'œil et du point de visée
  • Rotation du point de visée autour de la position de l'œil


Définitions supplémentaires de visualisation

Les commandes suivantes ont un effet tant sur les affichages à l'écran que sur le tracé des dessins.

Thèmes liés

  • Lissage de la courbure des arcs
  • Visualisation d'un plan de coupe
  • Définition de l'échelle de référence
  • Affichage des textes, cotations et motifs linéaires


Déplacement de l'œil et du point de visée dans une fenêtre de contrôle de vue

On distingue trois lignes dans la fenêtre de contrôle, représentant la ligne qui va de l'œil au point de visée, ainsi que celles délimitant le cône de visualisation. Les cercles situés aux extrémités de la ligne œil-point de visée représentent les positions de l'œil et du point de visée respectivement.

Pour modifier la vue:

  • Placez le curseur sur le symbole représentant l'œil et déplacez-le dynamiquement vers la nouvelle position. La vue de votre modèle dans la fenêtre de travail subit une rotation, comme si vous vous promeniez autour ou à travers le modèle tout en continuant à viser le même point.
  • Placez le curseur sur le symbole représentant le point de visée et déplacez-le dynamiquement vers la nouvelle position. La vue du modèle dans la fenêtre de travail change de sens, comme si vous aviez tourné la tête dans le but de regarder un autre point de visée dans le modèle.
  • Placez le curseur sur la ligne qui relie l'œil au point de visée et déplacez dynamiquement la ligne. L'œil et le point de visée se déplacent simultanément. La vue du modèle dans la fenêtre de travail est translatée mais demeure dans la même direction.
  • REMARQUE : La description ci-dessus s'applique aux modes de définition de l'échelle inactif ou auto. Dans le mode de définition de l'échelle fixe, la distance œil-cible est fixée dans la fenêtre de contrôle de vue (voir Définition du mode d'échelle de l'écran, \sclmod).

Dans chaque fenêtre de contrôle de vue, vous pouvez déplacer dynamiquement l'œil et le point de visée dans un plan. Par exemple, si vous ouvrez une fenêtre de contrôle de vue affichant une vue plane du modèle, vous pouvez effectuer des déplacements dynamiques dans le plan xy. Si vous désirez déplacer dynamiquement dans une troisième dimension, ouvrez une seconde fenêtre de contrôle de vue affichant le modèle selon une orientation différente, en élévation par exemple, (plan xz ou yz). Vous pouvez placer l'œil et le point de visée en tout point de l'espace en effectuant des déplacements dynamiques dans les deux fenêtres. Lorsque vous déplacez dynamiquement dans une fenêtre, les nouvelles positions de l'œil et du point de visée sont également affichées dans la seconde fenêtre, et la vue affichée dans la fenêtre de travail est modifiée en conséquence.

Alternativement, vous pouvez déplacer l'œil et le point de visée dans la troisième dimension dans une fenêtre de contrôle de vue unique en déplaçant dynamiquement à l'aide du bouton médian de la souris (ou sur certains systèmes, en maintenant enfoncée la touche Shift tout en déplaçant dynamiquement à l'aide du bouton gauche.

De cette manière, vous pouvez déplacer l'œil et le point de visée vers tout point de votre dessin, et vous pouvez ainsi circuler à l'intérieur du modèle et en visualiser l'intérieur en gros plan.


Déplacement en 3D

Déplacement le long des X

Déplace dynamiquement l’œil et la cible le long de l'axe des X.

Maintenez enfoncée la touche Alt de votre clavier puis cliquez et maintenez le bouton du milieu de la souris et déplacez-la. L’œil et la cible se déplacent le long des X.

Déplacement le long des Y

Déplace dynamiquement l’œil et la cible le long de l'axe des Y.

Maintenez enfoncée la touche Ctrl de votre clavier puis cliquez et maintenez le bouton du milieu de la souris et déplacez-la. L’œil et la cible se déplacent le long des Y.

Déplacement le long des Z

Déplace dynamiquement l’œil et la cible le long de l'axe des Z.

Maintenez enfoncée la touche Maj de votre clavier puis cliquez et maintenez le bouton du milieu de la souris et déplacez-la. L’œil et la cible se déplacent le long des Z.

Avancement

Cette fonction procure un déplacement dynamique et simultané de l'œil et de la cible le long d’une ligne imaginaire reliant ces 2 points.

Maintenez enfoncées les touches Ctrl, Maj, Alt puis cliquez et maintenez le bouton du milieu de la souris et déplacez-la. Le curseur prend cette apparence :

  • IMPORTANT: Cette opération n'est possible que lorsque le mode perspective est activé.


Déplacement relatif de la position de l'œil

Modifie la position de l'œil par un déplacement relatif.

\walk

Choisissez l'une des options permettant de déplacer la position de l'œil:

  • En arrière ou en avant (uniquement dans le mode perspective)
  • Vers le haut ou vers le bas

  • A gauche ou à droite

Si vous spécifiez en avant ou en arrière, définissez la distance de laquelle vous voulez rapprocher ou éloigner l'œil du point de visée. Pour toutes les autres options, définissez l'angle par lequel l'œil doit être déplacé.

  • REMARQUE : Le raccourci-clavier Shift+F5 est prédéfini pour un déplacement à gauche de 90 degrés.


Déplacement relatif des positions de l'œil et du point de visée

Déplace les positions de l'œil et du point de visée dans le mode de vue perspective.

\adv

Spécifiez une valeur pour le déplacement (distance). La valeur peut être positive ou négative.

Les positions de l'œil et du point de visée avancent (déplacement positif) ou reculent (déplacement négatif) sur une ligne imaginaire qui relie les positions courantes de l'œil et du point de visée.


Empêcher le rafraîchissement d'un écran

Cette commande permet le "gel" ou le "dégel" de l’écran empêchant ainsi son rafraîchissement intempestif lorsque vous effectuez une manipulation d’entrée ou toute autre commande.

\rdonof

En temps normal, chaque commande de manipulation est suivie de son exécution immédiate et du rafraîchissement de l’écran. Cependant, lorsque vous exécutez des séries de manipulations de ce type sur un grand modèle, le processus de rafraîchissement de l’écran peut s’avérer un fort consommateur de temps. Cette commande vous donne la possibilité d’exécuter toutes les manipulations et de demander le rafraîchissement de l’écran uniquement lorsque ce mode est activé.

Arrêter le rafraîchissement de l’écran

Pour arrêter le rafraîchissement de l’écran à n’importe quelle étape, appuyez sur Esc.


Génération des fichiers 2D

Pour toute caméra simple, ou associé à une coupe ou un plan, il est possible de générer automatiquement un fichier 2D de la vue correspondante.

Comme vous l’avez probablement remarqué, à gauche du nom de la caméra, de la coupe ou du plan, réside une case à cocher. Cette case est utilisée pour sélectionner toutes les caméras pour lesquelles les fichiers 2D doivent être généré en une seule opération. Si vous cochez la case à gauche d’un nom de coupe ou de plan, alors toutes les caméras qui lui seront associés seront sélectionnées.

Cliquez sur le bouton Construire la 2D pour accéder à un menu mettant à votre disposition les options suivantes:

Sélectionner tout pour 2D

Cette option du menu Construire la 2D sélectionne toutes les cameras de l’onglet courant pour la génération des fichiers 2D.

Désélectionner tout pour 2D

Cette option fait exactement l’inverse de l’option Sélectionner tout pour 2D.

Sauver la sélection 2D

La sélection peut être enregistrée afin d’être réutilisé plus tard. Lorsque vous choisissez cette option, le système vous demande d’entrer un nom sous lequel enregistrer cette sélection qui pourra par la suite être retrouvés grâce à la boîte de dialogue Liste des sélections 2D

Ouvrir la boîte de dialogue de sélections 2D

Toutes les sélections précédemment enregistrées apparaissent dans la boîte de dialogue Liste des sélections 2D à partir de laquelle vous pouvez faire les opérations suivantes:

ICONE | DESCRIPTION
 | Activer cette sélection
 | Effacer cette sélection
 | Générer un rapport concernant cette sélection. Il s’agit d’un fichier texte listant pour chaque onglet du Gestionnaire les caméras sélectionnées.

Générer les fichiers 2D

Les deux dernières options du menu sont utilisées pour actualiser les fichiers 2D. La première option Générer toute la 2D génère les fichiers 2D de toutes les caméras sélectionnées dans les 3 onglets alors que la dernière option ne génère que ceux de l’onglet en cours.

Gestionnaire de caméras:

  • crée les fichiers 2D dans un sous-dossier «.\2D_» du dossier de travail courant.
  • Le nom du fichier 2D généré par «Caméras et Plans» est: \2D_\NomModèle_NomCaméra
  • Le nom du fichier 2D généré par «Coupes verticales» et «Coupes horizontales» est: \2D_\NomModèle_NomCoupe_NomCaméra

Quand la génération commence, une boîte de dialogue avec une barre de progression apparaît.

Pressez le bouton Commencer pour lancer la génération et attendre jusqu’à la fin du processus.

  • IMPORTANT: Par défaut, si vous n’avez pas intentionnellement modifié le nom du fichier 2D de destination dans les paramètres de caméra, accolé au préfixe "2D_".
  • REMARQUE : La génération des fichiers 2D peut prendre plusieurs minutes en fonction de la complexité du modèle et du nombre des fichiers à générer.


Génération des ombres dans un modèle

Utilisez cette commande pour générer une vue du modèle dans un fichier projection 2D comprenant des ombres hachurées en couleur et également pour la génération d’un modèle 3D avec ombres.

Vous pouvez aussi:

  • spécifier différents intervalles de hachurage pour l’ombre projetée ou portée.
  • répéter rapidement le dessin des zones hachurées.
  • utiliser une palette de couleurs pour la définition de la couleur des hachures
  • CONSEIL : Pour projeter une ombre sur le sol, vous devez auparavant créer le polygone représentant le sol autour du modèle.

\shadow

Pour générer le modèle;

  • Affichez votre modèle en mode solide
  • Utilisez la commande Génération des ombres d’un modèle (\shadow) pour ouvrir la boîte de dialogue Paramètres des ombres. Utilisez la boîte de dialogue pour définir les paramètres de l’ombre et des hachures.

nom du fichier | Attribue un nom au fichier.
intervalle ombre projetee | Trace l’ombre projetée sur le sol en utilisant un hachurage spécifique (par défaut—0.1m).
intervalle ombre | Trace la zone de l’ombre portée (face arrière du bâtiment) en utilisant un intervalle de hachurage donné (défaut—0.15m).
couleur de l'ombre | Spécifie une couleur pour le hachurage.
par surface | La couleur du hachurage est dérivée de la couleur de la surface du polygone.(par défaut—option inactive).
ombres proj. sur dessous des surfaces | A utiliser pour les surfaces sans épaisseur. Utilisez cette option lorsque vous désirez éviter le tracé des ombres sur la partie interne des surfaces sans épaisseur (par défaut—option inactivée).
position du soleil | Calcule la position du soleil (pour les grandes villes du monde) en fonction de la date et de l’heure ou définit la position du soleil en fonction de coordonnées données. Voir Définition de la position du soleil (\sun).
elevation Plutôt que de calculer la position du soleil, validez une position prédéterminée du soleil projetant des ombres à 45° en plan et en élévation.

Il existe quatre options orthogonales prédéterminées et une option définie librement pour les immeubles qui ne sont pas orientés parallèlement aux axes principaux du système.

Les positions prédéterminées sont utilisées pour afficher la profondeur des élévations dans les présentations, les plans des permis de construire, ect. Les icônes indiquent la direction de l’ombre par rapport au modèle. Choisissez une projection d’ombre en cliquant le bouton radio approprié à gauche de l’icône correspondant.

Dans l'option "définie librement" la direction de l’ombre (gauche ou droite) est déterminée en cochant le bouton de droite ou de gauche.

Pressez OK. Vous êtes ensuite invité à fournir deux points sur l’élévation ou deux points exactement parallèles à celle-ci, et un troisième point pour l’orientation de la visualisation. Le système calcule l’ombre basé sur 45° par rapport à la ligne spécifiée.

  • REMARQUE : La sélection d’une option d’élévation n’a pas d’effet sur l’angle actuel de la position du soleil.

La projection courante du modèle avec ombres est calculée et sauvegardée dans le répertoire courant sous le nom de fichier spécifié.

Utilisez la commande Ouverture d’un fichier existant (\open) pour ouvrir le fichier en mode modélisation. Le contenu du fichier est affiché.

Revenez dans le mode de visualisation des solides et visualisez le modèle en utilisant l’option 4 (surfaces ombrées) ou l’option 5 (surfaces ombrées monochromes). Vous pouvez sauvegarder l’image au format bitmap en utilisant la commande Capture de l’écran au format bitmap, (\grab) ou la commande Capture à haute résolution pcx de l’écran, (\grabs)

Sauvegardez le fichier sous forme vectorielle en utilisant la commande Sauvegarde de la projection 2D du fichier, (\save2D) puis ouvrez le fichier. Vous pouvez alors éditer le fichier dans ARC+. Consultez les exemples de modèles.

Exemples de modèles

Modèle initial—Filaire:
Base - surfaces non ombrées | Base - surfaces ombrées | Modèle avec suppression des lignes cachées
Vue axonométrique | Vue axonométrique | Vue axonométrique
Vue Plane | Vue Plane | Vue Plane


Gestion des vues

Vous pouvez sauvegarder les points de vue les plus intéressants de votre modèle afin de pouvoir les réafficher très simplement lors de la présentation de votre projet.

Ces points de vue sont enregistrés sous forme de fichier de manière à ce que vous puissiez les utiliser dans d’autres modèles ou entre les différentes phases d’un projet.

  • REMARQUE: Les fichiers de vue ont une extension VW.

Thèmes liés

  • Sauvegarder un point de vue
  • Charger un point de vue


Gestionnaire des caméras et coupes

Le gestionnaire de caméras et coupes est in module permettant d’organiser des vues, coupes et plans d’un modèle ARC+.

Cette commande peut être utilisée en remplacement des anciennes commandes permettant d’enregistrer et de charger des vues à partir de fichiers externes. Elle vous aide à créer des vues, coupes et plans en gardant les informations les concernant dans le modèle courant et permet de régénérer automatiquement les vues 2D correspondantes. Ce gestionnaire et un outil grandement utile qui vous évite de mémoriser ou d’écrire sur un papier les coordonnées des points de vue, et de coupe du projet.

Thèmes liés

  • Accéder au gestionnaire de caméras et coupes
  • Caméras
  • Coupes
  • Plans
  • Génération des fichiers 2D


Introduction

Home > 11 Visualisation > introduction

Vues

ARC+ offre tous les outils nécessaires aussi bien à la visualisation d'un modèle durant le travail de création qu'à la présentation de celui-ci.

Vous pouvez visualiser le modèle à partir d'une position, d'un angle ou d'une projection quelconques. Les positions de l'œil et du point de visée peuvent être définies rapidement à l'aide de la fenêtre de contrôle de vue ou avec précision en utilisant les commandes de visualisation individuelles. Vous pouvez utiliser le zoom avant et arrière. En outre les commandes de visualisation vous permettent de pénétrer dans un bâtiment ou d'en faire le tour.

Vous pouvez sélectionner plusieurs modes de visualisation pour afficher le modèle selon vos préférences:

  • Mode de projection perspective ou parallèle

  • Modes de définition des échelles qui vous aident à effectuer un zoom manuel ou automatique ou à vous focaliser sur une partie spécifique du modèle

  • Un mode de modélisation pour la création ou l'édition du modèle, ou un mode de visualisation qui permet l'affichage du modèle avec des surfaces colorées, la suppression des lignes cachées, les coupes, les ombres portées et/ou les ombres propres.

Ces modes peuvent être combinés, par exemple pour afficher une projection en perspective avec calcul automatique de l'échelle et affichage des ombres du solide. Lorsque vous modifiez la direction de la visualisation, l'affichage de la perspective est remis à l'échelle et les ombres recalculées en conséquence sur l'écran.

La majorité des commandes de visualisation peuvent être imbriquées. Ceci signifie que vous pouvez modifier une vue au cours d'une commande d'édition, pour afficher par exemple le point extrémité désiré d'une ligne ou d'un mur, puis revenir à la commande initiale pour achever l'opération d'édition. Les commandes de visualisation affectent uniquement l'affichage de votre modèle mais n'ont aucun effet sur les entités du modèle lui-même.

ARC+ conserve en mémoire un historique des vues que vous avez affichées antérieurement. Vous pouvez à tout moment réafficher une vue antérieure de votre modèle.

Vous pouvez sauvegarder la vue en cours dans un fichier modèle 3D. Cette option est utile pour préparer une vue spécifique destinée au tracé, pour l'ajout de textes ou de cotations dans le plan de projection par exemple.

Thèmes liés

  • Comment contrôler la visualisation
  • Définition d'une vue standard prédéfinie
  • Utilisation des fenêtres de contrôle
  • Définition précise de la projection
  • Zooming et panoramique de la vue
  • Visualisation dynamique
  • Modes d'échelle de l'écran
  • Activation des projections parallèle ou perspective
  • Retour à une vue précédente du modèle
  • Modes d'affichage
  • Ajustage du mode de visualisation
  • Rafraîchissement de l'écran
  • Sauvegarde d'une vue dans un fichier
  • Définitions supplémentaires de visualisation
  • Gestion des vues
  • Gestionnaire des caméras et coupes
  • Rendering


Lissage de la courbure des arcs

Définit le nombre de segments à l'aide desquels les arcs sont affichés ou tracés.

Lorsque vous créez des arcs, ces derniers sont stockés comme de vraies courbes dans votre modèle. Cependant, les arcs affichés ou tracés par le système sont constitués par une série de petits segments linéaires. Vous pouvez effectuer un lissage de ces arcs en définissant un plus grand nombre de segments constitutifs. Vous pouvez augmenter la vitesse d'affichage ou celle du tracé en définissant un plus petit nombre d'arcs.

\sarc

Spécifiez la longueur désirée du segment, le nombre minimum de segments dans chaque arc (à partir de 5), et le nombre maximum de segments (pas plus de 500). Le nombre de segments d’arcs est déterminé sur la base d’unités d’angles de 45 degrés, augmentant ainsi la qualité de l’affichage.

La modification a un effet sur l'apparence de tous les arcs du modèle lors de la régénération de l'écran.

  • IMPORTANT:Lors de la génération de toits, utilisez cette commande pour ajuster le les valeurs par défaut des arcs afin de diminuer le temps du redessin.


Manipulation de textures

Cette fonction offre plusieurs possibilités de manipulation des textures.

\tedit

  • IMPORTANT: Cette fonction ne fonctionne qu’en mode Rendu sur des surfaces couvertes par des textures. Reportez-vous à la page 11-50 du volume 1 afin de vous familiariser avec la commande \rendedit permettant d’appliquer des textures aux surfaces.

Pour manipuler les textures vous avez le choix entre les opérations suivantes:

  • Pivoter la texture
  • Changer la direction de la texture suivant un axe
  • Déplacer les textures
  • Définition des points de la texture

Rotation de texture

Cette option permet de pivoter la texture sur la surface suivant un angle donné et autour du point de référence

  • Indiquez la surface
  • Entrez la valeur de l’angle (A)

Changement de direction d’axe X

Cette option permet d’incliner la texture sur la surface dans le sens indiqué par l’axe des X de la surface (horizontal lorsque vous l’observez de face) et suivant un angle donné.

  • Indiquez la surface
  • Entrez la valeur de l’angle (A)

Changement de direction d’axe Y

Cette option permet d’incliner la texture sur la surface dans le sens indiqué par l’axe des Y de la surface (vertical lorsque vous l’observez de face) et suivant un angle donné.

  • Indiquez la surface
  • Entrez la valeur de l’angle (A)
  • IMPORTANT: les axes évoqués ci-dessus ne correspondent pas forcément aux X et Y du repère orthonormé du modèle. L’angle doit être exprimé de manière trigonométrique, c’est-à-dire qu’il peut être positif ou négatif. Dans ce cas un angle positif va dans le sens inverse des aiguilles d’une montre

Déplacer la texture

Permet de déplacer la texture en définissant un nouveau point de référence.

  • Indiquez la surface
  • Indiquez le nouveau point de référence de la texture.


Masquage des limites des surfaces de solides

Masque ou affiche les limites internes entre les faces des solides, lorsque vous affichez le modèle en utilisant les options de surfaces ou d'ombres.

\delcn

  • Spécifiez si vous désirez masquer ou afficher les limites des surfaces. Si vous masquez les lignes, seul le contour du solide (sa silhouette) est affiché, sans les détails internes.


Modes d'échelle de l'écran

Vous pouvez définir le mode d'échelle de l'écran en fonction de vos besoins:

  • Mode d’échelle automatique (mode par défaut)—entraîne un affichage du modèle dans la totalité de la fenêtre de travail. A chaque modification de la vue, l'affichage est automatiquement remis à l'échelle de manière à occuper la totalité de la fenêtre.
  • Mode d’échelle fixe—se focalise sur une position fixe dans le modèle au cours de la rotation de la vue. Utilisez ce mode lorsque vous désirez vous concentrer sur une position spécifique du modèle. L'affichage du modèle n'est pas remis à l'échelle automatiquement, et une partie du modèle pourra résider hors de l'écran.
  • Mode d’échelle inactif—annule les deux modes ci-dessus et permet le contrôle précis à l'aide des commandes de visualisation et des fenêtres de contrôle. Vous utiliserez ce mode lorsque vous désirez visualiser de près différentes parties du modèle, ou si vous voulez vous déplacer à l'intérieur du modèle, etc.

Thèmes liés

  • Définition de l'échelle de l'écran
  • Définition du mode d'échelle de l'écran


Modes d'affichage

ARC+ vous fournit deux modes d'affichage conçus pour optimiser l'efficacité de votre travail:

  • Le mode de modélisation—pour la création et l'édition de votre modèle
  • Le mode de visualisation—pour la visualisation en mode solide avec suppression des lignes cachées, affichage des surfaces, des coupes, des ombres propres et des ombres portées

Lors de la création du modèle, utilisez le mode modélisation par défaut dans lequel toutes les entités sont représentées par des lignes. Ce mode vous permet d'éditer rapidement le modèle. Lorsque vous désirez examiner le modèle dans l'une des options de visualisation, passez au mode visualisation.

Avant d’entrer le Mode de Visualisation de Solide

Affichage des murs 2D et ouvertures - Pour les cacher en Mode de Visualisation de Solides, utilisez la commande Affichage et masquage des mures (\wdisp).

Affichage du texte, des cotations et des motifs linéaires—Pour les cacher en Mode de Visualisation de Solides, utilisezla commande Affichage des textes dans le mode visualisation (\txtonof).

Thèmes liés

  • Activation du mode de visualisation
  • Retour au mode modélisation
  • Définition des options de visualisation
  • Position du soleil
  • Position du sol


Modes d'affichage Render

Contrôle les modalités de l'affichage en mode Render.

\rendmode

Choisissez l'une des options suivantes :

  • Tout afficher
  • Masquer les ombres
  • Masquer les lumières
  • Afficher les polygones transparents comme opaques
  • Mode Clairsmé
  • Mode Préliminaire
  • Paramètres avancés:

Le masquage provisoire d'éléments tels que l'éclairage et les ombres ou l'opacification temporaire des polygones transparents, permet d'accélérer sensiblement le processus de création du modèle. Une fois ce dernier terminé, il suffit d'activer l'option Tout afficher pour juger de l'effet final.


Modification de l'affichage dans une fenêtre de contrôle.

Home > 11 Visualisation > Modification de l'affichage dans une fenêtre de contrôle.

Modification de l'affichage dans une fenêtre de contrôle

Vous pouvez effectuer un zoom ou modifier l'orientation de votre modèle à l'intérieur d'une fenêtre de contrôle. Utilisez cette possibilité, par exemple, dans le cas où l'œil ou le point de visée se retrouvent hors de l'écran pour une vue donnée. Utilisez les commandes de visualisation élémentaires telles que :

  • Zoom
  • Panoramique
  • Redessiner (rafraîchir) l'écran
  • Appeler une vue standard prédéfinie (dans une fenêtre de contrôle de vue uniquement)

Sur les systèmes PC, à l'aide du curseur de la souris placé dans la fenêtre de contrôle adéquate, cliquez le bouton B3 de la souris. Un menu pop s'affiche et propose les options mentionnées plus haut. Sélectionnez l'option désirée à l'aide du bouton B1 (PC), l'affichage dans la fenêtre de contrôle se trouve modifié en conséquence. Il se peut que cette caractéristique fonctionne différemment sur les systèmes Macintosh.

  • REMARQUE : Dans une fenêtre de contrôle de zoom, la projection s'effectuera toujours dans la même direction que celle utilisée dans la fenêtre de travail.


Ouverture des fenêtres de contrôle

Lance les fenêtres de contrôle de visualisation

\winset

Cette commande vous permet de lancer les fenêtres de contrôle de vue et de zoom. Au lancement de la commande, cinq options sont proposées:

  • Contrôle de vue xy – Lance la fenêtre de contrôle du plan XY
  • Contrôle de vue yz – Lance la fenêtre de contrôle du plan YZ
  • Contrôle de vue xz – Lance la fenêtre de contrôle du plan XZ
  • Contrôle de vue xy et yz – Lance la fenêtre de contrôle du plan XY et YZ
  • Activer / désactiver vue dynamique – Active ou désactive la vue dynamique.


Panoramique

Permet d'effectuer un panoramique de la vue par définition d'un déplacement ou en spécifiant les dimensions de la fenêtre de travail.

Par déplacement

\pan

Définissez deux points. La vue du modèle change de telle sorte que le premier point est déplacé vers les coordonnées du second point. L'ensemble de l'affichage est translaté d'un déplacement identique. L'échelle reste inchangée.

Par les dimensions de la fenêtre de travail

\panw

Enfoncez la touche Alt et utilisez les différentes flèches (gauche, droite, haut, bas) pour déplacer la vue de la hauteur ou de la largeur de la fenêtre de travail dans la direction désirée.


Passage d'une vue à une autre

Permet de basculer de la vue courante à la vue immédiatement précédente dans une séquence de vues mémorisées.

\prvs

Lors de la première utilisation de cette commande, la vue immédiatement précédente est affichée. A l'utilisation suivante de cette commande, la vue immédiatement suivante est affichée (c'est-à-dire que la vue originale est restaurée). Utilisez cette commande de manière répétitive pour basculer alternativement entre deux vues consécutives.


Plans

Les plans fonctionnent exactement de la même manière que les coupes avec pour seule différence qu’aucun paramètre particulier n’est disponible pour les plans.

Ajouter un nouveau plan

Pour ajouter un nouveau plan, cliquez sur Ajouter nouveau dans l’onglet Plans du Gestionnaire. Le modèle est provisoirement affiché en vue de face afin de choisir le point par lequel le plan de coupe XY doit passer.


Position du sol

Définit la hauteur du sol sur lequel les ombres sont portées.

\ground

Les ombres sont portées sur le plan xy. Dans le mode Affichage des ombres portées, spécifiez la hauteur du plan sur lequel les ombres sont portées, par rapport aux coordonnées de l'origine du modèle (0 0 0).

Si vous créez votre modèle dans le plan xy (z=0), et que vous spécifiez une hauteur égale à 0, les ombres seront calculées à partir de la base du modèle. Si vous spécifiez une valeur négative, les ombres prendront leur départ au dessous de la base du modèle et celui-ci semblera flotter dans l'espace.


Position du soleil

Définit la position du soleil par rapport au modèle. Vous pouvez choisir entre quatre directions prédéfinies ou spécifier la position exacte.

\sun

Utilisez cette commande pour définir la position du soleil (ou celle d'une source de lumière parallèle) pour le calcul des surfaces à ombres portées ou ombres propres lors de l'utilisation de la commande Définition des modes de visualisation (\dspmod).

Appuyez sur la barre d'espacement et Entrée pour accéder la boîte de dialogue Position du soleil. En utilisant la latitude des grandes villes du monde, vous pouvez saisir la date et l'heure et calculer les coordonnées du vecteur de position du soleil. Vous pouvez autrement saisir directement les coordonnées de position du vecteur.

Vous pouvez également spécifier les coordonnées xyz directement au clavier. Le soleil sera positionné le long d'une ligne qui joint le point spécifié à l'origine (0 0 0).

  • REMARQUE : Lors de l'affichage des ombres portées et des ombres propres, vous pouvez sélectionner d'illuminer les surfaces de votre modèle à l'aide d'une source lumineuse située soit à la position du soleil soit à celle de l'œil. Les ombres, cependant, seront toujours calculées en fonction de la position du soleil.

Sélection de positions du soleil prédéfinies

Vous pouvez choisir entre quatre positions prédéfinies du soleil:

Position du soleil | x | y | z
NE | 1.0 | 1.0 | 0.8
NO | -1.0 | 1.0 | 0.8
SO | 1.0 | 1.0 | 0.8
SE | -1.0 | -1.0 | 0.8


Régénération d'une entité sélectionnée

Régénère une entité à partir de la base de données.

\refe

Indiquez l'entité à redessiner. Dans un modèle complexe, vous pouvez redessiner une entité isolée dans la mesure où redessiner la totalité du modèle peut exiger un temps relativement long.


Régénération de la totalité du modèle

Redessine le modèle entier sur l'écran.

\refr

Utilisez cette commande pour redessiner la totalité du modèle affiché sur l'écran. La direction de la vue, la perspective et les autres paramètres de visualisation restent inchangés. Il s'agit du moyen normal (le plus rapide) de rafraîchissement de l'écran.


Régénération du modèle à partir de la base de données

Redessine l'écran à partir de la base de données.

\regen

Utilisez cette commande pour redessiner la totalité du modèle à partir des informations contenues dans la base de données. Toutes les modifications effectuées dans la base de données seront affichées sur l'écran.

Cette méthode est plus lente que la commande Régénération de la totalité du modèle (\refr) mais elle est plus précise. Utilisez cette commande lorsque vous estimez qu'une entité n'a pas été affichée en totalité sur l'écran.


Réglages de la visualisation dynamique

Il vous est possible de paramétrer la vitesse et la sensibilité des opérations de visualisation dynamique.

\zoompan

Au lancement de la commande la boite de dialogue suivante apparaît:

Cette option est activée par défaut. Les éléments s’afficheront comme suit lors du zoom et/ou pan dynamiques:

  • Textes en polices TrueType – seulement la ligne de base est affichée durant le Zoom et le panoramique.
  • Polygones de remplissage – Seulement le contour du polygone durant le panoramique dynamique (les remplissages sont toujours apparents lors du zoom)
  • Hachures – Seulement le contour du polygone durant le panoramique dynamique (les hachures sont toujours apparentes lors du zoom)
  • Motifs - Seulement le contour du polygone durant le panoramique dynamique (les motifs sont toujours apparents lors du zoom)
  • Images - seulement le cadre est affiché durant le Zoom et le panoramique.
Paramètre | Description
Vue dynamique accélérée | Détermine si les Textes de police TrueType, images, hachures et polygones de remplissage doivent être masquées temporairement lors des opérations de visualisation dynamique. L'activation de cette option permet d'obtenir un mouvement plus fluide.
Activer Z-cliping | Lorsque cette option est activée, toute partie éloignée du modèle subissant une trop forte distorsion sera automatiquement masquée.
Vitesse de rotation | Définit la vitesse de rotation du modèle autour d'un des trois axes. Elle s'exprime en fonction de l'angle à parcourir lors de la rotation d'un cran de la mollette de la souris.
Vitesse de rotation orbitale | Définit la vitesse de rotation orbitale du modèle. Elle s'exprime en fonction de l'angle à parcourir lorsque le curseur parcourt toute une longueur de l'écran.
Rotation orbitale standard | Lorsque cette option est activée, la rotation orbitale garde l'axe z toujours tourné vers le haut vous pour ne jamais renverser le modèle.
Facteur de zoom | Définit le pourcentage de zoom avant ou arrière obtenu par la rotation d'un cran de la molette de la souris.
Vitesse de rapprochement | Définit la vitesse du rapprochement. Elle s'exprime en pourcentage de la longueur totale de la ligne imaginaire séparant l'œil de la cible. Cette fraction de longueur est totalement parcourue lorsque le curseur parcourt toute une longueur de l'écran.
Vitesse de déplacement | Définit la vitesse du déplacement en 3D le long d'un des trois axes. Elle s'exprime en pourcentage de la longueur totale du modèle le long de l'axe choisi. Cette fraction de longueur est totalement parcourue lorsque le curseur parcourt toute une longueur de l'écran.
Fréquence de rafraîchissement | Définit de combien de pixels vous devez déplacer la souris sur l'écran pour que le modèle en cours de visualisation soit redessiné automatiquement. Pour un modèle léger, plus ce paramètre est petit, plus le mouvement sera fluide. Pour un modèle plus important, une trop petite valeur peu nuire à la rapidité de la commande.
Vitesse barres de défilement | Définit de combien de pixels est déplacé le modèle lorsque vous effectuez un clic sur l'une des flèches verticales ou horizontales adjacentes aux ascenseurs de la fenêtre.
Délai du panoramique | Définit de combien de pixels vous devez déplacer la souris sur l'écran pour que le panoramique dynamique ou la rotation orbitale démarre automatiquement.


Rafraîchissement de l'écran

La régénération de l'écran entraîne le rafraîchissement de l'affichage à partir de la mémoire écran. Cependant, il est souvent nécessaire de régénérer le modèle à partir de la base de données. Vous pouvez rafraîchir une entité individuelle ou la totalité du modèle.

Thèmes liés

  • Régénération d'une entité sélectionnée
  • Régénération de la totalité du modèle
  • Régénération du modèle à partir de la base de données
  • Rafraîchissement des hachures et des motifs
  • Empêcher le rafraîchissement d'un écran


Rafraîchissement des hachures et des motifs

Définissez ce mode en On ou Off si vous désirez ou non le rafraîchissement des lignes de hachure et celui des motifs lors de chaque rafraîchissement de l'écran.

\refh

En temps normal, pour gagner du temps lors du rafraîchissement de l'écran, le système ne redessine pas les lignes de hachure tels que les motifs de remplissage des murs. Vous pouvez cependant exiger le réaffichage des hachures et des motifs ou l'annuler selon l'option sélectionnée (On ou Off).


Retour à une vue précédente du modèle

Vous pouvez passer alternativement de la vue courante à une vue précédente ou restaurer les vues précédentes en utilisant les commandes d'historiques de vues.

ARC+ mémorise les dix dernières vues dans lesquelles vous avez affiché le modèle, ainsi que tous les paramètres de visualisation des affichages précédents. Toutes les vues sont restaurées avec leurs paramètres originaux inchangés (œil et point de visée, projection en perspective ou parallèle, zoom, panoramique et mode d'échelle).

  • REMARQUE : L'historique de la vue restitue les paramètres de visualisation, mais n'effectue pas de commande Undo sur l'édition des modifications effectuées sur votre modèle. Vous ne pouvez pas restaurer de vue définie avant l'ouverture ou l'effacement d'un fichier. Si vous modifiez le mode d'affichage—modélisation ou solide—le mode d'affichage original n'est pas restauré par les commandes d'historiques de vues.

Thèmes liés

  • Défilement des vues
  • Passage d'une vue à une autre


Retour au mode modélisation

Utilisez cette commande pour repasser en mode modélisation dans lequel vous pouvez rapidement créer de nouvelles entités dans votre modèle.

\geom


Rotation autour d'un axe

Cette fonction permet de déplacer l’œil autour des axes X, Y ou Z

  • IMPORTANT: Cette opération n'est possible qu'à l'aide d'un souris équipée d'une molette.

Rotation autour de l’axe X

Cette fonction s’active en maintenant enfoncée la touche MAJ et en pivotant simultanément la molette de la souris.

L’œil tourne autour de l’axe X. Le centre de rotation est le point visé.

Rotation autour de l’axe Y

Cette fonction s’active en maintenant enfoncée la touche Ctrl et en pivotant simultanément la molette de la souris.

L’œil tourne autour de l’axe Y. Le centre de rotation est le point visé.

Rotation autour de l’axe Z

Cette fonction s’active en maintenant enfoncée la touche Alt et en pivotant simultanément la molette de la souris.

L’œil tourne autour de l’axe Z. Le centre de rotation est le point visé.


Rotation du point de visée autour de la position de l'œil

Fait pivoter la position du point de visée autour de celle de l'œil.

\turn

Cette commande est opérationnelle en mode de vue perspective. En mode de vue parallèle, le système vous transfère automatiquement en mode de vue perspective.

Choisissez le sens de la rotation:

  • Vers le haut
  • Vers le bas
  • A gauche
  • A droite
  • Au centre

Spécifiez dans quelle direction et selon quel angle le point de visée doit se déplacer autour de la position de l'œil, ou bien sélectionnez l'option centre pour positionner le point de visée au centre exact du modèle.

Le point de visée pivote autour de l'œil à la surface d'une sphère imaginaire. Cela revient à faire pivoter votre tête pendant la visualisation de votre dessin.


Rotation orbitale

Vous pouvez déplacer l’œil autour du point visé avec la souris.

Maintenez appuyé le bouton gauche de la souris et déplacez la jusqu’à ce que le curseur prenne cette apparence: Puis déplacer la souris dans la direction voulue. Pendant la rotation, l’œil se déplace autour du point visé. L’axe de rotation est perpendiculaire au déplacement de la souris.

  • IMPORTANT:Cette opération n'est possible que lorsque le modèle 3D est activé.


Sauvegarde d'une projection 2D du modèle

Sauvegarde la vue en cours du modèle dans un fichier de projection bidimensionnelle et efface les lignes superposées lors de l'enregistrement. En option, vous pouvez supprimer les lignes cachées de la projection sauvegardée.

\save2d

Avant d'utiliser cette commande, définissez la projection désirée sur l'écran. Les projections 2D peuvent être créées soit dans le mode de visualisation (solide) ou de modélisation (géométrique).

Si vous utilisez cette commande en mode de modélisation, elle sauvegarde une projection du modèle filaire de la vue courante. Avec cette commande, vous sauvegardez la vue sans les lignes cachées.

Spécifiez un nom de fichier pour la projection.

Effacer les lignes superposées

Les paramètres de tolérance pour effacer les lignes superposées sont identiques à ceux utilisés dans la commande obsolète Effacer lignes superposées (\cline).

Utilisez cette option pour réduire la taille du fichier, et pour empêcher que les lignes superposées soient redessinées lors du traçage.

Lorsque vous enregistrez une projection en 2D, appuyez sur Entrer pour ouvrir la boîte de dialogue Sauvegarder fichier 2D (Feuilleter et définitions). Cochez l’option Retirer les lignes qui se chevauchent dans la boîte de dialogue.

Il existe trois types de tolérances qui vous permettent de déterminer si une ligne sera effacée:

Angle maximal entre deux lignes : si l’angle est inférieur à une valeur spécifiée et que les autres conditions sont remplies, la ligne sera effacée.

Distance maximale entre deux lignes: si la distance entre deux lignes est inférieure à une valeur spécifiée et que les autres conditions sont remplies, la ligne sera effacée. Longueur maximale de la ligne à effacer : les lignes se chevauchant qui sont supérieures à la valeur spécifiée et qui remplissent les autres conditions sont effacées.

  • REMARQUE : Utiliser l’option Retirer les lignes qui se chevauchent peut ralentir le temps d’enregistrement.


Sauvegarde d'une vue dans un fichier

Vous pouvez sauvegarder la projection en cours du modèle dans un fichier modèle ARC+ séparé. Cette option est particulièrement utile si vous désirez préparer une projection spécifique pour un tracé par exemple.

Dans le fichier de projection, toutes les entités sont converties en lignes. Quelque soit la direction de la vue, le plan de projection est renommé comme plan xy du fichier. Ceci vous permet une édition facile du fichier, par ajout de texte et de dimensions dans le plan de projection par exemple.

En option, vous pouvez supprimer les lignes cachées, ou ajouter des ombres dans le fichier de projection.

Vous pouvez aussi sauvegarder un fichier de visualisation solide, par exemple, celui d’un très grand modèle que vous désirez réafficher. Ceci élimine le besoin de recalculer la vue.

Thèmes liés

  • Sauvegarde d'une projection 2D du modèle
  • Visibilité des lignes 2D
  • Activer / Désactiver mode lignes invisibles
  • Génération des ombres dans un modèle
  • Sauvegarde et ouverture d'un fichier solide


Sauvegarde et ouverture d'un fichier solide

Sauvegarde le modèle solide dans un fichier.

\saves

Spécifiez le nom du fichier solide (max. 8 caractères)

Le modèle solide est sauvegardé avec l’extension suivante: *.hdl.

L’ouverture de ce fichier plutôt que celle du modèle géométrique (*.ddd et *.iii) sauvegarde les calculs du modèle solide.

Ouverture d’un fichier solide

Ouvre un fichier de modèle solide sauvegardé précédemment.

\opens

Spécifiez le nom du fichier solide à ouvrir. Il devient le modèle solide courant.

  • REMARQUE : Vous ne pouvez pas Exporter un fichier de description de polygone (\sdump) des fichiers solides ouverts par cette commande.


Sauvegarder un point de vue

Mémorise les paramètres du point de vue actuellement représenté à l’écran.

\savevw

Une boîte de dialogue apparaît, vous invitant à donner un nom au fichier qui servira de stockage aux informations concernantla vue affichée. Vous pouvez librement choisir d’enregistrer ce fichier dans un autre répertoire que le dossier de travail courant.


Suppression des couleurs, textures et transparences d'un solide

Répétez la procédure décrite dans la section précédente et cliquez sur le bouton Supprimer dans la boîte de dialogue.


Utilisation des fenêtres de contrôle

Les fenêtres de contrôle de vue et de zoom vous permettent de modifier la visualisation par déplacement dynamique à l'aide de la souris, de l'œil, du point de visée et des rectangles de zoom/panoramique. Vous pouvez ainsi vous déplacer facilement autour, dans et à travers un modèle complexe en utilisant les fenêtres de contrôle.

Thèmes liés

  • Ouverture des fenêtres de contrôle
  • Déplacement de l'œil et du point de visée dans une fenêtre de contrôle de vue
  • Zoom et panoramique à l'aide de la fenêtre de contrôle de zoom
  • Modification de l'affichage dans une fenêtre de contrôle
  • Définition de la vitesse de réaffichage du contrôle de visualisation


Visibilité des lignes 2D

Ces commandes peuvent être utilisées pour prédéfinir quelle ligne ne devrait pas apparaître dans le fichier de capture 2D du modèle. Cela peut être particulièrement utile pour masquer les lignes entre deux étages tel qu’illustré ci-dessous:

Avant Après

Marquer des lignes comme invisible

Après avoir lancé cette commande, un menu affiche les options suivantes:

  • Marquer comme invisible: indiquer les lignes du modèle qui ne devraient pas apparaître lors de la capture du fichier 2D. Presser Entrée pour appliquer cette opération à l’ensemble des lignes sélectionnées.
  • Marquer comme visible: fait exactement l’inverse de la précédente.
  • Marquer tout visible: rend visibles toutes les lignes du modèle précédemment marquées comme invisibles.
  • Montrer tous les invisibles: met en surbrillance orange toutes les lignes du modèle actuellement marquées comme invisible dans le mode SOLID.
  • REMARQUE: Lorsque vous générez un fichier 2D de la vue du mode SOLID (en utilisant \save2d) les lignes ainsi marquées comme invisibles n’y paraîtront pas.


Visualisation avancée

Vous pouvez changer la vue dans n’importe quelle fenêtre de travail pour afficher le modèle en mode Render combiné avec les contrôles de vue rapide.

Activer le mode de visualisation avancé

Le mode de visualisation avancé est activé qu’à partir du mode rendu.

\glwin

Travailler en mode de visualisation avancé

Contrôlez la vue en utilisant les fenêtres de contrôle de vue ainsi que les commandes habituelles de visualisation d’ARC+. Seules les commandes de visualisation sont disponibles dans ce mode, cependant, vous pouvez continuer de créer votre modèle dans une autre vue.

Sortir du mode de visualisation avancé

Pour sortir du mode de visualisation avancé, procédez de l’une des façons suivantes:

  • Cliquez modélisation dans la liste de modes d’affichage de la barre d’outils
  • Cliquez le bouton Render sur la barre d’outils ou d’icône
  • Activez la commande (\opengl), (\geom) ou (\render)


Visualisation d'un plan de coupe

Si vous affichez une coupe du modèle en mode visualisation (voir Activation du mode de visualisation, \solid), vous pouvez effectuer une rotation de la vue dans une direction perpendiculaire au plan de coupe.

\vsect

L'œil et le point de visée sont déplacés de telle sorte que la coupe est affichée dans le plan de votre écran.


Visualisation dynamique

Vous pouvez visualiser dynamiquement votre modèle. C’est-à-dire que vous pouvez effectuer des zooms des déplacements, et des rotations en temps réel sur votre écran.

Thèmes liés

  • Zoom et panoramique en temps réel
  • Rotation orbitale
  • Rotation autour d'un axe
  • Déplacement en 3D
  • Réglages de la visualisation dynamique


Vue axonométrique

Affiche le modèle dans le mode axonométrique.

\axo

Le modèle est affiché en vue axonométrique (isométrique). Le plan de travail demeure inchangé.


Vue en élévation

\elev

Spécifiez l'élévation que vous voulez afficher:

  • Avant (plan xz—sens positif)

  • Arrière (plan xz—sens négatif)

  • Droite (plan yz—sens positif)

  • Gauche (plan yz—sens négatif)

  • REMARQUE : Pour passer d'une élévation à une autre, vous pouvez également utiliser la commande Déplacement de la position de l'œil (\walk) ou son raccourci-clavier Shift+F5 qui est prédéfinie à \walk gauche 90 degrés

//


Vue en 2D/3D

En mode de modélisation, les murs, les ouvertures, les toits et les objets placés peuvent être visualisés en 2D ou 3D. Utilisez ces commandes pour basculer entre les deux modes.

\2d

\3d

Vue, création et placement en 2D ou 3D

Vous pouvez faire basculer l’affichage des murs, des ouvertures, des toits et des objets entre une vue 2D ou 3D. Les murs, les ouvertures et les toits ont des présentations en 2D et 3D inhérentes à l’entité. Les objets placés à partir de catalogues pris de la nouvelle structure de catalogues 2D/3D pourront aussi être affichés soit en 2D soit en 3D pourvu que les objets en 2D et 3D correspondants existent dans le catalogue.

Lorsque vous créez des murs, des ouvertures et des toits ou lorsque vous placez de nouveaux objets de bibliothèque, ils seront immédiatement affichés dans le mode 2D/3D courant.

Lorsque vous placez un objet de bibliothèque, la bibliothèque en 2D ou 3D s’ouvrira selon le mode courant.

A propos des catalogues en 2D et en 3D

La structure du catalogue d’ARC+ a été réorganisée pour permettre de basculer entre les représentations en 2D et en 3D des objets du catalogue.

Les noms de catalogues permettant de basculer entre les affichages en 2D et en 3D sont préfixés du code 2D&3D (ex.: 2D&3D cuisine) mais ces catalogues ne contiennent pas d’objets. Deux répertoires intitulés 2D et 3D sont placés sous chaque catalogue. Les objets en 2D et 3D sont stockés dans le sous-répertoire approprié avec des noms identiques.

Lors de la sélection d’un objet à partir d’un catalogue ou lors de son enregistrement dans ce dernier, le catalogue correspondant en 2D ou 3D s’ouvre automatiquement, selon le mode courant en 2D ou 3D. Les entités qui ne feront pas l’objet d’une bascule, c’est à dire qui resteront en 2D ou en 3D quel que soit le mode seront stockés dans des répertoires sans le préfixe spécial et sans sous-répertoire 2D/3D.

  • IMPORTANT : Si vous placez un objet de catalogue pour lequel aucune entité en 2D ou en 3D n’existe dans le catalogue, lorsque vous basculez d’un mode à un autre, l’entité disparaîtra. Elle réapparaîtra lorsque vous retournerez au mode d’origine.

Si un fichier, contenant un objet placé pour lequel aucune entité correspondante en 2D ou en 3D n’existe dans le catalogue, est enregistré et rouvert dans le second mode, le système générera une édition de l’objet placé manquant.

Enregistrement des objets de catalogues pour une utilisation dans les affichages en 2D et en 3D

Utilisez les commandes normales d’ARC+ pour créer vos objets de catalogues (Cf. Création d’un objet et Addition d’objets aux catalogues dans Objets placés et catalogues). Avant d’utiliser la commande Gestionnaire de catalogue (\libedit) pour stocker votre modèle, assurez-vous que vous êtes dans le mode approprié \2D ou \3D. L’enregistrement du modèle en mode 2D entraînera son enregistrement automatique dans un sous-répertoire en 2D du catalogue. De la même façon, l’enregistrement du modèle en mode 3D entraînera son enregistrement automatique dans le sous-répertoire en 3D. Les deux versions du modèle doivent être enregistrées sous des noms identiques.

Vous pouvez créer des nouveaux répertoires de catalogues n’importe où sous le répertoire principal. Leurs noms doivent portés le préfixe 2D&3D et chaque catalogue doit comporter deux sous-répertoires: 2D et 3D. Les objets ne doivent être stockés que dans les sous-répertoires en 2D et en 3D et non pas dans le répertoire général (2D&3D nom catalogue).

Les objets placés qui doivent rester intacts en 2D ou en 3D quel que soit le mode courant, doit être stocké dans les répertoires de catalogues habituels sans préfixe et sans sous-répertoires en 2D/3D.

A propos d’ARCALIB

Bien que vous puissiez créer et stocker des objets de catalogue n’importe où dans votre disque dur, il est vivement conseillé de les enregistrer sous le répertoire ARCALIB.

Si vous déplacez un fichier ARC+ contenant des objets placés, vers un autre emplacement ou disque dans votre ordinateur, ou dans un autre ordinateurs, les objets placés sous le répertoire d’ARCALIB seront conservés dans le modèle. Si le modèle inclut des objets placés provenant d’un autre répertoire qu’ARCALIB, lorsque vous déplacerez votre fichier vers un nouvel emplacement, le chemin d’accès des objets placés sera perdu, et ils n’apparaîtront plus dans le modèle. Le système vous informera ensuite que des objets sont manquants.


Vue en plan

Affiche la vue en plan.

\planv

Le modèle est affiché suivant le mode de visualisation en plan (projection sur le plan xy). En même temps, le système transforme automatiquement le plan xy en plan de travail courant et redessine le modèle pour remplir l'écran.


Zoom arrière

Zoom arrière obtenu en divisant l'échelle courante par un facteur spécifié.

\zout

Spécifiez le facteur désiré pour le zoom arrière (2 par défaut).

L'échelle courante est divisée par le facteur et la zone de visualisation est réduite en conséquence. La position du centre de l'écran reste fixe.

  • REMARQUE : Le raccourci-clavier Alt+F5 est prédéfini pour un zoom arrière selon un facteur 3.

Remplissage de l'écran

L'échelle d'affichage est recalculée de telle sorte que la totalité du modèle remplisse l'écran.

\fitsc

Modifiez l'échelle du modèle de telle sorte qu'il remplisse tout l'écran. Que le modèle n'occupe qu'une partie seulement de l'écran ou se prolonge au delà, l'affichage est agrandi ou réduit de manière à ce qu'il remplisse la totalité de l'écran.


Zoom de la vue

Une commande unifiée contient toutes les options de zoom.

Vous pouvez choisir l’une des options de vue suivantes:

  • Zoom avant (\zoom, \zin)
  • Zoom arrière (\zout)
  • Zoom arrière par cadre (\zoomout)
  • Remplissage de l’écran (\fitsc)

\zooming

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.

Zoom avant par fênetre

Zoom destiné à agrandir l'une des zones d'affichage en l'augmentant d'une fenêtre:

\zoom

Ou d'un facteur donné:

\zin

Choisissez d'effectuer un zoom dans une zone d'affichage par:

  • Fenêtre
  • Facteur

Si vous effectuez un zoom par fenêtre, spécifiez deux points définissant une fenêtre rectangulaire. Le contenu du rectangle est agrandi de manière à remplir la totalité de l'écran. Si vous effectuez un zoom par facteur, spécifiez une valeur. L'échelle courante sera multipliée par ce facteur. La position du centre de l'écran reste fixe. La nouvelle échelle de l'écran est affichée dans l'indicateur d'échelle situé dans la partie supérieure de l'écran.


Zoom et panoramique à l'aide de la fenêtre de contrôle de zoom

La fenêtre de contrôle de zoom affiche votre modèle dans le rectangle courant de zoom/panoramique. Les dimensions du rectangle sont proportionnelles à celles de la fenêtre de travail. Vous pouvez effectuer un zoom ou un panoramique sur toute zone de l'écran en modifiant la taille ou la position du rectangle à l'aide de la souris.

Pour effectuer un zoom, placez le curseur sur l'un des angles du rectangle. Enfoncez le bouton de la souris et déplacez dynamiquement l'angle de manière à agrandir ou à diminuer la taille du rectangle.

Pour effectuer un panoramique, placez le curseur dans la fenêtre ou sur l'un des ses côtés (pas sur les angles). Enfoncez le bouton de la souris et déplacez dynamiquement la fenêtre vers la zone que vous souhaitez afficher.

Cliquer en dehors du rectangle, s’il est trop petit, mettra le curseur au milieu du rectangle.

  • CONSEIL : Pour définir votre vue avec précision, utilisez les commandes de visualisations abordées dans la division ci-après, qui vous permettent de définir les positions exactes de l'œil et du point de visée.


Zoom et panoramique en temps réel

Vous pouvez effectuer des zooms et des déplacements panoramiques en temps réel.

Zoom

  • IMPORTANT : Cette opération n'est possible qu'à l'aide d’une souris équipée d'une molette.

Vous pouvez effectuer un zoom avant ou arrière de manière dynamique en actionnant la molette de la souris. Faites tourner la molette vers vous pour effectuer un zoom arrière, faites la tourner dans le sens inverse pour effectuer un zoom avant.

Panoramique

En actionnant le bouton central de la souris tout en faisant glisser le pointeur à l’écran, vous pouvez déplacer l’affichage. Vous pouvez faire de même en utilisant les barres de défilement dans les parties inférieure et droite de l’écran.


Zooming et panoramique de la vue

Vous pouvez effectuer un zoom ou un panoramique sur la totalité ou sur une partie seulement de votre modèle:

  • En définissant un coefficient de zoom
  • En définissant la position et les dimensions de la surface du rectangle de zoom
  • En réduisant l’échelle d’affichage à l’aide d’un cadre
  • En définissant le facteur d'échelle désiré

Thèmes liés

  • Zoom de la vue
  • Zoom arrière
  • Panoramique


Accéder au gestionnaire de caméras et coupes

\csmanag

Lorsque vous exécutez cette commande, la boîte de dialogue Gestionnaire de caméras et coupes suivante apparaît :

Cette boîte de dialogue est divisée en 3 onglets:

Caméras

Les Caméras ne sont pas autre chose que des vues pour lesquelles les paramètres sont directement enregistrés dans le modèle courant. Une caméra est principalement définie par au moins trois paramètres:

  • La position du point de l’œil
  • La position du point visé (cible)
  • L’angle du cône de visualisation

Coupes

Les Coupes coupent le modèle par un plan vertical et conservent un côté seulement du modèle. Le plan de coupe peut être défini par deux points sur le plan XY. Pour chaque coupe, il est possible de voir le modèle depuis différents points de vue correspondant chacun à une caméra telle que définie précédemment.

Plans

Comme les coupes, les plans coupent le modèle mais seulement à travers un plan de coupe parallèle au plan XY et conservent uniquement la partie inférieure du modèle. Pour chaque plan, il est possible de voir le modèle depuis différents points de vue correspondant chacun à une caméra telle que définie précédemment.

Opérations communes

Dans les trois onglets de cette boîte de dialogue, apparaît une liste hiérarchisée des éléments Caméras, Coupes et Plan enregistrés dans le modèle. Juste au-dessus de cette liste, vous pouvez voir un certain nombre de boutons correspondants à des opérations communes à ces trois éléments:

  • IMPORTANT: Prenez note que dans cette documentation, on désignera par le terme "indiqué" l’élément unique (caméra, coupe ou plan) sur lequel vous auriez précédemment cliqué dans la liste. Cela ne soit pas être confondu avec le terme "sélectionné" qui désigner alors les éléments pour lesquels vous auriez cochez la case située juste à gauche de leur nom.
ICON | COMMANDE | DESCRIPTION
 | Ajouter nouveau | Ajoute une nouvelle caméra, coupe ou plan
 | Effacer | Efface la caméra, coupe ou plan indiqué
 | Modifier caméra | Remplace la caméra indiquée
 | Exécuter | Exécute la camera indiquée
 | Construire la 2D | Génère et configure la génération des dessins 2D correspondant aux caméras sélectionnés

Renommer un élément

Vous pouvez renommer une Caméra, coupe ou un plan de la liste. Pour cela, cliquez une fois sur son nom, attendez une seconde et cliquez à nouveau au même endroit: le nom apparaît maintenant dans une boîte de texte éditable et vous pouvez le modifier.

Actualiser

Comme vous pouvez laisser le Gestionnaire ouvert et que celui-ci affiche des éléments (caméra, coupes, plans) appartenant au modèle courant, ce bouton permet d’actualiser le contenu des listes du Gestionnaire lorsque vous ouvrez un nouveau modèle


Activation/désactivation des effets d'ombrage

Affiche ou masque les effets de l'éclairage sur les surfaces du modèle.

\shadonof

Cette commande permet de faire apparaître ou disparaître les effets de l'éclairage. En cas de désactivation, les surfaces sont affichées dans des couleurs "plates "sans aucun dégradé.


Activation de la projection parallèle

Affiche le modèle en projection parallèle.

\npers

La vue dans la fenêtre de travail est transformée en parallèle. Les limites de la vue parallèle sont affichées dans les fenêtres de contrôle de visualisation.


Index

12 Selection

  1. Ajouter un niveau de masque
  2. Afficher un niveau de masque
  3. Création d'un nouveau groupe de sélection
  4. Définir un groupe de sélection
  5. Effacement d'entités sélectionnées
  6. Sélection Introduction
  7. Inversion du groupe de sélection
  8. Masquer
  9. Sélection d'objets placés par nom
  10. Sélection/Désélection
  11. Sélection de murs par nom ou nombre de couches
  12. Sélection de tous les motifs linéaires
  13. Sélection de tous les murs, ouvertures ou remplissage
  14. Sélection du texte et des dimensions par leur police
  15. Sélection par attributs
  16. Sélection par attributs de ligne
  17. Sélection par couleur
  18. Sélection par fenêtre polygonale
  19. Sélection par les attributs non-géométriques
  20. Sélection par numéro de calque
  21. Sélection par types d'entités


Ajouter un niveau de masque

Cette commande masque (laisse en blanc) les entités non sélectionnées de façon à ce que seules les entités sélectionnées soient affichées.

\blnk

Une fois les entités masquées, le système ajoute un niveau de masque. Toute opération ultérieure de masquage appliquée sur d'autres groupes de sélection, augmente numériquement le niveau de masque.

Les entités qui restent à l’écran retrouvent leurs attributs graphiques d’origine.

  • REMARQUE : Vous n’êtes pas limité quant au nombre de niveau de masques.


Création d'un nouveau groupe de sélection

Sélectionne des entités pour former un nouveau groupe de sélection. Du fait que cette commande redéfinit tout d'abord le groupe de sélection, vous pouvez l'utiliser également pour annuler la sélection du groupe précédent.

\snew

Cette commande efface le groupe de sélection précédent en rendant aux entités leurs attributs initiaux. Vous pouvez, dès lors, sélectionner des entités pour former un nouveau groupe de sélection ou lancer une autre commande et laisser vide le groupe de sélection.

  • CONSEIL : Utilisez cette commande pour vous assurer que toutes les entités sur votre dessin ont été désélectionnées, y compris celles qui sont en dehors de l'écran.

Options | Description
Cliquer | Le curseur affiche un signe + pour indiquer la sélection par défaut. Indiquez l’entité souhaitée. L’entité sélectionnée est indiquée par une ligne de tirets rouges.
ALT | Maintenez la touche ALT enfoncée pour effectuer une désélection à partir d’un groupe de sélection existant. Le curseur affiche le signe –. Indiquez et confirmez toute entité non désirée. L’entité repassera à son état d’affichage d’origine.
CTRL | Bascule entre sélectionné et désélectionné.
TAB | Options permettant d’effectuer une sélection par même type d’entité ou par même calque.
Espace | Inverse le groupe de sélection (identique à l’ancienne commande \revse)
Suppr | Supprime le groupe de sélection actif.
CTRL + A | Sélectionne toutes les entités.
ALT + A | Désélectionne toutes les entités.
ENTREE | Quitte la sélection.


Définir un groupe de sélection

\select

Cette fonction est analogue à la commande précédente (\snew), sauf qu'elle n'annule pas des entités sélectionnées précédemment. Elle peut donc être utilisée pour ajouter ou supprimer des entités du groupe de sélection en cours.

Choisissez de sélectionner ou de désélectionner des entités du groupe de sélection.

Sélection

Désignez l'entité à sélectionner. L'entité sélectionnée s'ajoute au groupe de sélection. Ajoutez à volonté d'autres entités au groupe de sélection.

font-family: ; face="Arial Narrow" size="4">Déselection

Maintenez la touche ALT enfoncée, puis désignez l'entité à désélectionner. L'entité est retirée du groupe de sélection. Retirez à volonté d'autres entités du groupe de sélection.

Les commandes \sent et \senf sont toujours actives, mais elles sont obsolètes et ne font plus partie de l’interface. Utilisez plutôt la commande \select qui intègre désormais aussi la fenêtre.

Capture par bord de fenêtre

En cliquant en dehors de toutes entités, la sélection par fenêtre commence à l’endroit indiqué. Vous pouvez en fonction de l'emplacement du point opposé de la fenêtre sélectionner les entités coupant les bords de la fenêtre.

Si vous dessinez la fenêtre de haut en bas, la sélection s’effectue sur toutes les entités ayant au moins un point contenu dans la fenêtre. | Si vous dessinez une fenêtre de bas en haut, celle-ci s’affiche avec une ligne en pointillés. Toutes les entités en contact avec le bord de la fenêtre sont également sélectionnées.
  • IMPORTANT: L’option de capture par bord de fenêtre ne peut être utilisée que dans les vues orthogonales. Cette option ne fonctionne pas en axonométrie ou en mode perspec tive

Choisissez de sélectionner ou de désélectionner des entités du groupe de sélection.

Sélection

Définissez le premier point et le point opposé de la fenêtre.

Les entités sont ajoutées au groupe de sélection de la manière suivante:

  • Lignes, polygones et solides—si au moins une extrémité ou un sommet se trouve à l'intérieur de la fenêtre
  • Arcs— si l’un des points finaux ou le centre affiché se trouve à l’intérieur de la fenêtre
  • Objets placés— si le point final d’un composant quelconque ou le point d’origine affiché se trouve à l’intérieur de la fenêtre

Les entités comprises dans le groupe de sélection seront indiquées sous forme de lignes pointillées rouges.

Désélection

Définissez le premier point et le point opposé de la fenêtre. Les entités et les objets placés qui se trouvent à l’intérieur de la fenêtre sont supprimés du groupe de sélection et reprennent leurs attributs de ligne d’origine.


Effacement d'entités sélectionnées

Supprime le groupe de sélection du modèle.

\sdel

Cette commande efface de l'écran et de la base de données toutes les entités et objets placés inclus dans le groupe de sélection.


introduction

Home > 12 Sélection > Introduction

Sélection

La sélection et la désélection constituent les instruments de base de l'utilisateur d'ARC+. Très souvent, avant d'exécuter une opération, telle que copie ou déplacement dans ARC+, vous devez désigner l'entité ou le groupe d'entités sur lesquels se basera votre opération. Ceci s'appelle sélectionner une entité (ou un groupe de sélection quand il s'agit de plusieurs entités ou objets).

Vous pouvez désigner un nombre quelconque d'entités et les réunir pour en faire un groupe de sélection. Une entité ou un groupe sélectionné demeurent intacts et affichés en pointillés rouges jusqu'à leur désélection. Ceci vous permet d'exécuter sur un même groupe d'entités, différentes opérations les unes après les autres.

Thèmes liés

  • Sélection/Désélection
  • Masquer


Inversion du groupe de sélection

Inverse l'état de sélection de toutes les entités du fichier courant.

\revse

Utilisez cette commande pour exclure les entités du groupe de sélection et inclure toutes les entités non sélectionnées. Ceci inverse l'affichage courant. Les entités sélectionnées reprennent leurs attributs de lignes initiaux et toutes les entités non sélectionnées auparavant sont affichées sous forme de lignes pointillées rouges.

  • CONSEIL : Utilisez cette commande pour sélectionner votre modèle entièrement. Pour sélectionner le modèle tout entier à l'exception d'un petit groupe d'entités, sélectionnez d'abord le groupe à exclure et ensuite utilisez cette commande.


Masquer

ARC+ permet de masquer des entités selon diverses méthodes. L’une d’entre-elles consiste à préalablement sélectionner les entités que l’on souhaite conserver à l’écran. Cette possibilité est maintenant dotée d’une mémorisation successivement des entités affichées avant chaque étape de masquage. Cette mémorisation permet ultérieurement de réafficher uniquement les entités qui correspondent au niveau de masque souhaité.

Principe

L’exemple suivant illustre en détail les opérations d’ajout et de retrait progressif de masque :

Figure 1: Sélectionnez les entités à masquer puis masquez-les. | Figure 2: Premier niveau de masque.
Figure 3: Sélectionnez les entités à masquer puis masquez-les. | Figure 4: Deuxième niveau de masque.
Figure 5: Affichez uniquement les entités du premier niveau de masque. | Figure 6: Affichez toutes les entités.

Thèmes liés

  • Ajouter un niveau de masque
  • Afficher un niveau de masque


Sélection d'objets placés par nom

Sélection ou désélection de tous les objets placés ayant un nom déterminé.

\osel

Choisissez de sélectionner ou de désélectionner.

Indiquez à l'écran un exemple du nom de l'objet placé ou tapez le nom au clavier.

Tous les objets placés ayant le même nom sont ajoutés ou retirés du groupe de sélection.


Sélection/Désélection

La sélection et la désélection d'entités sont des opérations analogues. La plupart des commandes de sélection vous permettent de sélectionner ou désélectionner des entités. Notez, par exemple, que là où le titre d'une commande indique la sélection ou l'addition d'entités à un groupe, il comprend également la désélection ou la suppression d'entités d'un groupe.

Pour sélectionner—ou désélectionner en maintenant la touche ALT enfoncée—une entité, la commande vous demande de spécifier l'entité (ou les entités) désirée. Indiquez l'entité à l'aide de la souris ou du clavier. Les entités sélectionnées sont alors affichées avec des pointillés rouges. Si l'entité indiquée n'est pas celle que vous voulez sélectionner, tapez sur Annuler ou désélectionnez en maintenant la touche ALT enfoncée..

La plupart des commandes de sélection sont bouclées de sorte que vous pouvez continuer à sélectionner des entités et à les ajouter au groupe de sélection. Vous pouvez également utiliser une autre commande de sélection pour ajouter davantage d'entités au groupe de sélection ou encore pour désélectionner des entités spécifiques dans le groupe. Le groupe de sélection demeure sélectionné pendant que vous exécutez des opérations diverses et est désélectionné lorsque vous le précisez.

Quand vous sélectionnez un solide simple à l'aide de la souris, assurez-vous que le solide entier est sélectionné. Un solide est composé de deux bases reliées par des arêtes. Si vous désignez une quelconque de ces arêtes, le solide sera sélectionné en entier. Cependant, si vous désignez un point sur la base du solide, seule cette base sera sélectionnée.

Il ne peut y avoir qu'un seul un groupe de sélection à la fois. Le groupe de sélection peut contenir un nombre quelconque d'entités—y compris même le modèle tout entier.

REMARQUE : Faites attention lors de la sélection d’entités en vue de leur extraction vers un nouveau fichier (\extf) ou de leur copie (toute commande de copie). Si vous sélectionnez des murs sans leurs ouvertures ou vice-versa, ou si vous sélectionnez uniquement un des polygones de base de solides simples ou de murs 3D, l’opération d’extraction ou de copie ne sera pas exécutée.

Thèmes liés

  • Création d'un nouveau groupe de sélection
  • Définir un groupe de sélection
  • Sélection par fenêtre polygonale
  • Inversion du groupe de sélection
  • Sélection par types d'entités
  • Sélection de tous les murs, ouvertures ou remplissage
  • Sélection de murs par nom ou nombre de couches
  • Sélection d'objets placés par nom
  • Sélection de tous les motifs linéaires
  • Sélection du texte et des dimensions par leur police
  • Sélection par attributs
  • Sélection par couleur
  • Sélection par attributs de ligne
  • Sélection par numéro de calque
  • Sélection par les attributs non-géométriques
  • Effacement d'entités sélectionnées


Sélection de murs par nom ou nombre de couches

Sélection ou désélection de tous les murs ayant un nom spécifique ou ayant un nombre spécifique de couches.

\mnsel

Choisissez de sélectionner ou de désélectionner.

Spécifiez si la sélection doit se faire d'après le nom de mur ou d'après le nombre de couches du mur. Indiquez sur l'écran une portion du mur ayant le nom ou le nombre de couches désiré.

Tous les murs ayant le même nom ou le même nombre de couches que la portion de mur indiquée seront ajoutés ou supprimés du groupe de sélection.


Sélection de tous les motifs linéaires

Sélectionne ou désélectionne tous les motifs linéaires du modèle.

\lhsel

Choisissez de sélectionner ou de désélectionner.

Les motifs linéaires sélectionnés sont affichés en rouge.


Sélection de tous les murs, ouvertures ou remplissage

Sélection ou désélection de tous les murs, de toutes les ouvertures du mur ou de tous les remplissages du mur.

\mwsel

Choisissez de sélectionner ou de désélectionner.

Spécifiez tous les murs (y compris leurs ouvertures et leurs remplissages), toutes les ouvertures dans les murs ou tous les remplissages des murs.

On peut également accéder à cette commande par l'option MURS de la commande Sélection par type d'entité (\apsel).

  • REMARQUE : Ne pas manipuler des ouvertures de murs sélectionnées à l'aide de commandes de manipulation courantes. Utilisez plutôt des commandes de changement et de copie d'ouvertures (voir Ouvertures, Ouvertures dans des murs).


Sélection du texte et des dimensions par leur police

Sélectionne ou désélectionne tout texte ou toutes dimensions avec une police particulière.

\ftsel

Choisissez de sélectionner ou de désélectionner.

Choisissez la police de caractères à l’aide de la boîte de dialogue:

Tous les textes et les cotations ayant la même police sont ajoutés ou supprimés du groupe de sélection.


Sélection par attributs

Sélectionne des entités par couleur, ligne, largeur, couche et autres attributs non géométriques.

\attsel

Vous pouvez choisir l’un des attributs dans la sélection qui suit:

  • par couleur (\csel)
  • par ligne (\tpsel)
  • par largeur (\wsel)
  • par couche (\lsel)
  • par attributs non géométriques (\atsel)

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.


Sélection par attributs de ligne

Sélectionne ou désélectionne des entités par leur 'épaisseur de la ligne ou le type de ligne.

\wsel

\tpsel

(commandes non incluses dans le menu)

Choisissez de sélectionner ou de désélectionner.

Spécifiez une épaisseur de ligne ou un type de ligne par numéro, par échantillon ou à l’aide de la boîte de dialogue:

Toutes les entités ayant l'attribut spécifié sont ajoutées ou supprimées du groupe de sélection.

Les entités ajoutées au groupe de sélection sont affichées avec des lignes pointillées rouges. Les entités supprimées du groupe de sélection reprennent leur aspect normal.

Certains types d'entités sont sélectionnés ou désélectionnés d'une manière spéciale par les commandes suivantes:

  • Polygones—suivant les attributs de leur première arête
  • Solides—suivant la première arête du premier polygone
  • Murs—suivant les attributs de leur première couche

Les types d'entités suivants ne sont ni sélectionnés ni désélectionnés par les commandes suivantes:

  • Objets placés—à moins que la valeur initiale correspondant à leur couleur, leur épaisseur, ou leur type de ligne ait été modifiée (voir Edition et manipulations, Mise à jour des attributs, \uline)
  • Ouvertures dans les murs (analogue à objets placés)
  • Texte
  • Lignes et textes de cotation


Sélection par couleur

Sélectionne ou désélectionne des entités par leur couleur.

\csel

Choisissez de sélectionner ou de désélectionner.

Spécifiez la couleur à l’aide du sélecteur des couleurs:

Toutes les 255 couleurs ARC+ y sont représentées.

Toutes les entités ayant la couleur spécifiée sont ajoutées ou supprimées du groupe de sélection.

Les entités ajoutées au groupe de sélection sont affichées avec des lignes pointillées rouges. Les entités supprimées du groupe de sélection reprennent leur aspect normal.

Certains types d'entités sont sélectionnés ou désélectionnés d'une manière spéciale :

  • Polygones—suivant les attributs de leur première arête.
  • Solides—suivant la première arête du premier polygone.
  • Murs—suivant les attributs de leur première couche.

Les types d'entités suivants ne sont ni sélectionnés ni désélectionnés par a commande:

  • Objets placés
  • Ouvertures dans les murs
  • Texte
  • Lignes et textes de cotation


Sélection par fenêtre polygonale

Ajoute des entités dans un groupe de sélection par polygone.

\senp

REMARQUE : Dessinez un polygone autour des entités que vous désirez sélectionner avant d’utiliser cette commande.

Vous avez le choix entre la sélection ou la désélection. Définissez les caractéristiques de sélection de la fenêtre.

  • A l’intérieur et transversalement
  • A l’extérieur et transversalement
  • Transversalement uniquement
  • A l’intérieur uniquement
  • A l’extérieur uniquement

Indiquez le polygone que vous venez de créer comme fenêtre de clipping, ou pressez Entrée pour une fenêtre rectangulaire. Les entités sont sélectionnées en fonction de l’option choisie. Décidez si vous voulez effacer ou conserver la fenêtre.

  • REMARQUE : Les limitations de cette commande résultent du fait qu’elle fonctionne uniquement en mode orthogonal, et qu’elle ne travaille pas sur les ouvertures et les éléments placés (ou les blocs placés).


Sélection par les attributs non-géométriques

Sélectionnez ou désélectionnez des entités à l'aide des attributs non-géométriques qui leurs sont joints.

\atsel

Précisez si vous souhaitez sélectionner ou désélectionner des entités du groupe de sélection.

Vous pouvez sélectionner ou désélectionner par :

  • Le nom et la valeur de l'attributc'est-à-dire, prix=$20
  • Uniquement le nom de l'attributc'est-à-dire, prix=

Entrez soit le nom de l'attribut soit le nom et la valeur de l'attribut. Vous pouvez taper une chaîne de 20 caractères maximum.

  • REMARQUE : Les attributs non-géométriques sont des noms et des valeurs d'attributs qui sont rattachés à une entité grâce aux commandes Joindre un attribut (\atrib) et Joindre un groupe d'attributs (\atrig) ou qui sont rattachés par le système comme exposé dans la commande Informations sur les attributs d'une entité (\qent).


Sélection par numéro de calque

Sélectionne ou désélectionne toutes les entités d'un calque déterminé.

\lsel

Choisissez de sélectionner ou de désélectionner.

Spécifiez le numéro de calque désiré.

Toutes les entités se trouvant dans le calque spécifié sont ajoutées ou supprimés du groupe de sélection.


Sélection par types d'entités

ARC+ reconnaît différents types d'entités. Une fois que vous avez défini un groupe de sélection, vous pouvez ajouter ou retirer des entités selon des types d'entités spécifiques.

\apsel

Vous pouvez choisir l’une des options de sélection suivantes :

  • par application (\apsel)
  • par nom de mur (\mnsel)
  • par mur (\mwsel)
  • par objet (\osel)
  • par motif linéaire ou hachuré (\lhsel)

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.

Sélection par application

Choisissez de sélectionner ou de désélectionner des entités du groupe de sélection.

Entrez l'option correspondant au type d'entité désiré suivant le tableau ci-dessous. Une fois l'option entrée, le système vous demandera peut-être de choisir parmi plusieurs options secondaires pour spécifier avec plus de précision le type d'entité.

Toutes les entités du même type, sont ajoutées ou supprimées du groupe de sélection. Les entités comprises dans le groupe de sélection sont affichées sous forme de lignes pointillées rouges. Les entités retirées du groupe de sélection adoptent leurs attributs d'origine.

Option | Type d'entité sélectionné (option secondaire)
(lignes)I | Lignes/Arcs/Les deux
(polygones)p/c | Symboles/ Surfaces/Les deux/ Polygone de coupe (lignes épaisses)
(solides)s | Solides
(murs)w | Murs, ouvertures et remplissage/ ouvertures seulement/ remplissage seulement
(objets placés)o | Objets placés
(blocs placés)b | Objets paramétriques
(hachures)a | Motifs hachurés et de remplissage/ motifs linéaires/ Les deux
(lignes d'aide)h | Lignes d'aide/ Points d'aide/ Les deux
(point)x | Points
(lignes de cotes)d | Lignes de cotes
(texte)t | Texte


Afficher un niveau de masque

Cette commande réaffiche uniquement les entités du niveau de masque choisi.

\nblnk

A l’appel de cette commande, un menu apparaît. Choisissez le niveau de masque à atteindre. Seules les entités appartenant à ce niveau et aux niveaux supérieurs sont réaffichées. Les entités faisant partie des niveaux de masque inférieurs restent occultées.

Réafficher tout le modèle

Afin de réafficher toutes les entités masquées, choisissez dans le menu d’atteindre le niveau nommé: Niveau n°0


Index

Home > 13 Lignes d’aide

13 Lignes d'aides

  1. Création d'une ligne d'aide parallèle à un axe principal
  2. Création d'une ligne d'aide parallèle à une ligne à une distance spécifiée
  3. Création d'une ligne d'aide parallèle à une ligne et passant par un point spécifié
  4. Création d'une ligne d'aide passant par deux points
  5. Création d'une ligne d'aide perpendiculaire à un plan
  6. Création d'une ligne d'aide selon un angle et un azimut
  7. Création d'une ligne d'aide selon un angle par rapport à une ligne
  8. Création d'une ligne d'aide sur une ligne existante
  9. Création de lignes d'aide tangentes à deux cercles\tanaa
  10. Création de lignes d'aide tangentes à un cercle passant par un point
  11. Création de lignes d'aide tangentielles

  12. Création une ligne d'aide tangente

  13. Créer des lignes d'aide circulaires

  14. Créer des lignes d'aide courtes

  15. Créer un point d'aide

  16. Diviser une distance ou une entité

  17. Division d'un arc par des lignes d'aide radiales

  18. Division d'un espace par des lignes d'aide parallèles\mpara

  19. Division d'une distance en segments égaux

  20. Division et lignes d'aide parallèles

  21. Effacement de toutes les lignes d'aide

  22. Introduction

  23. Lignes d'aide angulaires

  24. Lignes d'aide circulaires ou en arc

  25. Lignes d'aide d'intersection

  26. Lignes d'aide de base

  27. Lignes d'aide spatiales

  28. Lignes d'aide tangentes

  29. Lignes d'aides courtes et points

  30. Marquage d'un point à une distance relative de deux points

  31. Marquage de l'intersection entre deux arcs ou cercles

  32. Marquage de l'intersection entre une ligne et un arc

  33. Marquage de l'intersection entre une ligne et un plan libre\cut3p

  34. Marquage de l'intersection entre une ligne et un plan principal

  35. Plusieurs parallèles

  36. Point relatif le long d'un chemin

  37. Points d'aide progressifs

  38. Repérage du point médian d'une ligne existante

  39. Sélectionner ou désélectionner toutes les lignes d'aide


Création d'une ligne d'aide parallèle à un axe principal

Créez une ligne d'aide parallèle à un axe passant par un point spécifié.

\haxis

Cette commande a deux formes utilisables. Vous pouvez tracer une seule ligne d'aide tout en exécutant d'autres opérations ou créer une série de lignes d'aide comme base de travail supplémentaire.

Lignes d'aide simples

Créez une seule ligne d'aide en appuyant sur Alt+x, y ou z ou en tapant \hxnst, \hynst ou \hznst. Définissez le point par lequel sera tracée la ligne d'aide. Une fois que la ligne d'aide est créée, retournez aux commandes précédentes.

Lignes d'aide multiples

Si vous voulez créer plusieurs lignes d'aide, utilisez la commande \haxis via les menus ou tapez \haxis et spécifiez l'axe x, y ou z. Définissez le point par lequel sera tracée la ligne d'aide.


Création d'une ligne d'aide parallèle à une ligne à une distance spécifiée

Créez une ligne d'aide parallèle à une ligne existante, à une distance et dans une direction spécifiées à partir de celle-ci.

\paral

Entrez la distance de la ligne à la ligne d'aide désirée. Indiquez la ligne de référence. Désignez le côté de la ligne dans lequel vous voulez que la ligne d'aide soit créée.

  • IMPORTANT : La ligne d'aide est créée sur un plan défini par la ligne et le point de direction. Définissez le point de direction en mode autre qu'orthogonal et en vous accrochant à une entité existante ou en tapant les coordonnées au clavier.


Création d'une ligne d'aide parallèle à une ligne et passant par un point spécifié

Créez une ligne d'aide parallèle à une ligne et passant par un point spécifié.

\parlp

Indiquez la ligne. Saisissez ensuite le point par lequel elle doit passer.

  • IMPORTANT : La ligne d'aide est créée sur un plan défini entre la ligne et le point de passage. Définissez le point de passage en mode autre qu'orthogonal et en vous accrochant à une entité existante ou en tapant les coordonnées au clavier.


Création d'une ligne d'aide passant par deux points

Création d'une ligne d'aide passant par deux points.

\hpp

Définissez les deux points. Une ligne d'aide passant par les deux points est créée.


Création d'une ligne d'aide perpendiculaire à un plan

Créez une ligne d'aide perpendiculaire à un plan spécifié et passant par un point.

\hnorm

Définissez le plan en spécifiant trois points. Définissez le point par lequel doit passer la ligne d'aide.

La ligne d'aide perpendiculaire au plan est créée.


Création d'une ligne d'aide selon un angle et un azimut

Créez une ligne d'aide passant par un point, selon un angle et un azimut spécifiés.

\hp

Entrez l'angle sur le plan xy (autour de l'axe z), mesuré à partir de l'axe x. Définissez ensuite l'angle vertical par rapport au plan xy (azimut). Définissez un point par lequel passera la ligne d'aide.

La ligne d'aide est créée, selon l'angle et l'azimut spécifiés.


Création d'une ligne d'aide selon un angle par rapport à une ligne

Créer une paire de lignes d’aide selon un angle par rapport à une ligne en entrant une valeur or en utilisant un échantillon.

\hpla

Vous pouvez créer une ligne d’aide selon n’importe quel angle par:

  • angle (degrés)
  • pourcentage (inclinaison)
  • un exemple d’angle

Si vous choisissez l’une des deux premières options, entrez l’angle désiré ou le pourcentage. Des angles prédéfinis sont disponibles dans les menus pop-up. Indiquez la ligne servant de ligne de référence, puis le point duquel dessiner la ligne d’aide.

Si vous voulez créer une ligne d’aide à l’aide d’un angle existant dans votre modèle, utilisez l’option par exemple. Vous n’avez pas besoin de connaître la valeur de l’angle.

Indiquez les première et deuxième lignes définissant l’angle. Indiquez une ligne de référence pour l’angle puis le point de passage par lequel dessiner la ligne d’aide.


Création d'une ligne d'aide sur une ligne existante

Créez une ligne d'aide prolongeant une ligne existante.

\hthru

Désignez la ligne sur laquelle sera créée la ligne d'aide.

Une ligne d'aide prolongeant la ligne désignée est tracée.


Création de lignes d'aide tangentes à deux cercles\tanaa

Home > 13 Lignes d’aide > Création de lignes d'aide tangentes à deux cercles\tanaa

Création de lignes d'aide tangentes à deux cercles

Tracez deux ou quatre lignes d'aide tangentes à deux arcs ou cercles filaires.

\tanaa

Désignez les deux arcs ou cercles.

Si l'un des arcs ne permet pas aux tangentes de le rencontrer, celles-ci seront tracées à des points qui prolongent l'arc. Les lignes d'aide courtes perpendiculaires aux tangentes indiquent le point exact de contact avec l'arc ou le cercle.


Création de lignes d'aide tangentes à un cercle passant par un point

Tracez deux lignes d'aide tangentes à un arc ou un cercle filaire à partir d'un point déterminé.

\tanpa

Définissez le point et sélectionnez ensuite l'arc ou le cercle.

Deux lignes d'aide tangentes au cercle sont tracées à partir d'un point donné. Si l'arc est créé de telle façon que les tangentes ne le rencontrent pas, elles seront tracées vers des points qui sont des prolongations de l'arc. Des lignes d'aide courtes perpendiculaires aux tangentes marquent le point exact de contact avec l'arc ou le cercle.

Si vous indiquez un point sur l’arc ou le cercle, une ligne tangente est tracée.


Création de lignes d'aide tangentielles

Crée une ligne d'aide tangente, en un point quelconque, à un cercle ou à un arc de cercle.

\htang

Vous pouvez choisir l’une des commandes de lignes d’aide tangentielles suivantes:

  • la création d'une ligne d'aide tangentielle (\tanarc)—nouvelle sous-commande
  • la création d'une ligne d'aide tangentielle en un point à un cercle (\tanpa)
  • la création d'une ligne d'aide tangentielle entre deux cercles (\tanaa)

Vous trouverez ci-dessous la description de chaque composant de la commande combinée.


Création une ligne d'aide tangente

Crée une ligne d’aide tangentielle à un point quelconque du cercle.

\tanarc

Désignez l'arc ou le cercle, puis le point de contact de la tangente.


Créer des lignes d'aide circulaires

Créez une ligne d'aide circulaire

\hcircl

Sélectionnez l'une des options suivantes:

centre et rayon | Un cercle d'aide est créé dans le plan de travail actuel.
centre et point | Un cercle d'aide est créé dans le plan de travail.
deux points | Indiquez 2 points pour définir le diamètre du cercle d'aide. Le cercle est créé sur le plan en cours.
3 points | Un cercle d'aide est créé dans le plan 3D en passant par trois points.
2 points et objet | Un cercle d'aide est créé dans le plan 3D en passant par les deux points de circonférence et la ligne ou l'arc existants. Notez que l'entité et les deux points doivent se trouver sur le même plan.
2 points et rayon | Un cercle d'aide est créé dans le plan de travail.
2 objets et rayon | Le système affiche une solution et vous demande de la confirmer. Pour provoquer l'affichage d'autres solutions, rejetez la demande de confirmation.

Définissez les points et paramètres requis pour l'option que vous sélectionnez. Le cercle d'aide est créé.


Créer des lignes d'aide courtes

Créez des lignes d'aide courtes.

\hlin

Définissez deux points. Ces deux point constitueront les extrémités de la ligne d'aide qui sera tracée.

  • CONSEIL : Vous pouvez par exemple tracer une structure en indiquant chaque coin, afin d'y créer tout autour une série de lignes d'aide courtes.


Créer un point d'aide

Créez un point d'aide à l'écran.

\hpoint

Un point d'aide est créé à l'écran avec toutes les propriétés des lignes d'aide. Utilisez les points d'aide pour créer des entités exactement là où vous le souhaitez.

Les points d'aide, tout comme les lignes d'aide, ne sont pas imprimés, tracés ou exportés.

Si vous souhaitez qu'un point apparaisse dans votre modèle, consultez la commande Créer une entité de point (\point), dans le chapitre outils de base. Pour afficher des marques centrales pour les arcs ou les cercles voir la commande affichage des centres d’arcs, des points d’origine et de référence - (\markp).


Diviser une distance ou une entité

Cette commande divise des lignes, cercles, arcs et des polygones et courbes avec des lignes d’aide.

\hdiv

Indiquez l’entité à diviser et saisissez le nombre de segments.

  • Si un arc/cercle est choisi, des lignes d’aides radiales sont créées.
  • Si une ligne est choisie, de courtes lignes d’aide perpendiculaires sont créées.
  • Si un polygone ou une courbe (un chemin) ouverte est sélectionné, il faut choisir entre une division par nombre de segments ou par dimension de segments.
  • Si un polygone ou une courbe fermé est sélectionné, le système opère obligatoirement une division par nombre de segments.

Par nombre de segments

L'entité sera divisée par des lignes d’aides équidistantes.La distance entre le premier point du chemin et la première ligne de division est égale à la valeur du décalage de départ (d). La distance entre le dernier point du chemin et la dernière ligne d’aide est égale à la valeur décalage de fin (e).

Par dimension de segments

Définissez la taille des segments, le sens de division (depuis le début ou la fin du chemin) et un décalage pour lancer la division.Le chemin choisi sera divisé en segments égaux. La distance séparant les lignes de division est égale à la taille de segment saisie.

La distance entre le début ou la fin du chemin et la première ligne de division est égale à la valeur de décalage définie (d). La taille du dernier segment sera inférieure à la taille de portion définie.

Vous pouvez utiliser cette commande pour créer des lignes d’aide radiales pour un arc, après avoir indiqué l’arc que vous désirez, indiquez le nombre de segments requis.


Division d'un arc par des lignes d'aide radiales

Divisez un arc en un nombre spécifié d'angles ou de segments égaux.

\adiv

Définissez le nombre de segments, puis indiquez l’arc à diviser. Les segments sont tracés et inscrits à l'intérieur de l'arc et l'on vous demande si vous désirez effacer l'arc initial.


Division d'un espace par des lignes d'aide parallèles\mpara

Home > 13 Lignes d’aide > Division d'un espace par des lignes d'aide parallèles\mpara

Division d'un espace par des lignes d'aide parallèles

Divisez par des lignes d'aide parallèles l'espace compris entre une ligne et un point défini.

\mpara

Entrez le nombre de segments devant diviser l'espace. Indiquez la ligne et définissez le point.

Les divisions sont affichées par des lignes d'aide parallèles à la ligne indiquée. Notez que la dernière ligne d'aide passe par le point désigné.


Division d'une distance en segments égaux

Divisez la distance entre deux points en un nombre spécifié de segments égaux marqués par des lignes d'aide courtes.

\ldiv

Spécifiez le nombre de segments désiré (le défaut est deux). Définissez les deux points.

Du moment que vous devez définir deux points (plutôt qu'une ligne), vous pouvez utiliser cette commande pour diviser des lignes ou des espaces entre entités en segments égaux.

Les lignes d'aide courtes sont créées perpendiculairement à la ligne imaginaire qui relie les deux points.

Pour diviser une ligne en deux segments égaux utilisez la commande \midlp.


Division et lignes d'aide parallèles

Thèmes liés

  • Diviser une distance ou une entité
  • Division d'une distance en segments égaux
  • Division d'un arc par des lignes d'aide radiales
  • Repérage du point médian d'une ligne existante
  • Bissectrice
  • Division d'un espace par des lignes d'aide parallèles
  • Création d'une ligne d'aide parallèle à une ligne à une distance spécifiée
  • Création d'une ligne d'aide parallèle à une ligne et passant par un point spécifié
  • Plusieurs parallèles


Effacement de toutes les lignes d'aide

Effacez toutes les lignes d'aide du modèle courant.

\hdel

On vous demande de confirmer votre demande.

Toutes les lignes d'aide sont retirées après confirmation.


introduction

Home > 13 Lignes d’aide > introduction

Lignes d'aide

Les lignes d'aide sont des lignes spéciales qui aident à créer d'autres entités. Il existe deux types de lignes d'aide: longues et courtes. Les lignes d'aide longues sont de longueur infinie. Les lignes courtes servent à indiquer des points, par ex. en cas de division d'une ligne en segments égaux.

Toutes les lignes d'aide peuvent être effacées par une seule commande quand vous avez fini de les utiliser. Elles ne sont ni tracées ni imprimées ni exportées au format DXF.

Les attributs de ligne pour les lignes d'aide sont fins et en pointillés (type 3), et sont créés dans le calque numéro 99 uniquement.

Thèmes liés

  • Lignes d'aide de base
  • Lignes d'aide circulaires ou en arc
  • Lignes d'aide angulaires
  • Division et lignes d'aide parallèles
  • Lignes d'aides courtes et points
  • Lignes d'aide tangentes
  • Lignes d'aide d'intersection
  • Lignes d'aide spatiales
  • Commandes supplémentaires utilisées dans les lignes d'aide


Lignes d'aide angulaires

Thèmes liés

  • Création d'une ligne d'aide selon un angle et un azimut
  • Création d'une ligne d'aide selon un angle par rapport à une ligne


Lignes d'aide circulaires ou en arc

Thèmes liés

  • Créer des lignes d'aide circulaires
  • Arc d'aide


Lignes d'aide d'intersection

Thèmes liés

  • Marquage de l'intersection entre une ligne et un arc
  • Marquage de l'intersection entre deux arcs ou cercles


Lignes d'aide de base

Thèmes liés

  • Création d'une ligne d'aide passant par deux points
  • Création d'une ligne d'aide parallèle à un axe principal
  • Création d'une ligne d'aide sur une ligne existante


Lignes d'aide spatiales

Thèmes liés

  • Marquage de l'intersection entre une ligne et un plan principal
  • Marquage de l'intersection entre une ligne et un plan libre
  • Création d'une ligne d'aide perpendiculaire à un plan
  • Création d'une ligne d'aide à l'intersection de deux plans


Lignes d'aide tangentes

Thèmes liés

  • Création de lignes d'aide tangentielles
  • Création une ligne d'aide tangente
  • Création de lignes d'aide tangentes à un cercle passant par un point
  • Création de lignes d'aide tangentes à deux cercles


Lignes d'aides courtes et points

Thèmes liés

  • Point relatif le long d'un chemin
  • Marquage d'un point à une distance relative de deux points
  • Points d'aide progressifs
  • Créer un point d'aide
  • Affichage des centres d'arcs, des points d'origine et de référence
  • Créer des lignes d'aide courtes


Marquage d'un point à une distance relative de deux points

Créez deux points selon leurs distances respectives de deux points définis.

\h2dis

Spécifiez les distances respectives et définissez ensuite le premier et le deuxième point.

Deux lignes d'aide courtes marquent l'intersection des distances des deux points.

Cette commande agit dans n'importe lequel des trois plans axiaux et dans n'importe quelle vue orthogonale.


Marquage de l'intersection entre deux arcs ou cercles

Marquez les points d'intersection entre deux arcs ou cercles filaires.

\intaa

Désignez les deux arcs ou cercles.

Si les arcs ne se rencontrent pas, les croix sont dessinées à des points qui prolongent les arcs. Les croix indiquent le point exact d'intersection des arcs ou cercles.

  • REMARQUE : Les arcs doivent être sur le même plan.


Marquage de l'intersection entre une ligne et un arc

Marquez les points d'intersection entre une ligne et un arc ou un cercle filaire.

\intla

Désignez l'arc et la ligne.

Les points d'intersection sont marqués par des croix de lignes d'aide courtes. Si la ligne n'intersecte pas l'arc, elle est prolongée par une ligne d'aide. Si l'arc ne rencontre pas la ligne, les croix sont dessinées à des points qui prolongent l'arc. Les croix indiquent le point exact d'intersection avec l'arc ou le cercle.

  • REMARQUE: La ligne et l'arc doivent être tous deux sur le même plan.


Marquage de l'intersection entre une ligne et un plan libre\cut3p

Home > 13 Lignes d’aide > Marquage de l'intersection entre une ligne et un plan libre\cut3p

Marquage de l'intersection entre une ligne et un plan libre

Marquez le point d'intersection entre une ligne et un plan spécifié.

\cut3p

Définissez le plan en spécifiant trois points.

Désignez ensuite la ligne.

Deux lignes d'aide croisées indiquent le point où la ligne ou son prolongement pénètre dans le plan.


Marquage de l'intersection entre une ligne et un plan principal

\hcut

Marquez le point d'intersection d'une ligne avec un plan normal à l'un des axes.

\hcut

Définissez le plan en sélectionnant l'axe x, y ou z normal à ce plan. Spécifiez la valeur de la coordonnée du plan voulu sur cet axe. Désignez la ligne.

Deux lignes d'aide courtes indiquent le point où la ligne ou son prolongement pénètrent dans le plan.


Plusieurs parallèles

Cette nouvelle commande fournit un ensemble d'outil rapide pour la création de plusieurs lignes d’aide parallèles.

\hzparm

Lorsque vous sélectionnez cette commande, un menu s’affiche et propose les options suivantes:

De 2 points, par 1 point
  • Entrez le nombre de parallèles à tracer.
  • Indiquez deux points: la ligne d’aide sera parallèle à la direction ainsi définie.
  • Indiquez le point de passage: la ligne d’aide passera par ce point.

L’intervalle des distances est égal à la distance perpendiculaire entre les deux points et le point de passage.

D'une ligne par 1 point
  • Entrez le nombre de parallèles à tracer.
  • Indiquez la ligne: la ligne d’aide sera parallèle à la ligne ainsi définie.
  • Indiquez le point de passage: la ligne d’aide passera par ce point.

L’intervalle des distances est égal à la distance perpendiculaire entre la ligne et le point de passage.

D'une ligne, à une distance
  • Entrez le nombre de parallèles à tracer.
  • Indiquez la distance: distance à laquelle la ligne d’aide sera tracée.
  • Parallèle à la ligne: les lignes d’aide seront parallèles à la ligne indiquée.
  • Point de direction: le côté sur lequel les lignes d’aide seront créées.

L’intervalle des distances est égal à la distance perpendiculaire entre la ligne et le point de passage.

De 2 points, à une distance

  • Entrez le nombre de parallèles à tracer.
  • Indiquez la distance: distance à laquelle la ligne d’aide sera tracée.
  • Indiquez deux points: la ligne d’aide sera parallèle à la direction ainsi indiquée.
  • Indiquez le point de direction: la ligne d’aide sera dessinée sur le côté des 2points initiaux.

L’intervalle des distances est égal à la distance indiquée.

Différentes distances
  • Indiquez la ligne: la ligne d’aide sera parallèle à la ligne ainsi indiquée.
  • Indiquez le point de direction: la ligne d’aide sera dessinée sur le côté de la ligne indiquée.
  • Indiquez la distance: distance à laquelle la ligne d’aide sera tracée.

Le système demande alors la distance requise pour la ligne d’aide suivante. Vous pouvez alors tracer autant de lignes d’aide que nécessaire, à des distances différentes.

Par arcs
  • Entrez le nombre de parallèles à tracer.
  • Indiquez la distance: distance à laquelle la ligne d’aide sera tracée. Une valeur positive déplace l'arc d'aide vers l’extérieur tandis qu’une valeur négative le déplace vers l’intérieur.
  • Indiquez un arc ou un cercle: la ligne d’aide sera parallèle à la di
  • rection ainsi indiquée.


Point relatif le long d'un chemin

Créez un point d'aide à une distance et dans une direction spécifique à partir d’un point donné ou le long d'un chemin

\hppd

Sélectionnez une des deux options :

  • Par rapport à 2 points
  • Le long d’un chemin

Par rapport à 2 points

Entrez la distance (d) entre le point existant et le point d'aide à créer. Indiquez le point existant puis indiquez un point de direction.

Le long d'un chemin

Entrez la distance entre le point d’aide et le point de référence indiqué sur le chemin (d).Indiquez la direction dans laquelle le point d'aide doit être créé.


Points d'aide progressifs

\hprog

Cette commande est utile pour placer des points d’aide dans une direction donnée et à plusieurs distances d’un point précis, sans avoir à relancer la commande. Indiquez le point de base puis le point de direction et entrez les distances autant de fois que nécessaire.


Repérage du point médian d'une ligne existante

Créez une ligne d'aide courte marquant le point médian d'une ligne.

\midlp

Désignez la ligne. Une ligne d'aide courte indiquant le point médian de la ligne désignée est créée.


Sélectionner ou désélectionner toutes les lignes d'aide

Sélectionnez toutes les lignes d'aide.

\apsel

Pour plus de détails sur cette commande, voir Sélection, Sélection/Désélection de types d'entités—lignes d'aide (\apsel).

Pour éliminer temporairement toutes les lignes d'aide, masquez le calque numéro 99 (voir Calques, Affichage/masquage d'un calque, \lyon, \lyof).


Affichage des centres d'arcs, des points d'origine

Home > 13 Lignes d’aide > Affichage des centres d'arcs, des points d'origine

Affichage des centres d'arcs, des points d'origine et de référence

Affiche un marqueur d'arc ou de centre de cercle. Cette commande permet également de marquer des objets placés ainsi que les origines de textes pour les entités marquées, ainsi que les points de référence pour les lignes de cotation.

\markp

Indiquez l'arc (le cercle filaire, polygone filaire et arc de murs), l'objet placé, le texte ou les cotations. Une croix tridimensionnelle temporaire est affichée, marquant le centre de l'arc indiqué, l'origine de l'objet indiqué ou du texte, ou le point de référence d’une ligne de cotation.

Les marqueurs ne font pas partie de l'objet, autrement dit ils ne font pas partie de la base de données et sont effacés dès que l'écran est régénéré. Ils ne peuvent pas être extraits et implantés dans un autre fichier ou être tracés.

  • REMARQUE : Si vous utilisez le mode du Snap Dynamique avec les options «Centre» et «Insertion» les centres d’arc, cercles et les origines des objets apparaîtront automatiquement lorsque vous placez votre curseur sur l’entité pendant une seconde.


Arc d'aide

Crée une ligne d’aide courbe.

\harc

Afin de réaliser un arc d’aide, ARC+ vous propose trois méthodes:

  • Par trois points, départ - intermédiaire – fin
  • Par trois points, départ - fin – intermédiaire
  • Par Centre, départ et angle

Arc d’aide Par trois points, départ - intermédiaire – fin

Définissez les trois points:

  • Le point de départ de l’arc
  • Un point quelconque appartenant à l’arc
  • Le point d’extrémité de l’arc

Une ligne d’aide en arc de cercle passant par les trois points définis est créée.

Arc d’aide Par trois points, départ - fin - intermédiaire

Définissez les trois points:

  • Le point de départ de l’arc
  • Le point d’extrémité de l’arc
  • Un point quelconque appartenant à l’arc

Une ligne d’aide en arc de cercle passant par les trois points définis est créée.

  • REMARQUE : Les trois points définissent le plan dans lequel l’arc est créé.

    Arc d’aide Par centre, départ et angle

    Définissez le centre de l’arc et les points de départ. Spécifiez l’angle de l’arc mesuré dans le sens contraire des aiguilles d’une montre, à partir du rayon imaginaire qui relie le centre du cercle à ses points de départ.

    Le dernier angle créé sera l’angle pris par défaut pour la création des lignes d’aide supplémentaires suivantes. La ligne d’aide est créée parallèlement au plan de travail courant.


Bissectrice

Donne sous forme de ligne d’aide la bissectrice d’un angle ou d’un arc.

\bisect

Indiquez le premier coté de l’angle pour la bissectrice ou indiquez un arc. Appuyez sur Entrée pour définir l’angle par trois points.

Par côtés d’angles

Indiquez les côtés de l’angle et confirmez.

Par Trois points

Indiquez 3 points, le sommet de l’angle et 2 points situés sur les lignes.

Par arc

Pour la bissection d’un arc, indiquez l’arc et confirmez.

  • REMARQUE : Cette commande fonctionne de façon similaire pour le sommet d’un polygone et le sommet d’un solide. Cette commande fonctionne également en 3D.


Commandes supplémentaires utilisées dans les lignes d'aide

Thèmes liés

  • Effacement de toutes les lignes d'aide
  • Sélectionner ou désélectionner toutes les lignes d'aide


Création d'une ligne d'aide à l'intersection de deux plans\hroof

Home > 13 Lignes d’aide > Création d'une ligne d'aide à l'intersection de deux plans\hroof

Création d'une ligne d'aide à l'intersection de deux plans

Créez une ligne d'aide à l'intersection de deux plans.

\hroof

Chaque plan est défini par une ligne qui représente l'intersection entre le plan en question, le plan xy et un angle entre les deux plans (mesuré perpendiculairement à la ligne).

Entrez les angles des plans. Indiquez le point d'intersection entre les deux lignes par lequel doit passer la ligne d'aide. Indiquez ensuite la première et la deuxième lignes.

Les plans sont calculés de manière à inclure les deux lignes et à créer la ligne d'aide marquant l'intersection entre les plans. Cette commande est particulièrement utile à la création de toits en pente.

  • REMARQUE : L'ordre d'entrée des trois points est important: s'ils sont entrés en sens inverse des aiguilles d'une montre, le toit sera situé au-dessus du plan défini par les trois points indiqués; si les points sont entrés dans le sens des aiguilles d'une montre, le toit sera concave, c.-à-d. au-dessous de ce plan.


Index

Home > 14 Sectionnement et sculpture

14 Sectionnement et sculpture

  1. Entité solide résultant d'une intersection de volumes

  2. Sectionnement et sculpture Introduction

  3. Opérations booléennes

  4. Réaliser des coupes sur des solides

  5. Soustraction d'un solide d'un autre solide

  6. Sculpture de solides (opérations booléennes)

  7. Soustraction d'un solide d'un autre solide
  8. Union de deux solide

  9. Union de deux solides avec soustraction de leur intersection

  10. Coupe d'une entité solide
  11. Union de deux solide

  12. Union de deux solides avec soustraction de leur intersection

  13. Coupe d'une entité solide
  14. Couper une entité solide
  15. Création d'une coupe géométrique


Entité solide résultant d'une intersection de volumes

Créez un nouveau solide composé uniquement du volume de chevauchement des deux solides.

\int

Désignez les deux entités. Un nouveau solide complexe est créé.


introduction

Home > 14 Sectionnement et sculpture > Introduction

Opérations sur les solides

Ce chapitre décrit les commandes d'opérations sur les solides de ARC+. Vous pouvez couper une entité de solide, un groupe de sélection ou un modèle entier. Ce chapitre décrit aussi les opérations booléennes que vous pouvez utiliser pour sculpter des solides. Une opération booléenne peut être appliquée à tout prisme ou entité de mur.

  • REMARQUE : Utilisez les commandes de ce chapitre pour couper les entités de votre modèle. Pour visualiser provisoirement votre modèle segmenté (dans des vues parallèles ou en perspective), utilisez les options «Section» en Mode Visualisation (Solide).

Thèmes liés

  • Réaliser des coupes sur des solides
  • Sculpture de solides (opérations booléennes)


Opérations booléennes

Trois commandes de sculpture de solides ont été regroupées en une même commande.

\bool

  • l'union de deux solides (\uni)
  • la soustraction d'un solide à partir d'un autre solide (\dif)
  • la création d'un solide à l'aide d'un volume commun (\int)
  • l'union de deux solides avec soustraction de leur intersection (\xor)

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.


Réaliser des coupes sur des solides

Thèmes liés

  • Couper une entité solide
  • Création d'une coupe géométrique
  • Coupe d'une entité solide


Sculpture de solides (opérations booléennes)

Les commandes booléennes combinées suivantes permettent de sculpter des Solides ou des Surfaces polygonales ayant une partie qui se chevauche

  • IMPORTANT : Si les deux entités se trouvent sur des calques différents et/ou sont de couleurs différentes, l’entité résultante héritera du calque et/ou de la couleur de la première entité indiquée. Ces opérations fonctionnent sur deux solides positifs ou négatifs, ainsi que sur les surfaces polygonales 2D.

Utilisez la commande \tol pour contrôler les tolérances des opérations booléennes..La précision par défaut est de 0,1mm. Si vous avez des problèmes avec ces opérations pour des entités exceptionnellement grandes ou petites, essayez respectivement d’augmenter ou de diminuer cette valeur. Si vous avez toujours des difficultés, contactez votre fournisseur pour utiliser la configuration avancée afin de changer la configuration de défaut de votre système.

Thèmes liés

  • Opérations booléennes
  • Union de deux solide
  • Soustraction d'un solide d'un autre solide
  • Entité solide résultant d'une intersection de volumes
  • Union de deux solides avec soustraction de leur intersection


Soustraction d'un solide d'un autre solide

Soustrait le volume d’une entité solide d’une autre.

\dif

Désignez le solide que vous désirez sculpter. Désignez le solide à soustraire du précédent. Précisez si vous voulez conserver la deuxième entité. Dans l'affirmative, elle restera en place comme entité indépendante et inchangée lors de la sculpture de la première entité. Dans le cas contraire, la deuxième entité sera effacée.

Un nouveau solide complexe est créé.

Si les deux solides ne possèdent pas de volume commun, la première entité indiquée est convertie en solide complexe dans tous les cas.


Union de deux solide

Réunit deux entités solides en un solide simple.

\uni

Indiquez les deux entités. Un nouveau solide complexe est créé. Même si les deux entités sont complètement détachées l’une de l’autre, elles seront réunies en une seule entité (solide complexe).

  • IMPORTANT :Lorsque vous réunissez des surfaces polygonales 2D, celles-ci doivent se trouver sur le même plan et avoir une partie qui se chevauche!Ces contraintes ne s’appliquent pas aux Solides


Union de deux solides avec soustraction de leur intersection

\xor

Le volume de chevauchement commun est extrait du volume unifié total des deux solides indiqués.


Coupe d'une entité solide

Coupe des solides selon un plan géométrique.

\split

Cette commande s'utilise comme la commande Coupe d'une entité solide (\secte), si ce n'est que les deux parties de l'entité coupée demeurent des entités à part entière.

Vous pouvez couper un solide selon trois plans:

  • orthogonal
  • diagonal
  • libre
1 2 3

Pour une coupe orthogonale, choisissez l'axe de la coupe: x, y ou z. Pour une coupe diagonale, indiquez le plan requis à l'aide de ses premier et second points. Pour indiquer un plan libre, déterminez trois points libres.

Cliquez sur des points pour délimiter les deux parties, puis indiquez le solide que vous désirez couper.

Cette commande s'utilise comme la commande Coupe d'une entité solide (\secte), si ce n'est que les deux parties de l'entité coupée demeurent des entités à part entière.


Couper une entité solide

Coupe une entité unique:

\secte

Coupe un groupe d'entités sélectionné:

\sects

Coupe un modèle entier :

\secta

ARC+ met à votre disposition plusieurs options pour chaque type de coupe:

  • Une entité simple
  • Un groupe d'entités sélectionné
  • Le modèle tout entier

Choisissez la commande dont vous avez besoin. Si vous choisissez un groupe sélectionné, sélectionnez les entités appelées à être coupées avant d'utiliser cette commande. Si vous coupez le modèle en entier, précisez si vous souhaitez que le plan de division apparaisse en surimpression (avec une ligne plus épaisse). Dans ce cas, un polygone de coupe est créé autour du plan de coupe de chaque entité.

Spécifiez la méthode par laquelle est défini le plan de coupe:

  • Orthogonale (plan parallèle à l'un des plans axiaux)
  • Diagonale(plan normal à l'un des plans axiaux)
  • Libre (plan défini par trois points dans l'espace)

Coupe orthogonale

Spécifiez l'axe qui doit être coupé et précisez si le plan de coupe est défini par une coordonnée ou à l'aide du curseur.

Spécifiez les coordonnées du plan de coupe ou désignez un point de l'écran. Spécifiez une autre coordonnée ou un autre point de l'écran du côté du plan de coupe qui est à conserver.

Pour couper une seule entité, indiquez l'entité à couper. Les groupes de sélection et les modèles entiers n'ont pas à être indiqués.

L'entité, les entités ou le modèle seront coupés.

Coupe diagonale

Spécifiez deux points définissant le plan de coupe diagonale et un troisième point pour définir le côté du plan à conserver.

Pour couper une seule entité, indiquez l'entité à couper. Les groupes de sélection et les modèles entiers n'ont pas à être indiqués.

L'entité, les entités ou le modèle seront coupés par un plan défini par les deux points et par un troisième que le système assume parallèle au plan xy.

Coupe libre

Spécifiez trois points délimitant le plan de coupe libre et un quatrième point définissant le côté des parties à conserver.

Pour couper une seule entité, indiquez l'entité à couper. Les groupes de sélection et les modèles entiers n'ont pas à être indiqués.

L'entité, les entités ou le modèle seront coupés. Confirmez le résultat.

  • REMARQUE : Cette opération donne un solide complexe. Si vous coupez un mur par un plan passant par ses ouvertures, il en résulte une entité complexe unique. À la suite de cette opération, vous ne pouvez plus utiliser les commandes d’édition pour modifier la taille des ouvertures.
  • CONSEIL : Pour visualiser le plan de coupe voir la commande Vues, Définir la vue parallèle au plan de coupe (\vsect).

Coupe d'entités seules

Coupe orthogonale

Coupe diagonale

Coupe libre

Coupe d'un groupe d'entités sélectionné

Coupe orthogonale

Coupe diagonale

Coupe libre

Coupe d'un modèle entier

Coupe orthogonale

Coupe diagonale

Coupe libre


Création d'une coupe géométrique

Crée une coupe géométrique 2D.

\sectg

La coupe géométrique est sauvegardée dans un fichier externe. Spécifiez le nom du fichier.

Spécifiez la méthode de définition de la coupe en plan.

  • Orthogonale(parallèle à l’un des plans axiaux)
  • Diagonale(normale à l’un des plans axiaux)
  • Libre(définie par trois points dans l’espace)

Coupe orthogonale

Spécifiez l’axe de coupe et indiquez si la coupe en plan sera définie par une valeur de coordonnée ou par le curseur.

Coupe diagonale

Définissez deux points définissant la section diagonale plane et un troisième point définissant le côté du plan à conserver. La section est sur un plan défini par deux points et par un troisième point que le système assume être parallèle au plan xy.

Section libre

Définissez trois points mettant en relief le plan de coupe libre et un quatrième point définissant le côté du plan à maintenir.

Ouvrir le fichier pour voir la coupe

La coupe, constituée par deux polygones 2D représentant le plan de coupe de toutes les entités impliquées, est créée dans le fichier spécifié. Ouvrez le fichier pour voir la coupe.


Index

Home > 15 Objets placés de la bibliothèque

15 Objets placés de la bibliothèque

  1. Conversion de murs et d'arcs en lignes
  2. Copier sur un chemin
  3. Création d'un objet
  4. Création d'un objet paramétrable
  5. Création et édition d'objets
  6. Définition d'objets 2D/3D
  7. Définition de calques d'objets placés
  8. Définition du chemin d'accès et des unités pour les catalogues
  9. Déplacement dynamique de l'objet jusqu'à sa position
  10. Eclatement d'un polygone en éléments linéaires
  11. Eclatement d'une entité
  12. Gestion et manipulation des objets
  13. Gestionnaire d'objets
  14. Intégration d'un objet placé en éléments de base
  15. Objets placés de la bibliothèque Introduction
  16. Objets paramétrables
  17. Placement d'objets
  18. Placement d'un object avec la direction et l'échelle : poutre
  19. Placement d'un objet avec facteurs d'échelle
  20. Placement d'un objet avec la direction et l'échelle de l'axe des x
  21. Placement d'un objet dans sa position et sa taille initiales
  22. Placement d'un objet par déplacement dynamique
  23. Placement d'un objet par rotation et échelle
  24. Placement d'un objet paramétrable
  25. Remplacement d'un objet paramétrable placé
  26. Remplacement d'un objet placé
  27. Rotation et échelle aléatoire
  28. Sélection d'objets placés par nom
  29. Sélection de tous les objets placés
  30. Utilisation de la boîte de dialogue de catalogue
  31. Addition d'objets aux catalogues
  32. Assemblage d'éléments en un objet placé
  33. Catalogues prédéfinis
  34. Changer chemin de catalogue principal


Copier sur un chemin

Le but de cette commande est de copier des objets le long d’un chemin défini par un polygone 2D ou 3D quelconque. Cela peut s’avérer particulièrement utile pour modéliser des éléments architecturaux comme des mains courantes et clôtures.

\copyp

  • IMPORTANT: Seuls les objets places peuvent être utilisés pour la copie le long d’un chemin.

Un chemin polygonal

Eléments copiés le long du chemin

Quand vous exécutez cette commande, un menu avec les options suivantes apparaît:

  • Créer/Modifier la série d'un polygone
  • Copier la série d'un polygone vers un autre
  • Transférer la série d'un polygone vers un autre
  • Détacher la série d'un polygone
  • Effacer la série d'un polygone
  • Régénérer un polygone

Créer/Modifier la série d'un polygone

Cette option vous laisse indiquer un polygone à utiliser comme chemin puis affiche la boute de dialogue Copier sur un chemin:

Il y a seulement deux possibilités pour diviser un chemin, par nombre de parties égales ou par une distance. Cette boîte de dialogue est divisée en 3 parties:

  • Diviser en parties égales,
  • Diviser par une distance
  • Paramètres.

Les deux premières parties contiennent des paramètres propres aux deux méthodes alors que la dernière montre des paramètres communs aux deux.

Diviser en parties égales

La section Diviser en parties égales de la boîte de dialogue concerne la division du chemin par un nombre précis. Le seul paramètre à modifier est ici ce nombre de divisions.

  • REMARQUE: Si un chemin est divisé en 2 parties, cela reviendra à copier 3 éléments: un au début, un au milieu et un à la fin.

Diviser par une distance

La section Diviser par une distance de la boîte de dialogue contient plus d’options. L’option principale est la distance entre chaque objet qui déterminera automatiquement le nombre d’objets à copier le long du chemin.

En entrant une distance approximative, nous nous trouvons face à deux problèmes:

  • Une portion du chemin ne pourra pas être utilisée car il n'y aura pas assez d'espace.
  • Les éléments à copier ne peuvent venir d'insérer aux coins du chemin.

Ces problèmes ne peuvent pas être résolus, mais peuvent être contrôlé en utilisant une des options:

OPTION | DESCRIPTION
Espace à… …la fin …au début …partagé …entre le début et la fin | Avec l'option Espace, il est possible de décider où l'espace inutilisé devrait être placé. Cette option donne la possibilité de définir l'espace à la fin du chemin, au début ou divisé entre le début et la fin. Il est aussi possible de répartir cet espace entre tous les éléments en choisissant l'option Partagé.
Forcer une copie aux angles | En utilisant cette option, la commande forcera le placement d'un objet à chaque angle du chemin.
Mode bissectrice | En utilisant cette option, il est possible de placer les éléments en fonction de la bissectrice de chaque angle du chemin
  • IMPORTANT: Si vous sélectionnez l’option "Partagé", la distance entre les éléments sera automatiquement recalculée et pourrait ne pas correspondre avec la valeur entrée dans le champ Distance.

Paramètres

La section Paramètres de la boîte de dialogue concentre la liste des objets qui devront être placées le long du chemin. Il y a deux listes:

  • La liste Objets à copier est la liste des objets qui doivent être placés pendant la copie.
  • La liste Objets à copier aux angles est la liste des objets qui doivent être placés aux angles.
  • REMARQUE: >À partir du moment ou la liste "Objets à copier" contient le nom d’au moins un objet, l’état activé ou désactivé de l’option "Forcer une copie aux angles" n’a aucun effet sur le résultat: la commande reconnaîtra les angles et utilisera cette liste spéciale pour sélectionner les objets à y placer. Si la liste "Objets à copier aux angles" n’est pas utilisée, alors la commande utilise seulement les objets de la liste "Objets à copier", et lorsque l’option "Forcer une copie aux angles" est activée, le système utilisera également cette liste pour les objets à placer aux angles.

Les objets peuvent être ajoutés aux listes en utilisant les boutons Ajouter et effacés en utilisant les boutons Effacer. Pendant la copie des objets le long du chemin, la commande alternera les objets suivant l’ordre dans lequel ils apparaissent dans les listes. Cet ordre peut être modifié en utilisant les deux boutons:

Les autres options de la section Paramètres de la boîte de dialogue sont expliqués ci-dessous:

Orientation

Cette option indique à la commande suivant quelle orientation les objets doivent être placé. L’option Original utilisera l’orientation par défaut des objets alors que l’option Parallèle et Perpendiculaire orienteront respectivement les objets parallèlement ou orthogonalement au chemin, comme dans l’illustration ci-dessous:

Marge de

Cette option indique à la commande la longueur minimale de l’intervalle autour de chaque angle dans lequel aucun objet, excepté ceux des angles

Modifier une série

La série d’objets ainsi créée aura une connexion permanente avec le polygone. Cela signifie que tout changement sur la forme ou la position du polygone sera répercuté sur les éléments attachés. Par ailleurs, il est possible de modifier les paramètres d’une série en appliquant à nouveau cette commande sur le polygone de chemin. Cela rouvrira la boîte de dialogue Copier sur un chemin avec tous les paramètres et objets actuels de la série.

Copier la série d'un polygone vers un autre

Cette option permet de copier les paramètres d’une série existante vers un polygone, l’ensemble des polygones sélectionnés, ou tous les polygones dans le modèle.

Transférer la série d'un polygone vers un autre

Cette option permet de déplacer les paramètres d’une série existante vers un polygone, l’ensemble des polygones sélectionnés, ou tous les polygones dans le modèle. Suite à cette opération, le polygone original qui contenait la série redevient un polygone normal.

Détacher la série d'un polygone

Cette option est utilisée pour supprimer la connexion entre le polygone de chemin et les objets de la série. Le polygone redevient alors un polygone normal.

Vous pouvez appliquer cette opération sur un polygone, l’ensemble des polygones sélectionnés, ou tous les polygones dans le modèle.

Effacer la série d'un polygone

Contrairement à l’option Détacher l’option Effacer n’efface pas seulement la connexion entre le polygone et les objets mais élimine également les objets placés le long du chemin.

Vous pouvez appliquer cette opération sur un polygone, l’ensemble des polygones sélectionnés, ou tous les polygones dans le modèle.

  • REMARQUE: Une fois que les options "Détacher" ou "Effacer" ont été utilisées, il devient impossible de modifier les paramètres précédents, car ils sont effacés avec la connexion entre les objets et le polygone.

Régénérer un polygone

Cette option est utilisée pour reconstruire la connexion entre le polygone de chemin et les objets placés après que le polygone ait été déplacé ou que sa forme ait été modifiée.

Vous pouvez appliquer cette opération sur un polygone, l’ensemble des polygones sélectionnés, ou tous les polygones dans le modèle.


Création d'un objet

Fichiers sources d'objets

Lorsque vous placez un objet dans un modèle, le système enregistre l’adresse de l'objet dans le fichier du modèle. L'adresse n'est autre que le nom et le chemin d'accès au répertoire du fichier source initial qui contient toutes les données définissant l'objet. Si vous éditez le fichier source, les modifications sont immédiatement répercutées dans tous les modèles dans lesquels l'objet a été placé.

Par exemple, supposez que vous avez placé un objet représentant une table dans plusieurs modèles. Si plus tard vous ajoutez, au cours d'une séance d'édition, des chaises autour de cette table, ces chaises apparaîtront aussi dans les autres modèles.

Le nom d'un objet n'est autre que le nom de son fichier source.

  • IMPORTANT : Après avoir placé un objet dans un modèle, il ne faut pas ôter son fichier source du répertoire ou l'effacer du système, car dans ce cas l'objet ne sera plus affiché avec le modèle.

Création d'un objet

Pour créer un objet, il suffit de le dessiner et de le sauvegarder comme s'il s'agissait d'un modèle ARC+. Vous pouvez vous servir de toute entité, outil et commande d'ARC+ et vous pouvez inclure d'autres objets placés dans l'objet que vous êtes en train de créer.

Si vous comptez positionner, orienter ou modifier l'échelle d'un objet en le plaçant dans un autre modèle il est recommandé de:

  • Positionner l'origine (0,0,0) en un point de référence commode, tel que le centre ou un angle du dessin
  • Fixer les axes x et y parallèlement à des lignes de référence commodes, par exemple, parallèles aux bords du dessin
  • Créer l'objet dans une taille de référence convenable, par exemple, 1 mètre suivant chacun des axes

Lorsque vous placez l'objet dans le modèle, vous pouvez fixer son origine, la direction de ses axes par rapport aux axes xyz du modèle ainsi que les facteurs d'échelle par lesquels il faudra multiplier les dimensions de base de l'objet dans les directions xyz (voir Placement d'un objet par rotation et échelle, commande \plrot).

Par ailleurs, vous pouvez créer l'objet dans sa position finale prévue (coordonnées xyz) dans un projet de plus grande ampleur. Vous pouvez ensuite le placer dans le grand modèle en vous servant de la commande Placement d'un objet dans sa position et sa taille initiales (\fxplc).

Vous avez également la possibilité de créer un fichier source d'objet en l'assemblant à partir d'entités sélectionnées que vous avez préalablement dessinées dans un modèle. Ceci transforme les entités sélectionnées en un objet placé dans le modèle, avec un fichier source externe qu'il vous est permis de placer aussi dans d'autres modèles (voir la commande Assemblage d'éléments en un objet placé, \asmbl).

Où sauvegarder le fichier source

Il est recommandé de sauvegarder le fichier source de l'objet soit dans le répertoire de votre projet (le même répertoire que le projet) soit dans des répertoires de catalogues (sous-répertoires du répertoire du système arcalib, voir Ajouter des objets aux catalogues).

Si l'objet est sauvegardé dans un autre répertoire, vous pouvez copier son fichier source dans le répertoire du projet ou du catalogue. Le fichier copié est indépendant de l'original. Si vous éditez l'original, la copie du fichier et tous les modèles dans lesquels cette copie a été placée demeurent inaffectés.

Edition d'un objet

Du fait que seule l'adresse d'un objet placé est sauvegardée dans le fichier de votre modèle, il n'est pas possible d'éditer directement les composants de l'objet sur le modèle lui-même. Vous pouvez effacer, remplacer, ou déplacer un objet placé dans votre modèle. Vous pouvez copier un objet placé en vous servant de la commande Copier des entités (\copy, voir Edition et manipulation). La copie résulte en un deuxième objet placé lié au même fichier source. En plaçant l'objet, vous pouvez modifier son échelle globale ainsi que son orientation en le faisant pivoter.

Si vous souhaitez modifier les éléments composant un objet, ouvrez son fichier source, et éditez-le comme tout autre modèle ARC+. Si le modèle est sauvegardé dans un catalogue, ouvrez-le et sauvegardez-le au moyen de la commande Gestionnaire de catalogue (\libedit). Si l'objet n'est pas sauvegardé dans un catalogue, vous pouvez l'ouvrir et le sauvegarder à l'aide des commandes ordinaires Ouvrir (\open) et Sauvegarder (\save, voir Fichiers).

Un autre moyen consiste à éditer un objet placé en l’intégrant en ses éléments ordinaires ainsi qu'ils apparaissent dans votre modèle (voir la commande Intégration d'un objet placé en éléments de base, \explod). Dès lors, il vous est possible d'éditer les différents éléments puis de les assembler à nouveau dans un fichier source (voir la commande Assemblage d'éléments en un objet placé, \asmbl).

Attributs d'objets placés

Comme toute autre entité, un objet placé est inséré dans le calque de travail courant d'ARC+, indépendamment des calques initiaux des composants de l'objet (voir Calques).

Les objets placés sont représentés par défaut, avec leur couleur, le type de ligne et l'épaisseur de la ligne initiaux. Vous pouvez à votre gré modifier ces attributs à l'aide des commandes Attributs de ligne (\ualin et \uline, voir Edition et manipulation). Si vous effectuez cette opération à l'intérieur de votre modèle, toutes les lignes de l'objet placé adoptent les nouveaux attributs. Si par contre vous ne souhaitez changer que certaines lignes de l'objet, il faut ouvrir le fichier source et l'éditer.


Création d'un objet paramétrable

Création

Créez un objet paramétrable en suivant les étapes suivantes:

  • Créez un objet ordinaire (non paramétrable), ou ouvrez un fichier source d'objet que vous souhaitez transformer en un objet paramétrable. L'objet peut contenir tous les types d'éléments, à l'exception de lignes d'aide.
  • Ajoutez des lignes de cotations aux cotes que vous souhaitez paramétrer. Les lignes de cotations peuvent se chevaucher, à condition cependant qu'ensemble, elles définissent complètement les dimensions variables de l'objet. Chaque ligne de cotation doit être parallèle aux axes x, y ou z. Les cotations non parallèles à l'un de ces axes ne peuvent pas être paramétrables.
  • Remplacez le texte sur chacune des lignes de cotation (le nombre représentant la longueur de la ligne de cotation) par un nom qui tiendra lieu de paramètre (vous devez utiliser la commande Cotations, Changement de texte d'une cotation, \dimut). Le nom peut inclure toute combinaison de lettres, de nombres et de symboles, mais ne doit pas commencer par un chiffre. Ne frappez pas d’espaces dans ce texte mais utiliser plutôt le sous-tiret (_). Par exemple, x, x1 et longueur, sont des noms légaux pour des paramètres, alors que 1x ne l'est pas. Vous ne pouvez pas avoir plus d’un nom et d’une sous-dimension, par ex. Xw.
  • Sauvegardez le fichier y compris les cotations et les paramètres dans votre répertoire courant ou dans un catalogue (voir Gestionnaire de catalogue, \libedit).

En plaçant l'objet:

  • Vous fixez les valeurs souhaitées pour les cotes en remplaçant chacun des paramètres par une valeur.
  • L'objet est étiré suivant la ligne de cotation paramétrable jusqu'à la valeur fixée.
  • Vous pouvez choisir d'afficher ou d'occulter les lignes de cotations paramétrables de votre modèle.

Edition

Un objet paramétrable est placé en tant que bloc dans votre modèle. Ceci signifie que les données définissant l'objet (contrairement à l'adresse du fichier source) sont directement copiées dans le modèle. Le bloc se comporte comme une entité unique dans votre modèle. Si par exemple, vous sélectionnez une partie quelconque du bloc, c'est le bloc tout entier qui est sélectionné.

Le bloc n'est aucunement lié au fichier source initial. Par conséquent, si plus tard vous éditez ce fichier, le bloc placé n'en sera nullement affecté. Vous devez placer le bloc paramétrable à nouveau pour traduire les changements introduits.

Toute chose étant égale par ailleurs, un objet paramétrable peut être édité exactement de la même manière qu'un objet ordinaire (voir Création d'un objet).

Exemples

Un certain nombre d'exemples sont présentés ici, dans le but de vous aider à comprendre le concept de l'objet paramétrable et la manière dont vous pouvez vous en servir.

Dans chaque exemple, un objet paramétrable avec ses lignes de cotations est illustré à gauche. A droite, vous trouverez le résultat obtenu après placement et détermination des valeurs paramétriques.

cotations exterieures

Les cotes extérieures d'un objet simple, sans aucun détail intérieur ont été paramétrables

cotations intérieures

Des lignes de cotation ont été créées en tous les points étirables du dessin.


Création et édition d'objets

Tout modèle ARC+ peut être placé en tant qu'objet. Si vous ajoutez au modèle des lignes de cotations et des paramètres, vous pouvez placer tout modèle en tant qu'objet paramétrable.

Les paragraphes suivants offrent de plus amples renseignements ainsi que des recommandations pour ce qui est de la création et de l'édition de modèles que vous avez l'intention de placer en tant qu'objets ou en tant qu'objets paramétrables.

Thèmes liés

  • Création d'un objet
  • Création d'un objet paramétrable


Définition d'objets 2D/3D

Depuis la version 14 d'ARC+, la gestion des objets 2D/3D se basait sur une méthode bien particulière qui consistait à créer deux fichiers de même nom, l'un en 2D et l'autre en 3D, répartis dans deux répertoires, nommés respectivement 2D et 3D, et ces derniers devaient eux-mêmes être placés dans un répertoire dont le nom devait commencer par le préfixe 2D&3D.

Cette méthode s'avérait être bien différente de celle employée pour la gestion des ouvertures paramétrables qui elle, consiste tout simplement à enregistrer les présentations 2D et 3D de l'objet dans le même fichier à l'aide d'une boîte de dialogue spécialement dédiée au choix de la présentation à éditer.

Dans un souci, de simplification et d'uniformisation des procédures, il est maintenant possible de créer des objets 2D/3D en suivant cette même méthode.

  • IMPORTANT: Contrairement aux ouvertures qui utilisaient jusqu'alors exclusivement cette méthode de création, les nouveaux objets qui en bénéficient restent véritablement des objets une fois placés dans un modèle et ne sont pas convertis en blocs indépendants du fichier source.

Voici la description de la procédure pour la création d'objets 2D/3D:

Dessinez la présentation 2D de l'objet en suivant les principes de base applicables à la création de tout type d'objet 2D.

Exécutez la commande suivante:

\libedit

Choisissez les options Catalogues Généraux puis Sauver fichier catalogue si vous démarrez cette commande à partir de l'icône.

  • Dans la boîte de dialogue Enregistrer un fichier catalogue, parcourez les répertoires à la recherche du dossier dans lequel vous souhaitez enregistrer l'objet.
  • Entrer un nom dans le champ Nom.
  • Cliquez sur Présentation>…
  • Dans la boîte de dialogue Choix Présentation Objet, sélectionnez COUPE XY dans la liste déroulante Présentation.
  • Cliquez sur OK.

  • Effacez le dessin en cours, ou démarrez un nouveau fichier.
  • Modélisez la présentation 3D de l'objet en suivant les principes de base applicables à la création de tout type d'objet 3D. Prenez garde à ce que la position du modèle 3D par rapport à l'origine coïncide avec celle de la présentation 2D.
  • Exécutez la commande \libedit et choisissez les options Catalogues Généraux puis Sauver fichier catalogue si vous démarrez cette commande à partir de l'icône.

  • Dans la boîte de dialogue Enregistrer un fichier catalogue, assurez vous que vous vous trouvez bien dans le même répertoire que celui dans lequel vous avez pré cédemment enregistré la présentation 2D de l'objet.
  • Identifiez l'objet et cliquez une seule fois sur son icône puis cliquez sur Présentation…

  • Dans la boîte de dialogue Choix Présentation Objet, sélectionnez 3D dans la liste déroulante Présentation.
  • Cochez la case Remplace icône si vous préférez pré visualiser dans le catalogue d'objets la présentation 3D de l'objet à sa présentation 2D.
  • Cliquez sur OK.

Placement de l'objet 2D/3D et visualisation

Le placement de l'objet 2D/3D créé en suivant cette méthode s'éffectue exactement de la même manière que pour n'importe quel autre objet. Le simple fait de basculer tout le modèle en 2D ou en 3D à l'aide des commandes habituelles affectera convenablement la visualisation de cet objet.


Définition de calques d'objets placés

Détermine le mode de maîtrise des options de l'affichage des calques à l'intérieur des objets placés.

\lymod

Pour une description de cette commande, voir Calques, Définition de calques d'objets placés (\lymod).


Définition du chemin d'accès et des unités pour les catalogues

Lorsque vous placez des objets, n’oubliez pas que seule l’adresse de l’objet est en fait insérée dans le modèle, et non pas l’objet lui même. Dans la Version 7, les objets placés devaient êtres situés dans le répertoire de travail ou dans le répertoire arcalib. Les Versions 10+ elles, vous permettent de placer des objets quelque soit leur position dans le système, y compris des objets en provenance de CD-ROM ou de fichiers du réseau.

Cette commande vous fournit les options qui permettent d’effectuer un réglage fin de l’ordre des priorités de la recherche dans le système, en fonction de vos préférences et de la structure spécifique de vos catalogues.

\libset

Vous pouvez redéfinir le chemin d’accès de recherche du système pour :

  • être utilisé dans une installation sur réseau possédant des catalogues locaux et de réseau.
  • rechercher des objets catalogués en premier lieu dans leur localisation d’origine, puis dans le répertoire de travail courant, lorsque vous utilisez deux objets placés portant le même nom.
  • inclure une unité de disque supplémentaire, ou une unité référencée par différents noms sur le réseau.
  • identifier l’unité de disques avec votre précédente version de ARC+ pour utiliser des objets placés en provenance de la Version 7.


Déplacement dynamique de l'objet jusqu'à sa position\drag

Home > 15 Objets placés de la bibliothèque > Déplacement dynamique de l'objet jusqu'à sa position\drag

Déplacement dynamique de l'objet jusqu'à sa position

\drag

L'objet choisi apparaît attaché au curseur. Notez que s'il s'agit d'un objet de grande taille, il se peut qu'une partie seulement de celui-ci soit affichée. Choisissez de déplacer dynamiquement l'objet lui-même ou de déplacer une boîte le renfermant et le représentant.

  • CONSEIL : Il est recommandé d'utiliser la boîte renfermant l'objet, plus simple à déplacer dynamiquement.

Déplacez dynamiquement l'objet à la position souhaitée et cliquez le bouton de la souris. L'objet est alors placé à cette position, tandis qu'une copie de l'objet demeure attachée au curseur vous permettant de le placer sur d'autres positions, à votre gré. La mise en oeuvre d'une nouvelle commande fait disparaître l'objet du curseur.

Pendant que l'objet est attaché au curseur vous pouvez faire appel à certaines touches-raccourcis pour effectuer les opérations suivantes:

  • Changer la direction
  • Changer la symétrie
  • Changer l'angle
  • Restaurer l'angle
  • Augmenter/réduire la taille
  • Restaurer la taille et l'orientation
  • Définir les incréments de l'angle et de la taille

Ces options sont décrites ci-dessous:

direction | Pressez deux fois de suite la touche Enter. Définissez deux points. L'axe des x initial de l'objet se met parallèle à la ligne imaginaire joignant les deux points.
symetrie-x | Alt+1 : Une image symétrique de l'objet par rapport à l'axe des x est obtenue.

symetrie-y Alt+2:Une image symétrique de l'objet par rapport à l'axe des y est obtenue.

restaurer l'angle | Alt+3: L'objet reprend son inclinaison initiale.
angle | Alt+4: L'objet pivote autour de son origine d'un angle égal à l'incrément d'angle courant (10° par défaut).

agrandir taille | Alt+5: La taille de l'objet est agrandie d'un facteur égal à l'incrément de taille courant (1.25 par défaut).
reduire taille | Alt+6: La taille de l'objet est réduite d'un facteur égal à l'incrément de taille courant (1.25 par défaut).
defaut | Alt+7: L'objet reprend sa taille et son orientation initiales

definition des increments d'angle et d'orientation | Spécifiez si vous souhaitez définir l'incrément d'angle ou de taille. Ces incréments représentent les valeurs dont l'angle et la taille sont changés toutes les fois que vous pressez les touches Alt+4, Alt+5, Alt+6 au cours de l'opération de placement.
orientation | Alt+8: L’objet est orienté selon le point d’origine — l’un des 4 coins, le centre, ou la position initiale.


Eclatement d'un polygone en éléments linéaires

Crée une vue éclatée d'un polygone, avec pour résultat un ensemble de lignes et d'arcs indépendants.

\expol

Indiquez le polygone à éclater.

L'entité perd ses caractéristiques et prend celles d'une ligne. Chaque segment devient une entité ligne indépendante.

Les lignes peuvent être rassemblées pour former le polygone à l'aide de la commande Constituer un polygone à partir d'un groupe de lignes (\aspol).


Eclatement d'une entité

Eclate des murs, des polygones ou des objets placés.

\exploder

Cette commande comprend des options d’éclatement suivantes :

  • la conversion des murs et des arcs en lignes (\wxpld)
  • l'éclatement d'un polygone en lignes (\expol)
  • l'éclatement d'un objet placé en plusieurs entités correspondant à ses composants (\explod)

Le système reconnaît automatiquement l'entité que vous explosez et vous guide à travers les options appropriées.

Vous trouverez ci-dessous une description de chaque option d'éclatement.


Gestion et manipulation des objets

Thèmes liés

  • Gestionnaire d'objets
  • Copier sur un chemin
  • Rotation et échelle aléatoire
  • Redimensionner les objets paramétrables
  • Sélection d'objets placés par nom
  • Sélection de tous les objets placés
  • Définition de calques d'objets placés


Gestionnaire d'objets

Le gestionnaire d’objets placés permet de gérer, vérifier et corriger les problèmes relatifs à l'emplacement des fichiers source des objets placés.

\objmng

La boîte de dialogue suivante apparaît:

Cette boîte de dialogue vous permet de:

  • Visualiser l'ensemble des objets placés dans le modèle grâce à une représentation en arbre.
  • Vérifier le nombre d'occurrences d'un objet en se rapportant à l'indication en parenthèse apparaissant à droite du nom de chaque groupe d'objets.
  • Filtrer les objets à visualiser à l'aide de la liste déroulante située en haut, depuis laquelle vous pouvez choisir d'afficher: Tous les objets, Seulement les objets valides, Seulement les objets manquants, ou Seulement les objets d'origine ambiguë.
  • Gérer une sélection d'objets par les options dans le nouveau menu déroulant Sélectionner ou directement avec la souris.
  • Remplacer les objets sélectionnés dans l’arborescence en choisissant l’option Remplacer par un objet ou Remplacer le catalogue dans le menu déroulant Editer
  • Supprimer les objets sélectionnés dans l'arborescence en activant l’option Supprimer la sélection dans le menu déroulant Editer
  • Visualiser et modifier le chemin ARCALIB courant, pour définir l'emplacement des catalogues.
  • Modifier le calque de placement, la couleur, le type de ligne et l'épais
  • seur des objets sélectionnés dans l'arbre.
  • Vérifier la description des objets.
  • Vérifier le chemin du fichier source des objets.

Arborescence de présentation des objets

Ce nouveau gestionnaire d'objets affiche une arborescence des objets de votre modèle. Chaque objet apparaît dans l'arbre par son nom précédé d'une icône correspondant à son état. Le contenu de chaque objet est analysé afin de dresser la liste de tous les sous objets qu'il contient, et ce récursivement. Tous les objets du même nom et provenant du même dossier sont regroupés dans un dossier commun portant le nom de cet objet et en face duquel vous pouvez lire entre parenthèses le nombre d'occurrences, dans tous les niveaux d'insertion.

État des objets

Pour chaque objet, le gestionnaire vérifie que le fichier source correspondant se trouve effectivement à l'emplacement enregistré lors de son placement ou si l'objet 2D/3D est complet. En fonction du résultat, le gestionnaire lui attribue un état correspondant.

À l’aide de la liste déroulante située en haut de la boîte de dialogue, il vous est possible de filtrer les objets apparaissant dans la représentation en arbre afin de n'afficher que ceux qui correspondent à un des états suivants:

  • Tous les objets: Affiche tous les objets du modèle quel que soit leur état.
  • Objets valides: Il s'agit des objets pour lesquels le fichier source a été trouvé à l'emplacement spécifié, ou des objets 2D/3D complets.
  • Objets manquants: Il s'agit des objets pour lesquels le fichier source n'a pas été trouvé à l'emplacement (catalogue) spécifié.
  • Objets incomplets: Il s'agit des objets 2D/3D initialement créés en suivant le procédé habituel des 2 fichiers répartis dans deux répertoires 2D et 3D, mais pour lesquels il manque une des représentations obligatoires.
  • Objets ambigus: Il s'agit des objets pour lesquels le fichier source n'a pas été trouvé à l'emplacement spécifié, mais pour lesquels il existe un fichier de même nom dans le répertoire de travail courant et qui a été utilisé pour les afficher à l'écran.

Icônes utilisées

La représentation en arbre utilise les icônes suivantes:

ICONE | DESCRIPTION
 | Cette icône apparaît uniquement au sommet de l'arbre. Il représente le modèle courant et est suivi du chemin complet du fichier en cours.
 | Cette icône représente un groupe d'objets de même nom. À gauche de cette icône apparaît un [+] ou un [–] vous permettant d'ouvrir ou de refermer le groupe d'objets afin d'en afficher toutes les occurrences.
 | Cette icône représente un objet valide ne provenant pas d'ARCALIB.Ces icônes sont suivis du nom de l'objet. Si l'objet contient lui-même un sous objet, à gauche de cette icône apparaît un [+] ou un [–] vous permettant d'ouvrir ou de refermer l'objet afin d'afficher tous les sous objets qu'il contient.
 | Cette icône représente un objet valide provenant d'ARCALIB.
 | Cetteicône représente un objet manquant.
 | Cette icône représente un objet 2D/3D incomplet.
 | Cette icône représente un objet ambigu.

Menu déroulant «Sélectionner»

Ce menu déroulant a pour but de vous aider à sélectionner ou désélectionner les objets au sein de votre gestionnaire:

  • Tout Sélectionner – Sélectionne tous les objets apparents dans l’arborescence
  • Sélectionner tous les objets manquants - Sélectionne que les objets manquants (signalés par l’icône [image])
  • Inverser la sélection – Inverse la sélection que vous venez d’effectuer. Si rien n’est sélectionné ceci sélectionnera tous les objets présents dans l’arborescence.
  • Désélectionner tout – Efface toute sélection actuellement présente dans l’arborescence.
  • REMARQUE : Vous pouvez utiliser la souris pour sélectionner des objets directement dans la liste et, en laissant la touche CTRL ou Maj appuyée, ajouter d'autres objets à la sélection. Les objets sélectionnés dans la liste sont mis en surbrillance dans le modèle. La sélection du nom du groupe d'objets est récursive.

Menu déroulant «Editer»

Le menu déroulant Editer vous permet de gérer les objets placés sélectionnés dans votre arborescence (qu’ils soient manquants ou pas):

  • Remplacer par un objet – Remplace le ou les objets sélectionnés dans l’arborescence par un autre objet. (voir détails page suivante)
  • Remplacer le catalogue – Vous permet de remplacer le catalogue courant du ou des objets sélectionnés par un autre catalogue (un nouvel emplacement).
  • Rechercher un catalogue – Cherche l’objet manquant sélectionné dans une succession d’emplacements possible sur votre système d’exploitation (voir détails ci-dessous)
  • Supprimer la sélection – Efface tous les objets sélectionnés (validez par le bouton Appliquer).
  • REMARQUE : Les options du menu déroulant Edition s’appliquent uniquement à la sélection.

Le nom du fichier est séparé du nom de catalogue – ils peuvent être modifiés séparémenten choisissant les options remplacer par objet pour le nom du fichier et remplacer le catalogue pour le nom du catalogue.

Remplacer par un objet

Qu'il soit valide, manquant, incomplet ou ambigu, le gestionnaire d’objets placés vous permet de remplacer n'importe quel objet. Pour cela, procédez comme suit:

  • De préférence, déplacez la boîte de dialogue sur le côté de l'écran. Cliquez dans l’arborescence sur l'objet ou le groupe d'objets à re
  • mplacer. Vous pouvez constater que le ou les objets correspondants sont alors provi
  • soirement affichés en surbrillance dans le modèle.
  • Cliquez sur l’option Remplacer par un objet dans le menu déroulant Editer
  • Dans la boîte de dialogue qui s'affiche, parcourez le répertoire du catalogue original de cet objet, à la reche
  • rche d'un nouvel objet de remplacement, puis cliquez sur OK.

A partir de ce moment, les objets concernés ne sont pas encore remplacés, mais dans l’arborescence, ceux-ci apparaissent alors précédés de l'icône suivante:

  • Cliquez sur Appliquer.
  • Cliquez sur OK pour fermer la boîte de dialogue.
  • IMPORTANT : Quitter la boîte de dialogue en cliquant sur "Annuler" n'annule pas les remplacements d'objets déjà effectués. Pour ce faire, utilisez la commande standard Annuler (Ctrl+z) en dehors de cette boîte de dialogue.

Cependant, il est important de retenir que l'annulation du remplacement des objets ne peut s'effectuer qu'au niveau du modèle courant. Si vous remplacez un objet inclus dans un autre, cette manipulation ne peut être annulée.

Remplacer le catalogue

Afin de remplacer le catalogue courant du ou des objets sélectionnés par un autre catalogue procédez comme suit:

  • De préférence, déplacez la boîte de dialogue sur le côté de l'écran. Cliquez dans l’arborescence sur l'objet ou le groupe d'objets dont le catalogue est à remplacer. Vous pouvez constater que le ou les objets correspondants sont alors provisoirement affichés en surbrillance dans le modèle.
  • Cliquez sur l’option Remplacer le catalogue dans le menu déroulant Editer
  • Dans la boîte de dialogue qui s'affiche, parcourez les répertoires à la recherche du nouveau catalogue, puis cliquez sur OK.
  • Cliquez sur Appliquer.
  • Cliquez sur OK pour fermer la boîte de dialogue.
  • IMPORTANT : >Si le nouveau catalogue ne contient pas un objet du même nom que l’objet sélectionné l'opération pour cet objet spécifique sera ignorée.

Cette option fonctionne uniquement sur des catalogues du même type (2D/3D ou Simple) - les catalogues 2D/3D ne peuvent pas remplacer un catalogue simple.

Rechercher un catalogue

Cette nouvelle option de recherche automatique des catalogues des objets permet de résoudre le problème fréquent de "objets manquants" à l'ouverture de fichiers qui proviennent d’une source externe.

Afin d'effectuer la recherche automatique des objets manquants, procédez comme suit:

  • De préférence, déplacez la boîte de dialogue sur le côté de l'écran. Sélectionnez dans l’arborescence les objets manquants pour lesquels vous souhaitez effectuer cette recherche de catalogue.
  • Cliquez sur l’option Rechercher un catalogue dans le menu déroulant Editer

ARC+ parcourt l’ensemble des dossiers de votre système à la recherche des fichiers des objets sélectionnés.

L’ordre de recherche automatique est :

  • Tous les dossiers sous "ARCALIB courant"
  • Dossier courant de TRAVAIL et tous les sous-dossiers
  • Tous les dossiers dans "mes documents"
  • REMARQUE : Si cette opération dure trop longtemps, il est possible de l’interrompre en cliquant dans la boîte qui s'affiche pendant le processus.

Supprimer la sélection

Pour supprimer une sélection d'objets de votre modèle, procédez comme suit:

  • De préférence, déplacez la boîte de dialogue sur le côté de l'écran. Cliquez dans l’arborescence sur un objet, plusieurs objets ou groupes d'objets à effacer. Vous pouvez constater que le ou les objets correspondants sont alors provisoirement affichés en surbrillance dans le modèle.
  • Cliquez sur l’option Supprimer la sélection dans le menu déroulant Editer

À partir de ce moment, les objets concernés ne sont pas encore effacés, mais dans l'arborescence, ceux-ci apparaissent alors précédés de l'icône suivante:

  • Cliquez sur Appliquer.
  • Cliquez sur OK pour fermer la boîte de dialogue.
  • IMPORTANT: Quitter la boîte de dialogue en cliquant sur "Annuler" n'annule pas l'effacement des objets déjà effectué. Pour ce faire, utilisez la commande standard "Annuler" (Ctrl+z) en dehors de cette boîte de dialogue.

Cependant, il est important de retenir que l'annulation de l'effacement des objets ne peut s'effectuer qu'au niveau du modèle courant. Si vous effacez un objet inclus dans un autre, cette manipulation ne peut être annulée.

Modifier le chemin d’ARCALIB

Vous pouvez accéder directement à la commande \arcalib (à l’aide du bouton [image]), afin de définir un nouveau chemin du catalogue principal. Pour plus de détails sur la commande \arcalib voir page 15-34 Volume II.

  • IMPORTANT: Après modification du chemin d’accès au catalogue général ARCALIB l’état des objets est vérifié et leur statut peut changer (Par exemple: l’objet peut être introuvable ambiguë ou incomplet dans le nouvel emplacement.)

Modifier les propriétés d'un objet

Grâce au gestionnaire d'objet, vous pouvez modifier le calque de placement des objets ou leurs affecter provisoirement des propriétés d'affichage comme la couleur, le type de trait et l'épaisseur de trait.

  • IMPORTANT: >La modification des propriétés d'affichage des objets n'affecte en rien les entités contenues elles-mêmes à l'intérieur des objets. Ces propriétés interviennent comme des informations en surcouche qui sont prises en compte prioritairement par le système pour afficher les objets. Il est donc possible à tout moment de rétablir l'aspect original des objets en supprimant ces propriétés.

Pour modifier les propriétés d'un objet, procédez comme suit :

  • De préférence, déplacez la boîte de dialogue sur le côté de l'écran. Cliquez dans l’arborescence sur l'objet ou le groupe d'objets dont vous voulez modifier les propriétés. Vous pouvez constater que le ou les objets correspondants sont alors provisoirement affichés en surbrillance dans le modèle.

Modification du calque de placement

  • Cliquez sur l'icône
  • en face du champ Calque.
  • Cliquez sur le calque désiré dans le sélecteur de calque qui apparaît.
  • REMARQUE : Si le calque que vous désirez n'apparaît pas dans le gestionnaire des calques, vous pouvez l'y ajouter en cliquant sur l'icône:
  • Cliquez sur Appliquer.
  • REMARQUE : >Ces changements fonctionnent uniquement sur un groupe unique ou sur un objet.
  • IMPORTANT: Quitter la boîte de dialogue en cliquant sur "Annuler" n'annule pas les modifications des propriétés des objets déjà effectuées. Pour ce faire, utilisez la commande standard "Annuler" (Ctrl+z) en dehors de cette boîte de dialogue.

Cependant, il est important de retenir que l'annulation des modifications des propriétés des objets ne peut s'effectuer qu'au niveau du modèle courant. Si vous modifiez les propriétés d'un objet inclus dans un autre, cette manipulation ne peut être annulée.


Intégration d'un objet placé en éléments de base

Convertir un objet placé ou un objet paramétrable en ses éléments de composition (lignes, polygones, murs, etc.)

\explod

Servez-vous de cette commande pour séparer un objet placé de son fichier source. Les éléments de l'objet placé deviennent des éléments ordinaires dans votre modèle et vous pouvez les éditer et les modifier à votre gré. Vous pouvez également recalculer les cotations d'objets placés qui comprennent des lignes de cotation.

Vous pouvez spécifier un facteur de mise à l’échelle en insérant un fichier ARC+ dans un autre fichier comme objet placé en utilisant la commande Placer en choisissant l’échelle (\pl1p). Si l’objet inclut des lignes de cotation, les valeurs de cotation ne seront plus correctes.

Vous pouvez mettre à jour les cotations en éclatant l’objet placé et en répondant par oui(y) dans la ligne de saisie de la nouvelle option Recalculer les textes de cotation.

Pour intégrer, vous avez le choix entre:

  • L'objet placé de plus haut niveau seulement, c'est-à-dire l'objet qui était placé dans votre modèle uniquement
  • L'objet placé de plus haut niveau, plus tous les objets inclus (objets placés dans le fichier source de l'objet de plus haut niveau)
  • Objets inclus du fichier courant uniquement, ou tous les objets inclus pris aussi bien dans le fichier courant que dans le fichier du catalogue arcalib

Vous avez la possibilité de choisir le calque d'ARC+ dans lequel insérer les éléments composants (voir Calques):

  • Le calque de l'objet placé avant qu'il ne soit intégré
  • Les calques initiaux des éléments composants dans le fichier source de l'objet placé
  • Le calque de travail courant
  • Un nouveau calque de votre choix

Opération

Indiquez l'objet placé que vous souhaitez intégrer.

Pour intégrer, choisissez entre:

  • L'objet placé de plus haut niveau uniquement
  • L'objet placé de plus haut niveau plus tous les objets inclus

Dans le cas de la dernière option, choisissez, pour intégrer, entre:

  • Des objets dont les fichiers ne se trouvent que dans le répertoire courant
  • Des objets se trouvant aussi bien dans le répertoire courant que dans des catalogues

Vous avez la possibilité de choisir le calque d'ARC+ (voir Calques) dans lequel les éléments composants seront insérés:

  • Le calque de placement de l'objet dans le modèle
  • Les calques initiaux des éléments composants dans le fichier source de l'objet
  • Le calque de travail courant
  • Un nouveau calque de votre choix

L'objet placé est converti conformément à vos spécifications. Un fichier nommé explode.rpt est créé dans votre fichier courant, il contient tout problème surgissant de la conversion, tel que fichier source manquant pour un objet placé inclus.

  • REMARQUE : Si l'objet placé est complexe, la taille de votre modèle risque d'être augmentée considérablement lorsque vous intégrez l'objet en éléments séparés.


introduction

Home > 15 Objets placés de la bibliothèque > Introduction

Objets placés et catalogues

Tout modèle ARC+ peut être incorporé à un autre modèle. Le modèle à incorporer s'appelle objet. Une fois incorporé, il prend le nom d'objet placé.

Un objet placé peut être un simple élément - par exemple une chaise ou une table - ou aussi complexe que l'on peut imaginer - une pièce, un étage tout entier, ou l'aile d'un bâtiment. L'objet se comporte comme une simple entité dans le modèle. Par exemple, si vous sélectionnez une partie quelconque d'un objet placé, c'est l'objet tout entier qui est sélectionné, quelque soit sa complexité initiale ou le nombre d'éléments qui le composent.

En plaçant l'objet, il est possible d'en changer la position, l'orientation et les dimensions:

  • Vous pouvez positionner l'objet n'importe où dans votre modèle, modifier son échelle dans les trois directions xyz et le faire pivoter de manière à ce qu'il prenne toute orientation souhaitée.
  • Vous pouvez définir l'objet en tant qu'objet paramétrable, et ensuite fixer ou changer ses dimensions intérieures au moment de le placer dans votre modèle.

ARC+ vous offre des catalogues d'objets prédessinés, tels que meubles, arbres, personnages, véhicules, appareils ménagers et symboles prêts à placer dans votre modèle. Vous avez la possibilité d'ajouter aux catalogues des objets que vous dessinez vous-même et de plus, vous pouvez définir de nouveaux catalogues. De la sorte, vous avez le loisir de créer votre propre collection d'éléments dont vous pourrez vous servir pour vos projets futurs.

Pour les objets que vous sauvegardez dans des catalogues, vous avez la possibilité d'en définir les présentations, telles que:

  • Niveaux de détail—versions simplifiées de l'objet qui conviennent à l'affichage ou au tracé, à une échelle donnée
  • Coupes de l'objet
  • Vues—projections bidimensionnelles (plan, élévation, etc.) bonnes pour être placées dans des dessins de construction

Vous pouvez placer dans vos dessins la présentation d'un objet à la place du dessin complet en trois dimensions de cet objet.

Chaque objet possède un fichier source— le fichier de modèle ARC+ dans lequel le dessin est sauvegardé. Lorsque vous placez l'objet dans un modèle, son adresse—autrement dit le nom et le chemin d'accès du répertoire du fichier source—est sauvegardée dans le fichier du modèle. Le fichier source peut contenir n'importe quel type d'éléments, y compris des objets placés imbriqués—objets supplémentaires placés à l'intérieur du dessin global de l'objet.

Utilisations des objets placés

Vous pouvez vous servir des objets placés dans les cas suivants, par exemple:

  • Pour mettre au point vos créations de manière modulaire, en utilisant des composants que vous dessinez et sauvegardez séparément ou en profitant des objets de catalogues dessinés à l'avance, tels qu'ils sont fournis par ARC+.
  • Pour insérer dans vos dessins des éléments répétitifs ou certains petits détails. Vous pouvez de la sorte créer et sauvegarder l'élément une fois pour toutes et ensuite le placer dans tout modèle ARC+ autant de fois que vous le souhaitez.
  • Pour maîtriser les dimensions d'un élément standard de vos modèles. Si vous insérez un élément en tant qu'objet placé, vous pouvez spécifier sa taille globale et son orientation au moment du placement. Si vous définissez l'élément comme un objet paramétrable, vous pourrez également fixer ses dimensions internes.
  • Pour insérer un élément dont la création n'est pas encore terminée. Une fois la création achevée, les changements apportés au dessin initial se trouvent répercutés dans tous les modèles dans lesquels l'objet a été placé.
  • Pour réduire la taille de vos fichiers-modèles. Les données se rapportant à un objet ne sont sauvegardées qu'une seule fois dans le fichier source, indépendamment du nombre de fois que vous placez l'objet dans vos modèles. Ceci entraîne une grande économie de mémoire et d'espace sur le disque dur de votre ordinateur et permet à celui-ci de travailler de manière beaucoup plus efficace.

Thèmes liés

  • Placement d'objets
  • Objets paramétrables
  • Gestion et manipulation des objets
  • Création et édition d'objets
  • Addition d'objets aux catalogues


Objets paramétrables

Un objet paramétrable est un objet affecté de cotes internes variables. Vous vous servez d'un objet paramétrable d'une manière presque analogue à celle dont vous vous servez d'un objet ordinaire (non paramétrable). De plus, vous pouvez fixer les cotes internes au cours de l'opération de placement.

Vous pouvez facilement créer vos propres objets paramétrables. Pour cela:

  • Créez et sauvegardez l'objet comme s'il s'agissait d'un fichier de modèle ARC+ ordinaire.
  • Ajoutez des lignes de cotation à toutes les cotes du modèle que vous souhaitez paramétrer. Chaque ligne de cotation doit être parallèle à l'axe x, y ou z.
  • Remplacez le texte sur chacune des lignes de cotation par un nom qui tiendra lieu de paramètre (voir la commande Cotations, Changement de texte d'une cotation, \dimut). Le nom peut comporter toute combinaison de lettres, de nombres et de symboles, mais ne doit pas commencer par un chiffre.

Avant de placer un objet paramétrable, son fichier source doit être présent sur votre disque et le modèle dans lequel vous souhaitez le placer, doit être ouvert à l'écran. Il est aisé de reconnaître un objet paramétrable dans la boîte de dialogue du catalogue, du fait que son icône contient des lignes de cotation (voir Utilisation de la boîte de dialogue de catalogue).

Au moment de placer un objet paramétrable, vous devez spécifier une valeur numérique pour chacun des paramètres. La dimension correspondante de l'objet est étirée ou comprimée à la valeur attribuée. Vous avez la possibilité d'afficher ou d'occulter les lignes de cotations de l'objet dans votre modèle.

Pour plus de renseignements sur la création d'objets paramétrables, voir Création et édition d'objets.

  • REMARQUE : ARC+ est fourni avec un catalogue d'ouvertures de murs définis comme objets paramétrables (voir Ouvertures). Malgré cela, il est conseillé de ne pas utiliser les commandes données dans ce chapitre pour placer des ouvertures. En revanche, servez-vous des commandes explicitées dans Ouvertures, qui résolvent le problème du placement des ouvertures de murs.

Thèmes liés

  • Placement d'un objet paramétrable
  • Remplacement d'un objet paramétrable placé


Placement d'objets

Ce chapitre décrit les procédures fondamentales de placement d'objets dans les modèles ARC+. Il est possible de placer tout modèle ARC+ en tant qu'objet, ou de choisir dans les catalogues fournis avec ARC+ des objets créés à l'avance.

Pour avoir des renseignements détaillés sur la manière de créer vos propres objets, voir Création et édition d'objets. Pour les renseignements sur la manière d'ajouter les objets aux catalogues, voir Ajouter des objets aux catalogues.

Avant de placer un objet, son fichier source doit exister sur votre disque et le modèle dans lequel vous souhaitez le placer doit être présent à l'écran.

Thèmes liés

  • Utilisation de la boîte de dialogue de catalogue
  • Catalogues prédéfinis
  • Placement d'un objet par déplacement dynamique
  • Déplacement dynamique de l'objet jusqu'à sa position
  • Placer comme symbole des objets de catalogues
  • Placement d'un objet dans sa position et sa taille initiales
  • Placement d'un objet avec facteurs d'échelle
  • Placement d'un objet avec la direction et l'échelle de l'axe des x
  • Placement d'un object avec la direction et l'échelle : poutre
  • Placement d'un objet par rotation et échelle
  • Remplacement d'un objet placé
  • Eclatement d'une entité
  • Intégration d'un objet placé en éléments de base
  • Eclatement d'un polygone en éléments linéaires
  • Conversion de murs et d'arcs en lignes
  • Assemblage d'éléments en un objet placé


Placement d'un object avec la direction et l'échelle : poutre

Il s’agit d’une version abrégée de \xplace.Cette commande place un objet externe dans le modèle. Cet objet est toujours mis à l’échelle le long de l’axe X, avec une orientation déterminée et seulement 2 points dans l’espace.

\beam

Cette commande permet de répéter le placement du même objet dans une nouvelle direction et avec un nouveau point en un minimum de saisies:

\beams

Après avoir sélectionné l’objet souhaité dans le catalogue, vous pouvez commencer à partir d’un point et indiquer le second point dans l’espace.L’objet aura la longueur et la direction des deux points indiqués. Le dernier point sera le premier point du prochain placement nécessitant un deuxième point.Cette opération sera répétée jusqu’à ce que vous cessiez d’indiquer des points.

Une autre option consiste à taper sur la touche ENTER du clavier au lieu d’indiquer un second point. Les objets attachés auront la même longueur et la même direction.


Placement d'un objet avec facteurs d'échelle

Place un objet dans le modèle dans n'importe quelle position et avec des facteurs d'échelle spécifiés dans les directions xyz. L'orientation de l'objet initial est conservée.

\pl1p

Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et choisir l'objet (voir Utilisation de la boîte de dialogue de catalogue).

Entrez trois facteurs d'échelle par lesquels seront multipliées respectivement les cotes x, y, z initiales. Une valeur négative pour l'une quelconque des échelles entraîne une image symétrique de l'objet.

Définissez le point de positionnement de l'objet. L'origine de l'objet est amenée en coïncidence avec ce point (voir illustration).

Vous pouvez continuer à placer l'objet avec les mêmes facteurs d'échelle en d'autres endroits ou presser la touche Enter pour définir de nouveaux facteurs d'échelle.


Placement d'un objet avec la direction et l'échelle de l'axe des x

Place un objet externe dans le modèle, en le mettant à l'échelle suivant l'axe des x et lui donnant une orientation spécifique.

\xplac

Précisez si vous souhaitez changer l'échelle de l'objet suivant l'axe des x.

Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et choisir l'objet (voir Utilisation de la boîte de dialogue de catalogue).

Définissez le point de positionnement de l'objet. Celui-ci est placé de sorte que son origine (0,0,0) coïncide avec ce point.

Définissez un point de direction sur le même plan horizontal que le point de positionnement. L'axe des x de l'objet initial est aligné entre le point de positionnement et le point de direction:

  • Si vous décidez de ne pas mettre l'objet à l'échelle, les points de positionnement et de direction ne fournissent que l'alignement et l'objet est placé dans sa taille originale.
  • Si vous décidez de mettre l'objet à l'échelle, la cote x de celui-ci sera multipliée par la distance (en mètres) séparant les points de positionnement et de direction. Par exemple, si la distance entre ces deux points est de 3m, les cotes x de tous les points de l'objet seront multipliées par 3. Les cotes y et z demeurent inchangées.
  • CONSEIL : La mise à l'échelle est plus simple si vous donnez à l'objet initial une taille globale de 1m lors de sa création. Dans ce cas, l'objet sera étiré ou comprimé pour s'adapter à la distance entre les deux points.


Placement d'un objet dans sa position et sa taille initiales

Place un objet dans le modèle en lui conservant sa position, sa taille et son orientation initiales.

\fxplc

Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et choisissez l'objet (voir Utilisation de la boîte de dialogue de catalogue).

L'objet se trouve placé dans sa position initiale (c'est-à-dire avec l'origine du fichier source en coïncidence avec l'origine du modèle) et avec la même taille et la même orientation que l'objet initial.

Servez-vous de cette méthode pour assembler les différentes parties d'un projet dans un fichier contenant le projet tout entier. La modélisation de fait est effectuée dans les différents fichiers partiels, chacun d'eux jouant par la suite le rôle d'objet placé dans le fichier final. Ce fichier est donc constamment à jour et sa taille est tenue relativement réduite, économisant ainsi de la mémoire sur le disque dur. Ceci facilite aussi le déplacement, le remplacement et la copie d'éléments à l'intérieur de la création du projet dans son ensemble.

  • REMARQUE: Pour scinder un grand fichier en une création composite contenant des objets placés, voir Assemblage d'éléments en un objet placé (\asmbl) et Fichiers, Extraction d'une partie de fichier (\extf).


Placement d'un objet par déplacement dynamique

Choisissez l'objet que vous souhaitez placer et déplacez-le dynamiquement jusqu'à la position qu'il doit avoir. Durant cette opération, il vous est possible de modifier la taille, la symétrie ou l'orientation de l'objet.

Choix d'un objet

\setob

Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et choisir l'objet (voir Utilisation de la boîte de dialogue de catalogue).

Vous êtes automatiquement positionné sur la commande de déplacement dynamique (\drag) de manière à pouvoir placer l'objet dans votre modèle.

L'objet choisi demeure disponible pour d'autres placements éventuels jusqu'à la fin de la session de travail avec ARC+, ou jusqu'à ce que vous choisissiez un autre objet au moyen de cette commande. Vous pouvez placer l'objet plusieurs fois en vous servant uniquement du déplacement dynamique (commande \drag), sans devoir choisir l'objet à nouveau.


Placement d'un objet par rotation et échelle

Place un objet dans n'importe quelle position dans le modèle, avec n'importe quel facteur d'échelle suivant xyz et avec n'importe quelle orientation dans l'espace.

\plrot

Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et choisir l'objet (voir Utilisation de la boîte de dialogue de catalogue).

Choisissez de changer l'échelle de l'objet au cours de l'opération de placement ou de placer l'objet avec sa taille initiale. Si vous choisissez de modifier l'échelle, vous disposez de deux options pour définir les facteurs d'échelle:

par trois facteurs d'echelle Entrez les facteurs par lesquels les cotes x, y et z de l'objet initial seront multipliées. Une valeur négative pour l'un quelconque des trois facteurs entraîne une image symétrique de l'objet.

par deux points Toutes les dimensions de l'objet sont multipliées par la distance (en mètres) séparant le point de positionnement et le point de direction. Par exemple, si la distance entre les deux points est de 3m, l'objet tout entier se retrouve 3 fois plus grand.
  • CONSEIL : Si vous comptez modifier l'échelle au moyen de deux points, il convient de donner à l'objet initial une taille globale de 1m lors de sa création. Dans ce cas, l'objet sera étiré ou comprimé pour s'adapter à la distance entre les deux points.

Indépendamment de l'option de mise à l'échelle choisie, définissez les points suivants:

point de positionnement | L'origine de l'objet est placée en ce point.
point de direction | L'axe des x de l'objet est aligné entre les points de positionnement et de direction.
point de reflexion

Un troisième point, ne se trouvant pas sur la ligne définie par les deux premiers, définit la rotation de l'objet dans un espace tridimensionnel:

  • Le plan xy de l'objet est orienté dans le plan défini par les trois points
  • La direction positive de l'axe des y est dirigée vers le côté de l'axe des x où se trouve le point de réflexion.

Les trois points peuvent se trouver n'importe où dans l'espace tridimensionnel. Ceci vous permet de donner à l'objet toute orientation souhaitée.

  • CONSEIL :Si le point de réflexion est situé en un point atteint en se déplaçant dans le sens inverse des aiguilles d'une montre par rapport à la ligne positionnement-direction, l'objet sera placé à l'endroit. Si par contre, le point de réflexion est situé en un point atteint en se déplaçant dans le sens des aiguilles d'une montre par rapport à cette ligne, l'objet sera placé à l'envers; d'où le nom "point de réflexion".

L'effet produit ne sera une vraie réflexion que si l'objet est bidimensionnel. Si l'objet est tridimensionnel, utilisez les trois points pour déterminer l'orientation et appliquez un facteur d'échelle négatif pour obtenir une réflexion vraie.


Placement d'un objet paramétrable

Choisissez l'objet paramétrable que vous voulez placer, fixez les valeurs des paramètres, puis déplacez dynamiquement l'objet vers la position souhaitée. Pendant le déplacement dynamique, vous pouvez changer la symétrie ou l'orientation de l'objet.

Choix d'un objet et détermination des paramètres

\parobj

Spécifiez l'objet paramétrable que vous voulez placer au moyen de l'une des méthodes suivantes:

  • Tapez le nom de l'objet ou pressez la touche Enter pour obtenir la boîte de dialogue du catalogue et y sélectionner l'objet (voir Utilisation de la boîte de dialogue de catalogue)
  • Indiquez un échantillon d'un objet semblable que vous avez déjà placé dans le modèle
  • Choisissez de placer une autre copie de l'objet paramétrable courant, autrement dit, le plus récemment placé

Dans la boîte de dialogue du catalogue, vous pouvez afficher une vue zoomée de tout élément. A l’aide de B2, cliquez l’icône située sur la droite de l’écran, ou, sélectionnez en surbrillance tout élément ou nom de fichier puis pressez B2. Remarquez que vous affichez l’élément zoomé dans toute vue standard en utilisant le bouton des options de visualisation.

Après avoir choisi l’objet paramétrable, il est affiché dans la boîte de dialogue, avec les valeurs par défaut des paramètres. Vous pouvez changer l’affichage pour n’importe quelle vue standard à l’aide du bouton des options de visualisation dans le coin à droite.

La liste des paramètres est affichée sur la gauche. Faites défiler la liste à l’aide de la touche Enter et des flèches. Tapez les nouvelles valeurs pour chaque cote dans le champ mise a jour sous la liste. Les valeurs entrées devraient être des valeurs réelles exprimées en mètres. Cliquez test pour une vue préalable des résultats obtenus avec les valeurs des cotes que vous avez données, ou restaurer pour restituer les valeurs par défaut.

  • REMARQUE : Assurez-vous que les valeurs ne sont pas contradictoires. S’il existe des valeurs non valides ou incompatibles, supprimez la valeur problématique et laissez le champ vide (maximum de 2 champs vides).

Choisissez d'afficher ou d'occulter les lignes de cotes de l'objet dans votre modèle.

Vous êtes automatiquement amené à la commande de déplacement dynamique (\dragb) de sorte à pouvoir placer l'objet dans le modèle.

L'objet choisi demeure disponible pour être placé jusqu'à la fin de la session de travail avec ARC+, ou jusqu'à ce que vous choisissiez un autre objet au moyen de cette commande. Il vous est possible de placer l'objet plusieurs fois, avec les mêmes valeurs de paramètres, en vous servant uniquement du déplacement dynamique (commande \dragb), sans devoir choisir l'objet à nouveau.

  • REMARQUE : Les fichiers Objets placés sont ouverts en mode lecture uniquement, et non en mode lecture & ecriture, ce qui rend le travail plus facile avec les unités de disques protégées en écriture telles que les unités du réseau ou les CD-ROM.

Déplacement dynamique de l'objet vers sa position

\dragb

L'objet choisi apparaît attaché au curseur. Notez que s'il s'agit d'un objet de grande taille, il se peut qu'une partie seulement de celui-ci soit affichée. Choisissez de déplacer dynamiquement l'objet lui-même ou de déplacer une boîte le renfermant et le représentant.

  • CONSEIL : Il est recommandé d'utiliser la boîte refermant l'objet, plus simple à déplacer dynamiquement.

Déplacez dynamiquement l'objet à la position souhaitée et cliquez le bouton de la souris. L'objet est alors placé à cette position, tandis qu'une copie de l'objet demeure attachée au curseur vous permettant de le placer à votre gré sur d'autres positions. L'exécution d'une nouvelle commande fait disparaître l'objet du curseur.

Pendant que l'objet est attaché au curseur vous pouvez faire appel à certaines touches-raccourcis pour effectuer les opérations suivantes:

  • Changer la direction
  • Changer la symétrie
  • Changer l'angle
  • Restaurer l'angle
  • Définir les incréments de l'angle

Pour des renseignements complets sur les options concernant les touches-raccourcis voir la commande Placement d'un objet par déplacement dynamique (\drag).


Placer comme symbole des objets de catalogues

Placez un objet comme symbole qui peut être élargi.

\place2d

Sélectionnez l’objet à partir du catalogue de la même façon que vous choisissez n’importe quel objet de catalogue. (Cf. Utilisation de la boîte de dialogue de catalogue dans Objets placés et catalogues). Contrairement au placement habituel des entités de catalogues grâce aux commandes:\drag Placement dynamique de l’objet jusqu’à sa position, \setob Placement d’un objet par déplacement dynamique; le placement d’un objet au moyen de cette commande le dissocie du catalogue. Ce qui signifie que l’objet devient un symbole et est aussi converti en polygone qui peut être élargi et édité.

  • IMPORTANT : Cette commande doit être utilisée sur des objets de catalogue en 2D.


Redimensionner les objets paramétrables

Le but de cette commande est de redimensionner les objets paramétrables une fois qu’ils aient été placés dans le modèle.

\parsize

Principe

  • Indiquez l’objet paramétrable à redimensionner
  • Dans la boîte de dialogue apparaissant, changez les dimensions de l’objet paramétrable de la même manière que vous l’avez initialement configurés
  • Cliquez sur OK pour fermer la boîte de dialogue et appliquer les changements.


Remplacement d'un objet paramétrable placé

Remplace un objet paramétrable par un autre. Les deux objets doivent déjà exister dans votre modèle.

\brepl

Spécifiez le nouvel objet:

  • L'objet courant—autrement dit une copie de l'objet paramétrable le plus récemment placé dans votre modèle.
  • Par échantillon—indiquez un objet paramétrable qui servira d'échantillon et qui est déjà placé dans votre modèle. Une copie de cet objet sera utilisée.

Indiquez l'objet à remplacer.

Le nouvel objet est placé avec ses propres cotes paramétrables, mais avec la position et l'orientation suivant xyz de l'ancien objet.


Remplacement d'un objet placé

Substitution d'un objet par un autre objet qui était préalablement placé dans votre modèle. Par ailleurs, vous pouvez vous servir de cette commande pour remplacer un objet par lui-même, autrement dit restaurer à l'objet ses attributs de ligne initiaux que vous auriez éventuellement édité.

\replc

Précisez la méthode par laquelle vous allez identifier le (ou les) objets à remplacer:

  • Par indication—pour remplacer un seul objet placé
  • Par groupe de sélection—sélectionnez les objets placés souhaités avant d'utiliser cette commande
  • Par nom—pour remplacer tous les objets de votre modèle qui sont liés à un fichier source donné.

Spécifiez le nom d'un nouvel objet de votre répertoire courant pour remplacer l'ancien. Si vous ne souhaitez pas remplacer l'objet par autre, mais simplement restaurer ses attributs initiaux, pressez la touche Enter.

Si vous décidez d'identifier l'objet par indication ou par nom indiquez l'objet ou tapez le nom de l'objet à remplacer.

Le nouvel objet est placé dans la même position que l'ancien et avec les mêmes facteurs d'échelle et la même orientation suivant xyz.

  • REMARQUE : Pour remplacer un objet paramétrable, voir Remplacement d'un objet paramétrable placé (\brepl).


Rotation et échelle aléatoire

Cette commande applique une rotation et un changement d’échelle aléatoirement à plusieurs objets placés en même temps. Ces modifications peuvent donner au modèle un style plus réaliste.

\scramble

Avant

Après

Après avoir exécuté cette commande, si aucune entitén’est sélectionnée, le système vous demande de définir une fenêtre de capture entre deux points dans laquelle seront sélectionnées les entités à traiter.

La boîte de dialogue suivante apparaît alors:

Cette boîte de dialogue est divisée en deux parties principales, une pour la rotation et l’autre pour le changement d’échelle. Les deux boutons au sommet de la boîte de dialogue sont utilisés pour sélectionner les modalités de modification: vous pouvez choisir d’avoir, pour tous les objets sélectionnés, une rotation ou un changement d’échelle identique ou aléatoire dans un intervalle.

Lorsque vous sélectionnez Modifier à l’identique, seul les champs de gauche peuvent être édités afin de déterminer les valeurs fixes. Lorsque vous sélectionnez Modifier par intervalles vous pouvez entrer pour chaque intervalle les bornes inférieures et supérieures entre lesquelles les valeurs aléatoires seront choisies.

Rotation

Il est possible de définir différents angles de rotation pour chaque axe:

OPTION | DESCRIPTION
Intervalle axe Z | Angle de rotation autour de l’axe des Z
Intervalle axe X | Angle de rotation autour de l’axe des X
Intervalle axe Y | Angle de rotation autour de l’axe des Y
Point de référence | Il est possible d’indiquer un point de la boîte englobante des objets comme point centrale de la rotation par un simple cliquant sur le coin approprié de l’illustration. Il est aussi possible d’utiliser le point d’origine de l’objet ou le centre de la boîte englobante.

Echelle

Comme pour la rotation, il est possible de définir différents facteurs d’échelle pour chaque axe, mais il est aussi possible de définir un facteur global appliqué aux trois axes.

OPTION | DESCRIPTION
Intervalle axes XYZ | Le facteur global appliqué à X, Y et Z
Intervalle axe X | Le facteur appliqué à l’axe des X
Intervalle axe Y | Le facteur appliqué à l’axe des Y
Intervalle axe Z | Le facteur appliqué à l’axe des Z
Point de référence | Il est possible d’indiquer un point de la boîte englobante des objets comme point de base du changement d’échelle par un simple cliquant sur le coin approprié de l’illustration. Il est aussi possible d’utiliser le point d’origine de l’objet ou le centre de la boîte englobante.


Sélection d'objets placés par nom

Sélectionne ou désélectionne tous les objets placés (y compris les objets de catalogue), mais pas les objets paramétrables.

\osel

Pour une description de cette commande, voir Sélection, Sélection d'objets placés par nom.


Sélection de tous les objets placés

Sélectionne ou désélectionne tous les objets placés, ou tous les objets paramétrables.

\apsel

Pour une description de cette commande, voir Sélection, Sélection par type d'entité.


Utilisation de la boîte de dialogue de catalogue

Les commandes de placement vous invitent à choisir un objet à placer. Vous pouvez, dès lors:

  • Taper le nom du fichier de l'objet sur la ligne de saisie. Le fichier doit être sauvegardé dans le répertoire courant avec lequel vous travaillez ou dans le répertoire du catalogue (arcalib) du système.
  • Presser la touche Enter pour afficher une boîte de dialogue et choisir un objet dans un des répertoires.
  • IMPORTANT : Les catalogues fournis avec ARC+ sont tous contenus dans des sous-répertoires du répertoire arcalib du système ARC+. Choisissez arcalib ou l'un de ses sous-répertoires pour passer en revue le contenu des catalogues prédéfinis.

Les éléments de cette boîte de dialogue vous offrent la possibilité de:

  • Vous déplacer dans une arborescence pour sélectionner l’élément à placer.
  • Choisir un catalogue ou cliquer sur le bouton Catalogues... pour définir un nom d’accès rapide.
  • Le bouton dossier parent vous permet de remonter d’un niveau dans l’arborescence d’un fichier.
  • Le bouton afficher ou masquer l’arborescence permet d’afficher ou non l'arbre de navigation.
  • Le bouton d’accès au répertoire courant permet de vous positionner directement dans le répertoire de travail.
  • Le bouton afficher dans l’explorateur permet de visualiser le contenu du dossier dans l’explorateur de Windows.
  • Le bouton de redimensionnement des icônes permet de définir la taille d’affichage des icônes.
  • Le bouton Présentation vous permet de visualiser l’objet dans toutes les vues.
  • Choisir et nommer un fichier à utiliser comme modèle...
  • REMARQUE: L’utilisation du bouton "Catalogues..." ouvre la fenêtre Catalogues prédéfinis.
  • REMARQUE: Lorsque vous choisissez un catalogue dans la liste déroutante, le calque défini par défaut apparaît dans le champ Calque. Si aucun calque n’a été défini, le placement de l’objet se fera sur le calque en cours.
  • REMARQUE: La description de l’objet choisi s’affiche dans la zone "description"


Addition d'objets aux catalogues

ARC+ est fourni avec un important jeu de catalogues prédéfinis contenants des objets standards, tels que meubles, arbres, personnages, véhicules, appareils ménagers, symboles, etc. Vous pouvez ajouter aux catalogues prédéfinis de nouveaux objets ou créer de nouveaux catalogues pour les objets de votre création.

Chaque catalogue est en fait un répertoire séparé sur votre disque dur, contenant les fichiers sources des objets aussi bien que les icônes correspondants aux objets—petites représentations graphiques qui s'affichent dans les boîtes de dialogue des commandes de placement. Les catalogues sont rassemblés en sous-répertoires (à quelque niveau que ce soit) de votre répertoire arcalib, dans le répertoire principal du système ARC+.

Les catalogues peuvent contenir aussi bien des objets ordinaires que des objets paramétrables ainsi que des représentations d'objets aussi bien ordinaires que paramétrables.

Présentations

Lorsque vous sauvegardez un objet dans un catalogue, vous avez l'option de définir plusieurs présentations de l'objet. Les présentations d'un objet sont toutes sauvegardées dans le fichier objet munies d'un sous-nom pour chacune des présentations.

Les présentations peuvent inclure:

  • Le dessin tridimensionnel complet de l'objet
  • Des niveaux de détails de l'objet, par exemple: avec des détails réduits dans le but d'être utilisés dans des tracés de petites dimensions ou au contraire avec une abondance de détails pour des tracés de grandes dimensions
  • Coupes de l'objet
  • Vues (projections bi-dimensionnelles) de l'objet

Pour préparer une présentation, ouvrez le fichier source de l'objet et éditez-le à votre gré, par exemple en supprimant de petits détails, en coupant ou en préparant des projections. Ensuite sauvegardez le fichier sous le nom de la présentation souhaitée à l'aide de la commande Gestionnaire de catalogue (\libedit).

Les présentations d'un objet sont toutes rassemblées en un fichier unique de catalogue. Vous pouvez, au moyen de la boîte de dialogue du catalogue, visionner les présentations et choisir celle que vous voulez placer (voir Utilisation de la boîte de dialogue de catalogue).

Edition d'objets de catalogue

Afin d'ouvrir ou de sauvegarder le fichier source d'un objet de catalogue ou d'un présentation, servez-vous du Gestionnaire de catalogue (\libedit). N'utilisez pas les commandes Ouvrir un fichier existant (\open) ou Sauvegarde d'un fichier (\save). Cette manière d'opérer assure que les présentations et les icônes de l'objet soient correctement organisées et affichées.

Autrement, vous pouvez éditer un objet de catalogue exactement de la même manière que tout autre fichier d'objet.

Conversions de catalogues de versions antérieurs d'ARC+.

Si vous êtes un utilisateur chevronné d'ARC+, il est probable que vous possédez des catalogues créés et édités à l'aide d'une version antérieure d'ARC+. Ils sont tous rangés dans le répertoire arcalib du système de votre ancienne version. Il vous est possible de continuer à accéder aux fichiers sources tridimensionnels du catalogue de ce répertoire en vous servant de la boîte de dialogue de catalogue (voir Utilisation de la boîte de dialogue de catalogue). Avec cela, tous les fichiers se comportent comme s'ils faisaient partie d'un seul et unique catalogue.

Vous pouvez transférer les fichiers sources dans des catalogues séparés pour les utiliser avec la Version 10 d'ARC+ de la manière suivante:

  • Quittez ARC+ pour vous retrouver dans l'environnement de votre système d'exploitation
  • Créez des sous-répertoires dans le répertoire arcalib du système ARC+, Version 10, avec les noms des catalogues que vous désirez
  • Copiez les fichiers de votre ancien catalogue dans les sous-répertoires que vous venez de créer. N'oubliez pas de copier également les fichiers composants *. ddd et *. iii, s'ils existent dans votre système.

Les fichiers de catalogues sont prêts à l'usage. Par ailleurs, il est aussi possible de créer des icônes et des présentations de fichiers en ouvrant chaque fichier dans la Version 13 d'ARC+ et en le sauvegardant à nouveau au moyen de la commande Gestionnaire de catalogue (\libedit).

Pour plus de renseignements sur la conversion des fichiers de catalogues, voir la Compatibilité avec la Version 7.

Thèmes liés

  • Définition d'objets 2D/3D
  • Définition du chemin d'accès et des unités pour les catalogues
  • Changer chemin de catalogue principal


Assemblage d'éléments en un objet placé

Convertit des éléments sélectionnés en un seul objet placé.

\asmbl

Vous pouvez vous servir de cette commande pour créer un nouveau fichier source d'objet, ou pour inverser l'effet de la commande Intégration d'un objet placé en éléments de base (\explod).

Avant d'exécuter la commande, sélectionnez les éléments que vous souhaitez assembler.

Opération

Spécifiez un nom pour le nouveau fichier source d'objet.

Définissez un point de votre modèle qui sera pris pour origine (0,0,0) du nouvel objet, ou pressez la touche Enter pour utiliser l'origine courante.

Les éléments sélectionnés sont convertis en un objet placé. Le nouveau fichier source est sauvegardé dans votre répertoire courant.

  • REMARQUE : Vous pouvez également créer un fichier source d'objet en utilisant la commande Extraction d'une partie de modèle (\extf, voir Fichiers).


Catalogues prédéfinis

Cette boîte de dialogue permet de créer des accès rapides aux catalogues. Vous pouvez définir, pour chaque catalogue, son chemin et son calque de placement.

Dans cette boîte de dialogue, vous pouvez :

Ajouter un nouveau catalogue. En cliquant sur le bouton -Nouveau catalogue- vous pourrez définir le nom du catalogue, son chemin et le calque sur lequel seront placés ses éléments.

  • Choisir le calque sur lequel seront placés les objets issus du catalogue que vous venez de créer, en cliquant sur l’icône [image] dans la colonne Calque.
  • Supprimer un catalogue de la liste, en cliquant sur le bouton Effacer catalogue.
  • REMARQUE: Le chemin par défaut est celui du catalogue parcouru dans la boîte de dialogue précédente.


Changer chemin de catalogue principal

Si vous utilisez une installation partielle (réseau) sur un poste de travail, avec des catalogues à la fois sur votre disque dur et sur le réseau, utilisez la commande suivante pour sélectionner le chemin du catalogue duquel vous voulez travailler.

\arcalib

Vous pouvez choisir entre un chemin local, de réseau ou libre. Le chemin restera sélectionné entre les sessions de travail, jusqu’à ce que vous le changiez.

Chemin de recherche du catalogue

Vous pouvez redéfinir l’ordre de priorité de la recherche pour les objets placés dans les catalogues.

  • IMPORTANT : Cette option concerne uniquement les objets qui existent sous le même nom. tant dans le répertoire de travail que dans le catalogue initial, et qui sont placés à partir d’un catalogue graphique.
  • Cherchez en premier dans le catalogue initial puis dans le répertoire de travail.
  • Cherchez en premier dans le répertoire courant puis dans le chemin d’accès du catalogue origine (option par défaut du système). Cette méthode est similaire à celle de la Version 7, en dehors du fait que le chemin d’accès initial n’est plus limité au répertoire arcalib.

Utilisez cette option pour remplacer un objet placé dans votre répertoire courant (par exemple, le premier jet d’un projet), par un dessin plus détaillé situé dans le répertoire de vos éléments catalogués et qui porte le même nom, en redéfinissant le chemin d’accès de la recherche.

Unités de disques supplémentaires ou Unités identiques portant des noms différents

Listez les unités alternatives (entrez les sans le signe (:)) pour chercher les objets placés selon le chemin d’accès complet du catalogue. Cette option est nécessaire si vous modifiez l’adresse de vos unités de disque (ou si vous ajoutez une unité de disque supplémentaire) ou alors lors du transfert d’éléments contenant des objets placés en provenance d’unités du réseau et de CD-ROM., qui peuvent avoir différents chemins d’accès dans différents ordinateurs. Lorsque l’unité supplémentaire est rajoutée, ARC+ sera à même de localiser les objets placés/catalogues.


Index

Home > 16 Couches

16 Couches

  1. Batch de calque
  2. Calques et groupes de calques
  3. Commandes de calques
  4. États des calques
  5. Gérer les configurations de calques
  6. Gestion de la liste des calques
  7. Introduction
  8. Modification du calque d'une entité
  9. Options de calque
  10. Propriétés des calques
  11. Travailler avec les calques
  12. Utilisation du Gestionnaire de calques


États des calques

Les États de calques enregistrent l’état des propriétés d’affichages, d’accrochage et d’indication de chaque calque. Vous pouvez enregistrer différents états des calques.

Par exemple: vous devez travailler sur le plan "Structure principale des murs". Pour cela, vous devez activer les calques 1, 2, 5, 8 et désactiver tous les autres. Puis, vous avez besoin de travailler sur le "Schéma électrique". Pour cela, il vous faut activer les calques 1, 3, 5, 9 et désactiver tous les autres. Plus tard, vous souhaitez revenir sur le plan "Structure principale des murs". Vous pouvez choisir un nom pour enregistrer de tels états des calques et permuter parmi différents états, selon les besoins.

Gestion des états

Vous pouvez ouvrir la boîte de dialogue Etats de calquesen cliquant sur l’icône Etats:

À partir de cette boîte de dialogue, vous pouvez:

  • Créer un nouvel état de calques. Le nom Nouvel Etat est attribué par défaut.
  • Effacer un état de calques.
  • Réenregistrer l’état de calques sélectionné.
  • Renommer un état de calques: Vous pouvez renommer l’état par défaut en double cli
  • quant sur son nom.

Tous les états créés sont affichés dans la liste déroutante en regard du bouton Etats... dans le Gestionnaire de calques. Lorsque vous choisissez un état enregistré, l’arborescence de calques est modifiée en conséquence.

Lors de la réouverture du modèle, le dernier état utilisé est activé par défaut.


Batch de calque

Il est possible d’associer un batch à un calque afin que le batch s’exécute automatiquement lorsque le calque devient le calque courant.

Cliquez surl’icône [image] située à droite dans la cellule Batchs pour accéder au gestionnaire de batchs.

Dans le gestionnaire de batchs, vous pouvez soit sélectionner un batch déjà existant, soit en créer un nouveau.

  • CONSEIL : Reportez-vous au chapitre "Fichiers" de ce volume pour plus d'informations sur l'utilisation du gestionnaire de batchs.

Le lien vers le batch peut être effacé en cliquant dans la cellule Batch, puis en appuyant sur la touche Suppr de votre clavier.


Calques et groupes de calques

Le Gestionnaire de calques affiche tous les calques créés pour le modèle en cours. Si le fichier est nouveau ou si aucun calque n’a été créé, un seul calque, nommé Calque commun apparaît. Les calques peuvent être groupés. L’ensemble des calques et groupes de calques génèrent une arborescence

Organisation de la liste de calque

Vous pouvez organiser la liste de calque en ajoutant ou en supprimant des calques ou groupes de calques:

  • Ajouter un groupe: Crée un nouveau groupe de calques. Le nom du groupe apparaît dans la colonne Nom.
  • Ajouter un calque: Crée un nouveau calque dans l’arborescence. Sélectionnez au préalable le groupe dans lequel vous souhaitez créer ce calque. Le nom du calque apparaît dans la colonne Nom.
  • Supprimer: Efface le calque ou le groupe de calques sélectionné.
  • REMARQUE : Il n’est pas possible de supprimer un calque contenant des entités.

Vous pouvez organiser les calques en arborescence composée de groupes. Chaque groupe peut contenir indépendamment un ou plusieurs sous-groupes ou calques. Cette structure est sauvée dans le fichier ADB attaché au modèle et est automatiquement chargée à l’ouverture de ce modèle.

Renommer les calques ou groupes de calques

Par défaut, les nouveaux calques sont nommés Nouveau calque 1, 2, 3... et les nouveaux groupes sont nommés Nouveau groupe 1, 2, 3.... Vous pouvez renommer les calques ou groupes de calques par un double-clic lent sur leur nom. Deux calques d’un groupe ne peuvent porter le même nom.

Changer le numéro d'un calque

Chaque calque possède un numéro unique affiché dans la colonne N°. Si vous cliquez sur ce numéro, une liste déroutante apparaît. Vous pouvez choisir un autre numéro compris entre 1 et 255. Si le numéro choisi est déjà utilisé, il n’apparaîtrait pas dans la liste.


Commandes de calques

Toutes les commandes de calques sont accessibles en effectuant un clic droit sur le calque ou le groupe de calques choisi. Vous pouvez également appeler ce menu si plusieurs calques ou groupes sont sélectionnés dans la liste.

Option | Description | Commande équivalente
Calque en cours | Défini le calque sélectionné comme étant le calque actif. | \layer
Isoler | Cette commande peut être appliquée à un ou plusieurs calques simultanément. Elle rend visibles les calques sélectionnés, et invisibles tous les autres calques. | \lyon - \lyof
Sélectionner les entités | Sélectionne toutes les entités du(des) calque(s) indiqué(s. Si certaines entités de ce calque étaient sélectionnées, elles ne le seront plus. | \lsel
Effacer les entités | Efface toutes les entités du(des) calque(s) indiqué(s). Vous pouvez récupérer les entités ainsi effacées en utilisant la commande Annuler | \lydel
Colorier | Modifie temporairement la couleur des entités du(des) calque(s) indiqué(s). La couleur originale sera rappelée lors du rafraîchissement d’écran. Cette commande est très utile pour repérer toutes les entités présentes sur un calque. | \lycol

Choisir le calque de travail

Vous pouvez définir le calque actif en utilisant le bouton Courant ou en effectuant un double-clic sur le nom du calque. Son nom apparaît alors dans le champ.


Gérer les configurations de calques

On appelle Configuration de calques la manière dont sont organisés les groupes de calques, leurs noms ainsi que le nom et les propriétés des calques qu’ils contiennent. À ces configurations de calques peuvent s’ajouter différents États de calques qui enregistrent l’état des propriétés d’affichages, d’accrochage et d’indication de chaque calque.

Enregistrer la configuration de calques

L’enregistrement de la configuration de calques s’effectue automatiquement lors de l’enregistrement du modèle ARC+. Ces informations sont stockées dans le fichier gabarit ADB lié au modèle courant et portant son nom. Pour enregistrer différentes configurations de calques, il suffit alors d’enregistrer le modèle sous d’autres noms et éventuellement d’effacer toutes les entités qu’il contient, si vous ne souhaitez pas voir apparaître ces entités lors de l’utilisation de ce gabarit pour la création d’un nouveau fichier.

Charger une configuration de calques

Cliquez sur cette icône dans le Gestionnaire de Calques. La boîte de dialogue Ouvrir fichier vous invites à rechercher et à indiquer le fichier gabarit ADB à utiliser pour charger une configuration de calques.

  • REMARQUE : Une boîte de dialogue vous demande confirmation et si vous souhaitez remplacer les "États de calque" du modèle courant par ceux qui sont présents dans le fichier gabarit sélectionné.

Charger la configuration de calques par défaut

Cliquez sur cette icône permet de recharger la configuration de calques contenus dans le fichier gabarit système correspondant au mode de travail en cours:

  • Depuis le mode de modélisation (GEOM), le f
  • ichier gabarit nommé DEFAULT MODEL.ADB situé dans le répertoire système ARCUSER d'ARC+.
  • Depuis le mode de mise en page (DSG), le f
  • ichier gabarit nommé DEFAULTDSG.ADB situé dans le répertoire système ARCUSER d'ARC+.
  • REMARQUE: Une boîte de dialogue vous demande confirmation et si vous souhaitez remplacer les "États de calque" du modèle courant par ceux qui sont présents dans le fichier gabarit sélectionné.


Gestion de la liste des calques

Mode liste ou mode arbre

Vous pouvez soit afficher seulement l'arborescence des calques que vous avez créée, soit la liste complète des 255 calques supportés par ARC+.

  • Mode Liste Complète: Affiche la liste de tous les calques.
  • Mode Groupes: Affiche l'arborescence des calques.

Agir sur plusieurs calques

Vous pouvez agir sur plusieurs calques en même temps en les sélectionnant dans la liste. Pour cela, utilisez les touches Ctrl ou Maj tout en cliquant sur les noms de calque.

Trie des calques

La liste des calques peut être triée selon certains critères. L’ordre de tri peut être modifié en cliquant sur le nom de la colonne définissant ce critère. Un petit triangle indique si le tri est effectué selon un ordre croissant ou décroissant.

Afficher et masquer des colonnes

Vous pouvez aussi masquer ou afficher des colonnes dans le Gestionnaire de Calques. Cliquez avec le bouton droit de la souris sur le nom de la colonne et sélectionnez une option dans le menu apparaissant.

  • IMPORTANT : Les colonnes Nom etN°ne peuvent être masquées


introduction

Home > 16 Couches > Introduction

Calques

Les calques constituent les moyens de créer des catégories dans votre modèle afin d'y effectuer une visualisation ou un traitement spécifique de parties données.

Les calques ou couches d'ARC+ sont comparables aux calques transparents superposables. Ainsi le calque 1 d'un modèle pourra constituer la conception d'ensemble d'un immeuble, le calque 2 contiendra les cotations et les textes, le calque 3 le schéma de l'installation électrique, et le calque 4 le dispositif de tuyauteries et canalisations. Vous pouvez alternativement utiliser chaque calque comme une phase distincte au cours du développement de votre projet.

ARC+ vous permet de créer jusqu'à 255 calques. Chaque calque possède de pleines capacités tridimensionnelles et peut intégrer n'importe quel type d'entités.

Thèmes liés

  • Travailler avec les calques


Modification du calque d'une entité

Déplace une entité ou un groupe sélectionné d'entités d'un calque à un autre.

\ulyr

Si vous désirez déplacer un groupe sélectionné, la sélection des entités devra avoir lieu avant l'utilisation de cette commande. Les entités sélectionnées peuvent appartenir à un ou plusieurs calques.

Sélectionnez le no du calque dans lequel vous désirez transférer l'entité ou le groupe sélectionné. Spécifiez si vous désirez une entité unique ou un groupe de sélection.

Si vous déplacez une seule entité, indiquez l'entité à transférer, dans l'un quelconque des calques actuellement affichés sur l'écran.

L'entité choisie ou le groupe de sélection est transféré dans le calque spécifié.

  • REMARQUE : Les fichiers DXF importés à partir d'autres logiciels peuvent contenir des éléments dans le calque 0, qui est inaccessible aux commandes ARC+. Dans un tel cas, déplacez les entités du calque 0 vers un autre calque du modèle en utilisant les commandes suivantes.
  • Sélectionnez toutes les entités du calque 0 à l'aide de la commande Sélection par numéro de calque (\lsel, voir Sélection).
  • Déplacez le groupe d'entités sélectionnées vers un autre calque à l'aide de la commande Modification du calque d'une entité (\ulyr).


Options de calque

Cliquez sur cette icône pour ouvrir la boîte de dialogue Options de Calques.

Filtres de calque

Vous pouvez filtrer les calques à afficher dans la liste selon plusieurs critères:

Option | Description
Utilisé | Liste uniquement les calques utilisés (non vides).
Non utilisé | Liste uniquement les calques inutilisés (vides).
Visible | Liste tous les calques visibles à l’écran.
Invisible | Liste tous les calques invisibles à l’écran.
Verrouillé | Liste tous les calques protégés contre les modifications.
Déverrouillé | Liste tous les calques modifiables.
Snap | Liste tous les calques dans lesquels le snap est activé.
Pas de Snap | Liste tous les calques dans lesquels le snap n’est pas activé.

Définition du calque des objets placés

Cette option permet de définir le mode d’affichage pour les objets placés dans le calque de placement, dans le calque d’origine ou les deux.

  • CONSEIL : Reportez-vous au chapitre 16 du volume 2 afin de vous familiariser préalablement avec la notion de calques des objets placés.


Propriétés des calques

Les types d’icônes définissent les caractéristiques des calques et groupes de calques.

Icônes d'information

Les icônes suivantes ne vous apportent qu'une information sur les propriétés actuelles du calque. Ces informations ne peuvent être modifiées directement par l'utilisation du Gestionnaire de calques :

Nom | Calques et Groupes |  | Groupes uniquement
Usage | Utilisé Calque: contient des entités Groupe de Calque: Tous les calques du groupe sont utilisés | Non utilisé Calque: ne contient pas d’entités Groupe de Calque: Tous les calques du groupe sont vides | Mixte Certains calques du groupe sont utilisés et d’autres vides.

Icônes à bascule

Vous pouvez cliquer sur les icônes suivantes dans le Gestionnaire de calques pour modifier la propriété du calque qu'elle représente:

Nom | Calques et Groupes |  | Groupes uniquement
Visibilité | Visible Calque: Le calque est visible Groupe de Calque: Tous les calques du groupe sont visibles | Invisible Calque: Le calque est invisible Groupe de Calque: Tous les calques du groupe sont invisibles | Mixte Certains calques du groupe sont visibles et d’autres invisibles.
Verrouillage | Déverrouillé Calque: Le calque n’est pas verrouillé. Vous pouvez dessiner dessus ou modifier certaines entités Groupe de Calque: Tous les calques du groupe sont déverrouillés | Verrouillé Calque: Le calque est verrouillé et ne peut être modifié Groupe de Calque: Tous les calques du groupe sont verrouillés | Mixte Certains calques du groupe sont verrouillés et d’autres non
Accrochage (Snap) | Snap Calque: Le snap est possible sur toutes les entités. Groupe de Calque: Le snap est actif sur tous les calques du groupe | Pas de Snap Calque: Le snap n’est pas possible sur les entités. Groupe de Calque: Le snap est inactif sur tous les calques du groupe | Mixte Le snap est actif sur certains calques, pas sur d’autres.
  • IMPORTANT: Le calque actif ne peut être rendu invisible>.


Travailler avec les calques

Lorsque vous créez une nouvelle entité, cette dernière est systématiquement placée dans le calque de travail en cours. Lorsque vous commencez un nouveau modèle, le calque de travail par défaut est le calque 1. Vous pouvez modifier le calque de travail, de 1 à 255, en utilisant la commande Définition du calque de travail (\layer)

  • important: Le calque 99 est réservé pour la création des lignes d’aide.

Lorsque vous déplacez ou copiez une entité, elle reste toujours dans son calque d’origine. Cependant, vous pouvez modifier le calque d’une entité ou d’un groupe d’entités en utilisant la commande Changer le calque d’une entité (\ulyr).

Vous pouvez afficher simultanément tous les calques à l’écran (par défaut), ou vous pouvez en masquer certains et travailler sur un seul calque ou sur plusieurs à la fois. De la même façon, lorsque vous tracez un modèle, vous pouvez afficher ou masquer n’importe quel calque que vous désirez.

Vous pouvez exécuter des opérations sur des entités dans tous les calques affichés à l’écran, à un moment donné. Si vous masquez un calque, les commandes ARC+ n’auront aucun effet sur les entités dans ce calque (sauf en cas d’effacement du modèle entier).

Pour déterminer le calque d’une entité existante, cf. commande Informations sur les attributs d’une entité (\qent).

Thèmes liés

  • Utilisation du Gestionnaire de calques
  • Calques et groupes de calques
  • Gérer les configurations de calques
  • Propriétés des calques
  • Gestion de la liste des calques
  • Commandes de calques
  • Options de calque
  • États des calques
  • Batch de calque
  • Modification du calque d'une entité


Utilisation du Gestionnaire de calques

Exécutez plusieurs fonctions de gestion de calques grâce au Gestionnaire de calques. Vous pouvez accéder au Gestionnaire de calques directement à partir de la barre d’outils:

Ou en appuyant sur Entrer après avoir choisi une des commandes de calque.

\layer

La boîte de dialogue Gestionnaire de calques incorpore la fonctionnalité de toutes les commandes liés aux calques.. Vous pouvez continuer à utiliser les commandes individuellement sur la ligne de saisie, ou par les menus déroulants /boites d’outils.

Boîte de dialogue Gestionnaire de calques

Le Gestionnaire de calques permet de :

  • Créer des calques ou groupes de calques
  • Nommer ou renommer des calques ou groupes de calques
  • Effacer des calques ou groupes de calques
  • Définir le calque de travail par défaut
  • Afficher ou masquer des calques
  • Sélectionner et effacer le contenu de certains calques
  • Enregistrer une configuration (état) de calques


Index

Home > 17 Requêtes

17 Requêtes

  1. Activer le mode informations dynamiques
  2. Affichage de la position d'un point
  3. Attacher un texte de surface à un polygone
  4. Attacher, Retirer ou Remplacer des attributs
  5. Attributs non-géométriques
  6. Création d'un rapport d'attributs non-géométriques affectés
  7. Création et gestion d'une liste d'attributs
  8. Définir le texte de surface par défaut\
  9. Dessiner un polygone de surface
  10. Gestion des attributs
  11. Informations et modification d'un polygone
  12. Informations et modification du signe d'un solide
  13. Informations sur attributs géométriques spécifiques
  14. Informations sur l'angle d'un arc
  15. Informations sur la longueur et l'angle d'une ligne
  16. Informations sur les attributs d'entités
  17. Informations sur les attributs d'une entité
  18. Informations sur un fichier
  19. Mesure de l'angle entre deux lignes
  20. Mesure de la surface d'un polygone
  21. Mesure du volume d'un solide
  22. Mettre en surbrillance et sélectionner des entités dans votre modèle avec des attributs choisis
  23. Mode informations dynamiques
  24. Polygones de surfaces
  25. Surface par points


Attributs non-géométriques

A propos des attributs non géométriques

Le gestionnaire d’attributs traite des attributs non géométriques seulement. Les attributs non géométriques sont des valeurs auxquelles on a donné un nom qui peuvent être attachées à une entité ou à un groupe d’entités. Ils sont constitués de deux parties:

  • Nom de l’attribut
  • Valeur de l’attribut

La chaîne de caractères de l’attribut est inscrite dans le format:

Nom d’attribut=valeur

Les attributs non géométriques peuvent être utilisés dans des buts divers. Par exemple, vous pouvez les utiliser pour calculer des quantités, classifier des entités ou joindre une note à une entité pour vous souvenir d’un traitement particulier lors d’une phase ultérieure.

L’utilisation type d’attributs non géométriques serait:

matériau=béton
prix=$126
finition=non-peint

A propos d’addition d’attributs à une entité

Vous pouvez attacher des attributs à n’importe quelle entité et en ajouter d’autres à des entités qui en possèdent déjà.

Vous pouvez attacher à une entité autant d’attributs que vous souhaitez, mais vous ne pouvez pas affecter deux valeurs différentes ou plus pour le même nom d’attribut pour une entité (par ex. couleur=rouge, couleur=bleue pour une entité). Vous ne devez utiliser ni le signe d’égalité (=) dans le nom de l’attribut ni le point-virgule (;) n’importe où dans la chaîne.

  • IMPORTANT : Vous ne devez pas utiliser les codes d’attributs utilisés par le système. Cf. Annexe B pour une liste des attributs utilisés par le système.

A propos de l’ajout des attributs à la liste

Vous pouvez ajouter dans la liste autant d’attributs que nécessaire. A l’intérieur de la liste, le même attribut peut être montré plus d’une fois avec des valeurs différentes, mais chaque attribut peut être attaché seulement une fois à une entité.

Thèmes liés

  • Gestion des attributs
  • Création et gestion d'une liste d'attributs
  • Attacher, Retirer ou Remplacer des attributs
  • Mettre en surbrillance et sélectionner des entités dans votre modèle avec des attributs choisis
  • Création d'un rapport d'attributs non-géométriques affectés


Création d'un rapport d'attributs non-géométriques affectés

Génère un rapport de tous les attributs non-géométriques affectés à des entités.

\atrep

Spécifiez le nom du fichier dans lequel le rapport devra être sauvegardé. Le fichier est un fichier ascii et le système ajoute l'extension rpt.

Les attributs du système sont également inclus dans le rapport. Pour avoir l'index des codes d'attributs voir Annexe B, Fichier dump de toute la base de données (.DMP).

Ci-dessous, un exemple d'un rapport d'attribut.

Numéro Entité | Attribut | Valeur
4 | prix | 1$
5 | ww | -0.15 0.15
5 | wz | 2.28 2.28
5 | >ws | 8 9
5 | >wso | 10
5 | matériau | blocs
6 | prix | 2000$
7 | prix | 1000$
8 | nombre | 11


Création et gestion d'une liste d'attributs

Créer une liste d’attributs

Vous pouvez créer une liste d’attributs à partir du Gestionnaire d’Attributs, en ajoutant des noms ou en créant une liste d’attributs avec un éditeur de texte externe puis les importer dans le gestionnaire d’attributs de votre modèle.

Ajout des attributs

Pour créer ou ajouter des attributs dans une liste à partir du Gestionnaire d’Attributs, appuyez sur le bouton Ajouter. Ce qui donne lieu à l’ouverture de la boîte de dialogue Ajouter à la liste, dans laquelle vous pouvez taper le nouveau nom de l’attribut et une valeur.

Importation des attributs

L’option Importer permet de lire les attributs et leurs valeurs à partir d’un fichier texte et de les ajouter à la liste des attributs. Ce qui donne lieu à l’ouverture d’une boîte de dialogue d’ouverture standard de Windows dans laquelle vous pourrez spécifier le dossier et le nom de fichier pour le fichier d’importation.

Cette option est très utile pour gérer les listes d’attributs qui sont applicables à de nombreuses entités dans divers projets. Par exemple: elle vous permet de préparer à l’avance des listes d’attributs personnalisées applicables à des types de projets particuliers, tels que la décoration d’intérieur ou l’architecture paysagiste, et de les importer plutôt que de les définir chaque fois.

  • IMPORTANT : Lors de la création d’attributs, assurez-vous de les écrire selon les conventions décrites ci-dessus.

Editer des attributs dans la liste

Choisissez un attribut dans la liste et appuyez sur le bouton Editer. Ce qui ouvre une boîte de dialogue où vous pourrez éditer le nom et la valeur de l’attribut choisi.

Retirer des attributs de la liste

Cliquez la boîte de l’attribut que vous voulez enlever. Cliquez sur le bouton Retirer.

L’option Restaurer vous permet d’annuler tous les changements faits dans la liste seulement. Tous les attributs de la liste retournent à l’état où ils étaient avant l’ouverture du Gestionnaire d’Attributs.

Exporter des attributs

L’option Exporter permet d’enregistrer tous les attributs marqués et leurs valeurs dans un fichier texte. Ce qui donne lieu à l’ouverture d’une boîte de dialogue standard de Windows Enregistrer sous...dans laquelle vous pourrez spécifier le nom du dossier et du fichier pour le fichier d’exportation.

  • IMPORTANT : Les commandes Ajouter, Editer et Restaurer, ainsi que Importer, n’affecte que la liste des attributs affichés dans le Gestionnaire d’Attributs.


Définir le texte de surface par défaut\

Cette commande permet de définir le format des textes de surface, ainsi que le nombre de décimales à afficher.

\txtsurf

Insérez le symbole $ n’importe où dans le texte là ou le texte de surface des polygones doit apparaître. Vous pouvez par exemple écrire:

Surface = $m²

Ou simplement:

$m²

Définissez avec quelle précision est affichée la valeur de la surface en précisant le nombre de décimales à conserver après la virgule.


Dessiner un polygone de surface

Pour dessiner un polygone de surface, vous devez agir comme pour la création d’un polygone ordinaire, en définissant un point de départ, suivi d’autres points. À la fermeture de ce polygone, une option permet de placer à un endroit défini le texte affichant sa surface.

\newp

  • CONSEIL: Reportez-vous au chapitre «Polygones et Solides» pour connaître l’ensemble des options relatives à la création de polygones.

Fermez le polygone (c’est-à-dire relier le point courant au point de départ) en appuyant sur Entrée.

Le polygone fermé, un menu apparaît. Choisissez l’option Polygone de surface.

Un texte apparaît alors sous le curseur. Cliquez à l’endroit où situer ce texte, à l’intérieur ou à l’extérieur du polygone. Il indique la surface du polygone et est formaté en fonction des paramètres par défaut (Voir la section suivante: "Définir le texte de surface par défaut")

    • REMARQUE: Toutes les commandes de création de formes polygonales du type \2pbox, \pcyl, etc… sont également dotées de cette nouvelle option.
    • REMARQUE: Le texte de surface est lié au polygone. La sélection et la manipulation du polygone affectent de la même façon son texte de surface. Il est toutefois possible de désolidariser le texte du polygone en le sélectionnant ou en l’effaçant.
    • REMARQUE: Les opérations booléennes et l’édition de polygone peuvent être appliquées sur ces polygones de surface dont le texte sera actualisé. Lors des opérations booléennes entre deux polygones ayant un texte de surface, le texte résultant s’inscrira sur le premier polygone indiqué.


Gestion des attributs

Le gestionnaire d’attributs est une nouvelle fonctionnalité utilisée pour gérer des attributs non géométriques d’une entité et est applicable en modes: géométrique, surface et quantité. Utilisez la boîte de dialogue Gestionnaire d’Attributs pour exécuter les fonctions suivantes:

  • Créer et gérer une liste d’attributs
  • Attacher, remplacer ou déplacer des attributs vers des entités dans votre modèle
  • Mettre en surbrillance et sélectionner des entités dans votre modèle avec les attributs choisis

Ouverture du gestionnaire d’attributs

La gestion des attributs est exécutée grâce à la boîte de dialogue Gestionnaire d’Attributs.

\atribmng

Vous pouvez ouvrir le gestionnaire d’attributs avec un ensemble d’attributs pris des entités dans votre modèle ou avec une liste d’attributs vide, à laquelle vous pourrez ajouter ou importer de nouveaux attributs et de nouvelles valeurs. Vous avez le choix entre quatre options:

Entité échantillon Ouvre le Gestionnaire d’Attributs affichant la liste des attributs qui ont été précédemment ajoutés à une (seule) entité dans le modèle. Indiquez une entité et cliquez pour confirmer.

Groupe de sélection | Ouvre le Gestionnaire d’Attributs affichant les attributs qui ont été précédemment ajoutés au groupe de sélection actuel. Le Gestionnaire d’Attributs affichera tous les attributs de toutes les entités dans le groupe, mais les valeurs ne seront pas affichées.
Tout | Ouvre le Gestionnaire d’Attributs affichant la liste de toutes les entités dans le modèle. Le Gestionnaire d’Attributs affiche tous les attributs de toutes les entités, mais les valeurs ne seront pas affichées.
Ajouter et importer | Ajoute des attributs à votre liste. Ouvre le Gestionnaire d’Attributs sans afficher des attributs dans la liste.

Les attributs sont affichés dans une zone de liste déroulante. Chaque attribut dans la liste a une case à cocher correspondante à gauche du nom de l’attribut.

  • REMARQUE : Un menu contextuel est disponible pour certaines des options dans la boîte de dialogue. Cliquez sur le bouton de gauche de la souris pour ouvrir le menu pop.


Informations et modification d'un polygone

Détermine le nombre de sommets d'un polygone, que celui-ci soit ouvert ou fermé, ou qu'il s'agisse d'un polygone symbolique ou d'un polygone surfacique.

\qpoly

Pour une description de cette commande, voir Polygones et solides, Informations et modification des propriétés d'un polygone et d'un solide (\posne).


Informations et modification du signe d'un solide

Détermine si un solide est positif (concret) ou négatif (un vide à l'intérieur d'un solide positif).

\posne

Pour une description de cette commande, voir Polygones et Solides, Informations et modification du signe d'un solide (\posne).


Informations sur attributs géométriques spécifiques

Thèmes liés

  • Affichage de la position d'un point
  • Informations sur la longueur et l'angle d'une ligne
  • Mesure de l'angle entre deux lignes
  • Informations sur l'angle d'un arc
  • Informations et modification d'un polygone
  • Mesure de la surface d'un polygone
  • Informations et modification du signe d'un solide
  • Mesure du volume d'un solide


Informations sur l'angle d'un arc

Donne des informations sur l'angle d'un arc.

\qanga

Indiquez l'arc.

Le résultat est affiché en degrés sur la ligne de messages, avec une précision d'un chiffre après la virgule:

l'angle de l'arc est: nnn.n

Pressez la touche Entrée pour continuer. Le système vous demande d'indiquer un autre arc.

  • REMARQUE : L'arc peut faire partie d'une entité.


Informations sur la longueur et l'angle d'une ligne

Calcule la longueur et l’angle d'une ligne, d’un arc, d’un polygone ou d’un mur.

\qlen

L'orientation est exprimée par deux angles: l'un par rapport à l'axe z, l'autre dans un plan perpendiculaire au plan xy. La longueur est affichée dans l'unité courante.

Indiquez la ligne. Les deux angles et la longueur sont affichés dans la ligne des messages dans le format suivant:

z=nnn.nn xy=nnn.nn l= nnn.nn.unité courante

En vue axonométrique, la distance et les angles sont mesurés sur les trois dimensions. En vue orthogonale, ce sont les distances et les angles projetés sur le plan actif qui sont affichés.

Le système vous demande d'indiquer d'autres lignes ou d'appuyer sur la touche Entrée pour revenir à la commande précédente.

  • REMARQUE : La ligne peut faire partie d'une entité.


Informations sur les attributs d'entités

Thèmes liés

  • Informations sur les attributs d'une entité
  • Informations sur un fichier


Informations sur les attributs d'une entité

Affiche les attributs d'une entité.

\qent

Indiquez l'entité souhaitée. La liste des attributs est affichée à l'écran.

Les attributs non-géométriques définis par l'utilisateur sont répertoriés séparément sous le titre non geometrique. Ci-dessous, la réponse à une recherche d'informations sur un mur type:

ATTRIBUTS
MUR
Nombre d’entité 4
GEOMETRIQUE
Calque = 1
Nom du Mur= l4-f36
Hauteur au 1er point de bord = 3.000
Hauteur au 1er point de bord = 3.000
Etat du bord du 1er mur = joint
Etat du bord du 1er mur = fermé
Etat du bord du 2ème mur = joint
Etat du bord du 2ème mur = fermé
Décalage= 0.000
Alignement = par 1er calque
Nombre des calques = 4
Calque (de Mur)NombreEpaisseurCouleurTypeLargeur
10.2001111
21.9924111
30.7654731
40.5645111
NON GEOMETRIQUE
coût = $40
finition = carrelage

La précision du calcul de volumes pour les solides affichés est limitée aux solides comprenant jusqu’à 50 polygones. Pour les solides de plus de 50 polygones, utilisez la commande Mesure du volume d’un solide (\vol).

Lorsque vous quittez la liste, vous pouvez continuer à indiquer d'autres entités ou appuyer sur la touche Entrée pour quitter la commande.


Informations sur un fichier

Crée et affiche une liste d'objets placés et des fichiers correspondants.

\olist

Entrez le nom du fichier ou appuyer sur la touche Entrée pour choisir le fichier courant. Vous pouvez taper un chemin d'accès comprenant jusqu'à 40 caractères.

Le rapport est créé sous le nom par défaut de olist.rpt et est affiché sur l'écran. Le fichier par défaut est réécrit chaque fois que vous utilisez cette commande. Si vous souhaitez sauvegarder le rapport, spécifiez un nom de fichier différent lorsque vous quittez l'écran.

La commande enregistre tous les fichiers relatifs au modèle spécifié, y compris les objets placés et leur hiérarchie. Les fichiers associés au modèle diagnostiqués introuvables, sont répertoriés manquants.

Ci-dessous, un exemple type:

Fichier VILLE

Dernière Sauvegarde 24.3.94 14:29

Taille 1350 octets

Répertoire C:/VILLE

Objet placé venant de c:/ville

Nom du fichier QuantitéPlacé dans les niveaux

QUAI11

RATP12

T0111

T0211

PARVIS12

4BDF12

T0311

AVENUE11

PINS11

LUMIR11

LAMP1162

Total: 11 fichiers occupant 2492979 octets

Objet placé venant de C:/arc_sys/arcalib

Nom du fichier QuantitéPlacé dans les niveaux

3DTREE643

Total: 1 fichiers occupant 25870 octets

Types de murs utilisés

L1-240

L1-365

L3-24

Combinaisons d’ouverture:

Nom de l’ouverture QuantitéPlacé dans les niveaux

ARB20E62

ARB22E12

ARB21E52

Polices utilisées

MTFONT

Fichiers manquants d’objets placés:

Nom du fichier QuantitéPlacé dans les niveaux

METRO12

VT0212


Mesure de l'angle entre deux lignes

Mesure l'angle compris entre deux lignes.

\qang

Indiquez deux lignes. Les lignes peuvent faire partie de polygones, de solides ou de murs. Indiquez un point à l'intérieur de l'angle à mesurer (c'est-à-dire à l'intérieur ou à l'extérieur des lignes).

En vue axonométrique, l'angle réel tridimensionnel est affiché. En vue orthogonale, c'est l'angle entre les lignes projetées sur le plan actif qui est affiché.

Pressez la touche Entrée ou cliquez la souris pour continuer.

  • IMPORTANT :En vue axonométrique, les lignes doivent être coplanaires, c'est-à-dire soit parallèles soit posséder un point d'intersection.


Mesure de la surface d'un polygone

Calcule la surface d'un polygone.

\parea

Indiquez le polygone souhaité. Le polygone indiqué peut faire partie d'un solide complexe ou être la base d'un solide simple. Si vous indiquez une arête commune d'un solide simple, la surface de chaque base est calculée.

La surface est affichée sur la ligne de saisie. Pressez la touche Entrée ou cliquez la souris pour continuer.

Conversion d'un solide pour la mesure de surface et pour hachurage

Les solides ordinaires sont composés de deux polygones de base joints par des arêtes qui ne sont pas des polygones. Pour mesurer les surfaces entre les arêtes, convertissez le solide ordinaire en solide complexe au moyen de la commande Convertir un solide pour la mesure de surface et pour hachurage (\sol3to9, voir Polygones et Solides).


Mesure du volume d'un solide

Calcule le volume d'un solide.

\vol

Indiquez le solide souhaité. Vous pouvez indiquer n'importe quel point d'un solide complexe, ou l'une des arêtes d'un solide simple. Spécifiez si les volumes évidés à l'intérieur du solide (solides négatifs) doivent être déduits.

Le volume est affiché sur la ligne de saisie. Pressez la touche Entrée ou cliquez la souris pour continuer.


Mettre en surbrillance et sélectionner des entités dans votre modèle avec des attributs choisis

Le Gestionnaire d’Attributs vous permet de mettre en surbrillance et de sélectionner des entités dans le modèle basé sur un ensemble d’attributs. Ce qui peut être utile, par exemple, lorsque vous souhaitez trouver tous les murs qui sont peints en vert (couleur=verte) ou pour trouver tous les meubles auxquels aucun prix n’a été attribué.

Pour mettre en surbrillance ou sélectionner toutes les entités dans le modèle qui ont (ou n’ont pas) un certain groupe d’attributs, cliquez la boîte des attributs requis dans la liste et choisissez une option (Surbrillance avec, Surbrillance sans, Sélectionner ou Désélectionner).

Utilisez les options Surbrillance avec/sans pour afficher les attributs sur votre écran seulement. Utilisez les options Sélectionner/Désélectionner pour déplacer, supprimer, ou exécuter d’autres fonctions d’édition sur des entités ayant les attributs choisis.

Vous pouvez déterminer si des entités seront sélectionnées ou mises en surbrillance selon l’attribut et la valeur spécifiée ou selon l’attribut seulement.

Dans la section Utiliser, cliquez sur Attr.+Valeur, pour mettre en surbrillance ou sélectionner les attributs et leurs valeurs. Cliquez sur Attr. Seul, pour mettre en surbrillance ou sélectionner seulement des noms d’attributs. Les valeurs sont ignorées. Par exemple, lorsque vous marquez l’attribut couleur et que le paramètre Utiliser est mis à Attr. Seul, toutes les entités dans votre modèle qui ont des attributs de couleur sont applicables pour la mise en surbrillance ou pour la sélection, même si elles ont des valeurs différentes de couleurs.


Mode informations dynamiques

Lorsque ce mode est activé, une fenêtre flottante affiche des informations relatives à l’entité au-dessus de laquelle le curseur de la souris se trouve.

Thèmes liés

  • Activer le mode informations dynamiques


Polygones de surfaces

Les commandes suivantes permettent de créer des zones de surface, constituées de polygones et de textes associés. La modification de ces polygones par étirement met automatiquement à jour le texte de leur surface.

Thèmes liés

  • Dessiner un polygone de surface
  • Attacher un texte de surface à un polygone
  • Définir le texte de surface par défaut
  • Surface par points


Surface par points

Cette commande permet d’interroger ou d’écrire la surface totale d’une zone sans avoir préalablement dessiné un polygone.

\ptarea

Lorsque vous exécutez cette commande, les options suivantes vous sont proposées:

  • Info surface: Cette option est pour interroger une surface
  • Ecrire la surface: Cette option est pour écrire le texte de surface
  • Continuer un périmètre interrompu: Cette option permet de terminer (pour l’interrogation uniquement) le périmètre d’une surface qui n’aurait pas été achevée. Lorsque vous sélectionnez cette option, le système vous demande d’indiquer le périmètre à continuer puis la commande se comporte comme pour la première option.

Pour toutes les options, le système vous guide à travers les étapes du dessin du périmètre. Pressez Entrée lorsque nécessaire pour accéder aux différentes options proposées au cours de ces étapes


Activer le mode informations dynamiques.

Home > 17 Requêtes > Activer le mode informations dynamiques.

Activer le mode informations dynamiques

Pour activer ou désactiver ce mode, cliquez sur le bouton suivant de la barre d’outils Mode:

Ce mode fonctionne avec les entités suivantes:

  • Points
  • Lignes
  • Polygones
  • Solides

Lorsque vous déplacez la souris au-dessus d’une ligne, la fenêtre affiche:

  • Les coordonnées du premier et dernier point
  • La longueur de la ligne

Lorsque vous déplacez la souris au-dessus d’un polygone, la fenêtre affiche:

  • Le nombre de points
  • La longueur du polygone
  • La surface totale du polygone si celui-ci est fermé

Lorsque vous déplacez la souris au-dessus d’un solide, la fenêtre affichele volume de celui-ci.


Affichage de la position d'un point

Affiche les coordonnées x,y,z d'un point.

\qp

Indiquez le point sur lequel vous souhaitez obtenir des renseignements.

En vue axonométrique, les coordonnées x,y,z réelles sont affichées. En vue orthogonale, ce sont les coordonnées projetées sur le plan actif qui sont affichées.

Pressez sur la touche Entrée ou cliquez la souris pour continuer.

  • CONSEIL:Pour afficher la position précise d'un point appartenant à une entité, snappez le point en vue axonométrique. Remarquez que la position du curseur saute au point indiqué, ce qui est identique à ce qui se produit dans la commande Snapper un point (\snap, voir Configuration).


Attacher, Retirer ou Remplacer des attributs

Les attributs peuvent être sélectionnés de la liste du Gestionnaire d’Attributs et attachés aux entités de votre modèle. Il existe également des options pour retirer et remplacer les attributs d’une entité.

Attacher des attributs à des entités

L’option Attacher vous permet d’attacher des attributs à des entités indiquées ou à un groupe de sélection.

Cliquez sur la case à cocher des attributs que vous souhaitez attacher et indiquez les entités ou appuyez sur Entrée pour attacher des attributs à un groupe de sélection.

Retirer des attributs des entités

L’option Retirer enlève les attributs des entités indiquées ou d’un groupe de sélection.

Cliquez sur la case à cocher des attributs que vous souhaitez retirer, dans la liste, et indiquez des entités ou appuyez sur Entrer pour retirer des attributs d’un groupe de sélection.

Remplacer des attributs des entités

L’option Remplacer permet de remplacer un attribut mis en surbrillance (et/ou sa valeur) par un autre attribut (et/ou sa valeur).

Cliquez sur la case à cocher des attributs que vous souhaitez remplacer, dans la liste. Entrer le nouveau nom de l’attribut ou la nouvelle valeur dans la boîte de dialogue. Cliquez sur la case à cocher Ajouter à la liste pour mettre à jour la liste. Pour des attributs utilisés seulement une fois ou de manière peu fréquent, supprimer la coche de la case.


Attacher un texte de surface à un polygone

Attache un texte de surface à un ou plusieurs polygones.

\psurf

Vous pouvez soit indiquer successivement les polygones auxquels attacher un texte de surface, soit appliquer cette commande à l’ensemble des polygones sélectionnés.

Lorsque vous indiquez un polygone un texte apparaît sous le curseur. Cliquez à l’endroit où situer ce texte, à l’intérieur ou à l’extérieur du polygone.

Pour opérer sur les polygones sélectionnés, appuyez sur Entrée. Chaque texte est alors situé automatiquement à l’intérieur des polygones.

Le texte indiquant la surface du polygone est formaté en fonction des paramètres par défaut (Voir la section suivante: "Définir le texte de surface par défaut")


Index

Home > 18 Texte

18 Texte

  1. Affectation d'un nombre aux entités
  2. Affichage de lignes de référence
  3. Ajout de coordonnées
  4. Changement de textes existants
  5. Choix de l'échelle de référence des textes
  6. Conversion d'un texte TrueType en polygones
  7. Création d'un bloc de texte
  8. Création d'un texte
  9. Création d'un texte à l'aide d'un cadre\txtfence
  10. Création d'une ligne de texte
  11. Création de textes
  12. Création ou modification d'une police de caractères - Editeur de polices
  13. Définition des attributs de texte
  14. Edition de textes
  15. Effacement de tous les textes
  16. Espacement proportionnel
  17. Etiquettes de texte
  18. Gestion des styles de texte
  19. Indication d'éléments de textes
  20. Insertion de symboles
  21. Introduction
  22. Légendes
  23. Mise à jour des attributs de textes existants
  24. Polices de caractères.
  25. Positionnement, justification et direction
  26. Rechercher du texte
  27. Redimensionnement du texte en police True Type
  28. Redimensionnement du texte en police True Type pour plusieurs fichiers
  29. Réglage à partir de la barre d'outils
  30. Réglage à partir de la boîte de dialogue
  31. Sélection de texte par leur style
  32. Sélection de tous les textes
  33. Sélection par police de caractères
  34. Taille des textes-scalaire ou fixe
  35. Terminologie
  36. Utilisation de polices TrueType
  37. Utilitaires de textes


Création d'un texte

Place un texte dans votre modèle à l'aide de diverses options.

\write

Vous pouvez choisir l’une des commandes de texte suivantes :

  • la création d'une ligne de texte (\text)
  • la création d'un bloc de texte (\textb)
  • l'ajout d'un texte comportant un chiffre-référence (\textc)
  • la création d'un texte à l'aide d'un cadre (\textf)

Vous trouverez ci-dessous une description de chaque composant de la commande combinée.


Création d'un texte à l'aide d'un cadre\txtfence

Home > 18 Texte > Création d'un texte à l'aide d'un cadre\txtfence

Création d'un texte à l'aide d'un cadre

Ajoute un texte dans votre modèle à l'aide de l'extension d'un cadre.

\txtfence

Pour étendre un texte en hauteur et en largeur ou uniquement en largeur, appuyez sur Entrée avant d'entrer le texte sur la ligne de saisie. Cliquez sur un point pour indiquer le début de la chaîne de caractères et sur un autre point pour indiquer sa direction. Etirez ensuite un cadre pour positionner le texte dans votre modèle: la longueur du cadre détermine celle de la chaîne.


Création d'une ligne de texte

Ecriture d'une ligne de texte dans le modèle.

\text

Tapez jusqu'à 254 caractères de texte (espaces compris). Indiquez le point de justification. Indiquez un second point pour définir la direction du texte ou pressez Entrée pour que le texte soit parallèle à l'axe desx. Le texte s'inscrit au point de justification dans la direction que vous avez choisie.

Le logiciel vous proposera alors d'insérer le même texte en d'autres points du modèle.

Liste de textes personnalisables

Une boîte de dialogue ajoutée à la commande \text permet de gérer des listes de textes prédéfinis que vous pouvez réutiliser à tout moment. Cela vous évitera d’avoir à trop fréquemment retaper les mêmes textes.

  • Lancer la commande
  • Appuyez sur Entrée pour accéder à la boîte de dialogue des textes prédéfinis:

Une liste de texte apparaît. Sélectionnez par un double-clic le texte à placer dans votre modèle. Il est possible de gérer plusieurs listes de textes, également appelées Catégories.

Cette boîte de dialogue permet d'effectuer les opérations suivantes:

  • Bouton Catégories...: Accéder au gestionnaire de catégories de texte. La liste située en face de ce bouton permet la sélection de la catégorie affichée.
  • Créer un nouveau texte
  • Effacer le texte sélectionné.
  • Modifier un texte en cliquant deux fois dessus pour qu’il passe en mode édition.

Catégories

Vous pouvez modifier les catégories en suivant la même méthode que pour les textes.


Création de textes

Avant de créer un texte, affichez le modèle en vue orthogonale (plan ou élévation).

Vous pouvez insérer une seule ligne de texte, un bloc de plusieurs lignes ou encore un texte provenant d'un fichier ASCII externe. Chaque élément de texte peut contenir un maximum de 254 caractères, espaces compris.

Les attributs par défaut pour textes figurent dans le tableau de Fixation des attributs de textes (\atext). Si vous changez les attributs par défaut, les nouveaux attributs seront utilisés pour tout texte créé après le changement.

Pour éditer un texte existant ou changer ses attributs, voir Edition de textes.

  • REMARQUE : Dans les textes, les caractères de soulignage ( _ ) sont convertis en espaces par ARC+.

Thèmes liés

  • Utilisation de polices TrueType
  • Création d'un texte
  • Création d'une ligne de texte
  • Création d'un bloc de texte
  • Création d'un texte à l'aide d'un cadre
  • Légendes
  • Etiquettes de texte


Création ou modification d'une police de caractères - Editeur de polices

Création ou édition d'une police de caractères ou édition de la police des motifs linéaires.

\fonte

Servez-vous de l'éditeur de police de caractères pour:

  • Changer le style des caractères d'une police
  • Créer de nouveaux caractères ou symboles que vous souhaitez utiliser dans les textes
  • Créer de nouveaux motifs linéaires

Spécifiez le nom du fichier de la police que vous souhaitez éditer (sans l'extension .fon). Si le fichier de police n'existe pas, il est créé.

Spécifiez un nouveau nom de fichier sous lequel la police éditée sera sauvegardée. Si vous spécifiez le même nom que la police initiale, le fichier initial sera modifié de manière permanente.

Une grille de 30x30 apparaît à l'écran. Les lignes de référence en pointillé indiquent les marges des caractères de texte normaux. Pour les caractères de texte, travaillez à la gauche et au-dessus de ces lignes, sauf pour les caractères g et p, qui descendent au-dessous de la ligne de référence. Pour les motifs linéaires qui seront utilisés pour remplir les couches de murs, il faut remplir la grille sur toute sa hauteur.

Pressez une touche pour le caractère ou le motif linéaire que vous souhaitez éditer.

Le dessin actuel du caractère (s'il existe) apparaît dans la grille.

Editez le caractère ou dessinez-en un nouveau, en utilisant les options figurant dans le tableau ci-dessous.

La nouvelle police contient à la fois les caractères que vous venez d'éditer, ainsi que tous les autres caractères de la police initiale qui n'ont pas été modifiés.

  • IMPORTANT : Dans la police de motifs linéaires arcpatrn.fon, ne vous servez pas des caractères majuscules A à Z ou de tout autre caractère nécessitant l'emploi de la touche Shift. Pour vous servir des nouveaux motifs dans les commandes de motifs linéaires, accédez-y à partir du clavier et non à partir du catalogue affiché (voir Hachurage et motifs, Motifs linéaires).

Vous devez quitter l'éditeur de polices avec l'option e. Si par mégarde vous lancez une autre commande et que la grille de la police demeure à l'écran, invoquez à nouveau l'éditeur de polices et quittez-le avec l'option e.

  • CONSEIL : Vous pouvez vous servir de motifs linéaires pour créer des types de lignes spéciaux.
Option | Description
d (Effacer une ligne) | Effacer les lignes indiquées du dessin de la grille en usage
l (Tracer une ligne) | Tracer une ligne entre le points de la grille indiqués sur l'écran; pressez Entrée pour commencer une nouvelle ligne
s (Sauvegarder un caractère) | Sauvegarder le dessin actuel dans la grille comme caractère spécifié ou comme code ASCII (pas nécessairement celui que vous choisissez d'éditer)

Option | Description
o (Nouveau caractère) | Choisir un autre caractère à éditer
e (Exit=Sortie) | Quitter l'éditeur de polices


Définition des attributs de texte

Lorsque vous écrivez du texte, celui-ci utilise les attributs du style de texte courant. Le réglage de ces attributs peut s'effectuer de différentes manières:

  • Manuellement
  • Par échantillon
  • À partir de la boîte de dialogue Attributs de texte.
  • À partir de la barre d’outils Attributs de textes.

L’état général des attributs de texte peut être enregistré sous différents noms, et forme ce que l’on appelle des styles de texte.

Thèmes liés

  • Réglage à partir de la boîte de dialogue
  • Réglage à partir de la barre d'outils
  • Gestion des styles de texte
  • Sélection de texte par leur style


Edition de textes

Il est possible de mettre à jour des entités de textes existantes, de modifier leurs attributs, de les sélectionner et de les effacer.

Thèmes liés

  • Changement de textes existants
  • Mise à jour des attributs de textes existants
  • Rechercher du texte
  • Sélection de tous les texts
  • Effacement de tous les textes


Effacement de tous les textes

Effacement de toutes les entités de textes du modèle.

\txdel

Cette commande vous permet d'effacer toutes les entités de textes de votre modèle en une seule opération.

  • REMARQUE : Lors de l'exécution de cette commande, les entités qui ne sont pas des textes et qui étaient sélectionnées sont désélectionnées (mais non effacées).


Espacement proportionnel

Quelle que soit la police de caractères utilisée, vous pouvez adopter le mode d'espacement proportionnel ou non-proportionnel.

Dans le mode espacement proportionnel, les lettres minces telles que i ou l occupent moins d'espace que les lettres larges telles que M ou W. En espacement non-proportionnel, tous les caractères occupent le même espace.

Dans le mode d'espacement proportionnel, vous pouvez spécifier la distance séparant deux caractères consécutifs en unités allant de 1 à 30. Ces unités représentent des fractions de la largeur des caractères, autrement dit 1/30 à 30/30 de la largeur des caractères. Pour comprimer ou étaler un texte, de manière à couvrir une certaine surface sur votre dessin, vous pouvez ajus ter la distance, COMME CECI ou COMME CELA.

Les motifs linéaires sont toujours affichés en espacement non-proportionnel, du fait que l'unité de base du modèle est de largeur constante.

  • CONSEIL : L'espacement proportionnel présente généralement mieux que l'espacement non-proportionnel. Utilisez l'espacement non-proportionnel dans les tableaux par exemple, ainsi que dans les cas où les caractères doivent être alignés verticalement dans des lignes différentes.


Etiquettes de texte

Les étiquettes peuvent être utilisées pour grouper un texte récurrent dans le modèle qui pourra être modifié partout à la fois en une seule opération. Par exemple, une étiquette commune peut être appliquée au texte indiquant à plusieurs endroits le matériau employé dans un détail du modèleet à chaque fois que ce matériau change, il suffira de changer une étiquette.

Dans l’exemple ci-dessous l’illustration montre le détail d’un mur composite. Des étiquettes ont été assignées aux textes de matériaux et la commande Etiquette de texte a été utilisée pour modifier ces textes. Dans cet exemple, il y a seulement un texte répétitif ("Material 1"), mais dans un dessin plus complexe, le même texte peut apparaître plusieurs dizaines de fois et il serait possible de tous les modifier d’un coup.

Avant l’utilisation de la commande

Après l’utilisation de la commande

\tag

Quand vous exécutez cette commande, le menu suivant apparaît:

  • Attacher une étiquette de texte
  • Modifier les textes sélectionnés
  • Modifier tous les textes

Attacher une étiquette de texte

La première chose à faire pour utiliser les étiquettes est de les attacher à du texte. Quand vous choisissez cette option, la commande vous demande d’entrer le nom de l’étiquette: vous pouvez soit taper vous-même ce nom, soit presser Entrée pour choisir un nom dans la boite de dialogue des textes prédéfinis.

Ensuit, vous devez indiquer chaque texte auquel cette étiquette doit être attachée ou presser Entrée pour l’attacher à l’ensemble des textes sélectionnés.

Modifier les textes sélectionnés

Lorsque vous choisissez cette option, la boîte de dialogue Etiquettes de texte apparaît et affiche toutes les étiquettes définies dans le modèle et les textes appartenant au groupe de sélection:

Il est alors possible de modifier les textes nommant les étiquettes ou les textes attachés à ces étiquettes simplement en tapant le nouveau nom en face du texte original ou en double cliquant sur la ligne afin d’accéder à la boîte de dialogue des textes prédéfinis.

Modifier tous les textes

Il s’agit d’une variante de l’option précédente, avec pour seule différence que la sélection est élargie à l’ensemble des textes du modèle.


Gestion des styles de texte

Les styles de textes permettent d'enregistrer l’apparence du texte et de modifier automatiquement l’ensemble les textes ayant la même apparence. La gestion des styles de textes s'effectue à l'aide de la commande suivante:

\txtstl

Choisissez l'option Gestionnaire de styles de texte si vous démarrez cette commande à partir du menu déroulant.

La boîte de dialogue suivante s'affiche:

À l’aide de cette boîte de dialogue, vous pouvez:

  • Définir le style de texte courant en le sélectionnant dans la liste puis en cliquant sur Fermer.
  • Ajouter un style de texte. Le nouveau style de texte ainsi créé adopte les attributs courant de texte.
  • Editer la définition d'un style de texte à l'aide de la boîte de dialogue Attributs de texte.
  • Effacer un style de texte. Le gestionnaire de style doit en contenir au moins un.
  • Renommer un style: À l’aide d'un double-clic sur son nom.
  • REMARQUE : Lorsque vous modifiez les attributs d'un style de texte, tous les textes du modèle utilisant ce style sont modifiés en conséquence.


Indication d'éléments de textes

Un élément de texte possède une ligne de référence, invisible, située sous les caractères du texte. Pour indiquer un élément de texte, vous devez pointer le texte en question au voisinage de sa ligne de référence.

Vous pouvez vous servir de la commande Afficher les lignes de référence (\txtul) pour vous aider à indiquer le texte.

  • REMARQUE : Les motifs linéaires possèdent eux aussi des lignes de référence invisibles. La ligne de référence des éléments de cotation est la ligne même de la cotation, qui se trouve affichée à l'écran.


Insertion de symboles

Choix d'un symbole dans un catalogue graphique et son insertion dans le modèle. Insertion d'une ligne de texte spécifiée près du symbole.

\tsymb

Au moyen de cette commande, vous pouvez insérer dans votre modèle une variété de symboles (par exemple des symboles de niveaux). Vous pouvez créer vos propres symboles et les ajouter au catalogue.

Pour une description plus complète de la commande, voir Cotations, Entrée de symboles (\tsymb).


introduction

Home > 18 Texte > Introduction

Textes

Vous pouvez facilement ajouter divers types de textes à vos dessins ou modèles, par exemple: étiquettes, notes explicatives sur plusieurs lignes, noms d'immeubles ou panneaux.

La saisie des textes peut se faire au clavier comme ligne unique sur la ligne d’entrée ou comme block de texte au moyen de la boîte de dialogue, ou par importation d’un fichier de texte. Vous pouvez spécifier la direction des textes (horizontale, verticale ou inclinée) ainsi que leurs attributs, tels que taille, polices de caractères, justification. Si vous le souhaitez, vous pourrez ultérieurement éditer vos textes ou modifier leurs attributs.

Vous pouvez créer des textes dans les plans principaux de votre dessin, autrement dit dans les plans xy, xz et yz. Les textes sont affichés avec leurs orientations originales dans toutes les vues. Ainsi par exemple, si vous créez un texte en vue élévation droite, il apparaîtra sous un angle en vue axonométrique, alors que vu de dos il apparaîtra en élévation gauche.

Vous trouverez dans ce chapitre la terminologie de base relative aux textes. Etant donné que les motifs linéaires et les lignes de cotation sont étroitement liés aux textes, certaines des indications données dans ce chapitre s'y appliquent également (voir Hachurages et motifs ainsi que Cotations).

Thèmes liés

  • Terminologie
  • Création de textes
  • Définition des attributs de texte
  • Edition de textes
  • Utilitaires de textes


Légendes

Cette commande permet d’ajouter des commentaires aux dessins créés sous forme de légende fléchée.

\callout

Commencez par indiquer tous les points nécessaires à la construction du corps de la légende ou appuyez sur Entrée pour accéder à la boîte de dialogue de configuration.

Dessin de la légende

  • Indiquez tous les sommets nécessaires suivant l’option choisie (ligne, polygone, courbe). Si l’option courbe ou polygone a été choisie, vous pouvez indi
  • quer autant de point que nécessaire pour le dessin du corps de la légende, jusqu’à ce que vous pressiez Entrée.
  • Cliquez pour indiquer le deuxième point définissant la direction du texte ou appuyer sur Entrée pour qu'il soit horizontal.
  • Tapez le texte ou appuyez sur Entrée afin de recopier un texte déjà placé dans le modèle

Configuration de la légende

Il est possible d’obtenir divers formats de légendes grâce aux options réglant l’aspect des flèches et des lignes d’extension.

La boîte de dialogue contient deux parties. La partie supérieure gère l’aspect de la ligne tandis que la partie inférieure la configuration de la flèche.

Type de ligne d’extension

Vous disposez de trois types de lignes d’extension:

Linéaire Polygonale Courbe

Vous pouvez également choisir d’afficher ou non la ligne sous le texte à l'aide de la case Souligner.

Configuration de la flèche

Vous pouvez choisir parmi trois types de flèches :

  • Flèche

Vous pouvez alors fixer la taille et l’angle de la flèche grâce aux options Taille (A) et Angle (B). Si vous désirez une flèche pochée, cochez la case Flèche remplie.

  • Objet placé Choisissez un élément bidimensionnel dans les catalogues ARC+ en cliquant sur le bouton changer objet
  • Aucune flèche
  • Dans ce cas la ligne d’extension n’affiche aucun symbole à son extrémité.

Une fois la configuration terminée, validez avec OK.


Mise à jour des attributs de textes existants

Remplacement des attributs d'entités de textes existantes en attributs nouvellement spécifiés ou en attributs courants.

\uatxt

Servez-vous de cette commande pour mettre à jour des textes existant en leur affectant de nouveaux attributs ou en leur donnant les attributs courants que vous définissez au moyen de la commande Définition des attributs de textes (\atext).

Modifie les attributs d’un texte existant par des attributs spécifiques ou par un exemple. Vous pouvez modifier un bloc de texte en utilisant seulement le par exemple.

Pointez l’échantillon de texte ou choisissez les attributs que vous souhaitez changer manuellement (ou pressez la touche Entrée pour donner à tous les attributs les définitions courantes).

Autrement, vous pouvez sélectionner les entités de textes à mettre à jour avant de vous servir de cette commande. Choisissez un groupe de sélection ou une entité de texte unique que vous souhaitez mettre à jour. Si vous souhaitez mettre à jour une entité, indiquez cette entité.

Voir ci-dessus le tableau de la commande Définition des attributs de textes (\atext).


Polices de caractères

ARC+ offre vingt-et-une polices de caractères standards pour les textes.

Vous pouvez créer de nouvelles polices ou modifier les polices existantes à l'aide de la commande Editeur de polices (\fonte). Les polices sont rangées dans le sous-répertoire font appartenant au répertoire arcalib et munies de l'extension .fon.

  • REMARQUE: On se sert pour les cotations, des mêmes polices de caractères que pour les textes. Les motifs linéaires font appel à une police spéciale arcpatrn.fon, dans laquelle chaque "caractère" représente l'unité de base qui se répète dans le motif. Le fichier arcpatrn.fon est rangé dans le sous-répertoire font appartenant lui-même au répertoire arcalib.


Positionnement, justification et direction

Lorsque vous effectuez une insertion de texte, celui-ci est placé au point de justification que vous indiquez. Une fois le texte entré, vous pouvez en définir la direction en indiquant un second point. Vous pouvez aussi, dans le plan xy ou xz, presser Entrée pour obtenir un alignement du texte parallèle à l'axe des x (+x).

Le texte peut être situé au-dessus, au-dessous ou sur la ligne de direction. Par rapport au point de justification, le texte peut être justifié à gauche, justifié à droite ou centré.


Réglage à partir de la barre d'outils

Les attributs de texte peuvent également être modifiés dans la barre d’outils Attributs de texte:

Descriptions

Elément | Définition
 | Accès au gestionnaire de styles de texte.
 | Applique les attributs de texte courant
 | Style en cours : vous pouvez choisir un autre style dans la liste déroulante
 | Police en cours
 | Taille du texte en cours
 | Caractères gras et italique
 | Justification horizontale
 | Couleur du texte
  • REMARQUE :L’interprétation de la taille dépend du mode de texte choisi, fixe ou à l’échelle.


Réglage à partir de la boîte de dialogue

Définit les attributs du texte courant à l’aide de la boîte de dialogue des attributs de texte.

\atext

Au lancement de cette commande, choisissez l’option Boîte de dialogue dans le menu apparaissant. La boîte de dialogue suivante apparaîtra:

Toutes les définitions de texte courant peuvent être définies à l’aide de la boîte de dialogue, manuellement ou en indiquant un exemple. Les attributs sont applicables à la fois à une ligne de texte et aux blocs de texte.

Les définitions des attributs sont conservées d’une session de travail à une autre. Le bouton défaut restaure les définitions qui étaient utilisées lorsque vous avez commencé la session de travail en cours.

  • La liste des polices combine les polices True-Type et standard d'ARC+. Le symbole à gauche du nom de la police permet de les identifier comme suit:
  • Police True-type
  • Police standard
  • Cliquez sur la couleur pour faire apparaître le sélecteur des couleurs ARC+. Indiquer la couleur désirée depuis les 255 couleurs disponibles.
  • Choisissez la justification et la position du texte par rapport à la ligne de base - Au-dessus, au-dessous ou sur la ligne de base (au-dessus est le défaut) Texte justifié à gauche, à droite ou centré (à gauche est le défaut):

  • Définissez la taille du texte: Texte en mode fixe—en millimètres (2mm est le défaut) Texte en mode échelle—en mètres (0.2m est le défaut)
  • Définissez les espaces entre les lettres: Proportionnel ou non-proportionnel: Si proportionnel, définir la distance entre les caractères (1-30 en unités relatives; valeur par défaut: 7)
  • Définissez les espaces entre les lignes dans un bloc de texte: Saisissez la valeur en millimètres (par défaut 0.18m / 180mm selon Echelle/Fixe)
  • Vous pouvez cliquer sur le bouton Calque... pour définir le calque de placement par défaut des textes du style courant. Cela ouvre le sélecteur de calque suivant:

Indiquez dans la liste calque désiré. Si celui-ci n’apparaît pas, vous devez l’ajouter en cliquant sur l’icône [image], puis précisez son nom et son numéro. L’icône [image] permet de créer un nouveau groupe de calque.

Si vous ne souhaitez pas que les textes se placent sur un calque déterminé mais sur le calque de travail courant quel qu’il soit, cliquez sur le bouton Courant.


Rechercher du texte

Recherche et sélectionne le texte dans le dessin courant

\textfin

Servez-vous de cette commande pour sélectionner tous les textes contenants le mot que vous cherchez:

  • Saisissez dans le champ Chercher le mot que vous souhaitez trouver dans le dessin.
  • Cliquez sur Chercher suivant

Le système sélectionne tous les textes contenants le mot recherché.


Redimensionnement du texte en police True Type

L’ouverture d’un fichier ARC+ 2ème édition ou version antérieure (2007, 2005, Progress, etc.) provoque un affichage plus grand de la police True Type.Depuis l’Edition 2009, la taille, la forme et l’alignement des polices correspondent aux normes logicielles.Deux commandes permettent de corriger facilement l’ancienne taille afin qu’elle s’adapte au texte de votre dessin.La commande \txtsize est utilisée pour un seul dessin tandis que la commande \mtxtsize permet de contrôler plusieurs fichiers.

Ancien style ARC+ | ARC+ 2009 et versions ultérieures

\txtsize

  • CONSEIL : Le mieux consiste à mesurer la taille exacte d’un bout de texte de votre ancien dessin dans l’ancienne version d’ARC+. La mesure du même texte dans la nouvelle version vous indiquera le facteur de correction exact.

Une boîte de dialogue s’affiche à l’appel de la commande.

Vous pouvez choisir ce que vous souhaitez mettre à l’échelle. Tout est sélectionné par défaut.

  • Chaînes de texte grâce à la commande \text
  • Paragraphes grâce à la commande \textb
  • Cotations

Étant donné que le soulignement de texte True Type est également correct, vous pouvez aussi ajuster le changement qui se produit à l’ouverture d’anciens dessins en activant « Shift relative » (changement relatif).

Le facteur d’échelle 0,8 est un facteur moyen pour le redimensionnement mais, pour être certain et correct, la meilleure façon consiste à mesurer l’ancien dessin comme expliqué ci-dessus.

Dans la section inférieure «Group on to operate» (groupement à effectuer), vous pouvez contrôler le redimensionnement d’une partie ou de la totalité du fichier affiché à l’écran.


Redimensionnement du texte en police True Type pour plusieurs fichiers

La commande \txtsize est utilisée pour un seul dessin tandis que la commande \mtxtsize permet de contrôler plusieurs fichiers.

\mtxtsize

  • CONSEIL : Le mieux consiste à effectuer un test sur un fichier avant de redimensionner plusieurs fichiers avec la commande mtxtsize.

Une boîte de dialogue s’affiche à l’appel de la commande.

Elle possède les mêmes paramètres que la commande \txtsize mais comporte des boutons supplémentaires qui permettent la suppression et l’ajout de plusieurs fichiers depuis n’importe quel emplacement, avec ou sans sous-dossiers.Les dossiers entiers sont également une option qui peut être utilisée pour redimensionner plusieurs fichiers à la fois.

Veuillez noter que l’utilisation de cette commande sur plusieurs fichiers à la fois est une action irréversible.Le mieux consiste donc à créer une sauvegarde de ces fichiers au cas où une modification non souhaitée se produirait, que vous remarqueriez seulement à l'ouverture des fichiers.


Sélection de texte par leur style

Vous pouvez sélectionner et désélectionner des textes selon leur style en utilisant la commande suivante:

\stxtstl

Après avoir exécuté cette commande, choisissez si vous voulez sélectionner ou désélectionner les textes. Tous les textes utilisés dans le modèle apparaissent dans la liste qui s’affiche. Vous pouvez sélectionner autant de styles que nécessaire. Validez et tous les textes utilisant les styles indiqués seront sélectionnés ou désélectionnés.


Sélection de tous les textes

Addition de toutes les entités de textes du modèle au groupe de sélection, ou leur effacement du groupe de sélection.

\apsel

Pour une description de cette commande, voir Sélection, sélection par type d'entité (\apsel).


Sélection par police de caractères

Sélectionne ou désélectionne tout texte ou toutes dimensions avec une police particulière.

\ftsel

Choisissez de sélectionner ou de désélectionner.

Choisissez la police de caractères à l’aide de la boîte de dialogue:

Tous les textes et les cotations ayant la même police sont ajoutés ou supprimés du groupe de sélection.


Taille des textes-scalaire ou fixe

ARC+ offre deux options pour contrôler la taille des textes dans vos dessins. Ces options s'appellent mode scalaire et mode fixe.

Le texte scalaire:

  • Change de taille en même temps que tous les autres éléments lorsque vous effectuez un zoom à l'écran ou changez l'échelle du dessin
  • Se trouve agrandi par le facteur de l'axe des x lorsqu'un objet contenant le texte est placé dans un autre dessin

Le texte fixe:

  • Change de taille en même temps que tous les autres éléments lorsque vous effectuez un zoom à l'écran
  • Peut être à tout instant ramené à sa taille originale, indépendamment de l'écran ou de l'échelle du dessin
  • N'est pas affecté par les facteurs d'échelle lorsqu'un objet contenant le texte est placé dans un autre dessin

Vous pouvez choisir soit le mode scalaire, soit le mode fixe pour vos textes, vos motifs linéaires ou pour les textes des cotations. Vous pouvez aussi utiliser dans un même dessin, des textes des deux modes.

  • CONSEIL : Pour les indications qui doivent rester lisibles lorsqu'on réduit l'échelle d'un dessin, comme des cotations ou des instructions, utilisez des textes fixes. Pour les textes faisant partie intégrante d'un modèle, comme par exemple les noms ou les enseignes sur les immeubles, utilisez le mode scalaire.

Travail sur textes scalaires

Si vous travaillez sur des textes scalaires spécifiez la taille des textes en mètres, comme tout autre élément de votre modèle. Ainsi par exemple, si vous spécifiez une taille de 0.4m et affichez le modèle à l'écran ou si vous le tracez à l'échelle de 1:100, les caractères qui apparaîtront auront une hauteur de 0.4m/100 = 4mm. Si l'échelle est portée à 1:50, les caractères auront une hauteur de 8mm.

Si dans votre modèle, vous placez un objet contenant un texte scalaire (voir Objets placés et catalogues), vous pouvez spécifier des facteurs scalaires qui permettront d'étirer les axes xyz de l'objet placé. Cependant, le texte dans votre objet sera multiplié, en hauteur et en largeur, par le facteur scalaire de l'axe des x seulement, indépendamment du plan ou de l'orientation du texte.

Travail sur textes fixes

Si vous travaillez sur des textes fixes, spécifiez la dimension des textes en millimètres. Ce sera la hauteur des caractères dans le dessin final de votre modèle.

Lorsque vous zoomez votre modèle à l'écran (en agrandissement ou en réduction), la taille des textes affichés, aussi bien en mode fixe qu'en mode scalaire, suit les changements apportés à tous les autres éléments du modèle.

Pour ramener le texte à ses dimensions initiales, fixez l'échelle de référence du texte à la valeur actuelle de l'écran ou du dessin (voir Tracé et impression, Contrôle de la dimension des textes fixes, commande \tscrn).

Par exemple, si l'échelle de votre écran ou de votre dessin est 1:100, fixez l'échelle de référence du texte à 1:100 également. Si vous changez l'échelle à 50, changez aussi l'échelle de référence du texte à 50. Dans chacun des cas, le texte se trouvera affiché ou dessiné à son échelle initiale.

Si vous placez dans votre modèle un objet contenant un texte fixe, la taille de celui-ci n'est pas affectée par les facteurs d'échelle de l'objet placé. Vous pouvez étirer ou compresser l'objet autant qu'il vous plaira, la taille du texte demeurera inchangée.

L'échelle de référence de texte est un facteur spécial qui compense l'effet de l'échelle de l'écran ou du dessin sur les textes en mode fixe. La taille des caractères en mode fixe se calcule de la manière suivante:

(échelle de référence de texte actuelle)

(échelle actuelle de l’écran ou du dessin)

(taille de l’écran ou du dessin) = (taille initiale face="Symbol"´

  • REMARQUE : L'échelle de référence de texte affecte tous les textes fixes, les motifs linéaires fixes et les textes fixes des cotations de votre modèle. Il n'est pas possible d'adopter une échelle de référence de texte particulière pour une entité individuelle. L'échelle de référence de texte n'a pas d'effet sur les textes scalaires ou sur tout autre élément du modèle.


Terminologie

Thèmes liés

  • Positionnement, justification et direction
  • Taille des textes-scalaire ou fixe
  • Polices de caractères
  • Espacement proportionnel
  • Indication d'éléments de textes


Utilisation de polices TrueType

Toutes les polices de caractères True Type (TT) installées sur votre système Windows sont désormais automatiquement utilisables dans vos modèles ARC+. Pour alterner entre les polices TT et les 21 polices standard d'ARC+, cliquez sur l'icône TT de la ligne d'état. Notez que le mode True Type est activé par défaut. Pour plus de détails sur les polices de caractères de Windows, reportez-vous à la documentation Microsoft.


Utilitaires de textes

Thèmes liés

  • Redimensionnement du texte en police True Type
  • Redimensionnement du texte en police True Type pour plusieurs fichiers
  • Création ou modification d'une police de caractères - Editeur de polices
  • Insertion de symboles
  • Sélection par police de caractères
  • Affichage de lignes de référence
  • Choix de l'échelle de référence des textes
  • Conversion d'un texte TrueType en polygones
  • Affectation d'un nombre aux entités
  • Ajout de coordonnées


Affectation d'un nombre aux entités

Affecte des nombres séquentiels aux entités de votre modèle.

\number

Cette commande permet de répertorier les éléments de vos modèles (pièces par exemple) à l'aide d'un chiffre ou d'une lettre. Indiquez la position où vous désirez insérer le symbole et entrez un chiffre ou une lettre: chaque clic successif provoquera l'affichage du chiffre ou du caractère suivant dans un symbole du type choisi.

Pour modifier les paramètres par défaut, appuyez sur Entrée, sélectionnez un symbole (cercle, hexagone, pentagone ou rhombe) et sa couleur, puis indiquez si vous désirez utiliser des lettres ou des chiffres pour répertorier les éléments.

Vous pouvez éventuellement ajouter un préfixe à la référence et la faire partir du chiffre ou de la lettre de votre choix (sans devoir obligatoirement commencer par ‘1’ ou ‘A’). Pour définir la police et les autres attributs de texte, cliquez sur le bouton attributs de texte.

Les symboles servant à afficher la référence choisie sont extraits de la même bibliothèque que les grilles de mise en page. Pour savoir comment ajouter vos propres symboles à la bibliothèque, reportez-vous à la section Outils de base, Création de symboles de trames>.


Affichage de lignes de référence

Affichage sur l'écran de toutes les lignes de référence et entités de motifs linéaires.

\txtul

Pour indiquer un texte ou une entité de motif linéaire, vous devez vous référer à l'entité dans la région de sa ligne de référence. La ligne de référence est une ligne invisible placée sous les caractères du texte ou les unités du motif.

Servez-vous de cette commande pour afficher la position exacte des lignes de référence des textes et des motifs linéaires, comme aide à l'indication des entités voulues. Toutes les commandes qui redessinent l'écran suppriment l'affichage des lignes de référence.


Ajout de coordonnées

Inscrit la valeur absolue ou relative des coordonnées.

\coord

Utilisez cette commande pour afficher les coordonnées de points spécifiques de votre modèle. Elle est surtout commode pour les applications du type schéma des fondations ou plan comprenant de nombreuses formes libres. Chaque clic du curseur affiche les coordonnées x et y du point courant (à côté de celui-ci).

Vous pouvez éventuellement déterminer le nombre de décimales et indiquer le texte à afficher à côté du point de référence. Vous pouvez aussi préciser si les coordonnées affichées seront relatives (c'est-à-dire calculées par rapport à un premier point faisant office de point de référence) ou absolues (c'est-à-dire basées directement sur le modèle d'origine).

Pour modifier la police de caractères et les attributs de texte (à l'aide de la boîte de dialogue Police de caractères), appuyez sur Entrée.


Changement de textes existants

Suivant que vous indiquiez une ligne ou bloc de texte, le système fournit la caractéristique d’édition appropriée.

\textu

Modifier une ligne de texte

Si vous indiquez une ligne de texte dans un modèle, elle est affichée pour édition dans la ligne d’invite. Modifiez le texte et appuyez sur Entrer. Maintenant choisissez de modifier soit le texte indiqué seulement (y) soit toutes les apparitions identiques du texte dans le modèle (n).

Modifier un bloc de texte

Si vous indiquez un bloc de texte, la boîte de dialogue de bloc de texte est affichée.

De la boîte de dialogue, vous pouvez effectuer les actions suivantes, après avoir édité le texte:

modifier | Modifie uniquement le bloc de texte indiqué.
tout modifier | Modifie un groupe de blocs de texte (le même bloc de texte qui a été placé plusieurs fois).
modifier att | Modifie les attributs du bloc de texte indiqué.
restaurer texte | Annuler l’édition pour restaurer le texte originel indiqué.
créer nouveau | Un nouveau bloc de texte sera créé, basé sur le bloc de texte indiqué. Editez le texte dans la boîte de dialogue et appuyez sur OK. Les blocs de texte existants ne seront pas affectés


Choix de l'échelle de référence des textes

Choix de l'échelle de référence des textes.

\tscrn

Servez-vous de cette commande pour contrôler la taille des textes en mode fixe (y compris les textes fixes de cotations et les motifs linéaires fixes) avant de tracer le dessin. Pour une description de la commande, voir Tracé et impression, Contrôle de la taille des textes (\tscrn).


Conversion d'un texte TrueType en polygones

Transforme les polices TrueType en polygones ou en solides 3D.

\glyph

Vous pouvez convertir les polices de caractères TrueType en polygones 2D ou en prismes 3D.

Sélectionnez le texte que vous désirez convertir. Vous pouvez soit l'agrandir en indiquant la hauteur du prisme texte, soit le transformer en un polygone texte 2D.

Vous pouvez utiliser cette commande, par exemple, pour créer des lettres 3D sur la devanture d'un magasin ou pour ajouter des effets graphiques 3D impressionnants à vos modèles. En cas de transformation d'un texte en polygones de texte 2D, vous pouvez remplir les caractères avec des motifs ou des hachures décoratives.

Remplissage des polices TrueType

Cliquez sur l'icône Remplissage pour remplir, dans votre modèle, le corps des caractères des polices TrueType à l'aide d'une couleur unie. Le remplissage ne se voit qu'à l'impression.


Création d'un bloc de texte

Utilisez une boîte de dialogue pour insérer un bloc de texte dans votre modèle.

\textb

Tapez votre texte comme dans un éditeur de texte, utilisant la touche Entréefont-family: Symbol; " face="Symbol"¿ pour couper les lignes et pour les espaces. La longueur du texte est illimitée, cependant votre ligne ne doit pas être supérieure à 254 caractères.

Vous pouvez importer un fichier externe de texte ascii en indiquant le chemin dans le champ et en appuyant sur importer fichier (la commande Saisie d’un texte à partir d’un fichier (\textf) n’est plus nécessaire).

Vous pouvez aussi définir les attributs de texte seulement pour ce bloc de texte en choisissant l’option configuration (la configuration du texte courant ne change pas).

Après avoir appuyé sur OK, un cadre de texte attaché au curseur vous aide à placer le bloc de texte. Vous pouvez utiliser les touches Alt pour changer la taille du texte, son orientation ou son origine (comme pour placer un objet):

Alt+3 Restaure l’angle

Alt+4- Rotation de l’angle par 10 degrés

Alt+5 Augmente taille

Alt+6 Diminue taille

Alt+7 Restaure

Alt+8 Point d’origine

  • REMARQUE : Le texte fixe et le texte à l’échelle répondent différemment lorsque vous changez la taille du bloc de texte à l’aide des touches Alt+5/6. Changer la taille du texte fixe ne change pas la taille du texte, seulement l’espace entre les lignes. Changer la taille du texte à l’échelle change proportionnellement à la fois la taille du texte et l’espace entre les lignes

Une fois que le bloc de texte a été inséré vous pouvez le modifier avec la commande Changement de textes existants (\textu).


Index

Home > 19 Dimensions

19 Dimensions

  1. Ajout de lignes de cotation
  2. Arcs et angles
  3. Changement de texte d'une cotation
  4. Commandes supplémentaires pour les cotations
  5. Contrôle de la taille des textes en mode fixe
  6. Conversion des lignes de cotation
  7. Conversion des propriétés ligne de cotation
  8. Cotation automatique pour tous les murs
  9. Cotation d'un angle
  10. Cotation de l'angle d'un arc
  11. Cotations cumulées
  12. Cotations des rayons pour une ellipse
  13. Cotations paramétrables
  14. Coupure d'une cotation
  15. Création automatique d'une cotation
  16. Création d'une cotation d'angle quelconque entre points spécifiés
  17. Création de cotation de ligne de base
  18. Création de cotation entre points spécifiés
  19. Création de cotation normale à l'entité
  20. Création de cotation par entités indiquées\dimh i - \dimv i
  21. Création de cotation parallèle à l'entité
  22. Création de lignes de cotation linéaires
  23. Définition et mise à jour des attributs
  24. Déplacement du texte d'une cotation
  25. Edition des lignes de cotation
  26. Effacement de toutes les cotations
  27. Extension d'un modèle et de ses cotations
  28. Extension d'une cotation existante
  29. Génération automatique de cotations dans un intervalle donné
  30. Insertion de symboles
  31. Introduction
  32. Jonction de deux cotations
  33. Lignes de cotation pour une ellipse
  34. Mesure d'un rayon
  35. Mesure de cotes non orthogonales
  36. Mesure de la longueur d'un arc
  37. Modification de l'orientation du texte de cotation
  38. Modification de la longueur d'une cotation
  39. Sélection de toutes les lignes de cotation
  40. Sélection des lignes de cotation
  41. Sélection par police de caractères
  42. Style de Cotation
  43. Travailler avec des lignes de cotation de base


Ajout de lignes de cotation

Crée une nouvelle ligne de cotation en additionnant des cotations existantes.

\dimsum

Indiquez si vous désirez que la nouvelle ligne de cotation vienne s'ajouter ou se substituer aux lignes de cotation existantes.

Pour créer une ligne de cotation totalisatrice venant s'ajouter aux lignes existantes:

Choisissez l'option ligne de cotation supplémentaire et déterminez la longueur de la portion dont vous désirez additionner les segments de cotation en précisant:

  • La première ligne de cotation à gauche (dimension horizontale) ou en bas (dimension verticale).
  • La dernière ligne de cotation à droite ou en haut.

Indiquez l'emplacement de la ligne de cotation totalisatrice.

Pour créer une ligne de cotation totalisatrice venant remplacer des lignes de cotation:

Choisissez l'option remplacer et indiquez les cotations à totaliser à l'aide de la procédure décrite dans la section précédente. La nouvelle ligne totalisatrice est substituée aux lignes dont elle additionne les valeurs.


Arcs et angles

Les commandes suivantes créent les cotations des arcs, des rayons et celles des angles.

Thèmes liés

  • Cotation de l'angle d'un arc
  • Cotation d'un angle compris entre deux lignes
  • Lignes de cotation pour une ellipse
  • Mesure d'un rayon
  • Cotations des rayons pour une ellipse
  • Mesure de la longueur d'un arc


Changement de texte d'une cotation

Change le texte d'une entité de cotation spécifiée.

\dimut

Insérez le nouveau texte (jusqu'à 40 caractères, espaces compris).

Indiquez l'entité de dimension devant être changée.

Le texte est remplacé. Sa position et ses attributs demeurent inchangés.

Si vous éditez ou étendez plus tard la cotation, la cotation correcte est recalculée et substituée au texte précédent. Pour ajouter un texte en exposant, tapez le symbole ^ (Shift+6) avant et après les caractères que vous désirez taper en exposant.


Commandes supplémentaires pour les cotations

Les commandes suivantes vous permettent de créer les cotations de ligne de base, les cotations cumulées, ainsi que les textes associés à des symboles qui pourront être utilisés pour marquer les niveaux sur un dessin.

Thèmes liés

  • Cotations cumulées
  • Création de cotation de ligne de base
  • Cotations paramétrables
  • Insertion de symboles
  • Ajout de lignes de cotation


Contrôle de la taille des textes en mode fixe

Définit l'échelle de référence du texte.

\tscrn

Servez-vous de cette commande pour contrôler la taille des textes fixes (y compris la taille des textes fixes et des motifs linéaires fixes) avant de tracer le dessin.

Pour une description de la commande, voir Tracé et impression, Contrôle de la taille des textes fixes (\tscrn).


Conversion des lignes de cotation

Il est possible que vous travailliez avec un modèle créé à l’aide d’une ancienne version d’ARC+ (Version 11.03 ou précédente) et que vous ajoutiez les cotations créées par les options disponibles dans la Version 13. Dans ce cas, vous aurez besoin de "convertir" les propriétés des anciennes lignes de cotations pour les accorder avec celles créées par les nouvelles options. De même, il peut y avoir des cas où vous ayez besoins de changer les propriétés des nouvelles cotations pour les accorder avec celles créées par les anciennes commandes, par ex. lors du transfert de modèles à un utilisateur d’ancienne version.

Thèmes liés

  • Conversion des propriétés ligne de cotation


Conversion des propriétés ligne de cotation

Convertit les propriétés des lignes de cotations créées par les options d’anciennes versions pour les accorder avec celles de la Version 13, ou vice versa.

\dimconv

Spécifiez la conversion d’ancien à nouveau, ou de nouveau à ancien.

Indiquez les entités de cotation à convertir ou appuyez sur Entrée pour convertir toutes les cotations.


Cotation automatique pour tous les murs

Génère automatiquement les lignes de cotations pour tous les murs dans la totalité d’un dessin.

\dimal

Description

Cette commande génère les lignes de cotation sur les quatre côtés du modèle. Une hiérarchie de quatre lignes de cotation au maximum par côté est créée, selon la complexité du modèle. Seuls les murs sont mesurés. La projection traitée doit être en vue plane orthogonale.

Indiquez une ligne du modèle qui détermine la direction orthogonale principale pour les lignes de cotation, c.-à-d., telle que les lignes de cotations lui seront parallèles ou perpendiculaires. Alternativement, appuyez sur Enter si les lignes de cotation doivent être orthogonales à l'axe x.

Indiquez quatre points, un sur chaque côté du modèle, à travers lesquels les lignes de cotation seront tracées le plus près du modèle.

  • Le premier point devra se trouver sur la partie la plus basse de la ligne de direction principale du modèle.
  • Le deuxième point devra se trouver sur le côté opposé (supérieur).
  • Le troisième point devra se trouver sur le côté droit du modèle.
  • Le quatrième point devra se trouver sur la gauche.

Une série de lignes d'aide est créée dans le modèle indiquant les points où seront mesurés les murs sécants. Quatre lignes d'aide supplémentaires, distinctes par leur couleur, indiquent la position des lignes de cotation les plus proches du modèle.

Confirmez la position des lignes d'aide, puis spécifiez la distance entre les lignes de cotation en tant que facteur de la taille du texte, c.-à-d. si la taille du texte choisie est de 4 mm, et que vous désirez fixer la distance entre les lignes de cotation à 10 mm, spécifiez 2.5 (2.5 x 4=10).

  • REMARQUE : Au cours de cette phase, vous pouvez éditer les lignes d'aide en donnant une réponse négative au prompt de confirmation. Déplacez ou supprimez les lignes d'aide à l'aide des commandes régulières de ARC+, afin de contrôler les points où les lignes de cotation mesurent le modèle. Lorsque votre travail d'édition est achevé, vous devez redémarrer la commande de génération automatique des cotations en frappant \dimal1.

Les lignes sont créées. Les lignes les plus externes par rapport au modèle mesurent les dimensions hors tout de ce dernier, alors que les lignes les plus internes mesurent successivement une plus grande quantité de détails du modèle.

  • REMARQUE : Les cotations sont générées uniquement pour les murs formant des angles droits avec les lignes d'aide. Il n'y a pas de cotation automatique pour les murs courbes.


Cotation d'un angle compris entre deux lignes / 3 points

Home > 19 Dimensions > Cotation d'un angle compris entre deux lignes / 3 points

Cotation d'un angle

\angle

Création d'un arc de cotation mesurant un angle entre 2 lignes ou par 3 points. Lors du lancement de la commande, l’option « par 2 lignes » est lancée. Appuyer Entrée pour naviguer entre les deux méthodes.

Création d'un arc de cotation entre 2 lignes

\angle21

Création d'un arc de cotation mesurant un angle entre 2 lignes.

Indiquez les deux lignes et le point de passage de la cotation. L'angle est mesuré entre les projections des lignes dans le plan actif au moment considéré, ou entre les extensions des projections si les deux lignes ne se coupent pas.

Définir un point de positionnement par lequel passera l'arc de cotation. Un arc se trouve alors dessiné, parallèlement au plan actif, et la mesure de l'angle, en degrés, se trouve écrite à côté de l'arc.

Indiquez les deux lignes. L'angle est mesuré entre les projections des lignes dans le plan actif au moment considéré, ou entre les extensions des projections si les deux lignes ne se coupent pas.

  • REMARQUE : Les textes de l'arc et de la cotation sont des entités indépendantes, pouvant être éditées individuellement.

Création d'un arc de cotation entre trois points

\ang3p

Création d'un arc de cotation mesurant un angle par 3 points.

Indiquez le sommet de l'angle et les deux autres points. Les points doivent se trouver tous les trois dans le plan actif au moment considéré. Définissez un point de positionnement par lequel passera l'arc de cotation.

Un arc se trouve alors dessiné, parallèlement au plan actif, et la mesure de l'angle, en degrés, se trouve écrite à côté de l'arc.

  • REMARQUE : Les textes de l'arc et de la cotation sont des entités indépendantes, pouvant être éditées individuellement.


Cotation de l'angle d'un arc

Crée la cotation de l'angle d'un arc pour chacun des plans principaux.

\anga

Indiquez l'arc à mesurer. Définissez un point de positionnement traversé par l'arc de cotation. Ce point détermine également la position du texte associé à l'angle. Le style de cotation courant est appliqué.

  • REMARQUE : Utilisez cette commande uniquement pour les vues orthogonales du modèle. L'arc mesuré doit être parallèle au plan de travail.

L'arc de cotation, le texte et les deux petites lignes d'aide créés par cette commande sont des entités assimilées aux lignes de cotation et peuvent être éditées isolément. Sélectionnez à l'aide de la commande Sélection par type d'application (\apsel, option d), ou effacez à l'aide de la commande Effacement de toutes les cotations (\dmdel). Les entités sont affectées des attributs courants définis pour les lignes et les textes de cotations respectivement, à l'exception des attributs de justification et de format. Le texte est justifié en fonction de sa position relative autour de l'arc, le texte est quant à lui affiché en degrés avec une précision d'un chiffre après le point décimal.

  • CONSEIL : Vous pouvez effectuer une interrogation sur l'angle d'un arc sans avoir à créer les lignes de cotation, en utilisant la commande Informations sur l'angle d'un arc (\qanga, voir Informations et quantités).


Cotations cumulées

Etiquetage d'un dessin au moyen de cotations cumulées.

\rndim

Description

Cette commande mesure les dimensions cumulées (par ex, hauteurs de planchers) parallèles à l'axe vertical d'un dessin.

La commande est prévue pour emploi sur une projection à deux dimensions d'un modèle, par ex., une vue en élévation (voir Fichiers, Sauvegarde d'une projection 2D du modèle, commande \save2d).

  • REMARQUE : Vous pouvez utiliser cette commande sur un modèle à trois dimensions seulement pour mesurer des dimensions parallèles à l'axe des y. Les symboles des cotations cumulées sont placés dans le plan xy.

Les termes employés dans cette commande sont les suivants:

cotation cumulee | Coordonnée relative d'un point le long de l'axe vertical.
point de reference | Point sur l'axe, par référence auquel les cotes cumulées sont mesurées.
valeur de reference | Valeur de la cote cumulée au point de référence (par ex., 0.00).
cote absolue | Coordonnée réelle d'un point le long des axes (par ex., hauteur au dessus du niveau de la mer).

Définition du symbole d'une cote cumulée

Cette commande affecte les dimensions cumulées d'un symbole du catalogue graphique dim_levl. Vous pouvez utiliser l'un des symboles prédéfinis, ou vous pouvez créer vos propres symboles et les ajouter au catalogue.

Si vous choisissez votre propre symbole, le premier point à définir est utilisé comme point de justification du texte, et le point origine est aligné avec les dimensions cumulées mesurées. Ajouter le symbole au catalogue en utilisant la commande Sauvegarde d'un fichier catalogue (\libedit, voir Objets placés et catalogues).

Utilisation

Lors de la première utilisation de cette commande au cours d'une session de travail avec ARC+, choisissez un symbole de dimension cumulée en frappant son nom, ou bien pressez Enter pour visualiser le catalogue graphique. Lors de la prochaine utilisation de cette commande, le même symbole sera employé par défaut, ou vous pourrez presser Enter pour choisir un nouveau symbole.

Spécifiez si les symboles doivent être alignés verticalement:

  • Si vous décidez d'aligner, définissez un point d'alignement. Les symboles sont alors placés sur une ligne verticale imaginaire passant par ce point.
  • Si vous décidez de ne pas aligner, les symboles seront placés aux points que vous indiquerez.

Indiquez le point de référence. Pressez Enter pour employer le point d'alignement comme point de référence.

Tapez la valeur de référence ou pressez Enter pour 0.00.

Tapez la cote absolue du point de référence, ou en cas d'absence de cote absolue, pressez Enter.

Pressez Enter si vous voulez placer le premier symbole au point de référence. Les valeurs de référence et absolues sont converties aux unités en cours à ce moment (voir Définition des attributs, commande \adim) et affichées à côtés des symboles. Les attributs sont également pris dans les définitions des attributs de cotations.

Indiquez les points de cotation.

Avant d’indiquer les points des cotes, vous pouvez changer la taille et l'orientation de ce symbole:

Commande | Effet
[Alt+1] | Retournement du symbole autour de l'axe vertical
[Alt+2] | Retournement du symbole autour de l'axe horizontal
[Alt+5] | Augmentation de la taille du symbole d'un incrément fixe
[Alt+6] | Réduction de la taille
[Alt+7] | Retour à la taille et à l'orientation initiales
Enter | Changement de la taille de l'incrément

La cote cumulée de chaque point s'inscrit dans le dessin.

  • REMARQUE : Cette commande est affectée par les définitions de la commande Définition des attributs (\adim) mais ne peut pas être mise à jour par la commande Mise à jour des attributs de cotation (\uadim).


Cotations des rayons pour une ellipse

Mesure les rayons d’une ellipse indiquée, sur n’importe lesquels des plans principaux.

\radel

Indiquez l’ellipse à mesurer et confirmez.

Indiquez le point sur la circonférence de l’ellipse par rapport auquel les rayons seront mesurés. Les cotations des rayons de l’ellipse apparaîtront comme suit:

  • REMARQUE Vous pouvez demander des mesures supplémentaires de rayons en spécifiant un point de référence différent.

Vous pouvez spécifier n’importe quel point dans le modèle, et non pas seulement des points sur la circonférence de l’ellipse.

Cette fonctionnalité est utile, par exemple, lorsque vous devez définir l’emplacement des centres relatifs aux autres points dans le modèle.

  • REMARQUE : Lorsque vous changez la taille d’une ellipse avec la nouvelle commande Modifier rayons de l'ellipse \upel, les lignes de cotation ne sont pas mises à jour. Vous devez les supprimer et en créer de nouvelles


Cotations paramétrables

Cette option permet la définition de contraintes (limites inférieure et supérieure) d’une cotation paramétrable existante ou nouvellement créée.

\dimpar

Définition des contraintes des cotations paramétrables

  • CONSEIL : Reportez-vous au chapitre 15 du Manuel de l’utilisateur Volume 2 pour des explications détaillées concernant la création d’un objet paramétrable.
  • Sélectionnez l’option Définir la contrainte.
  • Indiquez la ligne de cotation pour laquelle les contraintes doivent être définies, puis confirmez votre choix.
  • Saisissez la valeur limite minimale puis la valeur maximale dans la ligne de commande
  • REMARQUE: Vous devez saisir des valeurs positives dans l’unité en cours. La valeur minimale doit être inférieure à la longueur de la ligne de cotation sélectionnée, la valeur maximale supérieure.
  • Enregistrez votre fichier dans les bibliothèques en suivant la procédure habituelle, telle qu’elle est décrite dans le chapitre indiqué plus haut.

Placer l’objet paramétrable avec la contrainte de cotation

Lors du placement d’objets paramétrables pour lesquels des contraintes ont été définies, les valeurs inférieures et supérieures à la fourchette indiquée ne sont pas acceptées et un message d’erreur invite l’utilisateur à corriger la valeur saisie.


Coupure d'une cotation

Coupure d'une cotation en deux.

\bkdim

Indiquez la cotation à couper. Indiquez un nouveau point de cotation sur le modèle.

La cotation est coupée au point indiqué et les cotations des deux parties sont maintenant affichées.


Création automatique d'une cotation

Indiquez le point de positionnement à travers lequel vous voulez faire passer la cotation. Des cotations sont dessinées pour chaque ligne coupant la cotation.

\hdmau - \vdmau

Dans les commandes de cotation automatique, ARC+ identifie automatiquement les points de cotations selon les règles suivantes:

  • Les cotations sont créées sur tous arcs, lignes, polygones, solides et murs du modèle (y compris ceux d'objets placés) coupant une ligne de cotation à un angle de 90°.
  • Les cotations des murs sont générées soit à la surface des murs ou des axes (comme spécifié par l’utilisateur), mais les calques internes des murs de sont pas mesurées.

Les entités telles que d'autres lignes de cotation, des lignes de texte, d'aide, de hachurage, de motifs de remplissage de surfaces ou des motifs linéaires ne sont pas mesurées.

Horizontales:

Verticales:


Création d'une cotation d'angle quelconque entre points spécifiés

\dim2p

Indiquez le point de positionnement par lequel la ligne de cotation passera.

Indiquez deux points définissant la direction de la cotation. La ligne de la cotation sera parallèle au segment joignant les deux points en question.

Si les points de direction que vous avez définis sont également les points à mesurer, appuyez sur Enter. Le texte et la ligne de cotation sont créés dans l’espace 3D.


Création de cotation de ligne de base

Créée une série de cotations à partir d’une ligne de base commune.

\dimbase

Définissez la distance entre les lignes de cotation (facteur de la taille du texte). Indiquez le premier point de la ligne de base à mesurer, puis un second point pour indiquer la direction de la ligne de base.

Indiquez un point sur la première ligne de cotation; indiquez d’autres points pour créer des lignes de cotations supplémentaires à partir de la ligne de base.

La ligne de base et la succession des lignes de cotations qui lui sont perpendiculaires sont affichées.


Création de cotation entre points spécifiés

\dimh p

\dimv p

Indiquez le point de positionnement par lequel la ligne de cotation passera. Indiquez deux ou plusieurs points. La cotation est affichée dans votre dessin.

Horizontales:

Verticales:


Création de cotation normale à l'entité

\dimn

Indiquez une ligne sur l’entité où créer une ligne de cotation perpendiculaire, puis indiquez un point de positionnement. Indiquez des points pour mesurer. Une ligne de cotation est affichée, perpendiculaire à la ligne indiquée.


Création de cotation par entités indiquées\dimh i - \dimv i

Home > 19 Dimensions > Création de cotation par entités indiquées\dimh i - \dimv i

Création de cotation par entités indiquées

\dimh i

\dimv i

Indiquez le point de positionnement par lequel la ligne de cotation passera. Indiquez l’entité à mesurer. La ligne de cotation est créée.

Vous pouvez continuer à sélectionner des entités à mesurer. Les lignes de cotation sont affichées pour chaque objet sélectionné mais pas pour les espaces entre eux. Pour mesurer les espaces entre les entités, appuyez sur Enter pour indiquer un point spécifique. Une ligne de cotation est affichée entre les deux entités.


Création de cotation parallèle à l'entité

\dimp

Indiquez le point de positionnement pour la ligne de cotation parallèle, puis indiquez l’entité à mesurer. Vous pouvez indiquer d’autres entités ou appuyer sur Enter pour indiquer un point spécifique. Une ligne de cotation parallèle à l’entité est affichée.

  • REMARQUE : Pour mesurer les murs hauteurs des murs d’appui, ouvertures et murs, voir Définition et mise à jour des attributs (\adim, \uadim).


Création de lignes de cotation linéaires

Crée des lignes de cotation à l’aide des cinq options suivantes:

  • Horizontales
  • Verticales
  • Parallèles à une entité indiquée
  • Normales (perpendiculaires) à une ligne indiquée
  • Libres

\dim

  • REMARQUE : Chacune des nombreuses options de cette commande peut être accédée directement en tapant sur le clavier le nom de la commande (ou son raccourci, si disponible).

Les lignes de cotation horizontales ou verticales peuvent être créées automatiquement, à l’aide des entités indiquées, ou entre les points spécifiés.


Définition et mise à jour des attributs

\adim

\uadim

Définit les attributs des lignes de cotation et du texte.

Spécifiez ou modifiez les attributs des cotations à l’aide de la boîte de dialogue Attributs des Cotations, ou choisissez les autres options.

Vous pouvez sélectionner les entités à modifier avant d’utiliser cette commande.

manuel | Vous permet de changer l’un après l’autre chaque attribut que vous sélectionnez en tapant le chiffre correspondant, comme suggéré.
exemple | Vous indiquez un exemple d’une ligne de cotation existante ayant les attributs que vous désirez donner à une autre entité, puis copiez ces attributs en indiquant une entité ou en désignant un groupe de sélection.
boite de dialogue | Voir description ci-dessous.

Elle est constituée de 3 onglets Général, Texte, Format, dont les contenus sont détaillés ci-après.

Attributs généraux (onglet Général)

Les paramètres du premier onglet sont :

Attribut | Description
ligne | Choisissez de définir la longueur entre une entité et la base de la ligne de rappel par taille (longueur fixe) ou par distance (décalage) A — Définir taille ou B — Décalage au point indiqué C — Définir la longueur des lignes de rappel au-delà de la ligne de cotation D — Définir la longueur des lignes de cotation au-delà de la ligne de rappel E — Position du texte de cotation au-dessus de la ligne de cotation (0 ou plus)
symbole de cotation | Choisissez: slash, cercle, flèche, objet taille du symbole miroir — par défaut, les symboles de cotation apparaissent en configuration parallèle. Choisissez cette option si vous désirez que les symboles apparaissent en symétrie (par ex.flèches)
couleur de la ligne de cotation | Cliquez sur le rectangle couleur pour faire apparaître le sélecteur des couleurs. Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la sélectionner

calque: Vous pouvez cliquer sur le bouton Calque... pour définir le calque de placement par défaut des cotations.

Cela ouvre le sélecteur de calque suivant:

Indiquez dans la liste calque désiré. Si celui-ci n’apparaît pas, vous devez l’ajouter en cliquant sur l’icône [image], puis précisez son nom et son numéro. L’icône [image] permet de créer un nouveau groupe de calque.

Si vous ne souhaitez pas que les cotations se placent sur un calque déterminé mais sur le calque de travail courant quel qu’il soit, cliquez sur le bouton Courant.

  • REMARQUE : Les 3 options suivantes ne sont pas disponibles lors de la modification des attributs
Attribut | Description
entites a mesurer | Choisissez entre ces trois options: tout, murs seulement (seulement les entités de murs) ou selection (seulement entités sélectionnées)
details du mur | Cotation des facades du mur, axes du mur, ou les deux
ouvertures | Vous pouvez spécifier la façon de mesurer les ouvertures de mur: aucune: ne mesure pas les ouvertures + largeur: n'indique que la largeur +hauteur: indique la largeur plus la hauteur +allege: indique la largeur la hauteur et l'allège
Texte de l'allège | Définir le texte de l’étiquette (par ex: All=) si désiré

Définition des éléments de mur pour mesurer

Les paramètres des entites a mesurer déterminent le type d’entité à mesurer: toutes les entités, seulement les murs, ou également les ouvertures. Vous spécifiez également quels détails du mur mesurer — la façade, les axes ou les deux. Lorsque vous mesurez les ouvertures, vous pouvez inclure:

  • la largeur
  • ajouter la hauteur de l’ouverture
  • ajouter la hauteur du mur d'appui

(Vous pouvez spécifiez une étiquette de jusqu'à cinq caractères pour la hauteur du mur d’appui par ex. appui=ou l'abréviation M.A. N'oubliez pas de marquer un espace final si vous souhaitez qu'il en reste un entre l'étiquette et la cotation).

Lorsque vous mesurez des murs, le système utilise les paramètres que vous avez défini pour créer une ligne de cotation aux extrémités du mur, aux jonctions avec le mur ainsi qu’aux ouvertures (si vous choisissez cette option). Si vous définissez une ligne de cotation le long le la façade du mur et si les deux côtés du mur sont d'inégale longueur, c'est le côté le plus proche de la cotation qui est mesuré. Les dimensions d'une jonction en T sont affichées lorsque la cotation est du même côté du mur que la jonction.

  • REMARQUE : Si la hauteur du mur d’appui est 0, elle n'est pas affichée.

Attributs de texte (onglet Texte)

Le second onglet permet le paramétrage des textes de cotation.

Attribut | Description
Police | Choisir le nom de la police de caractères (voir définition des attributs de texte (\atext))
Style: Italique, Gras | Paramètres de l’apparence des caractères (Police TrueType™ seulement)
Justification | Alignement horizontal du texte lorsque celui-ci est trop grand pour pouvoir rentrer entre les deux lignes d'extension.
Emplacement | Alignement vertical du texte par rapport à la ligne de cotation
Couleur | Cliquez sur le rectangle couleur pour faire apparaître le sélecteur des couleurs. Vous avez le choix parmi les 255 couleurs d’ARC+. Cliquez sur la couleur désirée, puis sur OK pour la sélectionner
Hauteur | Taille du texte
Mode du texte | fixe ou a l’echelle (scalaire)
proportionnel | Spécifiez l’espacement du texte en entrant une valeur de 1 à 32 : distance proportionnelle entre les caractères
largeur du texte | Indiquez une valeur supérieure à 0.1 (polices ARC+ seulement)
inclinaison | Définissez l’angle d'inclinaison du texte entre -45 et +45 (polices ARC+ seulement)

Vous pouvez aussi personnaliser le repositionnement automatique des textes de cotation. Pour afficher la boîte de dialogue Repositionnement Automatique, cliquez sur le bouton Paramètres....

  • CONSEIL : Reportez-vous au chapitre 19 du volume 2 afin de vous familiariser avec les paramètres du repositionnement automatique.

Repositionnement automatique suivant les paramètres

Si vous cotez des entités automatiquement, dans certaines situations la place peut s’avérer insuffisante pour placer tout le texte de cotation sur la même ligne. Si un segment coté est trop court pour insérer le texte (suivant les paramètres courants), le système alignera automatiquement le texte différemment et ne tiendra pas compte des paramètres—par exemple, sur la droite ou au-dessus au lieu de le centrer. Une nouvelle option vous permet de contrôler les priorités utilisées par le système pour repositionner le texte (voir ci-dessus la table des paramètres de priorité).

Fonctionnement

Dans la boîte de dialogue des Attributs de Cotation, choisissez l’option parametres de texte. Utilisez les options d’emplacement du texte et de priorités dans la boîte de dialogue Attributs du Texte de Cotation pour définir les paramètres de placement du texte de la ligne de cotation. Pour afficher la boîte de dialogue Définition Reposition Automatique, choisissez l’option reposition automatique.

Au cas où le texte ne rentre pas sur la ligne de cotation, vous pouvez définir jusqu’à quatre priorités pour le déplacement du texte. Le système essaiera alors de repositionner le texte selon les priorités.

Si le texte ne peut pas être repositionné selon l’un des paramètres, il sera affiché en une couleur différente (indiquant qu’il est superposé à des textes adjacents).

Lorsque la Reposition Automatique est active, elle rejette les paramètres d’emplacement et de priorité.

Lorsque l’option reposition automatique est inactive, le texte est déplacé selon la sélection des priorités de la boîte de dialogue des Attributs du Texte de Cotation: gauche, centre, ou droite. (Voir la commande Déplacement du texte d'une cotation \dimmt).


Déplacement du texte d'une cotation

Déplacement d'un texte de cotation à un autre positionnement.

\dimmt

Choisissez de déplacer le texte en indiquant deux points, ou utilisez les paramètres de priorité des paramètres de reposition automatique.

Indiquez la cotation dont le texte doit être déplacé.

Par deux points

Le texte est translaté de la distance comprise entre les deux points. Remarquez que la ligne de cotation peut être divisée en entités séparées à l'aide des symboles de cotation.

Continuez d'indiquer les autres cotations qui doivent être translatées de la même distance.

Automatiquement:

La nouvelle option vous permet d’appliquer les paramètres de priorité des paramètres de reposition automatique dans la commande Attributs des cotations (\adim) (assurez-vous que l’option reposition automatique est active).

Définissez le déplacement. Appuyez sur Enter pour afficher la boîte de dialogue Définition Reposition Automatique. Définissez les priorités puis indiquez la ligne de cotation que vous voulez modifier.

  • REMARQUE : Si vous ne définissez pas de priorité d’emplacement avant la reposition automatique, le système utilisera les priorités courantes.


Edition des lignes de cotation

Il est possible de couper, joindre ou étendre des cotations après les avoir créées. Il est également possible de changer les unités des cotations ou leurs autres attributs.

Thèmes liés

  • Extension d'une cotation existante
  • Coupure d'une cotation
  • Modification de la longueur d'une cotation
  • Jonction de deux cotations
  • Extension d'un modèle et de ses cotations
  • Contrôle de la taille des textes en mode fixe
  • Changement de texte d'une cotation
  • Déplacement du texte d'une cotation
  • Modification de l'orientation du texte de cotation


Effacement de toutes les cotations

Effacement de toutes les entités de cotation du modèle.

\dmdel

Cette commande efface en une seule opération toutes les cotations tant linéaires qu'en arc, ainsi que les dimensions cumulées de tout le modèle.

Vous pouvez effacer une ligne de cotation spécifique à l'aide de la commande Effacement d'une entité (\dele, voir Edition et manipulation).

  • REMARQUE : Lors de l'exécution de cette commande, les entités qui ne sont pas des cotations, et qui étaient sélectionnées sont désélectionnées (mais non effacées).


Extension d'un modèle et de ses cotations

Fait subir au contenu d'une enceinte spécifiée un déplacement relatif. Si une cotation se trouve à l'intérieur de l'enceinte, le texte de la cotation est automatiquement mis à jour a sa nouvelle longueur.

\stretch

Servez-vous de cette commande pour étendre ou comprimer un élément du modèle et mettre à jour une cotation de manière appropriée. A cette fin:

Servez-vous de cette commande pour étendre ou comprimer un élément du modèle et mettre à jour une cotation de manière appropriée. A cette fin:

  • La cotation doit être parallèle à la direction de l'extension.
  • Une extrémité de la cotation et une des caractéristiques doivent se trouver à l'intérieur de l'enceinte.
  • L'autre extrémité doit se trouver à l'extérieur de l'enceinte.

Pour une description complète de la commande, voir Edition et manipulation, Extension d'une entité (\stretch).


Extension d'une cotation existante

Etend une ligne de cotation existante pour de nouvelles cotations.

\dimcont

Indiquez la ligne de cotation à étendre.

Indiquez le prochain point pour allonger un nouveau segment de cote, ou appuyez sur Enter pour indiquer une ligne de cote différente puis indiquez le point suivant. La ligne de cotation existante inclut maintenant la cotation supplémentaire.

La partie étendue de la ligne de cotation prend le même point de positionnement, direction et attributs que la ligne originelle.


Génération automatique de cotations dans un intervalle donné

Génération automatique d'une séquence horizontale ou verticale de lignes de cotation dans une zone ou région spécifique du modèle.

\dimau

Indiquez un point de positionnement par lequel passera la ligne de cotation. Indiquez les deux points de l'intervalle entre lesquels les cotations sont demandées.

Si la ligne qui joint les deux points en question est jusqu'à 45° de l'horizontale, la ligne de cotation sera créée à l'horizontale. Les cotations sont générées entre toutes les lignes verticales se trouvant dans la zone définie et coupant la ligne de cotations.

Dans le cas contraire (ligne faisant avec l'horizontale un angle > 45°), il sera créé une ligne de cotation verticale. Les cotations sont générées entre toutes les lignes horizontales se trouvant dans la zone définie et coupant la ligne de cotations.

Pour créer d'autres lignes de cotations dans d'autres régions du dessin, continuez à indiquer des couples supplémentaires de points définissant des zones. Les points de positionnement se trouvent sur les nouvelles lignes de cotation (ou sur leur prolongement), mais —en fonction de l'orientation des points de définition des zones—ces lignes seront parallèles ou perpendiculaires à la première ligne de cotation.


Insertion de symboles

Insertion d'un symbole (par ex., un symbole de niveau), le long d'un texte dans le dessin.

\tsymb

Cette commande place des symboles provenant du catalogue graphique txt_symb, avec les textes les accompagnant, dans le plan xy d'un modèle. Si vous souhaitez placer un symbole dans un autre plan, voir Vues, Sauvegarde d'une projection 2D du modèle (\saved2d) pour convertir le plan considéré au plan xy.

Définition d'un symbole

Vous pouvez utiliser un symbole prédéfini, ou vous pouvez créer votre propre symbole et l'ajouter au catalogue.

Créez le symbole à l’aide d’un polygone (vous pouvez ajouter plus tard d’autres entités). Le point d’origine du polygone sera le point de justification pour le texte.

Ajoutez le symbole au catalogue en utilisant la commande Sauvegarde d'un fichier catalogue (\libedit, voir Objets placés et catalogues). Le symbole sera utilisé en tant qu’objet placé. Si vous devez éditer le symbole, utilisez la commande Intégration d’un objet placé en éléments de base (\explod).

Utilisation

Lors de la première utilisation de cette commande au cours d'une session de travail avec ARC+, choisissez un symbole en frappant son nom, ou bien pressez Enter pour visualiser le catalogue graphique. Lors de la prochaine utilisation de cette commande, le même symbole sera employé par défaut, ou vous pourrez presser Enter pour choisir un nouveau symbole.

Vous pouvez changer l'orientation ou la taille du symbole avant de l'insérer:

Commande | Effet
[Alt+1] | Retournement du symbole autour de l'axe vertical
[Alt+2] | Retournement du symbole autour de l'axe horizontal
[Alt+3] | Retour à l'angle original
[Alt+4] | Rotation du symbole par incrément angulaire fixe
[Alt+5] | Augmentation de la taille du symbole d'un incrément fixe
[Alt+6] | Réduction de la taille
[Alt+7] | Retour à la taille et à l'orientation initiales
Enter | Options:1) Choisir un nouveau symbole. 2) Changer les incréments de taille ou d'angle. 3) Définir la direction (l'angle) du symbole

Indiquez l'emplacement souhaité pour le symbole dans le modèle. Frappez le texte devant apparaître à côté du symbole (jusqu’à 40 caractères, espaces compris), ou pressez Enter pour le texte par défaut (+/-)0.00.

  • REMARQUE : Les symboles et les textes les accompagnant sont des entités de texte—leurs attributs sont pris parmi les attributs de texte courants définis à l'aide de la commande Définition des attributs (\atext). On les efface au moyen de la commande Effacer tous les textes (\txdel).


introduction

Home > 19 Dimensions > Introduction

Cotations

Les cotations constituent une partie essentielle des plans et dessins de construction. ARC+ vous offre la possibilité d'indiquer avec précision les cotations entre tous les points d'un dessin, et permet de créer des lignes de cotation en tous points de vos dessins. Vous pouvez créer une cotation à la fois, ou toute une séquence de lignes de cotation, automatiquement, en une seule opération.

La valeur de la longueur (ou rayon et angle d’un arc) mesurée par une ligne de cotation est affichée près de la ligne qui la soutient et est appelée texte de cotation. Comme tous les textes, les textes de cotation ont des attributs de police de caractères, modes scalaire ou fixe, et justification. (Voir Textes, Terminologie). ARC+ vous permet d’éditer à votre gré des textes de cotation (par ex. changer la police, la taille de la police et sa couleur) et vous pouvez également inclure des lettres aussi bien que des chiffres sur la ligne de cotation. Vous pouvez facilement changer la longueur des lignes de cotations, le type de symbole de cotation et tout autre attribut à l’aide des boîtes de dialogue des attributs.

Les unités de cotation peuvent être affichées en mètres, centimètres ou millimètres. L’option de format dans la boîte de dialogue vous permet de changer l’unité de mesure et de spécifier le nombre de décimales.

Les unités de cotation peuvent être affichées en mètres, centimètres ou millimètres. L’option de format dans la boîte de dialogue vous permet de changer l’unité de mesure et de spécifier le nombre de décimales.

Vous pouvez rompre, joindre ou étendre des lignes de cotation après les avoir créées, insérer des cotations cumulées et des symboles de niveau et créer des arcs, rayons et angles de cotation.

La ligne de cotation et son texte sont considérés comme des entités associées. Lorsque vous sélectionnez l'une d'entre elles, l'autre est incluse également dans le groupe de sélection.

Thèmes liés

  • Travailler avec des lignes de cotation de base
  • Conversion des lignes de cotation
  • Commandes supplémentaires pour les cotations
  • Arcs et angles
  • Edition des lignes de cotation
  • Sélection des lignes de cotation


Jonction de deux cotations

Joint deux cotations en une seule.

\jndim

Indiquez les deux cotations à joindre. Les cotations doivent nécessairement être dans le prolongement l'une de l'autre, mais pas nécessairement contiguës.

Les deux cotations sont jointes, et la longueur totale de la nouvelle cotation est affichée.

La nouvelle cotation a les attributs (taille couleur, autres) de la première cotation indiquée.


Lignes de cotation pour une ellipse

Cette commande vous permet de créer des lignes de cotation pour une ellipse.

\dimel

Indiquez l’ellipse à mesurer. Les cotations de l’ellipse apparaîtront comme suit:

Les trois cotations sont:

  • la longueur de l’axe majeur
  • la longueur de l’axe mineur
  • Longueur entre les centres


Mesure d'un rayon

Crée la cotation du rayon d'un arc spécifié ou celle d'un cercle pour chacun des principaux plans.

\rad

Indiquez l'arc ou le cercle à mesurer. Choisissez entre les options pour la position de la cotation: parallèle à l’axe des X, parallèle à l’axe des Y, positionnement libre.

  • REMARQUE : Utilisez cette commande uniquement pour les vues orthogonales du modèle. L'arc mesuré doit être parallèle au plan de travail.

La flèche et la chaîne de caractères créées par cette commande sont des entités assimilées aux lignes de cotations et peuvent être éditées isolément.

Sélectionnez à l'aide de la commande Sélection par type d'application (\apsel, option d), ou effacez à l'aide de la commande Effacement de toutes les cotations (\dmdel).

Les entités sont affectées des attributs courants définis pour les lignes et les textes de cotations respectivement, à l'exception des attributs de justification.


Mesure de cotes non orthogonales

Création d'une cotation mesurant la hauteur réelle (non projetée) d'une ligne se trouvant dans un espace à trois dimensions.

\diml

En pratique architecturale, les dimensions sont généralement mesurées par projection perpendiculaire sur une cotation sise dans un plan orthogonal. Servez-vous de cette commande seulement si vous avez l'intention de mesurer une dimension non projetée —le long d'une pente.

Indiquez le point de positionnement par lequel passera la cotation ou appuyez sur Enter si vous désirez associer le texte de la cotation à la ligne mesurée sans créer de ligne de cotation.

Indiquez une ligne dans le modèle — la dimension est affichée. Confirmez la direction du texte de la cotation. Si vous rejetez la direction, le texte se trouve retourné le long de l'autre côté de la cotation.

La ligne de cotation est créée dans le plan actif courant. La valeur figurant sur la ligne de cotation est la longueur totale réelle de la ligne mesurée et non celle de sa projection perpendiculaire. Vous pouvez vous servir de cette commande pour un modèle affiché soit en vue orthogonale soit en vue axonométrique.

Le texte et la ligne de cotation sont créés dans l’espace 3D.


Mesure de la longueur d'un arc

Mesure la longueur d’un arc.

\dimarc

Définissez un point de positionnement à travers lequel la ligne de cotation passera: soit dans, soit en dehors de l’arc.

Indiquez l'arc à mesurer. Une ligne de cotation tangentielle apparaît.

Le texte de cotation et affiché tangentiellement à l’arc, au milieu de sa longueur.


Modification de l'orientation du texte de cotation

Met à jour l'orientation et la position du texte de cotation.

\updim

Cette commande est spécialement utile après les opérations de rotation et de symétrie effectuées sur les lignes de cotation. Vous pouvez modifier l'orientation du texte ainsi que sa position par rapport à la ligne.

Sélectionnez la modification de l'orientation et celle de la position du texte par rapport à la ligne. Indiquez le texte de cotation à modifier, ou appuyez sur Enter pour travailler sur un groupe sélectionné.


Modification de la longueur d'une cotation

Modifie la longueur d'une ligne de cotation en un point spécifié et supprime une des parties.

\trdim

Indiquez la cotation à modifier. Indiquer un nouveau point de dimension sur le modèle.

Indiquer le côté de la cotation qui doit rester dans le dessin après ajustement.

La longueur de la ligne de cotation est ajustée ou étendue et la nouvelle longueur est affichée.


Home > 19 Dimensions > Sélection de toutes les lignes de cotation

Sélection de toutes les lignes de cotation

\apsel


Sélection des lignes de cotation

Pour indiquer ou choisir une entité de cotation, appuyez sur la cotation. La ligne de la cotation et son texte changent de couleur. Pour sélectionner ou désélectionner les entités des dimensions, servez-vous de la commande suivante:

Thèmes liés

  • Sélection de toutes les lignes de cotation
  • Sélection par police de caractères
  • Effacement de toutes les cotations


Sélection par police de caractères

Pour sélectionner ou désélectionner des cotations établies en une police spécifiée, servez-vous de la commande suivante:

\ftsel

Pour des descriptions de ces commandes, voir Sélection, Sélection par type d'entité (\apsel) ainsi que Sélection par police (\ftsel).


Travailler avec des lignes de cotation de base

Dans la plupart des cas lorsque vous insérez des lignes de cotation votre dessin est affiché en vue orthogonale (plan ou élévation).

Dans les commandes de cotation, il vous est demandé de définir un point de positionnement, c.-à-d. un point par lequel la ligne de cotation passera. Dans certaines commandes il vous est également demandé de fournir les points de cotation, c.-à-d. les points entre lesquels les cotations seront mesurées.

L'orientation des textes de cotation est déterminée par l'ordre dans lequel vous indiquez les points de cotations. Par ex., si vous indiquez les textes de la gauche vers la droite, le texte sera lu normalement. Si vous indiquez les points dans le sens inverse, le texte se lira vers l'arrière et de haut en bas.

  • IMPORTANT : Pour l'obtention de cotations précises, snapper aux points de cotation.

Dans les descriptions de commandes, les termes horizontal et vertical se réfèrent au plan actif en cours. Par exemple, en vue plane, l'axe des x est horizontal et l'axe des y est vertical.

Attributs des cotations

Par défaut les cotations sont créées avec les attributs suivants:

Attribut | Défaut
Police de caractères | Mtfont
Espacement de textes | Proportionnel (distance entre caractères = 7 unités)
Mode du texte | Fixe
Taille du texte | 4 millimètres
Format | Centimètres (code format 20)
Positionnement des textes | Au dessus des cotations
Priorité de justification des textes | Centré sur la ligne (si l'espace utilisable est insuffisant, le texte sera justifié vers la gauche, à l'extérieur de la ligne)
Couleur du texte | 4
Couleur de la ligne | 1
Taille des lignes de rappel | 5 millimètres

Si vous changez ces défauts, voir Définition des attributs des cotations. Les nouvelles déterminations seront appliquées à toutes les cotations qui seront créées par la suite.

Thèmes liés

  • Création de lignes de cotation linéaires
  • Création automatique d'une cotation
  • Création de cotation par entités indiquées
  • Création de cotation entre points spécifiés
  • Création de cotation parallèle à l'entité
  • Création de cotation normale à l'entité
  • Création d'une cotation d'angle quelconque entre points spécifiés
  • Définition et mise à jour des attributs
  • Génération automatique de cotations dans un intervalle donné
  • Cotation automatique pour tous les murs
  • Mesure de cotes non orthogonales


Index

Home > 20 Tracer

20 Tracer

  1. Aperçu
  2. Capture d'écran
  3. Capture d'écran au format PCX ou TGA haute résolution
  4. Configuration des paramètres d'impression
  5. Configuration du traceur
  6. Contrôle des dimensions d'un texte fixe
  7. Couleurs de lignes, remplissage et images
  8. Création d'un fichier de sortie-Formats *.MET et *.PLT
  9. Création d'un fichier MET
  10. Créer un fichier PRN
  11. Echelle
  12. Gestion des couleurs et plumes à l'impression
  13. Gestionnaire d'impression
  14. Gestionnaire de tracé (obsolète)
  15. Gestionnaire des couleurs et épaisseurs des plumes
  16. Impression
  17. Impression de l'écran en cours
  18. Impression sous forme d'images
  19. Imprimer en format PDF
  20. Imprimer sur papier
  21. Introduction
  22. Le choix d'appareil ou image
  23. Point de référence
  24. Redimensionnement de la page DSG
  25. Résumé d'impression
  26. Taille de type de ligne
  27. Tracé vers appareil- transfert des fichiers Tracé et MET
  28. Zone d'impression


Capture d'écran

Thèmes liés

  • Capture d'écran au format PCX ou TGA haute résolution


Capture d'écran au format PCX ou TGA haute résolution

Crée des images haute résolution au format PCX ou TGA. L’avantage de cette commande réside dans le fait que vous pouvez augmenter la résolution de l’image au-delà de la résolution de l’écran. Cette commande fonctionne en mode Solide - pour produire une image PCX, ou en mode Rendu - pour produire une image TGA.

\grab

Spécifiez la résolution en X et appuyez sur la touche <Entrée> - la taille de l'image sur l'axe Y sera automatiquement calculée en fonction des proportions de la fenêtre de travail. L'image PCX est constituée de pixels, tandis que la résolution de l'imprimante est mesurée en dpi (points par pouce).

Indiquez ensuite le nom du fichier PCX ou TGA.

Le système ajoute l'extension *.PCX en mode Solide (Visualisation), et l'extension *.TGA en mode Rendu.

Le fichier est créé par défaut dans le dossier de travail. Vous pouvez éventuellement utiliser cette fenêtre pour sauvegarder l'image à l'emplacement de votre choix.

Vous pouvez placer la ou les images créées aussi bien en mode Modélisation qu'en mode DSG, pour qu'elles soient imprimées avec le reste du dessin.


Configuration des paramètres d'impression

La partie Configuration en haut de la boîte de dialogue est dédiée à la gestion des configurations de vos paramètres d’impression. Le sélecteur ‘Configuration’ active la sélection des configurations disponibles. Les configurations peuvent être définies par fichier ou par système. La configuration par fichier est conservée dans le fichier lui-même, dans l’extension .adb. Il conserve tous les paramètres uniques de ce fichier précis, même les configurations multiples. Les paramètres peuvent être transférés d'un fichier à l'autre. La configuration par système est conservée dans le système. Les configurations préétablies par le système sont utiles en cas de fichiers multiples et pour les paramètres généraux les plus fréquemment utilisés. Par exemple, il peut s’agir de l’option d’impression de fichiers de versions antérieures où les paramètres «par fichier» ne sont pas présents.

Imprimer | Dossier | Fichier | Mode
Par fichier | de travail | filename.adb | Modélisation
 |  | d@filename.adb | Mise en page
Par système | ...\arcuser | PrintGeom.xml | Modélisation
 |  | PrintDsg.xml | Mise en page

Vous pouvez:

  • Sélectionner parmi les configurations existantes.
  • Créer une nouvelle configuration à partir d’un modèle existant ou un modèle par défaut.
  • Supprimer configuration en la choisissant dans le sélecteur.
  • Charger une configuration depuis un autre fichier ARC+.

Créer une nouvelle configuration

Une configuration d’impression est l’ensemble de préférences définies par l’utilisateur et enregistrées sous un nom dans le gabarit courant. Par exemple, vous pouvez configurer qu'un dessin de 10m de large sur 60m de long soit imprimé en noir et blanc sur une imprimante X, à l'échelle 1:100 sur une feuille A4 orientation paysage, et nommer cette configuration "A4 paysage NB 100 -X".

Cette configuration peut être utilisée pour l’impression de dessins similaires. Suivez la procédure ci-dessous pour créer une nouvelle configuration:

Cliquez sur le bouton [image] pour créer une nouvelle configuration d’impression à partir d’une configuration existante. Si aucune configuration n’existe encore, la configuration Default peut être utilisée comme configuration de référence.

La boite de dialogue suivante apparaît:

  • Dans le champ Configuration tapez le nom que vous voulez donner à votre nouvelle configuration.
  • Le sélecteur «Copier définitions à partir de» permet à l'utilisateur de choisir la configuration de référence.
  • Cliquez sur OK pour valider votre choix et créer votre nouvelle configuration.

Votre nouvelle configuration fait partie désormais de votre gabarit courant.

  • REMARQUE: >La nouvelle configuration est enregistrée automatiquement. Son nom apparaît dans la liste de choix déroulante «Configuration» de la boîte de dialogue Gestionnaire d’impression et, tant qu’il est affiché, toute modification est automatiquement enregistrée. Vous retrouvez votre configuration exactement comme vous l'avez laissée lorsque vous avez cliqué sur "Fermer" ou "Imprimer".

Supprimer une configuration

Cliquez sur le bouton [image] pour supprimer une configuration existante. La boite de dialogue suivante apparaîtra:

  • Sélectionnez la configuration d’impression à supprimer de la liste déroulante.
  • Cliquez sur OK pour confirmer. La configuration est supprimée.
  • REMARQUE:Vous ne pouvez pas supprimer la configuration par défaut (Default) ni la remplacer par une configuration d'un fichier externe.

Charger une configuration

Cliquez sur le bouton [image] pour charger une configuration existante depuis un autre fichier ARC+

Par défaut, ARC+ pointe vers le dossier WORK afin de vous permettre de charger une configuration d’impression depuis un modèle ou dessin existant.

Les configurations disponibles sélectionnées dans le fichier externe s'ajouteront au fichier en cours, ce qui vous permettra de choisir l'une d'entre elles dans le sélecteur.

  • REMARQUE : seules les configurations dont le nom n'existe pas dans le fichier en cours sont disponibles pour importation depuis le fichier externe>


Configuration du traceur

Utilisez cette option pour configurer les équipements de sortie, traceur ou imprimante.

Vous devez définir la configuration du traceur lors de la première utilisation d’ ARC+. Généralement, la configuration du traceur est effectuée une seule fois. ARC+ mémorise la configuration du traceur entre les différentes sessions.

Lorsque vous sélectionnez le type du traceur, ARC+ vous fournit une liste de paramètres par défaut. Vous pouvez modifier ces paramètres à votre convenance, à cet effet consultez le manuel d’utilisation du traceur pour une description détaillée de chaque paramètre.

Les paramètres définis ci-dessous seront définis dans la boîte de dialogue Configuration du traceur.

Options de la boîte de dialogue

TYPE DE TRACEUR La plupart des types de traceur sont supportés par ARC+. Traceurs à plumes Hewlett Packard / Traceurs à plumes Houston Instruments/ Traceurs à plumes Graphtec / Traceurs électrostatiques Hewlett Packard / Tout traceur compatible à 100% avec l’un des traceurs ci-dessus.
  • CONSEIL : Des nombreux traceurs peuvent être configurés pour des palettes «Traceur» ou «Logiciel». Les palettes «logiciel» vous permettent de définir vous même la plume, le type de ligne ou la couleur à utiliser. Les palettes «traceur» utilisent les paramètres internes du traceur. Vous sélectionnerez cette dernière option lorsque vous travaillez par exemple en service bureau et que vous n’avez pas le contrôle des paramètres du traceur.

Pour de plus amples informations, consultez le Manuel du traceur ou votre Service bureau.

PORT DE COMMUNICATION | Le port série, parallèle ou USB de votre ordinateur auquel votre traceur est connecté tel que LPT1 ou COM1. (Pour les ordinateurs sous NT, ce paramètre inclut les noms des files d’attente impression définies sur le réseau).
PARAMETRES DE COMMUNICATION | Si le traceur est connecté à un port série, spécifiez la vitesse, la parité, le nombre de bits de données et le nombre de bits Stop en respectant les instructions fournies par le Manuel du traceur.
CHAINE D’INIT. | Nom d’un fichier contenant la chaîne de caractères d’initialisation transmise par ARC+ au traceur en début de chaque tracé. Chaîne de 10 caractères maximum transmise par ARC+ pour indiquer au traceur la fin du tracé.
CHAINE DE FIN | Chaîne de 10 caractères maximum transmise par ARC+ pour indiquer au traceur la fin du tracé.
NBRE DE PLUMES | Le nombre de plumes gérées par votre traceur.
RESOLUTION | Distance minimum entre deux lignes tracées (en mm, pouces, ou toute autre unité selon le modèle de traceur utilisé).
TAILLES DU PAPIER | Dimensions maximum du tracé (marges non comprises) que le traceur est capable d’éditer sur chacune des 6 différentes tailles de papier. Vous pouvez définir toute taille de papier acceptée par votre traceur.
REINITIALISER | L’utilisation de cette commande restaure la valeur initiale de tous les paramètres.
DEFAUT | Rétablit les valeurs par défaut utilisées par le système ARC+.

Paramètres du traceur

Dans la boîte de dialogue parametres du traceur, vous pouvez définir les paramètres définissant la mise en page et le format de votre tracé. Vous pouvez:

Choisir l’option Plotting Settings (Paramètres de tracé) de la boîte de dialogue Plot Manager (Gestionnaire de tracé) pour afficher la boîte de dialogue contenant les paramètres du traceur.

Sélectionnez l’option Paramètres du traceur dans la boîte de dialogue gestionnaire du trace afin de faire afficher la boîte de dialogue parametres du traceur.

echelle du dessin | Sélectionnez l’échelle de votre dessin. L’option par défaut est auto; (le dessin occupe la totalité de la page), ou entrez l’échelle désirée.
zone du dessin en mm | Sélectionnez une des tailles de papier définies dans la configuration du traceur.
deplacement du point | Point du tracé utilisé pour l’alignement du dessin.
de reference du trace | Le point de référence du dessin sera placé sur le point d'origine du traceur, translaté par les valeurs définies pour le déplacement. (Le point de référence central ne sera utilisé que pour les traceurs dont l’origine est située au centre du traceur.)
deplacement | Déplacement en millimètres par rapport au point de référence de l’alignement.
portrait/paysage | Orientation du dessin sur le papier (axe des x horizontal ou vertical)
parametres dsg | Cette option indique si l’option Mise en Page (DSG) est activée sur l’écran. (Voir DSG). Si vous travaillez en mode DSG et que vous désirez utiliser les options échelle, taille du papier, point de référence, déplacement et rotation définies ci-dessus, vous devez d’abord quitter le mode trace, puis passer du mode DSG au mode modélisation avant de modifier les paramètres de trace. (En mode DSG la taille du papier est définie par les options de ce mode. L’échelle est toujours 1.)
plume | Vous pouvez décider de tracer à l’aide de plumes multiples (une plume par couleur et/ou par épaisseur de ligne) ou d’une plume unique.
table des couleurs de plume | Pour chaque couleur ARC+, entrez le numéro de plume à utiliser pour les épaisseurs de ligne 1 et 2. Si vous entrez 0 pour l’épaisseur 2, cette épaisseur sera simulée par un double passage de la plume 1.
table d’epaisseur des couleurs | Pour les traceurs électrostatiques.
vitesse des plumes du traceur | Affichez en surbrillance le numéro de plume désiré, puis entrez la nouvelle vitesse pour cette plume en pourcentage de la vitesse max. autorisée pour cette plume. Vous sélectionnerez des vitesses plus basses pour les tracés à grande résolution. Si votre traceur est équipé du contrôle automatique de la vitesse de plume, annulez cette option sur le panneau de commande du traceur (consultez le manuel du traceur) pour que les vitesses définies par ARC+ soient prises en compte.
taille des segments par type de ligne | Spécifiez la longueur en mm de l’unité de répétition (ex: espace suivi d’un tiret) utilisée pour la représentation des lignes brisées. (pour les traceurs à plumes Hewlett -Packard ajoutez le signe moins - devant la valeur afin d’aligner le type de ligne et de garantir que chaque ligne se termine par un tiret et non par un espace).
table des couleurs de plume | Sauvegardez les paramètres personnalisés dans un fichier.
table d’epaisseur des couleurs | Restaure les paramètres à partir d’un fichier sauvegardé précédemment.
vitesse des plumes du traceur | Affecte aux paramètres les valeurs qu’ils avaient lors de l’accès à la commande
taille des segments par type de ligne | Restaure les paramètres avec les valeurs par défaut du système ARC+.

Spécifiez et confirmez les paramètres que vous désirez modifier, puis sauvegardez les ou chargez les à partir d’un fichier.

Les paramètres ainsi définis seront utilisés pour tous les tracés successifs de votre session ARC+, jusqu’à la modification suivante.


Contrôle des dimensions d'un texte fixe

Définit l'échelle de référence du texte.

\tscrn

Utilisez cette commande pour contrôler la taille d'un texte fixe (y compris un texte à cotes et motifs linéaires fixes) avant de tracer ou d'imprimer votre dessin (voir Texte, Dimensions d'un texte—à l'échelle ou fixe).

L'échelle de référence d'un texte par défaut est 100. (Sauf en mode DSG où elle est de 1).

Utilisation

Donnez l'échelle de référence du texte. Pour afficher un texte fixe dans ses dimensions originales, la valeur donnée doit être égale à l'échelle courante de l'écran ou du tracé. Par exemple, si l'échelle du tracé est 1:50, définissez l'échelle de référence du texte à 50.


Couleurs de lignes, remplissage et images

Vous pouvez définir rapidement si votre dessin sera imprimé en couleur, en noir et blanc ou en niveaux de gris

Pour la couleur des lignes:

Couleur – Toutes les lignes seront imprimées en couleurs (voir comment configurer les couleurs des lignes ci-dessous) Niveau de gris - Toutes les lignes seront imprimées en niveau de gris Noir – Toutes les lignes seront imprimées en noir et blanc

Pour la couleur du remplissage, choisissez l'une des options ci-dessous :

Couleur – Tous les remplissages seront imprimés en couleurs (voir comment configurer les couleurs des lignes ci-dessous) Niveau de gris - Tous les remplissages seront imprimés en niveau de gris Noir – Tous les remplissages seront imprimés en noir et blanc Ne pas imprimer – Aucun des remplissages ne sera imprimé.

Pour les couleurs de raster (images):

Couleur – Toutes les images seront imprimées en couleurs. Niveau de gris - Toutes les images seront imprimées en niveau de gris.


Création d'un fichier de sortie-Formats *.MET et *.PLT

La boîte de dialogue Création d’un fichier Sortie contient deux champs:

  • Fichiers et répertoires source (seuls les fichiers .met sont listés)
  • Fichiers cible.

Lorsque votre traceur est configuré comme équipement de sortie, le champ noms des fichiers sortie et le champ cible afficheront tous deux uniquement les noms de fichiers de tracé (*.plt).

Options de la boîte de dialogue

Les options suivantes de la boîte de dialogue seront utilisées pour créer un fichier de tracé ou d’impression:

nom repertoire | Sélectionne le répertoire dans la liste
nom des fichiers entree | Sélectionne le fichier à créer au format .met.
nom des fichiers sortie | Option de modification du nom de fichier sortie (lorsque vous créez des fichiers .plt à partir de fichiers .MET)
surcharge | Permet la mise à jour d’un fichier.
.met | Crée un fichier met à partir du dessin en cours. Le champ source liste les répertoires. Sélectionnez un fichier dans les répertoires listés pour ouvrir un dessin. Le champ cible liste uniquement les fichiers .met.
selection | Vous permet de choisir les fichiers dans le champ source.
modele en cours | Sélectionne le modèle en cours comme source du fichier sortie.
quitter | Ferme la boîte de dialogue sans effectuer les modifications demandées.

Une boîte de message est affichée pour indiquer que le fichier de sortie est en cours de création.

Utilisation

  • Avant de créer un fichier met, définissez la vue désirée du modèle dans la fenêtre de travail.
  • Dans la boîte de dialogue Création d’un Fichier Sortie, spécifiez le nom du répertoire et celui du fichier désirés pour le fichier met. Si le fichier existe, sélectionnez surcharger pour autoriser le remplacement du fichier.
  • Sélectionnez OK. Le nouveau fichier .met est ajouté à la liste.
  • CONSEIL : Si vous le souhaitez, vous pouvez préparer et sauvegarder un fichier .met sans le tracer. Par exemple, si vous désirez transmettre un fichier vers un autre ordinateur exécutant ARC+, mais avec des paramètres et une configuration du traceur différents. Préparez également un fichier .met si vous désirez tracer le même dessin sur différents équipements ou avec différentes configurations du traceur telles que l’échelle ou l’orientation de la page. Vous pouvez modifier la configuration et les paramètres du traceur a posteriori et tracer le fichier .met à votre convenance. Le tracé d’un fichier .met est nettement plus rapide que le tracé direct d’un fichier de tracé.

Utilisation des fichiers impression et tracé

Vous pouvez créer un fichier tracé destiné à être tracé sur tout ordinateur non équipé d’ ARC+. Un fichier tracé (nom de fichier.plt) contient l’ensemble des informations nécessaire au tracé y compris les paramètres et la configuration du traceur. Vous pouvez confier un fichier tracé à un Service bureau qui pourra effectuer le tracé de votre dessin même s’il ne possède pas ARC+.

Le tracé à partir d’un fichier de tracé est nettement plus rapide que le tracé direct du modèle ARC+. Aussi vous pouvez utilisez les fichiers tracé afin de gagner un temps précieux lorsque vous désirez tracer plusieurs exemplaires du même dessin. Vous pouvez également sélectionner plusieurs fichiers qui seront transmis en séquence vers le traceur.

  • Avant de créer le fichier tracé, définissez la configuration correspondante au traceur que vous désirez utiliser. (Voir Configuration du traceur, ou consultez le Service bureau selon le cas).
  • Affichez le dessin selon la vue désirée, ou convertissez le en fichier .met sauvegardé sur votre disque (voir Création d’un fichier met). Définissez la Mise en page souhaitée. (Voir Configuration du traceur).
  • Spécifiez le nom du répertoire et du fichier pour le fichier. Si le fichier existe déjà, sélectionnez l’option surcharge pour autoriser le remplacement.

Sélectionnez une des options suivantes :

  • Si vous créez le fichier tracé à partir d’un dessin ouvert sur l’écran, sélectionnez dessin en cours. Le nom du fichier du dessin en cours apparaît dans le champ De et Vers suivi de l’extension .>plt. Vous pouvez changer le nom du fichier dans le champ Vers si vous le souhaitez
  • Si vous créez le fichier tracé à partir d’un fichier >met existant sur votre disque, sélectionnez le nom >met en entrée (extension .>met).

Le fichier sortie .plt apparaîtra dans la liste des fichiers de la boîte de dialogue trace vers traceur.

Les fichiers .plt sont créés à partir de fichiers met, ou à partir d’un modèle sur l’écran.


Création d'un fichier MET

Un fichier met (nom .met) contient toutes les données nécessaires au tracé mais sans les paramètres de configuration du traceur et sans les données de configuration du traceur. ARC+ prépare le fichier met comme phase intermédiaire pour toute demande de tracé. Le fichier met est généralement effacé après la sortie du dessin sur le traceur.

Suivez les étapes suivantes pour créer un fichier MET du dessin en cours:

Sélectionnez cette option dans la boîte de dialogue Gestion du tracé (\plot) lorsque vous désirez créer un fichier met du dessin en cours.

Le fichier est créé dans le répertoire en cours et sous un nom identique à celui du dessin.

Vous pouvez créer un fichier *.met destiné à être tracé sur un autre ordinateur utilisant ARC+.

À partir des dessins en cours, vous pouvez créer aussi bien des fichiers d’impression ou de tracé (à partir de fichiers *.MET existants) que des fichiers .PLT.


Créer un fichier PRN

ARC+ vous permet de créer des fichiers de type .prn de votre dessin. Les fichiers .prn sont des fichiers comprenant l’ensemble des configurations d’impression pour un dessin. Ces fichiers sont liés à un pilote d'impression donné et vous permettent d'imprimer un dessin ARC+ depuis un ordinateur sur lequel ARC+ n'est pas installé,, à condition que cet ordinateur soit connecté à l’imprimante pour laquelle le fichier .prn à été créé.

EXEMPLE: Suivez les étapes suivantes pour permettre à un client ou à un collaborateur qui n'a pas installé ARC+ d'imprimer le dessin :

  • Vous demandez à votre client de vous fournir le nom et le modèle de son imprimante
  • Vous téléchargez le pilote pour ce modèle gratuitement depuis le site du fabriquant de l’imprimante
  • Vous créez un fichier.prn de votre dessin grâce à ARC+
  • Vous envoyez le fichier .prn à votre client pour lui permettre / permettre au collaborateur d'imprimer le dessin sans installer ARC+.

Si vous souhaitez imprimer votre dessin en tant que fichier PRN, veuillez suivre les étapes suivantes:

  • Installez le pilote de l’imprimante censée imprimer le dessin en question (si ce n’est pas déjà fait)
  • Cochez l’option Imprimante / Traceur dans la rubrique Appareil/Image du gestionnaire d’impression
  • Choisissez votre imprimante à l’aide du sélecteur:

  • Cliquez sur le bouton
  • Une boîte de dialogue pour la configuration de l’imprimante de votre choix apparaîtra:

  • Cliquez sur [image] afin de lancer le pilote de l’imprimante choisie afin de la configurer à votre guise:

  • Une fois la configuration de l’imprimante terminée cliquez sur OK pour revenir au gestionnaire d’impression.
  • Cochez la case [image] sous la rubrique Appareil/Image du gestionnaire d’impression
  • Là boite de dialogue suivante apparaîtra:

  • Choisissez le nom et l’emplacement sur votre system du fichier .PRN
  • A la fin de la configuration cliquez sur [image] pour créer le fichier .PRN
  • IMPORTANT : Pour pouvoir imprimer un fichier de type .PRN il est recommandé d'utiliser un gestionnaire de fichiers .PRN. De tels utilitaires (comme PrintPRN, par exemple) sont souvent téléchargeables gratuitement sur Internet. Pour plus d’information sur le format .PRN veuillez vous référer à l’Aide de Windows.


Echelle

Pour imprimer en mode Modélisation, il est préférable de définir l'échelle à laquelle votre dessin sera imprimé.

  • Ajuster au papier : l'échelle du dessin sera automatiquement calculée pour inclure la zone sélectionnée à imprimer dans la zone d'impression (telle que définie dans la fenêtre de propriétés du pilote de l'imprimante).
  • Échelle : vous pouvez choisir parmi les échelles proposées (1:1 à 1:2000) ou définir votre propre échelle grâce à l'option «Personnalisée» de la liste.
  • PPP: Ces deux champs vous indiquent la qualité d’impression que vous avez défini dans les propriétés de votre imprimante. Il est important de la définir lorsque vous imprimez des images dans un fichier raster.


Gestion des couleurs et plumes à l'impression

Grâce au Gestionnaire d’impression vous pouvez gérer les couleurs dans lesquelles votre dessin sera imprimé. Vous avez la possibilité de:

  • Définir si les lignes, les remplissages et les images de votre modèle seront imprimés en Couleur ou en Niveaux de gris.
  • Couleurs d'attribut de l’espace colorimétrique RVB (Rouge Vert Bleu) pour chaque couleur du modèle
  • Définir l’épaisseur des plumes pour chaque couleur.
  • Définir les tailles et le type des lignes.


Gestionnaire d'impression

Permet de choisir une méthode commode pour imprimer un modèle depuis l'écran.

\print

Le gestionnaire d’impression vous permet de gérer tous les paramètres liés à l’impression de vos dessins


Gestionnaire de tracé (obsolète)

Affiche toutes les options de tracé.

\plot

Le menu principal du Gestionnaire de tracé est affiché avec les options suivantes:

  • REMARQUE : Il est conseillé aux utilisateurs de définir les options de configuration du traceur lors de la première utilisation d'ARC+.
  • REMARQUE : Le tracé ne supporte pas différemment les paramètres des numéros de plumes 16 à 255. Les Plumes 16 à 255 auront les mêmes paramètres que la Plume 1. Le tracé n’est PAS compatible avec les images ni les textes de police TrueType. En cas d’utilisation d’images et de la police TrueType, nous recommandons vivement de préférer la commande \print à la commande \plot.

Thèmes liés

  • Impression de l'écran en cours
  • Création d'un fichier MET
  • Création d'un fichier de sortie-Formats *.MET et *.PLT
  • Tracé vers appareil- transfert des fichiers Tracé et MET
  • Configuration du traceur


Gestionnaire des couleurs et épaisseurs des plumes

Le gestionnaire d'impression ARC+ contient un sous-gestionnaire vous permettant de configurer les couleurs et l'épaisseur des "plumes" avec lesquelles vos dessins seront imprimés.

Les épaisseurs de lignes dans ARC+ et les plumes

ARC+ ne permet l’affichage que de deux épaisseurs sur l’écran – une ligne fine et une ligne épaisse:

Chacune des couleurs d'ARC+ a deux épaisseurs d'affichage possibles à l'écran : épaisse et fine. A l’impression de vos documents vous pouvez configurer des plumes différentes pour chacune de ces épaisseurs.

Les plumes sont en effet des épaisseurs de trait définies par l’utilisateur pour l’impression. Par exemple, si vous configurez votre plume verte en ligne fine à 0.2mm tous les traits de cette couleur et épaisseur de ligne existants sur votre dessin seront imprimés avec une épaisseur de 0.2mm sur le papier.

Pour la même couleur en ligne épaisse vous pouvez configurer une plume à 0.5mm. Ainsi, tous les traits de cette couleur et épaisseur de ligne existants sur votre dessin seront imprimés avec une épaisseur de 0.5mm sur le papier.

Le gestionnaire des couleurs et épaisseurs des plumes

Pour lancer le sous gestionnaire couleurs et épaisseurs, cliquez sur le bouton [image] dans le gestionnaire d’impression. La boîte de dialogue suivante apparaîtra:

Description générale

Le Gestionnaire des couleurs et épaisseurs de couleurs contient cinq colonnes:

  • Couleur originale : cette colonne contient l'ensemble des 255 couleurs disponibles dans ARC+, telles qu'elles sont définies dans la palette.
  • Couleur épaisseur 1 pour l’impression : une couleur d'impression correspondant à chaque couleur de la colonne Couleur originale (couleur d'origine) est définie dans cette colonne. Si votre imprimante/traceurs est calibré avec votre écran la couleur que vous voyez dans cette colonne sera imprimée sur le papier. Si votre écran n'est pas calibré avec votre appareil d'impression, la couleur de la gamme la plus proche de la couleur originale sera imprimée. Cette colonne ne concerne que les lignes en épaisseur 1 (ligne fine).
  • Epaisseur 1 en mm: Dans cette colonne vous pouvez configurer vos plumes en attribuant à chaque couleur de la colonne précédente une épaisseur d’impression pour l’épaisseur écran «1» (fine).
  • Couleurs épaisseur 2 pour l’impression: une couleur d'impression correspondant à chaque couleur de la colonne Couleur originale (couleur d'origine) est définie dans cette colonne. Si votre imprimante/traceurs est calibré avec votre écran la couleur que vous voyez dans cette colonne sera imprimée sur le papier. Si votre écran n'est pas calibré avec votre appareil d'impression, la couleur de la gamme la plus proche de la couleur originale sera imprimée. Cette colonne ne concerne que les lignes en épaisseur 2 (ligne Epaisse).
  • Epaisseur 2 en mm: Dans cette colonne vous pouvez configurer vos plumes en attribuant à chaque couleur de la colonne précédente une épaisseur d’impression pour l’épaisseur écran «2» (épaisse).

Couleurs à imprimer

Quatre options sont proposées pour l’impression des couleurs dans les colonnes des couleurs pour impression (épaisseurs 1 et 2).Ces options vous permettent de configurer toute la colonne des couleurs pour imprimer correspondant d’un seul coup. Il est possible de configurer les couleurs dans ces colonnes une par une (voir ci-dessous Configuration individuelle des couleurs pour impression).

  • Utilisez la couleur de l’objet: Les couleurs d’impression restent identiques aux couleurs sur l’écran.
  • Utilisez la couleur de l’objet en Niveau de gris: La valeur en niveau de gris de chaque couleur sur l’écran est attribuée à chaque couleur d’impression correspondante.
  • Noir: Les couleurs sur l’écran sont toutes imprimées en noir.
  • Ne pas imprimer: Les couleurs sur l’écran ne sont pas imprimées.

Cliquez sur le bouton [image] Pour valider votre choix pour la colonne entière des couleurs d’impression.

Configuration individuelle des couleurs pour impression

Il est possible de configurer les couleurs d’impression une par une simplement en cliquant sur la barre colorée:

Un menu déroulant comportant 5 option apparaît:

  • Utilisez la couleur de l’objet: La couleur d’impression reste identique à la couleur sur l’écran.
  • Utilisez la couleur de l’objet en Niveau de gris: La valeur en niveau de gris de la couleur sur l’écran est attribuée à la couleur d’impression correspondante.
  • Choisissez une couleur différente: Lance le sélecteur de couleurs RVB:

Choisissez la couleur désiré avec le rectangle sélecteur ou en indiquant directement des valeurs en RVB (Rouge, Vert, Bleu). Cliquez sur OK pour valider votre choix et revenir au menu déroulant.

  • Noir: La couleur sur l’écran est imprimée en noir.
  • Ne pas imprimer : la couleur sélectionnée ne sera pas imprimée.

Epaisseur en mm

Une opération simple et unique permet d'attribuer la même épaisseur à l'ensemble des plumes. Saisissez la valeur en millimètres dans le champ approprié et cliquez sur Remplir colonne :

Il est possible de définir une épaisseur différente pour chaque couleur (plume) en saisissant la valeur dans le champ «Épaisseur» à côté de la Couleur à imprimer. Par exemple, une plume rouge fine de 0,12 millimètres et une plume rouge épaisse de 0,3 mm, ainsi qu'une plume verte fine de 0,20 mm et une plume verte épaisse de 0,40 mm :


Impression

Thèmes liés

  • Gestionnaire d'impression
  • Configuration des paramètres d'impression
  • Le choix d'appareil ou image
  • Imprimer sur papier
  • Imprimer en format PDF
  • Redimensionnement de la page DSG
  • Créer un fichier PRN
  • Impression sous forme d'images
  • Résumé d'impression
  • Gestion des couleurs et plumes à l'impression
  • Couleurs de lignes, remplissage et images
  • Gestionnaire des couleurs et épaisseurs des plumes
  • Taille de type de ligne
  • Zone d'impression
  • Echelle
  • Point de référence
  • Aperçu


Impression de l'écran en cours

Tracé de l’écran

L’option ecran traceur transfère la vue en cours de l’écran de travail (en format wysiwyg) vers le traceur. Cette option est disponible dans le mode géométrique uniquement.

Tracé du dessin en cours

Avant de tracer un dessin, faites le afficher sur l’écran dans la vue désirée. La configuration du traceur doit être correcte (voir Configuration du traceur), et vous devez effectuer une définition de mise en page. (Voir Paramètres du traceur).

Suivez les étapes suivantes pour tracer le dessin:

Appelez la commande (\plot).

Le gestionnaire de la boîte de dialogue du traceur apparaît.

Sélectionnez ensuite l’option PLOT CURRENT DRAWING (Tracer le dessin en cours) pour envoyer le dessin au traceur.


Impression sous forme d'images

ARC+ vous permet de créer un nombre important de formats de fichiers de trames tels que .jpg, .tga, etc. grâce à l'option Image. L’image aura exactement la même apparence que si vous l’imprimiez sur papier.

EXEMPLE : pour réaliser de belles images illustrant vos projets, vous pouvez créer des images au format .jpg et les intégrer à une page Web ou à une présentation «PowerPoint», ou les envoyer par email à vos partenaires sous forme de fichiers joints.

  • Définissez tous les paramètres comme vous le feriez pour une impression papier.

  • Puis choisissez l’option Image
  • Définissez la résolution en dpi (points par pouce). 72 pour la résolution de l'écran et 300 dpi en moyenne pour le résultat d'impression (optimal pour une trame de taille moyenne).

ARC+ affichera automatiquement les cotations x et y totales en pixels :

  • Appuyez sur le bouton d’impression Print
  • ARC+ vous demandera ensuite le format de fichier souhaité. ARC+ permet de choisir parmi de nombreux formats grâce au menu déroulant de l'option Type de fichier.

  • Indiquez le nom de fichier souhaité, puis appuyez sur «Save» (Enregistrer) pour imprimer votre dessin dans un fichier image.
  • Le fichier résultant est créé et prêt à être utilisé comme une image dans ARC+ et dans d'autres applications.


Imprimer en format PDF

Si vous souhaitez imprimer votre dessin en tant que fichier PDF à l’aide d’une «imprimante virtuelle», veuillez suivre les étapes suivantes:

  • Cochez l’option Imprimante / Traceur dans la rubrique Appareil\Image du gestionnaire d’impression
  • Choisissez votre imprimante PDF à l’aide du sélecteur:
  • REMARQUE: «CutePDF Writer» est une imprimante virtuelle installée par défaut lors de l'installation d'ARC+.
  • Cliquez sur le bouton [image]. Une boîte de dialogue pour la configuration de l’imprimante de votre choix apparaîtra:

  • Cliquez sur [image] afin de lancer le pilote de l’imprimante choisie afin de la configurer à votre guise:

  • Une fois la configuration de l’imprimante terminée cliquez sur OK pour revenir au gestionnaire d’impression.
  • Vous pouvez par la suite configurer d’autres paramètres d’impression à l’aide du gestionnaire. (Voir détails ci-dessous)
  • A la fin de la configuration cliquez sur [image] pour lancer votre impression.
  • REMARQUE: La configuration que vous venez d’effectuer est sauvegardée automatiquement sous le nom que vous avez indiqué au préalable. Si vous n’avez pas indiqué de nom elle est sauvée en tant que Default


Imprimer sur papier

Si vous souhaitez imprimer votre dessin sur papier via une imprimante ou un traceur, veuillez suivre les étapes suivantes:

  • Cochez l’option Imprimante / Traceur dans la rubrique Appareil\Image du gestionnaire d’impression
  • Sélectionnez l'imprimante dans la liste déroulante de l'option Nom. . Une boîte de dialogue s'affiche dans laquelle vous pouvez configurer l'imprimante de votre choix grâce aux options disponibles sur le pilote installé:

  • Cliquez sur [image] afin de lancer le pilote de l’imprimante choisie afin de la configurer à votre guise:
  • Une fois la configuration de l’imprimante terminée cliquez sur OK pour revenir au gestionnaire d’impression.
  • Vous pouvez par la suite configurer d’autres paramètres d’impression à l’aide du gestionnaire. (Voir détails ci-dessous)

  • REMARQUE: La configuration que vous venez d’effectuer est sauvegardée automatiquement sous le nom que vous avez indiqué au préalable. Si vous n’avez pas indiqué de nom elle est sauvée en tant que Default.


introduction

Home > 20 Tracer > Introduction

Tracé et impression

Vous pouvez imprimer vos dessins à l'aide d'un traceur ou d'une imprimante branchés sur votre ordinateur ou en réseau. Vous pouvez aussi préparer un fichier de tracé à imprimer sur un autre ordinateur ou par un service d’impression. Le paramétrage d'ARC+ inclut un pilote PDF qui permet d'imprimer des PDF standard.

ARC+ vous permet une souplesse maximum dans le choix des imprimantes et vous donne la possibilité d’imprimer ou tracer vos dessins sur une imprimante ou un traceur. ARC+ propose également, sous la forme d'une boîte de dialogue, une interface qui permet de créer des formats de fichiers pour les fichiers de tracé et les fichiers MET (Obsolètes), ou pour les fichiers d'impression. Vous pouvez choisir les imprimantes disponibles dans votre propre environnement Windows ou bien sélectionner l’équipement souhaité dans la vaste gamme proposée par ARC+. L'exécution du tracé (obsolète) n'est pas compatible avec différents paramètres pour les numéros de plumes 16-255. Les Plumes 16 à 255 auront les mêmes paramètres que la Plume 1. L'exécution du tracé n'est PAS compatible avec les images, le remplissage et la police de caractère True type. Pour obtenir les meilleurs résultats, il est recommandé d'utiliser la commande \print plutôt que la commande \plot.

Avant d'exécuter le tracé ou l'impression, vous devez définir la vue désirée du modèle dans la fenêtre de travail. Pour les fichiers seuls, vous pouvez imprimer directement à partir du mode de modélisation. Afin d'agencer plusieurs vues du même modèle ou de modèles différents sur une seule feuille à dessin – référez vous au chapitre 21 - Mise en page (DSG).

Vous pouvez aussi effectuer une capture d'écran du modèle figurant dans la fenêtre de travail générée sous ARC+, qui pourra être exportée sous divers formats.

Le contenu des documents imprimés peut varier en fonction de vos méthodes de travail. La planification initiale est un préalable, par exemple l'organisation des entités de votre modèle en plusieurs calques ARC+ de façon à ce que vous puissiez facilement les masquer ou les afficher en fonction de vos besoins (voir Calques).

Thèmes liés

  • Contrôle des dimensions d'un texte fixe
  • Impression
  • Gestionnaire de tracé (obsolète)
  • Capture d'écran


Le choix d'appareil ou image

Vous pouvez définir à l’aide de la rubrique Appareil \Image le support de sortie de votre dessin:

Vous avez le choix entre les options suivantes:

  • Imprimer le dessin sur un support papier avec l’option Imprimante/Traceur
  • Imprimer le dessin en tant que fichier PDF avec l’option Imprimante/ Traceur en choisissant un PDF Printer. Le logiciel CutePDF installé avec ARC+ peut être utilisé pour imprimer le dessin au format .pdf.
  • Imprimer le dessin en tant qu’image.
  • Créer un fichier .prn compatible avec une imprimante spécifique.


Point de référence

Cette section définit l'emplacement de votre dessin sur la feuille où il va être imprimé. Le Point de référence indique les points de chevauchement correspondants sur le dessin et sur l'imprimante.

  • Milieu : le point du milieu du dessin coïncidera avec le point du milieu du document imprimé.
  • En bas à gauche : le point inférieur gauche du dessin coïncidera avec le point inférieur gauche du document imprimé.
  • En haut à gauche : le point supérieur gauche du dessin coïncidera avec le point supérieur gauche du document imprimé.
  • En bas à droite : le point inférieur droit du dessin coïncidera avec le point inférieur droit du document imprimé.
  • En haut à droite : le point supérieur droit du dessin coïncidera avec le point supérieur droit du document imprimé.


Résumé d'impression

La partie Résumé du Gestionnaire d'impression résume l'ensemble des composants de la configuration d'impression qui pourront être exportés plus tard dans un fichier .txt.

Le résumé vous aide entre autres à:

  • Envoyer les détails de votre configuration à un partenaire
  • De le remplir et de le SAUVEGARDER rapidement en cas de problème ou de question.
  • Vous pouvez également envoyer les détails de votre configuration d'impression courante à un technicien n'utilisant pas ARC+ en exportant la partie Résumé de la fenêtre d'impression dans un fichier texte grâce au bouton Export.

L’ensemble des détails apparaît dans la fenêtre de visualisation,

Cliquez sur [image] pour générer un fichier .txt à partir du résumé.

  • REMARQUE : Le résumé est constamment et automatiquement mis à jour au fur et à mesure des changements.


Redimensionnement de la page DSG

L’indicateur «feu rouge» peut s’afficher à titre d’avertissement lorsque vous modifiez les propriétés de la taille de papier de votre imprimante. Le cadre DSG créé comme dessin peut être différent du format de papier et des marges supportées par votre imprimante. Pour résoudre facilement ce problème, vous pouvez ajuster le cadre DSG sur le format papier défini en sélectionnant simplement l'option de la boîte de dialogue ci-dessous. Définissez le point de départ du redimensionnement en sélectionnant «autour du Centre» ou« depuis le côté inférieur gauche»

Utilisez l'aperçu pour vérifier que l'option sélectionnée est bien l'option appropriée.


Taille de type de ligne

Le gestionnaire d'impression ARC+ contient un gestionnaire des types de lignes vous permettant de définir la résolution des différents types de lignes pour l'impression.

Pour lancer le sous-gestionnaire Échelle des types de lignes, cliquez sur le bouton du gestionnaire d'impression.

La boîte de dialogue suivante apparaîtra:

La taille de l'unité répétitive du type de ligne (Résolution du type de ligne) est exprimée en millimètres et inclut la partie imprimée ainsi que l'écart entre les segments consécutifs.

  • Vous pouvez changer les valeurs par défaut en saisissant de nouvelles valeurs exprimées en millimètres dans les champs appropriés.
  • Cliquez sur OK pour valider les modifications ou sur Réinitialiser pour utiliser les valeurs par défaut du système


Tracé vers appareil- transfert des fichiers Tracé et MET

Le champ principal de la boîte de dialogue Tracé vers Equipement affiche une liste de fichiers à transférer vers un équipement de sortie.

Plusieurs options du menu Tracé vers Equipement sont similaires à celles existant dans la boîte de dialogue Création d’un fichier Sortie décrite ci-dessus. Les options spécifiques à la commande Tracé vers Equipement sont décrites ci-dessous.

selection | Sélectionne une série de fichiers à transférer vers l’équipement de sortie.
vue | Affiche un aperçu du fichier met.

Tracé:

  • Effectuez un double-clique sur le fichier désiré dans la champ liste des fichiers.
  • Vous pouvez sélectionnez Vue pour afficher un aperçu du fichier met sur votre écran.
  • Sélectionnez ok pour transférer le fichier vers le traceur.
  • IMPORTANT : Avant de procéder au tracé d’un fichier .met, assurez vous que le traceur est configuré correctement (voir Configuration du traceur) et définissez la mise en page ou le format du papier (Voir Paramètres du traceur).


Zone d'impression

Grâce au gestionnaire d'impression, il est possible de définir la partie de votre dessin qui sera imprimée.

Le sélecteur de la zoner d’impression vous permet de choisir parmi les trois options disponibles:

  • Écran (tous les modes sauf le mode DSG) : ARC+ se sert de l'encadrement de l'écran (selon la vue en cours) pour délimiter la zone du dessin à imprimer. Les parties du dessin non visibles à l'écran ne seront pas imprimées.
  • Cadre DSG (en mode DSG uniquement) : seul le dessin compris dans le cadre de la page DSG sera imprimé.
  • Dessin courant (tous les modes) : l'intégralité du dessin courant sera imprimé, y compris les parties qui se trouvent en dehors du cadre de la fenêtre de travail. L'impression se fera d'après la vue courante (les parties en 3D seront projetées sur la vue).
  • Par fenêtre (tous les modes) : Lorsque vous choisissez cette option, le bouton [image] devient actif (cliquable). Cliquez sur ce bouton pour définir le cadre de la partie du dessin à imprimer.

Zone à imprimer

Cette rubrique du gestionnaire d'impression vous permet de visualiser et de contrôler la taille du dessin à imprimer et la taille de la zone imprimable du rendu.

  • Dessin : taille réelle du cadre sélectionné pour le dessin à imprimer - en Mètres.
  • Papier net : les dimensions de la zone disponible pour l'impression (feuille de papier) sont définies dans les propriétés de l'imprimante, dans la configuration courante.
  • Dessin à imprimer : taille du dessin à imprimer - en Millimètres - d'après l'échelle définie dans l'option Échelle. .

Feu Rouge

L'indicateur " feu rouge " apparaît lorsque l'ensemble des configurations vous permet d'aboutir à un résultat convenable en impression.

  • Lorsque l'indicateur est rouge, le cadre du dessin sélectionné dépasse la zone d'impression.
  • Lorsque l'indicateur est vert, le dessin est compris dans la zone d'impression.
  • REMARQUE: Il est possible d’imprimer votre dessin même si l’indicateur est rouge.


Aperçu

Vous pouvez visualiser votre dessin avant sont impression en lançant l’aperçu du gestionnaire d’impression. Cet aperçu vous permettra de s’assurer que votre dessin est placé là où vous le souhaitez sur la feuille et que la feuille elle-même est en format «Portrait» ou «Paysage».

Cliquez sur le bouton [image] pour lancer l’aperçu:

Vous pouvez faire glisser un des coins pour redimensionner le cadre de l'aperçu ou l'afficher en plein écran,comme pour n'importe quelle fenêtre. Cliquez sur OK pour revenir au gestionnaire d'impression.


Index

Home > 21 Dessin générateur de feuille

21 Dessin générateur de feuille

  1. Boîtes d'aide sur les cadres de pages
  2. Commandes supplémentaires utilisées en DSG
  3. Définition du mode d'affichage d'une feuille
  4. Démarrage du mode DSG
  5. Déplacement du cadre d'un dessin vers une nouvelle position
  6. Edition d'un dessin
  7. Edition d'une feuille
  8. Entrée dans le mode DSG
  9. Gestionnaire d'impression
  10. Information
  11. Informations relatives à un dessin
  12. Informations relatives à une feuille
  13. Introduction
  14. Mise à jour des dimensions du texte et des cotes
  15. Modification de l'échelle d'un dessin
  16. Modification de la symétrie du cadre d'un dessin
  17. Modification des dimensions du cadre d'un dessin
  18. Placement d'un dessin entier - Mise à l'échelle automatique
  19. Placement d'un dessin entier à une échelle spécifiée
  20. Placement des dessins et des images bitmap sur une feuille
  21. Placement et clip d'un dessin à une échelle automatique
  22. Placement et clip d'un dessin à une échelle spécifiée
  23. Placement sur une feuille
  24. Quitter le mode DSG
  25. Réglage de la feuille
  26. Remplacement d'un dessin
  27. Rotation d'un dessin dans son cadre
  28. Rotation du cadre d'un dessin
  29. Suppression d'un dessin placé
  30. Translation d'un dessin dans son cadre


Boîtes d'aide sur les cadres de pages

Cette commande affiche des lignes d’aide sur les bords et dans les marges d’une feuille dsg.

\dhframe

Pour éviter toute erreur due à la sélection de papiers dsg complets, les bords ne peuvent pas être sélectionnés. Dans certains cas toutefois, il arrive que vous deviez effectuer une capture des bords. La simple activation de cette commande placera les lignes d’aide en fonction des paramètres définis dans la mise en page. Elle peut être désactivée lorsque vous n’en avez plus besoin.


Commandes supplémentaires utilisées en DSG

Lorsque vous achevez l'édition d'une feuille, vous pouvez l'envoyer à votre traceur et quitter le DSG.

Thèmes liés

  • Gestionnaire d'impression
  • Quitter le mode DSG


Définition du mode d'affichage d'une feuille

Définit le mode de visualisation DSG.

\dmode

Chaque dessin placé ou clippé de la feuille est encadré d'une ligne pointillée. Ces cadres ne font pas partie de la feuille et ne sont pas tracés. Ils sont affichés sur l'écran uniquement comme aide pour l'agencement de la feuille.

Il existe trois modes d'affichage en DSG:

  • Affichage de dessins sans cadres pour faire une démonstration du tracé du dessin
  • Affichage de cadres sans dessins pour économiser du temps en évitant de les redessiner lors du chargement d'une feuille à dessin ou du réagencement des cadres sur la feuille
  • Affichage de dessins et de cadres

Vous pouvez également utiliser cette commande pour afficher les cadres et leurs contenus dans le cas où ils seraient masqués. Choisissez de masquer les cadres ou leurs contenus ou appuyez sur Enter pour afficher les deux à la fois.

  • REMARQUE : La mise à jour d'opérations telles que remise à l'échelle, nouvel encadrement ou remplacement, peut s'effectuer même si le contenu d'un dessin n'est pas affiché.


Démarrage du mode DSG

Démarre le mode DSG et définit les dimensions d'une feuille.

\dsg

Choisissez l'une des options suivantes:

  • Ouverture d'une nouvelle feuille
  • Ouverture d'une feuille existante

Lorsque vous entrez en DSG, le fond de l'écran change de couleur. Le système définit les paramètres de travail suivants:

  • Vue définie en plan (xy)
  • Mode de visualisation défini en mode parallèle (et non en mode perspective)
  • Mode d'échelle défini en mode automatique
  • Echelle de référence fixée à 1 (\tscrn)
  • Entités de texte et cotes définies suivant l'échelle
  • IMPORTANT : Ne pas modifier ces paramètres tant que vous êtes en mode DSG.

Le fichier sur lequel vous travailliez avant d'entrer en mode DSG ainsi que les paramètres précédents du système sont restaurés dès que vous quittez le mode DSG.

Utilisation

Choisissez d'ouvrir un fichier existant ou un nouveau fichier.

Si vous ouvrez un fichier existant, indiquez l'un des trois modes d'affichage en DSG:

  • Cadres seuls
  • Contenus seuls
  • Cadres avec contenus

Pour des exemples illustrés de ces modes, voir Définition du mode d'affichage d'une feuille (\dmode).

Donnez le nom du fichier à éditer ou choisissez un fichier à partir de la boîte de dialogue.

Si vous créez une nouvelle feuille, définissez en millimètres les cotes x et y.

Dans les deux cas, on vous demande de préciser le type et la taille du symbole de cotation ainsi que la ligne de rappel des lignes de cotation.

Le fichier désigné est chargé; si vous avez ouvert une nouvelle feuille, le système dessine un rectangle de lignes brisées et l'ajuste à l'écran.

Vous pouvez alors placer des dessins sur la feuille en les mettant à une échelle automatique ou fixe. Les diverses options de placement sont décrites ci-dessous:

  • Placement d'un dessin entier à une échelle automatique (\dpaut)
  • Placement d'un dessin entier à une échelle spécifiée (\dpscl)
  • Placement et clip d'un dessin à une échelle automatique (\dcaut)
  • Placement et clip d'un dessin à une échelle spécifiée (\dcscl)


Déplacement du cadre d'un dessin vers une nouvelle position

Déplace un dessin vers une nouvelle position.

\dmove

Indiquez le dessin/le cadre à déplacer.

Marquez un point de départ à partir duquel le dessin doit être déplacé (appuyez sur Enter s'il s'agit du centre du cadre) et un point d'arrivée indiquant la translation.

Le cadre et son contenu sont tous deux déplacés vers la nouvelle position.


Edition d'un dessin

Le mode DSG offre les options d'édition suivantes:

  • Translation d'un dessin dans son cadre
  • Rotation d'un dessin dans son cadre
  • Modification de l'échelle d'un dessin
  • Modification des dimensions du cadre
  • Remplacement d'un dessin

Thèmes liés

  • Translation d'un dessin dans son cadre
  • Rotation d'un dessin dans son cadre
  • Modification de l'échelle d'un dessin
  • Modification des dimensions du cadre d'un dessin
  • Remplacement d'un dessin


Edition d'une feuille

Le mode DSG offre les options d'édition suivantes:

  • Déplacement vers une nouvelle position
  • Rotation
  • Modification de la symétrie
  • Modification des dimensions
  • Mise à jour des dimensions du texte, des cotes et des motifs linéaires
  • Définition du mode d'affichage
  • Effacement du dessin

Thèmes liés

  • Déplacement du cadre d'un dessin vers une nouvelle position
  • Rotation du cadre d'un dessin
  • Modification de la symétrie du cadre d'un dessin
  • Mise à jour des dimensions du texte et des cotes

  • Définition du mode d'affichage d'une feuille
  • Suppression d'un dessin placé


Entrée dans le mode DSG

Pour entrer dans le mode DSG, utilisez la commande décrite ci-dessous. Vous pouvez éditer un fichier existant en spécifiant son nom ou bien créer un nouveau fichier en choisissant un papier aux dimensions standard ou sur mesure.

Thèmes liés

  • Démarrage du mode DSG
  • Boîtes d'aide sur les cadres de pages
  • Réglage de la feuille


Gestionnaire d'impression

Permet de choisir une méthode commode pour imprimer un modèle depuis l'écran.

\print

Le gestionnaire d’impression vous permet de gérer tous les paramètres liés à l’impression de vos dessins.

Pour une description complète de cette commande, voir Tracé et impression, Tracé d'un dessin.


Information

Vous pouvez afficher des informations sur un dessin individuel ou sur toute une feuille de dessin. Vous pouvez également éditer un compte-rendu imprimé de ces informations.

Thèmes liés

  • Informations relatives à un dessin
  • Informations relatives à une feuille


Informations relatives à un dessin

Affiche des informations relatives à un dessin.

\dinfo

Indiquez le dessin/le cadre sur lequel vous désirez obtenir des informations. Le nom du dessin placé, son échelle, son statut (clippé ou auto) et les facteurs d'échelle concernant le texte, les cotes et les motifs linéaires sont affichés.


Informations relatives à une feuille

Affiche des informations relatives à une feuille.

\dlist

Les détails concernant les dimensions de la feuille et les dessins qui la composent sont affichés sous forme de liste comportant:

  • Le nom du dessin
  • L'échelle
  • Le statut (clippé ou entier)
  • Les facteurs du texte, des cotes et des motifs linéaires

Le compte-rendu est sauvegardé en format ASCII dans le fichier@d@list.rpt.

  • REMARQUE : Si vous créez un nouveau compte-rendu dans le même répertoire, le fichier sera remplacé. Pour le sauvegarder, copiez-le et sauvegardez-le sous un autre nom.


introduction

Home > 21 Dessin générateur de feuille > Introduction

Mise en page (DSG)

Le mode DSG offre des outils de mise en page permettant de créer et organiser des feuilles comme sorties du système.

Les dimensions du papier à dessin sont spécifiées et représentées par un rectangle dans le plan xy. Vous pouvez agencer la feuille à partir d'une collection de dessins entiers ou partiels. Chaque dessin peut être positionné en tout point de la feuille; il peut pivoter, être ajusté ou mis à l'échelle de manière indépendante. Les dessins contenus dans la feuille sont des fichiers ARC+ ordinaires et ne doivent pas obligatoirement être convertis ou traités. En général, ce sont des projections 2D de votre modèle que vous placerez. Si vous placez des modèles 3D, ils n'apparaîtront qu'en vue plane dans un cadre.

Lorsque vous effectuez une mise en pages, vous pouvez non seulement placer des dessins mais créer des textes et autres entités graphiques sur la feuille, comme par ex. des lignes et polygones 2D pour compléter l'agencement des dessins. La feuille terminée peut être sauvegardée pour l'exécution du tracé et éditée par la suite. Les feuilles sont sauvegardées comme fichiers à dessin ARC+ ordinaires.

  • IMPORTANT : Lorsque vous travaillez en DSG, il est recommandé de n'utiliser que des commandes imbriquées telles que zoom avant/arrière ainsi que les commandes conçues spécialement pour le mode DSG.

Ne pas utiliser les commandes suivantes en mode DSG :

\copy | \crot | \csym | \catt | \movef | \move
\mrot | \msym | \matt | \movep | \clear | \clip
\drop | \dspmod | \explod | \pers | \onofp | \tscrn
\retf | \extf | \solid | \dsave2d | \sclmode | \sdel
Ce sont toutes des commandes de sélection |  |  |  |

Les dessins placés en DSG ne sont pas copiés dans le fichier de la feuille. Ils ne contiennent que des références aux fichiers originaux. Si vous modifiez le fichier original après l'avoir placé sur la feuille, le changement se reflétera sur celle-ci la prochaine fois que vous la chargerez en DSG. Si vous effacez le fichier original, si vous le déplacez vers un répertoire différent ou si vous changez son nom après l'avoir placé dans la feuille, le système de mise en page ne pourra pas repérer le fichier.

  • CONSEIL : Lors de la sélection d'un dessin, vous pouvez choisir d'en indiquer le cadre ou son contenu. Cependant, il est préférable d'en indiquer le cadre car cela permet de gagner du temps.
  • REMARQUE : Les couleurs d'écran ou de lignes décrites dans ce chapitre peuvent varier selon votre configuration.

Thèmes liés

  • Entrée dans le mode DSG
  • Placement sur une feuille
  • Edition d'un dessin
  • Edition d'une feuille
  • Information
  • Commandes supplémentaires utilisées en DSG


Mise à jour des dimensions du texte et des cotes

Mettez à jour les dimensions du texte ainsi que les cotes et les motifs linéaires.

\dutxf

Donnez un facteur pour chacune des entités suivantes et par lequel les dimensions originales seront multipliées:

  • Texte
  • Cotes
  • Motifs linéaires

Vous pouvez entrer tous les trois facteurs en même temps, par ex. 1 0 0.5. Pour réduire les dimensions, utilisez un facteur inférieur à 1. Pour restaurer les dimensions originales, utilisez le facteur 1.

Précisez si la mise à jour s'applique à un seul dessin ou à toute la feuille. S'il s'agit d'un seul dessin, spécifiez lequel.

Si la feuille doit être entièrement mise à jour, l'écran sera modifié avec de nouvelles dimensions pour le texte, les cotes et les motifs linéaires à leur nouvelle taille.

  • REMARQUE : Le facteur est absolu. Par conséquent, si vous avez changé le facteur de l'un des types d'entités et que vous souhaitez utiliser un facteur pour un autre type sans pour autant changer le premier, vous devez utiliser la valeur 0 pour ceux qui doivent rester inchangés. Si vous utilisez 1, leurs dimensions originales seront restaurées.


Modification de l'échelle d'un dessin

Modifie l'échelle d'un dessin.

\drscl

Indiquez le dessin/le cadre à modifier. Le système affiche l'échelle courante et vous demande de donner la nouvelle échelle. Appuyez sur Enter de sorte que tout le dessin remplisse le cadre existant grâce à une échelle automatique.

Lorsque vous modifiez l'échelle d'un dessin, celui-ci risque d'être décalé à cause de ses nouvelles dimensions. Pour maîtriser ce décalage, marquez un point qui demeurera dans une position fixe alors que tous les autres points autour de lui seront étendus ou contractés. Choisissez l'une des options suivantes pour le point fixe:

  • Origine du cadre
  • Centre du cadre
  • Origine du fichier placé
  • Un point spécifié par l'utilisateur

Si vous avez donné une échelle, précisez si vous souhaitez maintenir les dimensions courantes du cadre ou les ajuster à la nouvelle échelle. Si vous les maintenez, elles demeureront fixes par rapport à la feuille. Quant au dessin, il sera clippé (ou clippé à nouveau). Si auparavant il ne l'était pas, son statut (c.-à-d. la couleur de son cadre) peut changer. Si vous ne conservez pas les dimensions du cadre, celles-ci peuvent diminuer ou augmenter en même temps que le dessin sans que le clip ne s'effectue.

MODIFICATION DE L'ÉCHELLE EN GARDANT LE CADRE (nouveau clip)

MODIFICATION DE L'ÉCHELLE EN GARDANT LE CLIP (nouveau cadre)


Modification de la symétrie du cadre d'un dessin

Modifie la symétrie du cadre d'un dessin.

\dmsym

Indiquez le dessin/le cadre à modifier.

Marquez un point par lequel doit s'effectuer l'opération relative à la symétrie (axe de symétrie). Appuyez sur Enter s'il s'agit du centre du cadre. Précisez la direction de la symétrie, si elle se trouve autour de l'axe x ou de l'axe y.

Le cadre et son contenu sont tous deux déplacés symétriquement autour du point indiqué.

//


Modification des dimensions du cadre d'un dessin

Modifie les dimensions du cadre d'un dessin.

\drfrm

Lorsque vous modifiez les dimensions d'un cadre, le dessin en est affecté de l'une des deux manières suivantes:

  • L'échelle du dessin est maintenue tandis que les dimensions du cadre sont modifiées.
  • Le contenu du cadre est maintenu tandis que l'échelle est modifiée par rapport au nouveau cadre.

MODIFICATION DES DIMENSIONS DU CADRE EN GARDANT L’ECHELLE (nouveau clip)

MODIFICATION DES DIMENSIONS DU CADRE EN GARDANT LE CLIP (remise à l'échelle)

Indiquez le dessin et le cadre que vous désirez modifier. Précisez si vous souhaitez conserver la même échelle.

Marquez le premier point du nouveau cadre. Appuyez sur Enter pour maintenir la position inférieure gauche courante du cadre. Marquez le point opposé. Appuyez sur Enter pour définir un nouveau premier point.

Si vous conservez la même échelle, la zone du clip est agrandie ou réduite suivant les dimensions du nouveau cadre. Si vous ne conservez pas la même échelle, l'échelle du clip est ajustée au nouveau cadre. Le rectangle étiré entre le premier point et le curseur aura la forme du cadre original.


Placement d'un dessin entier à une échelle spécifiée

Place un dessin à une échelle spécifiée sur une feuille.

  • REMARQUE : Cette commande est normalement activée par \dsgplace

\dpscl

Donnez dans la boîte de dialogue le nom du fichier et l'échelle à laquelle il doit être placé. Un rectangle représentant le dessin à l'échelle spécifiée est attaché au curseur. Déplacez le curseur pour placer le dessin sur la feuille. Si la taille du rectangle ne vous convient pas, appuyez sur Enter pour donner une nouvelle échelle.

Pour placer un dessin, vous pouvez déplacer l'origine du cadre, c.-à-d. le point où le rectangle est attaché au curseur. Appuyez sur Alt+2 pour changer, par rapport au curseur, la position du rectangle minimum encadrant le dessin. Cinq positions sont possibles:

  • Angle inférieur gauche

  • Centre

  • Angle supérieur gauche

  • Angle supérieur droit

  • Angle inférieur droit

Le dessin apparaît, encadré d'une ligne en pointillés, dans la position et à l'échelle spécifiée.


Placement d'un dessin entier - Mise à l'échelle automatique

Place un dessin sur une feuille en définissant un cadre ou en remplissant toute la feuille.

  • REMARQUE : Cette commande est normalement activée par \dsgplace

\dpaut

Donnez dans la boîte de dialogue le nom du fichier à placer.

Choisissez l'une des options suivantes:

  • Placez le dessin en définissant un rectangle sur la feuille

  • Agrandissez le dessin de manière à remplir toute la feuille

Par un rectangle

Marquez le premier point et le point opposé d'un cadre cible pour le dessin. Le rectangle étiré entre le premier point et la position du curseur représente le dessin. Pour redéfinir le premier point, appuyez sur Enter avant de marquer le point opposé.

Le dessin spécifié apparaît à une échelle déterminée par les dimensions du cadre cible.

//


Placement des dessins et des images bitmap sur une feuille

Place des dessins et des fichiers d’images sur une feuille.

\dsgplace

Choisissez de placer soit:

un dessin ARC+ | Placez un fichier ARC+. Entrez un nom pris du répertoire de travail actuel dans la ligne de saisie. Autrement, appuyez sur Entrée pour sélectionner un dessin dans la boîte de dialogue. Choisissez un fichier et appuyez sur OK. Placez le dessin en spécifiant le premier et le deuxième point définissant un cadre rectangulaire proportionnel (option Echelle automatique), ou en spécifiant une échelle, i.e. 1:100, pour le cadre (avec l’option Par échelle).
une image | Place un fichier raster. – La procédure est identique à celle décrite dans Chapitre 26 (\imgplace)
  • REMARQUE : Les deux commandes suivantes sont intégrées dans \dsgplace


Placement et clip d'un dessin à une échelle automatique

Place et clippe un dessin sur la feuille en définissant un cadre.

\dcaut

  • REMARQUE : Le dessin à clipper doit être placé en entier n'importe où sur l'écran, sur la feuille ou en dehors d'elle. Après avoir effectué le clip, vous pourrez l'effacer ou le laisser hors du cadre où il n'apparaîtra pas.

Pour le clip on utilise deux cadres:

  • Un cadre source qui définit la partie du dessin original à clipper
  • Un cadre cible qui définit la zone sur la feuille où vous placerez la partie clippée du dessin.

Le système offre deux options pour placer un dessin clippé. Vous pouvez choisir de définir d'abord le cadre source et ensuite le cadre cible ou vice versa.

  • CONSEIL : Définissez d'abord le cadre source lorsque la section à clipper doit être délimitée exactement alors que la feuille comporte beaucoup d'espace. Définissez d'abord l'encadrement cible lorsque la feuille comporte un espace limité.

Précisez lequel des cadres (source ou cible) vous souhaitez d'abord définir.

Cadre source

Définissez la section du dessin à clipper en marquant sur le dessin le premier point et le point opposé du cadre source. Si vous désirez effectuer une autre sélection, appuyez sur Enter pour désigner une nouvelle position.

Marquez sur la feuille le premier point et le point opposé du cadre cible. Lorsque vous marquez le premier point, le cadre source est affiché sur l'écran. Un rectangle s'étire en proportionnellement au cadre source, entre le premier point et la position du curseur. Vous pouvez déplacer le premier point en appuyant sur Enter.

La section du dessin comprise dans le cadre source est tracée de manière à remplir le cadre cible à une échelle déterminée par le rapport entre les dimensions des deux cadres. Le dessin est encadré d'une ligne en pointillés.

Cadre cible

Procédez de même que pour le cadre source, mais en définissant d'abord le cadre cible et ensuite le cadre source.

  • REMARQUE : Lorsque vous définissez le cadre source, assurez-vous que l'un des points au moins se trouve à l'intérieur du cadre du dessin source.


Placement et clip d'un dessin à une échelle spécifiée

Place et effectue sur la feuille le clip d'un dessin à une échelle spécifiée.

\dcscl

  • REMARQUE : Le dessin à clipper doit être placé en entier n'importe où sur l'écran, sur la feuille ou en dehors d'elle. Après avoir effectué le clip vous pourrez l'effacer ou le laisser hors du cadre où il n'apparaîtra pas.

Précisez quel cadre (source ou cible) vous souhaitez d'abord définir.

Cadre source

Définissez la section du dessin à clipper en marquant sur le dessin le premier point et le point opposé du cadre source. Si vous désirez effectuer une autre sélection, appuyez sur Enter pour désigner une nouvelle position. Spécifiez l'échelle désirée. Si vous voulez donner la même échelle que pour le dessin source, appuyez sur Enter.

Un rectangle représentant le cadre source est attaché au curseur à l'échelle spécifiée. Déplacez le curseur afin de placer le dessin sur la feuille. Si les dimensions du rectangle ne vous conviennent pas, appuyez sur Enter pour donner une nouvelle échelle.

Le dessin apparaît, encadré d'une ligne en pointillés, dans la position et à l'échelle spécifiée.

Cadre cible

Procédez de même que pour le cadre source, mais en définissant d'abord le cadre cible et ensuite le cadre source.

  • REMARQUE : Lorsque vous définissez le cadre source, assurez-vous que l'un des points au moins se trouve à l'intérieur du cadre du dessin source.


Placement sur une feuille

Le DSG offre plusieurs méthodes pour placer des dessins sur une feuille:

  • Placement de dessins et images bitmap
  • Dessin entier à une échelle automatique:
  • A l'aide d'un rectangle défini
  • Ajusté à toute la feuille
  • Dessin entier à une échelle spécifiée
  • Dessin clippé à une échelle automatique:
  • A l'aide d'un cadre source
  • A l'aide d'un cadre cible
  • Dessin clippé à une échelle spécifiée:
  • A l'aide d'un cadre source
  • A l'aide d'un cadre cible

Thèmes liés

  • Placement des dessins et des images bitmap sur une feuille
  • Placement d'un dessin entier - Mise à l'échelle automatique
  • Placement d'un dessin entier à une échelle spécifiée
  • Placement et clip d'un dessin à une échelle automatique
  • Placement et clip d'un dessin à une échelle spécifiée


Quitter le mode DSG

Quitte le mode DSG.

\geom

Le fond de l'écran reprend la couleur originale du mode géométrique et le menu à barre latérale est remplacé par le menu principal. Le système vous ramène vers le fichier où vous vous trouviez avant d'entrer en DSG. Les paramètres précédents du système, y compris ceux de visualisation, sont restaurés.


Réglage de la feuille

Cette commande permet de régler la taille de la feuille et son orientation.

\dpsiz

La boîte de dialogue suivante s'ouvre:

  • Format: Vous pouvez sélectionner un autre format dans la liste déroutante ou bien le définir manuellement.

  • Taille: La taille de la feuille est définie manuellement en entrant des valeurs millimétriques pour les dimensions X et Y. L’imprimante par défaut, vous ne pourrez pas modifier ce réglage.

  • Orientation: Choisissez Portrait ou Paysage. Si vous avez choisi d’utiliser L’imprimante par défaut, vous ne pourriez pas modifier ce réglage.


Remplacement d'un dessin

Remplace un dessin placé sur une feuille par un autre.

\drepl

Indiquez le dessin/le cadre à remplacer. Donnez ensuite dans la boîte de dialogue le nom du fichier dessin qui doit le remplacer.

Le dessin indiqué est remplacé par un nouveau dessin à même échelle et de même origine. Si le dessin précédent était clippé, le nouveau dessin le sera aussi, dans la même fenêtre, selon l'origine des dessins.


Rotation d'un dessin dans son cadre

Fais pivoter un dessin dans son cadre.

\dcrot

  • REMARQUE : Cette commande fait pivoter le dessin uniquement, tandis que son cadre demeure fixe. Pour faire pivoter le cadre en même temps que son contenu, utilisez la commande Rotation du cadre d'un dessin (\dmrot) (incréments de 90 degrés). Si le dessin n'était pas clippé auparavant, il le devient.

Indiquez le dessin à faire pivoter. Marquez un point comme centre de rotation. Celui-ci peut se trouver n'importe où, même en dehors de la feuille. Spécifiez l'angle de rotation (±0-360 degrés).

Le dessin pivote à l'angle spécifié dans le plan xy autour de l'axe z. Le cadre maintient ses dimensions et sa position originales. Un cadre auparavant non clippé devient clippé.

Confirmez le résultat.

  • REMARQUE : Un dessin ayant pivoté selon un angle non orthogonal peut être transalté de sa position originale s'il est remis plus tard à l'échelle en conservant son cadre.


Rotation du cadre d'un dessin

Fais pivoter le cadre d'un dessin.

\dmrot

Indiquez le dessin/le cadre à faire pivoter.

Marquez le centre de rotation. Celui-ci peut se trouver en n'importe quel point, même en dehors de la feuille. Appuyez sur Enter s'il s'agit du centre du cadre. Spécifiez l'angle de rotation. Les angles prédéfinis ont les mesures suivantes:

  • 90

  • 180

  • 270

Le cadre et son contenu pivotent tous deux dans le plan xy autour de l'axe z.


Suppression d'un dessin placé

Supprime un dessin placé de la feuille.

\dele ou \delete

Désignez le dessin placé à supprimer. Le cadre et son contenu sont supprimés.


Translation d'un dessin dans son cadre

Translate un dessin dans son cadre.

\dcsft

Indiquez le dessin/le cadre à décaler. Définissez un point de départ (appuyez sur Enter si le point doit être le centre du cadre). Pour repositionner le premier point, appuyez sur Enter, puis marquez un point d'arrivée pour définir la translation.

Le dessin est repositionné tandis que le cadre maintient ses dimensions et sa position.

Un cadre auparavant non clippé est maintenant clippé.


Index

Home > 22 Domaine

22 Domaine

  1. Accès au mode Calcul de surfaces
  2. Accès au mode quantités
  3. Ajout de lignes de division pour le calcul
  4. Calcul des quantités
  5. Commandes supplémentaires du mode surface
  6. Définition des attributs
  7. Définition des paramètres de calcul des quantités
  8. Définition des paramètres de calcul des surfaces
  9. Définition du numéro de pièce
  10. Division de l'espace
  11. Edition du rapport
  12. Exécution des calculs
  13. Filtrer des entités pour l'identification de l'espace
  14. Génération des rapports
  15. Génération du rapport de calculs
  16. Identification d'un étage
  17. Identification des pièces et des surfaces
  18. Identification des zones de réduction
  19. Informations sur une pièce ou un étage
  20. Introduction
  21. Masquage/Affichage de la numérotation des pièces
  22. Préparation du modèle pour les calculs
  23. Procédure générale - aperçu
  24. Réinitialisation des résultats
  25. Retour au mode géométrique
  26. Spécification d'un nom de pièce
  27. Visualisation des rapports
  28. Visualisation du rapport au format ASCII


Accès au mode Calcul de surfaces

Accédez au mode Calcul. Vous pouvez définir les paramètres identifiant les pièces, leur attribuer des numéros, générer les rapports de calcul, visualiser et éditer les résultats.

\area

Les commandes suivantes apparaissent dans la barre de menu latérale de l’écran Calcul des surfaces:

\calcset

Définition des attributs du calcul

\roomname

Attribution de noms aux pièces

\roomnum

Attribution de numéros aux pièces

\filter

Affiner l’identification d’entités définies dans l’espace

\floordef

Création d’un polygone d’étage

\roomdiv

Ajout de lignes de subdivision

\reduce

Indication de la zone de réduction

\numdisp

Cacher/Afficher les numéros des pièces

\subdiv

Ajout de lignes de subdivision de calcul

\report

Génération des rapports

\viewrpt

Visualisation des rapports

\editrpt

Edition des rapports

\qroom

Interrogation d’une pièce ou d’un étage

\clearcal

Effacer les résultats du calcul

\geom

Retour au mode géométrique

\end

Quitter ARC+

\quant

Passage au mode calcul des quantités


Accès au mode quantités

Initialise les paramètres, exécute les calculs de volumes et de surfaces et génère sept rapports différents.

\quant

Le résultat des calculs est affiché sur l’écran de manière similaire à celle du calcul des surfaces, sous forme de rapport (en format compatible avec celui des programmes de traitement de devis quantitatifs ou de métrés).

Des textes identifiant les murs et les ouvertures sont ajoutés au modèle; ainsi que des polygones pour les étages des pièces, ainsi que pour les surfaces des ouvertures et des murs.

Les commandes accessibles sont listées et décrites ci-dessous:

\calcset

Paramètres de calculs

\filter

Affine l’identification des entités définies dans un espace

\roomname

Attribution le noms aux pièces

\roomnum

Attribution des numéros aux pièces

\floordef

Crée un polygone d’étage

\roomdiv

Ajoute des lignes de subdivision

\reduce

Indique les surfaces de réduction

\sortkey

Ajoute les attributs de tri

\numdisp

Masque/Affiche les numéros de pièces

\report

Génère les rapports

\viewrpt

Visualise les rapports

\qroom

Interrogation d’une pièce ou d’un étage

\clearcal

Efface les résultats de calcul

\geom

Retour au mode géométrique

\end

Quitte ARC+

\area

Passe au mode calcul des surfaces

  • IMPORTANT : Vous devez générer les murs 3D de votre modèle avant d’effectuer le calcul des Quantités. Utilisez la commande Création de murs 3D et d’ouvertures (\mw3d) (les murs peuvent être des murs tronqués).

Lorsque le calcul est exécuté, des textes d’identification sont ajoutés aux pièces, aux murs et aux ouvertures.

De nombreuses commandes sont identiques pour le calcul des quantités et des surfaces. Donc si vous avez déjà identifié les pièces et espaces pour les calculs de surfaces, vous n’avez pas à répéter ce procédé avant d’effectuer les calculs de quantités. Vous pouvez procéder directement à la génération des rapports.

Si vous effectuez les calculs pour la première fois, référez-vous à la section précédente sur les calculs de surface pour le fonctionnement des commandes suivantes:

  • Filtre
  • Attribution des noms aux pièces
  • Attribution des numéros aux pièces
  • Définition des polygones d’étage
  • Création de divisions de l’espace
  • Indication des surfaces de réduction
  • Affichage/Masquage des numéros de pièces
  • Interrogation d’une pièce ou d’un étage
  • Réinitialisation des résultats de calcul
  • Retour au mode géométrique
  • Quitter ARC+
  • Passage au mode calcul des surfaces

Ces différentes options sont décrites dans la section traitant du mode Calcul des surfaces. Les commandes spécifiques au mode Calcul des quantités sont décrites ci-dessous.


Ajout de lignes de division pour le calcul

Subdivise un espace pour créer des zones de calcul.

\subdiv

Les pièces aux formes irrégulières sont subdivisées automatiquement par le système en rectangles, triangles, trapèzes ou arcs. A ces subdivisions seront associées en option des étiquettes et elles seront affichées dans le calque de sortie en fonction des définitions de la boîte de dialogue Paramètres du calcul des surfaces (\calcset).

Si une méthode de subdivision différente est nécessaire, vous pouvez procéder à une division manuelle de l’espace, et le système produira des calculs séparés pour chaque surface ainsi générée.

Si vous ajoutez des lignes de subdivision manuelles et des surfaces de réduction aux pièces (voir la commande Identification des surfaces de réduction \reduce) le système ne procède à aucun ajout supplémentaire lors des calculs. Aussi, il convient de vous assurer que la surface a été subdivisée totalement en rectangles, triangles, et autres formes élémentaires.

Le système place automatiquement les subdivisions parallèlement à l’axe le plus long de la pièce. Lors de la division manuelle d’une pièce, les lignes de subdivision nécessaires seront ajoutées par vos soins et vous devez vous assurer que toutes les lignes nécessaires ont été ajoutées.

Pour générer les lignes de subdivision nécessaires aux calculs, vous procéderez comme suit: identifier la pièce à diviser, ancrez le premier et le second point. Une ligne de division en sous-surface apparaît avec des attributs définis à l’aide des options de paramétrage. Seules les pièces qui ont déjà été identifiées par un nom ou un numéro peuvent être subdivisées.

Après exécution des calculs, vous pouvez utiliser cette commande pour effectuer des ajouts aux lignes placées par le système.

  • IMPORTANT : Utilisez le bouton B2 (snap) pour garantir des liaisons correctes.
  • REMARQUE : Le type de ligne est spécifié dans la boîte de dialogue Paramètres de calcul des surfaces et il est connu sous le nom ligne de contour.


Calcul des quantités

En utilisant les commandes de calcul des quantités décrites dans cette section, vous accédez au mode calcul des Quantités. Si vous vous trouviez auparavant en mode modélisation, la configuration de l’écran est modifiée et la barre latérale des Quantités est affichée. Si vous passez du mode Calcul des surfaces au mode calcul des Quantités, la barre latérale est modifiée en barre des Quantités.

Thèmes liés

  • Accès au mode quantités
  • Définition des attributs
  • Définition des paramètres de calcul des quantités
  • Génération des rapports
  • Visualisation des rapports


Commandes supplémentaires du mode surface

Thèmes liés

  • Division de l'espace
  • Identification des zones de réduction
  • Réinitialisation des résultats
  • Ajout de lignes de division pour le calcul
  • Retour au mode géométrique


Définition des attributs

Affecte les attributs identifiant les entités en tant que groupe de calcul.

\sortkey

Les attributs sont des étiquettes descriptives que vous assignez aux entités de votre modèle. Utilisez-les pour identifier et grouper des éléments pour les calculs. Par exemple, si vous avez utilisé deux types de colonnes dans votre modèle, marbre et pierre, en assignant les étiquettes d’attribut marbre ou pierre à chaque colonne, les rapports montreront les totaux pour chaque type.

Entrez un terme descriptif pour chaque attribut (1-10 caractères). Attachez l’attribut à un groupe de sélection ou à des entités sélectionnées. L’attribut partagé établit un groupe de calcul pour les données du rapport.

Vous pouvez assigner un attribut (par ex., "papier peint") à tous les murs d’une pièce ou au sol en une seule étape en indiquant la pièce ou le sol.


Définition des paramètres de calcul des quantités

Définit les paramètres du calcul des quantités.

\calcset

Plusieurs des options proposées dans la boîte de dialogue configuration du calcul de quantités se trouvent dans la boîte de dialogue de calcul des surfaces décrites précédemment. Les fonctions spécifiques au calcul des quantités sont décrites dans cette section.

hauteur mur defaut | Pour utilisation avec un modèle construit avec les lignes et des polygones au lieu de murs. Affecte des hauteurs aux lignes pour les besoins du calcul (par ex. quantités de peinture ou de plâtre).
parametres avances | Définit des valeurs minimum à prendre en compte pour le calcul des réductions: surface de reduction d’ouverture min. a reduire volume de reduction d’ouverture min. a reduire surface min. a soustraire (étage)
affichage texte | Spécifie les paramètres de calcul à afficher dans le modèle: volume mur, volume ouverture, surface mur, surface ouverture.


Définition des paramètres de calcul des surfaces

Effectue le formatage des résultats de calcul en vue de leur affichage dans le modèle et dans le rapport.

\calcset

La plupart des champs disponibles dans la boîte de dialogue configuration du calcul des surfaces le sont aussi dans la boîte de dialogue configuration des rapports de quantité. Dans la description de la configuration des surfaces, une note indique lorsque l’un des paramètres ne s’applique pas aux calculs de quantités. Dans la section Définition des paramètres de calcul des quantités, sont expliquées les options de définition valables uniquement pour les calculs de Quantités.

Légende | Légende de la terminologie utilisée par le système dans le modèle et dans le rapport pour les besoins du calcul. Les abréviations sont utilisées dans le modèle. Le texte complet figure pour des besoins descriptifs uniquement.
modifie legende | Cliquez l’élément pour effectuer une mise à jour de la légende. Les modifications sont stockées dans le fichier areatext.set du répertoire en cours.
numero calque | Numéro du calque utilisé pour les polygones, les solides, les lignes de division de l’espace et les textes crées pour les besoins du calcul. Le calque 100 est utilisé par défaut.
taille txt zone | Taille du texte utilisée pour l’affichage des résultats (en mm), par défaut: 200 mm.
taille txt sous-zone (non disponible pour les quantités) | Taille du texte utilisée pour les surfaces calculées et subdivisées par les système ou par l’utilisateur (150 mm par défaut).
couleur surface

Vous pouvez affecter un code couleur aux polygones et aux solides créés pour les besoins du calcul. Cliquez sur la boîte de couleurs en cours, les couleurs peuvent être modifiées à partir de la palette affichée Il existe trois types de surface et d’entités correspondantes pour lesquelles il est possible de codifier les couleurs.

irreguliere—surfaces qu’il est nécessaire de subdiviser en formes simples pour les besoins du calcul. Inclut la couleur du texte du numéro de pièce, tous les textes des résultats des calculs de surfaces (mais pas le texte de la sous-surface) et les lignes de subdivision des surfaces.

reguliere—polygones surfaciques aux formes simples qui peuvent être calculés sans subdivision: rectangles, triangles, arcs et trapèzes (définit également la couleur du texte de la sous-surface).

reduction—zones (et texte) qui seront déduites de la surface calculée d’une pièce spécifique.

type ligne zone, sous-zone

(non disponible pour les quantités)

Type de ligne associée au polygone créé par le système autour des surfaces et des sous-surfaces. Vous pouvez modifier le type de ligne en le sélectionnant dans la palette ouverte lorsque vous cliquez sur le type de ligne en cours.
calculer (non disponible pour les quantités)

Sélectionne le type de calcul à effectuer ou à afficher:

  • surface
  • périmètre
  • périmètre murs
  • division surface
  • volume

def.tolerance | Ouvre la boîte de dialogue tolerance de la piece. Définit les limites indiquant au système les tolérances utilisables pour les fermetures des murs (lire l’explication ci-dessous).
defaut | Affecte à tous les paramètres du système leurs valeurs par défaut.
restaure | Affecte aux paramètres les valeurs existant lors de l’ouverture de la boîte de dialogue.
annule | Ferme la boîte de dialogue sans prendre en compte les modifications effectuées.
ok | Confirme les nouvelles valeurs affectées aux paramètres.

def. zones/ss-zones (non disponible pour les quantités) Ouvre la boîte de dialogue def. zones/sous-zones.

Spécifications légales et calcul des coefficients

La souplesse du mode de calcul vous permet de soumettre des rapports de surfaces et de volumes pour un projet qui tiennent compte des réglementations locales et légales. Par exemple:

  • Certaines réglementations tiennent compte pour les surfaces des balcons d’un pourcentage donné seulement de la surface construite. Pour tenir compte de cette disposition, vous pouvez associer un coefficient à chaque pièce ou à chaque subdivision. Ce coefficient sera automatiquement appliqué au calcul de la surface (voir la commande Spécification du nom de la pièce \roomname).
  • Les espaces internes en deçà d’une certaine hauteur de plafond ne sont pas intégrés dans les calculs de surfaces et sont considérés comme un pourcentage donné de la surface construite réelle. Vous pouvez définir des zones de hauteur dont les surfaces seront calculées en utilisant une pondération fonction de la hauteur.
  • Le système vous permet également de multiplier la totalité de la surface d’un étage par un coefficient spécifique. Par exemple, dans certains pays il est couramment autorisé de réduire la superficie de 3% pour tenir compte de l’épaisseur des plâtres. Le système présente alors les valeurs de la surface réelle et de la surface ajustée.
  • REMARQUES : Le coefficient exprimé en pourcentage est appliqué par pièce, alors que le coefficient de réduction est appliqué à la totalité des pièces.

Les surfaces nettes décrites dans ces commandes sont le résultat des calculs pondérés par les coefficients. Elles ne représentent pas les surfaces nettes dans le sens surfaces totales de l’étage moins la surface des murs.

A l’aide de la boîte de dialogue ci-dessus, vous sélectionnez la méthode de calcul à utiliser: identification par entités 2D ou par entités 3D. Chaque méthode propose l’identification manuelle ou automatique des entités de calcul et ignore toute entité qui ne définit pas une surface ou un volume (texte, lignes de cotation ou lignes d’aide par exemple). Les méthodes sont décrites ci-dessous dans les sections calculs de base sur entites 2d et calculs de base sur entites 3d.

Les champs de la boîte de dialogue def. zones/sous-zones sont décrits ci-après:

Rapports de calculs

ajouter formule | Ajoute au rapport la formule utilisée pour le calcul. Ainsi la surface d’un triangle sera indiquée sous la forme: 3.62 * 2.45 / 2 = 4.4345
surface par coefficient

Calcule la surface en appliquant le coefficient associé à la pièce. Il s’agit du coefficient de pondération défini pour chaque surface et qui vous permet d’ajuster les valeurs de surfaces données.

Ainsi vous pouvez par exemple associer un coefficient à un balcon, une salle de bains ou à la surface située sous une cage d’escaliers afin de la soustraire de la valeur de la salle de séjour. Le coefficient à utiliser sera défini dans la boîte de dialogue Nom de la pièce (voir Personnalisation des noms de pièces, coefficients et légendes).
coefficient de hauteur

Calcule la surface en utilisant le coefficient de zone de hauteur défini ci-dessous. Vous pouvez traiter les surfaces du modèle en leur appliquant différents paramètres fonction de zones de hauteurs. Ainsi une pièce pourra avoir différentes hauteurs de plafond. Chaque zone se voit affecter un numéro différent ainsi que des limites haute et basse.

Cette option ainsi que l’option volume de la boîte de dialogue principale sera sélectionnée en fonction du coefficient à appliquer dans les calculs.

Les paramètres du coefficient spatial sont définis de la manière suivante:
hauteur no. | Numéro identifiant la zone de hauteur (par défaut 1)
min | Limite minimum de la zone de hauteur à mesurer. (hauteur la plus basse). La hauteur est relative au plancher, c’est-à-dire à la base du mur (par défaut 0).
max | Limite maximum de la zone de hauteur à mesurer. (hauteur la plus haute). Entrez la valeur 9999 pour indiquer que la zone de hauteur peut atteindre le sommet du modèle.
coeff | Facteur de pondération à appliquer aux calculs pour ajuster les résultats (par défaut 1 = pas de pondération).
  • IMPORTANT : Lorsque les options surface par coefficient (coefficient associée à la pièce) et coefficient de hauteur (zones de hauteur) sont toutes deux sélectionnées, le système utilisera uniquement le coefficient par pièce, par conséquent:
  • pour calculer les zones de hauteur d’une pièce individuelle, ne pas définir de coefficient associé au nom de la pièce.
  • pour ignorer les zones de hauteur lorsqu’il n’y a pas de coefficient par pièce, fixez la valeur de ce dernier à 1.

Texte dans les rapports:

pas de texte dans le fichier graphique | Aucun texte relatif aux calculs n’est placé dans le modèle.
texte dans une table | Les résultats du calcul sont concentrés dans une table située à l’extérieur du modèle (par défaut).
textes au centre de la | Les calculs de chaque pièce
surface | apparaissent dans le modèle sous le nom de la pièce concernée.
calcul base sur | Option destinée au calcul des entités
entites 2d | 2D et 3D. Utilisée pour les calculs à partir des axes des murs. Vous utiliserez cette option pour inclure des lignes destinées au calcul (à la place de murs).
calcul base sur entites 3d | Uniquement pour les calculs sur des entités 3D.
% reduction pour surface nette | Valeur de la réduction des surfaces nettes exprimée en pourcentage. Ce paramètre est utile par exemple dans certains pays pour diminuer un pourcentage donné de la surface de la pièce en application des réglementations locales.

Tolérances

Ces paramètres sont recommandés aux utilisateurs avancés pour effectuer un réglage fin des calculs tant à petite échelle qu’à grande échelle.

points superposes (>en mm) | Intervalle minimum entre deux points (en dessous de cet intervalle les points se superposent).
extension du segment (>en mm) | Intervalle minimum entre les arêtes de deux polygones (mur) (en deçà de cette valeur; les polygones seront traités comme une jonction). Par défaut 0.
taille des arcs (>en mm) no. min./max. de segments | (voir Visualisation, Lissage de la courbure des arcs \sarc) Par défaut 5 mm. Min. 10/Max. 20 (voir \sarc)


Définition du numéro de pièce

Identifie et attribue des numéros aux pièces de votre modèle.

\roomnum

Les numéros des pièces sont placés en utilisant la boîte de dialogue numerotage des pieces qui contient les options de numérotage et d’étiquetage des pièces. Vous pouvez ajouter un préfixe textuel pour préciser si la numérotation est par pièce, par appartement ou par immeuble; et vous pouvez également utiliser une numérotation consécutive. Si vous devez utiliser des noms de pièce dans votre modèle, il est conseillé de les attribuer avant de procéder à la numérotation. En effet, les numéros des pièces sont placés par rapport au nom, soit sous le nom (par défaut), soit immédiatement après.

option | Liste des étiquettes de pièce et des options de numérotation: piece, appartement, etage et immeuble.
etiquette | Abréviation associée à chacune des options utilisée pour la numérotation des chambres— peut être éditée. Vous pouvez insérer un espace devant chaque préfixe pour améliorer la lisibilité de l’étiquette sur l’écran.
montre | Sélectionne les options d’étiquetage des pièces (ci-dessus) pour l’affichage des textes.
num. | Utilise la numérotation par défaut ou permet d’indiquer le chiffre de départ de la numérotation — les numéros de pièces consécutifs sont incrémentés automatiquement
def. surface | Ouvre la boîte de dialogue configuration du calcul des surfaces et permet de modifier les paramètres par défaut (voir ci-dessous).
place numero | Détermine la position de la numérotation : apres ou sous nom de la piece ou selon l’indication.

Si vous numérotez une pièce à laquelle il n’a pas été attribué de nom de pièce, vous identifiez automatiquement le polygone de pièce en cliquant sa partie interne. Alternativement, vous pouvez identifier la pièce manuellement en indiquant les murs l’un après l’autre.

Vous pouvez utilisez l’option Etiquette pour effectuer une attribution rapide des noms et pour la numérotation consécutive de plusieurs pièces, par exemple: pour attribuer un nom à un grand nombre de bureaux bureau1, bureau2, etc.


Division de l'espace

Divise (ou joint) les surfaces à l’aide de lignes.

\roomdiv

Vous pouvez diviser une pièce en deux espaces ou plus pour effectuer des calculs séparés, y compris si les pièces ne sont pas divisées par des murs, en ajoutant des lignes spéciales de division de l’espace. Dans un plan ouvert par exemple, vous utiliserez les lignes de division de l’espace pour spécifier des surfaces associées à des fonctions différentes.

Pour générer les lignes de division de l’espace, vous devez ancrer le premier point de la ligne à un mur Ancrez le second point ou enfoncez la touche Entrée pour créer un arc. Les lignes doivent se relier à des murs existants ou à d’autres lignes de division de l’espace.

Lors de la création des lignes de division, vous utiliserez le mode "snap" (bouton B2) pour les connecter à des murs. Assurez vous que les lignes sont situées au même niveau z que la base des murs. Pour les besoins du calcul, vous pouvez également unir des surfaces séparées, celles d’immeubles par exemples, en reliant leurs arêtes par une ligne de division de l’espace. Vous pouvez également entourer une zone non construite telle qu’un parking ou une zone paysagère pour les besoins du calcul.

  • REMARQUE : Les lignes de division de l’espace seront placées avant d’identifier une pièce, autrement le système considère les deux surfaces comme une pièce unique.


Edition du rapport

Cette option vous permet d’éditer les calculs

\editrpt

La description des différents champs de la boîte de dialogue modification rapport des calculs est fournie ci-après:

SURFACE

nom piece | Nom de la pièce (si il y a lieu) attribué à l’aide de l’option nom de pièce.
piece no. | Numéro de la pièce (si il y a lieu) attribué à l’aide de l’option numéro de pièce.
surface | Surface brute de la pièce mesurée selon la surface interne inscrite dans les murs qui l’entourent et sans tenir compte du facteur de réduction. Peut être éditée.
surface ponderee | Surface nette de la pièce après application du facteur de réduction et réduction des surfaces considérées. Peut être éditée.
coeff | Affichage uniquement.

SOUS-ZONE

no. ss-zone | Le numéro (ou étiquette) de la sous-surface.
zone de hauteur | Telle qu’elle a été définie dans la boîte de dialogue Paramètres de surface/sous-surface.
surface | Surface brute de la sous-surface.
coefficient | Affichage uniquement.
formule | Formule utilisée par le système pour l’exécution des calculs.

SURFACE TOTALE

Toutes les valeurs qui suivent peuvent être éditées, et toutes les modifications effectuées seront reflétées dans le rapport.

surface etage | Surface brute totale à l’étage de toutes les pièces et pour toutes les zones de hauteur. Si votre modèle comprend plusieurs étages, seul le total des surfaces associées est affiché dans le rapport. L’édition du total de la surface de chaque étage dans ce champ produit un grand total ajusté dans le rapport.
surf. ponderee | Total des surfaces des pièces après prise en compte du facteur de réduction.
surface piece | Surface totale de toutes les pièces pour toutes les zones de hauteur.
emprise des murs | Surface totale des murs.
restaure tout | Restaure toutes les valeurs et leur affecte les résultats réels calculés.
restaure cour. | Restaure les valeurs de la pièce en cours et leur affecte les résultats réels calculés.
affiche cour. | Modifie les valeurs et affecte les valeurs en cours affichées dans le modèle.

Après l’édition des données, enfoncez la touche Entrée pour mettre à jour les champs. Sélectionnez ok pour fermer la boîte de dialogue et afficher les résultats mis à jour dans le modèle et dans le rapport.


Exécution des calculs

La section qui suit décrit comment calculer les surfaces, afficher et éditer les rapports.

Thèmes liés

  • Génération du rapport de calculs
  • Visualisation du rapport au format ASCII
  • Edition du rapport
  • Définition des paramètres de calcul des surfaces


Filtrer des entités pour l'identification de l'espace

Utilisez l’option Filtre pour affiner la recherche des espaces clos par le système.

\filter

Le filtre a deux options¾défaut du système ou définition par l’utilisateur.

Les options par défauts du système vous permettent de spécifier un filtre pour des entités systeme 2D ou systeme 3D - les options par défaut du filtre ne peuvent pas êter changées

Si vous choisissez defini par l’utilisateur, vous pouvez sélectionner les options à filtrer. Lorsque vous cliquez sur l’option, cette entité est exclue de la recherche effectuée par le système pour définir un espace.


Génération des rapports

Génère les rapports quantitatifs.

\report

Tapez le nom de fichier du rapport, ou appuyez sur Entrée pour le nom de modèle courant. Choisissez les types de rapport vous désirez faire de la liste creation de rapports.

Les rapports sont générés en deux formats: ascii, avec une extension .rpn pour l’affichage et l’impression, et compatibles pour windows avec une extension .dpn pour traitement avec des programmes extérieurs.

Vous pouvez générer six différents types de rapport:

  • Murfilename.rp1 (.dp1)

  • Elémentfilename.rp2 (.dp2)

  • Lignefilename.rp3 (.dp3)

  • Polygonefilename.rp4 (.dp4)

  • Piècefilename.rp5 (.dp5)

  • Topologiefilename.rp6 (.dp6)

  • Solidefilename.rp7 (.dp7)

  • Tous élémentsfilename.rp8 (.dp8)

  • Toutes lignesfilename.rp9 (.dp9)

  • Tous polygonesfilename.rp10 (.dp10)

  • REMARQUE : Le rapport de topologie est utilisé par des programmes extérieurs de calculs de Quantités, pour faire une reproduction schématique du modèle afin de lister les matériaux et quantités.

Vous pouvez effectuer et afficher certains rapports de quantité sans avoir à identifier les pièces et les sols (rapports des Murs, Eléments, Ligne et Topologies). Pour générer les rapports de Pièce et Polygone, vous devez identifier les espaces avant de faire les rapports. Les rapports peuvent être affichés à l’aide de la commande Visualisation des rapports (\viewrpt).

Vous pouvez imprimer les fichiers de rapport à partir de votre gestionnaire de fichiers Windows95 en y associant l’extension de fichier correspondant, par exemple, *.rp0 avec Wordpad ou un autre éditeur de texte.

  • REMARQUE : Si vous effacez les entités placées des pièces avant d’utiliser les noms ou numéros des pièces, vous devez les replacer dans le modèle avant de générer les rapports de quantité afin de les inclure dans les données.


Génération du rapport de calculs

Génère les rapports de calcul de surfaces.

\report

Calcule les rapports en utilisant les paramètres par défaut ou en tenant compte des paramètres indiqués dans la boîte de dialogue configuration du calcul de surfaces. Outre le rapport de données, cette option effectue l’ajout des lignes de subdivision et des textes.

A chaque modification de la subdivision ou des zones à réduire, vous devez redemander la génération du rapport afin que ce dernier soit mis à jour.

Utilisez cette commande pour faire afficher le rapport dans votre modèle (sélectionnez l’option "afficher" dans les paramètres de calcul) et pour demander la génération d’un fichier ASCII du rapport. Le fichier est créé avec votre nom de fichier suivi de l’extension .rpt.

  • REMARQUE : Si vous créez un autre rapport dans le même répertoire, le fichier précédent sera surchargé.


Identification d'un étage

Identifie un étage en le cliquant.

\floordef

Les limites de l’étage doivent être identifiées pour le calcul des surfaces nettes et brutes de l’étage.

Vous pouvez identifier une surface d’étage pour les besoins du calcul, que les pièces qui s’y trouvent aient été ou non identifiées par un nom. Vérifiez la numérotation des étages et de l’immeuble (si vous les avez déjà attribués) ou définissez les, puis cliquez la zone interne de l’étage, ou indiquez les limites du polygone d’étage.

Dans le cas où plusieurs surfaces sont situées dans le même étage d’un immeuble, le système vous permet d’attribuer le même numéro d’étage à chacune des surfaces, ce qui a pour effet de créer un polygone unique qui relie les surfaces pour les besoins du rapport.

Vous devez utiliser cette commande pour modifier la numérotation des étages ou de l’immeuble et non pas la commande de numérotation des pièces. Si vous utilisez l’option numérotation des pièces après avoir défini les étages, le numéro d’étage adéquat sera affiché dans la boîte de dialogue numerotage des pieces.


Identification des pièces et des surfaces

Vous devez identifier les pièces et les espaces afin d’effectuer les calculs. Cette section décrit la façon d’identification des pièces d’après leur nom et leur numéro, ainsi que l’identification de l’étage. Une option filtre vous permet d’affiner la recherche des entités définissant l’espace clos. Vous trouverez aussi des explications pour effacer et afficher les numéros des pièces, chercher une pièce ou un étage.

  • IMPORTANT : Pour effacer les noms et numéros de pièce, ainsi que les numéros d’étage, vous devez utiliser la commande Réinitialisation des résultats (\clearcal). (N’utilisez pas les commandes undo ou d’effacement).

Thèmes liés

  • Spécification d'un nom de pièce
  • Définition du numéro de pièce
  • Filtrer des entités pour l'identification de l'espace
  • Masquage/Affichage de la numérotation des pièces
  • Identification d'un étage
  • Informations sur une pièce ou un étage


Identification des zones de réduction

Identifie dans une pièce une surface polygonale qui sera exclue des calculs de surface et qui fera l’objet d’un rapport séparé.

\reduce

Afin que le système puisse reconnaître les zones de réduction, vous devez identifier les pièces contenant ces surfaces à l’aide d’un nom ou d’un numéro.

Le système identifie automatiquement les polygones simples et les bases de solides en tant que surfaces de réduction lorsque ces derniers sont placés dans le calque utilisé par les calculs.

Le polygone de réduction assume que les attributs de couleur pour les zones de réduction sont ceux définis dans la boîte de dialogue Paramètres du Calcul des surfaces.

  • IMPORTANT:Les polygones de surface de réduction ne doivent contenir qu’une seule boucle!


Informations sur une pièce ou un étage

Génère des résultats de calcul ponctuels pour une pièce ou un étage.

\qroom

Vous pouvez demander les informations relatives à une pièce ou à un étage après les avoir identifiés et avant même de procéder à l’exécution des calculs.

Spécifiez si la surface qui vous intéresse est une pièce ou un étage. Indiquez la surface en la cliquant. Une boîte de rapport est affichée contenant les informations sur le polygone associé à la pièce ou à l’étage: nom et numéro de la pièce, ainsi que numéros de l’immeuble, de l’appartement et de l’étage. Le rapport fournit la liste des données géométriques telles que périmètre et surface, ainsi que celle des attributs non géométriques.


introduction

Home > 22 Domaine > Introduction

Calcul des surfaces et quantités

Le calcul des surfaces intègre les mesures géométriques telles que celles des volumes, des longueurs et des périmètres. Le calcul des quantités a pour objectif de fournir des données relatives au nombre d’éléments contenus dans un modèle, les surfaces des murs et le volume de ces derniers.

Les surfaces, les volumes et autres statistiques concernant un bâtiment peuvent s’avérer nécessaires pour de nombreux besoins. ARC+ vous propose :

  • Calcul des surfaces— planification et permis de construire (demande en vue de l’obtention d’un permis de construire), vérification de votre conception par rapport au programme initial.
  • Calcul des quantités — Nomenclature des matériaux (métré).

La première section de ce chapitre constitue un aperçu de la méthode de préparation du modèle en vue des différents calculs. Elle est immédiatement suivie par une description détaillée de l’utilisation des options de calcul des surfaces et des quantités avec leurs boîtes de dialogue respectives.

La méthode de génération des calculs de surfaces et de quantités peut se résumer comme suit:

  • Identification de la pièce
  • Allocation d’un nom ou d’un numéro à la pièce
  • Identification et numérotation de l’étage
  • Réalisation des calculs
  • Visualisation du rapport
  • Edition du rapport

Thèmes liés

  • Procédure générale - aperçu
  • Identification des pièces et des surfaces
  • Exécution des calculs
  • Commandes supplémentaires du mode surface
  • Calcul des quantités


Masquage/Affichage de la numérotation des pièces

Après avoir effectué la numérotation des pièces, vous pouvez demander à les masquer ou à les voir afficher dans le modèle et dans les rapports (avant les calculs).

\numdisp

Indique si les numéros de pièces doivent être masqués ou affichés.


Préparation du modèle pour les calculs

Accès au mode Calcul

L’accès au mode Calcul est effectué en sélectionnant les commandes de calcul des surfaces ou des quantités ou en enfonçant le bouton mode de la barre d’états afin de passer du Mode modelisation au mode calcul. La barre ordinaire latérale de menus se transforme en barre latérale de calculs et une zone de travail unique et agrandie est affichée sur l’écran.

Lors du calcul des surfaces, ARC+ ajoute les nouvelles entités suivantes à votre modèle.

  • des polygones pour les surfaces, les périmètres, la hauteur et les zones de réduction.
  • des solides pour les volumes
  • des lignes de subdivision (pour le calcul des surfaces uniquement)
  • des polygones pour la surface des murs et des ouvertures (pour les quantités uniquement)
  • des textes pour l’affichage des résultats de calcul (optionnel)

Ces entités sont placées dans le calque spécifié par les paramètres de calcul des surfaces (par défaut calque 100).

Il est conseillé d’affiner les paramètres de calcul afin de déterminer le type de données à incorporer dans les rapports.

Effacer les entités superflues

Un modèle normal ARC+ contient certains éléments susceptibles d’interférer avec le calcul des surfaces ou des quantités. Simplifiez votre modèle avant d’effectuer les calculs en supprimant tous les éléments superflus.

Seules les entités nécessaires aux calculs, telles que les murs, les lignes de subdivision, et les polygones (pour la réduction des espaces) devront être affichées. Toutes les autres entités seront effacées ou masquées.

Nous vous proposons ci-dessous une méthode caractéristique (mais non unique) permettant d’éviter l’interférence d’entités superflues avec le calcul des surfaces et des quantités.

Vous pouvez créer un modèle séparé pour effectuer les calculs ou isoler les entités nécessaires par l’un des moyens suivants:

  • Tracez le modèle dans un calque séparé.
  • Copiez le modèle puis effacez les éléments superflus.
  • Créez les entités nécessaires aux calculs dans des calques séparés et masquez tous les autres calques.
  • Masquez (ou effacez) toutes les entités superflues.
  • REMARQUE : Les entités telles que les lignes d’aide, les textes et les lignes de cotation n’affectent pas les résultats des calculs.

Identification des pièces et des étages

Les pièces et les étages sont identifiés automatiquement par le système ou manuellement par l’utilisateur. Afin de générer les calculs, le système crée dans votre modèle des polygones associés aux pièces lorsque vous associez un nom ou un numéro aux pièces, ou lorsque vous créez un polygone associé à l’étage à l’aide de la commande définition d’étage. Ces options créent des polygones à l’aide desquels le système identifie les murs des pièces et des étages pour la réalisation des calculs.

Pour obtenir les résultats des calculs, vous pouvez vous en remettre aux paramètres par défaut ou effectuer des ajustements en utilisant la boîte de dialogue configuration du calcul des surfaces. Ces paramètres indiquent au système le type de calcul à effectuer et quels sont les attributs de texte et de lignes à utiliser. Lorsque la génération du rapport est terminée, vous pouvez visualiser et éditer les résultats des calculs.

Définition des pièces

La première étape consiste à identifier les pièces ou les surfaces à calculer. Les pièces sont définies par les murs ou les polygones. Si le système identifie l’espace avec des limites différentes de celles qui vous sont nécessaires, vous pouvez choisir le mode d’indication manuel. Même dans le cas où une pièce n’est pas délimitée en totalité, le système vous demandera d’indiquer les limites de la pièce et inscrira la surface dans un polygone.

Préparation des murs

  • Jonctions de murs — Il est recommandé de vérifier que tous les murs sont raccordés correctement les uns aux autres à l’aide d’angles ou de jonctions en T, en X, ou de jonctions complexes.
  • Murs courbes — Les murs courbes ne peuvent être reliées qu’à leurs extrémités. Ne connectez pas les murs ou les lignes de division de l’espace à tout autre point d’un mur courbe.
  • Extrémités des murs — Les extrémités libres des murs (c’est à dire les points où les murs adjacents ont été effacés) contenues dans la surface à calculer devront être fermées en utilisant la commande Fermeture d’une extrémité de mur (\cmwal).

Préparation des étages

Les dalles d’étages (polygones affectés d’une hauteur) doivent être masquées ou effacées et ne doivent pas être inclues aux calculs. Utilisez la commande spécifique d’identification d’étage— le système génère automatiquement un polygone autour de l’étage.

En cas d’étages répartis sur plusieurs niveaux, les calculs devront être exécutés séparément pour chaque niveau du modèle. Chacun des niveaux d’un étage en comportant plusieurs devra être délimité par des murs ou des lignes de subdivision de l’espace.

Calcul de plusieurs surfaces

Vous pouvez effectuer simultanément le calcul des surfaces de plusieurs immeubles, étages ou appartement. Déplacez toutes les surfaces à calculer dans le calque de calcul. Pour les besoins de la compilation des calculs, attribuez à chaque surface le même numéro d’étage et de bâtiment.

Exclusions du calcul des surfaces de réduction

Vous définissez une surface de réduction (une cage d’escaliers par exemple) qui doit être soustraite du calcul de surface en l’inscrivant dans un polygone de réduction. (Voir Identification de la surface de réduction \reduce). La surface de réduction doit se trouver au même niveau z que la base des murs.

De la même manière, vous pouvez identifier en tant que surfaces de réduction les polygones associés aux entités placées et aux objets paramétriques (blocs) que vous désirez éliminer du calcul.

Toits et volumes

Tout espace doit être couvert par un polygone de surface fermé afin que le calcul de son volume puisse être effectué. Le polygone peut faire partie d’un solide associé à une dalle d’étage ou peut être un polygone 2D spécialement créé pour les besoins du calcul.

Si l’espace n’est pas couvert en totalité par un polygone (cas d’un balcon partiellement couvert ou de l’orifice du conduit de cheminée dans un toit (trou) par exemple), le volume ne peut pas être calculé. Pour obtenir le calcul du volume, créez un polygone de couverture temporaire afin de couvrir la totalité de la surface de l’étage, ou pour obturer le trou. Les pièces pourront être couvertes par des polygones de plafonds à différentes hauteurs, mais la totalité de la surface devra être couverte pour créer des zones de volumes et de hauteur. Les volumes sont calculés en fonction de la plus basse des hauteurs du polygone de plafond, les volumes situés au dessus de cette hauteur seront ignorés.

  • IMPORTANT : Un solide simple (prisme) possédant un côté non-polygonal utilisé en tant que couverture devra être transformé en solide complexe en utilisant la commande (\sol3to9).

Union d’un groupe de bâtiments

Vous pouvez calculer la surface d’un groupe de bâtiments en les associant à l’aide d’une ligne à l’aide de la commande Division de l’espace (\roomdiv).

Limitations:

  • Les murs dont les ouvertures ont été décomposées en lignes doivent être identifiés manuellement (arête par arête) afin de permettre l’exécution des calculs.
  • Un nombre important d’arcs a pour effet d’augmenter le temps de calcul du volume des pièces. En réduisant le nombre d’arcs à l’aide de la commande Lissage des arcs (\sarc) vous pourrez obtenir un temps de calcul amélioré. Par contre la précision du calcul sera affectée.

Pièces en enfilade

Dans le cas de pièces en enfilade, et non reliées par des murs (cas d’une salle de réception située dans un lobby par exemple), la possibilité vous est donnée d’effectuer le calcul pour les deux zones. Il vous faut identifier en premier la pièce la plus interne (par nom ou par numéro), puis identifier la pièce contenant la précédente. Vous définirez la pièce interne en tant que zone à soustraire de la pièce externe puis demandez la génération du rapport de calculs. La surface de la pièce externe diminuée de celle de la pièce interne est affichée comme surface de la chambre externe. La surface de la pièce interne est affichée séparément.


Procédure générale - aperçu

Différentes étapes sont nécessaires à la préparation du modèle en vue des calculs. Il est fortement conseillé de suivre ces étapes avec précaution afin d’obtenir des résultats satisfaisants.

Thèmes liés

  • Préparation du modèle pour les calculs
  • Accès au mode Calcul de surfaces


Réinitialisation des résultats

Efface le texte et les résultats des calculs.

\clearcal

Sélectionner le type de réinitialisation désiré: par pièce, par étage ou pour la totalité. Spécifiez si vous désirez supprimer les résultats des calculs, supprimer les résultats tout en conservant les subdivisions, ou enfoncez la touche Entrée pour supprimer toutes les entités et les textes du calcul.

Si vous éditer une partie du modèle après la réalisation des calculs, vous devez auparavant supprimer les résultats affichés dans les surfaces à modifier à l’aide de cette commande. Pour mettre à jour les résultats, les calculs devront être exécutés à nouveau.

Pour supprimer du modèle les polygones de réduction, utilisez l’option de suppression de tous les textes qui inclut également les polygones de pièces, les noms et les numéros.

Si vous éditer les entités texte des calculs et que les calculs doivent être exécutés une nouvelle fois, vous devez auparavant effacer les résultats.


Retour au mode géométrique

Quitte le mode calcul et retourne au mode modélisation géométrique.

\geom

Il est recommandé de sauvegarder votre fichier avec un nom spécifique aux calculs avant de repasser au mode géométrique.


Spécification d'un nom de pièce

Identifie les pièces et place les noms des pièces dans votre modèle.

\roomname

Les noms de pièces sont attribués en utilisant la boîte de dialogue nom et attributs de la piece qui contient une liste prédéfinie de noms de pièces, et propose en option la possibilité de mettre à jour les noms de pièces ou d’en ajouter de nouveaux. Vous pouvez définir un ou deux attributs comprenant le nom et une valeur. Une option supplémentaire vous permet de définir l’attribut coefficient sous forme de pourcentage.

nom piece | Sélectionner le nom de la pièce dans la liste. Cette dernière peut être éditée (voir modifie et ajoute).
attributs | Assigner jusqu’à deux attributs avec nom et valeur. Ces attributs éditables, sont affichés dans un rapport destiné à être utilisé avec des programmes externes de calcul des quantités. (Certains pays possèdent des Instituts de Normalisation qui définissent des codes d’attributs pour des pièces spécifiques). Vous pouvez par exemple définir le mot "étage" comme nom d’attribut et "moquette" comme valeur; ou bien "mur" et "peinture". Consulter Interrogations, Attributs non géométriques pour une explication exhaustive.
coefficient piece | Vous pouvez ajouter des coefficients applicables au calcul de chaque pièce en définissant le coefficient en question comme attribut lors de la définition du nom de pièce (dans le cas où vous devez répondre à des normes spécifiques dans certains pays).
  • IMPORTANT : Vous devez choisir l’option surface par coefficient dans la boîte de dialogue Déf. Zones/Sous-Zones (décrite ci-après) pour les coefficients à calculer. Les coefficients ne s’appliquent qu’aux pièces munies de noms.
place | Fermez la boîte de dialogue. Le système vous demande d’indiquer la pièce à laquelle doivent être attribués les paramètres définis.
Ajout et edition des noms de pièces

modifie — Cliquez sur un nom de la liste afin de le voir affiché dans le champ nom de piece et pour l’éditer, puis sélectionnez le bouton modifie.

ajoute — Ajoutez un nom de pièce en le frappant ou en modifiant le nom qui figure dans le champ nom piece puis en sélectionnant le bouton ajoute.

effacer — Supprimez dans la liste un nom de pièce et les attributs associés.

restaure — Réinitialiser les noms et les valeurs sans prendre en compte les nouvelles définitions effectuées.

sauve — Sauvegarde les modifications apportées aux noms des pièces et aux attributs et vous donne la possibilité de fermer la boîte de dialogue sans que les modifications soient appliquées immédiatement. Vous pourrez le faire ultérieurement. Les modifications sont sauvegardées dans le répertoire roomname.def du système.
def. zone | Ouvre la boîte de dialogue configuration du calcul des surfaces en vue de la modification des paramètres définis par défaut (voir ci-dessous).
def. texte | Les noms des pièces utilisent les paramètres de texte en cours. Ouvrez la boîte de dialogue attributs texte pour modifier les paramètres en cours (voir Définition des attributs \atext).
annuler | Ferme la boîte de dialogue sans tenir compte des modifications effectuées

Spécifiez un point dans le modèle, ou enfoncez la touche Entrée pour définir la direction du texte à l’aide de deux points. Confirmez le polygone de la pièce, ou indiquez le manuellement mur par mur si nécessaire. Il est suffisant d’indiquer une seule fois chaque mur même dans le cas où le mur comprend des ouvertures. Cependant si le mur est composé d’un ou plusieurs segments consécutifs, il sera nécessaire d’indiquer séparément chaque segment. D’autres entités telles que les arcs ou les entités placées peuvent servir à définir un espace et exigent également d’être placées manuellement.

La boîte de dialogue Nom de Pièce apparaît. Après avoir sélectionné un nom de pièce et défini les attributs voulus, sélectionnez le bouton Appliquer. Le texte est créé dans le modèle.

L’attribution d’un nom à une pièce est optionnel pour les besoins du calcul si la numérotation de pièces est utilisée. En effet la pièce peut être identifiée soit par son nom soit par son numéro. De même la numérotation des pièces est optionnelle lorsque des noms ont été attribués.

  • IMPORTANT : Assurez vous bien que l’ensemble des entités et des éléments nécessaires au calcul se trouvent tous au même niveau z. Cela peut être le niveau z du mur base sur lequel le curseur se maintient lors de l’utilisation des commandes d’identification de pièce ou d’étage, et y compris les commandes Nom de pièce, Numérotation de pièce et Identification d’étage.

Modification du nom de pièce

Pour attribuer un nouveau nom de pièce, indiquez la pièce dans votre modèle. Sélectionnez le nouveau nom dans la boîte de dialogue Nom de pièce et cliquez le bouton Appliquer. Le système vous demandera de confirmer le remplacement demandé.


Visualisation des rapports

Visualise les rapports quantitatifs.

\viewrpt

Choisissez dans la liste le type de rapport vous désirez voir.

La structure de chaque rapport est présentée ci-dessous. Chaque ligne de la table est affichée dans le rapport en tant que ligne séparée. Les informations présentées dans la colonne sont séparées par des virgules.

Rapport par mur—*.rp1 (*.dp1)

élément du rapport | description
Nom du mur | Dans la librairie ARC+ (par ex. l3-f29)
Attribut tri | Nom d’attribut réservé - option (par ex. Brique rouge)
Compte | Nombre des sections de mur possédant les mêmes nom et attribut
Longueur totale | Longueur totale des murs avec ces nom et attribut, ouvertures non déduites (1). La longueur des murs est mesurée en fonction des paramètres par l’axe (si il y a lieu) ou par la médiane
Surface totale | Surface totale des murs avec ces nom et attribut. Surface= longueur x hauteur moyenne. La mesure de la longueur est définit par les paramètres: selon l’axe, la médiane ou par couche
Surface nette | Totale, moins les ouvertures
Surface totale - 1ère couche | Surface de la face du mur vue de la 1ère couche
Surface nette- 1ère couche | Idem moins les ouvertures
Surface totale - dernière couche | Surface du mur vue de la 1ère couche
Surface nette - dernière couche | Idem moins les ouvertures
Volume net des couches 1n(2) | Volumes de la 1ère à la dernière couche des murs ayant les même nom et attribut; et après déduction des ouvertures pour ces couches(3)
  • Les ouvertures nouvelles et les anciennes sont comptées.
  • Le volume de la couche est calculé en multipliant le volume total du mur par le pourcentage actuel de cette couche dans le polygone du mur 2D.
  • Le volume de l’ouverture à déduire d’une couche est calculé en multipliant le volume du plus grand solide négatif de l’ouverture (ou le volume prismatique dans le cas d’ouvertures simples: XoxYoxZo) par le pourcentage associé à la couche dans la définition du mur.

Rapport par Elément—*.rp2 (*.dp2)

elément du rapport | description
Nom de l’élément | Nom de l’élément dans la bibliothèque (par ex., Colonne 1, double-porte)
Attribut tri | Attribut défini par l’utilisateur, ex: @rmbk-key (par ex. marbre 1, bois)
X | Pour les éléments placés : facteur X Pour les ouvertures — Xo
Y | Pour les éléments placés — facteur Y Pour les ouvertures — Yw de l’ouverture du mur
Z | Pour les éléments placés — facteur Z Pour les ouvertures — Zo de l’ouverture (hauteur)
Compte | Nombre de tous les éléments avec les mêmes nom attribut, et facteurs x, y, z

Rapport par Lignes—*.rp3 (*.dp3)

elément du rapport | description
Attribut tri | Attribué par l’utilisateur (par ex. PVC.0-100)
Longueur | Longueur totale des lignes avec cette clé
Nombre | Nombre de segments de lignes avec ce nom

Rapport par polygone—*.rp4 (*.dp4)

elément du rapport | description
Type de polygone | Catégorie dans la hiérarchie du livre de la pièce (par ex. Mur externe, surface interne du mur, toit, surface d’étage, surface de la pièce, polygone placé par l’utilisateur)
Attribut tri | Attribué par l’utilisateur (par ex. Carreaux, plâtre)
Surface | Surface totale de tous les polygones avec ce nom
Surface nette | Surface totale de tous les polygones avec ce nom, après déduction des surfaces à réduire. Pour la surface de la pièce -- surface du polygone de la pièce après déduction des surfaces de réduction. Pour la surface des murs, après déduction de la surface des ouvertures
Périmètre | Périmètre total des polygones de ce type, y compris le périmètre des trous
Surface des trous | Total de toutes les surfaces de réduction pour ce type de polygone
Périmètre des trous | Périmètre total de toutes les surfaces de réduction pour ce type de polygone
Compte | Nombre de polygones de ce type

Rapport par pièce—*.rp5 (*.dp5)

elément du rapport | description
Nom de la pièce | Texte qui apparaît dans le modèle (par ex. cuisine)
Surface de la pièce | Surface du sol
Surface nette de la pièce | Surface du sol après déduction des surfaces de réduction supérieures aux paramètres définis
Périmètre total de la pièce | Y compris portes et murs virtuels
Périmètre net de la pièce | Non compris portes et murs virtuels
Surface des ouvertures | Somme de la surface des ouvertures de la pièce
Périmètre des ouvertures | Somme du périmètre des ouvertures de la pièce
Hauteur de la pièce (min.) | Hauteur min. de la pièce
Hauteur de la pièce (max.) | Hauteur max. de la pièce
Surface des murs à peindre | Somme de la totalité des surfaces de murs internes après déduction des ouvertures dont la surface est supérieure aux paramètres définis
Volume de la pièce | Jusqu’au plafond
Numéro de la pièce | Option
Numéro de l’appartement | Option
Numéro de l’étage | Option
Numéro de l’immeuble | Option
X,Y,Z | Coordonnées du nom de la pièce (ou nom ou numéro de la pièce)

Rapport par topologie du mur—*.rp6 (*.dp6)

elément du rapport | description
Numéro du mur | No. du mur. Le même numéro de mur est attribué aux colonnes contenant les données de ce mur et de ces ouvertures
Numéro de l’ouverture | 0 - pour le mur lui même. Des numéros consécutifs sont attribués aux ouvertures de ce mur
Nom | Nom du mur ou de l’ouverture dans la base de données ARC+. Nom 2D pour une ancienne ouverture, nom complet pour une nouvelle ouverture (par ex. 11-20 cm, fenêtre 1)
Attribut utilisateur | Valeur de l’attribut défini par l’utilisateur telle qu’elle figure dans le rapport par mur ou par élément (par ex. Brique rouge)
P1 (X,Y) | Coord. X,Y (m) du 1er pt. du mur (mesuré dans l’axe, la médiane, ou dans la 1ère couche du mur). Pour une ouverture, 1er point de l’ouverture 2D (à la coupure du mur)
P2 (X,Y) | Coord. X,Y (m) du 2er pt. du mur (mesuré dans l’axe, la médiane, ou dans la 1ère couche du mur). Pour une ouverture, 1er point de l’ouverture 2D (à la coupure du mur)
Epaisseur | Epaisseur du mur : identique pour le mur et les ouvertures
Z1 | Pour le mur: hauteur du 1er point Pour l’ouverture - hauteur de l’ouverture
Z2 | Pour le mur: hauteur du 2e point Pour l’ouverture: hauteur sur plancher
Forme | Pour le mur: régulier/irrégulier (après opération booléenne) (par ex. Simple ou complexe ou arche) Pour l’ouverture: indique si le solide associé à l’ouverture est rectangulaire, prisme ou plus complexe. Pour les anciennes ouvertures: nom de l’élément 3D (par ex. Boîte ou "Arche 1")
H1 | (Fronton 1) No. des connections de frontons de murs au mur courant au 1er point (0 pour rien)
H2 | (Fronton 2) No. des connections de frontons de murs au mur courant au 2e point (0 pour rien)

Rapport par solide—*.rp7 (*.dp7)

element du rapport | description
Nom du solide | Suivant l’application: Toit, Lucarne, Escaliers, Opération Booléenne. Le nom sera manquant pour un solide qui n’a pas été coupé (\secte, \sects, \sects, \sectg) ou sclupté (\uni, \dif, \int). Les solides de murs ne sont pas rapportés
Attribut de tri | Un nom d’attribut réservé, a utiliser pour trier un mur avec le nom, par ex. (Brique rouge). Cet attribut est en option et peut être manquant
Volume | Volume de tous les solides ayant le même nom et attribut de tri. Les totaux pour les solides positifs et négatifs sont rapportés
Compte | affiche le nombre de solides de chaque type, par nom et par attribut
Negatif | Indique le volume des solides négatifs
Zone de surface | Prisme—surface des côtés seulement, sans les bases; Solides complexes—surface totale
Surface base1 | Seulement pour prismes (solide 3)
Surface base2 | Seulement pour prismes (solide 3)

Rapport de tous les éléments—*.rp8 (*.dp8)

Inclut tous les éléments (sauf les ouvertures) qu’ils aient ou non un attribut de tri. Les informations suivantes sont données pour chaque élément:

  • Numéro de l’entité
  • Attribut de tri, si il existe
  • Nom
  • Chemin
  • Coordonnées de placement
  • Rapport toutes lignes—*.rp9 (*.dp9)

Inclut toutes les lignes (sauf les lignes d’aide, les lignes de cotations et les lignes de texte) possédant un attribut de tri. Les informations suivantes sont données pour chaque ligne:

  • Numéro de l’entité
  • Attribut de tri
  • Coordonnées des extrémités (P1, P2) => ligne
  • Coordonnée du centre et rayon => cercle ou ellipse
  • Milieu, extrémités, rayon, angle, longueur => arc

Rapport tous polygones—*.rp0 (*.dp0)

Inclut chaque polygone possédant un attribut de tri, ou un polygone de pièce, sol, mur intérieur ou extérieur. Les informations suivantes sont données pour chaque polygone:

  • Numéro de l’entité
  • Attribut de tri, si il existe
  • Coordonnées des points: P—point régulier; A—point d’arc; J—point de saut; pour les polygones qui comprennent un arc: centre, rayon et angle


Visualisation du rapport au format ASCII

Affiche les résultats du calcul en format ASCII.

\viewrpt

Le rapport contient une date qui est mise à jour lors de chaque demande de génération. Lorsque vous effectuez des modifications affectant les calculs dans le modèle, vous devez redemandez la génération du rapport. Lors de chaque génération du rapport; le rapport précédent est surchargé et remplacé par un rapport mis à jour. Si vous désirez sauvegardez un ancien rapport, il vous faut le sauvegarder sous un autre nom avant de demander la génération du nouveau rapport.

Le rapport est sauvegardé sous forme d’un fichier texte avec votre nom de fichier et l’extension .rpt. Si vous changez le nom de fichier associé à votre modèle, vous devez avant de le visualiser, redemander la génération du rapport afin de l’associer au nouveau nom de fichier.

Le rapport liste en premier les pièces ayant un nom puis les pièces n’ayant qu’un numéro. L’ordre dans lequel vous avez nommé les pièces détermine leur séquence dans le rapport. Les pièces numérotées apparaissent en ordre ascendant.

Exemple de rapport de calculs de surface

NOM FICHIER: calq.rpt DATE 14/8/96

CALCUL SURFACES

===============

NUMERO PIECE NOM PIEC font-family: 'Courier New'; face="Courier New"E

Etage1 Pièce No.2 = Salon

-------------------------

ATTRIBUTS DE PIECE

DIN277=HNF 11 A

DIN283=W/0.97

ZONE DE HAUTEUR

Ht1 (0.0-3.0)

No. ss-zone1 (4.500 + 4.310) * 0.190 / 2 = 0.837 m2

No. ss-zone2 (4.310 + 2.590) * 0.860 / 2 = 2.967 m2

No. ss-zone3 1.050 * 4.500 = 4.725 m2

No. ss-zone4 3.000 * 4.500 = 13.500 m2

No. ss-zone5 Rayon: 1.050, Angle: 90.003 = 0.315 m2

No. ss-zone6 Rayon: 1.625, Angle: 134.760 = 2.168 m2

Total = 24.512 m2

24.512 * 1.000 = 24.512 m2

Brut = 24.511 m2

Net (minus 3.00%) = 23.776 m2

COEFFICIENT

Périm mur:

FORMULE 1.649 + 0.410 + 3.000 + 0.750 +

3.822 + 0.750 + 4.050 = 14.431 m

Périm pièce:

1.649 + 0.410 + 2.180 + 1.216 +

1.240 + 3.000 + 0.750 + 3.822 +

0.750 + 4.050 = 19.068 m

Vol.pièce: 73.531 m3

NUMERO PIECE NOM PIECE

Etage1 Pièce No.4 = Salle à Manger

----------------------------------

ATTRIBUTS

Murs=papier peint

Sol=bois

ZONE DE HAUTEUR

Ht1 (0.0-3.0)

No. ss-zone1 4.000 * 2.059 = 8.234 m2

No. ss-zone2 (4.000 + 3.059) * 0.941 / 2 = 3.323 m2

Total = 11.557 m2

11.557 * 1.000 = 11.557 m2

Brut = 11.557 m2

Net (minus 3.00%) = 11.210 m2

Périm mur:

FORMULE 4.000 + 3.000 + 3.059 + 1.331 +

2.059 = 13.449 m

Périm pièce:

4.000 + 3.000 + 3.059 + 1.331 +

2.059 = 13.449 m

Vol.pièce: 34.671 m3

RESUME

Immeuble 1 Etage 2

Pièce Brut Net (minus 3.00%)

S.d.B.1 2.080 m2 2.018 m2

S.d.B.2 2.160 m2 2.095 m2

Arm.1 1.890 m2 1.833 m2

Etage2 Pièce No.1 = Chambre d'ami 12.480 m2 12.106 m2

Etage2 Pièce No.2 = Chambre 32.000 m2 31.040 m2

Etage2 Pièce No.3 = S.d.B. 3.600 m2 3.492 m2

Etage2 Pièce No.4 = Chambre d'enfants 9.720 m2 9.428 m2

Etage2 Pièce No.5 = Chambre à coucher 13.950 m2 13.531 m2

Etage2 Pièce No.6 = Balcon 10.268 m2 9.960 m2

Périm ext:

FORMULE 9.640 + 3.400 + 0.200 + 1.600 +

1.460 + 3.500 + 2.000 + 0.822 +

4.021 + 0.822 + 2.000 + 6.000 +

8.500 = 43.966 m

Brut 88.148 m2

COEFFICIENT Net (minus 3.00%) 85.503 m2

Surf tot sol 98.156 m2

Surf sol const 26.009 m2

Brut 154.270 m2

Net (minus 3.00%) 149.642 m2

Surf étage tot proj 185.278 m2

Surf sol const proj 36.676 m2

Périm tot mur ext pr: 89.395 m


Index

Home > 23 Toits

23 Toits

  1. Avant de commencer
  2. Convertir un polygone en toit
  3. Création d'ouvertures dans un toit
  4. Création d'un périmètre de toit
  5. Création des ouvertures de toit
  6. Création des toits
  7. Créer une ouverture dans un toit
  8. Définition de la hauteur du mur
  9. Edition du toit
  10. Génération d'un toit
  11. Introduction
  12. Utilisation de la boîte de dialogue attributs de toit
  13. Utilisation de la boîte de dialogue ouvertures de toit


Avant de commencer

Dans la mesure où les toits sont générés à partir d’un polygone de périmètre, votre première démarche lors de la conception du toit est de créer un polygone autour du périmètre de votre modèle. La seconde étape est de définir la hauteur du mur de manière à ce que le mur puisse être régénéré sous la pente. Lorsque ces deux étapes sont réalisées, vous devez définir les caractéristiques du toit et procéder à sa réalisation.

Thèmes liés

  • Création d'un périmètre de toit
  • Définition de la hauteur du mur


Convertir un polygone en toit

Cette commande permet de donner l’attribut "toit" à n’importe quels polygones. Ces derniers représenteront alors les limites contre lesquelles viendront se prolonger les volumes des murs situés en dessous.

\pol2roof

Indiquez un polygone ou pressez "Entrée" pour appliquer cet attribut à l'ensemble des polygones sélectionnés.

Les murs dont l’attribut de hauteur est "Etendre au toit" seront automatiquement étendus à ce polygone lors du prochain passage en 3D.


Création d'ouvertures dans un toit

Thèmes liés

  • Créer une ouverture dans un toit
  • Utilisation de la boîte de dialogue ouvertures de toit
  • Création des ouvertures de toit


Création d'un périmètre de toit

Créez un polygone qui représente le périmètre extérieur de la projection du toit sur un plan horizontal. Ce polygone est mentionné dans ce chapitre sous le nom ‘polygone du périmètre du toit’

Le polygone de périmètre du toit est créé à l’aide des commandes de création de polygones. Vous pouvez également utiliser les commandes de lignes puis les convertir ultérieurement en polygones.

  • CONSEIL : Vous utiliserez par exemple la commande Création d’une ligne à décalage (\ofline) pour créer une ligne parallèle autour de l’immeuble. Puis vous convertirez les lignes en polygone à l’aide de la commande Création d’un polygone à partir d’un groupe de lignes (\aspol).

Le dépassement du périmètre de toit par rapport au mur constitue l’avancée du toit, mesurée par la distance qui sépare l’arête du toit du mur.

Le polygone de périmètre du toit ne doit pas nécessairement dépasser les murs extérieurs. Il peut traverser les murs là où, par exemple, les combles ne couvrent pas le toit.

Vous pouvez redessiner le périmètre ou le modifier après que le toit ait été créé. Voir Modification du périmètre de toit.

  • REMARQUE : Il est recommandé d’ajuster sur une plus petite valeur la résolution de ces arcs pour augmenter la vitesse de l’affichage. Utilisez la commande Affinement de la courbe des arcs (\sarc) pour réduire le nombre de segments utilisés pour afficher l’arc. Par exemple, définissez la résolution comme suit:
    • Taille du segment d’arc dans l’échelle courante : 0.2.
    • Nombre de segments minimum et maximum dans un arc : 5-10.

Création de portiques et autres toits non soutenus par un mur

Un toit peut également être créé pour des surfaces non délimitées par des murs: portiques, abris de voitures, etc. Pour créer de tels toits, dessiner un polygone de périmètre de toit et générer le toit à l’aide des fonctions ordinaires de la boîte de dialogue Attributs du toit.


Création des ouvertures de toit

Sélectionnez une ouverture de toit et modifiez ces dimensions et sa position à l’aide de la boîte de dialogue. L’intégration d’ouvertures dans les lucarnes est également possible.

Pour créer une ouverture de toit:

  • Sélectionnez le pan de toit sur lequel l’ouverture doit être créé. Cliquez sur l’arête du pan ou indiquez une arête du polygone du périmètre.
  • REMARQUE : Lors du premier accès à la boîte de dialogue, vous devez utiliser le bouton ajoute avant d’indiquer un pan du toit ou une arête du polygone du périmètre.

Les lignes-guide superieure, inferieure et centre apparaissent sur le pan de toit sélectionné.

  • Sélectionnez une ouverture de toit dans la section type. L’ouverture est insérée dans le pan de toit sélectionné.

Entrez une valeur dans les champs superieure, inferieure et centre ou utilisez les barres latérales pour indiquer la position de l’ouverture. Les flèches situées aux extrémités de la barre vous permettent d’effectuer un réglage fin des lignes-guide. Vous pouvez également utiliser le bouton position pour spécifier un point précis.

La plus basse et la plus haute des lignes-guide permettent d’étirer l’ouverture de toit le long de la pente du toit lorsque l’option faitiere sélectionnée a la valeur pentue. Lorsque l’option faitiere est définie horizontale, la ligne-guide supérieure est gelée et l’ouverture se déplace le long de la pente du toit mais sans être étirée.

L’option centre vous permet de déplacer l’ouverture verticalement le long du toit sans avoir à changer ses dimensions.

  • Définissez les dimensions de l’ouverture de toit en utilisant les options largeur et hauteur. Utilisez les paramètres supplémentaires adéquats.
  • Si vous créez une lucarne; définissez la pente de son toit ou de son arête faîtière en sélectionnant le bouton pentue. Ajustez la pente en utilisant l’option ligne-guide superieure.
  • Alternativement, vous pouvez définir une arête faîtière horizontale à l’aide du bouton horizontale. La hauteur de l’ouverture est déterminée par la valeur du champ hauteur. La ligne-guide supérieure est inactivée.
  • Insère une ouverture en lucarne en sélectionnant l’ouverture dans la section ouverture.

L’ouverture est placée dans la lucarne.

  • Définissez les dimensions de l’ouverture en lucarne, en utilisant les options largeur et hauteur. Définissez les paramètres optionnels adéquats.

Edition des ouvertures de toit

Pour éditer les ouvertures de toit, sélectionnez le bouton modif et indiquez une ouverture de toit.

Utilisez les lignes-guide positionnement, faitiere, largeur et hauteur pour éditer l’ouverture de toit sélectionnée.

Effacement des ouvertures de toit et des fenêtres en lucarne

Pour effacer les ouvertures de toit ou les fenêtres en lucarne, utilisez la commande Effacer une entité (\dele), puis confirmez l’entité à effacer.


Création des toits

La fonction toits vous confère une souplesse maximum lors de la conception des toits. La création des toits est possible pour de simples toits en pentes aussi bien que pour les toitures les plus complexes. Les outils élémentaires de conception des toits sont décrits dans cette section.

Lorsque votre toit a été créé, vous pourrez y insérer des ouvertures telles que lucarnes; cheminées ou ouvertures chassais à tabatières. Les commandes d’opérations sur les solides et les commandes de coupe peuvent également être utilisées sur un toit éclaté à l’aide de la commande Décomposition des objets placés en leurs composantes (\explod).

Thèmes liés

  • Génération d'un toit
  • Utilisation de la boîte de dialogue attributs de toit
  • Edition du toit
  • Convertir un polygone en toit


Créer une ouverture dans un toit

Insère des lucarnes et autres ouvertures de toit dans la toiture dessinée.

\dormer

Après avoir créé le toit, vous pouvez procéder au dessin des ouvertures telles que lucarnes, tabatières ou cheminées et intégrer les ouvertures. Après insertion de l’ouverture, cette dernière peut facilement être redimensionnée et repositionnée. Une vaste gamme de fenêtres peut être intégrée dans les ouvertures ainsi créées.

Les opérations sur les solides et la sculpture de ces derniers peuvent également être effectuées.


Définition de la hauteur du mur

Lorsque vous générez le toit, les murs peuvent être automatiquement étendus vers la pente interne du toit puis sectionnés pour coïncider avec la pente. Pour procéder de cette manière, la hauteur du mur doit être positionnée sur «Étendre au toit». Si vous définissez une hauteur spécifique, les murs ne s’étendent pas automatiquement. Si vous utilisez cette option, la face supérieure des murs est automatiquement réajustée à chaque modification du toit.

Positionnez la hauteur du mur sur «Étendre au toit» lors de la définition ou de la modification de la hauteur du toit. Cette fonction est disponible dans les commandes de création de murs—Définition du type du mur courant (\setmw), Définition de la hauteur du mur courant (\mwalz) ou Modification de la hauteur d’un mur (\uwalz).

  • REMARQUE : Cette option n’est pas utilisable pour les murs courbes.
  • CONSEIL : Définissez une hauteur de mur spécifique où les murs ne doivent pas toucher la face interne du toit, par exemple dans le cas de balcons ou de cloisons internes autoportantes ou qui s’étendent jusqu’au plafond.

Création d’un périmètre pour les structures sur plusieurs niveaux

Si votre modèle est composé de deux ou plusieurs structures situées à des niveaux différents (maisons réparties sur plusieurs niveaux par exemple), vous devez dessiner un polygone de périmètre de toit distinct pour chaque niveau. Quittez la boîte de dialogue attributs du toit et relancez la commande Création d’un toit (\roof) pour générer le toit associé à chacun des nouveaux polygones.


Edition du toit

Vous pouvez modifier le périmètre du toit et ses attributs pour l’ensemble du toit ou pour des pans individuels.

Modification du polygone de périmètre du toit

Modifie le toit créé en redessinant son polygone de périmètre.

Pour modifier le périmètre:

  • IMPORTANT : En vue plane, le contour du toit est superposé au polygone de périmètre du toit. Pour visualiser le périmètre, sélectionnez le mode d’affichage en perspective ou en vue axonométrique.
  • Indiquez une arête du périmètre et modifiez-la en utilisant les commandes de création des lignes, de polygones, d’édition et de lignes d’aide selon le besoin.
  • Utilisez le bouton modif.bord pour régénérer le pan modifié.

Le périmètre est repositionné et la pente du toit est modifiée en conséquence.

Effacer la totalité du toit ou un pan distinct

Vous pouvez effacer au choix la totalité du toit ou des pans distincts. Lorsque vous effacez un pan individuel, le toit est redessiné et les murs sont élevés de manière à atteindre la partie interne des pans adjacents. Les dimensions des pans sont calculées automatiquement. L’arête du polygone de périmètre du toit reste active et peut être réutilisée pour recréer les pans du toit.

Pour effacer un pan de toit:

  • Sélectionnez le bouton eff.bord.
  • Indiquez l’arête du périmètre de polygone du toit correspondant au pan à effacer.
  • Pour effacer la totalité du toit, sélectionnez le bouton effacer tout.

Modification de la pente du toit

Vous pouvez modifier le toit créé en changeant la valeur de l’angle ou du gradient de la pente pour l’ensemble du toit ou pour un pan distinct.

Pour mettre à jour l’angle ou le gradient de la pente du toit:

  • Dans le champ pente modifiez la valeur de l’angle ou celle du gradient.
  • Sélectionnez le bouton toutes aretes pour attribuer la nouvelle valeur à l’ensemble du toit.
  • Sélectionnez le bouton modif. bord pour modifier les valeurs d’un pan distinct et pour indiquez l’arête du polygone de périmètre du toit à mettre à jour.

La pente des pans adjacents et le périmètre de toit concernés seront modifiés en conséquence.

Modification de la hauteur de l’avant-toit

La hauteur de l’avant toit correspond à la distance qui sépare la pente interne du toit en son point le plus externe et le polygone de périmètre du toit.

La modification de la hauteur de l’avant-toit d’un pan distinct a les conséquences suivantes sur le modèle:

  • Repositionne le point de départ de la pente pour le pan sélectionné et recalcule en conséquence les pans restants.
  • Met à jour la hauteur du mur de l’arête indiquée.

La modification de la hauteur des avant-toits pour la totalité du toit entraîne uniquement la mise à jour de la hauteur de tous les murs. La pente du toit n’est pas modifiée.

Pour modifier la hauteur de l’avant-toit:

  • Entrez la nouvelle valeur de la hauteur dans le champ hauteur-avant-toit.
  • Sélectionnez le bouton toutes aretes pour ajuster tous les murs.
  • Sélectionnez le bouton modif. bord pour ajuster un mur spécifique et indiquer l’arête du périmètre du polygone associée au pan à mettre à jour.

Redéfinition de la pente et de la hauteur de l’avant-toit:

La pente et la hauteur des avant-toits d’un pan distinct ou de la totalité du toit peuvent être redéfinies simultanément. Cette procédure a des effets différents de la modification en deux étapes de la pente et de la hauteur des avant-toits.

De plus, un pan de toit doit être effacé avant la modification de la pente et de la hauteur des avant-toits. La mise à jour de la pente et de la hauteur des avant-toits d’un pan existant entraîne la création d’un toit à pans multiples.

Pour mettre à jour la pente et la hauteur des avant-toits d’un pan de toit:

  • Sélectionnez le bouton eff. bord.
  • Indiquez l’arête du polygone de périmètre associé au pan de toit à effacer. Confirmez la demande d’effacement de l’arête.
  • effectuez la mise à jour des champs pente et hauteur avant toit.
  • Sélectionnez le bouton modif. bord et indiquez l’arête associée au pan à mettre -à jour.

Pour modifier la pente et la hauteur de l’avant-toit du toit en entier, effectuez la mise à jour des champs pente et hauteur avant toit et sélectionnez le bouton modif tout.

Création de toits à pentes multiples

Vous créez des toits à pentes multiples en attribuant une valeur différente de pente à différents points de départ (valeurs des hauteurs des avant-toits) le long du pan. Chaque pente devient alors un pan de toit distinct.

  • IMPORTANT : Les pentes multiples sont créées séparément pour chaque pan de toit, en utilisant le bouton modif. bord. Les pentes multiples ne peuvent pas être créées à l’aide du bouton modif-tout.

Pour créer un pan de toit à pentes multiples:

  • Mettre à jour les champs pente et hauteur du pan concerné.
  • Sélectionnez le bouton modif. bord
  • Indiquez l’arête du polygone de périmètre du toit pour laquelle une pente supplémentaire doit être ajoutée.

La pente est modifiée au point de départ indiqué (valeur de la hauteur de l’avant-toit).

A l’aide des options de la boîte de dialogue, éditez le pan de toit ou effacez le à l’aide de la commande Effacement d’une entrée (\dele).

Définition des paramètres du toit pour les modèles ayant plus d’un étage

Différentes options sont disponibles pour définir la hauteur des murs et les paramètres associés dans les modèles à plus d’un étage. Par exemple, les murs extérieurs d’un bâtiment de deux étages (hauteur=6m) peuvent être composés de deux murs de 3m (hauteur du mur=3m) ou d’un unique mur de 6m.

Le polygone de périmètre doit être situé au niveau de la base des murs, cependant si chaque étage est composé de murs distincts, le périmètre peut commencer au niveau z du deuxième étage. La hauteur des avant-toits sera définie en conséquence. N’oubliez pas que la hauteur des murs doit être initialisée sur étendre au toit avant de générer le toit, de manière à ce que les murs puissent être redéfinis et joindre le toit correctement.


Génération d'un toit

Utilisez la boîte de dialogue Attributs des toits pour définir les caractéristiques du toit, le générer automatiquement et l’ajuster avec précision.

\roof

Lorsque le périmètre de polygone de toit a été défini, le toit peut être créé. Deux méthodes sont disponibles pour générer le toit la première fois.

  • Définissez les paramètres nécessaires à la totalité du toit en utilisant le bouton modif tout. Lorsque le toit est créé, vous pouvez modifier les pans séparément. Cette procédure est recommandée pour la conception de toits simples.
  • Définissez-les paramètres du toit pour les différents pans et générez chaque pan séparément. Pour ce faire, utilisez le bouton modif bord et indiquez le polygone de périmètre du toit pour lequel le pan doit être créé. Cette procédure est recommandée pour la conception des toits complexes.

Un pan de toit est créé pour chaque arête du périmètre du polygone du toit. Une fois la hauteur du mur positionnée sur « Étendre au toit », le mur est automatiquement élevé jusqu’à ce qu’il touche la face interne, puis coupé à l’intersection avec la pente du toit.

  • REMARQUE : Une fois le toit initial créé, vous pouvez éditer des pans distincts ou tous les pans ensemble.


introduction

Home > 23 Toits > Introduction

Toits

Cette nouvelle fonctionnalité du logiciel vous permet de générer automatiquement des toits en pente pour vos modèles.

Commencez par dessiner le périmètre du toit en utilisant les outils de création de polygone de base, ligne et arcs. Utilisez la boîte de dialogue pour saisir les caractéristiques du toit telles que la pente ou le gradient du toit, la hauteur des avant-toits et l’épaisseur du toit.

ARC+ réalise la projection d’un toit en pente à partir de chaque arête du polygone de périmètre. La hauteur du mur est automatiquement ajustée pour coïncider avec la pente interne du toit.

Bien que la toiture dans son ensemble constitue une entité unique, la possibilité vous est donnée d’éditer chaque pente séparément. Modifiez les attributs du toit ou l’arête du périmètre de toit ou bien créez des toits à pentes multiples. La hauteur du mur est réajustée lorsque le toit est repositionné. Une boîte de dialogue supplémentaire vous permet de créer des ouvertures dans le toit telles que lucarnes, chassais à tabatières, fenêtres mansardées ou ouvertures pour conduit de cheminée.

Thèmes liés

  • Avant de commencer
  • Création des toits
  • Création d'ouvertures dans un toit


Utilisation de la boîte de dialogue attributs de toit

Les attributs du toit dans sa totalité ou ceux de pans distincts peuvent être définis dans la boîte de dialogue Attributs des toits. Les attributs du toit comprennent la pente définie par un angle ou un gradient, la hauteur de l’avant-toit, l’épaisseur et la couleur du toit. De plus, il est possible d’effacer le toit en entier ou par simples pans. L’avancée du toit est définie par la position du polygone du périmètre du toit.

  • CONSEIL: Pour utiliser les commandes tout en travaillant avec la boîte de dialogue, il suffit de déplacer le curseur dans la fenêtre de travail.
pente du toit L’angle de la pente du toit (en degrés) ou son gradient (en pourcentage). Par défaut la valeur de l’angle est fixée à 30 degrés. Entrez la valeur de la pente ou utilisez la barre latérale pour ajuster la valeur indiquée. Les flèches situées aux extrémités de la barre latérale seront utilisées pour un réglage fin de la valeur de la pente. Le toit est redessiné sur l’écran au fur et à mesure du déplacement de la barre latérale ou des flèches.
  • REMARQUE : Dans le cas d’une pente définie à 90 degrés, les pans de murs seront supprimés. Les pans subsistants seront régénérés pour s’adapter au polygone et les murs ajustés en conséquence.
hauteur avant-toit Distance mesurée entre la pente interne du toit en son point le plus externe et le périmètre de polygone du toit. Par défaut la hauteur de l’avant-toit est 3 mètres. Entrez une valeur pour la hauteur de l’avant-toit ou utilisez la barre latérale pour ajuster la hauteur par incréments de 0,1 mètre. Les flèches situées aux extrémités de la barre latérale seront utilisées pour un réglage fin de la valeur de l’avant-toit. Le toit est redessiné sur l’écran au fur et à mesure du déplacement de la barre latérale ou des flèches.
  • IMPORTANT : La hauteur de l’avant-toit ne pourra pas être redéfinie avec une valeur inférieure à celle fixée lors de la création initiale du toit.
couleur | Couleur de la surface interne, externe et des arêtes verticales du toit.
epaisseur | Epaisseur du toit mesurée perpendiculairement. La valeur par défaut est 0.3 mètre.
eff. bord/eff. tout | Efface la totalité du toit ou des pans distincts. (Le polygone de périmètre du toit demeure actif et peut toujours être utilisé pour régénérer les pans du toit.)
modif tout/modif bord | Indique la totalité du toit ou un pan distinct à générer.
defaut | Réinitialise tous les paramètres à leur valeur par défaut.
sortie | Ferme la boîte de dialogue et sauvegarde le toit en cours.
lucarnes | Ouvre la boîte de dialogue Ouvertures de toits (décrite ci-dessous)
murs | Cette option vous permet de régénérer les murs, de façon que n’importe quel changement effectué sur les murs peut être affiché (seulement si l’option étendre au toit à été utilisée). Tous les murs sont mis à jour, mais le toit lui-même n’est pas régénéré
  • REMARQUE : Si vous modifiez les murs et utilisez la commande «Supprimer les éléments 3D» des murs (\mw2d), il se peut que vos murs ne s’affichent pas correctement dans certains modes. Si vous choisissez de ne pas «Conserver l’affichage 3D irrégulier», les composants 3D d’origine des murs ne seront pas récupérés lorsque vous extruderez à nouveau vos murs en 3D (\mw3d). Pour récupérer la forme des éléments 3D des murs, relancez le générateur de toit (\roof).


Utilisation de la boîte de dialogue ouvertures de toit

Sélectionnez et dessinez les ouvertures de toit et les lucarnes à partir de la boîte de dialogue Ouvertures de toits.

ajouter Indique le pan de toit dans lequel l’ouverture sera créée. Vous pouvez indiquer l’arête du polygone de périmètre ou le pan de toit.
  • REMARQUE : Le bouton ajoute n’est pas nécessaire lorsqu’on commence par faire appel à la boîte de dialogue.
Lignes guide de placement: Ces lignes-guide vous aident à positionner l’ouverture.
inferieure : Position de l’arête la plus basse de l’ouverture de toit. (Lorsque z=0).
superieure : Position de l’arête la plus haute de l’ouverture de toit lorsque l’ouverture est pentue (lorsque z=0).
Centre: Position de l’ouverture du toit sur la longueur du toit (verticale).
position | Position exacte du centre de la face de l’ouverture de toit. Définissez ou snappez un point. Les options lignes-guide sont supprimées.
type

Types d’ouvertures de toit: lucarnes; cheminées, tabatière:

largeur : Largeur de l’arête la plus basse de l’ouverture de toit.

hauteur : Hauteur de l’ouverture de toit.
ouverture

Types des ouvertures en lucarnes:

Largeur : Largeur de l’arête la plus basse de l’ouverture de toit en lucarne.

hauteur : Hauteur de l’ouverture de toit.

  • REMARQUE : Des paramètres supplémentaires sont disponibles pour les ouvertures de toit et les lucarnes; en fonction du type de toit ou de lucarne choisi.
modif | Ouverture de toit à éditer.
faitiere:

Représente la position de l’arête faîtière de la lucarne ou du toit par rapport au pan:

horizontale : Positionne l’arête faîtière de la lucarne ou toit à l’horizontale.

pentue : Positionne l’arête faîtière de la lucarne ou du toit selon une pente donnée.


Index

Home > 24 Terrain

24 Terrain

  1. Introduction
  2. Affiner votre maquette de terrain
  3. Avant de commencer
  4. Création d'une modélisation de terrain
  5. Création de maquettes fractales à partir de coordonnées aléatoires
  6. Types de cartes et de maquettes


Affiner votre maquette de terrain

Lissage des courbes de niveau

Les courbes de niveau des cartes topographiques, des maquettes de courbes de niveau 3D ou ensembles de prismes peuvent être lissés afin d’améliorer leur apparence.

Le facteur de lissage est le nombre de sommets ajoutés entre deux sommets originels de courbes de niveau. La valeur zéro indique l’absence de lissage. Notez que de plus grands facteurs produisent une courbe plus lisse mais augmentent le temps de réaffichage sur l’écran et la taille du fichier.


Avant de commencer

Les données pour la génération dans ARC+ de cartes et maquettes de paysages doivent se trouver dans l’un des formats suivants:

  • Fichiers ASCII contenant une liste de coordonnées x, y ou z
  • Fichier ARC+ contenant les points géométriques dans un espace 3D
  • Fichier ARC+ contenant des textes
  • Fichier ARC+ contenant des polygones ouverts et/ou fermés

Les données source contenant les points géométriques ou les textes peuvent être soit construits dans ARC+, soit importées à l’aide des commandes Importer un Fichier DXF ou DWG (\dxfin ou \dwgin) (voir Fichiers).

Le système génère les cartes et les maquettes en interpolant les courbes de niveau entre les points spécifiés et/ou les coordonnées.

Utilisation de fichiers ASCII

Les fichiers ASCII utilisés pour la modélisation topographique doivent être conformes aux conventions suivantes:

  • Les fichiers ne doivent renfermer que les coordonnées x, y et z requises. Effacez toutes autres données, telles que titres de colonnes, numéros de lignes, etc.
  • L’extension du fichier doit être *.xyz.
  • Les coordonnées doivent être entrées dans l’ordre x y z.
  • Chaque colonne doit être alignée par un espace ou une virgule.

Alignement par espaces:

Alignement par virgule:

  • IMPORTANT : Un alignement illégal de colonne, telle une virgule supplémentaire entre les colonnes, peut déformer l’image de votre maquette en interprétant le caractère illégal comme une coordonnée.

Utilisation de fichiers ARC+

Les fichiers source peuvent être des fichiers ARC+ ou DXF/DWG. Utilisez la commande Importer un Fichier DXF ou DWG (\dxfin ou \dwgin) pour importer les fichiers DXF. Les fichiers peuvent contenir des textes ou des points.

Fichier ARC+ contenant des points géométriques:

Ces fichiers ARC+ consistent en un semis de points dans un espace 3D. Chaque point représente un emplacement sur la surface du terrain. Vérifiez que le fichier ne contienne que les points nécessaires.

  • REMARQUE : >Les points peuvent être disposés sur une grille rectangulaire ou irrégulièrement dans l’espace.

Fichier ARC+ contenant des textes:

Ces fichiers ARC+ consistent en une série d’entités de texte, dans lequel la valeur z est indiquée par le texte. Les valeurs x y de chaque entité de texte sont indiquées par le point de justification du texte. Vérifiez que le fichier ne contienne que les points nécessaires.

  • REMARQUE : Les points peuvent être disposés sur une grille rectangulaire ou irrégulièrement dans l’espace.

Fichier ARC+ contenant des polygones:

Ces fichiers ARC+ qui comprennent des polygones ouverts ou fermés. Les coordonnées xyz de chaque point de chaque polygone sont converties en points pour l’interpolation du terrain.

Thèmes liés

  • Création d'une modélisation de terrain

  • Types de cartes et de maquettes

  • Affiner votre maquette de terrain

  • Création de maquettes fractales à partir de coordonnées aléatoires


Création d'une modélisation de terrain

Crée une carte topographique ou une maquette.

\terra

Pour créer un fichier de maquette topographique, entrez les données dans les sections entree et sortie de la boîte de dialogue de Modélisation de Terrain. La boîte de dialogue est décrite ci-dessous.

Pour visualiser une maquette topographique existante, utilisez la commande Ouverture d’un fichier (\open).

La taille de votre fichier est déterminée par la hauteur de l’intervalle entre chaque courbe de niveau et le facteur de lissage. Les facteurs de lissage sont décrits ci-dessous.

La boîte de dialogue est composée de deux sections: Entrée et Sortie:

SAISIE

  • Indiquez le type de fichier source.
  • Tapez le chemin d’accès et le nom de votre fichier source dans le champ source. L’extension du fichier n’est pas nécessaire. Pour chercher un chemin, appuyez sur le bouton feuilleter.
  • Appuyez sur charger pour charger le fichier.

SORTIE

  • Une fois que le fichier est chargé, entrez le nom et le chemin du fichier de la maquette dans le champ cible.
  • Vous pouvez repositionner les coordonnées d’une carte importée vers ARC+. Les coordonnés minimale originelles minimales de x y sont montrées dans la coupe d’entrée. Pour repositionner le coin bas gauche de la carte originelle vers le point d’origine d’ARC+, sélectionnez le bouton repositionne.
  • Choisissez un type de maquette ou de carte topographique dans la section type de maquette. Les différents types sont décrits ci-dessous.
  • Vous pouvez ajouter une base aux maquettes de triangulation en choisissant l’option base. Une fois que la base est ajoutée, la maquette devient un solide complexe et peut être modifiés à l’aide des commandes d’opération de sculpture et de coupe.
  • Entrez en mètres la hauteur de l’intervalle demandé entre chaque courbe de niveau dans le champ intervalle. La valeur par défaut est 0,25 mètres. Cette option n’est pas applicable aux modèles de triangulation surfacique.
  • Entrez un facteur de lissage du champ egalisation. Le lissage des courbes de niveau est décrit ci-dessous. Cette option n’est pas applicable aux modèles de triangulation surfacique.
  • Appuyez sur executer pour créer le fichier.
  • Ouvrez le fichier de la maquette comme vous le feriez pour tout autre fichier ARC+.
  • CONSEIL : Si votre maquette topographique apparaît déformée, exécutez la procédure de dépannage suivante. Vérifiez que votre fichier terra.rpt ne contient pas de coordonnées x y identiques. Les maquettes sont des fonctions à une seule valeur des variables x y. Ceci veut dire qu’aucune partie du modèle ne peut dépasser ou être exactement à la verticale, l’obligeant à avoir plus d’une valeur z pour un seul point.


Création de maquettes fractales à partir de coordonnées aléatoires

Une option supplémentaire vous est offerte par la modélisation de terrain vous permettant de générer des coordonnées aléatoires pour créer un paysage. Ces modèles sont basés sur la géométrie des fractales, afin de créer un terrain similaire aux formes naturelles de la terre. Les modèles fractals peuvent être utilisés pour la formation, les démonstrations et l’expérimentation.

Le facteur de fractal que vous indiquez contrôle l’inégalité du paysage créé. Plus le facteur est grand et plus le terrain sera inégal.

Créez une maquette topographique à l’aide de fractals aléatoires en sélectionnant le bouton Fractals de la boîte de dialogue de Modélisation de Terrain.

Créer un modèle fractal

Les modèles fractals peuvent être créés en tant que triangulation surfacique, ou utilisés pour générer des fichiers d’entrée de terrains dans les formats suivants:

  • Fichiers ASCII contenant des coordonnées x y et z
  • Fichiers ARC+ de textes
  • Fichiers ARC+ contenant des points définis dans un espace en 3D

Choisissez l’option fractals de la boîte de dialogue de Modélisation de Terrain pour générer un modèle fractal.

  • Entrez le nom de votre fichier dans le champ cible. Le fichier est stocké dans votre répertoire de travail courant.
  • Entrez un facteur fractal entre 0 et 10 dans le champ fractal. Plus le facteur est grand et plus le terrain sera inégal.
  • Entrez les dimensions x et y pour la taille du chantier dans les champs taille x et taille y.
  • Choisissez le type de sortie. Voir Modèles Fractals ci-dessus pour des renseignements complémentaires.
  • Choisissez executez pour générer le fichier.
  • Ouvrez les fichiers de texte, surfaces et points comme vous ouvrez tout autre fichier ARC+. Ouvrez le fichier ASCII à l’aide d’un outil extérieur d’édition de texte.

Modèle Fractal de Triangulation Paramètre 0-3

Modèle Fractal de Triangulation Paramètre 3-6

Modèle Fractal de Triangulation Paramètre 6-10


introduction

Home > 24 Terrain > Introduction

Modélisation de terrain

Les cartes topographiques et les maquettes générées par ARC+ affichent une représentation graphique 2D ou 3D du terrain. Utilisez les cartes et les maquettes pour visualiser un chantier avant de dessiner un immeuble, pour analyser la relation entre le bâtiment et son terrain, pour présenter un dessin avec les courbes de niveau de la terre ou pour vérifier les lignes du chantier vues d’un point spécifique du paysage.

Les cartes et maquettes sont converties à partir de données géodésiques fournies habituellement par les géomètres experts, les urbanistes, les ingénieurs civils ou sont extraites des cartes. Plusieurs représentations graphiques peuvent être générées, comprenant des cartes de courbes hypsométriques en 2D, des courbes de niveau des maquettes en 3D, des prismes de courbes de niveau et des triangulations surfaciques.

Ce chapitre décrit la marche à suivre pour générer des cartes ou des maquettes topographiques, y compris la préparation de fichiers source et la sélection d’un style de carte topographique ou de maquette. Plusieurs maquettes sont également décrites.

Thèmes liés

  • Avant de commencer


Types de cartes et de maquettes

On peut créer plusieurs représentations topographiques graphiques, y compris des cartes 2D, des maquettes de courbes de niveau en espace 3D, des prismes de courbes de niveau et des triangulations surfaciques.

Cartes 2D

Les cartes topographiques consistent en polygones de courbes de niveau sur le plan x y, (z =0). Chaque courbe de niveau est un polygone 2D séparée. La hauteur (valeur z) de la courbe de niveau apparaît comme une entité de texte. La taille et les attributs de texte sont déterminés par les paramètres \atext courants.

Maquettes de courbes de niveau 3D

Les maquettes de courbes de niveau 3D consistent en polygones de courbes de niveau créés à la hauteur appropriée. La hauteur (valeur z) n’apparaît pas comme une entité de texte. Chaque courbe de niveau est une entité polygonale 2D séparée.

Prismes de courbes de niveau

Les maquettes de prismes de courbes de niveau sont des ensembles de solides simples basés sur les courbes de niveau 3D. Chaque prisme est un solide 3D séparé. Les prismes produisent un effet plus marqué sur les lignes des courbes de niveau que la maquette en 3D de ces courbes.


Index

Home > 25 Soutien du raster

25 Soutien du raster

  1. Ajustement des images
  2. Autotrim
  3. Balance des couleurs
  4. Cisaillement
  5. Contraste
  6. Convertir en gris coloré
  7. Convertir plusieurs images en un nouveau format\
  8. Convertir une image externe en image intégrée
  9. Correction Gamma
  10. Couleurs des images
  11. Définition de l'ordre des images
  12. Echelle de l'image
  13. Enregistrer l'image sous
  14. Fusionner les images
  15. Gestionnaire des images
  16. Insérer une image
  17. Insertion et gestion des images
  18. Intensité
  19. Inverser la couleur
  20. Les barres d'outils Images
  21. Luminosité
  22. Miroir axe horizontal
  23. Miroir axe vertical
  24. Niveaux de gris
  25. Niveaux de gris 8 bits
  26. Numériser une image
  27. Postériser
  28. Power clip
  29. Redimensionner
  30. Réglage de l'Intensité
  31. Réglage de la teinte
  32. Réglage du HistoContrast
  33. Réglage du HistoEqual
  34. Réglages
  35. Remplacer les couleurs
  36. Remplacer une image
  37. Résolution des couleurs
  38. Rétablir l'image originale
  39. Rotation
  40. Saturation
  41. Solariser
  42. Taille et apparence des images
  43. Teinte


Convertir plusieurs images en un nouveau format

Cette commande vous permet de convertir plusieurs images d’un format image (jpg, gif, tiff etc) vers un autre. Cette option est très utile quand il s’agit par exemple de modifier le format, la taille ou l’angle de plusieurs images téléchargées à partir d’un appareil photo. ARC+ vous offre une sélection de 29 formats image différents pour la conversion.

\imgconv

Lorsque cette commande est activée, La boîte de dialogue Conversion du fichier est affichée:

  • Cliquez sur le bouton Ajouter un dossier [image] pour accéder à l’explorateur des dossiers. Sélectionnez un dossier à partir duquel vous voulez télécharger les images vers le champ Nom du fichier.
  • Cliquez sur le bouton Ajouter un fichier [image] pour sélectionner des fichiers images spécifiques à partir d’un dossier.
  • Le champ Nom du fichier vous permet de visualiser tous les fichiers à convertir.
  • Quand l’option [image] est cochée, ARC+ affiche l’intégralité du chemin de source vers le fichier image dans le champ Nom du fichier. Quand cette option n’est pas cochée, seul le nom du fichier est affiché.
  • Quand l’option [image] est cochée, les nouveaux fichiers cible remplacent tout fichier(s) existant(s) avec le même nom et extension (et enregistré dans le même dossier).
  • Cliquez sur le bouton Effacer [image] pour effacer tous les fichiers images sélectionnés qui sont affichés dans le champ Nom du ficher.
  • Cliquez sur le bouton Tout sélectionner [image] pour sélectionner tous les fichiers affichés dans le champ Nom du fichier.
  • un aperçu du fichier sélectionné est disponible dans la petite fenêtre de prévisualisation à côté du champ Nom du fichier (cette option est désactivée quand deux fichiers ou plus sont sélectionnés).
  • Cliquez sur le bouton
  • pour voir la liste des propriétés du fichier sélectionné (largeur, hauteur, résolution, format…).
  • Dans la rubrique Fichier(s) cible, sous le sélecteur Type de fichier, vous pouvez sélectionner un format de conversion (29 formats image sont disponibles).
  • REMARQUE : Le bouton Options, le sélecteur sous-type et le sélecteur BPP sont disponibles uniquement quand le format de fichier sélectionné permet de modifier ces paramètres.

Vous pouvez contrôler le type de fichier en cliquant sur le bouton [image] . ce bouton vous permet d’accéder à une boîte de dialogue où vous pouvez configurer la méthode de compression, les options des miniatures, de la Multipage et de la FacteurQ. La modification de ces paramètres exige une connaissance approfondie des métiers de l’infographie; il est donc fortement recommandé de garder les configurations définies par défaut. Les modifications peuvent nuire à la lisibilité de vos fichiers image par d’autres logiciels graphiques.

Le sélecteur BPP vous permet de définir le taux des bits par pixel du fichier cible.

Le sélecteur Sous type vous permet de sélectionner une sous-configuration de certains formats image. Cela concerne surtout les méthodes entrelacées à l’exemple du format GIF.

Les nouveaux fichiers image seront convertis par défaut dans le dossier courant. Vous pouvez spécifier un autre dossier en cochant le bouton radio Fichier de la section Dossier de destination. Vous pouvez parcourir les différents emplacements sur votre ordinateur pour accéder au dossier désiré ou créer un nouveau dossier.

  • Sélectionnez une configuration d’écrasement dans le menu Ecraser.
  • Cochez la case fichier log si vous voulez que le système créée un fichier de rapport de la conversion.
  • Vous pouvez nommer le gabarit de la conversion ainsi que le redimensionner ou le tourner en cliquant sur les boutons correspondants.


Convertir une image externe en image intégrée

Cette commande vous permet de convertir les images externes issues des modèles anciens d’ARC+ (versions antérieures à ARC+ 2007 Edition) en images intégrées.

\imgemb

Le system vous demande d’indiquer l’image à convertir (cliquez sur Entrée pour sélectionner toutes les images externes). Une fois le choix de l’image ou des images à convertir est confirmé, ARC+ intègre l’image au modèle.

  • IMPORTANT: l’opération peut se prolonger; il est fortement conseillé de ne pas l’arrêter avant l’achèvement.


Correction Gamma

Cette commande vous permet d’appliquer une correction Gamma à une image. La correction gamma agit sur la luminosité et sur le contraste de chacune des couches RVB simultanément.

\imgedit Gamma@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.
  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.
  • Pour chacune des couches Rouge, Vert et Bleu vous pouvez entrer une valeur entre 10 et 500 dans le champ numérique correspondant, 10 étant le ton le plus foncé de la couche et 500 le plus clair.
  • Vous pouvez également modifier les valeurs RVB en utilisant les boutons [image].
  • Cochez l’option Toutes les couches afin d’appliquer la modification de la valeur à toutes les couches simultanément.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Couleurs des images

Les commandes suivantes vous permettent de modifier les couleurs des images que vous insérez dans ARC+.

Thèmes liés

  • Résolution des couleurs
  • Inverser la couleur
  • Niveaux de gris 8 bits
  • Convertir en gris coloré
  • Niveaux de gris
  • Postériser
  • Solariser
  • Intensité


Définition de l'ordre des images

Cette commande vous permet de décider si les vecteurs doivent être couverts ou non.

\imgorder

Le système vous demande si vous souhaitez ou non couvrir les vecteurs tels que les lignes, les polygones, les murs, etc. grâce à une image. L’image de gauche ci-dessous illustre un résultat couvert. À droite, l’image se trouve derrière les vecteurs.

  • IMPORTANT : l’affiche réel correct nécessite la commande \regen


Echelle de l'image

Cette commande vous permet de redéfinir l’échelle d’une image. Cette option peut être utile pour la mise en échelle des cartes selon une distance connue ou pour l’adaptation d’un détail à partir d’une photo à une façade que vous dessinez dans ARC+.

\imgscale

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, indiquez au système les deux points de référence de l’échelle (la distance entre les points peut être facilement mesurée sur l’image, mais elle peut aussi être spécifiée ailleurs). La distance entre ces points changera en fonction de la nouvelle distance que vous indiquerez au système, par valeur numérique ou par deux nouveaux points.

  • Indiquez une image dont l’échelle doit être redéfinie.
  • Confirmez la sélection de l’image.
  • Indiquez un premier point sur l’image à partir duquel l’échantillon de distance sera mesuré.
  • Indiquez le deuxième point de l’échantillon de distance.
  • Sélectionnez la méthode de spécification de distance: "Manuellement" (par valeur numérique) ou "Par deux points" (échantillon vectoriel de distance).
  • Indiquez une valeur cible selon laquelle l’image sera remise à l’échelle. La distance échantillon s’élargit ou se rétrécit selon la distance cible indiquée.


Enregistrer l'image sous

Cette commande vous permet d’enregistrer une image dans un dossier de destination de votre choix.

\imgedit saveas@

Le system vous demande d’indiquer une image à enregistrer en tant que photo extérieure. Une fois que le choix de l’image est confirmé, ARC+ lance la boîte de dialogue Enregistrer sous, à partir de laquelle vous pouvez accéder à un dossier de destination et sélectionner l’un des 44 formats image disponibles pour l’enregistrement. L’image est enregistrée dans le dossier de destination indépendamment du modèle en cours.


Fusionner les images

Cette commande vous permet d’unifier deux ou plusieurs images afin de créer un patchwork.

\imgbuild

Afin d’accélérer l’exécution de cette commande il est fortement conseillé de sélectionner les images concernées et les isoler dans un dossier prévu à cet effet. Un dossier avec beaucoup de fichiers de tous types risque de d’augmenter considérablement le temps d’exécution de la commande.


Gestionnaire des images

Cette commande vous permet de gérer les images intégrées de votre modèle en cours.

\imgmng

Le Gestionnaire des images est une boîte de dialogue flottante (à l’exemple du Gestionnaire des cameras et coupes et du Gestionnaire des calques…) qui peut être affichée à l’écran en permanence.

Le gestionnaire des images vous permet de visualiser et de gérer toutes les images raster de votre modèle. C’est un moyen rapide et pratique de visualiser tous les cadres «enfant» d’une image, leur emplacement dans le modèle et les modifications qui leurs ont été appliquées. Une image doit être impérativement effacée à l’aide du gestionnaire des images pour assurer sa suppression définitive de la base des données du modèle.

Le champ Fichier vous permet de visualiser toutes les images intégrées au modèle en cours. Quand vous insérez une nouvelle image dans ARC+ (en utilisant la commande Insérer une image) le système effectue deux actions:

  • Intégration de l’image raster dans la base des données d’ARC+.
  • Affichage de l’image intégrée en tant que cadre avec taille et proportions spécifiées par l’utilisateur.

L’image raster originale qui est intégrée au modèle s’appelle "Père". Elle est affichée dans le gestionnaire des images en tant que dossier. Un ou deux cadres sont toujours attachés à ce dossier:

- Le nom de l’image raster («Père») est "Façade". Elle est affichée en tant que dossier et contient un cadre affiché en tant que fichier. Les chiffres"8" et "9" sont les numéros des entités dans la base des données d’ARC+.

- Le nom de l’image raster («Père») est CMYK. Elle est affichée en tant que dossier et son numéro d’entité dans la base des données est 4. Ce dossier contient 3 cadres (5, 6 et 7) affichés en tant que fichiers.

Quand vous éditez une image, ARC+ créé une copie "Enfant" de l’image "Père" originale. Cet "Enfant" est lui aussi affiché en tant que dossier et peut contenir un ou plusieurs cadres affichés en tant que fichiers. Le dossier «Enfant» est un sous-dossier du «Père», qu’est l’image originale insérée.

L’image "Père" est "Kyoto in fall" <10>. Elle a un cadre qui n’a pas été changé – le fichier "11". Elle a quatre "enfants" (18, 19, 21 et 23). Certains "enfants" contiennent plusieurs cadres (19 contient 13, 40 et 42 comme cadres de la même image modifiée). L’un des "enfants" a été modifié deux fois (23). Notez que le nom de l’enfant fait référence à la modification qui lui a été appliquée (dans ce cas – Solariser et Gris coloré).

Le cadre sélectionné est affiché au bas de la boîte de dialogue. Ses paramètres de taille, résolution couleur (BPP), type et chemin d’accès y sont également affichés.

Le menu déroulant Fichier du gestionnaire des images contient six commandes de gestion des fichiers:

  • Effacer – effacer le cadre ou le dossier sélectionné/s (surligné/s).
  • Rafraîchir la liste– rafraîchir la liste des fichiers pour afficher les dernières modifications apportées au modèle.
  • Inverser la sélection – Inverser la sélection (les images sélectionnées sont désélectionnées et vice versa).
  • Tout Sélectionner – sélectionner tous les éléments affichés dans la liste.
  • Sélectionner éléments non utilisés – Sélectionner toutes les images raster non utilisées dans le modèle.
  • Annuler – Annuler la dernière commande.

Pour effacer une image de la base des données du modèle, sélectionnez l’image à effacer, cliquez sur effacer et puis sur OK.


Insérer une image

Cette commande vous permet d’insérer une image dans l’espace de travail d’ARC+.

\imgplace

Lorsque vous insérez une image dans ARC+, celle-ci est enregistrée une fois uniquement dans la base des données. Quand cette commande est activée, ARC+ accomplit deux actions:

  • Intégration de l’image raster dans la base des données d’ARC+.
  • Affichage de l’image en tant que cadre avec la taille et les proportions spécifiées par l’utilisateur.

Un modèle peut contenir un grand nombre de cadres de la même image raster, mais l’information raster n’est copiée qu’une seule fois. De plus, le même modèle peut contenir plusieurs cadres de la même image raster, chacun édité ou modifié par un effet différent alors que l’image originale que vous avez intégré à la base des données demeure inchangée (consultez la section Gestionnaire des Images pour plus de détails).

En fait, toutes les images insérées dans un modèle ARC+ sont intégrées au modèle. Cette méthode unique d’insertion vous permet:

  • De restaurer l’état original de l’image à tout moment.
  • D’enregistrer toutes les images sur lesquelles vous travaillez à l’intérieur même du modèle ARC+ et ainsi éviter les pertes de données. Les images deviennent un élément d’ARC+ comme tout autre, intégrées aux fichiers .iii et .ddd.

Les images seront affichées à l’intérieur du modèle ARC+ même si elles ont été effacées ou enlevées de leur emplacement original sur votre disque – à condition que vous ne les effaciez pas de votre modèle à l’aide du Gestionnaire des images (consultez la partie Gestionnaire des Images pour plus de détails).

  • REMARQUE : Afin de faciliter la compréhension de ce document, le terme «cadre» est souvent remplacé par le terme« image».

Au lancement de la commande Insérer une image:

ARC+ vous offre un choix de trois configurations d’insertion:

  • Placer l’image à partir d’un fichier: cette option lance la boîte de dialogue Ouvrir, qui vous permet de spécifier l’image à intégrer. ARC+ vous permet d’ouvrir 44 formats graphiques différents (jpg, png, tiff, psd…). Le système affiche une liste des images disponibles sur votre ordinateur pour une visualisation rapide.

    • REMARQUE : La taille et la résolution de l’image peuvent influencer la durée de l’opération.
  • Placer l’image à partir d’une liste: cette option lance le Gestionnaire des images (consultez la partie Gestionnaire des Images pour plus de détails), qui vous permet de sélectionner une image qui a déjà été intégrée au modèle en cours, à condition que le modèle contienne au moins une image intégrée.
    • REMARQUE : cette option est recommandée pour l’insertion des images qui ont été enlevées du modèle sans avoir été effacées de la base des données ou pour ajouter un cadre à une image existante.
  • Placer une image par échantillon: cette option vous permet de sélectionner une image intégrée de votre modèle comme échantillon.

Le system vous demande de spécifier le cadre de l’image en indiquant un rectangle par deux points. Après l’insertion de l’image vous pouvez continuer à insérer des cadres supplémentaires de la même image par deux points, cliquer sur Entrée pour accéder à d’autres options d’insertion ou sur Echap pour quitter la commande.


Insertion et gestion des images

Thèmes liés

  • Insérer une image
  • Remplacer une image
  • Numériser une image
  • Rétablir l'image originale
  • Gestionnaire des images
  • Définition de l'ordre des images
  • Convertir une image externe en image intégrée
  • Convertir plusieurs images en un nouveau format
  • Enregistrer l'image sous
  • Power clip
  • Fusionner les images
  • Echelle de l'image


Intensité

Cette commande vous permet de repérer les deux couleurs dominantes d’une image, d’en accentuer une ou les deux, de changer leur contraste et de les remplacer par des couleurs différentes. Cette fonction est extrêmement utile quand il s’agit de «nettoyer» les plans scannés ou d’accentuer leurs contours pour une meilleure visualisation pendant leur retraçage dans ARC+.

\imgedit ColorIntensityDetect@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Vous pouvez utiliser l’intensité pour supprimer le "bruit" superflu des images scannées et pour accentuer le contraste entre le noir et le blanc…

…ou pour modifier les couleurs dominantes.

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.
  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.
  • Les potentiomètres Faible et Elevée correspondent aux teintes d’intensité faible ou élevée de l’image. Utilisez le curseur pour indiquer une valeur entre 0 et 255 afin de modifier l’intensité des teintes et d’augmenter/réduire leur contraste relatif.
  • Quand l’option Niveaux de gris du sélecteur Couche est sélectionnée, les teintes de l’image sont converties en niveaux de gris et toute l’information couleur est supprimée.
  • Quand l’option RVB du sélecteur Couche est sélectionnée, la section Couleur de la boîte de dialogue est activée. Vous pouvez modifier une, deux ou les trois couches couleur (Rouge, Vert et Bleu). Vous pouvez également modifier les deux couleurs dominantes en cliquant sur les boutons Intérieur et Extérieur. Un sélecteur de couleurs 3D apparaît, où vous pouvez créer la couleur désirée dynamiquement ou en entrant des valeurs numériques.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


introduction

Home > 25 Soutien du raster > Introduction

Support raster

Le support raster d’ARC+ vous permet de traiter les images à l'intérieur d'ARC+, sans vous recourir à un logiciel spécialisé en manipulation d'images. À l'aide du support raster vous pouvez:

  • Contrôler l'insertion des images dans votre modèle (insérer une image, enregistrer ou remplacer une image…)
  • Editer une image (redimensionner, découper…)
  • Appliquer des effets à une image (modifier le contraste ou l'opacité, modifier la balance des couleurs…)
  • IMPORTANT: Contrairement aux versions précédentes d’ARC+, les images placées dans les modèles crées sous ARC+ 2007 Edition sont complètement intégrés dans la base des donnés du modèle au moment de leur insertion. Si vous désirez de travailler sur des modèles des versions antérieurs contenantes des images (versions ARC+ 2005 ou plus anciennes) vous devez impérativement lancer la commande \imgemb (voir page 25-17) avant toute opération.
  • REMARQUE : Les commandes du support raster peuvent être exécutées dans les plans XY uniquement.

Thèmes liés

  • Les barres d'outils Images
  • Insertion et gestion des images
  • Taille et apparence des images
  • Couleurs des images
  • Ajustement des images
  • Réglages


Inverser la couleur

Cette commande vous permet d’inverser les couleurs d’une image. Chaque couleur est remplacée par sa couleur opposée et complémentaire (négative). Par exemple – noir devient blanc, rouge devient vert et ainsi de suite.

\imgedit invert@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de visualiser la modification:

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Les barres d'outils Images

La barre d’outils Images

La barre d'outils Images vous permet d'accéder facilement aux commandes de manipulation d'images d'ARC+.

Description des commandes de la barre d’outils Images
ICONES | ACTION
 | Insérer une image dans le modèle en cours.
 | Remplacer une image par une autre.
 | Scanner une image.
 | Restaurer l’état original de l’image.
 | Gérer les images intégrées.
 | Convertir une image externe issue des modèles anciens d’ARC+ (versions antérieures à 2007) en image intégrée.
 | Convertir plusieurs images en un nouveau format.
 | Enregistrer l’image sous…
 | Power clip (traçage d’un polygone 2D et découpage de la partie de l’image extérieur/intérieur au polygone).
 | Unifier les images (Stitch) création d’un arrière-plan composé de motifs.
 | Echelle de l’image.
 | Redimensionner une image.
 | Rotation d’une image.
 | Miroir axe vertical.
 | Miroir axe horizontal.
 | Cisailler une image.
 | AutoTrim de l’image : suppression automatique des marges de couleur superflues.
 | Modifier la Résolution des couleurs de l’image.
 | Inverser les couleurs de l’image.
 | Désaturer une image et la réduire en Niveaux de gris 8 Bit.
 | Convertir une image en Gris coloré.
 | Convertir une image en Niveaux de gris .
 | Appliquer un effet Poster à une image (Postériser ).
 | Appliquer un effet de Solarisation à une image (Solariser) .
 | Modifier l’Intensité d’une image.
 | Ajuster la Luminosité de l’image.
 | Ajuster le Contraste de l’image.
 | Ajuster la Teinte de l’image.
 | Ajuster la Saturation de l’image.
 | Modifier les valeurs Gamma de l’image.
 | Ajuster la Balance des Couleurs de l’image.
 | Remplacer les couleurs d’une image.
 | Réglage Histocontraste de l’image.
 | Réglage HistoEqual d’une image.
 | Réglage de l’Intensité d’une image.
 | Régler la Teinte de l’image.

La barre d’outils Insertion image

La barre d’outils Insertion Image comprend les commandes raster relatives à l’insertion et à la gestion des images: Insérer une image, Remplacer une image, Scanner une image, Gérer les images intégrées, Convertir, une image externe en une image intégrée, Convertir plusieurs images en un nouveau format, Enregistrer l’image sous, Power Clip, Unifier les images (Stitch), Echelle de l’image (Consultez Insertion et gestion des images pour plus de détails).

La barre d’outils Edition des images

La barre d’outils Edition Image comprend les commandes raster relatives à l’édition des images: Redimensionner, Tourner, Miroir axe vertical, Miroir axe horizontal, Cisailler, Autotrim, Résolution des couleurs, Inverser les couleurs, Convertir en niveaux de gris 8 bit, Gris coloré, Niveaux de gris, Postériser, Solariser, Régler l’intensité, Ajuster la luminosité, Contraste, Teinte, Saturation, Gamma, Balance des couleurs, Remplacer les couleurs, Réglage Histocontraste, Réglage HistoEqual, Réglage de l’intensité, Réglage de la teinte (Consultez Taille et apparence des images, Couleurs des images, Ajustement des images et Réglages pour plus de détails).


Luminosité

Cette commande vous permet de modifier la luminosité d’une image.

\imgedit Brightness@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Quand la valeur est supérieure à zéro, l’image devient plus claire.

Quand la valeur est inférieure à zéro, l’image devient plus sombre.

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.
  • Le bouton [image] vous permet de visualiser la totalité de l’image;
  • Le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.
  • Le potentiomètre Taux vous permet d’éclaircir ou d’assombrir l’image. La valeur définie par défaut est zéro (au centre du potentiomètre). Déplacez le curseur à gauche (0 à -1000) pour assombrir l’image ou à droite (0 à 1000) pour l’éclaircir.
  • Vous pouvez également entrer une valeur (-1000 à 1000) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Miroir axe horizontal

Cette commande vous permet d’inverser une image pour créer sa copie miroir selon l’axe de Y.

\imgedit reverse@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de visualiser la modification.

Cliquez sur Ok pour inverser l’image selon l’axe de Y ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Miroir axe vertical

Cette commande vous permet d’inverser une image pour créer sa copie miroir selon l’axe de X.

\imgedit flip@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de visualiser la modification.

Cliquez sur Ok pour inverser l’image selon l’axe de X ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, ARC+ vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Niveaux de gris

Cette commande vous permet d’appliquer un effet Niveaux de gris à une image.

\imgedit Grayscale@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le double potentiomètre Taux des couleurs vous permet de définir la saturation de chacune des couches couleur RVB, qui sont interdépendantes (la modification de la valeur d’une couche modifie les deux autres valeurs). La valeur globale est 1000- chaque couche peut recevoir une valeur entre 0 et mille mais la somme des trois valeurs est toujours égale à 1000.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Niveaux de gris 8 bits

Cette commande vous permet de désaturer les couleurs d’une image et de les réduire à 8 bits. Cette opération supprime toute l’information RVB de l’image et les remplace par des niveaux de gris.

\imgedit Grayscale8@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de visualiser la modification:

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Numériser une image

Cette commande vous permet d’insérer une image dans le modèle à partir de votre scanner.

\imgscan

Au lancement de cette commande, la boîte de dialogue Numériser apparaît:

Cliquez sur le bouton Sélectionner pour accéder à une boîte de dialogue qui vous permet de sélectionner le scanner de source à partir d’une liste des scanners installés sur votre système. Sélectionnez un scanner et cliquez sur le bouton sélectionner pour appliquer la sélection.

  • IMPORTANT: Si aucun scanner n’est installé sur votre système, le bouton Sélectionner sera désactivé ou un message d’erreur apparaîtra.

Une fois le scanner sélectionné, cliquez sur le bouton Numériser pour accéder au pilote de votre scanneur qui vous permet de contrôler les paramètres du scan:

  • REMARQUE : l’aspect et les options de cette boîte de dialogue peuvent varier selon les pilotes installés sur votre système.

Cliquez sur le bouton Numériser pour accéder à la boîte de dialogue Scanner, dans laquelle un aperçu de l’image scannée est maintenant disponible:

Cochez le bouton radio Proportionnel pour insérer l’image en échelle proportionnelle, ou le bouton radio Libre pour insérer l’image en échelle libre.

  • Cliquez sur Insérer l’image pour commencer l’insertion de l’image scannée. La boîte de dialogue sera automatiquement fermée.
  • Appuyez sur Annuler pour quitter la boîte de dialogue. Si vous quittez la boîte de dialogue avant d’insérer l’image scannée, celle-ci sera perdue.
  • REMARQUE : Vous pouvez annuler l’insertion de l’image en appuyant sur la touche Echap. Néanmoins, l’image sera intégrée à la base des données d’ARC+, ce qui vous permet de l’insérer dans le modèle en utilisant la commande /imgplace et en sélectionnant l’option Par liste.
  • Vous pouvez continuer à insérer des images supplémentaires, proportionnelles ou libres. Les images sont insérées par un cadre dynamique défini par deux points.
  • A la fin de l’opération, l’image sera affichée à l’écran d’ARC+ à l’exemple des images insérées à l’aide de la commande Insérer une image.

  • CONSEIL: Vous pouvez utiliser la commande \autotrim pour enlever les marges superflues de couleur causées par le processus de scan.


Postériser

Cette commande vous permet de créer un effet "poster" par une réduction du nombre des couleurs et l’«aplatissement» de l’image.

\imgedit Posterise@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le potentiomètre niveaux par plan de couleur vous permet d’entrer une valeur entre 2 et 64. l’effet d’aplatissement devient plus important avec la réduction du nombre des niveaux.

  • Vous pouvez également entrer une valeur dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Power clip

Cette commande vous permet de découper une image à l’aide d’un polygone 2D.

\imgclip

Power clip est une commande puissante qui vous permet d’utiliser un contour vectoriel afin de découper une image raster. Ses usages sont variés. Par exemple, vous pouvez utiliser Power Clip afin d’intégrer une façade à partir d’une photo dans une élévation sur laquelle vous travaillez – il suffit d’isoler la façade de l’arrière-plan de l’image en traçant un polygone autour d’elle et en découpant la partie extérieur.

1. L’image avant l’application du power clip. | 2. Un polygone 2D est tracé sur la partie à découper.
3. Découpage de la partie intérieure… | 4. …ou de la partie extérieure.

Le système vous demande d’indiquer une image à découper ainsi qu’un polygone de découpage (attention - le polygone de découpage doit impérativement chevaucher l’image à découper). Dans la boîte de dialogue Power clip qui apparaît vous pouvez contrôler les paramètres de découpage:

  • La fonction "Afficher le polygone de découpage" est active par défaut. Quand cette fonction est désactivée le polygone de découpage ne sera pas affiché après l’opération.

  • Sélectionnez la partie à découper – extérieure ou intérieure au polygone – à l’aide des boutons radio.

    • Après l’application du power clip, l’image et le polygone de découpage sont liés; la sélection et les autres commandes seront appliquées au polygone et à l’image à la fois. La commande Etirer est supportée par Power clip – le polygone de découpage sera modifié selon l’étirement.

    • Cliquez sur Supprimer le lien pour séparer le polygone de découpage de l’image et donc annuler le découpage.


Réglage de l'Intensité

Cette commande vous permet d’effectuer une multitude de changements dans l’espace couleur RVB. Vous pouvez modifier chacune des couches séparément (Rouge, Vert et Bleu) ou simultanément. Les possibilités de cette commande exhaustive incluent le changement de la luminosité ou du contraste, réglages des couleurs, inversions des modifications…

\imgedit Remapintensity@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

Le bouton [image] vous permet de visualiser la totalité de l’image;

Le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.

Le graphe dans la section Teinte de la boîte de dialogue vous permet d’appliquer des changements à l’image de façon dynamique. Il existe plusieurs façons de manipuler la courbe Teinte:

  • Déplacement des extrémités du graphe (petits carrés noirs - [image] )
  • Ajout d’un nouveau vertex en cliquant sur le bouton gauche de la souris ( [image] ).
  • Suppression d’un vertex par un click droit près d’un vertex existant.
  • déplacement d’un vertex en cliquant sur lui (le vertex deviens bleu) et en le "tirant" vers un nouvel emplacement.
  • REMARQUE : Ceci est valable uniquement pour les modes Courbe et Linéaire.

Le sélecteur Couche vous permet de modifier chacune des couches TSV séparément:

  • La couche Teinte vous permet de modifier les teintes de l’image.
  • La couche Saturation vous permet de saturer ou désaturer l’image.
  • La couche Valeur vous permet de modifier la luminosité de l’image.
    • toutes les modifications sont additives. Vous pouvez modifier la saturation et ensuite la teinte et/ou la valeur sans perdre l’effet du premier changement (contrairement à la modification des couches RVB pour Régler l’Intensité).

Vous pouvez définir le mode de courbe à l’aide du sélecteur Mode courbe:

  • - est le mode défini par défaut. Ce mode vous permet d’ajouter des vertexes et d’obtenir des résultats de modification plus précis.
  • - vous permet d’ajouter des vertexes mais le résultat est moins précis (bien que plus rapide) que celui obtenu avec le mode courbe.
  • - vous permet de modifier la teinte exponentiellement. Quand ce mode est défini le champ Facteur est automatiquement activé; il vous permet d’entrer des valeurs entre -100 et 100. Vous pouvez également utiliser les boutons [image] pour modifier les valeurs.
  • - permet d’augmenter la luminosité uniquement. Quand ce mode est défini le champ Facteur est automatiquement activé; il vous permet d’entrer des valeurs entre -100 et 100. Vous pouvez également utiliser les boutons [image] pour modifier les valeurs.

La section Retourner vous permet d’inverser une modification effectuée par le graphe. Cette option est valable uniquement en modes Courbe et Linéaire. Trois options d’inversion sont disponibles:

  • Inverser en deux directions : le graphe est inversé horizontalement et verticalement.
  • Inverser verticalement : le graphe est inversé verticalement.
  • Inverser horizontalement : le graphe est inversé horizontalement.

Les modifications des couches TSV sont appliquées en tant que masque à l’image sur laquelle vous travaillez. Le potentiomètre Masque vous permet de réduire ou augmenter l’opacité de la modification (valeurs entre 0 et 255). Par exemple, quand la saturation d’une image colorée est réduite, une partie ou la totalité de l’information couleur est supprimée; une opacité réduite du masque de la couche Saturation permet de garder plus d’information couleur et vice versa.

  • - ce bouton restaure l’état original de la courbe et annule les inversions appliquées.
  • - ce bouton restaure les paramètres par défaut (l’option Courbe dans le menu Mode courbe) et annule les inversions appliquées.
  • ce bouton vous permet d’enregistrer une modification (un graphe) en tant que fichier .lri. le fichier peut ensuite être chargé afin d’appliquer la même modification à d’autres images.
  • ce bouton vous permet de charger une modification (graphe) enregistrée auparavant afin de l’appliquer à une image de votre choix. Les fichiers chargés sont de format .lri.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Réglage de la teinte

Cette commande vous permet de régler directement la teinte, la saturation ou la valeur d’une image selon la configuration de l’espace couleur TSV.

\imgedit Remaphue@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

Le bouton [image] vous permet de visualiser la totalité de l’image;

Le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.

Le graphe dans la section Teinte de la boîte de dialogue vous permet d’appliquer des changements à l’image de façon dynamique. Il existe plusieurs façons de manipuler la courbe Teinte:

  • Déplacement des extrémités du graphe (petits carrés noirs - [image] )
  • Ajout d’un nouveau vertex en cliquant sur le bouton gauche de la souris ( [image] ).
  • Suppression d’un vertex par un click droit près d’un vertex existant.
  • déplacement d’un vertex en cliquant sur lui (le vertex deviens bleu) et en le "tirant" vers un nouvel emplacement.
  • REMARQUE : Ceci est valable uniquement pour les modes Courbe et Linéaire.

Le sélecteur Couche vous permet de modifier chacune des couches TSV séparément:

  • La couche Teinte vous permet de modifier les teintes de l’image.
  • La couche Saturation vous permet de saturer ou désaturer l’image.
  • La couche Valeur vous permet de modifier la luminosité de l’image.
    • toutes les modifications sont additives. Vous pouvez modifier la saturation et ensuite la teinte et/ou la valeur sans perdre l’effet du premier changement (contrairement à la modification des couches RVB pour Régler l’Intensité).

Vous pouvez définir le mode de courbe à l’aide du sélecteur Mode courbe:

  • - est le mode défini par défaut. Ce mode vous permet d’ajouter des vertexes et d’obtenir des résultats de modification plus précis.
  • - vous permet d’ajouter des vertexes mais le résultat est moins précis (bien que plus rapide) que celui obtenu avec le mode courbe.
  • - vous permet de modifier la teinte exponentiellement. Quand ce mode est défini le champ Facteur est automatiquement activé; il vous permet d’entrer des valeurs entre -100 et 100. Vous pouvez également utiliser les boutons [image] pour modifier les valeurs.
  • - permet d’augmenter la luminosité uniquement. Quand ce mode est défini le champ Facteur est automatiquement activé; il vous permet d’entrer des valeurs entre -100 et 100. Vous pouvez également utiliser les boutons [image] pour modifier les valeurs.

La section Retourner vous permet d’inverser une modification effectuée par le graphe. Cette option est valable uniquement en modes Courbe et Linéaire. Trois options d’inversion sont disponibles:

  • Inverser en deux directions : le graphe est inversé horizontalement et verticalement.
  • Inverser verticalement : le graphe est inversé verticalement.
  • Inverser horizontalement : le graphe est inversé horizontalement.

Les modifications des couches TSV sont appliquées en tant que masque à l’image sur laquelle vous travaillez. Le potentiomètre Masque vous permet de réduire ou augmenter l’opacité de la modification (valeurs entre 0 et 255). Par exemple, quand la saturation d’une image colorée est réduite, une partie ou la totalité de l’information couleur est supprimée; une opacité réduite du masque de la couche Saturation permet de garder plus d’information couleur et vice versa.

  • - ce bouton restaure l’état original de la courbe et annule les inversions appliquées.
  • - ce bouton restaure les paramètres par défaut (l’option Courbe dans le menu Mode courbe) et annule les inversions appliquées.
  • ce bouton vous permet d’enregistrer une modification (un graphe) en tant que fichier .lri. le fichier peut ensuite être chargé afin d’appliquer la même modification à d’autres images.
  • ce bouton vous permet de charger une modification (graphe) enregistrée auparavant afin de l’appliquer à une image de votre choix. Les fichiers chargés sont de format .lri.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Réglage du HistoContrast

Cette commande vous permet de régler l’Histocontraste d’une image.

\imgedit Histocontrast@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Quand la valeur est supérieure à zéro, le contraste est augmenté.

Quand la valeur est inférieure à zéro, le contraste est réduit.

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le potentiomètre Taux vous permet d’augmenter ou de réduire le contraste de l’image. La valeur définie par défaut est zéro (au centre du potentiomètre). Déplacez le curseur à gauche (0 à -1000) pour réduire le contraste de l’image ou à droite (0 à 1000) pour l’augmenter.

  • Vous pouvez également entrer une valeur (-1000 à 1000) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Réglage du HistoEqual

Cette commande vous permet de convertir une image de l’espace couleur RVB vers les espaces couleurs YUV ou GRAY, utilisés dans les formats vidéo.

\imgedit HistoEqual@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Dans la section Espace couleur, sélectionnez l’une des options RVB, YUV ou GRAY. L’image est modifiée en fonction de l’espace couleur sélectionnée.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Réglages

Ces commandes vous permettent de régler certains aspects des images à l’aide de fonctions avancées destinées à faciliter le travail des utilisateurs expérimentés.

Thèmes liés

  • Réglage du HistoContrast
  • Réglage du HistoEqual
  • Réglage de l'Intensité
  • Réglage de la teinte


Résolution des couleurs

Cette commande vous permet de modifier la résolution des couleurs d’une image.

\imgedit ColorResolution@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance la boîte de dialogue Résolution couleur qui vous permet de contrôler et de visualiser la modification:

    Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

    Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton

    vous permet de visualiser un détail de l’image en taille réelle des pixels.

    Dans le menu déroulant Bits par pixel sélectionnez une valeur entre 1 et 32 bits. Le rapport bits/pixel correspond au niveau de résolution de l’image.

    Pour un niveau de Bits par pixel égale ou inférieur à 16 bits, deux modes d’affichage des couleurs sont disponibles: BVR (l’ordre d’affichage est Bleu-Vert-Rouge) ou RVB (l’ordre d’affichage est Rouge-Vert-Bleu).).

    Pour un niveau de Bits par pixel égale ou inférieur à 8 bits, deux menus supplémentaires sont accessibles: Méthode de tramage et Palette. Ces deux paramètres inter liés vous permettent de compenser la perte de données causée par une réduction importante de la résolution des couleurs. Dans la plupart des cas, il est recommandé que vous gardiez les paramètres par défaut – Palette optimisée et méthode de tramage non définie. Pour la majorité des images, ces paramètres vous assurent une perte minimale de détails. Néanmoins, pour les résolutions très basses (inférieures à 5 bits) il peut être préférable d’utiliser une méthode de tramage définie afin d’éviter l’effet d’aplatissement qui en résulte. La combinaison de la méthode Floyd Stein avec une palette optimisée fournit souvent des résultats très proches de l’originale. Ceci dit, il est préférable de tester plusieurs combinaisons pour chaque image ; le mélange unique des couleurs, teintes et traits qui constituent chaque image «réagit» différemment à différentes combinaisons et il est difficile d’anticiper l’effet que pourrait avoir une combinaison donnée sur une image spécifique.

    Vous pouvez, bien entendu, utiliser plusieurs combinaisons de méthodes de tramage et de palettes pour créer différents effets (bruit, pointillisme…).

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.


Rétablir l'image originale

Cette commande vous permet de rétablir l’état d’origine d’une image modifiée, à n’importe quel moment. Cette commande peut également être utilisée après l’enregistrement et la réouverture du modèle.

\imgrest

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, le système la remplace par l’image d’origine.

  • Si l’image d’origine était Proportionnelle, elle est restaurée selon ses proportions originales.
  • Si l’image d’origine était Libre, elle est restaurée selon le cadre existant (les proportions d’origine seront modifiées pour s’adapter aux proportions courantes, ce qui peut résulter en une déformation de l’image).


Redimensionner

Cette commande vous permet de redimensionner une image en modifiant sa résolution et ses proportions.

\imgedit resize@

Le système vous demande d’indiquer l’image à modifier. La boîte de dialogue Redimensionner apparaît, où vous pouvez modifier les proportions et la résolution de l’image:

La partie gauche de la boîte de dialogue, intitulée Image originale, indique les paramètres de taille en cours: Largeur, hauteur, taille en octets et résolution (horizontale et verticale) en PPP (Point Par Pouce. 1 pouce = 2.54 mm).

Le champ Méthode vous permet de choisir une méthode d’interpolation: Normal, rééchantillonage ou bicubique. Les méthodes d’interpolation servent à recalculer l’augmentation ou la réduction du nombre des pixels après le changement en taillede l’image:

  • Sélectionnez la méthode "Normal" (définie par défaut) pour des résultats rapides, bien que moins précis. ARC+ recalcule la position et la couleur des pixels ajoutés (dans le cas d’une augmentation de la taille) ou supprime les pixels superflus (dans le cas d’une réduction de la taille) selon une formule linéaire d’interpolation. Cette méthode ne prend pas en compte les pixels situés à proximité des pixels recalculés.
  • Sélectionnez la méthode "Bicubique" pour des résultats plus précis. Cette méthode d’interpolation permet de conserver plus de détails après la modification de la taille. L’ajout/suppression des pixels est calculé selon une formule qui prend en compte la couleur des 9 pixels avoisinant les pixels recalculés afin de réduire les effets de pixellisation.
  • Sélectionnez la méthode "Rééchantillonnage" pour des résultats très précis. L’ajout/suppression des pixels est calculé selon une méthode qui prend en compte la couleur des 16 pixels avoisinant les pixels recalculés. Cette méthode est recommandée uniquement quand il s’agit de modifier la taille des petites images qui doivent être agrandies avec une perte minimale de données. Evitez d’utiliser cette méthode pour les grandes images (les orthographies, par exemple) car la durée de l’opération risque d’être longue.

Quand l’option Conserver les proportions est cochée, la résolution et la taille de la nouvelle image deviennent inter-liées. Cette option vous permet de faciliter votre travail grâce au redimensionnement automatique.

La partie droite de la boîte de dialogue, intitulée Nouvelle image, vous permet de modifier la taille et la résolution de l’image:

  • Vous pouvez modifier la largeur et la hauteur de l’image en entrant une valeur numérique (exprimée en pixels) ou en entrant un pourcentage. Vous pouvez également modifier ces valeurs en utilisant les boutons
  • .
  • Vous pouvez modifier la résolution de l’image en entrant une nouvelle valeur en Point Par Pouce (PPP) dans les champs Horizontal / Vertical ou en utilisant les boutons
  • .
  • Quand l’option "valeurs identiques" est activée, les proportions de l’image demeurent inchangées malgré la modification des valeurs horizontales et verticales. Naturellement, le changement de la résolution peut avoir un effet sur la largeur et la hauteur de l’image.

Cliquez sur Ok pour appliquer la modification ou sur Annuler pour annuler la modification et quitter la boîte de dialogue. Quand vous cliquez sur OK le cadre existant est remplacé par un nouveau cadre contenant les proportions de la nouvelle image.


Remplacer les couleurs

Cette commande vous permet de remplacer les couleurs d’une image.

\imgedit SwapColors@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

Le bouton [image] vous permet de visualiser la totalité de l’image;

Le bouton [image] vous permet de visualiser un détail de l’image en taille réelle des pixels.

La section Options vous offre cinq options pour le remplacement des couleurs:

  • Changer tous les verts en rouges et vice versa
  • Changer tous les rouges en bleus et vice versa
  • Changer tous les verts en bleus et vice versa
  • Changer les rouges en verts, les bleus en rouges et vice versa
  • Changer les rouges en bleus, les verts en rouges et vice versa

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Remplacer une image

Cette commande vous permet de remplacer une image intégrée au modèle par une autre.

\imgrepl

  • Indiquez la méthode d’insertion au système – Bitmap proportionnel ou Bitmap libre. L’option Bitmap proportionnel vous permet de garder les proportions originales de l’image insérée. L’image existante sera remplacée par un nouveau cadre contenant les proportions de la nouvelle image, sans prendre en compte les proportions du cadre existant.

L’option Bitmap libre vous permet de placer une nouvelle image selon les proportions de l’image à remplacer. Notez que l’image sera déformée si les deux cadres (de l’image à remplacer et de la nouvelle image) n’ont pas la même taille.

ARC+ vous offre un choix de trois configurations d’insertion:

  • Placer l’image à partir d’un fichier: cette option lance la boîte de dialogue Ouvrir, qui vous permet de spécifier l’image à intégrer. ARC+ vous permet d’ouvrir 44 formats graphiques différents (jpg, png, tiff, psd…). Le system affiche une liste des images disponibles sur votre ordinateur pour une visualisation rapide.

  • Placer une image à partir d’une liste: cette option lance le Gestionnaire des images (consultez la partie Gestionnaire des Images pour plus de détails), qui vous permet de sélectionner une image qui a déjà été intégrée au modèle en cours, à condition que le modèle contienne au moins une image intégrée.
  • CONSEIL: cette option est recommandée pour l’insertion des images qui ont été enlevées du modèle sans avoir été effacées de la base des données ou pour ajouter un cadre à une image existante.
  • Placer une image par échantillon: cette option vous permet de sélectionner une image intégrée de votre modèle comme échantillon. Le system vous demande d’indiquer l’image à remplacer. Une fois que le choix de l’image est confirmé, ARC+ remplace l’image existante par la nouvelle image selon vos spécifications. Cliquez sur Entrée pour d’autres options d’insertion ou sur Echap pour quitter la commande.


Saturation

Cette commande vous permet de modifier la saturation d’une image. Le processus de saturation intensifie les couleurs alors que la désaturation supprime une partie de l’information couleur (les couleurs deviennent atténuées et grises.)

\imgedit Saturation@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.
  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.
  • Le potentiomètre Taux vous permet d’augmenter ou de réduire la saturation de l’image. La valeur définie par défaut est zéro (au centre du potentiomètre). Déplacez le curseur à gauche (0 à -1000) pour désaturer l’image ou à droite (0 à 1000) pour la saturer.
  • Vous pouvez également entrer une valeur (-1000 à 1000) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Solariser

Cette commande vous permet de créer une fusion du négatif et du positif d’une image (comme en photographie par une brève exposition à la lumière pendant le développement):

\imgedit Solarize@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le potentiomètre Taux vous permet d’entrer une valeur entre 0 (négatif au maximum) et 255 (positif au maximum).

  • Vous pouvez également entrer une valeur (entre 0 et 255) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Taille et apparence des images

Home > 25 Soutien du raster > Taille et apparence des images

  • Taille et apparence des images

    • Les commandes suivantes vous permettent de modifier la taille et l’apparence des images que vous insérez dans ARC+.

    Thèmes liés

    • Redimensionner

    • Rotation
    • Miroir axe vertical
    • Miroir axe horizontal
    • Cisaillement
    • Autotrim


Teinte

Cette commande vous permet de modifier les teintes d’une image.

\imgedit Hue@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le potentiomètre Angle vous permet de parcourir la roue chromatique virtuellement. la valeur définie par défaut est 0 degrés (situé au centre). Déplacez le curseur à gauche (0 à -180°) pour intensifier les teintes chaudes ou à droite (0 à 180°) pour intensifier les teintes froides.

  • Vous pouvez également entrer une valeur (de -180 à 180) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Rotation

Cette commande vous permet de tourner une image. Contrairement à la rotation standard des entités ARC+, la rotation des images s’applique selon une méthode d’interpolation qui permet d’éviter une perte de données.

\imgedit rotate@

Le système vous demande d’indiquer une image à tourner. Une fois que le choix de l’image est confirmé, la boîte de dialogue Rotation apparaît:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique du changement d’angle. Vous pouvez modifier l’inclinaison de l’image en utilisant le potentiomètre (la valeur définie par défaut est zéro = centre) ou en entrant une valeur numérique entre -360 et 360 (degrés). Pour une valeur positive (entre 0 et 360) l’inclinaison se fait selon le sens des aiguilles d’une montre et pour une valeur négative (entre 0 et -360) l’inclinaison est antihoraire.
  • Quand la case Redimensionner est cochée, l’image tournée peut dépasser les limites de l’image originale. Quand cette option est désactivée, l’image tournée sera rognée selon la taille et la disposition d’origine.
  • Le menu déroulant Type d’interpolation vous permet de définir une méthode d’interpolation: Normal, rééchantillonnage ou bicubique (consultez la section Redimensionner une image de ce chapitre pour plus de détails sur les méthodes d’interpolation).
  • Utilisez le bouton Arrière-plan pour définir la couleur du fond derrière l’image tournée. La transparence de l’arrière-plan peut être obtenue en définissant comme couleur d’arrière-plan la même couleur que celle de votre écran de travail, ou en découpant l’arrière-plan à l’aide de la commande Power clip.

Cliquez sur Ok pour tourner l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Ajustement des images

Ces commandes vous permettent d’ajuster l’apparence des images insérées dans ARC+.

Thèmes liés

  • Luminosité
  • Contraste
  • Teinte
  • Saturation
  • Correction Gamma
  • Balance des couleurs
  • Remplacer les couleurs


Autotrim

Cette commande vous permet de rogner les marges de couleur uniforme d’une image. Cette commande peut être très utile quand il s’agit de supprimer les marges blanches superflues d’une image scannée.

\imgedit Autotrim@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification. Vous pouvez contrôler le degré du rognage en utilisant le potentiomètre (la valeur définie par défaut est zéro = située à l’extrême gauche) ou en entrant une valeur numérique entre 0 et 199 (taux).

    • Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

    Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Balance des couleurs

Cette commande vous permet de modifier la saturation des couches couleur Rouge, Vert et Bleu ou de leur ajouter des teintes supplémentaires.

\imgedit BalanceColors@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.
  • Cette boîte de dialogue contient trois sections représentant des niveaux et divisées selon les couches couleurinter liées : Rouge, Vert et Bleu. Chacune de ces sections contient trois champs numériques(un pour chaque couche). La valeur définie par défaut est 100 pour chaque couche nommée et 0 pour les deux autres couches. Par exemple, pour la section Niveau du rouge la valeur du rouge est 100 alors que celles du vert et du bleu sont 0.
  • Vous pouvez entrer les valeurs (entre 0 et 100) dans les champs numériques correspondants ou utiliser les boutons [image].
  • Les couches modifiées reçoivent des teintes différentes; Vous pouvez en effet remplacer une couleur par une autre par un changement graduel des valeurs.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Cisaillement

Cette commande vous permet de cisailler une image. Les usages de cette commande sont variés, et incluent par exemple la transformation de pavés rectangulaires en losanges. Le cadre de l’image est modifié selon le changement de l’angle et une couleur d’arrière-plan est ajoutée.

\imgedit shear@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et visualiser la modification:

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique du changement d’angle. Vous pouvez contrôler le cisaillement de l’image en utilisant le potentiomètre (la valeur définie par défaut est zero=centre) ou en entrant une valeur numérique entre -45 et 45 (degrés). Pour une valeur positive (entre 0 et 45) l’inclinaison se fait selon le sens des aiguilles d’une montre et pour une valeur négative (entre 0 et -45) l’inclinaison est antihoraire.

  • Quand l’option Horizontal est activée, le cisaillement de l’image se fait sur un plan disposé horizontalement (elle sera donc déformée en direction horizontale):
  • Quand cette option est désactivée, le cisaillement de l’image se fait sur un plan disposé verticalement (elle sera donc déformée en direction verticale):
  • Cliquez sur le bouton Arrière-plan pour définir la couleur d’arrière-plan de l’image cisaillée. Pour obtenir un arrière-plan transparent, sélectionnez la même couleur que celle de votre écran de travail ou découper les marges de couleur à l’aide de la commande Power Clip.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Contraste

Cette commande vous permet de modifier la luminosité d’une image.

\imgedit Contrast@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Quand la valeur est supérieure à zéro, le contraste est augmenté.

Quand la valeur est inférieure à zéro, le contraste est réduit.

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le potentiomètre Taux vous permet d’augmenter ou de réduire le contraste de l’image. La valeur définie par défaut est zéro (au centre du potentiomètre). Déplacez le curseur à gauche (0 à -1000) pour réduire le contraste de l’image ou à droite (0 à 1000) pour l’augmenter.

  • Vous pouvez également entrer une valeur (-1000 à 1000) dans le champ numérique situé à gauche du potentiomètre.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Convertir en gris coloré

Cette commande vous permet de saturer ou de désaturer les couches Rouge, Vert et Bleu d’une image afin de créer des effets variés à l’exemple de "Niveaux de gris", "Sépia" et "Twilight" (crépuscule).

\imgedit Coloredgrey@

Le système vous demande d’indiquer une image à modifier. Une fois que le choix de l’image est confirmé, ARC+ lance une boîte de dialogue qui vous permet de contrôler et de visualiser la modification:

Modification des valeurs RVB pour obtenir un effet "Twilight" (crépuscule).

Modification des valeurs RVB pour obtenir un effet "Rouge dominant".

  • Cette boîte de dialogue contient deux fenêtres "Avant-Après" pour un aperçu dynamique de la modification.

  • Le bouton [image] vous permet de visualiser la totalité de l’image; le bouton
  • vous permet de visualiser un détail de l’image en taille réelle des pixels.

  • Le double potentiomètre Taux des couleurs divisé en bleu, vert et rouge vous permet de déterminer les proportions de ces trois couches selon une échelle de 0 à 1000.

  • Le potentiomètre Taux du gris, divisé selon les couches de couleur Rouge, Vert et Bleu, vous permet de saturer ou de désaturer chaque couche couleur indépendamment. La valeur définie par défaut est zéro (au centre du potentiomètre). Déplacez le curseur à gauche (0 à -1000) pour désaturer la couleur ou à droite (0 à 1000) pour la saturer. Vous pouvez également entrer les valeurs de saturation/désaturation (-1000 à 1000) dans les champs numériques correspondants.

Cliquez sur Ok pour modifier l’image ou sur Annuler pour annuler la modification et quitter la boîte de dialogue.

Avant d’appliquer la modification, le système vous demande d’indiquer une configuration de modification : appliquer le changement à l’image (cadre) sélectionnée uniquement ou à l’image (cadre) indiquée et à toutes ses copies.


Index

Home > 26 STL

26 STL

  1. Introduction
  2. Le processus du prototypage rapide en stéréolithographie
  3. Les consignes de préparation d'un modèle ARC+ pour la stéréolithographie
  4. Sauver sous format STL


introduction

Home > 26 STL > Introduction

Stéréolithographie

La Stéréolithographie est une technique dite de «prototypage rapide» qui permet de fabriquer des objets solides à partir d’un modèle numérique. Il y a plusieurs méthodes de stéréolithographie dont le point commun est la création de couches fines de matière en superposition. Pour ce faire, la machine de stéréolithographie peut ajouter de la matière, l’enlever ou durcir le liquide par un rayon de laser.

La stéréolithographie est couramment utilisée dans plusieurs procédés industriels, notamment dans la création des prototypes et des maquettes plastiques avant l’usinage en masse de certains produits.

Bien que la fabrication en masse des projets d’architecture soit rare, la stéréolithographie peut s’avérer très avantageuse pour la création de maquettes physiques en trois dimensions. ARC+ vous permet de sauvegarder vos modèles sous le format universel STL ce qui vous permettra de créer des véritables maquettes de vos projets modélisés en 3D.

Thèmes liés

  • Le processus du prototypage rapide en stéréolithographie


Le processus du prototypage rapide en stéréolithographie

Le Processus de stéréolithographie débute avec un modèle obtenu par un logiciel de CAO (à l’occurrence – ARC+) ou par acquisition numérique d’un objet existant (par vois de rétro-ingénierie par exemple)

  • Une fois créé (conformément à certaines règles - voir la section Consignes de préparation d’un modèle ARC+ pour la stéréolithographie), le modèle doit être exporté vers un format standard, le format STL (Pour StereoLithography). Ce format est aujourd’hui le standard industriel de facto. STL décrit les modèles sous formes de surfaces triangulaires contiguës.
  • Le fichier STL est transmis à l’appareil de stéréolithographie qui intègre un module de commande de type «automate programmable» ou tout simplement (et plus répandu) de type PC.
  • Le modèle en 3D est ensuite découpé en tranches 2D d’une épaisseur fixe. Cette épaisseur est choisie par l’opérateur et détermine la résolution de la restitution. Ce paramètre règle donc là précision avec laquelle l’objet va être produit.
  • L’objet est produit.
  • S’il s’agit d’une stéréolithographie par photoplolymérisation (durcissement des liquides par du laser) les liquides superflus restants sont évacués par un arrosage fin.

Thèmes liés

  • Les consignes de préparation d'un modèle ARC+ pour la stéréolithographie
  • Sauver sous format STL


Les consignes de préparation d'un modèle ARC+ pour la stéréolithographie

  • IMPORTANT: Il est fortement recommandé de se concerter avec votre prestataire de service de Stéréolithographie avant même de créer votre modèle 3D ARC+. Les consignes détaillées ici ne sont que des règles générales de production.

Avant de commencer le travail de modélisation en trois dimensions sous ARC+, définissez l’échelle à laquelle votre maquette sera produite. Malgré la possibilité d’ARC+ de créer des détails très fins à l’échelle 1:1, il est très important de connaître l’échelle du produit finale vu qu’une «maquette réelle» doit être capable de supporter au moins son propre poids. Par exemple, si votre modèle contient un poteau de 20x20cm et vous envisagez de produire une maquette au 1:200ème, la taille du poteau sur la maquette ne sera qu’un millimètre carré.

Certaines méthodes de stéréolithographie comme la photoplolymérisation consistent à durcir du liquide par projection de la lumière. Les «pleins» de vos volumes sont ainsi crées tandis que les «vides» restent liquides. Ces liquides doivent être évacués après le processus de la production afin que votre maquette soit présentable. Si votre maquette contient des éléments trop fins et trop fragiles par rapport à l’échelle dans laquelle elle est produite ces éléments se casseront lors de l’évacuation du liquide.

La plupart des appareils de stéréolithographie permettent une résolution allant jusqu’à 1:20ème de millimètre. Théoriquement, vous pouvez créer des éléments d’une grande finesse, mais il est fortement conseillé de simplifier certains éléments fins qui risquent de ne pas résister à la pression exercée par l’arrosage fin.

Afin de vous assurer que les modèles 3D d’ARC+ que vous créez puissent être proprement produits par un appareil de stéréolithographie – vous devrez suivre les consignes suivantes:

  • Evitez de créer des projets détaillés pour des maquettes de taille plus petite que 1:100ème. Simplifiez votre modèle 3D destiné au rendu 2D si possible.
  • Créez un socle pour votre maquette – un plateau sur lequel le modèle sera posé.
  • Si vous voulez montrer des détails techniques de votre création - préférez toujours la création de tranches détaillées de votre modèle à une grande échelle. Par exemple: une coupe double d’une épaisseur de quelques centimètres à une échelle 1:20ème ; 1:10ème ou plus grand.
  • Evitez de créer des objets isolés de petite taille. En règle générale, un objet isolé d’une section de 6mm² et d’une hauteur raisonnable (2-3cm maximum) résiste sans problèmes particuliers à l’arrosage fin de la maquette.
  • Pensez à la tolérance du modèle ARC+. La tolérance, réglée par la commande /tol (voir page 11- 33) définie la distance entre les éléments que vous créez. Il est important de définir une tolérance suffisamment grande pour vos modèles destinés à la stéréolithographie; en effet, cela peut aider la conversion de votre modèle ARC+ vers des formes de surfaces triangulaires contiguës qui sont propres au format STL. Le but étant d’avoir le minimum d’éléments «libres» qui risquent de se détacher lors de l’arrosage. L’idéal est d’avoir un seul élément triangulé avant la production.
  • Il est préférable d’omettre les ouvertures complexes contenant des polygones 2D ou très fins censés représenter des carreaux de vitre etc.
  • Considérez le liquide restant dans les volumes creux de votre modèle. Si vous avez des pièces intérieures par exemple, pensez à l’évacuation du liquide. Il est conseillé de créer deux petits trous (par un polygone négatif par exemple) de quelques millimètres de diamètre dans chaque volume creux et fermé afin de laisser le liquide s’échapper à la fin de la production. Néanmoins, il est préférable d’éviter cette situation en découpant la maquette dans des endroits stratégiques. (voir point suivant)
  • Travaillez par tranches et pensez à l’emboitement des parties de votre maquette. Si vous créez un édifice complexe à plusieurs niveaux, il est préférable de le «découper» en tranches qui s’emboitent l’une sur l’autre. Créez des petits saillis et petites encoches qui vous permettrons de garder une structure de maquette stable.


Sauver sous format STL

Cette commande vous permet de sauver vos modèles ARC+ (préparés selon les consignes décrites ci-dessus) sous format STL. Le format STL est un format de fichier lu par la plupart des machines de Stéréolithographie disponibles sur le marché.

\stlout

Le système demande le nom du fichier STL sous lequel vous voulez sauver votre modèle. En appuyant sur Entrée la boite de dialogue suivante apparaît:

Choisissez l’emplacement de votre modèle STL (le dossier Work est assigné par défaut) nommez-le et cliquez sur «Enregistrer» pour créer un modèle de stéréolithographie prêt à être réalisé.


Index

Home > 27 ARC Photo

27 ARC Photo

  1. Introduction
  2. Importation d'images
  3. Préparation de l'image
  4. Principes de la rectification d'images
  5. Rectification de l'image


Importation d'images

Cette commande est une commande ARC+ standard. Elle est décrite dans le chapitre 25 «Support Raster». Créez un nouveau fichier (\new)

\imgplace

Une fois votre appareil photo, votre prise usb ou votre disque dur connecté, sélectionnez l’option «proportionnel» (proportional) puis «à partir du fichier» (from file). Placez l’image sur votre écran par points de tire.


introduction

Home > 27 ARC Photo > Introduction

ARC+ PHOTO : Rectification d’images

La rectification d’images est soumise à une licence «ARC+ Photo» distincte supplémentaire. Si vous ne l’avez pas encore acquise, veuillez contacter votre revendeur local pour obtenir des informations sur son prix et ses conditions d’exploitation. Ce module d’extension est disponible en licence unique ou en licences multiples par bureau. Il peut être activé sur chaque clé de protection ARC+ existante par simple mot de passe. Pour activer votre licence, utilisez la fonction SETVERSION et copiez le mot de passe dans le champ ADDON. L’intégralité de la licence ARC+ Photo est activée lorsque vous utilisez la commande \imgrect.

Thèmes liés

  • Principes de la rectification d'images


Préparation de l'image

Pour éviter toute distorsion excessive ou résultat non souhaité, vous devez avoir une meilleure compréhension du processus de rectification et des limites éventuelles. Vous ne pouvez réaliser une rectification et être certain des mesures que sur un plan coplanaire dans la réalité. La surface coplanaire est illustrée en gris dans l’image ci-dessous:

Cela signifie par exemple que les toits et les ouvertures ayant une profondeur ne peuvent pas être mesurés s'ils se trouvent sur un autre plan dans l'espace. Il faut prendre une photo pour chaque plan. Assurez-vous des éléments suivants pour obtenir les meilleurs résultats possibles:

  • Réglez votre appareil photo sur la meilleure résolution possible.
  • Évitez autant que possible les lentilles déformantes à petit angle comme les objectifs fisheye.
  • Réglez l’appareil photo sur la qualité de couleur standard. La profondeur d’échantillonnage et la qualité du format de fichier sont de moindre importance. Le format .jpg convient très bien. Il donnera des fichiers de petite taille, ce qui accélérera leur lecture et le travail sur les fichiers dans ARC+.
  • Prenez des photos avec un angle maximal de 30 degrés par rapport à la surface à rectifier. Essayez autant que possible de faire face à l'objet ou à la façade.
  • Si votre objectif est de réaliser une mise à l’échelle et des mesures précises, une astuce pour effectuer des mesures rapides consiste à photographier un élément vertical et un élément horizontal de l’environnement réel. Dans ARC+ photo, il vous suffira simplement de relever les points de ces éléments sur la photo.
  • Si votre objectif est d’obtenir des textures pour le rendu, vérifiez que la surface est éclairée et ne comporte aucune ombre. Ceci évitera tout effet de répétition non souhaité dans le logiciel de rendu et en mode rendu interne. Utilisez également une surface de matière aussi large que possible.
  • Si votre appareil photo ne peut pas photographier l’ensemble du bâtiment, prenez davantage de photos avec un chevauchement de 1/3. Vous pourrez plus tard associer ces images pour obtenir un seul dessin.
  • Évitez la présence d’objets en face d’éléments importants. Déplacez-les avant de prendre la photo ou prenez davantage de photos à partir de points de vue différents.


Principes de la rectification d'images

L’utilisation de photos ou d’éléments de photos vous permet d’offrir à vos clients le meilleur environnement réel et la meilleure correspondance possibles pour présenter et associer vos idées à la situation réelle existante.

Le processus débute toujours par la prise de photos de bonne qualité de la situation actuelle. La qualité de votre photo de départ va de pair avec le résultat obtenu. ARC+ vous permet d’importer directement des photos à partir de 46 formats. En rectifiant la photo et la distorsion de perspective telle qu’elle est perçue par l’œil humain et en créant une image rectifiée, vous atteignez de nombreux objectifs. Cette image rectifiée peut être utilisée pour:

  • Mesurer avec exactitude sur une échelle la propriété et les bâtiments existants.
  • Insérer des façades en 2D dans les photos pour illustrer les dessins.
  • Procéder au remaniement des produits réels à partir de plusieurs photos lorsque aucun dessin ni modèle n’est encore disponible.
  • Placer une texture qui sera utilisée comme «nuance» interne ou externe dans d’autres logiciels comme ARC+ Render, Graffiti Render Pro ou Atlantis.

Thèmes liés

  • Préparation de l'image
  • Importation d'images
  • Rectification de l'image


Rectification de l'image

Cette commande soumise à licence lance la fenêtre de contrôle de la rectification d’ARC+. Elle ne fonctionne que lorsque la licence photo arc+ est active sur votre clé de protection connectée.

\imgrect

Cliquez sur l’image à rectifier ; l'APPLICATION PHOTO SUPPLÉMENTAIRE est lancée et affiche votre image.

ZOOM et PANORAMIQUE

Comme toujours dans ARC+, vous pouvez utiliser la roulette pour zoomer et effectuer un panoramique. À côté se trouvent plusieurs icônes: + pour effectuer un zoom avant, - pour effectuer un zoom arrière, 1:1 pour obtenir la taille exacte, une icône pour ajuster à la fenêtre et une icône pour obtenir une zone définie grâce à 2 points.

Lorsque vous précisez les axes et les mesures horizontaux et verticaux corrects, vous devez zoomer autant que possible pour obtenir les meilleurs résultats.

OUTILS DE RECTIFICATION

ÉTAPES du processus

H | VERT Définit deux axes horizontaux à 2 points chacun sur l’image.
V | BLEU Définit deux axes verticaux à 2 points chacun sur l’image.
1-2 | ROUGE Définit 2 mesures connues sur la photo pour contrôler exactement la distorsion XY avec le bon rapport.

APERÇU

Le bouton d’aperçu vous permet de visualiser le résultat dans trois qualités. Vous pouvez repasser à la photo d’origine en appuyant sur . La partie droite de l’écran vous permet également de définir 3 qualités différentes.

MODIFICATION

Lors des premières étapes, ne zoomez pas trop pour obtenir rapidement des résultats. Vous pourriez commettre une erreur.

Active l’outil de sélection. Cet outil vous permet de sélectionner les outils de rectification et de les régler en déplaçant et en zoomant sur les points de contrôle.
Sélectionne tous les éléments graphiques dessinés sur la photo.
Désélectionne tous les éléments graphiques sélectionnés pour recommencer.
Inverse la sélection en cours.
Affiche les propriétés de l’élément sélectionné dans une fenêtre distincte.
Supprime les éléments graphiques sélectionnés

Une fois que vous êtes satisfait du résultat, appuyez sur

pour placer l’image rectifiée dans votre fichier par 2 points.

Pour mettre l'image à l'échelle, utilisez la commande \imgscale.

Vous pouvez soit indiquer une distance connue de l’objet dans la réalité ou cliquer sur deux points dans un projet existant pour ajuster la photo.

L’image peut désormais être contrôlée grâce à l’ensemble des outils d’édition graphique d’ARC+. Pour plus d’informations, reportez-vous au chapitre 25 «Support Raster». Reportez-vous aux images ci-dessous pour vous donner une idée des filtres «powerclip», sépia et d’intensité.


Index

Home > 31 Agencement

31 Screen Layout

  1. Introduction
  2. Affichages Multiples
  3. Ajout d'une vue
  4. Customiser une vue
  5. Effacer une nouvelle vue
  6. Mise en page de l´écran
  7. Rejoindre un cadre
  8. Vues séparées


Introduction

Home > 31 Agencement > Introduction

Mise en page de l´écran

La flexibilité de windows dans l'ARC + vous permet de créer des environnements de travail customisés à des différentes tâches ou différents besoins de visualisation, comme la modélisation, l'animation et la visualisation. Il est souvent utile de basculer rapidement entre les différents environnements dans le même fichier.

  • Vue d´ensemble des la mise en page de l´écran
  • Customiser une vue
  • Effacer une vue
  • Joindre un cadre
  • Affichages Multiples
  • Vue séparée
  • Ajouter une vue


Affichages Multiples

ARC + a une option efficace pour soutenir plusieurs écrans d'un pc qui a une sortie multi-écrans ou des cartes multi-vidéo (un écran dans chaque moniteur).

La façon d'activer ce mode est de cliquer sur l'icône bascule:

Par défaut ARC+ utilise le moniteur principal, en cliquant sur l'icône 1 une autre fenêtre avec la configuration de l'écran et le sélecteur d'écrans sera ouverte et l'utilisateur peut les faire glisser sur l'autre moniteur.

Pour en savoir plus

  • Effacer une vue
  • Ajouter une vue
  • Mise en page de l´écran
  • Joindre un cadre


Ajout d'une vue

Lorsque vous faites défiler la liste de l'écran vous verrez que l'une des options est Nouveau -ajouter un nouvel écran de configuration. Sélectionnez NOUVEAU

Lorsque vous cliquez sur cette option, la boîte de dialogue suivante apparaîtra:

L'utilisateur peut définir le nom et le nom et l'écran existant à cloner.

Le nom doit être unique dans le fichier actuel, l'espace et des caractères invalables

Pour en savoir plus

  • Effacer une vue
  • Adapter une vue
  • Joindre des cadres
  • Affichages multiples


Customiser une vue

Après que l'utilisateur choisit la configuration de l'écran, il dispose de 2 commandes pour customiser l'affichage.

En cliquant avec le bouton droit sur ​​la ligne qui sépare les deux cadres, un menu apparaît avec deux options, Cadre séparé et Cadre rejoint.

Pour en savoir plus

  • Effacer une vue
  • Ajouter une vue
  • Rejoindre des cadres
  • Multiple affichages


Effacer une nouvelle vue

Home > 31 Agencement > Effacer une nouvelle vue

Effacer un nouveau écran

Lorsque vous faites défiler la liste d´affichage, vous verrez que l'une des options est Supprimer - à savoir, supprimer une configuration d'écran.

Effacer. Lorsque vous cliquez sur cette option, la boîte de dialogue suivante apparaîtra:

L'utilisateur peut choisir la vue à supprimer.

  • NOTEZ: Le système de configuration prédéfini ne peut pas être supprimé.

Pour en savoir plus

  • Customiser une vue
  • Ajouter une vue
  • Rejoindre des cadres
  • Multiple affichages


Mise en page de l´écran

La flexibilité des fenêtres de l'ARC + vous permet de créer des environnements de travail personnalisés pour différentes tâches ou différents besoins de visualisation, comme la modélisation, l'animation et la visualisation. Il est souvent utile de basculer rapidement entre les différents environnements dans le même fichier.

Pour en savoir plus sur la mise en page de l´écran

Pour faire chacune de ces étapes principales de création, ARC + a un ensemble d'écrans pré-définis, ou mise en place des fenêtres, qui vous montrent les types de fenêtres dont vous avez besoin pour faire le travail rapidement et efficacement:

Par défaut :

Un seul cadre et dans la modélisation

Modellage:

Réglage du cadre approprié pour modéliser des objets

Render::

Ensemble de cadres appropriés pour régler le format standard de rendering

Affichage:

4 vues : dans Haut, Axo, Gauche, Devant

Vue 4

4 axes de vue dans chaque direction

DSG

Un cadre pour travailler dans l'environnement DSG

Zone

Un cadre pour travailler dans la zone d´environnement

Quantité

Un cadre pour travailler dans l'environnement de Quantité

  • NOTEZ: Ces configurations ne peuvent pas être supprimées ou adaptées. Par défaut, chaque configuration de l'écran se souvient du dernier contenu ou elle a été utilisée. Sélection d'une configuration différente va passer à la configuration et aller à ce contenu.

Pour en savoir plus sur

  • Effacer une vue
  • Ajouter une vue
  • Mise en page de l´écran
  • Customiser une vue


Rejoindre un cadre

Home > 31 Agencement > Rejoindre un cadre

Rejoindre les vues

L'option "joindre" va unifier le cadre qui touche la ligne où se trouve la souris, les options disponibles sont haut et bas ou gauche et à droite (ceci dépend si le dividende est horizontal ou vertical).

L'option choisie sera le cadre qui couvrent l'autre, dans l'exemple Au-dessus couvre le bas.

  • NOTEZ:Si "séparer" n'apparaîtra pas dans le menu, ceci signifie que la ligne dividende touche deux cadres à tailles différentes et il n'est pas possible de les joindre. Redimensionnez en cliquant sur ​​la ligne des cadres de dividende et faites glisser la ligne, tous les cadres liés seront automatiquement redimensionnés.
  • NOTEZ: ARC + se souvient de toutes les informations en ne pas les reliant à la résolution, toute modification apportée à la résolution de l'écran ou le redimensionnement du cadre principal d´ARC + cause un redimensionnement automatiquement de chaque cadre.

Pour en savoir plus

  • Effacer une vue
  • Ajouter une vue
  • Mise en page de l´écran
  • Affichages multiples


Vues séparées

Option Séparer va diviser l'image où la souris se trouve, la direction de la séparation sera orthogonale à la ligne de séparation cliqué, si la ligne est verticale, le cadre sera divisé horizontalement, si la ligne est horizontale, le cadre sera divisé verticalement.

  • NOTEZ: Le nouveau cadre sera généré en vue de modélisation.

Comment mettre en place les écrans partagés

Etapes:

  • Sélectionnez dans la barre du menu > Nouveau en 2011 > Cadre séparée.
  • Maintenant cliquez sur l'image que vous voulez séparer
  • Appuyez "y"pour une séparation horizontale, appuyez "n" pour une verticale
  • Maintenant appuyez enter

Maintenant vous pouvez assigner un appareil photo à un cadre particulier pour visualiser votre projet sous un angle différent. Vous pouvez également affecter différentes paramètres du render au cadre.

Pour en savoir plus sur

  • Lumières
  • Contexte
  • Render
  • Caméra


Index

Home > 34 Réparation de fichiers corrompus

34 Réparation de fichiers corrompus

  1. Reconnaître un fichier corrompu
  2. Réparer les fichiers par lot


Reconnaître un fichier corrompu

  • impossiblité d'ouvrir le fichier, ce qui provoque parfois un arrêt d'ARC+.
  • possiblité de l'ouvrir mais problème lors de conversion dans d'autres formats, problèmes de visualisation dans certains modes, difficulté lors de jonction, d'ajout d'ouverture... pour résumé, vous rencontrez des difficultés avec le fichier(et vous rencontrez de nombreux arrêts d'ARC+).


Réparation de fichiers par lot

\batchfix

Cette commande permet de réparer les fichiers endommagés

Boite de dialogue batchfix

Vous pouvez réparer :

  1. plusieurs fichiers contenus dans un dossier.
  2. un seul fichier.
  3. le modèle actuellement ouvert dans ARC+

Vous pouvez sélectionner les options suivantes :

  1. . Cette option permet de corriger la base de donnée et ses attributs lorsqu'ils sont corrompus.
  2. Cette option corrige la longueur des arcs de couleur = 255, type = 0, longueur=0 qui rencontrent des problèmes d'affichage.
  3. Si vous rencontrez des problèmes avec le paramètre castShadows.
  4. Si vous rencontrez des problèmes sur les groupes (par exemple une ou plusieurs entités ne sont plus rattachées à leur groupe).
  5. Si vous rencontrez des problèmes sur les solides complexes (par exemple problème d'alignement des faces).
  6. Si vous rencontrez des problèmes de visualisation dans le render : vous pouvez voir des entités que vous aviez effacées.
  7. Si vous rencontrez des problèmes de visualisation de polymesh dans le render : vous voyez les entités dans la mauvaise position
  8. Si vous rencontrez des problèmes sur de visualisation les murs.

    9. Si vous ne savez pas exactement quelle option choisir , vous pouvez sélectionner toutes les options dans la "Liste des outils de réparation"

    Option supplémentaire : Cette option n'est à utiliser qu'en dernier recours, c'est à dire si vous n'arrivez toujours pas à ouvrir le fichier après avoir tenter les options précédentes.

  9. Cette option permet l'effacement de toutes les entités polymesh du projet, donc vous perdrez toutes les entités venant de fichiers importés de SketchUp, 3ds and fait avec \POLYCRT.


Index

Home > 30 Render > Index

30 Render

  1. Introduction
  2. Quelques définitions
  3. Notions importantes
  4. Déplacement de mon modèle dans la fenêtre
  5. Les zones actives
  6. Les différentes vues
  7. Bloquer une vue
  8. Paramétrage de la visualisation en temps réel
  9. L’interface de configuration de la scène
  10. L’interface du gestionnaire de matériaux
  11. Gestionnaire des catégories de matériaux
  12. Gestionnaire des matériaux appliqués
  13. Paramétrage des matériaux
  14. Configuration de la camera
  15. Configuration du format du rendu
  16. L’interface du gestionnaire d’éclairage et de paramétrage général du rendu
  17. Gestionnaire d’éclairage
  18. Gestionnaire d’arrière plan
  19. Gestionnaire de premier plan
  20. Gestionnaire de style de rendu
  21. Choix des images à produire
  22. Gestionnaire de production du rendu
  23. Gestionnaire de Caméra


Introduction

Pour cette version 2012, une nouvelle interface de rendu 3D a été mise en place. Elle est plus simple d’utilisation grâce à la présence de modèles préconfigurés, néanmoins elle permet toujours une personnalisation des paramètres.

Quelles entités sont visibles dans le Rendu ?

Les entités qui peuvent être représenté dans le Rendu sont :

  • Les surfaces des polygones 3D du modèle
  • Les solides du modèle
  • Les polymesh

Quelles entités ne sont pas visibles dans le Rendu ?

Les entités qui ne généreront rien dans le Rendu sont :

  • Les polygones 2D
  • Les solides négatifs
  • Toutes les entités 2D


Définitions

Home > 30 Render > Quelques définitions

Quelques définitions

  • Scènes : Une scène est une collection d'objectifs et de sources lumineuses qui seront regardés par une caméra.
  • Objet : En général, un objet est n'importe quelle chose, solide, liquide, ou gaz, que vous montrerez dans votre scène.
  • Caméra : qui observe la scène et fait la projection de la scène sur l'écran. Les caractéristiques d'une caméra sont la position, la direction d'observation, le mouvement.
  • Éclairage : les éclairages émettent de la lumière. Ses caractéristiques sont la position, l'intensité, le modèle d'éclairage, la source de lumière.
  • Lumière ambiante : lumière qui rend les objets plus lumineux, plus blanc et sans ombre.
  • Lumière de Caméra : lumière directe de la caméra qui illumine les objets dans le champ de la caméra.
  • Lumière de soleil : : C’est une lumière distante qui émet des rayons de lumière parallèles.
  • HDRI ciel : C’est une image 3D qui illumine uniformément une scène simulant la lumière du ciel.


Notions importantes

Les différentes sources de lumières

Les ombres créées par la lumière directe du soleil, d’une caméra ou du ciel sont faciles à représenter et ne demandent pas une grande quantité de calculs. C’est toutes les autres ombres qui demandent plus de calculs : réflexion, diffusion …

La déviation du nord par défaut

La déviation du nord 45°


Déplacement de mon modèle dans la fenêtre

L’interface du rendu à l’ouverture est composée d’une fenêtre principale qui permet de visualiser le modèle et de le déplacer.

  • Bouton gauche appuyé : vous vous déplacez autour du modèle comme une caméra en rotation autour d’une cible.
  • Bouton droit appuyé : vous vous déplacez comme une camera en rotation autour d’elle-même.
  • Bouton du milieu : vous vous déplacez comme une caméra fixe sur un rail.
  • Molette avant : vous vous avancez vers l’objet, vous pouvez le traverser et continuer à avancer en le laissant derrière vous.
  • Molette arrière : vous vous éloignez de l’objet.
  • Shift + action précédente : le déplacement est 10 fois rapide.
  • Ctrl + action précédente : le déplacement est 10 fois plus lent.


Les zones actives

Home > 30 Render > Les deux zones actives

Les deux zones actives de la fenêtre principales

Cette fenêtre contient 2 zones actives reconnaissables à l’aide des barres suivantes :

Afin de visualiser le contenu de ces 2 zones, il vous suffit d’approcher la souris de la barre et la zone active concernée apparaîtra.

  1. Configuration de la scène
  2. Navigation et paramétrage de visualisation en temps réel


Les différentes vues

Approcher la souris de la zone active 2.

La zone active apparaît. Cette interface vous permet de visualiser votre modèle de manières différentes que l’on peut regrouper en 2 familles :

Les vues dites orthographiques : vue de dessus, face, gauche, dessous, derrière, devant …

La vue en perspective


Bloquer une vue

Vous pouvez bloquer la vue en cours à l’aide de l’icône crée à cet effet et alors toutes les autres icônes de vue sont bloquées :

Maintenant, les icônes représentées avec un cadenas sont désactivées et il n’est donc plus possible de changer la vue qu’importe l’action que vous êtes en train de réaliser dans le Rendu.

Pour désactivé cette option, cliquer sur l’icône :


Paramétrage de la visualisation en temps réel

Vous pouvez également accéder aux paramètres de la visualisation en temps réel du modèle à l’aide de l’icône suivante disponible dans la zone active 2:

Description de l’interface

  1. Visualisation du modèle dépendante des matériaux appliqués
    1. La carte graphique est utilisée pour les calculs (plus rapide mais certaines caractéristiques de représentation manquantes) NVIDIA recommandée.
    2. Représentation des lignes de contour du modèle ou non.
    3. Le processeur est utilisé pour les calculs qui utilisent l’algorithme de lancer de rayon.
    4. Visualisation rapide
  2. Visualisation du modèle dépendante des couleurs de modélisation appliquées
  3. Visualisation en apparence ligne cachée (cette visualisation n’est pas une visualisation en ligne cachée analytique. Elle n’est pas très précise mais elle est très rapide)

Description des paramètres de visualisation en temps réel

Les paramètres suivants ne s’appliquent que pour la visualisation en temps réel, cela signifie qu’ils ne sont pas pris en compte lors de la prévisualisation du rendu ou du calcul du rendu final.

  5. Multiplie la puissance d’éclairage provenant soleil par le facteur indiqué.
  6. Multiplie la puissance de lumière ambiante (lumière qui affecte tout la scène sans prendre en compte la position des objets qui la compose) par le facteur indiqué.
  7. Multiplie la puissance d’éclairage provenant de la caméra par le facteur indiqué.


L’interface de configuration de la scène

Approcher la souris de la zone active 2.

La zone active apparaît.

  1. Fermer tous les bandeaux et ne laisser que la fenetre de visualisation active.
  2. Gestionnaire de matériaux
  3. Configuration de la camera
  4. Gestionnaire d’éclairage et de paramétrage général du rendu(d)
  5. Gestionnaire de production du rendu
  6. Gestionnaire de Caméra


L’interface du gestionnaire de matériaux

  1. Visualisation du rendu en temps réel
  2. Gestionnaire des catégories des matériaux : création de catégories distinctes pour matériaux
  3. Gestionnaire d’application des matériaux : choisir la méthode d’application des matériaux et visualiser les matériaux appliqués (applications possibles par modèle, couleur, calque)
  4. Bandeau de visualisation des matériaux : visualisation des matériaux en temps réel et application des matériaux par simple drag and drop (sélectionner et glisser le matériau sur la partie voulue)
  5. Paramétrage des matériaux


Gestionnaire des catégories de matériaux

Vous pouvez visualiser les catégories de matériaux existantes et en créer des nouvelles. Vous pouvez également crée de nouveaux matériaux dans la catégorie sélectionnée.

Dans le bandeau de visualisation des matériaux (4), les matériaux, contenus dans la catégorie sélectionnée, et leur aspect, sont affichés en temps réel.

Comment ajouter une catégorie ?

Cliquer droit sur le nom de la bibliothèque dans laquelle vous voulez ajouter une catégorie et sélectionner « Nouvelle catégorie ».

Comment ajouter un matériau ?

Cliquer droit sur une catégorie et sélection « Nouveau Matériau ».

Comment visualiser les matériaux visibles dans une catégorie ?

Lorsque vous sélectionnez une catégorie, les matériaux qui la composent sont affichés dans le bandeau de prévisualisation (4)

Par exemple, vous aurez :

Comment modifier un matériau dans une catégorie spécifique ?

Pour modifier un matériau :

  • choisir une catégorie
  • sélectionner le matériau à modifier dans le bandeau de prévisualisation
  • les paramètres du matériau s’affichent dans le bandeau 5 et peuvent être modifiés

Comment créer un matériau à partir d’un matériau existant ?

Pour dupliquer un matériau :

  • choisir une catégorie
  • sélectionner le matériau à dupliquer dans le bandeau de prévisualisation
  • cliquer droit sur le matériau
  • sélectionner « Duplicate »
  • choisir un nom pour le matériau dupliqué
  • les paramètres du matériau s’affichent dans le bandeau 5 et peuvent être modifié


Gestionnaire des matériaux appliqués

Vous pouvez visualiser la liste des matériaux appliqués selon la méthode sélectionnée.

Comment fonctionne la prise en compte des matériaux dans le Rendu ?

Il y a 3 méthodes d’application des matériaux, classées de la plus prioritaire à la moins prioritaire dans la liste ci-dessous :

  • par objet
  • par couleur
  • par calque

Cela signifie que pour une entité donnée, si un matériau est appliqué sur celle-ci, il est affiché qu’importe si il y a déjà un autre matériau appliqué par une autre méthode. S’il est vide, alors ce sera le matériau lié à la couleur de l’entité qui sera appliqué. Si lui-même est vide alors ça sera le matériau lié au calque de l’entité. Si les trois sont vides, alors un matériau par défaut est appliqué. Si rien ne se passe lorsque vous tentez d’appliquer un matériau par couleur ou pas calque. Cela signifie que toutes vos entités ont déjà un matériau appliqué par objet.

Comment appliquer un matériau par object ?

Pour appliquer un matériau par objet :

  • sélectionner « Matériaux par objet » dans la boite de dialogue ci-dessous

  • sélectionner une catégorie
  • sélectionner un matériau
  • glisser le sur l’entité du modèle sur laquelle vous voulez appliquer le matériau
  • l’entité désignée se surligne en rouge (voir ci-dessous)
  • lâcher le bouton gauche, le matériau est appliqué

Comment appliquer un matériau par couleur ?

Pour appliquer un matériau par objet, 2 méthodes existent :

Méthode 1 :

  • sélectionner « Matériaux par couleur » dans la boite de dialogue ci-dessous

  • sélectionner une catégorie
  • sélectionner un matériau
  • glisser le sur une partie du modèle
  • toutes les entités d’une couleur donnée se surlignent en rouge (voir ci-dessous)
  • lâcher le bouton gauche, le matériau est appliqué sur les entités de la couleur donnée
  • Important : si le matériau n’est pas appliqué sur certaines entités de la couleur choisie, cela signifie que l’entité possède déjà un matériau appliqué par objet.

Méthode 2 :

  • sélectionner « Matériaux par couleur » dans la boite de dialogue ci-dessous

  • la liste des 255 couleurs s’affichent

  • sélectionner une catégorie
  • sélectionner un matériau
  • glisser le sur le numéro de la couleur à laquelle vous voulez assigner le matériau
  • lâcher le bouton gauche, le matériau est appliqué sur toutes les entités de cette couleur
  • Important : si le matériau n’est pas appliqué sur certaines entités de la couleur choisie, cela signifie que l’entité possède déjà un matériau appliqué par objet.

Comment appliquer un matériau par calque?

Pour appliquer un matériau par objet, deux méthodes existent :

Méthode 1 :

  • sélectionner «Matériaux par calque » dans la boite de dialogue ci-dessous

  • sélectionner une catégorie
  • sélectionner un matériau
  • glisser le sur une partie du modèle
  • toutes les entités d’un calque donné sont surlignées en rouge
  • lâcher le bouton gauche, le matériau est appliqué sur toutes les entités appartenant au calque donné
  • Important : si le matériau n’est pas appliqué sur certaines entités du calque choisi, cela signifie que l’entité possède déjà un matériau appliqué par objet ou couleur.

Méthode 2 :

  • sélectionner «Matériaux par calque » dans la boite de dialogue ci-dessous

  • la liste des calques s’affichent
  • sélectionner une catégorie
  • sélectionner un matériau
  • glisser le sur le nom du calque couleur auquel vous voulez assigner le matériau
  • lâcher le bouton gauche, le matériau est appliqué sur toutes les entités appartenant au calque
  • Important : si le matériau n’est pas appliqué sur certaines entités du calque choisi, cela signifie que l’entité possède déjà un matériau appliqué par objet ou couleur.

Comment visualiser la liste des matériaux appliqués au modèle ?

Par objet

  • sélectionner « Materiaux par objet » dans la boite de dialogue ci-dessous

  • la liste des matériaux appliqués au modèle par objet s’affiche dans une liste au dessous
  • la liste des matériaux appliqués au modèle par objet s’affiche dans la bandeau de visualisation des matériaux

Par couleur

  • sélectionner « Materiaux par couleur » dans la boite de dialogue ci-dessous

  • la liste des matériaux appliqués au modèle par couleur s’affiche dans une liste au dessous

Par calque

  • sélectionner «Materiaux par calque » dans la boite de dialogue ci-dessous

  • la liste des matériaux appliqués au modèle par calque s’affiche dans une liste au dessous

Comment connaitre le matériau appliqué?

Pour connaitre le matériau appliqué sur objet, sur des objets de même couleur ou des objets de même calque, sélectionner l'icône suivante :

Puis sélectionner la partie du dessin dont vous voulez déterminer le matériau.


Paramétrage des matériaux

Les matériaux peuvent être considérés comme des couleurs, et une couleur simple est en faite la forme la plus simple d'un matériel. Un matériel complet est affiché en superposant sur une couleur des types d'attributs supplémentaires qui contrôlent la façon dont une surface interagit avec les lumières et l´environnement. Vous pouvez paramétrer vos nouveaux matériaux ou modifier les paramètres de matériaux existants à partir du panneau 5.


Configuration de la camera

Cliquez sur l'icône (c)

Puis sélectionner l'onglet "Caméra"

  1. Déplacement de la caméra dans le repère aux coordonnées indiquées
  2. Déplacement du modèle dans le repère aux coordonnées indiquées
  3. Zoom avec possibilité de zoom de 1 à 300mm
  4. Rotation de la caméra avec possibilité de rotation sur 360°


Configuration du format du rendu

Cliquez sur l'icône

Puis sélectionner l'onglet "Fenêtre"

  1. Choix de sortie de rendu préconfiguré
  2. Rapport longueur sur largeur
  3. Choix de la qualité du rendu en dpi
  4. Choix du format du rendu avec calcul automatique de la taille en pixels en fonction des options entrée.
  5. Choix de l’orientation


L’interface du gestionnaire d’éclairage et de paramétrage général du rendu

Cliquez sur l'icône

La capacité à modéliser des lumières dans l'environnement est une exigence fondamentale pour tous les utilisateurs qui tiennent à obtenir des rendus ombré de qualité. L'apparition de surfaces ombragées au sein d'une image est déterminée par les lumières la scène, leurs positions, leurs propriétés telles que la luminosité et la couleur... Pour vous aider dans la création de votre rendu, vous disposez d’éléments préconfigurés qu’il suffit de sélectionner et glisser sur le modèle pour les appliquer. Tous ces éléments préconfigurés sont personnalisables. Il suffit d’appliquer le modèle qui correspond le mieux à vos besoins.

L’interface comporte 3 parties :

  1. Visualisation du rendu en temps réel.
  2. Bandeau de visualisation des configurations prédéfinies applicables sur le modèle par drag and drop (sélectionner/glisser sur le modèle). Ce bandeau est mis à jour lors de la navigation dans les différents onglets.
  3. Paramètres de la scène

  1. Gestionnaire de l’éclairage
  2. Gestionnaire d’arrière plan
  3. Gestionnaire de premier plan
  4. Gestionnaire de style de rendu
  5. Gestionnaire de production du rendu


Gestionnaire d’éclairage

Choix général de la scène du modèle

Le choix d’une scène permet de restreindre les options d’éclairages disponibles. Une scène peut être

  • Une scène d’extérieure
  • Une scène d’intérieur
  • Une scène contenant des objets
  • Une variété : toutes les options sont disponibles

Les différentes sources de lumière et leur interface

Le Soleil

  • Cette source est appliquée sur le modèle si la case activée est cochée.
  • Il est possible de paramètrer la couleur de cette source.
  • Vous pouvez régler l'intensité de la source.
  • Si la case "ombre" est cochée alors elles seront visibles sur le modèle.
  • Il est possible de paramètrer la position du nord .La direction du nord détermine l'orientation du soleil.
    • 0 ° signifie que le nord est situé dans la direction global d´Y.
    • Par défaut: 0°
    • Rotation possible de : 0° à 360°

Heure

Le "temps" détermine l´heure et la date du projet : le temps est utilisé pour calculer l'élévation du soleil, la couleur et la puissance du soleil selon la position géographique.

Orientation

Horizontal : Longitude du soleil.

Zenith :Latitude du soleil.

Camera Relative

Camera Relative détermine la déviation du soleil par rapport à la position de la caméra.

  1. Le premier curseur indique l'angle du plan du soleil à partir de la projection dans le plan de la ligne jusqu´à la caméra.
  2. Le deuxième curseur indique l’élévation du soleil à partir de l'horizon (si l'entrée est de 0° la direction du soleil est parallèle au plan XY).

Le ciel via HDRI

L'imagerie à grande gamme dynamique (ou imagerie large-gamme) (high dynamic range imaging ou HDRI) regroupe un ensemble de techniques numériques permettant d'obtenir une grande plage dynamique dans une image. Son intérêt est de pouvoir représenter ou de mémoriser de nombreux niveaux d'intensité lumineuse dans une image. Cette technique s'effectue en permettant d'attribuer plus de valeurs à un même pixel.

  1. Les lumières provenant de l’image HDRI du ciel sont appliquées sur le modèle si la case est cochée.
  2. Les ombres créées par la source sont affichées si la case est cochée.
  3. Il est possible de régler l'intensité de lumière apporter par l'image
  4. L’image peut être tourner sur 360°.
  5. Il est possible d’utiliser l’image du ciel en tant que fond d’écran ou d’appliquer une autre image tout en gardant les paramètres de l’image HDRI.

Les lumières additionnelles

  • La caméra : il est possible d’ajouter la lumière d’une caméra
    • Couleur de la caméra : paramétrage de la couleur de la lumière émise par la caméra
    • Intensité de la caméra : paramétrage de l’intensité de la lumière émise
  • La lumière ambiante : La lumière ambiante est une source de lumière qui éclaire toutes les surfaces de la même manière indépendamment de leurs orientations.
    • Couleur de la caméra : paramétrage de la couleur de la lumière ambiante
    • Intensité de la caméra : paramétrage de l’intensité de la lumière émise

Comment appliquer un éclairage prédéfini à mon modèle ?

Pour appliquer un éclairage à votre modèle, sélectionner dans les configurations d’éclairage préféfinie celle qui répond le mieux à vos besoins de rendu et faîte la glisser dans la fenêtre de visualisation du rendu.


Gestionnaire d’arrière plan

L´arrière-plan de votre image rendue peut améliorer l'ensemble de la présentation de votre projet ou donner l'impression que votre projet est dans un certain espace. Avec cette fonctionnalité, vous pourrez placer de façon réaliste votre modèle dans un environnement pour faire une présentation ou un examen.

L’arrière plan du modèle peut être :

  • une couleur
  • une représentation de l’horizon
  • une image
  • une image 3D-HDRI.

Si à l’ouverture de cet onglet, vous avez le message suivant :

Cela signifie que vous avez décidé d’appliquer l’image HDRI en tant que fond d’écran en plus d’appliquer les paramètres de d’éclairage issue de celle-ci. Si vous voulez appliquer un autre fond d’écran et donc avoir accès aux options décrites précédemment, retourner dans l’onglet de paramétrage des lumières et désélectionner l’option e.

Couleur

Sélectionner une couleur en indiquant les niveaux RGB

Horizon

  1. Couleur du ciel en haut de l’image
  2. Couleur du ciel au niveau de l’horizon
  3. Couleur du sol ai niveau de l’horizon
  4. Couleur du sol en bas de l’image.
  5. Pourcentage de l’écran ou les couleurs de l’horizon se mêlent.
  6. Même paramètre que précédemment mais les couleurs indiquées correspondent à la réflexion de l’horizon par une autre partie du objet (exemple : réflexion dans un miroir)

Lorsque vous modifiez les niveaux RGB, le nom du modèle prédéfini est remplacé par « Personnalisé ». Pour remettre à zéro, choisir un arrière plan de couleur dans la liste des arrières plan de couleur prédéfinis et glisser le sur le modèle (drag and drop)

Image

Une image de premier plan est une image qui viendra se placer devant le modèle.

  1. Choix d’une image d’arrière plan
  2. Visualisation de l’image choisie
  3. Choix de la couleur de la bordure de l’image
  4. Visualisation du masque
  5. Utilisation du fond d’écran en masque d’arrière plan
  6. Inverser le masque
  7. Utiliser l’alpha channel de l’image
  8. Décalage horizontal de l’image
  9. Décalage vertical de l’image

Image 3D-HDRI

  1. Choix de l’image
  2. Visualisation de l’image choisie
  3. Rotation de l’image

Comment appliquer un arrière plan prédéfini à mon modèle ?

Rendez-vous dans la catégorie voulue selon le type d'arrière plan que vous souhaitez ajouter à votre scène et glisser un gabarit prédéfini directement sur le modèle par Drag and Drop


Gestionnaire de premier plan

L'élément de premier plan sera appliqué sur le modèle rendu.

Le premier plan du modèle peut être :

  1. Vide : pas de premier plan
  2. Brouillard : simule un effet de brouillard, ce qui rend les objets éloignés plus difficile à voir que les plus proches.
  3. Brouillard au sol : Simule une couche de brouillard dont la densité diminue avec l'altitude
  4. Léger brouillard : Simule un effet lumineux de brouillard autour des lumières
  5. Image : Intègre une image en utilisant un masque.

Brouillard

  1. Distance du brouillard : La densité du brouillard augmente avec l’éloignement.
  2. Densité maximum du brouillard.
  3. Couleur de Brouillard.
  4. Définie si l’arrière plan est affecté par le brouillard ou non.

Brouillard au sol

  1. Hauteur de brouillard : hauteur atteinte par le brouillard à partir du sol.
  2. Distance sur Z : distance du brouillard. La densité augmente avec l’éloignement à partir de l’origine.
  3. Densité maximum : la densité maximum du brouillard.
  4. Couleur de Brouillard.
  5. Ignorer l’arrière plan : définie si l’arrière plan est affecté par le brouillard ou non.

Léger brouillard

Densité : la densité du brouillard

Image

  1. Choix d’une image d’arrière plan
  2. Visualisation de l’image d’arrière plan
  3. Visualisation du masque
  4. Utilisation du fond d’écran en masque de premier plan
  5. Inverser le masque
  6. Utiliser l’alpha channel de l’image
  7. Décalage horizontal de l’image
  8. Décalage vertical de l’image


Gestionnaire de style de rendu

Vous pouvez créer différents style de rendu classés en 2 catégories :

  • Photoréalistique : c'est-à-dire qui tente de se rapprocher au mieux à la réalité
  • Non-photorealistique : qui permet d’obtenir des rendus plus artistiques en appliquant des styles divers au choix : mosaïque, encre de chine, peinture à huile.

Exemple de rendu mosaïque

Rendu photorealistique

Paramétrage général du rendu

  • Transparence : Active / désactive la gestion de la transparence.
  • Réflexion: Active / désactive la gestion de réflexions des rayons tracés.
  • Anti – aliasing : Active/désactive la gestion des réflexions de tracement des rayons.
    • Une image numérique est composée de pixels. Lorsqu'elle est redimensionnée, le bord des formes ayant un angle particulier prend la forme d'escalier : c'est le crénelage, ou aliasing. Pour supprimer cet effet visuel disgracieux, on utilise l’anticrénelage, ou anti-aliasing.
  • Max rebondissements des rayons: Contrôle la profondeur du tracement des rayons : plus la profondeur du rayon est petite, plus rapide sera le tracement des rayons pour les scènes complexes. Cependant si la valeur est trop petite, des effets tels que les réflexions multiples ne pourront pas être rendus correctement.
  • Rebondissement max des réflexions: Contrôles combien de niveaux de réflexion sont à considérer pendant le calcul de rendu. Plus petit est le nombre de réflexions, plus rapide est le tracé de rayons pour les scènes complexes. Cependant si la valeur est trop petite, toutes les réflexions multiples ne pourront pas être rendues correctement.
  • Rebondissement max de transmission: Le fonctionnement est le même que pour «le rebondissement maximum des réflexions, mais il s'applique aux rayons réfractés.
  • Contribution min de rayons: Contrôles la contribution minimale que peut apporter un rayon secondaire (réfléchie, réfractée ou rayons alpha) avant qu'il ne soit ignoré.
  • Une valeur de 5 signifie que si le rayon tracé représente moins de 5 pour cent de l'éclairement total alors sa contribution est ignorée.
  • Contribution MIN des rayons réfléchis: Contrôle la contribution minimale que peut apporter un rayon réfléchi avant d'être ignorée
    • Une valeur de 5 signifie que si le rayon tracé représente moins de 5 pour cent de l'éclairement total alors sa contribution est ignorée.
    • Si cette valeur est plus petite que "la contribution min de rayons" alors le paramètre général sera écrasé.
  • Transmission min de la contribution des rayons: Contrôle la contribution minimale que peut apporter un rayon transmis avant d'être ignoré.
    • Une valeur de 5 signifie que si le rayon tracé représente moins de 5 pour cent de l'éclairement total alors sa contribution est ignorée.
    • Si cette valeur est plus petite que "la contribution min de rayons" alors le paramètre général sera écrasé.
  • Anti – aliasing : Réglage de cet argument pour une valeur supérieure à 1 conduira à sur-échantillonnage (ou super-échantillonnage) de chaque pixel

Définition de la qualité du rendu

Vous avez le choix entre différents types de rendu :

  • Lancer de rayon : Il donne de belles images mais le temps de calcul est très élevé. Les ombres dans l'image synthétique ne sont pas réalistes car pas de prise en compte de la lumière diffuse.
  • Illumination globale complète : L’illumination est un algorithme qui simule la manière dont les scènes du monde réel sont allumées, non seulement par la lumière directe, mais aussi par la lumière diffuse qui rebondit sur les surfaces éclairées directement sur d'autres zones de la scène qui ne sont pas directement éclairées. Trois technologies complémentaires sont prévues pour réaliser l'illumination globale: Final Gather, l'occlusion ambiante, la radiance
  • Illumination globale : Même principe qu’illumination globale complète mais avec un résultat moindre.
  • Radiance : Elle donne des images synthétiques très réalistes, en général plus réalistes que le lancé de rayons mais le temps de calcul est très élevé. Les bords peuvent apparaître très flous, et certains effets optiques peuvent être manquants.
  • Précision de la lumière : permet d’améliorer le réalisme du rendu.
  • Précision de l’occlusion ambiante : permet d’améliorer le réalisme du rendu.
  • Choix de l’ordre de grandeur du rendu : la qualité er la lumière du rendu est définit par l’ordre de grandeur choisi, le réalisme du rendu est meilleur car le calcul est adaptée à la scène. Il faut considérer la partie de la scène qui est pertinente pour vous.
  • Qualité des soft shadows : permet d’améliorer le calcul des ombres
  • Qualité du blur : Le blur est la prise en compte des caractéristiques physiques du matériel dans le calcul des rayons et donc dans l’aspect du rendu.
  • Type de blur

Equilibrage des couleurs

Cette boite de dialogue vous permet de régler les caractéristiques de couleurs pour votre rendu. Les modifications sont visibles en mode prévisualisation et dans le calcul de rendu final.

  • Exposition : Cela vous permet de régler d'une manière globale dans le rendu la quantité de lumière
  • Contraste : vous pouvez modifier la luminosité du rendu.
    • Quand la valeur est supérieure à zéro, le contraste est augmenté.

    • Quand la valeur est inférieure à zéro, le contraste est réduit.

  • Saturation : Cette commande vous permet de modifier la saturation d’une image. Le processus de saturation intensifie les couleurs.

  • Position par rapport au spectre de couleur : déplace les couleurs par rapport au spectre de lumière courant. Plus simplement : Cette commande vous permet de remplacer les couleurs d’une image.
  • Luminosité : Cette commande vous permet de modifier la luminosité d’une image.
    • Quand la valeur est supérieure à zéro, le rendu est plus clair.

    • Quand la valeur est inférieure à zéro, le rendu est plus sombre.


Choix des images à produire

Vous avez la possiblité d'enregistrer un même rendu dans plusieurs formats en une seule fois. Cochez les cases correspondants aux formats voulus avec leur option.

Si vous avez des add-on, vous avez 2 options en plus

  • postscript est un format EPS.
  • Epix est le format natif de Pinranesi.


Gestionnaire de production du rendu

Cible

Vous pouvez obtenir un rendu de 3 façons différentes :

  • Plein écran : le rendu est affiché en plein écran (appuyer sur la touche echap pour arrêter l'exécution
  • Fenêtre : le rendu est affiché dans la fenêtre du render dans ARC+ (appuyer sur la touche echap pour arrêter l'exécution
  • Disque : le rendu est enregistrer sur l'ordinateur dans le dossier indiqué et avec le nom indiqué

Pour les 2 premières options, le rendu est produit en fonction de l'éclairage et des paramétres présent sous cette icône :

Pour la dernière, d'autres options de production sont disponibles. Elles sont décrites ci-dessous

Mode de rendu

  • GPU : rendu à partir de la visualisation en temps-réel par OpenGL
  • CPU : rendu à partir de la visualisation en temps-réel par CPU
  • Production : rendu à partir des configurations du gestionnaire de style de rendu

Mode de matériau

  • Matériaux : rendu avec les matériaux
  • Couleur : rendu à partir des couleurs des entités
  • Lignes cachées : rendu en lignes cachées

Résolution de l'image

  • Plein écran : le rendu est produit à partir de la vue courante dans la fenêtre du render
  • Production : format à partir des paramètres donnés dans la configuration du format rendu


Gestionnaire de caméra

Pour accéder au gestionnaire de caméra, cliquer sur l'icône :

Une caméra permet la sauvegarde d’une vue et des configurations de production de rendu et de visualisation en temps-réel.

Vous pouvez donc pour un même projet avoir plusieurs présentation en parallèles, facilement consultable dans le Render.

L'interface ce présente ainsi :

La camera active est affichée au bas de la boite de dialogue.

Créer une caméra

Cliquer sur le bouton "Nouveau".

La nouvelle configuration de caméra sera créée à partir de la configuration d’une caméra déjà existante. Choisissez sur quel modèle vous voulez créer la nouvelle caméra.

Choisissez un nom pour la Caméra.

Ensuite, cliquez sur « Charger ».

Les modifications apportées ensuite sont appliquées à la nouvelle caméra.

Charger une caméra

Choisir une caméra dans la liste des caméras puis cliquer sur le bouton "Charger". La caméra s’affiche dans la fenêtre du Render.

Les modifications apportées ensuite sont appliquées à la caméra chargée.


31 Rapport de surface

  1. L’interface du rapport de surface "concept global"
  2. L’interface de préférences de styles de zone (1)
  3. Le gestionnaire de rapport (2)
  4. Afficher le rapport de surface


L’interface du rapport de surface "concept global"

Comment accéder à l’interface ?

Cliquez droit sur la barre de d’outils principale puis sélectionner « Rapport de surfaces »

  1. Ouvrir les préférences de styles de zones
  2. Montrer/cacher de gestionnaire de rapport : le gestionnaire de rapport se présente sous la forme d’un arbre comportant des zones principales (nœuds principaux) composés de sous zones (nœuds secondaires) qui permettra de détailler les calculs.

  3. Liste des noeuds de l’arbre
  4. Diviser une zone : une zone est une surface fermée que l’on cherche à mesurer (surface réelle/ surface calculée/périmètre réel/ périmètre calculé.
  5. Ajouter une zone.
  6. Editer une zone.
  7. Déplacer le libellé d’une zone/ un rapport graphique.
  8. Mettre à jour une zone.
  9. Ajouter un rapport graphique.
  10. Editer un rapport graphique.
  11. Créer un rapport sous excel.
  12. Editer le texte automatique.


L’interface de préférences de styles de zone (1)

  1. Créer un nouveau style
  2. Supprimer un style
  3. Modifier un style
  4. Importer des styles
  5. Liste des styles
  6. Interface de paramétrage des styles

Comment créer un nouveau style ?

  • Cliquer sur l’icône (A) "Nom de style de zone"

  • Entrer le nom du style
  • Choisir le style sur lequel copier le style qui va être créé
  • Puis entrer les paramètres voulus dans la zone (F) décrite ensuite

Onglet « Noms »

Onglet « Surface »

Il est possible de calculer 2 surfaces différentes :

  • La surface réelle de la zone fermée indiquée
  • La surface calculée de la zone en fonction du facteur indiqué (facteur toujours inférieur à 1) : voir (*) sur l’impression d’écran

Par exemple :

Prenons une zone qui a pour surface réelle : 62 m²

On souhaite travailler avec une surface calculée égale à 30% de moins que la surface réelle.

On entre alors le facteur 0.70.

Si l’on décide d’afficher cette valeur, on obtiendra : Surface calculée = 43,40 m²

Onglet « Périmètre »

Le fonctionnement est identique à celui du calcul de surface mais appliqué au périmètre.

Onglet « Général »

Onglet « Personnalisé »

Permet l’ajout de commentaires sur la zone. Vous pouvez ajouter de 1 à 5 commentaires.

Comment modifier un style ?

  • Cliquer sur l’icône (C) (icône du marteau)
  • Entrer les modifications
  • Cliquez sur enregistrer pour enregistrer le style

Comment supprimer un style ?

Les styles par défauts ne peuvent pas être supprimés.

Pour supprimer un style :

  • sélectionner le style
  • cliquer sur la croix rouge (icône B)

Comment importer un style d’un gabarit à un autre?

  • Cliquer sur l’icône (D)
  • Puis sur l’icône d’ouverture du dossier gabarit

  • Choisir le gabarit à charger
  • Cliquez sur Ouvrir
  • Les styles sont ajoutés à la liste courante de style
  • IMPORTANT : Seuls les styles différents des styles par défaut et les styles aillant des noms différents des styles déjà présents dans le gabarit courant seront importés.

Comment enregistrer un style dans un gabarit pour le rendre disponible pour tous les nouveaux projets?

  • Cliquer sur Fichier >> Enregistrer sous …
  • Dans la liste des types de fichier, sélectionner « ARC+ Gabarit »
  • Le répertoire MODEL contenant les différents gabarits s’ouvre

  • Choisir un nom de gabarit ou sélectionner un gabarit déjà existant à remplacer par le gabarit courant
  • Cliquer sur « Enregistrer »
  • Maintenant, les styles sont disponibles à la création de nouveaux fichiers créés avec à partir du gabarit


Le gestionnaire de rapport (2)

Le gestionnaire de rapport permet de faire apparaitre à gauche de votre fenêtre de travail ARC+, la liste des zones, la liste des rapports graphiques et la liste des rapports Excel.

Procéder aux calculs

Créer son arbre de calcul

Un arbre de calcul va permettre de rassembler des zones par entités utiles/remarquables selon vos besoins. Pour cela nous allons créer des nœuds. Par exemple, pour une maison, on pourra trier les zones : chambre, cuisine ..selon l’étage : nœud étage 1, nœud étage 0. Pour un immeuble, on peut séparer les zones selon numéro de la résidence, puis l’étage, puis le numéro de l’appartement : on pourra considérer les pièces : chambre, cuisine, salon pour appartement 1 de l’étage 1 de la résidence A…

Ajouter un nœud principal

Les nœuds principaux contiennent des zones ou d’autres nœuds secondaires mais ne peuvent pas être contenus dans un nœud.

Pour créer un nœud principal :

  • Cliquer droit sur la l’icône (3)
  • Sélectionner « Ajouter un nœud principal »
  • Entrer un nom pour le nœud
  • Entrer les unités qui seront affichés pour les calculs dans le rapport
  • Entrer le nombre de décimaux à prendre en compte lors des calculs
  • Entrer un commentaire si souhaité
  • Vous pouvez appliquer des styles de textes à partir de vos styles de textes enregistrés
  • Puis cliquer sur OK

Ajouter un nœud secondaire

Les nœuds secondaires contiennent des zones ou d’autres nœuds secondaires et ils peuvent être contenus dans un nœud.

Pour créer un nœud secondaire:

  • Cliquer gauche sur l’icône (3) (liste déroulante)
  • Sélectionner le nœud dans lequel vous voulez ajouter un nœud
  • Puis cliquer droit sur l’icône (3)
  • Sélectionner « Ajouter un noeud secondaire»
  • Indiquer le nom du nœud
  • Indiquer le type de calcul souhaité : Aire réelle/ Aire calculée/ Périmètre réel/Périmètre calculé
  • Indiquer si vous souhaitez additionner ou soustraire les résultats des calculs de ce nœud aux autres noeuds
  • Ajouter un commentaire si souhaité
  • Vous pouvez appliquer des styles de textes à partir de vos styles de textes enregistrés.
  • Puis cliquer sur OK

Modifier un noeud

Il existe deux manières pour modifier un nœud.

Méthode 1

  • Cliquer gauche sur l’icône (3) (liste déroulante)
  • Sélectionner le nœud à supprimer
  • Puis cliquer droit sur l’icône (3) (liste déroulante)
  • Sélectionner « Editer les propriétés du nœud»

Méthode 2 :

  • Aller dans le gestionnaire de rapports
  • Puis cliquer droit sur le nœud (les nœuds sont indiqués en caractères en gras) à supprimer
  • Sélectionner « Modifier les propriétés du nœud»

Supprimer un nœud

Il existe deux manières pour supprimer un nœud.

Méthode 1 :

  • Cliquer gauche sur l’icône (3) (liste déroulante)
  • Sélectionner le nœud à supprimer
  • Puis cliquer droit sur l’icône (3) (liste déroulante)
  • Sélectionner « Supprimer le nœud»

Méthode 2 :

  • Aller dans le gestionnaire de rapports
  • Puis cliquer droit sur le nœud (les nœuds sont indiqués en caractères en gras) à supprimer
  • Sélectionner « Effacer »

Organiser les zones

Une zone est un nœud particulier. C’est un nœud terminal qui ne peut pas contenir d’autres nœuds/zones

  • IMPORTANT : Prenez soin d’être en visualisation 2D tout au long de cette étape.

Ajouter une zone

Il existe deux méthodes pour ajouter une zone.

Méthode 1 :

  • Cliquer sur l’icône (3) (liste déroulante)
  • Choisir le nœud dans lequel va être ajouté la zone
  • Puis cliquer sur l’icône (5) « ajouter la zone »
  • Cliquer dans une zone fermée par des murs ou un polygone, elle se sélectionne alors en rouge
  • Confirmer la surface fermée
  • Une fenêtre intitulée nomenclature s’ouvre
  • Entrer un nom de zone unique (il est possible d’utiliser les textes prédéfinis)
  • Entrer un style de zone pour les calculs et le format de la zone (exemple 1 affichera la surface et le périmètre de la zone)

Méthode 2 :

  • Cliquer sur l’icône (5) « Ajouter la zone »
  • Cliquer dans une zone fermée par des murs ou un polygone
  • Confirmer la surface fermée
  • Une fenêtre intitulée nomenclature s’ouvre
  • Entrer un nom de zone unique (il est possible d’utiliser les textes prédéfinis)
  • Entrer un style de zone pour les calculs et le format de la zone (exemple 1 affichera la surface et le périmètre de la zone)
  • Ensuite, entrer dans le gestionnaire de rapport
  • Sélectionner la zone que vous venez de créer et déplacer dans le nœud qui convient par simple drag and drop (sélectionner la zone et glisser là sur le nœud)

Diviser une zone

  • Cliquer sur l’icône (4) [image] « Diviser la zone »
  • Dessiner une délimitation dans une zone vierge
  • Prenez soin de dessiner une zone complètement fermée

Editer une zone

  • Cliquer sur l’icône (6) [image] « Editer la zone »

  • Puis cliquer sur une zone définie précédemment
  • La nomenclature s’ouvre pour permettre la modification

Bouger une zone

  • Cliquer sur l’icône (7) "Bouger la zone /rapport graphique "
  • Cliquer sur une zone définie
  • Indiquer le point où vous souhaitez déplacer les libellés de la zone

Supprimer une zone

  • Aller dans le gestionnaire de rapports
  • Puis cliquer droit sur la zone à supprimer
  • Sélectionner « Effacer »
  • Il est nécessaire de mettre à jour la zone une fois que celle -ci a été supprimée

Mettre à jour une zone

  • Cliquer sur l’icône (8)
  • Puis cliquer sur une zone que vous voulez mettre à jour "Mettre à jour la zone"
La mise à jour peut être nécessaire lorsque vous avez supprimé une zone, un nœud secondaire ou un nœud principal.

Exemple


Afficher le rapport de surface

Insérer un rapport Dans la fenêtre ARC+

Vous pouvez insérer plusieurs rapports de surface :

  • Cliquez sur l’icône 9
  • Cliquez sur la fenêtre de modélisation à l’emplacement où vous voulez insérer le rapport
  • Puis rentrer les options voulues

Modifier un rapport Dans la fenêtre ARC+

Il existe 2 méthodes pour modifier un rapport

Méthode 1 :

  • Cliquez sur l’icône 10
  • Cliquez sur un rapport dans le fenêtre de modélisation

Méthode 2 :

  • Ouvrir le gestionnaire de rapport
  • Aller dans la partie rapports graphiques
  • Cliquer sur le rapport à modifier

Créer rapport Excel

Vous pouvez créer plusieurs rapports de surface sur excel :

  • Cliquez sur l’icône 11
  • Puis entrer les options voulues

Modifier un rapport Excel

  • Ouvrir le gestionnaire de rapport
  • Aller dans la partie rapports Excel

Exemple de rapport dans l’espace modeling d’ARC+

Exemple de rapport dans Excel


Bienvenue

Home > Bienvenue

InterActive Help logo

Bienvenue sur l’Aide en Ligne d’ARC+ 2012 Edition

log arcplus documentation

Nouveau dans 2012:

  • Nouvelle commande Polygone
  • Nouvelle interface utilisateur pour le Rendu
  • Nouvelle unterface utilisateur pour l'import de DWG


Application et modification des couleurs, textures et transparences

Indique et modifie la couleur, la texture et la transparence d'un polygone.

\rendedit

  • REMARQUE : Cette commande peut s'appliquer à tout polygone, qu'il soit indépendant (SD), qu'il fasse partie d'un solide complexe ou qu'il constitue la base d'un solide simple. Elle ne peut pas s'appliquer aux surfaces de liaison des solides simples (surfaces de mur). Pour savoir comment appliquer des textures à des surfaces de ce type, reportez-vous à la section Application d'une texture aux surfaces d'un solide simple.

Indiquez si vous désirez appliquer la texture:

  • à une seule entité par indication
  • à un groupe de sélection
  • en désignant un échantillon

Dans les entités seules, indiquez l'entité appropriée. Pour les entités seules et le groupe de sélection, le système affiche une boîte de dialogue indiquant la texture, la couleur et la transparence de l’entité indiquée.

Pour appliquer une texture, couleur ou transparence par échantillon, indiquez successivement une entité dotée de l’attribut Render souhaitée (l'échantillon) et l'entité que vous désirez changer. Pour appliquer l’attribut de l'échantillon choisi à un groupe de sélection, il suffit d'appuyer sur Entrée.

Dans la boîte de dialogue, cochez le bouton-radio approprié pour activer la couleur ou la texture, puis définissez le degré et la couleur de transparence. Pour activer la transparence, cochez la case de sélection.

Pour modifier la couleur ou la texture, cliquez sur son échantillon de manière à ouvrir des boîtes de dialogue supplémentaires.

Couleur

Sélectionnez une nouvelle couleur, puis ajustez les composantes RVB à l'aide des potentiomètres ou en entrant directement une valeur au clavier.

Texture

echelle auto. texture L'activation de cette option permet d'étendre la texture sélectionnée à l'ensemble du polygone indiqué. Si celui-ci est de forme irrégulière, le système l'enferme dans le plus petit rectangle d'encadrage possible et applique la texture au rectangle.
Original | Echelle automatique et texture appliquée à chaque polygone de surface

>Texture avec facteurs d’échelle

facteurs d’echelle | Une autre méthode permet d'indiquer des facteurs de mise à l'échelle différents pour les dimensions x et y de la texture. Si le polygone est plus grand que la dimension indiquée, la texture est répétée dans les deux directions. S'il est plus petit, il est épuré. Vous pouvez appliquer à la fois une couleur et une texture à un polygone. Il suffit alors - pour afficher la texture (au lieu de la couleur) - de cocher la case de sélection correspondante
pixels transparents | Il est parfois nécessaire de rendre invisibles certaines parties du bitmap (image point à point) de texture. C'est le cas, par exemple, lorsque vous désirez préserver l'espace compris entre les branches et le feuillage d'un arbre pour laisser apparaître le fond ou le bâtiment placé derrière. L'option Pixels Transparents permet alors de rendre transparents tous les pixels noirs du bitmap.
texture | Cliquez sur l'échantillon de texture pour faire apparaître la boîte de dialogue Sélection de texture, puis choisissez la bibliothèque et la texture requise.
position relative | Indiquez si la position de la texture doit être indiquée en termes relatifs ou pas. Dans le premier cas, le déplacement du polygone entraîne celui de sa texture. Dans le second cas, le déplacement du polygone n'entraîne pas celui de la texture: celle-ci conserve sa position en coordonnées de sorte que le polygone, une fois déplacé, apparaîtra recouvert d'une autre partie de la texture
rotation | Choisissez la rotation en degrés de la texture. En-dehors de la rotation initiale, les valeurs permises sont 90, 180 et 270.

.


Style de cotation

Afficher la barre d’outils « Styles de cotation »

Cliquez droit sur la barre d’outils principale puis sélectionner Styles de cotation ou styles de cotation brève :

La barre des styles de cotation se présente sous cette forme :

La barre des styles de cotation brève a la même utilité mais ne permet pas d’afficher la définition du style :

  1. Administration des styles
  2. Appliquer le style sélectionné (c) à la cotation indiquée ou au groupe de cotations sélectionnées
  3. Liste des styles disponibles

Créer/modifier/supprimer/importer un style

Cliquez sur l’icône (A), la fenêtre « cotations » s’ouvre :

  1. Créer un nouveau style
  2. Supprimer le style sélectionné
  3. Modifier le style sélectionné (Apparence, général, texte, format)
  4. Importer des styles à partir d’un gabarit ou d’un fichier *.adb existant dont vous voulez récupérer les styles

  • IMPORTANT : Les styles par défaut et les styles avec des noms identiques à ceux déjà présents dans la liste des styles ne seront pas importés.

Enregistrer les styles dans un gabarit

Pour sauvegarder les styles et pouvoir les utiliser pour un nouveau projet, il est important de les sauvegarder dans un gabarit de votre choix ou dans le gabarit par défaut que vous écraserez.

Pour cela : FICHIER >> Enregistrer sous…

Utiliser un style pour une nouvelle cotation

Le style sélectionné (liste C) sera appliqué aux futures cotations créées.

Appliquer des attributs à une cotation

  • Sélectionnez le style « NoStyle » dans la liste C.
  • Modifier les attributs à la gauche de la liste.
  • Appliquez le style en utilisant l’icône B puis en sélectionner la cotation à modifier.

Appliquer un style de cotation par échantillon

Pour appliquer à une cotation :

  • Sélectionnez « Appliquer le Style par échantillon »
  • Sélectionnez la cotation à échantillonner
  • Sélectionner la cotation à laquelle appliquer l’échantillon

Pour appliquer à un groupe de cotation :

  • Sélectionner les cotations à modifier
  • Sélectionnez « Appliquer le Style par échantillon »
  • Sélectionnez la cotation à échantillonner
  • Puis cliquez sur entrée

Créer un nouveau style par échantillon

  • Sélectionnez « Créer un nouveau style par Echantillon »
  • Sélectionnez la cotation à échantillonner
  • Entrez le nom du nouveau style
  • IMPORTANT : la cotation échantillon qui a permis de créer le style par échantillon ne prend pas le style en tant qu’attribut.


Sauvegarde et exécution de définitions de hachurages et de motifs pour opérations batch

Vous pouvez sauvegarder votre définition de hachurage ou de motif dans un fichier batch pouvant être activé à n'importe quel moment, afin d'éviter de répéter les définitions standard de hachurage que vous utilisez fréquemment. Ci-dessous un exemple du contenu d'un tel fichier batch. Celui-ci peut être créé à l'aide d'un éditeur ascii et doit faire partie de votre répertoire courant. Il est activé par la commande Création et gestion d'un fichier batch (voir Fichiers, \batch).

Voici un exemple de fichier batch à utiliser pour le hachurage:

\mwfil 13-20cm y 1 p i 6¦ ;

\mwfil 13-20cm n 2 p f 3¦ ;

\mwfil 14-30cm y 2 h 1 2 2 r 100 45 0.2 0¦ ;

\mwfil 14-30cm n 4 h 2 4 1 r 100 135 .5 0¦ ;

Ces quatre lignes du fichier batch signifient:

ligne 1 13-20cmnom du mur

ytous les murs d’un même type

1numéro de couche

pmotif

icode de motif

6couleur de ligne

ligne 2 13-20cmnom du mur

nseulement ce mur

2numéro de couche

pmotif

fcode de motif

3couleur de ligne

ligne 3 14-30cmnom du mur

ytous les murs d’un même type

2numéro de couche

hhachurage

1, 2, 2type, couleur et épaisseur de ligne

réchelle de référence

100relatif à la direction du mur

45angle en degrés

.2intervalle entre hachures

0décalage

ligne 4 14-30cmnom du mur

nseulement ce mur

4numéro de couche

hhachurage

2, 4, 1type, couleur et épaisseur de ligne

réchelle de référence

100relatif à la direction du mur

135angle en degrés

.5intervalle entre hachures

0décalage


Chamfering Corners of Lines and Polygons

Chamfer the corners of lines and polygons.

\chamf

A chamfer is an oblique line formed between two existing lines at an angle to each other. You can create a chamfer between two lines, two polygon lines or chamfer all the corners of a polygon. The chamfer line assumes the attributes of the polygon or the first indicated line. The lines or polygon may be on any plane.

There are two options:

  • left: 16.40pt; Chamfer two lines or two edges of a polygon

  • left: 16.40pt; Chamfer all the edges of a polygons

" face="Book Antiqua">Chamfer Two Lines or Two Edges of a Polygon

Select one of the following options:

by length and angle

Specify the length of the chamfer and its angle from the first line.

by two lengths

Specify the two distances of the start of the chamfer from the intersection of the two lines.

by two points

Specify a point on each line between which the chamfer is to be created.

by chamfer length

Specify the length of the chamfer. The angle between the lines and the chamfer will be equal.

join (chamfer 0)

Lines are joined at a corner with no chamfer. (This option is not applicable to polygons.)

Indicate the two lines or two polygon edges, (in case of two points, snap the points to the lines in 3D view); confirm the result.

" face="Book Antiqua">Chamfer all Edges of a Polygon

Enter the chamfer lengths and indicate the polygon. (The only option is font-variant: small-caps;"BY 2 LENGTHS ).

NOTE If any of the polygon edges are too short to chamfer, a warning will appear in the command line. Parts of a polygon that include an arc are not chamfered.


Suppression

Les commandes suivantes suppriment des entités individuelles, des groupes ou des parties d'entités. Vous pouvez utiliser la commande d'annulation et de ré-exécution pour annuler et/ou restaurer des opérations préalables. Voir les commandes Généralités, Undo et Redo (\undo, \redo).

Thèmes liés

  • Suppression d'une entité
  • Suppression d'un groupe de sélection
  • Mode suppression de sélection
  • Suppression des segments de lignes
  • Suppression des entités du modèle